.\" dpkg manual page - deb-substvars(5)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006-2009,2012-2015 Guillem Jover <guillem@debian.org>
.\" Copyright © 2009-2010 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH deb\-substvars 5 %RELEASE_DATE% %VERSION% "Herramientas de dpkg"
.ad l
.nh
.SH NOMBRE
deb\-substvars \- Sustitución de variables de fuentes de Debian
.
.SH SINOPSIS
substvars
.
.SH DESCRIPCIÓN
Antes de que \fBdpkg\-source\fP, \fBdpkg\-gencontrol\fP y \fBdpkg\-genchanges\fP
escriban su información de control (al fichero \fB.dsc\fP de control en el caso
de \fBdpkg\-source\fP, y a la salida estándar en el de \fBdpkg\-gencontrol\fP y
\fBdpkg\-genchanges\fP), realizan algunas sustituciones de variables en el
fichero de salida.

A variable substitution has the form \fB${\fP\fIvariable\-name\fP\fB}\fP.  Variable
names consist of alphanumerics (a\-zA\-Z0\-9), hyphens (\-) and colons (:) and
start with an alphanumeric, and are case\-sensitive, even though they might
refer to other entities which are case\-preserving.  Variable substitutions
are performed repeatedly until none are left; the full text of the field
after the substitution is rescanned to look for more substitutions.

Después de que todas las sustituciones hayan tenido lugar, cada aparición de
la cadena \fB${}\fP (que no es una sustitución legal) se reemplaza por un signo
\fB$\fP.

A pesar de que la sustitución de variables se realiza sobre todos los
campos, algunos de estos campos se usan obligatoriamente durante la
construcción, cuando la sustitución aún no se ha ejecutado. Por ello, no
puede utilizar variables en los campos \fBPackage\fP, \fBSource\fP y
\fBArchitecture\fP.

La sustitución de variables se ejecuta sobre el contenido de los campos
después de su análisis, y por ello no necesita incluir un espacio después de
la nueva línea para expandir una variable sobre varias líneas. Esto se hace
implícitamente cuando el campo se muestra por la salida. Por ejemplo, si la
variable \fB${Description}\fP está definida como «foo es bar.${Newline}foo es
increíble.» y tiene el siguiente campo:

 Description: aplicación foo
  ${Description}
  .
  Más texto.

El resultado sería:

 Description: aplicación foo
  foo es bar.
  foo es increíble.
  .
  Más texto.

Las variables se pueden definir usando la opción común \fB\-V\fP. También se
pueden especificar en el fichero \fBdebian/substvars\fP (u otro fichero
especificado mediante la opción \fB\-T\fP). Este fichero consiste de líneas con
la forma \fInombre\fP\fB=\fP\fIvalor\fP. Los caracteres en blanco al final de cada
línea, las líneas vacías y las líneas que comiencen con el símbolo \fB#\fP
(comentarios) son ignorados.

De manera adicional, las siguientes variables estándar están disponibles:
.TP 
\fBArch\fP
The current host architecture (i.e. the architecture the package is being
built for, the equivalent of \fBDEB_HOST_ARCH\fP).
.TP 
\fBsource:Version\fP
The source package version (since dpkg 1.13.19).
.TP 
\fBsource:Upstream\-Version\fP
The upstream source package version, including the Debian version epoch if
any (since dpkg 1.13.19).
.TP 
\fBbinary:Version\fP
The binary package version (which may differ from \fBsource:Version\fP in a
binNMU for example; since dpkg 1.13.19).
.TP 
\fBSource\-Version\fP
The source package version (from the changelog file). This variable is now
\fBobsolete\fP and emits an error when used as its meaning is different from
its function, please use the \fBsource:Version\fP or \fBbinary:Version\fP as
appropriate.
.TP 
\fBsource:Synopsis\fP
The source package synopsis, extracted from the source stanza \fBDescription\fP
field, if it exists (since dpkg 1.19.0).
.TP 
\fBsource:Extended\-Description\fP
The source package extended description, extracted from the source stanza
\fBDescription\fP field, if it exists (since dpkg 1.19.0).
.TP 
\fBInstalled\-Size\fP
The approximate total size of the package's installed files. This value is
copied into the corresponding control file field; setting it will modify the
value of that field. If this variable is not set \fBdpkg\-gencontrol\fP will
compute the default value by accumulating the size of each regular file and
symlink rounded to 1 KiB used units, and a baseline of 1 KiB for any other
filesystem object type.  With hardlinks only being counted once as a regular
file.

\fBNote:\fP Take into account that this can only ever be an approximation, as
the actual size used on the installed system will depend greatly on the
filesystem used and its parameters, which might end up using either more or
less space than the specified in this field.
.TP 
\fBExtra\-Size\fP
El espacio en disco adicional usado cuando se instala el paquete. Si se
define esta variable, su valor se añade al de la variable \fBInstalled\-Size\fP
(tanto si se establece manualmente como si se usa el valor predefinido)
antes de copiarse al campo \fBInstalled\-Size\fP del fichero de control.
.TP 
\fBS:\fP\fIfieldname\fP
The value of the source stanza field \fIfieldname\fP (which must be given in
the canonical capitalisation; since dpkg 1.18.11).  Setting these variables
has no effect other than on places where they are expanded explicitly.
These variables are only available when generating binary control files.
.TP 
\fBF:\fP\fInombre\-campo\fP
El valor de la salida del campo \fInombre\-campo\fP (que se debe proporcionar
siguiendo la convención de mayúsculas y minúsculas). Definir estas variables
no tiene ningún efecto excepto en aquellos lugares donde se expandan
explícitamente.
.TP 
\fBFormat\fP
El formato del fichero \fB.changes\fP generado por esta versión de los scripts
de empaquetado de fuentes. Si define esta variable, el contenido del campo
\fBFormat\fP en el fichero \fB.changes\fP cambiará igualmente.
.TP 
\fBNewline\fP, \fBSpace\fP, \fBTab\fP
Estas variables contienen cada una el carácter cuyo nombre especifican en
inglés. Nota del traductor: Newline = Retorno de línea, Space = Espacio, Tab
= Tabulador.
.TP 
\fBshlibs:\fP\fIcampo\-de\-dependencia\fP
Las variables con nombres de esta forma se generan mediante
\fBdpkg\-shlibdeps\fP.
.TP 
\fBdpkg:Upstream\-Version\fP
The upstream version of dpkg (since dpkg 1.13.19).
.TP 
\fBdpkg:Version\fP
The full version of dpkg (since dpkg 1.13.19).
.LP
Si se hace referencia a una variable pero no se define se genera un aviso y
se asume un valor vacío.
.
.SH FICHEROS
.TP 
\fBdebian/substvars\fP
Lista de variables a sustituir y valores.
.
.SH "VÉASE TAMBIÉN"
\fBdpkg\fP(1), \fBdpkg\-genchanges\fP(1), \fBdpkg\-gencontrol\fP(1),
\fBdpkg\-shlibdeps\fP(1), \fBdpkg\-source\fP(1).
