.\" dpkg manual page - deb-version(7)
.\"
.\" Copyright © 1996-1998 Ian Jackson and Christian Schwarz
.\"   for parts of the text reused from the Debian Policy
.\" Copyright © 2007 Frank Lichtenheld <djpig@debian.org>
.\" Copyright © 2011, 2013, 2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH deb\-version 7 %RELEASE_DATE% %VERSION% "Herramientas de dpkg"
.ad l
.nh
.SH NOMBRE
deb\-version \- Formato del número de versión de paquete de Debian
.
.SH SINOPSIS
[ \fIepoch\fP\fB:\fP] \fIversión\-autor\-original\fP [\fB\-\fP\fIrevisión\-debian\fP ]
.SH DESCRIPCIÓN
Los números de versión usados en los paquetes fuente y binarios de Debian,
consisten de tres componentes. Estos son:
.TP 
\fIepoch\fP
Es un sólo entero sin signo (generalmente pequeño). Se puede omitir, en cuyo
caso se asume cero. Si se omite, \fIversión\-autor\-original\fP no debe contener
ningún símbolo de dos puntos.
.IP
Está presente para permitir errores en los números de versiones anteriores
de un paquete, y también los esquemas de numeración anteriores de un
paquete, a desechar en un futuro.
.TP 
\fIversión\-autor\-original\fP
This is the main part of the version number.  It is usually the version
number of the original (“upstream”)  package from which the \fI.deb\fP file has
been made, if this is applicable.  Usually this will be in the same format
as that specified by the upstream author(s); however, it may need to be
reformatted to fit into the package management system's format and
comparison scheme.
.IP
El funcionamiento del proceso de comparación del sistema de paquetes
respecto a la \fIversión\-autor\-original\fP se describe a continuación. La
sección \fIversión\-autor\-original\fP es obligatoria en el número de versión.
.IP
The \fIupstream\-version\fP may contain only alphanumerics (“A\-Za\-z0\-9”) and the
characters \fB.\fP \fB+\fP \fB\-\fP \fB:\fP \fB~\fP (full stop, plus, hyphen, colon, tilde)
and should start with a digit.  If there is no \fIdebian\-revision\fP then
hyphens are not allowed; if there is no \fIepoch\fP then colons are not
allowed.
.TP 
\fIrevisión\-debian\fP
Esta parte del número de versión define la versión del paquete de Debian en
base a la versión del desarrollador original. Sólo puede contener caracteres
alfanuméricos, además de los caracteres \fB+\fP \fB.\fP \fB~\fP (más, punto,
virgulilla) y se compara de la misma manera que se compara
\fIversión\-autor\-original\fP.
.IP
It is optional; if it isn't present then the \fIupstream\-version\fP may not
contain a hyphen.  This format represents the case where a piece of software
was written specifically to be turned into a Debian package, and so there is
only one “debianization” of it and therefore no revision indication is
required.
.IP
It is conventional to restart the \fIdebian\-revision\fP at ‘1’ each time the
\fIupstream\-version\fP is increased.
.IP
dpkg separará el número de versión en el último guión en la cadena (si hay
alguno) para determinar la \fIversión\-autor\-original\fP y la
\fIrevisión\-debian\fP. La ausencia de \fIrevisión\-debian\fP se verifica antes que
la presencia de la misma (pero tenga en cuenta que \fIrevisión\-debian\fP es la
parte menos significativa del número de versión).
.SS "Sorting algorithm"
Las partes \fIrevisión\-autor\-original\fP y \fIrevisión\-debian\fP se comparan con
el sistema de gestión de paquetes usando el mismo algoritmo:
.PP
Las cadenas se comparan de izquierda a derecha.
.PP
First the initial part of each string consisting entirely of non\-digit
characters is determined.  These two parts (one of which may be empty) are
compared lexically.  If a difference is found it is returned.  The lexical
comparison is a comparison of ASCII values modified so that all the letters
sort earlier than all the non\-letters and so that a tilde sorts before
anything, even the end of a part.  For example, the following parts are in
sorted order: ‘~~’, ‘~~a’, ‘~’, the empty part, ‘a’.
.PP
Tras esto, se determina la sección inicial del resto de cada cadena que
consiste sólo de dígitos. Los valores numéricos de estas dos secciones se
comparan, y cualquier diferencia encontrada se devuelve como resultado de la
comparación. Para este propósito, una cadena vacía (que sólo aparece al
final de una o de las dos cadenas comparadas) tiene un valor de cero.
.PP
Estos dos pasos (comparar y eliminar caracteres iniciales no numéricos y
numéricos del principio de las cadenas) se repiten hasta que se encuentre
una diferencia o que se hayan analizado totalmente las dos cadenas.
.PP
Note that the purpose of epochs is to allow us to leave behind mistakes in
version numbering, and to cope with situations where the version numbering
scheme changes.  It is \fBnot\fP intended to cope with version numbers
containing strings of letters which the package management system cannot
interpret (such as ‘ALPHA’ or ‘pre\-’), or with silly orderings.
.SH NOTAS
The tilde character and its special sorting properties were introduced in
dpkg 1.10 and some parts of the dpkg build scripts only gained support for
it later in the 1.10.x series.
.SH "VÉASE TAMBIÉN"
\fBdeb\-control\fP(5), \fBdeb\fP(5), \fBdpkg\fP(1)
