.\" dpkg manual page - deb(5)
.\"
.\" Copyright © 1995 Raul Miller
.\" Copyright © 1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006-2017 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH deb 5 %RELEASE_DATE% %VERSION% "Herramientas de dpkg"
.ad l
.nh
.SH NOMBRE
deb \- Formato de paquete binario de Debian
.SH SINOPSIS
\fInombre\-fichero\fP\fB.deb\fP
.SH DESCRIPCIÓN
The \fB.deb\fP format is the Debian binary package file format. It is
understood since dpkg 0.93.76, and is generated by default since dpkg 1.2.0
and 1.1.1elf (i386/ELF builds).
.PP
El formato descrito aquí se usa desde Debian 0.93; los detalles sobre el
anterior formato se describen en \fBdeb\-old\fP(5).
.SH FORMATO
El fichero es un archivo \fBar\fP con un valor mágico de
\fB!<arch>\fP. Solo se admite el formato de archivo \fBar\fP común, sin
nombres de ficheros con extensiones largas, pero con nombres de ficheros que
contienen una barra final opcional, que limita su longitud a 15 caracteres
(de los 16 permitidos). El tamaño del fichero está limitado a 10 dígitos
decimales ASCII; lo que permite un máximo aproximado de 9536,74 MB.
.PP
The \fBtar\fP archives currently allowed are, the old\-style (v7) format, the
pre\-POSIX ustar format, a subset of the GNU format (new style long pathnames
and long linknames, supported since dpkg 1.4.1.17; large file metadata since
dpkg 1.18.24), and the POSIX ustar format (long names supported since dpkg
1.15.0).  Unrecognized tar typeflags are considered an error.  Each tar
entry size inside a tar archive is limited to 11 ASCII octal digits,
allowing for up to 8 GiB tar entries.  The GNU large file metadata support
permits 95\-bit tar entry sizes and negative timestamps, and 63\-bit UID, GID
and device numbers.
.PP
El primer miembro se llama \fBdebian\-binary\fP y contiene una serie de líneas
separadas por saltos de línea. Actualmente sólo hay una línea, el número de
versión del formato, \fB2.0\fP en el momento en que se escribió esta página de
manual. Los programas que lean archivos con el formato nuevo deberían prever
un aumento de los números menores y la aparición de nuevas líneas, las
cuales deberían ignorar en caso de aparecer.
.PP
Si el número mayor ha cambiado es que hay cambios incompatibles y el
programa se debería detener. De no ser así debería poder seguir sin
problemas, a no ser que se encuentre un miembro no esperado en el archivo
(excepto al final), como se describe más abajo.
.PP
The second required member is named \fBcontrol.tar\fP.  It is a tar archive
containing the package control information, either not compressed (supported
since dpkg 1.17.6), or compressed with gzip (with \fB.gz\fP extension) or xz
(with \fB.xz\fP extension, supported since 1.17.6), as a series of plain files,
of which the file \fBcontrol\fP is mandatory and contains the core control
information, the \fBconffiles\fP, \fBtriggers\fP, \fBshlibs\fP and \fBsymbols\fP files
contain optional control information, and the \fBpreinst\fP, \fBpostinst\fP,
\fBprerm\fP and \fBpostrm\fP files are optional maintainer scripts.  The control
tarball may optionally contain an entry for ‘\fB.\fP’, the current directory.
.PP
El tercer y último miembro obligatorio se llama \fBdata.tar\fP. Contiene el
sistema de ficheros como un archivo tar, el cual puede estar descomprimido
(compatible desde la versión 1.10.24 de dpkg) o comprimido con gzip
(extensión \fB.gz\fP), xz (extensión \fB.xz\fP, compatible desde la versión
1.15.6), bzip2 (extensión \fB.bz2\fP, compatible desde la versión 1.10.24 de
dpkg) o lzma (extensión \fB.lzma\fP, compatible desde la versión 1.13.25 de
dpkg).
.PP
These members must occur in this exact order. Current implementations should
ignore any additional members after \fBdata.tar\fP.  Further members may be
defined in the future, and (if possible) will be placed after these
three. Any additional members that may need to be inserted after
\fBdebian\-binary\fP and before \fBcontrol.tar\fP or \fBdata.tar\fP and which should
be safely ignored by older programs, will have names starting with an
underscore, ‘\fB_\fP’.
.PP
Los nuevos miembros que no se puedan ignorar sin problemas se insertarán
antes de \fBdata.tar\fP, con nombres que empiecen por algo que no sea un guión
bajo, o (posiblemente) causarán un incremento del número mayor de versión.
.SH "MEDIA TYPE"
.SS Current
application/vnd.debian.binary\-package
.SS Deprecated
application/x\-debian\-package
.br
application/x\-deb
.SH "VÉASE TAMBIÉN"
\fBdeb\-old\fP(5), \fBdpkg\-deb\fP(1), \fBdeb\-control\fP(5), \fBdeb\-conffiles\fP(5)
\fBdeb\-triggers\fP(5), \fBdeb\-shlibs\fP(5), \fBdeb\-symbols\fP(5), \fBdeb\-preinst\fP(5),
\fBdeb\-postinst\fP(5), \fBdeb\-prerm\fP(5), \fBdeb\-postrm\fP(5).
