.\" dpkg manual page - dpkg-buildpackage(1)
.\"
.\" Copyright © 1995-1996 Ian Jackson
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2007-2008 Frank Lichtenheld <djpig@debian.org>
.\" Copyright © 2008-2015 Guillem Jover <guillem@debian.org>
.\" Copyright © 2008-2012 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-buildpackage 1 %RELEASE_DATE% %VERSION% "Herramientas de dpkg"
.ad l
.nh
.SH NOMBRE
dpkg\-buildpackage \- Construcción de paquetes binarios o fuente a partir de
las fuentes
.
.SH SINOPSIS
\fBdpkg\-buildpackage\fP [\fIopción\fP...]
.
.SH DESCRIPCIÓN
\fBdpkg\-buildpackage\fP es un programa que automatiza el proceso de
construcción de un paquete de Debian. Éste consiste de los siguientes pasos:
.IP \fB1.\fP 3
It prepares the build environment by setting various environment variables
(see \fBENVIRONMENT\fP), runs the \fBinit\fP hook, and calls \fBdpkg\-source
\-\-before\-build\fP (unless \fB\-T\fP or \fB\-\-target\fP has been used).
.IP \fB2.\fP 3
It checks that the build\-dependencies and build\-conflicts are satisfied
(unless \fB\-d\fP or \fB\-\-no\-check\-builddeps\fP is specified).
.IP \fB3.\fP 3
If one or more specific targets have been selected with the \fB\-T\fP or
\fB\-\-target\fP option, it calls those targets and stops here. Otherwise it runs
the \fBpreclean\fP hook and calls \fBfakeroot debian/rules clean\fP to clean the
build\-tree (unless \fB\-nc\fP or \fB\-\-no\-pre\-clean\fP is specified).
.IP \fB4.\fP 3
It runs the \fBsource\fP hook and calls \fBdpkg\-source \-b\fP to generate the
source package (if a \fBsource\fP build has been requested with \fB\-\-build\fP or
equivalent options).
.IP \fB5.\fP 3
It runs the \fBbuild\fP hook and calls \fBdebian/rules\fP \fIbuild\-target\fP, then
runs the \fBbinary\fP hook followed by \fBfakeroot debian/rules\fP
\fIbinary\-target\fP (unless a source\-only build has been requested with
\fB\-\-build=source\fP or equivalent options).  Note that \fIbuild\-target\fP and
\fIbinary\-target\fP are either \fBbuild\fP and \fBbinary\fP (default case, or if an
\fBany\fP and \fBall\fP build has been requested with \fB\-\-build\fP or equivalent
options), or \fBbuild\-arch\fP and \fBbinary\-arch\fP (if an \fBany\fP and not \fBall\fP
build has been requested with \fB\-\-build\fP or equivalent options), or
\fBbuild\-indep\fP and \fBbinary\-indep\fP (if an \fBall\fP and not \fBany\fP build has
been requested with \fB\-\-build\fP or equivalent options).
.IP \fB6.\fP 3
It runs the \fBbuildinfo\fP hook and calls \fBdpkg\-genbuildinfo\fP to generate a
\&\fB.buildinfo\fP file.  Several \fBdpkg\-buildpackage\fP options are forwarded to
\fBdpkg\-genbuildinfo\fP.
.IP \fB7.\fP 3
It runs the \fBchanges\fP hook and calls \fBdpkg\-genchanges\fP to generate a
\&\fB.changes\fP file.  The name of the \fB.changes\fP file will depend on the type
of build and will be as specific as necessary but not more; for a build that
includes \fBany\fP the name will be
\fIsource\-name\fP\fB_\fP\fIbinary\-version\fP\fB_\fP\fIarch\fP\fB.changes\fP, or otherwise for
a build that includes \fBall\fP the name will be
\fIsource\-name\fP\fB_\fP\fIbinary\-version\fP\fB_\fP\fBall.changes\fP, or otherwise for a
build that includes \fBsource\fP the name will be
\fIsource\-name\fP\fB_\fP\fIsource\-version\fP\fB_\fP\fBsource.changes\fP.  Many
\fBdpkg\-buildpackage\fP options are forwarded to \fBdpkg\-genchanges\fP.
.IP \fB8.\fP 3
It runs the \fBpostclean\fP hook and if \fB\-tc\fP or \fB\-\-post\-clean\fP is specified,
it will call \fBfakeroot debian/rules clean\fP again.
.IP \fB9.\fP 3
It calls \fBdpkg\-source \-\-after\-build\fP.
.IP \fB10.\fP 3
It runs the \fBcheck\fP hook and calls a package checker for the \fB.changes\fP
file (if a command is specified in \fBDEB_CHECK_COMMAND\fP or with
\fB\-\-check\-command\fP).
.IP \fB11.\fP 3
It runs the \fBsign\fP hook and calls \fBgpg\fP (as long as it is not an
UNRELEASED build, or \fB\-\-no\-sign\fP is specified) to sign the \fB.dsc\fP file (if
any, unless \fB\-us\fP or \fB\-\-unsigned\-source\fP is specified), the \fB.buildinfo\fP
file (unless \fB\-ui\fP, \fB\-\-unsigned\-buildinfo\fP, \fB\-uc\fP or
\fB\-\-unsigned\-changes\fP is specified) and the \fB.changes\fP file (unless \fB\-uc\fP
or \fB\-\-unsigned\-changes\fP is specified).
.IP \fB12.\fP 3
It runs the \fBdone\fP hook.
.
.SH OPCIONES
All long options can be specified both on the command line and in the
\fBdpkg\-buildpackage\fP system and user configuration files.  Each line in the
configuration file is either an option (exactly the same as the command line
option but without leading hyphens) or a comment (if it starts with a
‘\fB#\fP’).

.TP 
\fB\-\-build=\fP\fItype\fP
Specifies the build \fItype\fP from a comma\-separated list of components (since
dpkg 1.18.5).  Passed to \fBdpkg\-genchanges\fP.

The allowed values are:
.RS
.TP 
\fBsource\fP
Builds the source package.  Note: when using this value standalone and if
what you want is simply to (re\-)build the source package from a clean source
tree, using \fBdpkg\-source\fP directly is always a better option as it does not
require any build dependencies to be installed which are otherwise needed to
be able to call the \fBclean\fP target.
.TP 
\fBany\fP
Builds the architecture specific binary packages.
.TP 
\fBall\fP
Builds the architecture independent binary packages.
.TP 
\fBbinary\fP
Builds the architecture specific and independent binary packages.  This is
an alias for \fBany,all\fP.
.TP 
\fBfull\fP
Builds everything.  This is an alias for \fBsource,any,all\fP, and the same as
the default case when no build option is specified.
.RE
.TP 
\fB\-g\fP
Equivalent to \fB\-\-build=source,all\fP (since dpkg 1.17.11).
.TP 
\fB\-G\fP
Equivalent to \fB\-\-build=source,any\fP (since dpkg 1.17.11).
.TP 
\fB\-b\fP
Equivalent to \fB\-\-build=binary\fP or \fB\-\-build=any,all\fP.
.TP 
\fB\-B\fP
Equivalent to \fB\-\-build=any\fP.
.TP 
\fB\-A\fP
Equivalent to \fB\-\-build=all\fP.
.TP 
\fB\-S\fP
Equivalent to \fB\-\-build=source\fP.
.TP 
\fB\-F\fP
Equivalent to \fB\-\-build=full\fP, \fB\-\-build=source,binary\fP or
\fB\-\-build=source,any,all\fP (since dpkg 1.15.8).
.TP 
\fB\-\-target=\fP\fItarget\fP[,...]
.TQ
\fB\-\-target \fP\fItarget\fP[,...]
.TQ
\fB\-T\fP, \fB\-\-rules\-target=\fP\fItarget\fP[,...]
Calls \fBdebian/rules\fP \fItarget\fP once per target specified, after having
setup the build environment (except for calling \fBdpkg\-source
\-\-before\-build\fP), and stops the package build process here (since dpkg
1.15.0, long option since dpkg 1.18.8, multi\-target support since dpkg
1.18.16).  If \fB\-\-as\-root\fP is also given, then the command is executed as
root (see \fB\-\-root\-command\fP).  Note that known targets that are required to
be run as root do not need this option (i.e. the \fBclean\fP, \fBbinary\fP,
\fBbinary\-arch\fP and \fBbinary\-indep\fP targets).
.TP 
\fB\-\-as\-root\fP
Only meaningful together with \fB\-\-target\fP (since dpkg 1.15.0).  Requires
that the target be run with root rights.
.TP 
\fB\-si\fP
.TQ
\fB\-sa\fP
.TQ
\fB\-sd\fP
.TQ
\fB\-v\fP\fIversión\fP
.TQ
\fB\-C\fP\fIdescripción\-de\-cambios\fP
.TQ
\fB\-m\fP, \fB\-\-release\-by=\fP\fImaintainer\-address\fP
.TQ
\fB\-e\fP, \fB\-\-build\-by=\fP\fImaintainer\-address\fP
Se introduce sin cambios a \fBdpkg\-genchanges\fP. Consulte la página de manual.
.TP 
\fB\-a\fP, \fB\-\-host\-arch\fP \fIarchitecture\fP
Specify the Debian architecture we build for (long option since dpkg
1.17.17).  The architecture of the machine we build on is determined
automatically, and is also the default for the host machine.
.TP 
\fB\-t\fP, \fB\-\-host\-type\fP \fIgnu\-system\-type\fP
Specify the GNU system type we build for (long option since dpkg 1.17.17).
It can be used in place of \fB\-\-host\-arch\fP or as a complement to override the
default GNU system type of the host Debian architecture.
.TP 
\fB\-\-target\-arch\fP \fIarchitecture\fP
Specify the Debian architecture the binaries built will build for (since
dpkg 1.17.17).  The default value is the host machine.
.TP 
\fB\-\-target\-type\fP \fIgnu\-system\-type\fP
Specify the GNU system type the binaries built will build for (since dpkg
1.17.17).  It can be used in place of \fB\-\-target\-arch\fP or as a complement to
override the default GNU system type of the target Debian architecture.
.TP 
\fB\-P\fP, \fB\-\-build\-profiles=\fP\fIprofile\fP[\fB,\fP...]
Specify the profile(s) we build, as a comma\-separated list (since dpkg
1.17.2, long option since dpkg 1.18.8).  The default behavior is to build
for no specific profile. Also sets them (as a space separated list) as the
\fBDEB_BUILD_PROFILES\fP environment variable which allows, for example,
\fBdebian/rules\fP files to use this information for conditional builds.
.TP 
\fB\-j\fP, \fB\-\-jobs\fP[=\fIjobs\fP|\fBauto\fP]
Number of jobs allowed to be run simultaneously, number of jobs matching the
number of online processors if \fBauto\fP is specified (since dpkg 1.17.10), or
unlimited number if \fIjobs\fP is not specified, equivalent to the \fBmake\fP(1)
option of the same name (since dpkg 1.14.7, long option since dpkg 1.18.8).
Will add itself to the \fBMAKEFLAGS\fP environment variable, which should cause
all subsequent make invocations to inherit the option, thus forcing the
parallel setting on the packaging (and possibly the upstream build system if
that uses make)  regardless of their support for parallel builds, which
might cause build failures.  Also adds \fBparallel=\fP\fIjobs\fP or \fBparallel\fP to
the \fBDEB_BUILD_OPTIONS\fP environment variable which allows debian/rules
files to use this information for their own purposes.  The \fB\-j\fP value will
override the \fBparallel=\fP\fIjobs\fP or \fBparallel\fP option in the
\fBDEB_BUILD_OPTIONS\fP environment variable.  Note that the \fBauto\fP value will
get replaced by the actual number of currently active processors, and as
such will not get propagated to any child process. If the number of online
processors cannot be inferred then the code will fallback to using serial
execution (since dpkg 1.18.15), although this should only happen on exotic
and unsupported systems.
.TP 
\fB\-J\fP, \fB\-\-jobs\-try\fP[=\fIjobs\fP|\fBauto\fP]
This option (since dpkg 1.18.2, long option since dpkg 1.18.8) is equivalent
to the \fB\-j\fP option except that it does not set the \fBMAKEFLAGS\fP environment
variable, and as such it is safer to use with any package including those
that are not parallel\-build safe.

\fBauto\fP is the default behavior (since dpkg 1.18.11). Setting the number of
jobs to 1 will restore a serial behavior.
.TP 
\fB\-D\fP, \fB\-\-check\-builddeps\fP
Check build dependencies and conflicts; abort if unsatisfied (long option
since dpkg 1.18.8).  This is the default behavior.
.TP 
\fB\-d\fP, \fB\-\-no\-check\-builddeps\fP
Do not check build dependencies and conflicts (long option since dpkg
1.18.8).
.TP 
\fB\-\-ignore\-builtin\-builddeps\fP
Do not check built\-in build dependencies and conflicts (since dpkg 1.18.2).
These are the distribution specific implicit build dependencies usually
required in a build environment, the so called Build\-Essential package set.
.TP 
\fB\-\-rules\-requires\-root\fP
Do not honor the \fBRules\-Requires\-Root\fP field, falling back to its legacy
default value (since dpkg 1.19.1).
.TP 
\fB\-nc\fP, \fB\-\-no\-pre\-clean\fP
Do not clean the source tree before building (long option since dpkg
1.18.8).  Implies \fB\-b\fP if nothing else has been selected among \fB\-F\fP,
\fB\-g\fP, \fB\-G\fP, \fB\-B\fP, \fB\-A\fP or \fB\-S\fP.  Implies \fB\-d\fP with \fB\-S\fP (since dpkg
1.18.0).
.TP 
\fB\-\-pre\-clean\fP
Clean the source tree before building (since dpkg 1.18.8).  This is the
default behavior.
.TP 
\fB\-tc\fP, \fB\-\-post\-clean\fP
Clean the source tree (using \fIgain\-root\-command\fP \fBdebian/rules clean\fP)
after the package has been built (long option since dpkg 1.18.8).
.TP 
\fB\-\-no\-post\-clean\fP
Do not clean the source tree after the package has been built (since dpkg
1.19.1).  This is the default behavior.
.TP 
\fB\-r\fP, \fB\-\-root\-command=\fP\fIgain\-root\-command\fP
When \fBdpkg\-buildpackage\fP needs to execute part of the build process as
root, it prefixes the command it executes with \fIgain\-root\-command\fP if one
has been specified (long option since dpkg 1.18.8).  Otherwise, if none has
been specified, \fBfakeroot\fP will be used by default, if the command is
present.  \fIgain\-root\-command\fP should start with the name of a program on
the \fBPATH\fP and will get as arguments the name of the real command to run
and the arguments it should take.  \fIgain\-root\-command\fP can include
parameters (they must be space\-separated) but no shell metacharacters.
\fIgain\-root\-command\fP might typically be \fBfakeroot\fP, \fBsudo\fP, \fBsuper\fP or
\fBreally\fP.  \fBsu\fP is not suitable, since it can only invoke the user's shell
with \fB\-c\fP instead of passing arguments individually to the command to be
run.
.TP 
\fB\-R\fP, \fB\-\-rules\-file=\fP\fIrules\-file\fP
Building a Debian package usually involves invoking \fBdebian/rules\fP as a
command with several standard parameters (since dpkg 1.14.17, long option
since dpkg 1.18.8).  With this option it's possible to use another program
invocation to build the package (it can include space separated
parameters).  Alternatively it can be used to execute the standard rules
file with another make program (for example by using \fB/usr/local/bin/make
\-f debian/rules\fP as \fIrules\-file\fP).
.TP 
\fB\-\-check\-command=\fP\fIcheck\-command\fP
Command used to check the \fB.changes\fP file itself and any artifact built
referenced in the file (since dpkg 1.17.6).  The command should take the
\&\fB.changes\fP pathname as an argument. This command will usually be
\fBlintian\fP.
.TP 
\fB\-\-check\-option=\fP\fIopt\fP
Pass option \fIopt\fP to the \fIcheck\-command\fP specified with
\fBDEB_CHECK_COMMAND\fP or \fB\-\-check\-command\fP (since dpkg 1.17.6).  Can be used
multiple times.
.TP 
\fB\-\-hook\-\fP\fIhook\-name\fP\fB=\fP\fIhook\-command\fP
Set the specified shell code \fIhook\-command\fP as the hook \fIhook\-name\fP, which
will run at the times specified in the run steps (since dpkg 1.17.6).  The
hooks will always be executed even if the following action is not performed
(except for the \fBbinary\fP hook).  All the hooks will run in the unpacked
source directory.

Note: Hooks can affect the build process, and cause build failures if their
commands fail, so watch out for unintended consequences.

The current \fIhook\-name\fP supported are:

\fBinit preclean source build binary buildinfo changes postclean check sign
done\fP

The \fIhook\-command\fP supports the following substitution format string, which
will get applied to it before execution:

.RS
.TP 
\fB%%\fP
A single % character.
.TP 
\fB%a\fP
A boolean value (0 or 1), representing whether the following action is being
performed.
.TP 
\fB%p\fP
The source package name.
.TP 
\fB%v\fP
La versión del paquete fuente.
.TP 
\fB%s\fP
The source package version (without the epoch).
.TP 
\fB%u\fP
The upstream version.
.RE
.TP 
\fB\-\-buildinfo\-option=\fP\fIopt\fP
Pass option \fIopt\fP to \fBdpkg\-genbuildinfo\fP (since dpkg 1.18.11).  Can be
used multiple times.
.TP 
\fB\-p\fP, \fB\-\-sign\-command=\fP\fIsign\-command\fP
When \fBdpkg\-buildpackage\fP needs to execute GPG to sign a source control
(\fB.dsc\fP) file or a \fB.changes\fP file it will run \fIsign\-command\fP (searching
the \fBPATH\fP if necessary) instead of \fBgpg\fP (long option since dpkg
1.18.8).  \fIsign\-command\fP will get all the arguments that \fBgpg\fP would have
gotten. \fIsign\-command\fP should not contain spaces or any other shell
metacharacters.
.TP 
\fB\-k\fP, \fB\-\-sign\-key=\fP\fIkey\-id\fP
Specify a key\-ID to use when signing packages (long option since dpkg
1.18.8).
.TP 
\fB\-us\fP, \fB\-\-unsigned\-source\fP
Do not sign the source package (long option since dpkg 1.18.8).
.TP 
\fB\-ui\fP, \fB\-\-unsigned\-buildinfo\fP
Do not sign the \fB.buildinfo\fP file (since dpkg 1.18.19).
.TP 
\fB\-uc\fP, \fB\-\-unsigned\-changes\fP
Do not sign the \fB.buildinfo\fP and \fB.changes\fP files (long option since dpkg
1.18.8).
.TP 
\fB\-\-no\-sign\fP
Do not sign any file, this includes the source package, the \fB.buildinfo\fP
file and the \fB.changes\fP file (since dpkg 1.18.20).
.TP 
\fB\-\-force\-sign\fP
Force the signing of the resulting files (since dpkg 1.17.0), regardless of
\fB\-us\fP, \fB\-\-unsigned\-source\fP, \fB\-ui\fP, \fB\-\-unsigned\-buildinfo\fP, \fB\-uc\fP,
\fB\-\-unsigned\-changes\fP or other internal heuristics.
.TP 
\fB\-sn\fP
.TQ
\fB\-ss\fP
.TQ
\fB\-sA\fP
.TQ
\fB\-sk\fP
.TQ
\fB\-su\fP
.TQ
\fB\-sr\fP
.TQ
\fB\-sK\fP
.TQ
\fB\-sU\fP
.TQ
\fB\-sR\fP
.TQ
\fB\-i\fP, \fB\-\-diff\-ignore\fP[=\fIregex\fP]
.TQ
\fB\-I\fP, \fB\-\-tar\-ignore\fP[=\fIpattern\fP]
.TQ
\fB\-z\fP, \fB\-\-compression\-level=\fP\fIlevel\fP
.TQ
\fB\-Z\fP, \fB\-\-compression=\fP\fIcompressor\fP
Se introduce sin cambios a \fBdpkg\-source\fP. Consulte la página de manual.
.TP 
\fB\-\-source\-option=\fP\fIopción\fP
Pass option \fIopt\fP to \fBdpkg\-source\fP (since dpkg 1.15.6).  Can be used
multiple times.
.TP 
\fB\-\-changes\-option=\fP\fIopción\fP
Pass option \fIopt\fP to \fBdpkg\-genchanges\fP (since dpkg 1.15.6).  Can be used
multiple times.
.TP 
\fB\-\-admindir=\fP\fIdirectorio\fP
.TQ
\fB\-\-admindir\fP \fIdirectorio\fP
Change the location of the \fBdpkg\fP database (since dpkg 1.14.0).  The
default location is \fI%ADMINDIR%\fP.
.TP 
\fB\-?\fP, \fB\-\-help\fP
Muestra el modo de uso y termina.
.TP 
\fB\-\-version\fP
Muestra la versión y termina.
.
.SH ENTORNO
.SS "External environment"
.TP 
\fBDEB_CHECK_COMMAND\fP
If set, it will be used as the command to check the \fB.changes\fP file (since
dpkg 1.17.6).  Overridden by the \fB\-\-check\-command\fP option.
.TP 
\fBDEB_SIGN_KEYID\fP
If set, it will be used to sign the \fB.changes\fP and \fB.dsc\fP files (since
dpkg 1.17.2).  Overridden by the \fB\-\-sign\-key\fP option.
.TP 
\fBDEB_BUILD_OPTIONS\fP
If set, it will contain a space\-separated list of options that might affect
the build process in \fIdebian/rules\fP, and the behavior of some dpkg
commands.

With \fBnocheck\fP the \fBDEB_CHECK_COMMAND\fP variable will be ignored.  With
\fBparallel=\fP\fIN\fP the parallel jobs will be set to \fIN\fP, overridden by the
\fB\-\-jobs\-try\fP option.
.TP 
\fBDEB_BUILD_PROFILES\fP
If set, it will be used as the active build profile(s) for the package being
built (since dpkg 1.17.2).  It is a space separated list of profile names.
Overridden by the \fB\-P\fP option.
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.TP 
\fBDPKG_NLS\fP
If set, it will be used to decide whether to activate Native Language
Support, also known as internationalization (or i18n) support (since dpkg
1.19.0).  The accepted values are: \fB0\fP and \fB1\fP (default).

.SS "Internal environment"
Even if \fBdpkg\-buildpackage\fP exports some variables, \fBdebian/rules\fP should
not rely on their presence and should instead use the respective interface
to retrieve the needed values, because that file is the main entry point to
build packages and running it standalone should be supported.

.TP 
\fBDEB_BUILD_*\fP
.TQ
\fBDEB_HOST_*\fP
.TQ
\fBDEB_TARGET_*\fP
\fBdpkg\-architecture\fP se ejecuta con los parámetros \fB\-a\fP y \fB\-t\fP. Toda
variable que ofrece una salida mediante su opción \fB\-s\fP se integra en el
entorno de construcción.
.TP 
\fBDEB_RULES_REQUIRES_ROOT\fP
This variable is set to the value obtained from the \fBRules\-Requires\-Root\fP
field or from the command\-line.  When set, it will be a valid value for the
\fBRules\-Requires\-Root\fP field.  It is used to notify \fBdebian/rules\fP whether
the \fBrootless\-builds.txt\fP specification is supported.
.TP 
\fBDEB_GAIN_ROOT_CMD\fP
This variable is set to \fIgain\-root\-command\fP when the field
\fBRules\-Requires\-Root\fP is set to a value different to \fBno\fP and
\fBbinary\-targets\fP.
.TP 
\fBSOURCE_DATE_EPOCH\fP
This variable is set to the Unix timestamp since the epoch of the latest
entry in \fIdebian/changelog\fP, if it is not already defined.
.
.SH FICHEROS
.TP 
\fI%PKGCONFDIR%/buildpackage.conf\fP
System wide configuration file
.TP 
\fI$XDG_CONFIG_HOME/dpkg/buildpackage.conf\fP or
.TQ
\fI$HOME/.config/dpkg/buildpackage.conf\fP
Fichero de configuración del usuario.
.
.SH NOTAS
.SS "Las opciones de compilación ya no se exportan."
Between dpkg 1.14.17 and 1.16.1, \fBdpkg\-buildpackage\fP exported compiler
flags (\fBCFLAGS\fP, \fBCXXFLAGS\fP, \fBFFLAGS\fP, \fBCPPFLAGS\fP and \fBLDFLAGS\fP) with
values as returned by \fBdpkg\-buildflags\fP. This is no longer the case.
.SS "Default build targets"
\fBdpkg\-buildpackage\fP is using the \fBbuild\-arch\fP and \fBbuild\-indep\fP targets
since dpkg 1.16.2. Those targets are thus mandatory. But to avoid breakages
of existing packages, and ease the transition, if the source package does
not build both architecture independent and dependent binary packages (since
dpkg 1.18.8) it will fallback to use the \fBbuild\fP target if \fBmake \-f
debian/rules \-qn\fP \fIbuild\-target\fP returns 2 as exit code.
.SH FALLOS
It should be possible to specify spaces and shell metacharacters and initial
arguments for \fIgain\-root\-command\fP and \fIsign\-command\fP.
.
.SH "VÉASE TAMBIÉN"
\fBdpkg\-source\fP(1), \fBdpkg\-architecture\fP(1), \fBdpkg\-buildflags\fP(1),
\fBdpkg\-genbuildinfo\fP(1), \fBdpkg\-genchanges\fP(1), \fBfakeroot\fP(1),
\fBlintian\fP(1), \fBgpg\fP(1).
