.\" dpkg manual page - dpkg-deb(1)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 1999 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006 Frank Lichtenheld <djpig@debian.org>
.\" Copyright © 2007-2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-deb 1 %RELEASE_DATE% %VERSION% "Herramientas de dpkg"
.ad l
.nh
.SH NOMBRE
dpkg\-deb \- Herramienta de manipulación de archivos de paquete («.deb») de
Debian
.
.SH SINOPSIS
\fBdpkg\-deb\fP [\fIopción\fP...] \fIorden\fP
.
.SH DESCRIPCIÓN
\fBdpkg\-deb\fP empaqueta, desempaqueta y ofrece información sobre archivos de
Debian.
.PP
Use \fBdpkg\fP para instalar y eliminar paquetes de su sistema.
.PP
También puede ejecutar \fBdpkg\-deb\fP usando \fBdpkg\fP con cualquiera de las
opciones que desee introducir a \fBdpkg\-deb\fP. \fBdpkg\fP notará que desea
utilizar \fBdpkg\-deb\fP, y lo ejecutará por usted.
.PP
For most commands taking an input archive argument, the archive can be read
from standard input if the archive name is given as a single minus character
(«\fB\-\fP»); otherwise lack of support will be documented in their respective
command description.
.
.SH ÓRDENES
.TP 
\fB\-b\fP, \fB\-\-build\fP \fIbinary\-directory\fP [\fIarchive\fP|\fIdirectory\fP]
Creates a debian archive from the filesystem tree stored in
\fIbinary\-directory\fP. \fIbinary\-directory\fP must have a \fBDEBIAN\fP subdirectory,
which contains the control information files such as the control file
itself. This directory will \fInot\fP appear in the binary package's filesystem
archive, but instead the files in it will be put in the binary package's
control information area.

Unless you specify \fB\-\-nocheck\fP, \fBdpkg\-deb\fP will read \fBDEBIAN/control\fP and
parse it. It will check the file for syntax errors and other problems, and
display the name of the binary package being built.  \fBdpkg\-deb\fP will also
check the permissions of the maintainer scripts and other files found in the
\fBDEBIAN\fP control information directory.

If no \fIarchive\fP is specified then \fBdpkg\-deb\fP will write the package into
the file \fIbinary\-directory\fP\fB.deb\fP.

Si el archivo a crear ya existe se sobreescribirá.

If the second argument is a directory then \fBdpkg\-deb\fP will write to the
file \fIdirectory\fP\fB/\fP\fIpackage\fP\fB_\fP\fIversion\fP\fB_\fP\fIarch\fP\fB.deb.\fP When a
target directory is specified, rather than a file, the \fB\-\-nocheck\fP option
may not be used (since \fBdpkg\-deb\fP needs to read and parse the package
control file to determine which filename to use).
.TP 
\fB\-I\fP, \fB\-\-info\fP \fIarchivo\fP [\fIfichero\-de\-control\fP ..]
Ofrece información acerca del paquete binario.

Si no se especifica el \fIfichero(s)\-de\-control\fP se mostrará un resumen de
los contenidos del paquete así como del fichero de control.

Si se especifica algún \fIfichero\-de\-control\fP, \fBdpkg\-deb\fP imprimirá los
contenidos en el orden en que se especificaron. Si cualquiera de los
componentes no estuviese presente se mostrará un mensaje de error por la
salida de error estándar para cada uno de ellos, interrumpiendo el proceso
con el estado de salida 2.
.TP 
\fB\-W\fP, \fB\-\-show\fP \fIarchivo\fP
Ofrece información acerca del paquete binario con el formato definido por el
argumento \fB\-\-showformat\fP. El formato predefinido muestra el nombre del
paquete y la versión en una sola línea, separados por un tabulado.
.TP 
\fB\-f\fP, \fB\-\-field\fP \fIarchivo\fP [\fIcampo\-del\-fichero\-control\fP ...]
Extrae información del fichero de control del fichero de un paquete binario.

If no \fIcontrol\-field\-name\fPs are specified then it will print the whole
control file.

If any are specified then \fBdpkg\-deb\fP will print their contents, in the
order in which they appear in the control file. If more than one
\fIcontrol\-field\-name\fP is specified then \fBdpkg\-deb\fP will precede each with
its field name (and a colon and space).

No se informa de ningún error para los campos solicitados pero no
encontrados.
.TP 
\fB\-c\fP, \fB\-\-contents\fP \fIarchivo\fP
Lista los contenidos de la parte del archivo de paquete que se instala en el
árbol del sistema de ficheros, sin incluir ficheros específicos del sistema
de empaquetado de Debian. La lista se genera con el formato producido por el
listado informativo de \fBtar\fP.
.TP 
\fB\-x\fP, \fB\-\-extract\fP \fIdirectorio\-archivo\fP
Extrae el árbol del sistema de ficheros del archivo de paquetes al
directorio especificado.

¡Tenga en cuenta que \fIno\fP obtendrá una instalación correcta si extrae un
paquete en el directorio raíz! Use \fBdpkg\fP para instalar paquetes.

Se creará el \fIdirectorio\fP (pero no los directorios padre) de ser necesario,
modificando sus permisos de acuerdo a los contenidos del paquete.
.TP 
\fB\-X\fP, \fB\-\-vextract\fP \fIdirectorio\-archivo\fP
Similar a \fB\-\-extract\fP (\fB\-x\fP) con \fB\-\-verbose\fP (\fB\-v\fP), que muestra una
lista de ficheros a medida que se extraen.
.TP 
\fB\-R\fP, \fB\-\-raw\-extract\fP \fIdirectorio\-archivo\fP
Extracts the filesystem tree from a package archive into a specified
directory, and the control information files into a \fBDEBIAN\fP subdirectory
of the specified directory (since dpkg 1.16.1).

El directorio de destino (pero no los directorios padre) se creará de ser
necesario.

The input archive is not (currently) processed sequentially, so reading it
from standard input («\fB\-\fP») is \fBnot\fP supported.
.TP 
\fB\-\-ctrl\-tarfile\fP \fIarchive\fP
Extracts the control data from a binary package and sends it to standard
output in \fBtar\fP format (since dpkg 1.17.14). Together with \fBtar\fP(1)  this
can be used to extract a particular control file from a package archive.
The input archive will always be processed sequentially.
.TP 
\fB\-\-fsys\-tarfile\fP \fIarchivo\fP
Extrae los datos del árbol de sistema de ficheros de un paquete binario,
enviándolo por la salida estándar en formato \fBtar\fP. Se puede utilizar junto
con \fBtar\fP(1) para extraer un fichero específico de un archivo de
paquetes. El archivo de entrada siempre se procesa de forma secuencial.
.TP 
\fB\-e\fP, \fB\-\-control\fP \fIarchivo\fP [\fIdirectorio\fP]
Extrae los ficheros de información de control de un archivo de paquete al
directorio especificado.

Si no se especifica ningún directorio, se usará el subdirectorio \fBDEBIAN\fP
del directorio actual.

El directorio de destino (pero no los directorios padre) se creará de ser
necesario.
.TP 
\fB\-?\fP, \fB\-\-help\fP
Muestra el modo de uso y termina.
.TP 
\fB\-\-version\fP
Muestra la versión y termina.
.
.SH OPCIONES
.TP 
\fB\-\-showformat=\fP\fIformat\fP
Esta opción sirve para especificar el formato de la salida que \fB\-\-show\fP
producirá. El formato es una cadena que será la salida de cada paquete
listado.

The string may reference any status field using the “${\fIfield\-name\fP}” form,
a list of the valid fields can be easily produced using \fB\-I\fP on the same
package. A complete explanation of the formatting options (including escape
sequences and field tabbing) can be found in the explanation of the
\fB\-\-showformat\fP option in \fBdpkg\-query\fP(1).

The default for this field is “${Package}\et${Version}\en”.
.TP 
\fB\-z\fP\fInivel\-compresión\fP
Specify which compression level to use on the compressor backend, when
building a package (default is 9).  The accepted values are 0\-9 with: 0
being mapped to compressor none for gzip.  Before dpkg 1.16.2 level 0 was
equivalent to compressor none for all compressors.
.TP 
\fB\-Z\fP\fIsistema\-de\-compresión\fP
Specify which compression strategy to use on the compressor backend, when
building a package (since dpkg 1.16.2). Allowed values are \fBnone\fP (since
dpkg 1.16.4), \fBfiltered\fP, \fBhuffman\fP, \fBrle\fP and \fBfixed\fP for gzip (since
dpkg 1.17.0) and \fBextreme\fP for xz.
.TP 
\fB\-Z\fP\fItipo\-de\-compresión\fP
Specify which compression type to use when building a package.  Allowed
values are \fBgzip\fP, \fBxz\fP (since dpkg 1.15.6), and \fBnone\fP (default is
\fBxz\fP).
.TP 
\fB\-\-[no\-]uniform\-compression\fP
Specify that the same compression parameters should be used for all archive
members (i.e. \fBcontrol.tar\fP and \fBdata.tar\fP; since dpkg 1.17.6).  Otherwise
only the \fBdata.tar\fP member will use those parameters. The only supported
compression types allowed to be uniformly used are \fBnone\fP, \fBgzip\fP and
\fBxz\fP.  The \fB\-\-no\-uniform\-compression\fP option disables uniform compression
(since dpkg 1.19.0).  Uniform compression is the default (since dpkg
1.19.0).
.TP 
\fB\-\-root\-owner\-group\fP
Set the owner and group for each entry in the filesystem tree data to root
with id 0 (since dpkg 1.19.0).

\fBNote\fP: This option can be useful for rootless builds (see
\fIrootless\-builds.txt\fP), but should \fBnot\fP be used when the entries have an
owner or group that is not root.  Support for these will be added later in
the form of a meta manifest.
.TP 
\fB\-\-deb\-format=\fP\fIformat\fP
Set the archive format version used when building (since dpkg 1.17.0).
Allowed values are \fB2.0\fP for the new format, and \fB0.939000\fP for the old
one (default is \fB2.0\fP).

The old archive format is less easily parsed by non\-Debian tools and is now
obsolete; its only use is when building packages to be parsed by versions of
dpkg older than 0.93.76 (September 1995), which was released as i386 a.out
only.
.TP 
\fB\-\-nocheck\fP
Impide las comprobaciones habituales de \fBdpkg\-deb \-\-build\fP sobre los
contenidos del archivo. Puede construir cualquier archivo que desee, no
importa lo mal que esté.
.TP 
\fB\-v\fP, \fB\-\-verbose\fP
Enables verbose output (since dpkg 1.16.1).  This currently only affects
\fB\-\-extract\fP making it behave like \fB\-\-vextract\fP.
.TP 
\fB\-D\fP, \fB\-\-debug\fP
Activa los mensajes de depuración. No son muy interesantes.
.
.SH "ESTADOS DE SALIDA"
.TP 
\fB0\fP
La acción requerida finalizó con éxito.
.TP 
\fB2\fP
Fatal or unrecoverable error due to invalid command\-line usage, or
interactions with the system, such as accesses to the database, memory
allocations, etc.
.
.SH ENTORNO
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.TP 
\fBTMPDIR\fP
Si se define, \fBdpkg\-deb\fP lo usará como el directorio en el que crear
ficheros temporales y directorios.
.TP 
\fBSOURCE_DATE_EPOCH\fP
If set, it will be used as the timestamp (as seconds since the epoch) in the
\fBdeb\fP(5)'s \fBar\fP(5) container and used to clamp the mtime in the \fBtar\fP(5)
file entries.
.
.SH NOTAS
¡No use \fBdpkg\-deb\fP para instalar software! Debe utilizar \fBdpkg\fP para
asegurar que todos los ficheros se instalan en el sitio correcto, los
scripts del paquete se ejecuten y que se registren los contenidos y estado
el de éste.
.
.SH FALLOS
\fBdpkg\-deb \-I\fP \fIpaquete1\fP\fB.deb\fP \fIpaquete2\fP\fB.deb\fP no funciona como
debería.

No realiza ninguna comprobación de autenticidad de los ficheros \fB.deb\fP; de
hecho, ni siquiera una suma de control. Las herramientas de nivel alto como
APT son capaces de autenticar paquetes obtenidos desde el repositorio dado,
y la mayoría de estos ofrecen a día de hoy un fichero de sumas de control
md5 generado por «debian/rules». Las herramientas de bajo nivel no tienen
una compatibilidad directa con estos procesos.
.
.SH "VÉASE TAMBIÉN"
\fBdeb\fP(5), \fBdeb\-control\fP(5), \fBdpkg\fP(1), \fBdselect\fP(1).
