.\" dpkg manual page - dpkg-genchanges(1)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006-2016 Guillem Jover <guillem@debian.org>
.\" Copyright © 2008-2010 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-genchanges 1 %RELEASE_DATE% %VERSION% "Herramientas de dpkg"
.ad l
.nh
.SH NOMBRE
dpkg\-genchanges \- Generación de ficheros de Debian «.changes»
.
.SH SINOPSIS
\fBdpkg\-genchanges\fP [\fIopción\fP...]
.br
.
.SH DESCRIPCIÓN
\fBdpkg\-genchanges\fP lee la información de un árbol de fuentes de Debian
desempaquetado y construido, así como de los ficheros que ha generado, y
crea un fichero de control de subida de Debian, el fichero \fB.changes\fP.
.
.SH OPCIONES
.TP 
\fB\-\-build=\fP\fItype\fP
Specifies the build \fItype\fP from a comma\-separated list of components (since
dpkg 1.18.5).

The allowed values are:
.RS
.TP 
\fBsource\fP
Upload the source package.
.TP 
\fBany\fP
Upload the architecture specific binary packages.
.TP 
\fBall\fP
Upload the architecture independent binary packages.
.TP 
\fBbinary\fP
Upload the architecture specific and independent binary packages.  This is
an alias for \fBany,all\fP.
.TP 
\fBfull\fP
Upload everything.  This is alias for \fBsource,any,all\fP, and the same as the
default case when no build option is specified.
.RE
.TP 
\fB\-g\fP
Equivalent to \fB\-\-build=source,all\fP (since dpkg 1.17.11).
.TP 
\fB\-G\fP
Equivalent to \fB\-\-build=source,any\fP (since dpkg 1.17.11).
.TP 
\fB\-b\fP
Equivalent to \fB\-\-build=binary\fP or \fB\-\-build=any,all\fP.
.TP 
\fB\-B\fP
Equivalent to \fB\-\-build=any\fP.
.TP 
\fB\-A\fP
Equivalent to \fB\-\-build=all\fP.
.TP 
\fB\-S\fP
Equivalent to \fB\-\-build=source\fP.
.PP
Las opciones \fB\-s\fP\fIx\fP controlan si el archivo original de las fuentes se
incluye en la subida generada, en caso de generar alguna fuente (por
ejemplo, si no se han usado \fB\-b\fP o \fB\-B\fP).
.TP 
\fB\-si\fP
Por omisión, o si se especifica, las fuentes originales se incluirán si el
número de versión del autor original (la versión sin «epoch» y sin la parte
del número de versión que corresponde a la revisión de Debian) difiere del
número de versión de la fuente original en la entrada del registro de
cambios.
.TP 
\fB\-sa\fP
Fuerza la inclusión de la fuente original.
.TP 
\fB\-sd\fP
Fuerza la exclusión de la fuente original y sólo incluye el fichero de
diferencias «.diff».
.fi
.TP 
\fB\-v\fP\fIversión\fP
Provoca el uso de la información del registro de cambios de todas las
versiones estrictamente posteriores a \fIversión\fP.
.TP 
\fB\-C\fP\fIdescripción\-de\-cambios\fP
Lee la descripción de los cambios del fichero \fIchanges\-description\fP en
lugar de utilizar la información contenida en el fichero de cambios del
árbol de fuentes.
.TP 
\fB\-m\fP\fIdirección\-mantenedor\fP
Utiliza \fIdirección\-mantenedor\fP como el nombre y dirección de correo del
responsable de este paquete, en lugar de utilizar la información del fichero
de control del árbol de fuentes.
.TP 
\fB\-e\fP\fIdirección\-mantenedor\fP
Utiliza \fIdirección\-mantenedor\fP como el nombre y dirección de correo del
responsable de esta subida, en lugar de utilizar la información del registro
de cambios del árbol de fuentes.
.TP 
\fB\-V\fP\fInombre\fP\fB=\fP\fIvalor\fP
Define una variable de sustitución de la salida. Consulte
\fBdeb\-substvars\fP(5) para más información acerca de la sustitución de la
salida.
.TP 
\fB\-T\fP\fIfichero\-variables\-sustitución\fP
Read substitution variables in \fIsubstvars\-file\fP; the default is
\fBdebian/substvars\fP.  No variable substitution is done on any of the fields
that are output, except for the contents extracted from each binary package
\fBDescription\fP field (since dpkg 1.19.0), however the special variable
\fIFormat\fP will override the field of the same name.  This option can be used
multiple times to read substitution variables from multiple files (since
dpkg 1.15.6).

.TP 
\fB\-D\fP\fIcampo\fP\fB=\fP\fIvalor\fP
Sobreescribe o añade un campo en el fichero de control de salida.
.TP 
\fB\-U\fP\fIcampo\fP
Elimina un campo del fichero de control de salida.
.TP 
\fB\-c\fP\fIfichero\-control\fP
Define el fichero de control principal de las fuentes del que leer la
información. Por omisión es \fBdebian/control\fP.
.TP 
\fB\-l\fP\fIfichero\-de\-cambios\fP
Define el fichero de registro de cambios del que leer la información. Por
omisión es \fBdebian/changelog\fP.
.TP 
\fB\-f\fP\fIfichero\-de\-lista\-de\-ficheros\fP
Lee o escribe la lista de ficheros para subir aquí, en lugar de utilizar
\fBdebian/files\fP.
.TP 
\fB\-F\fP\fIformato\-fichero\-de\-cambios\fP
Define el formato del fichero de cambios. Para información sobre formatos
alternativos consulte \fBdpkg\-parsechangelog\fP(1).
.TP 
\fB\-u\fP\fIdirectorio\-subida\-ficheros\fP
Busca ficheros a subir en \fIdirectorio\-subida\-ficheros\fP en lugar de \fB..\fP
(\fBdpkg\-genchanges\fP necesita encontrar estos ficheros para poder incluir sus
tamaños y sumas de verificación en el fichero \fB.changes\fP).
.TP 
\fB\-q\fP
Habitualmente, \fBdpkg\-genchanges\fP producirá mensajes informativos por la
salida de error estándar, por ejemplo acerca de cuántos de los ficheros
fuente de los paquetes se están subiendo. \fB\-q\fP suprime dichos mensajes.
.TP 
\fB\-O\fP[\fIfilename\fP]
Print the changes file to standard output (the default) or to \fIfilename\fP if
specified (since dpkg 1.18.5).
.TP 
\fB\-?\fP, \fB\-\-help\fP
Muestra el modo de uso y termina.
.TP 
\fB\-\-version\fP
Muestra la versión y termina.
.
.SH ENTORNO
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.TP 
\fBDPKG_NLS\fP
If set, it will be used to decide whether to activate Native Language
Support, also known as internationalization (or i18n) support (since dpkg
1.19.0).  The accepted values are: \fB0\fP and \fB1\fP (default).
.
.SH FICHEROS
.TP 
\fBdebian/files\fP
La lista de ficheros generados que forman parte de la subida al servidor en
preparación. \fBdpkg\-genchanges\fP lee los datos aquí cuando produce un fichero
\&\fB.changes\fP.
.
.SH "VÉASE TAMBIÉN"
\fBdeb\-substvars\fP(5), \fBdeb\-src\-control\fP(5), \fBdeb\-src\-files\fP(5),
\fBdeb\-changelog\fP(5), \fBdeb\-changes\fP(5).
