.\" dpkg manual page - dpkg-gensymbols(1)
.\"
.\" Copyright © 2007-2011 Raphaël Hertzog <hertzog@debian.org>
.\" Copyright © 2009-2010 Modestas Vainius <modestas@vainius.eu>
.\" Copyright © 2012-2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-gensymbols 1 %RELEASE_DATE% %VERSION% "Herramientas de dpkg"
.ad l
.nh
.SH NOMBRE
dpkg\-gensymbols \- Generación de ficheros «symbols» (información de
dependencia de bibliotecas compartidas)
.
.SH SINOPSIS
\fBdpkg\-gensymbols\fP [\fIopción\fP...]
.
.SH DESCRIPCIÓN
\fBdpkg\-gensymbols\fP analiza un árbol temporal de construcción («debian/tmp»
por omisión) en busca de bibliotecas para generar un fichero \fIsymbols\fP que
los describa. Este fichero, si no está vacío, se instala en el subdirectorio
«DEBIAN» del árbol de construcción, para después incluir el contenido en la
información de control del paquete.
.P
Al generar estos ficheros, usa algunos ficheros «symbols» como entrada
proporcionados por el desarrollador. Busca los siguientes ficheros,
utilizando el primero que encuentra.
.IP • 4
debian/\fIpackage\fP.symbols.\fIarch\fP
.IP • 4
debian/symbols.\fIarch\fP
.IP • 4
debian/\fIpackage\fP.symbols
.IP • 4
debian/symbols
.P
The main interest of those files is to provide the minimal version
associated to each symbol provided by the libraries. Usually it corresponds
to the first version of that package that provided the symbol, but it can be
manually incremented by the maintainer if the ABI of the symbol is extended
without breaking backwards compatibility. It's the responsibility of the
maintainer to keep those files up\-to\-date and accurate, but
\fBdpkg\-gensymbols\fP helps with that.
.P
Cuando los ficheros «symbols» generados difieren del proporcionado por el
desarrollador, \fBdpkg\-gensymbols\fP mostrará las diferencias entre ambas
versiones. Más aún, puede que falle si la diferencia es demasiado grande,
(puede configurar cuanta diferencia tolerar, consulte la opción \fB\-c\fP).
.SH "MANTENER FICHEROS «SYMBOLS»"
The base interchange format of the symbols file is described in
\fBdeb\-symbols\fP(5), which is used by the symbols files included in binary
packages. These are generated from template symbols files with a format
based on the former, described in \fBdeb\-src\-symbols\fP(5)  and included in
source packages.
.P
The symbols files are really useful only if they reflect the evolution of
the package through several releases. Thus the maintainer has to update them
every time that a new symbol is added so that its associated minimal version
matches reality.
.P
The diffs contained in the build logs can be used as a starting point, but
the maintainer, additionally, has to make sure that the behaviour of those
symbols has not changed in a way that would make anything using those
symbols and linking against the new version, stop working with the old
version.
.P
In most cases, the diff applies directly to the debian/\fIpackage\fP.symbols
file. That said, further tweaks are usually needed: it's recommended for
example to drop the Debian revision from the minimal version so that
backports with a lower version number but the same upstream version still
satisfy the generated dependencies.  If the Debian revision can't be dropped
because the symbol really got added by the Debian specific change, then one
should suffix the version with ‘\fB~\fP’.
.P
Antes de aplicar un parche al fichero «symbols» el desarrollador debería
revisar nuevamente que es adecuado. Se espera que los símbolos públicos no
desaparezcan así que, idealmente, el parche sólo debería añadir líneas
nuevas.
.P
Note that you can put comments in symbols files.
.P
Do not forget to check if old symbol versions need to be increased.  There
is no way \fBdpkg\-gensymbols\fP can warn about this. Blindly applying the diff
or assuming there is nothing to change if there is no diff, without checking
for such changes, can lead to packages with loose dependencies that claim
they can work with older packages they cannot work with. This will introduce
hard to find bugs with (partial)  upgrades.
.SS "Buena gestión de bibliotecas"
.P
Una biblioteca mantenida adecuadamente tiene las siguientes características:
.IP • 4
su API es estable (los símbolos públicos nunca se eliminan, sino que sólo se
añaden símbolos nuevos), y los cambios pueden introducir una
incompatibilidad sólo cuando el «SONAME» cambia;
.IP • 4
Idealmente, usa el versionado de símbolos para alcanzar la estabilidad de la
ABI, a pesar de cambios internos y la extensión de la API;
.IP • 4
No exporta símbolos privados (tales como símbolos etiquetados como
opcionales para evitar un problema).
.P
Al mantener un fichero «symbols» es sencillo notar la aparición y
desaparición de símbolos. Pero es más difícil notar cambios incompatibles en
las API y ABI. Por ello, el responsable del paquete debería leer
cuidadosamente el registro de cambios de la fuente original en busca de
casos en los que se ha roto la correcta gestión de bibliotecas. Se debería
notificar al autor original en caso de encontrar problemas potenciales, ya
que un arreglo en la fuente original del software es siempre preferible a un
arreglo específico de Debian.
.SH OPCIONES
.TP 
\fB\-P\fP\fIdirectorio\-compilación\-paquete\fP
Analiza \fIdirectorio\-compilación\-paquete\fP en lugar de «debian/tmp».
.TP 
\fB\-p\fP\fIpaquete\fP
Define el nombre del paquete. Es necesario si aparece más de un paquete
binario en «debian/control» (o si no existe ningún fichero
«debian/control»).
.TP 
\fB\-v\fP\fIversión\fP
Define la versión del paquete. El valor por omisión es la versión extraída
de «debian/changelog». Necesario en caso de una ejecución externa al árbol
del paquete fuente.
.TP 
\fB\-e\fP\fIfichero\-biblioteca\fP
Only analyze libraries explicitly listed instead of finding all public
libraries. You can use shell patterns used for pathname expansions (see the
\fBFile::Glob\fP(3perl) manual page for details) in \fIlibrary\-file\fP to match
multiple libraries with a single argument (otherwise you need multiple
\fB\-e\fP).
.TP 
\fB\-l\fP\fIdirectory\fP
Prepend \fIdirectory\fP to the list of directories to search for private shared
libraries (since dpkg 1.19.1). This option can be used multiple times.

Note: Use this option instead of setting \fBLD_LIBRARY_PATH\fP, as that
environment variable is used to control the run\-time linker and abusing it
to set the shared library paths at build\-time can be problematic when
cross\-compiling for example.
.TP 
\fB\-I\fP\fInombre\-fichero\fP
Usa \fInombre\-fichero\fP como un fichero de referencia para generar el fichero
«symbols» integrado en el mismo paquete.
.TP 
\fB\-O\fP[\fIfilename\fP]
Print the generated symbols file to standard output or to \fIfilename\fP if
specified, rather than to \fBdebian/tmp/DEBIAN/symbols\fP (or
\fIpackage\-build\-dir\fP\fB/DEBIAN/symbols\fP if \fB\-P\fP was used). If \fIfilename\fP is
pre\-existing, its contents are used as basis for the generated symbols
file.  You can use this feature to update a symbols file so that it matches
a newer upstream version of your library.
.TP 
\fB\-t\fP
Write the symbol file in template mode rather than the format compatible
with \fBdeb\-symbols\fP(5). The main difference is that in the template mode
symbol names and tags are written in their original form contrary to the
post\-processed symbol names with tags stripped in the compatibility mode.
Moreover, some symbols might be omitted when writing a standard
\fBdeb\-symbols\fP(5) file (according to the tag processing rules) while all
symbols are always written to the symbol file template.
.TP 
\fB\-c\fP\fI[0\-4]\fP
Define las comprobaciones a realizar al comparar el fichero «symbols»
generado usando como base el fichero de plantilla. El nivel predefinido es
1. Aumentar los niveles conlleva más comprobaciones, así como la inclusión
de todos los niveles inferiores. El nivel 0 nunca falla. El nivel 1 falla si
algunos símbolos han desaparecido. El nivel 2 falla si se han introducido
símbolos nuevos. El nivel 3 falla si han desaparecido algunas
bibliotecas. El nivel 4 falla si se han introducido bibliotecas nuevas.

This value can be overridden by the environment variable
\fBDPKG_GENSYMBOLS_CHECK_LEVEL\fP.
.TP 
\fB\-q\fP
Keep quiet and never generate a diff between generated symbols file and the
template file used as starting point or show any warnings about new/lost
libraries or new/lost symbols. This option only disables informational
output but not the checks themselves (see \fB\-c\fP option).
.TP 
\fB\-a\fP\fIarquitectura\fP
Toma \fIarquitectura\fP como la arquitectura anfitrión al procesar ficheros
«symbols». Use esta opción para generar un fichero «symbols» o un «diff»
para cualquier arquitectura, siempre y cuando sus binarios ya estén
disponibles.
.TP 
\fB\-d\fP
Activa el modo de depuración. Se muestran numerosos mensajes que explican
las acciones de \fBdpkg\-gensymbols\fP.
.TP 
\fB\-V\fP
Activa el modo verboso. El fichero «symbols» generado contiene símbolos
obsoletos en la forma de comentarios. Además, en modo plantilla los patrones
de símbolo anteceden a los comentarios que listan los símbolos reales que
coinciden con el patrón.
.TP 
\fB\-?\fP, \fB\-\-help\fP
Muestra el modo de uso y termina.
.TP 
\fB\-\-version\fP
Muestra la versión y termina.
.
.SH ENTORNO
.TP 
\fBDPKG_GENSYMBOLS_CHECK_LEVEL\fP
Overrides the command check level, even if the \fB\-c\fP command\-line argument
was given (note that this goes against the common convention of command\-line
arguments having precedence over environment variables).
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.TP 
\fBDPKG_NLS\fP
If set, it will be used to decide whether to activate Native Language
Support, also known as internationalization (or i18n) support (since dpkg
1.19.0).  The accepted values are: \fB0\fP and \fB1\fP (default).
.
.SH "VÉASE TAMBIÉN"
\fBhttps://people.redhat.com/drepper/symbol\-versioning\fP
.br
\fBhttps://people.redhat.com/drepper/goodpractice.pdf\fP
.br
\fBhttps://people.redhat.com/drepper/dsohowto.pdf\fP
.br
\fBdeb\-src\-symbol\fP(5), \fBdeb\-symbols\fP(5), \fBdpkg\-shlibdeps\fP(1).
