.\" dpkg manual page - dpkg-maintscript-helper(1)
.\"
.\" Copyright © 2010-2012 Raphaël Hertzog <hertzog@debian.org>
.\" Copyright © 2011-2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-maintscript\-helper 1 %RELEASE_DATE% %VERSION% "Herramientas de dpkg"
.ad l
.nh
.SH NOMBRE
dpkg\-maintscript\-helper \- Solución alternativa a las limitaciones de dpkg en
scripts de mantenedor
.
.SH SINOPSIS
\fBdpkg\-maintscript\-helper\fP \fIorden\fP [\fIparámetro\fP...] \fB\-\-\fP
\fIparámetro\-script\-mantenedor\fP...
.
.SH "ÓRDENES Y PARÁMETROS"
.P
\fBsupports\fP \fIcommand\fP
.P
\fBrm_conffile\fP \fIconffile\fP [\fIúltima\-versión\fP [\fIpaquete\fP]]
.P
\fBmv_conffile\fP \fIconffile\-antiguo\fP \fIconffile\-nuevo\fP [\fIúltima\-versión\fP
[\fIpaquete\fP]]
.P
\fBsymlink_to_dir\fP \fIpathname\fP \fIold\-target\fP [\fIprior\-version\fP [\fIpackage\fP]]
.P
\fBdir_to_symlink\fP \fIpathname\fP \fInew\-target\fP [\fIprior\-version\fP [\fIpackage\fP]]
.
.SH DESCRIPCIÓN
.P
This program is designed to be run within maintainer scripts to achieve some
tasks that \fBdpkg\fP can't (yet) handle natively either because of design
decisions or due to current limitations.
.P
Many of those tasks require coordinated actions from several maintainer
scripts (\fBpreinst\fP, \fBpostinst\fP, \fBprerm\fP, \fBpostrm\fP). To avoid mistakes
the same call simply needs to be put in all scripts and the program will
automatically adapt its behaviour based on the environment variable
\fBDPKG_MAINTSCRIPT_NAME\fP and on the maintainer scripts arguments that you
have to forward after a double hyphen.
.
.SH "COMMON PARAMETERS"
.TP 
\fIprior\-version\fP
Defines the latest version of the package whose upgrade should trigger the
operation. It is important to calculate \fIprior\-version\fP correctly so that
the operations are correctly performed even if the user rebuilt the package
with a local version. If \fIprior\-version\fP is empty or omitted, then the
operation is tried on every upgrade (note: it's safer to give the version
and have the operation tried only once).

If the conffile has not been shipped for several versions, and you are now
modifying the maintainer scripts to clean up the obsolete file,
\fIprior\-version\fP should be based on the version of the package that you are
now preparing, not the first version of the package that lacked the
conffile. This applies to all other actions in the same way.

For example, for a conffile removed in version \fB2.0\-1\fP of a package,
\fIprior\-version\fP should be set to \fB2.0\-1~\fP. This will cause the conffile to
be removed even if the user rebuilt the previous version \fB1.0\-1\fP as
\fB1.0\-1local1\fP. Or a package switching a path from a symlink (shipped in
version \fB1.0\-1\fP) to a directory (shipped in version \fB2.0\-1\fP), but only
performing the actual switch in the maintainer scripts in version \fB3.0\-1\fP,
should set \fIprior\-version\fP to \fB3.0\-1~\fP.
.TP 
\fIpackage\fP
The package name owning the pathname(s).  When the package is “Multi\-Arch:
same” this parameter must include the architecture qualifier, otherwise it
should \fBnot\fP usually include the architecture qualifier (as it would
disallow cross\-grades, or switching from being architecture specific to
architecture \fBall\fP or vice versa).  If the parameter is empty or omitted,
the \fBDPKG_MAINTSCRIPT_PACKAGE\fP and \fBDPKG_MAINTSCRIPT_ARCH\fP environment
variables (as set by \fBdpkg\fP when running the maintainer scripts) will be
used to generate an arch\-qualified package name.
.TP 
\fB\-\-\fP
All the parameters of the maintainer scripts have to be forwarded to the
program after \fB\-\-\fP.
.SH "TAREAS CON FICHEROS DE CONFIGURACIÓN «CONFFILES»"
.P
When upgrading a package, \fBdpkg\fP will not automatically remove a conffile
(a configuration file for which \fBdpkg\fP should preserve user changes) if it
is not present in the newer version. There are two principal reasons for
this; the first is that the conffile could've been dropped by accident and
the next version could restore it, users wouldn't want their changes thrown
away. The second is to allow packages to transition files from a
dpkg\-maintained conffile to a file maintained by the package's maintainer
scripts, usually with a tool like debconf or ucf.
.P
Esto significa que si un paquete pretende renombrar o eliminar un fichero de
configuración, debe hacerlo de forma explícita. \fBdpkg\-maintscript\-helper\fP
se puede utilizar para implementar con sencillez dentro de los scripts del
mantenedor la eliminación y el desplazamiento de ficheros de configuración
«conffile».
.
.SS "Removing a conffile"
.P
Si se elimina un fichero de configuración «conffile» por completo, se
debería eliminar del disco a menos que un usuario lo haya modificado. Se
deberían preservar modificaciones locales en caso de existir. Si se cancela
la actualización del paquete, el fichero de configuración «conffile»
declarado como obsoleto no debería desaparecer.
.P
Esto se puede integrar introduciendo el siguiente texto de consola en los
scripts de mantenedor \fBpreinst\fP, \fBpostinst\fP y \fBpostrm\fP:
.P
    dpkg\-maintscript\-helper rm_conffile \e
        \fIconffile\fP \fIúltima\-versión\fP \fIpaquete\fP \-\- "$@"
.P
\fIconffile\fP es el nombre del fichero de configuración «conffile» a eliminar.
.P
Implementación actual: en el script \fBpreinst\fP, comprueba si se ha
modificado el fichero de configuración y lo renombra bien como
\fIconffile\fP\fB.dpkg\-remove\fP (si no se ha modificado), o como
\fIconffile\fP\fB.dpkg\-backup\fP (si se ha modificado). En el script \fBpostinst\fP,
el segundo fichero se renombra a \fIconffile\fP\fB.dpkg\-bak\fP y se guarda como
referencia ya que contiene modificaciones del usuario, mientras que el
primer script se elimina. Si se interrumpe la actualización del paquete, el
script \fBpostrm\fP reinstalará el fichero de configuración «conffile»
original. Durante el purgado, el script \fBpostrm\fP borrará también el fichero
\&\fB.dpkg\-bak\fP mantenido hasta ahora.
.
.SS "Renaming a conffile"
.P
If a conffile is moved from one location to another, you need to make sure
you move across any changes the user has made. This may seem a simple change
to the \fBpreinst\fP script at first, however that will result in the user
being prompted by \fBdpkg\fP to approve the conffile edits even though they are
not responsible of them.
.P
Puede integrar renombrar con sencillez insertando el siguiente texto de
consola en los scripts de mantenedor \fBpreinst\fP, \fBpostinst\fP y \fBpostrm\fP.
.P
    dpkg\-maintscript\-helper mv_conffile \e
        \fIconffile\-antiguo\fP \fIconffile\-nuevo\fP \fIúltima\-versión\fP \fIpaquete\fP \-\- "$@"
.P
\fIconffile\-antiguo\fP y \fIconffile\-nuevo\fP son el nombre antiguo y nuevo del
fichero de configuración «conffile» a renombrar.
.P
Implementación actual: el script \fBpreinst\fP comprueba si se ha modificado el
fichero de configuración «conffile», preservándolo en su lugar si es así, o
renombrándolo como \fIconffile\-antiguo\fP\fB.dpkg\-remove\fP en caso
contrario. Durante la configuración, el script \fBpostinst\fP elimina
\fIconffile\-antiguo\fP\fB.dpkg\-remove\fP y renombra \fIconffile\-antiguo\fP como
\fIconffile\-nuevo\fP si el primero aún está disponible. Durante la cancelación
de una instalación o actualización el script \fIpostrm\fP renombra
\fIconffile\-antiguo\fP\fB.dpkg\-remove\fP nuevamente como \fIconffile\-antiguo\fP de
ser necesario.
.
.SH "SYMLINK AND DIRECTORY SWITCHES"
.
When upgrading a package, \fBdpkg\fP will not automatically switch a symlink to
a directory or vice\-versa. Downgrades are not supported and the path will be
left as is.
.
.SS "Switching a symlink to directory"
.
If a symlink is switched to a real directory, you need to make sure before
unpacking that the symlink is removed. This may seem a simple change to the
\fBpreinst\fP script at first, however that will result in some problems in
case of admin local customization of the symlink or when downgrading the
package.
.P
Puede integrar renombrar con sencillez insertando el siguiente texto de
consola en los scripts de mantenedor \fBpreinst\fP, \fBpostinst\fP y \fBpostrm\fP.
.P
    dpkg\-maintscript\-helper symlink_to_dir \e
        \fIpathname\fP \fIold\-target\fP \fIprior\-version\fP \fIpackage\fP \-\- "$@"
.P
\fIpathname\fP is the absolute name of the old symlink (the path will be a
directory at the end of the installation) and \fIold\-target\fP is the target
name of the former symlink at \fIpathname\fP. It can either be absolute or
relative to the directory containing \fIpathname\fP.
.P
Current implementation: the \fBpreinst\fP checks if the symlink exists and
points to \fIold\-target\fP, if not then it's left in place, otherwise it's
renamed to \fIpathname\fP\fB.dpkg\-backup\fP. On configuration, the \fBpostinst\fP
removes \fIpathname\fP\fB.dpkg\-backup\fP if \fIpathname\fP\fB.dpkg\-backup\fP is still a
symlink. On abort\-upgrade/abort\-install, the \fBpostrm\fP renames
\fIpathname\fP\fB.dpkg\-backup\fP back to \fIpathname\fP if required.
.
.SS "Switching a directory to symlink"
.
If a real directory is switched to a symlink, you need to make sure before
unpacking that the directory is removed. This may seem a simple change to
the \fBpreinst\fP script at first, however that will result in some problems in
case the directory contains conffiles, pathnames owned by other packages,
locally created pathnames, or when downgrading the package.
.P
Graceful switching can be implemented by putting the following shell snippet
in the \fBpreinst\fP, \fBpostinst\fP and \fBpostrm\fP maintainer scripts:
.P
    dpkg\-maintscript\-helper dir_to_symlink \e
        \fIpathname\fP \fInew\-target\fP \fIprior\-version\fP \fIpackage\fP \-\- "$@"
.P
\fIpathname\fP is the absolute name of the old directory (the path will be a
symlink at the end of the installation) and \fInew\-target\fP is the target of
the new symlink at \fIpathname\fP. It can either be absolute or relative to the
directory containing \fIpathname\fP.
.P
Current implementation: the \fBpreinst\fP checks if the directory exists, does
not contain conffiles, pathnames owned by other packages, or locally created
pathnames, if not then it's left in place, otherwise it's renamed to
\fIpathname\fP\fB.dpkg\-backup\fP, and an empty staging directory named \fIpathname\fP
is created, marked with a file so that dpkg can track it. On configuration,
the \fBpostinst\fP finishes the switch if \fIpathname\fP\fB.dpkg\-backup\fP is still a
directory and \fIpathname\fP is the staging directory; it removes the staging
directory mark file, moves the newly created files inside the staging
directory to the symlink target \fInew\-target\fP/, replaces the now empty
staging directory \fIpathname\fP with a symlink to \fInew\-target\fP, and removes
\fIpathname\fP\fB.dpkg\-backup\fP. On abort\-upgrade/abort\-install, the \fBpostrm\fP
renames \fIpathname\fP\fB.dpkg\-backup\fP back to \fIpathname\fP if required.
.
.SH "INTEGRACIÓN EN PAQUETES"
.P
When using a packaging helper, please check if it has native
\fBdpkg\-maintscript\-helper\fP integration, which might make your life
easier. See for example \fBdh_installdeb\fP(1).
.P
Given that \fBdpkg\-maintscript\-helper\fP is used in the \fBpreinst\fP, using it
unconditionally requires a pre\-dependency to ensure that the required
version of \fBdpkg\fP has been unpacked before. The required version depends on
the command used, for \fBrm_conffile\fP and \fBmv_conffile\fP it is 1.15.7.2, for
\fBsymlink_to_dir\fP and \fBdir_to_symlink\fP it is 1.17.14:
.P
    \fBPre\-Depends:\fP dpkg (>= 1.17.14)
.P
But in many cases the operation done by the program is not critical for the
package, and instead of using a pre\-dependency we can call the program only
if we know that the required command is supported by the currently installed
\fBdpkg\fP:
.P
    if dpkg\-maintscript\-helper supports \fIorden\fP; then
        dpkg\-maintscript\-helper \fIorden\fP ...
    fi
.P
The command \fBsupports\fP will return 0 on success, 1 otherwise. The
\fBsupports\fP command will check if the environment variables as set by dpkg
and required by the script are present, and will consider it a failure in
case the environment is not sufficient.
.
.SH ENTORNO
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.19.1).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.
.SH "VÉASE TAMBIÉN"
\fBdh_installdeb\fP(1).
