.\" dpkg manual page - dpkg-parsechangelog(1)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006, 2011-2015 Guillem Jover <guillem@debian.org>
.\" Copyright © 2007-2008 Frank Lichtenheld <djpig@debian.org>
.\" Copyright © 2009 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-parsechangelog 1 %RELEASE_DATE% %VERSION% "Herramientas de dpkg"
.ad l
.nh
.SH NOMBRE
dpkg\-parsechangelog \- Análisis de ficheros de registro de cambios de Debian
.
.SH SINOPSIS
\fBdpkg\-parsechangelog\fP [\fIopción\fP...]
.
.SH DESCRIPCIÓN
\fBdpkg\-parsechangelog\fP lee y analiza el registro de cambios de un árbol de
fuentes de Debian desempaquetado, mostrando la información contenida a
través de la salida estándar en un formato legible por el sistema.
.
.SH OPCIONES
.TP 
\fB\-l\fP, \fB\-\-file\fP \fIchangelog\-file\fP
Specifies the changelog file to read information from.  A ‘\-’ can be used to
specify reading from standard input.  The default is \fBdebian/changelog\fP.
.TP 
\fB\-F\fP \fIchangelog\-format\fP
Specifies the format of the changelog. By default the format is read from a
special line near the bottom of the changelog or failing that defaults to
the \fBdebian\fP standard format. See also \fBCHANGELOG FORMATS\fP.
.TP 
\fB\-L\fP \fIlibdir\fP
Obsolete option without effect (since dpkg 1.18.8).  Setting the perl
environment variables \fBPERL5LIB\fP or \fBPERLLIB\fP has a similar effect when
looking for the parser perl modules.
.TP 
\fB\-S\fP, \fB\-\-show\-field\fP \fIfield\fP
Specifies the name of the field to show (since dpkg 1.17.0).  The field name
is not printed, only its value.
.TP 
\fB\-?\fP, \fB\-\-help\fP
Muestra el modo de uso y termina.
.TP 
\fB\-\-version\fP
Muestra la versión y termina.
.SS "Opciones de análisis"
The following options can be used to influence the output of the changelog
parser, e.g. the range of entries or the format of the output.
.TP 
\fB\-\-format\fP\fI formato\-salida\fP
Set the output format. Currently supported values are \fBdpkg\fP and
\fBrfc822\fP.  \fBdpkg\fP is the classic output format (from before this option
existed) and the default. It consists of one paragraph in Debian control
format (see \fBdeb\-control\fP(5)). If more than one entry is requested, then
most fields are taken from the first entry (usually the most recent entry),
except otherwise stated:
.RS
.TP 
\fBSource:\fP \fI nombre\-paquete\fP
.TP 
\fBVersion:\fP\fI versión\fP
.TP 
\fBDistribution:\fP\fI distribución\-destino\fP
.TP 
\fBUrgency:\fP\fI urgencia\fP
Se utiliza la urgencia más elevada de todas las entradas incluidas, seguidas
de comentarios concatenados (separados por espacios) de todas las versiones
solicitadas.
.TP 
\fBMaintainer:\fP\fI autor\fP
.TP 
\fBDate:\fP\fI fecha\fP
The date of the entry as a string, as it appears in the changelog.  With a
\fBstrptime\fP(3) format "\fB%a, %d %b %Y %T %z\fP", but where the day of the week
might not actually correspond to the real day obtained from the rest of the
date string.  If you need a more accurate representation of the date, use
the \fBTimestamp\fP field, but take into account it might not be possible to
map it back to the exact value in this field.
.TP 
\fBTimestamp:\fP\fI timestamp\fP
The date of the entry as a timestamp in seconds since the epoch (since dpkg
1.18.8).
.TP 
\fBCloses:\fP \fI número\-informe\-de\-fallo\fP
Los campos «Closes» de todas las entradas incluidas se fusionan.
.TP 
\fBChanges:\fP \fI entradas\-registro\-cambios\fP
El texto de todas las entradas del registro de cambios se encadena. Para que
ésto tenga un formato de control multi\-línea de Debian válido, las líneas
vacías se reemplazan por un retorno de línea, y se inserta un sangrado de un
carácter de espacio en todas las líneas. El contenido exacto depende del
formato del registro de cambios.
.RE
.IP
Los campos \fBVersion\fP, \fBDistribution\fP, \fBUrgency\fP, \fBMaintainer\fP y
\fBChanges\fP son obligatorios.
.IP
Pueden que aparezcan campos adicionales definidos por el usuario.
.IP
El formato \fBrfc822\fP emplea los mismos campos, pero devuelve por la salida
un párrafo por cada entrada en el registro de cambios, de forma que se
preservan los metadatos de cada entrada.
.TP 
\fB\-\-reverse\fP
Include all changes in reverse order (since dpkg 1.19.1).  Note: for the
\fBdpkg\fP format the first entry will be the most ancient entry.
.TP 
\fB\-\-all\fP
Include all changes. Note: other options have no effect when this is in use.
.TP 
\fB\-s\fP, \fB\-\-since\fP \fIversion\fP
.TQ
\fB\-v\fP \fIversion\fP
Include all changes later than \fIversion\fP.
.TP 
\fB\-u\fP, \fB\-\-until\fP \fIversion\fP
Include all changes earlier than \fIversion\fP.
.TP 
\fB\-f\fP, \fB\-\-from\fP \fIversion\fP
Include all changes equal or later than \fIversion\fP.
.TP 
\fB\-t\fP, \fB\-\-to\fP \fIversion\fP
Include all changes up to or equal than \fIversion\fP.
.TP 
\fB\-c\fP, \fB\-\-count\fP \fInumber\fP
.TQ
\fB\-n\fP \fInumber\fP
Include \fInumber\fP entries from the top (or the tail if \fInumber\fP is lower
than 0).
.TP 
\fB\-o\fP, \fB\-\-offset\fP \fInumber\fP
Change the starting point for \fB\-\-count\fP, counted from the top (or the tail
if \fInumber\fP is lower than 0).
.
.SH "FORMATOS DEL FICHERO DE CAMBIOS"
Se permite utilizar un formato distinto al estándar, proporcionado un
analizador para el formato alternativo correspondiente.

Para que \fBdpkg\-parsechangelog\fP ejecute el analizador nuevo, se debe incluir
una línea dentro de las últimas 40 del fichero «changelog», y que coincida
con la expresión regular Perl:
“\fB\eschangelog\-format:\es+([0\-9a\-z]+)\eW\fP”. La parte entre paréntesis debe
ser el nombre del formato. Por ejemplo:

       @@@ formato\-fichero\-de\-cambios: \fIotro\-formato\fP @@@

Changelog format names are non\-empty strings of lowercase alphanumerics
(“a\-z0\-9”).

If such a line exists then \fBdpkg\-parsechangelog\fP will look for the parser
as a \fBDpkg::Changelog::\fP\fIOtherformat\fP perl module; it is an error for it
not being present.  The parser name in the perl module will be automatically
capitalized.  The default changelog format is \fBdebian\fP, and a parser for it
is provided by default.

The parser should be derived from the Dpkg::Changelog class and implement
the required documented interface.

Si el formato «changelog» que se analiza deja siempre o habitualmente una
línea vacía entre notas individuales de cambios, se deben eliminar tales
líneas, para así obtener una salida más compacta.

Si el formato «changelog» no contiene información de fecha o de nombre de
paquete, esta información se omitirá en la salida. El analizador no debe
intentar sintetizarlo o buscarlo en otras fuentes.

If the changelog does not have the expected format the parser should error
out, rather than trying to muddle through and possibly generating incorrect
output.

Puede que un analizador de fichero «changelog» no interactúe en absoluto con
el usuario.
.
.SH NOTAS
All \fBParser Options\fP except for \fB\-v\fP are only supported since dpkg
1.14.16.
.PP
Short option parsing with non\-bundled values available only since dpkg
1.18.0.
.
.SH ENTORNO
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.TP 
\fBDPKG_NLS\fP
If set, it will be used to decide whether to activate Native Language
Support, also known as internationalization (or i18n) support (since dpkg
1.19.0).  The accepted values are: \fB0\fP and \fB1\fP (default).
.
.SH FICHEROS
.TP 
\fBdebian/changelog\fP
El fichero de registro de cambios se usa para obtener información
dependiente de la versión acerca del paquete fuente, así como la urgencia y
la distribución de una subida, los cambios realizados desde una versión en
concreto y el propio número de versión de la fuente.
.
.SH "VÉASE TAMBIÉN"
\fBdeb\-changelog\fP(5).
