.\" dpkg manual page - dpkg-query(1)
.\"
.\" Copyright © 2001 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006-2007 Frank Lichtenheld <djpig@debian.org>
.\" Copyright © 2006-2015 Guillem Jover <guillem@debian.org>
.\" Copyright © 2008-2011 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-query 1 %RELEASE_DATE% %VERSION% "Herramientas de dpkg"
.ad l
.nh
.SH NOMBRE
dpkg\-query \- Una herramienta para consultar la base de datos de dpkg
.
.SH SINOPSIS
\fBdpkg\-query\fP [\fIopción\fP...] \fIorden\fP
.
.SH DESCRIPCIÓN
\fBdpkg\-query\fP es una herramienta que muestra información sobre paquetes
listados en la base de datos de \fBdpkg\fP.
.
.SH ÓRDENES
.TP 
\fB\-l\fP, \fB\-\-list\fP [\fIpatrón\-nombre\-paquete\fP...]
List all known packages matching one or more patterns, regardless of their
status, which includes any real or virtual package referenced in any
dependency relationship field (such as \fBBreaks\fP, \fBEnhances\fP, etc.).  If no
\fIpackage\-name\-pattern\fP is given, list all packages in \fI%ADMINDIR%/status\fP,
excluding the ones marked as not\-installed (i.e.  those which have been
previously purged).  Normal shell wildcard characters are allowed in
\fIpackage\-name\-pattern\fP.  Please note you will probably have to quote
\fIpackage\-name\-pattern\fP to prevent the shell from performing filename
expansion.  For example this will list all package names starting with
\*(lqlibc6\*(rq:

.nf
  \fBdpkg\-query \-l 'libc6*'\fP
.fi

Las tres primeras columnas de la salida muestran la acción deseada, el
estado del paquete así como errores, en este orden.

Acción deseada:
.nf
  u = Desconocida
  i = Instalar
  h = Retener
  r = Eliminar
  p = Purgar
.fi

Estado del paquete:
.nf
  n = No instalado
  c = Ficheros de configuración
  H = Parcialmente instalado
  U = Desempaquetado
  F = Parcialmente configurado
  W = Disparadores esperando
  t = Disparadores pendientes
  i = Instalado
.fi

Marcas de error:
.nf
  <empty> = (none)
  R = Reinst\-required
.fi

Un estado con mayúscula o una letra de error indica que es posible que el
cause problemas serios. Para más información acerca de los estados y marcas
consulte \fBdpkg\fP(1).

El formato de la salida de esta opción no se puede modificar, pero varía
automáticamente para encajar el ancho de la terminal. Esto se hace para
lectores humanos, pero no facilita su lectura por el sistema. Consulte \fB\-W\fP
(\fB\-\-show\fP) y \fB\-\-showformat\fP  para ver una manera de configurar el formato
de la salida.
.TP 
\fB\-W\fP, \fB\-\-show\fP [\fIpatrón\-nombre\-paquete\fP...]
Just like the \fB\-\-list\fP option this will list all packages matching the
given pattern. However the output can be customized using the
\fB\-\-showformat\fP option.  The default output format gives one line per
matching package, each line having the name (extended with the architecture
qualifier for \fBMulti\-Arch\fP \fBsame\fP packages) and installed version of the
package, separated by a tab.
.TP 
\fB\-s\fP, \fB\-\-status\fP [\fIpackage\-name\fP...]
Report status of specified package. This just displays the entry in the
installed package status database.  If no \fIpackage\-name\fP is specified it
will display all package entries in the status database (since dpkg
1.19.1).  When multiple \fIpackage\-name\fP entries are listed, the requested
status entries are separated by an empty line, with the same order as
specified on the argument list.
.TP 
\fB\-L\fP, \fB\-\-listfiles\fP \fInombre\-paquete\fP...
Lista los ficheros que \fInombre\-paquete\fP ha instalado en el sistema. Cuando
se enumeran varios \fInombre\-paquete\fP, las listas solicitadas de ficheros se
separan con una línea vacía, en el mismo orden en que se aparecen en la
lista de argumentos. Por otra parte, tenga en cuenta que no se muestran los
ficheros creados por los scripts de instalación específicos al paquete.
.TP 
\fB\-\-control\-list\fP \fInombre\-paquete\fP
List control files installed to your system from \fIpackage\-name\fP (since dpkg
1.16.5).  These can be used as input arguments to \fB\-\-control\-show\fP.
.TP 
\fB\-\-control\-show\fP \fInombre\-paquete\fP \fIfichero\-control\fP
Print the \fIcontrol\-file\fP installed to your system from \fIpackage\-name\fP to
the standard output (since dpkg 1.16.5).
.TP 
\fB\-c\fP, \fB\-\-control\-path\fP \fInombre\-paquete\fP [\fIfichero\-control\fP]
List paths for control files installed to your system from \fIpackage\-name\fP
(since dpkg 1.15.4).  If \fIcontrol\-file\fP is specified then only list the
path for that control file if it is present.

\fBWarning\fP: this command is deprecated as it gives direct access to the
internal dpkg database, please switch to use \fB\-\-control\-list\fP and
\fB\-\-control\-show\fP instead for all cases where those commands might give the
same end result. Although, as long as there is still at least one case where
this command is needed (i.e. when having to remove a damaging postrm
maintainer script), and while there is no good solution for that, this
command will not get removed.
.TP 
\fB\-S\fP, \fB\-\-search\fP \fIpatrón\-búsqueda\-fichero\fP...
Search for packages that own files corresponding to the given pattern.
Standard shell wildcard characters can be used in the pattern, where
asterisk (\fB*\fP) and question mark (\fB?\fP) will match a slash, and backslash
(\fB\e\fP) will be used as an escape character.

If the first character in the \fIfilename\-search\-pattern\fP is none of
‘\fB*[?/\fP’ then it will be considered a substring match and will be
implicitly surrounded by ‘\fB*\fP’ (as in \fB*\fP\fIfilename\-search\-pattern\fP\fB*\fP).
If the subsequent string contains any of ‘\fB*[?\e\fP’, then it will handled
like a glob pattern, otherwise any trailing ‘\fB/\fP’ or ‘\fB/.\fP’ will be
removed and a literal path lookup will be performed.

This command will not list extra files created by maintainer scripts, nor
will it list alternatives.
.TP 
\fB\-p\fP, \fB\-\-print\-avail\fP [\fIpackage\-name\fP...]
Display details about packages, as found in \fI%ADMINDIR%/available\fP.  If no
\fIpackage\-name\fP is specified, it will display all package entries in the
\fIavailable\fP database (since dpkg 1.19.1).  When multiple \fIpackage\-name\fP
are listed, the requested \fIavailable\fP entries are separated by an empty
line, with the same order as specified on the argument list.

Los usuarios de interfaces de usuario basados en APT deberían utilizar
\fBapt\-cache show\fP \fInombre\-paquete\fP, ya que el fichero \fIavailable\fP sólo se
actualiza si se utiliza dselect.
.TP 
\fB\-?\fP, \fB\-\-help\fP
Muestra el modo de uso y termina.
.TP 
\fB\-\-version\fP
Muestra la versión y termina.
.
.SH OPCIONES
.TP 
\fB\-\-admindir=\fP\fIdirectorio\fP
Change the location of the \fBdpkg\fP database. The default location is
\fI%ADMINDIR%\fP.
.TP 
\fB\-\-load\-avail\fP
Also load the available file when using the \fB\-\-show\fP and \fB\-\-list\fP
commands, which now default to only querying the status file (since dpkg
1.16.2).
.TP 
\fB\-\-no\-pager\fP
Disables the use of any pager when showing information (since dpkg 1.19.2).
.TP 
\fB\-f\fP, \fB\-\-showformat=\fP\fIformato\fP
This option is used to specify the format of the output \fB\-\-show\fP will
produce (short option since dpkg 1.13.1).  The format is a string that will
be output for each package listed.

En la cadena de formato, “\fB\e\fP” introduce escapes:

.nf
    \fB\en\fP  nueva línea
    \fB\er\fP  retorno de línea
    \fB\et\fP  tabulación
.fi

“\fB\e\fP” posicionado antes de cualquier otro carácter suprime cualquier
significado especial que puede tener el siguiente carácter, útil para
“\fB\e\fP” and “\fB$\fP”.

Puede incluir información del paquete insertando variables de referencia a
los campos del paquete usando la sintaxis
“\fB${\fP\fIfield\fP[\fB;\fP\fIwidth\fP]\fB}\fP”. Los campos se alinean a la derecha a
menos que el ancho sea negativo, en cuyo caso se alinean a la izquierda. Los
siguientes \fIcampos\fP se reconocen pero no están siempre disponibles en el
fichero de estado (sólo se guardan los campos internos o campos contenidos
en el paquete binario):

.nf
    \fBArchitecture\fP
    \fBBugs\fP
    \fBConffiles\fP (interno)
    \fBConfig\-Version\fP (interno)
    \fBConflicts\fP
    \fBBreaks\fP
    \fBDepends\fP
    \fBDescription\fP
    \fBEnhances\fP
    \fBEssential\fP
    \fBFilename\fP (interno, relacionado con la interfaz)
    \fBHomepage\fP
    \fBInstalled\-Size\fP
    \fBMD5sum\fP (interno, relacionado con la interfaz)
    \fBMSDOS\-Filename\fP (interno, relacionado con la interfaz)
    \fBMaintainer\fP
    \fBOrigin\fP
    \fBPackage\fP
    \fBPre\-Depends\fP
    \fBPriority\fP
    \fBProvides\fP
    \fBRecommends\fP
    \fBReplaces\fP
    \fBRevision\fP (obsoleto)
    \fBSection\fP
    \fBSize\fP (interno, relacionado con la interfaz)
    \fBSource\fP
    \fBStatus\fP (interno)
    \fBSuggests\fP
    \fBTag\fP (generalmente no en el «.deb» pero en los ficheros
    «Packages» del repositorio)
    \fBTriggers\-Awaited\fP (interno)
    \fBTriggers\-Pending\fP (interno)
    \fBVersion\fP
.fi

A continuación se muestran campos virtuales, generados por \fBdpkg\-query\fP a
partir de los valores de otros campos (tenga en cuenta que no utilizan
nombres válidos de campo en los ficheros de control):
.RS
.TP 
\fBbinary:Package\fP
It contains the binary package name with a possible architecture qualifier
like “libc6:amd64” (since dpkg 1.16.2).  An architecture qualifier will be
present to make the package name unambiguous, for example if the package has
a \fBMulti\-Arch\fP field with a value of \fBsame\fP or the package is of a foreign
architecture.
.TP 
\fBbinary:Synopsis\fP
It contains the package short description (since dpkg 1.19.1).
.TP 
\fBbinary:Summary\fP
This is an alias for \fBbinary:Synopsis\fP (since dpkg 1.16.2).
.TP 
\fBdb:Status\-Abbrev\fP
It contains the abbreviated package status (as three characters), such as
“ii ” or “iHR” (since dpkg 1.16.2).  See the \fB\-\-list\fP command description
for more details.
.TP 
\fBdb:Status\-Want\fP
It contains the package wanted status, part of the Status field (since dpkg
1.17.11).
.TP 
\fBdb:Status\-Status\fP
It contains the package status word, part of the Status field (since dpkg
1.17.11).
.TP 
\fBdb:Status\-Eflag\fP
It contains the package status error flag, part of the Status field (since
dpkg 1.17.11).
.TP 
\fBdb\-fsys:Files\fP
It contains the list of the package filesystem entries separated by newlines
(since dpkg 1.19.3).
.TP 
\fBdb\-fsys:Last\-Modified\fP
It contains the timestamp in seconds of the last time the package filesystem
entries were modified (since dpkg 1.19.3).
.TP 
\fBsource:Package\fP
It contains the source package name for this binary package (since dpkg
1.16.2).
.TP 
\fBsource:Version\fP
It contains the source package version for this binary package (since dpkg
1.16.2)
.TP 
\fBsource:Upstream\-Version\fP
It contains the source package upstream version for this binary package
(since dpkg 1.18.16)
.RE
.IP
The default format string is “\fB${binary:Package}\et${Version}\en\fP”.
Actually, all other fields found in the status file (i.e. user defined
fields) can be requested, too. They will be printed as\-is, though, no
conversion nor error checking is done on them. To get the name of the
\fBdpkg\fP maintainer and the installed version, you could run:

.nf
  \fBdpkg\-query \-W \-f='${binary:Package} ${Version}\et${Maintainer}\en' dpkg\fP
.fi
.
.SH "ESTADOS DE SALIDA"
.TP 
\fB0\fP
La consulta requerida se ejecutó con éxito.
.TP 
\fB1\fP
The requested query failed either fully or partially, due to no file or
package being found (except for \fB\-\-control\-path\fP, \fB\-\-control\-list\fP and
\fB\-\-control\-show\fP were such errors are fatal).
.TP 
\fB2\fP
Fatal or unrecoverable error due to invalid command\-line usage, or
interactions with the system, such as accesses to the database, memory
allocations, etc.
.
.SH ENTORNO
.SS "External environment"
.TP 
\fBSHELL\fP
Sets the program to execute when spawning a command via a shell (since dpkg
1.19.2).
.TP 
\fBPAGER\fP
.TQ
\fBDPKG_PAGER\fP
Sets the pager command to use (since dpkg 1.19.1), which will be executed
with «\fB$SHELL \-c\fP».  If \fBSHELL\fP is not set, «\fBsh\fP» will be used instead.
The \fBDPKG_PAGER\fP overrides the \fBPAGER\fP environment variable (since dpkg
1.19.2).
.TP 
\fBDPKG_ADMINDIR\fP
If set and the \fB\-\-admindir\fP option has not been specified, it will be used
as the \fBdpkg\fP data directory.
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.SS "Internal environment"
.TP 
\fBLESS\fP
Defined by \fBdpkg\-query\fP to “\fB\-FRSXMQ\fP”, if not already set, when spawning
a pager (since dpkg 1.19.2).  To change the default behavior, this variable
can be preset to some other value including an empty string, or the \fBPAGER\fP
or \fBDPKG_PAGER\fP variables can be set to disable specific options with
«\fB\-+\fP», for example \fBDPKG_PAGER="less \-+F"\fP.
.
.SH "VÉASE TAMBIÉN"
\fBdpkg\fP(1).

