.\" dpkg manual page - dpkg-deb(1)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006 Frank Lichtenheld <djpig@debian.org>
.\" Copyright © 2007-2011 Raphaël Hertzog <hertzog@debian.org>
.\" Copyright © 2011-2013, 2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-shlibdeps 1 %RELEASE_DATE% %VERSION% "Herramientas de dpkg"
.ad l
.nh
.SH NOMBRE
dpkg\-shlibdeps \- Genera dependencias de bibliotecas compartidas de
sustitución de variables
.
.SH SINOPSIS
\fBdpkg\-shlibdeps\fP [\fIopción\fP...] [\fB\-e\fP]\fIejecutable\fP [\fIopción\fP...]
.
.SH DESCRIPCIÓN
\fBdpkg\-shlibdeps\fP calcula las dependencias de bibliotecas compartidas de los
ejecutables suministrados en sus argumentos. Las dependencias se añaden al
fichero de sustitución de variables \fBdebian/substvars\fP como nombres de
variable \fBshlibs:\fP\fIcampo\-dependencia\fP, donde \fIcampo\-dependencia\fP es un
nombre de campo de dependencia. Cualquier otra variable que empiece con
\fBshlibs:\fP se elimina del fichero.
.P
\fBdpkg\-shlibdeps\fP tiene dos posibles fuentes de información para generar la
información de dependencias. Estos son los ficheros \fIsymbols\fP y
\fIshlibs\fP. Por cada binario que \fBdpkg\-shlibdeps\fP analiza, busca la lista de
bibliotecas enlazadas con éste. Entonces, por cada biblioteca, busca el
fichero \fIsymbols\fP o el fichero \fIshlibs\fP (en caso de que el primero no
exista, o si «debian/shlibs.local» contiene la dependencia relevante). Se
asume que el paquete de la biblioteca proporciona ambos ficheros, y por ello
debería estar disponible como «%ADMINDIR%/info/\fIpaquete\fP.\fIsymbols\fP» o
«/var/lib/dpkg/info/\fIpackage\fP.\fIshlibs\fP». El nombre del paquete se
identifica en dos pasos: búsqueda en el sistema del fichero de la biblioteca
(buscando en los mismos directorios que usaría \fBld.so\fP), y ejecución de
\fBdpkg \-S \fP\fIlibrary\-file\fP para conocer el paquete que proporciona la
biblioteca.
.SS "Ficheros de símbolos"
Los ficheros de símbolos contienen una información más precisa de las
dependencias, proporcionando la dependencia mínima de cada símbolo que la
biblioteca exporta. El script intenta encontrar un fichero de símbolos
asociado al paquete de la biblioteca en las siguientes ubicaciones (se usa
la primera coincidencia):
.IP debian/*/DEBIAN/symbols
La información de biblioteca compartida generada por el proceso de
construcción actual, que también ejecuta \fBdpkg\-shlibdeps\fP. Se generan
mediante \fBdpkg\-gensymbols\fP(1). Sólo se usan en caso de encontrar la
biblioteca en la árbol de construcción del paquete. El fichero de símbolos
de ese árbol de construcción tiene prioridad sobre los ficheros de símbolos
de otros paquetes binarios.
.IP %PKGCONFDIR%/symbols/\fIpaquete\fP.symbols.\fIarquitectura\fP
.IP %PKGCONFDIR%/symbols/\fIpaquete\fP.symbols
Información de redefinición de bibliotecas compartidas por cada
sistema. \fIarquitectura\fP es la arquitectura del sistema actual (obtenido
mediante \fBdpkg\-architecture \- qDEB_HOST_ARCH\fP).
.IP "Salida de “\fBdpkg\-query \-\-control\-path\fP \fIpackage\fP symbols”"
Package\-provided shared library dependency information.  Unless overridden
by \fB\-\-admindir\fP, those files are located in %ADMINDIR%.
.P
\fBdpkg\-shlibdeps\fP recuerda la versión mínima (más grande) necesaria para
cada biblioteca al analizar los símbolos usados por todos los binarios. Al
finalizar el proceso, puede escribir la dependencia mínima para cada
biblioteca usada (siempre que la información de los ficheros \fIsymbols\fP sea
precisa).
.P
As a safe\-guard measure, a symbols file can provide a
\fBBuild\-Depends\-Package\fP meta\-information field and \fBdpkg\-shlibdeps\fP will
extract the minimal version required by the corresponding package in the
\fBBuild\-Depends\fP field and use this version if it's higher than the minimal
version computed by scanning symbols.
.SS "Ficheros «shlibs»"
Los ficheros «shlibs» asocian de forma directa una librería con una
dependencia (sin analizar «symbols»). Por ello, es más sólido que necesario,
pero sencillo y seguro de manipular.
.P
Las dependencias de una biblioteca se buscan en varias ubicaciones. Se usará
el primer fichero que proporcione información de la biblioteca relevante.
.IP debian/shlibs.local
Información acerca de redefinición de dependencias de bibliotecas
compartidas específicas al paquete local.
.IP %PKGCONFDIR%/shlibs.override
Información acerca de redefinición de dependencias de bibliotecas
compartidas para cada sistema.
.IP debian/*/DEBIAN/shlibs
La información de bibliotecas compartidas generada por el proceso de
construcción actual, que \fBdpkg\-shlibdeps\fP también ejecuta. Sólo se usa si
la biblioteca se encuentra en el árbol de construcción del paquete. El
fichero «shlibs» en el árbol de construcción tiene prioridad sobre otros
ficheros «shlibs» de otros paquetes binarios.
.IP "Salida de “\fBdpkg\-query \-\-control\-path\fP \fIpackage\fP shlibs”"
Package\-provided shared library dependency information.  Unless overridden
by \fB\-\-admindir\fP, those files are located in %ADMINDIR%.
.IP %PKGCONFDIR%/shlibs.default
Información del sistema acerca de las dependencias predefinidas de
bibliotecas compartidas.
.P
Tras ello, se usan las dependencias extraídas directamente (a menos que se
hayan omitido debido que se les identifique como duplicados, o como más
débiles que otra dependencia).
.SH OPCIONES
\fBdpkg\-shlibdeps\fP interpreta cualquier argumento que no sea una opción como
el nombre de un fichero ejecutable, igual que si se hubiesen proporcionado
con \fB\-e\fP\fIejecutable\fP.
.TP 
\fB\-e\fP\fIejecutable\fP
Include dependencies appropriate for the shared libraries required by
\fIexecutable\fP.  This option can be used multiple times.
.TP 
\fB\-l\fP\fIdirectory\fP
Prepend \fIdirectory\fP to the list of directories to search for private shared
libraries (since dpkg 1.17.0). This option can be used multiple times.

Note: Use this option instead of setting \fBLD_LIBRARY_PATH\fP, as that
environment variable is used to control the run\-time linker and abusing it
to set the shared library paths at build\-time can be problematic when
cross\-compiling for example.
.TP 
\fB\-d\fP\fIcampo\-dependencias\fP
Añade dependencias al campo \fIcampo\-dependencias\fP del fichero de
control. (Las dependencias para este campo se ubican en la variable
\fBshlibs:\fP\fIcampo\-dependencias\fP).

La opción \fB\-d\fP\fIcampo\-dependencias\fP tiene efecto para todos los ejecutables
después de dicha opción, hasta el siguiente \fB\-d\fP\fIcampo\-dependencias\fP. Por
omisión el \fIcampo\-dependencias\fP es \fBDepends\fP.

Si la misma dependencia (o un conjunto de alternativas) aparece en más de
uno de los nombres de campo de dependencias reconocidos: \fBPre\-Depends\fP,
\fBDepends\fP, \fBRecommends\fP, \fBEnhances\fP o \fBSuggests\fP, \fBdpkg\-shlibdeps\fP
eliminará automáticamente la dependencia de todos los campos, exceptuando
aquél que contenga las dependencias más importantes.
.TP 
\fB\-p\fP\fIprefijo\-de\-variable\fP
Provoca que las variables de sustitución empiecen por
\fIprefijo\-de\-variable\fP\fB:\fP en vez de \fBshlibs:\fP. Asimismo, cualquier
variable de sustitución ya existente que empiece por
\fIprefijo\-de\-variable\fP\fB:\fP (en vez de \fBshlibs:\fP) se eliminará del fichero
de sustitución de variables.
.TP 
\fB\-O\fP[\fIfilename\fP]
Print substitution variable settings to standard output (or \fIfilename\fP if
specified, since dpkg 1.17.2), rather than being added to the substitution
variables file (\fBdebian/substvars\fP by default).
.TP 
\fB\-t\fP\fItipo\fP
Prefer shared library dependency information tagged for the given package
type. If no tagged information is available, falls back to untagged
information. The default package type is \fBdeb\fP. Shared library dependency
information is tagged for a given type by prefixing it with the name of the
type, a colon, and whitespace.
.TP 
\fB\-L\fP\fIfichero\-shlibs\-local\fP
Provoca que \fBdpkg\-shlibs\fP lea la información sobre dependencias con
bibliotecas compartidas desde \fIfichero\-shlibs\-local\fP en vez de
\fBdebian/shlibs.local\fP.
.TP 
\fB\-T\fP\fIfichero\-variables\-sustitución\fP
Escribe las variables de sustitución en \fIfichero\-sustitución\-variables\fP;
por omisión \fBdebian/substvars\fP.
.TP 
\fB\-v\fP
Enable verbose mode (since dpkg 1.14.8).  Numerous messages are displayed to
explain what \fBdpkg\-shlibdeps\fP does.
.TP 
\fB\-x\fP\fIpaquete\fP
Exclude the package from the generated dependencies (since dpkg 1.14.8).
This is useful to avoid self\-dependencies for packages which provide ELF
binaries (executables or library plugins) using a library contained in the
same package. This option can be used multiple times to exclude several
packages.
.TP 
\fB\-S\fP\fIdirectorio\-compilación\-paquete\fP
Look into \fIpackage\-build\-dir\fP first when trying to find a library (since
dpkg 1.14.15).  This is useful when the source package builds multiple
flavors of the same library and you want to ensure that you get the
dependency from a given binary package. You can use this option multiple
times: directories will be tried in the same order before directories of
other binary packages.
.TP 
\fB\-I\fP\fIpackage\-build\-dir\fP
Ignore \fIpackage\-build\-dir\fP when looking for shlibs, symbols, and shared
library files (since dpkg 1.18.5).  You can use this option multiple times.
.TP 
\fB\-\-ignore\-missing\-info\fP
Do not fail if dependency information can't be found for a shared library
(since dpkg 1.14.8).  Usage of this option is discouraged, all libraries
should provide dependency information (either with shlibs files, or with
symbols files)  even if they are not yet used by other packages.
.TP 
\fB\-\-warnings=\fP\fIvalor\fP
\fIvalue\fP is a bit field defining the set of warnings that can be emitted by
\fBdpkg\-shlibdeps\fP (since dpkg 1.14.17).  Bit 0 (value=1) enables the warning
“symbol \fIsym\fP used by \fIbinary\fP found in none of the libraries”, bit 1
(value=2) enables the warning “package could avoid a useless dependency” and
bit 2 (value=4) enables the warning “\fIbinary\fP should not be linked against
\fIlibrary\fP”.  The default \fIvalue\fP is 3: the first two warnings are active
by default, the last one is not. Set \fIvalue\fP to 7 if you want all warnings
to be active.
.TP 
\fB\-\-admindir=\fP\fIdirectorio\fP
Change the location of the \fBdpkg\fP database (since dpkg 1.14.0).  The
default location is \fI%ADMINDIR%\fP.
.TP 
\fB\-?\fP, \fB\-\-help\fP
Muestra el modo de uso y termina.
.TP 
\fB\-\-version\fP
Muestra la versión y termina.
.
.SH ENTORNO
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.TP 
\fBDPKG_NLS\fP
If set, it will be used to decide whether to activate Native Language
Support, also known as internationalization (or i18n) support (since dpkg
1.19.0).  The accepted values are: \fB0\fP and \fB1\fP (default).
.
.SH DIAGNÓSTICOS
.SS Warnings
Debido a que \fBdpkg\-shlibdeps\fP analiza el conjunto de símbolos usado por
cada binario del paquete generado, puede mostrar avisos en varias
situaciones. Éstos informan de aspectos mejorables del paquete. En la
mayoría de los casos, conciernen directamente a las fuentes original. A
continuación se muestran los varios mensajes de advertencia que pueden
aparecer, por orden de importancia decreciente.
.TP 
\fBsymbol\fP\fI sym\fP\fB used by \fP\fIbinary\fP\fB found in none of the libraries.\fP
El símbolo indicado no se encontró en las bibliotecas enlazadas con el
binario. Posiblemente, \fIbinario\fP es una biblioteca, y necesita estar
enlazado con una biblioteca adicional durante el proceso de construcción
(opción \fB\-l\fP\fIbiblioteca\fP del enlazador).
.TP 
\fIbinary\fP\fB contains an unresolvable reference to symbol \fP\fIsym\fP\fB: it's probably a plugin\fP
El símbolo indicado no se ha encontrado en las bibliotecas enlazadas con el
binario. Probablemente, el \fIbinario\fP es una extensión, y cabe que el
programa que carga tal extensión proporciona el símbolo. Teóricamente, una
extensión no tiene ningún «SONAME», pero sí este binario, y por ello no se
le puede identificar claramente como tal. Aún así, el hecho de que el
binario se guarda en un directorio no público es una indicación de que no es
una biblioteca compartida normal. Si el binario es realmente una extensión,
no haga caso de este aviso. Siempre cabe la posibilidad de que es una
biblioteca real, y que los programas que enlazan con el usan un «RPATH» para
que el cargador dinámico lo encuentre. En tal caso, la biblioteca está rota
y precisa un arreglo.
.TP 
\fBpackage could avoid a useless dependency if \fP\fIbinary\fP\fB was not linked against \fP\fIlibrary\fP\fB (it uses none of the library's symbols)\fP
Ninguno de los \fIbinarios\fP enlazados con la \fIbiblioteca\fP usan símbolos que
proporciona la biblioteca. Al arreglar todos los binarios, evitaría la
dependencia asociada a esta biblioteca (a menos que la dependencia se genere
también para otra biblioteca que sí la usa).
.TP 
\fBpackage could avoid a useless dependency if \fP\fIbinaries\fP\fB were not linked against \fP\fIlibrary\fP\fB (they use none of the library's symbols)\fP
Idéntico al aviso anterior, pero para varios binarios.
.TP 
\fIbinary\fP\fB should not be linked against \fP\fIlibrary\fP\fB (it uses none of the library's symbols)\fP
The \fIbinary\fP is linked to a library that it doesn't need. It's not a
problem but some small performance improvements in binary load time can be
obtained by not linking this library to this binary. This warning checks the
same information as the previous one but does it for each binary instead of
doing the check globally on all binaries analyzed.
.SS Errors
\fBdpkg\-shlibdeps\fP fallará si no puede encontrar ninguna biblioteca pública
usada por un binario, o si no existe ninguna información de dependencia
asociada a esta biblioteca (el fichero «shlibs», o el fichero
«symbols»). Una biblioteca pública tiene un «SONAME», el cual tiene
información de versión (biblioteca.so.\fIx\fP). Una biblioteca privada (como
una extensión) no debería tener un «SONAME», y por ello no necesita
información de versión.
.TP 
\fBcouldn't find library \fP\fIlibrary\-soname\fP\fB needed by \fP\fIbinary\fP\fB (its RPATH is '\fP\fIrpath\fP\fB')\fP
The \fIbinary\fP uses a library called \fIlibrary\-soname\fP but \fBdpkg\-shlibdeps\fP
has been unable to find the library.  \fBdpkg\-shlibdeps\fP creates a list of
directories to check as following: directories listed in the RPATH of the
binary, directories added by the \fB\-l\fP option, directories listed in the
\fBLD_LIBRARY_PATH\fP environment variable, cross multiarch directories
(ex. /lib/arm64\-linux\-gnu, /usr/lib/arm64\-linux\-gnu), standard public
directories (/lib, /usr/lib), directories listed in /etc/ld.so.conf, and
obsolete multilib directories (/lib32, /usr/lib32, /lib64, /usr/lib64).
Then it checks those directories in the package's build tree of the binary
being analyzed, in the packages' build trees indicated with the \fB\-S\fP
command\-line option, in other packages' build trees that contains a
DEBIAN/shlibs or DEBIAN/symbols file and finally in the root directory.  If
the library is not found in any of those directories, then you get this
error.

If the library not found is in a private directory of the same package, then
you want to add the directory with \fB\-l\fP. If it's in another binary package
being built, you want to make sure that the shlibs/symbols file of this
package is already created and that \fB\-l\fP contains the appropriate directory
if it also is in a private directory.
.TP 
\fBno dependency information found for \fP\fIlibrary\-file\fP\fB (used by \fP\fIbinary\fP\fB).\fP
The library needed by \fIbinary\fP has been found by \fBdpkg\-shlibdeps\fP in
\fIlibrary\-file\fP but \fBdpkg\-shlibdeps\fP has been unable to find any dependency
information for that library. To find out the dependency, it has tried to
map the library to a Debian package with the help of \fBdpkg \-S
\fP\fIlibrary\-file\fP.  Then it checked the corresponding shlibs and symbols
files in %ADMINDIR%/info/, and in the various package's build trees
(debian/*/DEBIAN/).

Este fallo puede estar causado por un fichero «shlibs» o «symbols»
incorrecto o ausente en el paquete de la biblioteca. También cabe que la
biblioteca se construya dentro del mismo paquete fuente, y que aún no se
haya creado el fichero «shlibs» (en cuyo caso debería arreglar
«debian/rules» para crear «shlibs» antes de ejecutar \fBdpkg\-shlibdeps\fP). Un
incorrecto «RPATH» también puede llevar a encontrar la biblioteca bajo un
nombre no canónico (por ejemplo,
«/usr/lib/openoffice.org/../lib/libssl.so.0.9.8» en lugar de
«/usr/lib/libssl.so.0.9.8») que no esté asociado a ningún
paquete. \fBdpkg\-shlibdeps\fP intenta evitar esto usando un nombre canónico
(con \fBrealpath\fP(3)), pero no siempre funciona. Siempre es mejor limpiar el
«RPATH» del binario para evitar problemas.

Calling \fBdpkg\-shlibdeps\fP in verbose mode (\fB\-v\fP) will provide much more
information about where it tried to find the dependency information. This
might be useful if you don't understand why it's giving you this error.
.SH "VÉASE TAMBIÉN"
\fBdeb\-shlibs\fP(5), \fBdeb\-symbols\fP(5), \fBdpkg\-gensymbols\fP(1).
