.\" dpkg manual page - dpkg-source(1)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006-2007 Frank Lichtenheld <djpig@debian.org>
.\" Copyright © 2006-2015 Guillem Jover <guillem@debian.org>
.\" Copyright © 2008-2011 Raphaël Hertzog <hertzog@debian.org>
.\" Copyright © 2010 Joey Hess <joeyh@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-source 1 %RELEASE_DATE% %VERSION% "Herramientas de dpkg"
.ad l
.nh
.SH NOMBRE
dpkg\-source \- Herramienta de manipulación de paquetes fuente de Debian
«.dsc»
.
.SH SINOPSIS
\fBdpkg\-source\fP [\fIopción\fP...] \fIorden\fP
.
.SH DESCRIPCIÓN
\fBdpkg\-source\fP empaqueta y desempaqueta archivos de fuentes de Debian.

Ninguna de estas órdenes permite combinar múltiples opciones en una
sola. Tampoco permiten que el valor de una opción se especifique en un
argumento separado.
.
.SH ÓRDENES
.TP 
\fB\-x\fP, \fB\-\-extract\fP \fIfilename\fP.dsc [\fIoutput\-directory\fP]
Extract a source package (\fB\-\-extract\fP since dpkg 1.17.14).  One non\-option
argument must be supplied, the name of the Debian source control file
(\fB.dsc\fP).  An optional second non\-option argument may be supplied to
specify the directory to extract the source package to, this must not
exist. If no output directory is specified, the source package is extracted
into a directory named \fIsource\fP\-\fIversion\fP under the current working
directory.

\fBdpkg\-source\fP lee los nombres de los demás ficheros que componen el paquete
fuente desde el fichero de control; se asume que están en el mismo
directorio que el fichero \fB.dsc\fP.

Los permisos y propietarios de los ficheros del paquete extraído serán los
mismos que se esperarían si los ficheros se hubiesen simplemente creado \-
0777 para directorios y ejecutables y 0666 para el resto de ficheros, ambos
modificados según el umask del extractor. Si el directorio superior tiene
activado el bit setgid, los directorios extraídos lo tendrán también, y
todos los ficheros y directorios heredarán el grupo al que pertenece.

If the source package uses a non\-standard format (currently this means all
formats except “1.0”), its name will be stored in \fBdebian/source/format\fP so
that the following builds of the source package use the same format by
default.

.TP 
\fB\-b\fP, \fB\-\-build\fP \fIdirectory\fP [\fIformat\-specific\-parameters\fP]
Build a source package (\fB\-\-build\fP since dpkg 1.17.14).  The first
non\-option argument is taken as the name of the directory containing the
debianized source tree (i.e. with a debian sub\-directory and maybe changes
to the original files).  Depending on the source package format used to
build the package, additional parameters might be accepted.

\fBdpkg\-source\fP will build the source package with the first format found in
this ordered list: the format indicated with the \fI\-\-format\fP command line
option, the format indicated in \fBdebian/source/format\fP, “1.0”.  The
fallback to “1.0” is deprecated and will be removed at some point in the
future, you should always document the desired source format in
\fBdebian/source/format\fP. See section \fBSOURCE PACKAGE FORMATS\fP for an
extensive description of the various source package formats.

.TP 
\fB\-\-print\-format\fP \fIdirectorio\fP
Print the source format that would be used to build the source package if
\fBdpkg\-source \-\-build \fP\fIdirectory\fP was called (in the same conditions and
with the same parameters; since dpkg 1.15.5).

.TP 
\fB\-\-before\-build\fP \fIdirectorio\fP
Run the corresponding hook of the source package format (since dpkg
1.15.8).  This hook is called before any build of the package
(\fBdpkg\-buildpackage\fP calls it very early even before \fBdebian/rules
clean\fP). This command is idempotent and can be called multiple times. Not
all source formats implement something in this hook, and those that do
usually prepare the source tree for the build for example by ensuring that
the Debian patches are applied.

.TP 
\fB\-\-after\-build\fP \fIdirectorio\fP
Run the corresponding hook of the source package format (since dpkg
1.15.8).  This hook is called after any build of the package
(\fBdpkg\-buildpackage\fP calls it last). This command is idempotent and can be
called multiple times. Not all source formats implement something in this
hook, and those that do usually use it to undo what \fB\-\-before\-build\fP has
done.

.TP 
\fB\-\-commit\fP [\fIdirectorio\fP] ...
Record changes in the source tree unpacked in \fIdirectory\fP (since dpkg
1.16.1).  This command can take supplementary parameters depending on the
source format.  It will error out for formats where this operation doesn't
mean anything.

.TP 
\fB\-?\fP, \fB\-\-help\fP
Show the usage message and exit.  The format specific build and extract
options can be shown by using the \fB\-\-format\fP option.
.TP 
\fB\-\-version\fP
Muestra la versión y termina.
.
.SH OPCIONES
.SS "Generic build options"
.TP 
\fB\-c\fP\fIfichero\-de\-control\fP
Define el fichero de control principal de las fuentes del que leer la
información, \fBdebian/control\fP por omisión. Si se introducen rutas
relativas, éstas se interpretan empezando en el directorio superior del
árbol de fuentes.
.TP 
\fB\-l\fP\fIfichero\-de\-cambios\fP
Define el fichero de registro de cambios del que leer la información. Por
omisión, \fBdebian/changelog\fP. Si se introduce una ruta relativa, ésta se
interpreta empezando en el directorio superior del árbol de fuentes.
.TP 
\fB\-F\fP\fIformato\-fichero\-de\-cambios\fP
Define el formato del fichero de cambios. Para información sobre formatos
alternativos consulte \fBdpkg\-parsechangelog\fP(1).
.TP 
\fB\-\-format=\fP\fIvalor\fP
Use the given format for building the source package (since dpkg 1.14.17).
It does override any format given in \fBdebian/source/format\fP.
.TP 
\fB\-V\fP\fInombre\fP\fB=\fP\fIvalor\fP
Define una variable de sustitución de la salida. Consulte
\fBdeb\-substvars\fP(5) para más información acerca de la sustitución de la
salida.
.TP 
\fB\-T\fP\fIfichero\-variables\-sustitución\fP
Read substitution variables in \fIsubstvars\-file\fP; the default is to not read
any file. This option can be used multiple times to read substitution
variables from multiple files (since dpkg 1.15.6).
.TP 
\fB\-D\fP\fIcampo\fP\fB=\fP\fIvalor\fP
Sobreescribe o añade un campo en el fichero de control de salida.
.TP 
\fB\-U\fP\fIcampo\fP
Elimina un campo del fichero de control de salida.
.TP 
\fB\-Z\fP\fIcompression\fP, \fB\-\-compression\fP=\fIcompresión\fP
Specify the compression to use for created tarballs and diff files
(\fB\-\-compression\fP since dpkg 1.15.5).  Note that this option will not cause
existing tarballs to be recompressed, it only affects new files. Supported
values are: \fIgzip\fP, \fIbzip2\fP, \fIlzma\fP and \fIxz\fP.  The default is \fIxz\fP for
formats 2.0 and newer, and \fIgzip\fP for format 1.0. \fIxz\fP is only supported
since dpkg 1.15.5.
.TP 
\fB\-z\fP\fIlevel\fP, \fB\-\-compression\-level\fP=\fInivel\fP
Compression level to use (\fB\-\-compression\-level\fP since dpkg 1.15.5).  As
with \fB\-Z\fP it only affects newly created files. Supported values are: \fI1\fP
to \fI9\fP, \fIbest\fP, and \fIfast\fP.  The default is \fI9\fP for gzip and bzip2, \fI6\fP
for xz and lzma.
.TP 
\fB\-i\fP[\fIregex\fP], \fB\-\-diff\-ignore\fP[=\fIregex\fP]
You may specify a perl regular expression to match files you want filtered
out of the list of files for the diff (\fB\-\-diff\-ignore\fP since dpkg 1.15.6).
(This list is generated by a find command.) (If the source package is being
built as a version 3 source package using a VCS, this can be used to ignore
uncommitted changes on specific files. Using \-i.* will ignore all of them.)

The \fB\-i\fP option by itself enables this setting with a default regex
(preserving any modification to the default regex done by a previous use of
\fB\-\-extend\-diff\-ignore\fP) that will filter out control files and directories
of the most common revision control systems, backup and swap files and
Libtool build output directories. There can only be one active regex, of
multiple \fB\-i\fP options only the last one will take effect.

This is very helpful in cutting out extraneous files that get included in
the diff, e.g. if you maintain your source in a revision control system and
want to use a checkout to build a source package without including the
additional files and directories that it will usually contain (e.g. CVS/,
\&.cvsignore, .svn/). The default regex is already very exhaustive, but if you
need to replace it, please note that by default it can match any part of a
path, so if you want to match the begin of a filename or only full
filenames, you will need to provide the necessary anchors (e.g. ‘(^|/)’,
‘($|/)’) yourself.
.TP 
\fB\-\-extend\-diff\-ignore\fP=\fIregex\fP
The perl regular expression specified will extend the default value used by
\fB\-\-diff\-ignore\fP and its current value, if set (since dpkg 1.15.6).  It does
this by concatenating “\fB|\fP\fIregex\fP” to the existing value.  This option is
convenient to use in \fBdebian/source/options\fP to exclude some auto\-generated
files from the automatic patch generation.
.TP 
\fB\-I\fP[\fIpatrón\-fichero\fP], \fB\-\-tar\-ignore\fP[=\fIpatrón\-fichero\fP]
If this option is specified, the pattern will be passed to \fBtar\fP(1)'s
\fB\-\-exclude\fP option when it is called to generate a .orig.tar or .tar file
(\fB\-\-tar\-ignore\fP since dpkg 1.15.6).  For example, \fB\-I\fPCVS will make tar
skip over CVS directories when generating a .tar.gz file. The option may be
repeated multiple times to list multiple patterns to exclude.

\fB\-I\fP by itself adds default \fB\-\-exclude\fP options that will filter out
control files and directories of the most common revision control systems,
backup and swap files and Libtool build output directories.
.PP
\fBNote:\fP While they have similar purposes, \fB\-i\fP and \fB\-I\fP have very
different syntax and semantics. \fB\-i\fP can only be specified once and takes a
perl compatible regular expression which is matched against the full
relative path of each file. \fB\-I\fP can specified multiple times and takes a
filename pattern with shell wildcards.  The pattern is applied to the full
relative path but also to each part of the path individually. The exact
semantic of tar's \fB\-\-exclude\fP option is somewhat complicated, see
https://www.gnu.org/software/tar/manual/tar.html#wildcards for a full
documentation.

The default regex and patterns for both options can be seen in the output of
the \fB\-\-help\fP command.
.SS "Generic extract options"
.TP 
\fB\-\-no\-copy\fP
Do not copy original tarballs near the extracted source package (since dpkg
1.14.17).
.TP 
\fB\-\-no\-check\fP
Do not check signatures and checksums before unpacking (since dpkg 1.14.17).
.TP 
\fB\-\-no\-overwrite\-dir\fP
Do not overwrite the extraction directory if it already exists (since dpkg
1.18.8).
.TP 
\fB\-\-require\-valid\-signature\fP
Refuse to unpack the source package if it doesn't contain an OpenPGP
signature that can be verified (since dpkg 1.15.0) either with the user's
\fItrustedkeys.gpg\fP keyring, one of the vendor\-specific keyrings, or one of
the official Debian keyrings (\fI/usr/share/keyrings/debian\-keyring.gpg\fP and
\fI/usr/share/keyrings/debian\-maintainers.gpg\fP).
.TP 
\fB\-\-require\-strong\-checksums\fP
Refuse to unpack the source package if it does not contain any strong
checksums (since dpkg 1.18.7).  Currently the only known checksum considered
strong is \fBSHA\-256\fP.
.TP 
\fB\-\-ignore\-bad\-version\fP
Turns the bad source package version check into a non\-fatal warning (since
dpkg 1.17.7).  This option should only be necessary when extracting ancient
source packages with broken versions, just for backwards compatibility.

.SH "FORMATOS DE PAQUETE FUENTE"
If you don't know what source format to use, you should probably pick either
“3.0 (quilt)” or “3.0 (native)”.  See
https://wiki.debian.org/Projects/DebSrc3.0 for information on the deployment
of those formats within Debian.

.SS "Formato: 1.0"
A source package in this format consists either of a \fB.orig.tar.gz\fP
associated to a \fB.diff.gz\fP or a single \fB.tar.gz\fP (in that case the package
is said to be \fInative\fP).  Optionally the original tarball might be
accompanied by a detached upstream signature \fB.orig.tar.gz.asc\fP, extraction
supported since dpkg 1.18.5.

\fBExtracción\fP

Extraer un paquete nativo es simplemente una extracción de un único archivo
tar en el directorio destino. Extraer un paquete no nativo se realiza,
primero, desempaquetando el \fB.orig.tar.gz\fP para después aplicar el parche
contenido en el fichero \fB.diff.gz\fP. La marca temporal de todos los ficheros
parcheados se modifica en el momento de extraer el paquete fuente (esto
evita bifurcaciones de las marcas temporales, que conducen a problemas
cuando se parchean los ficheros generados automáticamente). El «diff» puede
crear nuevos ficheros (todo el directorio «debian/» se crea de esta manera)
pero no puede eliminar ficheros (los ficheros vacíos permanecerán en el
sistema).

\fBConstrucción\fP

Building a native package is just creating a single tarball with the source
directory. Building a non\-native package involves extracting the original
tarball in a separate “.orig” directory and regenerating the \fB.diff.gz\fP by
comparing the source package \fIdirectory\fP with the .orig directory.

\fBBuild options (with \-\-build):\fP

If a second non\-option argument is supplied it should be the name of the
original source directory or tarfile or the empty string if the package is a
Debian\-specific one and so has no debianization diffs. If no second argument
is supplied then \fBdpkg\-source\fP will look for the original source tarfile
\fIpackage\fP\fB_\fP\fIupstream\-version\fP\fB.orig.tar.gz\fP or the original source
directory \fIdirectory\fP\fB.orig\fP depending on the \fB\-sX\fP arguments.

\fB\-sa\fP, \fB\-sp\fP, \fB\-sk\fP, \fB\-su\fP y \fB\-sr\fP no sobreescribirán directorios o
ficheros tar existentes. Si esto es lo que desea, debería utilizar \fB\-sA\fP,
\fB\-sP\fP, \fB\-sK\fP, \fB\-sU\fP y \fB\-sR\fP en su lugar.
.PP
.TP 
\fB\-sk\fP
Define que se espera la fuente original como un archivo tar, por omisión
\fIpaquete\fP\fB_\fP\fIversión\-autor\-original\fP\fB.orig.tar.gz\fP. La fuente original
se dejará en el sitio como un fichero tar, o se copiará al directorio actual
en caso de no estar ya ahí presente. El archivo tar se desempaquetará en
\fIdirectorio\fP\fB.orig\fP para la generación del «diff».
.TP 
\fB\-sp\fP
Idéntica a \fB\-sk\fP, a diferencia de que eliminará el directorio al finalizar.
.TP 
\fB\-su\fP
Define que se espera que la fuente original sea un directorio, por omisión
\fIpaquete\fP\fB\-\fP\fIversión\-autor\-original\fP\fB.orig\fP, y que \fBdpkg\-source\fP creará
un fichero de fuentes nuevo a partir de él.
.TP 
\fB\-sr\fP
Idéntica a \fB\-su\fP, a diferencia de que eliminará el directorio después de su
uso.
.TP 
\fB\-ss\fP
Specifies that the original source is available both as a directory and as a
tarfile. \fBdpkg\-source\fP will use the directory to create the diff, but the
tarfile to create the \fB.dsc\fP.  This option must be used with care \- if the
directory and tarfile do not match a bad source archive will be generated.
.TP 
\fB\-sn\fP
Omite la búsqueda de la fuente original y no generará un «diff». El segundo
argumento, en caso de existir, debe ser la cadena vacía. Esta opción se usa
en paquetes específicos de Debian que no tienen fuentes del autor original
por separado, y por tanto carecen de ficheros «diff» «debianizantes».
.TP 
\fB\-sa\fP or \fB\-sA\fP
Specifies to look for the original source archive as a tarfile or as a
directory \- the second argument, if any, may be either, or the empty string
(this is equivalent to using \fB\-sn\fP).  If a tarfile is found it will unpack
it to create the diff and remove it afterwards (this is equivalent to
\fB\-sp\fP); if a directory is found it will pack it to create the original
source and remove it afterwards (this is equivalent to \fB\-sr\fP); if neither
is found it will assume that the package has no debianization diffs, only a
straightforward source archive (this is equivalent to \fB\-sn\fP).  If both are
found then \fBdpkg\-source\fP will ignore the directory, overwriting it, if
\fB\-sA\fP was specified (this is equivalent to \fB\-sP\fP)  or raise an error if
\fB\-sa\fP was specified.  \fB\-sa\fP is the default.
.TP 
\fB\-\-abort\-on\-upstream\-changes\fP
The process fails if the generated diff contains changes to files outside of
the debian sub\-directory (since dpkg 1.15.8).  This option is not allowed in
\fBdebian/source/options\fP but can be used in \fBdebian/source/local\-options\fP.
.PP

\fBExtract options (with \-\-extract):\fP

En todos los casos cualquier árbol de fuentes original será eliminado.
.TP 
\fB\-sp\fP
Si se usa en la extracción, la fuente original (de existir) se dejará como
un fichero tar. Si no se encuentra en el directorio actual o si existe un
fichero pero es diferente, se copiará ahí. (\fBÉsta es la acción por
omisión\fP).
.TP 
\fB\-su\fP
Desempaqueta el árbol de fuentes original.
.TP 
\fB\-sn\fP
Asegura que la fuente original ni se copia al directorio actual ni se
desempaqueta. Cualquier árbol de fuentes original existente en el directorio
actual es eliminado.
.PP
Todas las opciones \fB\-s\fP\fIX\fP son mutuamente excluyentes. Si define más de
una, sólo se usará la última.
.TP 
\fB\-\-skip\-debianization\fP
Skips application of the debian diff on top of the upstream sources (since
dpkg 1.15.1).
.
.SS "Formato: 2.0"
Extraction supported since dpkg 1.13.9, building supported since dpkg
1.14.8.  Also known as wig&pen. This format is not recommended for
wide\-spread usage, the format “3.0 (quilt)” replaces it.  Wig&pen was the
first specification of a new\-generation source package format.

The behaviour of this format is the same as the “3.0 (quilt)” format except
that it doesn't use an explicit list of patches. All files in
\fBdebian/patches/\fP matching the perl regular expression \fB[\ew\-]+\fP must be
valid patches: they are applied at extraction time.

Al construir un nuevo paquete fuente, todo cambio en las fuentes original se
guardan en un parche llamado \fBzz_debian\-diff\-auto\fP.
.
.SS "Formato: 3.0 (nativo)"
Supported since dpkg 1.14.17.  This format is an extension of the native
package format as defined in the 1.0 format. It supports all compression
methods and will ignore by default any VCS specific files and directories as
well as many temporary files (see default value associated to \fB\-I\fP option
in the \fB\-\-help\fP output).
.
.SS "Format: 3.0 (quilt)"
Supported since dpkg 1.14.17.  A source package in this format contains at
least an original tarball (\fB.orig.tar.\fP\fIext\fP where \fIext\fP can be \fBgz\fP,
\fBbz2\fP, \fBlzma\fP and \fBxz\fP) and a debian tarball (\fB.debian.tar.\fP\fIext\fP). It
can also contain additional original tarballs
(\fB.orig\-\fP\fIcomponent\fP\fB.tar.\fP\fIext\fP).  \fIcomponent\fP can only contain
alphanumeric (‘a\-zA\-Z0\-9’) characters and hyphens (‘\-’).  Optionally each
original tarball can be accompanied by a detached upstream signature
(\fB.orig.tar.\fP\fIext\fP\fB.asc\fP and \fB.orig\-\fP\fIcomponent\fP\fB.tar.\fP\fIext\fP\fB.asc\fP),
extraction supported since dpkg 1.17.20, building supported since dpkg
1.18.5.

.PP
\fBExtracción\fP
.PP
Primero se extrae el archivo tar original, y después se extraen todos los
archivos tar originales en subdirectorios nombrados a partir de la parte de
\fIcomponente\fP de su nombre de fichero (todo directorio preexistente se
reemplazará). El archivo tar de Debian se extrae en el directorio raíz del
árbol después de la eliminación de cualquier directorio \fBdebian\fP
preexistente. Tenga en cuenta que el archivo tar de Debian debe contener un
subdirectorio \fBdebian\fP, pero también puede contener ficheros binarios
externos a ese directorio (consulte la opción \fB\-\-include\-binaries\fP).
.PP
All patches listed in \fBdebian/patches/\fP\fIvendor\fP\fB.series\fP or
\fBdebian/patches/series\fP are then applied, where \fIvendor\fP will be the
lowercase name of the current vendor, or \fBdebian\fP if there is no vendor
defined.  If the former file is used and the latter one doesn't exist (or is
a symlink), then the latter is replaced with a symlink to the former.  This
is meant to simplify usage of \fBquilt\fP to manage the set of patches.
Vendor\-specific series files are intended to make it possible to serialize
multiple development branches based on the vendor, in a declarative way, in
preference to open\-coding this handling in \fBdebian/rules\fP.  This is
particularly useful when the source would need to be patched conditionally
because the affected files do not have built\-in conditional occlusion
support.  Note however that while \fBdpkg\-source\fP parses correctly series
files with explicit options used for patch application (stored on each line
after the patch filename and one or more spaces), it does ignore those
options and always expect patches that can be applied with the \fB\-p1\fP option
of \fBpatch\fP. It will thus emit a warning when it encounters such options,
and the build is likely to fail.
.PP
Note that \fBlintian\fP(1) will emit unconditional warnings when using vendor
series due to a controversial Debian specific ruling, which should not
affect any external usage; to silence these, the dpkg lintian profile can be
used by passing «\fB\-\-profile dpkg\fP» to \fBlintian\fP(1).
.PP
The timestamp of all patched files is reset to the extraction time of the
source package (this avoids timestamp skews leading to problems when
autogenerated files are patched).
.PP
Contrary to \fBquilt\fP's default behaviour, patches are expected to apply
without any fuzz. When that is not the case, you should refresh such patches
with \fBquilt\fP, or \fBdpkg\-source\fP will error out while trying to apply them.
.PP
Similarly to \fBquilt\fP's default behaviour, the patches can remove files too.
.PP
El fichero \fB.pc/applied\-patches\fP se crea si se aplican parches durante la
extracción.
.PP
\fBConstrucción\fP
.PP
All original tarballs found in the current directory are extracted in a
temporary directory by following the same logic as for the unpack, the
debian directory is copied over in the temporary directory, and all patches
except the automatic patch (\fBdebian\-changes\-\fP\fIversion\fP or
\fBdebian\-changes\fP, depending on \fB\-\-single\-debian\-patch\fP) are applied. The
temporary directory is compared to the source package directory. When the
diff is non\-empty, the build fails unless \fB\-\-single\-debian\-patch\fP or
\fB\-\-auto\-commit\fP has been used, in which case the diff is stored in the
automatic patch.  If the automatic patch is created/deleted, it's
added/removed from the series file and from the \fBquilt\fP metadata.

Cualquier cambio en un fichero binario no se puede representar en un «diff»,
conduciendo así a un fallo a menos que el desarrollador decida
explícitamente incluir el fichero binario modificado en el archivo tar
«debian» (mediante su listado en \fBdebian/source/include\-binaries\fP). La
construcción también fallará si encuentra ficheros binarios en el
subdirectorio «debian», a menos que estén en el «whitelist» de
\fBdebian/source/include\-binaries\fP.

Llegado a este punto se genera el archivo tar «debian» en base al directorio
«debian» modificado y la lista de binarios modificados.

The automatically generated diff doesn't include changes on VCS specific
files as well as many temporary files (see default value associated to \fB\-i\fP
option in the \fB\-\-help\fP output). In particular, the \fB.pc\fP directory used by
\fBquilt\fP is ignored during generation of the automatic patch.

Note: \fBdpkg\-source\fP \fB\-\-before\-build\fP (and \fB\-\-build\fP) will ensure that all
patches listed in the series file are applied so that a package build always
has all patches applied. It does this by finding unapplied patches (they are
listed in the \fBseries\fP file but not in \fB.pc/applied\-patches\fP), and if the
first patch in that set can be applied without errors, it will apply them
all. The option \fB\-\-no\-preparation\fP can be used to disable this behavior.

.PP
\fBRegistrar cambios\fP
.TP 
\fB\-\-commit\fP [\fIdirectorio\fP] [\fInombre\-parche\fP] [\fIfichero\-parche\fP]
Generates a patch corresponding to the local changes that are not managed by
the \fBquilt\fP patch system and integrates it in the patch system under the
name \fIpatch\-name\fP. If the name is missing, it will be asked
interactively. If \fIpatch\-file\fP is given, it is used as the patch
corresponding to the local changes to integrate. Once integrated, an editor
is launched so that you can edit the meta\-information in the patch header.

Introducir \fIfichero\-parche\fP es generalmente útil después de un fallo de
construcción que ha generado este fichero previamente, y en base a ello, el
fichero dado se elimina después de la integración. Tenga en cuenta que los
cambios contenidos en el fichero de parche debe estar aplicado en el árbol,
y que los ficheros modificados por el parche no deben contener cambios
adicionales sin registrar.

If the patch generation detects modified binary files, they will be
automatically added to \fBdebian/source/include\-binaries\fP so that they end up
in the debian tarball (exactly like \fBdpkg\-source \-\-include\-binaries
\-\-build\fP would do).
.PP
\fBOpciones de construcción\fP
.TP 
\fB\-\-allow\-version\-of\-quilt\-db=\fP\fIversión\fP
Allow \fBdpkg\-source\fP to build the source package if the version of the
\fBquilt\fP metadata is the one specified, even if \fBdpkg\-source\fP doesn't know
about it (since dpkg 1.15.5.4).  Effectively this says that the given
version of the \fBquilt\fP metadata is compatible with the version 2 that
\fBdpkg\-source\fP currently supports. The version of the \fBquilt\fP metadata is
stored in \fB.pc/.version\fP.
.TP 
\fB\-\-include\-removal\fP
No ignora los ficheros eliminados y los incluye en el parche generado
automáticamente.
.TP 
\fB\-\-include\-timestamp\fP
Incluye la marca temporal en el parche generado automáticamente.
.TP 
\fB\-\-include\-binaries\fP
Añade todos los ficheros binarios modificados al archivo tar
«debian». También los añade a \fBdebian/source/include\-binaries\fP: se añadirán
por omisión en futuras construcciones, con lo que esta opción ya no será
necesaria.
.TP 
\fB\-\-no\-preparation\fP
Do not try to prepare the build tree by applying patches which are
apparently unapplied (since dpkg 1.14.18).
.TP 
\fB\-\-single\-debian\-patch\fP
Use \fBdebian/patches/debian\-changes\fP instead of
\fBdebian/patches/debian\-changes\-\fP\fIversion\fP for the name of the automatic
patch generated during build (since dpkg 1.15.5.4).  This option is
particularly useful when the package is maintained in a VCS and a patch set
can't reliably be generated. Instead the current diff with upstream should
be stored in a single patch. The option would be put in
\fBdebian/source/local\-options\fP and would be accompanied by a
\fBdebian/source/local\-patch\-header\fP file explaining how the Debian changes
can be best reviewed, for example in the VCS that is used.
.TP 
\fB\-\-create\-empty\-orig\fP
Automatically create the main original tarball as empty if it's missing and
if there are supplementary original tarballs (since dpkg 1.15.6).  This
option is meant to be used when the source package is just a bundle of
multiple upstream software and where there's no “main” software.
.TP 
\fB\-\-no\-unapply\-patches, \-\-unapply\-patches\fP
By default, \fBdpkg\-source\fP will automatically unapply the patches in the
\fB\-\-after\-build\fP hook if it did apply them during \fB\-\-before\-build\fP
(\fB\-\-unapply\-patches\fP since dpkg 1.15.8, \fB\-\-no\-unapply\-patches\fP since dpkg
1.16.5).  Those options allow you to forcefully disable or enable the patch
unapplication process. Those options are only allowed in
\fBdebian/source/local\-options\fP so that all generated source packages have
the same behavior by default.
.TP 
\fB\-\-abort\-on\-upstream\-changes\fP
The process fails if an automatic patch has been generated (since dpkg
1.15.8).  This option can be used to ensure that all changes were properly
recorded in separate \fBquilt\fP patches prior to the source package
build. This option is not allowed in \fBdebian/source/options\fP but can be
used in \fBdebian/source/local\-options\fP.
.TP 
\fB\-\-auto\-commit\fP
The process doesn't fail if an automatic patch has been generated, instead
it's immediately recorded in the \fBquilt\fP series.

.PP
\fBOpciones de extracción\fP
.TP 
\fB\-\-skip\-debianization\fP
Skips extraction of the debian tarball on top of the upstream sources (since
dpkg 1.15.1).
.TP 
\fB\-\-skip\-patches\fP
Do not apply patches at the end of the extraction (since dpkg 1.14.18).
.
.SS "Formato: 3.0 (custom)"
Supported since dpkg 1.14.17.  This format is special.  It doesn't represent
a real source package format but can be used to create source packages with
arbitrary files.
.PP
\fBOpciones de construcción\fP
.PP
Todas las opciones que no son argumento se toman como ficheros a integrar en
el paquete fuente generado. Deben existir y, preferiblemente, encontrarse en
el directorio actual. Se debe introducir al menos un fichero.
.TP 
\fB\-\-target\-format=\fP\fIvalor\fP
\fBRequired\fP. Defines the real format of the generated source package.  The
generated .dsc file will contain this value in its \fBFormat\fP field and not
“3.0 (custom)”.
.
.SS "Format: 3.0 (git)"
Supported since dpkg 1.14.17.  This format is experimental.
.PP
Un paquete de fuente con este formato consiste de un sólo archivo con un
repositorio \fB.git\fP, que guarda la fuente del paquete. Puede también existir
un fichero \fB.gitshallow\fP que lista las revisiones de una clonación de git
superficial («shallow»).
.PP
\fBExtracción\fP
.PP
The bundle is cloned as a git repository to the target directory.  If there
is a gitshallow file, it is installed as \fI.git/shallow\fP inside the cloned
git repository.
.PP
Note that by default the new repository will have the same branch checked
out that was checked out in the original source.  (Typically “master”, but
it could be anything.)  Any other branches will be available under
\fIremotes/origin/\fP.
.PP
\fBConstrucción\fP
.PP
Antes de continuar, se realizan algunas revisiones para asegurar que no
queden cambios no ignorados a remitir al repositorio mediante «commit».
.PP
\fBgit\-bundle\fP(1) se usa para generar un archivo a partir de un repositorio
git. Por omisión, se incluyen en el archivo todas las ramas y etiquetas en
el repositorio.
.PP
\fBOpciones de construcción\fP
.TP 
\fB\-\-git\-ref=\fP\fIref\fP
Allows specifying a git ref to include in the git bundle. Use disables the
default behavior of including all branches and tags. May be specified
multiple times. The \fIref\fP can be the name of a branch or tag to include. It
may also be any parameter that can be passed to \fBgit\-rev\-list\fP(1). For
example, to include only the master branch, use \fB\-\-git\-ref=\fPmaster. To
include all tags and branches, except for the private branch, use
\fB\-\-git\-ref=\fP\-\-all \fB\-\-git\-ref=\fP^private
.TP 
\fB\-\-git\-depth=\fP\fInumber\fP
Crea un clon superficial («shalow») con la historia truncada en el número
definido de revisiones.
.SS "Format: 3.0 (bzr)"
Supported since dpkg 1.14.17.  This format is experimental.  It generates a
single tarball containing the bzr repository.
.PP
\fBExtracción\fP
.PP
El archivo tar se desempaqueta, usando después bzr para realizar un
«checkout» de la rama actual.
.PP
\fBConstrucción\fP
.PP
Antes de continuar, se realizan algunas revisiones para asegurar que no
queden cambios no ignorados a remitir al repositorio mediante «commit».
.PP
Entones, la parte del directorio de fuentes específico al sistema de control
de versiones se copia a un directorio temporal. Antes de empaquetar este
directorio temporal en una archivo tar se realizan varios procesos de
limpieza, para así ahorrar espacio.
.SH DIAGNÓSTICOS
.SS "no se definió ningún formato de fuentes en «debian/source/format»"
The file \fBdebian/source/format\fP should always exist and indicate the
desired source format. For backwards compatibility, format “1.0” is assumed
when the file doesn't exist but you should not rely on this: at some point
in the future \fBdpkg\-source\fP will be modified to fail when that file doesn't
exist.

The rationale is that format “1.0” is no longer the recommended format, you
should usually pick one of the newer formats (“3.0 (quilt)”, “3.0 (native)”)
but \fBdpkg\-source\fP will not do this automatically for you.  If you want to
continue using the old format, you should be explicit about it and put “1.0”
in \fBdebian/source/format\fP.
.SS "el diff modifica los siguientes ficheros de la fuente original"
When using source format “1.0” it is usually a bad idea to modify upstream
files directly as the changes end up hidden and mostly undocumented in the
\&.diff.gz file. Instead you should store your changes as patches in the
debian directory and apply them at build\-time. To avoid this complexity you
can also use the format “3.0 (quilt)” that offers this natively.
.SS "no se pueden representar los cambios al \fIfichero\fP"
Los cambios a las fuentes originales se suelen guardar el ficheros de
parche, pero no todos los cambios se pueden representar con parches: sólo
pueden alterar el contenido de ficheros de texto simple. Si intenta
reemplazar un fichero con algo de otro tipo (por ejemplo, un fichero simple
con un enlace simbólico o directorio), obtendrá el siguiente mensaje de
error.
.SS "el fichero vacío \fIfichero\fP recientemente creado no estará representado en el «diff»"
No se pueden crear ficheros vacíos con ficheros de parche. Por ello, este
cambio no se registra en el paquete fuente, está usted avisado.
.SS "los \fIpermisos\fP de modo de ejecución del \fIfichero\fP no se representarán en el «diff»"
Patch files do not record permissions of files and thus executable
permissions are not stored in the source package. This warning reminds you
of that fact.
.SS "los \fIpermisos\fP de modo especial del \fIfichero\fP no se representarán en el «diff»"
Los ficheros de parche no registran permisos de los ficheros, y por ello los
permisos modificados no se guardan en el paquete fuente. Este aviso le sirve
de recordatorio.
.
.SH ENTORNO
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.TP 
\fBDPKG_NLS\fP
If set, it will be used to decide whether to activate Native Language
Support, also known as internationalization (or i18n) support (since dpkg
1.19.0).  The accepted values are: \fB0\fP and \fB1\fP (default).
.TP 
\fBSOURCE_DATE_EPOCH\fP
If set, it will be used as the timestamp (as seconds since the epoch) to
clamp the mtime in the \fBtar\fP(5) file entries.
.TP 
\fBVISUAL\fP
.TQ
\fBEDITOR\fP
Used by the “2.0” and “3.0 (quilt)” source format modules.
.TP 
\fBGIT_DIR\fP
.TQ
\fBGIT_INDEX_FILE\fP
.TQ
\fBGIT_OBJECT_DIRECTORY\fP
.TQ
\fBGIT_ALTERNATE_OBJECT_DIRECTORIES\fP
.TQ
\fBGIT_WORK_TREE\fP
Used by the “3.0 (git)” source format modules.
.
.SH FICHEROS
.SS debian/source/format
Este fichero contiene en una única línea el formato que se debería utilizar
para construir el paquete fuente (los formatos posibles se describen en un
punto anterior). No se permiten espacios vacíos al principio o final de la
línea.
.SS debian/source/include\-binaries
This file contains a list of binary files (one per line) that should be
included in the debian tarball. Leading and trailing spaces are stripped.
Lines starting with ‘\fB#\fP’ are comments and are skipped.  Empty lines are
ignored.
.SS debian/source/options
This file contains a list of long options that should be automatically
prepended to the set of command line options of a \fBdpkg\-source \-\-build\fP or
\fBdpkg\-source \-\-print\-format\fP call. Options like \fB\-\-compression\fP and
\fB\-\-compression\-level\fP are well suited for this file.
.P
Each option should be put on a separate line. Empty lines and lines starting
with ‘\fB#\fP’ are ignored.  The leading ‘\fB\-\-\fP’ should be stripped and short
options are not allowed.  Optional spaces are allowed around the ‘\fB=\fP’
symbol and optional quotes are allowed around the value.  Here's an example
of such a file:
.P
  # permite a dpkg\-source crear un debian.tar.bz2 con la máxima compresión
  compression = "bzip2"
  compression\-level = 9
  # usa debian/patches/debian\-changes como parche automático
  single\-debian\-patch
 # ignora cambios en config.{sub,guess}
  extend\-diff\-ignore = "(^|/)(config.sub|config.guess)$"
.P
Nota: no se permiten en este fichero las opciones de \fBformato\fP, y debería
utilizar \fBdebian/source/format\fP en su lugar.
.SS debian/source/local\-options
Idéntico a \fBdebian/source/options\fP, a excepción de que el fichero no se
incluye en el paquete fuente generado. Puede ser útil para guardar una
preferencia ligada al mantenedor a al repositorio del sistema de control de
versiones dónde el paquete es mantenido.
.SS "debian/source/local\-patch\-header \fRand\fP debian/source/patch\-header"
Free form text that is put on top of the automatic patch generated in
formats “2.0” or “3.0 (quilt)”. \fBlocal\-patch\-header\fP is not included in the
generated source package while \fBpatch\-header\fP is.
.SS debian/patches/\fIvendor\fP.series
.SS debian/patches/series
This file lists all patches that have to be applied (in the given order)  on
top of the upstream source package. Leading and trailing spaces are
stripped.  The \fIvendor\fP will be the lowercase name of the current vendor,
or \fBdebian\fP if there is no vendor defined.  If the vendor\-specific series
file does not exist, the vendor\-less series file will be used.  Lines
starting with ‘\fB#\fP’ are comments and are skipped.  Empty lines are
ignored.  Remaining lines start with a patch filename (relative to the
\fBdebian/patches/\fP directory) up to the first space character or the end of
line. Optional \fBquilt\fP options can follow up to the end of line or the
first ‘\fB#\fP’ preceded by one or more spaces (which marks the start of a
comment up to the end of line).
.SH FALLOS
No está claro el punto en el cual se produce la sustitución de campos,
comparado con ciertas opciones de los campos de salida estándar.
.SH "VÉASE TAMBIÉN"
\fBdeb\-src\-control\fP(5), \fBdeb\-changelog\fP(5), \fBdsc\fP(5).
