.\" dpkg manual page - dpkg-statoverride(1)
.\"
.\" Copyright © 2000-2001 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2009-2011, 2013, 2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-statoverride 1 %RELEASE_DATE% %VERSION% "Herramientas de dpkg"
.ad l
.nh
.SH NOMBRE
dpkg\-statoverride \- Sustitución del propietario y modo de ficheros
.
.SH SINOPSIS
\fBdpkg\-statoverride\fP [\fIopción\fP...] \fIorden\fP
.
.SH DESCRIPCIÓN
“\fBstat overrides\fP” are a way to tell \fBdpkg\fP(1)  to use a different owner
or mode for a path when a package is installed (this applies to any
filesystem object that \fBdpkg\fP handles, including directories, devices,
etc.). This can be used to force programs that are normally setuid to be
install without a setuid flag, or only executable by a certain group.
.P
\fBdpkg\-statoverride\fP es una herramienta para administrar la lista de
sustituciones. Tiene tres funciones básicas: añadir, eliminar y listar las
excepciones.
.
.SH ÓRDENES
.TP 
\fB\-\-add\fP\fI user group mode path\fP
Add an override for \fIpath\fP. \fIpath\fP does not need to exist when this
command is used; the override will be stored and used later.  Users and
groups can be specified by their name (for example \fBroot\fP or \fBnobody\fP), or
by their number by prepending the number with a ‘\fB#\fP’ (for example \fB#0\fP or
\fB#65534\fP).  The \fImode\fP needs to be specified in octal.

If \fB\-\-update\fP is specified and \fIpath\fP exists, it is immediately set to the
new owner and mode.
.TP 
\fB\-\-remove\fP\fI path\fP
Remove an override for \fIpath\fP, the status of \fIpath\fP is left unchanged by
this command.
.TP 
\fB\-\-list\fP [\fIcomodín\fP]
List all overrides. If a glob pattern is specified restrict the output to
overrides which match the glob.
.TP 
\fB\-\-help\fP
Muestra el modo de uso y termina.
.TP 
\fB\-\-force\-help\fP
Give help about the \fB\-\-force\-\fP\fIthing\fP options (since dpkg 1.19.5).
.TP 
\fB\-\-version\fP
Muestra la versión y termina.
.
.SH OPCIONES
.TP 
\fB\-\-admindir\fP\fI directorio\fP
Set the administrative directory to \fIdirectory\fP.  This is where the
\fIstatoverride\fP file is stored.  Defaults to «\fI%ADMINDIR%\fP».
.TP 
\fB\-\-instdir\fP\fI directory\fP
Set the installation directory, which refers to the directory where packages
get installed (since dpkg 1.19.2).  Defaults to «\fI/\fP».
.TP 
\fB\-\-root\fP\fI directory\fP
Set the root directory to \fBdirectory\fP, which sets the installation
directory to «\fIdirectory\fP» and the administrative directory to
«\fIdirectory\fP\fB%ADMINDIR%\fP» (since dpkg 1.19.2).
.TP 
\fB\-\-force\-\fP\fIthings\fP
.TQ
\fB\-\-no\-force\-\fP\fIthings\fP, \fB\-\-refuse\-\fP\fIthings\fP
Force or refuse (\fBno\-force\fP and \fBrefuse\fP mean the same thing)  to do some
things (since dpkg 1.19.5).  \fIthings\fP is a comma separated list of things
specified below.  \fB\-\-force\-help\fP displays a message describing them.
Things marked with (*) are forced by default.

\fIWarning: These options are mostly intended to be used by experts only.
Using them without fully understanding their effects may break your whole
system.\fP

\fBall\fP: Activa (o desactiva) todas las opciones de forzar.

\fBstatoverride\-add\fP: Overwrite an existing stat override when adding it
(since dpkg 1.19.5).

\fBstatoverride\-remove\fP: Ignore a missing stat override when removing it
(since dpkg 1.19.5).

\fBsecurity\-mac\fP(*): Use platform\-specific Mandatory Access Controls (MAC)
based security when installing files into the filesystem (since dpkg
1.19.5).  On Linux systems the implementation uses SELinux.
.TP 
\fB\-\-force\fP
Force an action, even if a sanity check would otherwise prohibit it.  This
is necessary to override an existing override.  This option is deprecated
(since dpkg 1.19.5), it is replaced by \fB\-\-force\-all\fP.
.TP 
\fB\-\-update\fP
Immediately try to change the \fIpath\fP to the new owner and mode if it
exists.
.TP 
\fB\-\-quiet\fP
Reduce el nivel de información de las acciones tomadas.
.
.SH "ESTADOS DE SALIDA"
.TP 
\fB0\fP
La acción requerida finalizó con éxito.
.TP 
\fB1\fP
For \fB\-\-list\fP, if there are no overrides or none match the supplied glob.
.TP 
\fB2\fP
Fatal or unrecoverable error due to invalid command\-line usage, or
interactions with the system, such as accesses to the database, memory
allocations, etc.
.
.SH ENTORNO
.TP 
\fBDPKG_ROOT\fP
If set and the \fB\-\-instdir\fP or \fB\-\-root\fP options have not been specified, it
will be used as the filesystem root directory (since dpkg 1.19.2).
.TP 
\fBDPKG_ADMINDIR\fP
If set and the \fB\-\-admindir\fP or \fB\-\-root\fP options have not been specified,
it will be used as the \fBdpkg\fP data directory.
.TP 
\fBDPKG_FORCE\fP
If set and none of the \fB\-\-force\-\fP\fI...\fP options have been specified, it
will be used as the force options to use (since dpkg 1.19.5).
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.
.SH FICHEROS
.TP 
\fI%ADMINDIR%/statoverride\fP
File which contains the current list of stat overrides of the system. It is
located in the \fBdpkg\fP administration directory, along with other files
important to \fBdpkg\fP, such as \fIstatus\fP or \fIavailable\fP.
.br
Note: \fBdpkg\-statoverride\fP preserves the old copy of this file, with
extension “\-old”, before replacing it with the new one.
.
.SH "VÉASE TAMBIÉN"
\fBdpkg\fP(1).
