.\" dpkg manual page - dpkg-trigger(1)
.\"
.\" Copyright © 2008-2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-trigger 1 %RELEASE_DATE% %VERSION% "Herramientas de dpkg"
.ad l
.nh
.SH NOMBRE
dpkg\-trigger \- Herramienta de disparador de paquete
.
.SH SINOPSIS
\fBdpkg\-trigger\fP [\fIopción\fP...] \fInombre\-disparador\fP
.br
\fBdpkg\-trigger\fP [\fIopción\fP...] \fIorden\fP
.
.SH DESCRIPCIÓN
\fBdpkg\-trigger\fP es una herramienta para activar disparadores
intencionadamente y revisar su compatibilidad con la versión de \fBdpkg\fP en
ejecución.
.PP
Se puede utilizar mediante scripts del desarrollador en situaciones
complejas y condicionales en las que los ficheros de disparadores, o la
declaración de la directiva \fBactivate\fP en el fichero de control, no son
suficientemente informativos. También se puede utilizar para comprobaciones
y administradores de sistemas (pero tenga en cuenta que \fBdpkg\-trigger\fP no
accionará los disparadores).
.PP
La sintaxis no reconocida de nombres de activadores son un error para
\fBdpkg\-trigger\fP.
.
.SH ÓRDENES
.TP 
\fB\-\-check\-supported\fP
Revisa si la versión de \fBdpkg\fP en ejecución es compatible con disparadores
(habitualmente ejecutados mediante un script «postinst»). Finaliza con \fB0\fP
si \fBdpkg\fP es compatible con los disparadores, o \fB1\fP con un mensaje de
error por la salida estándar en caso de fallo. Por otra parte, en general es
mejor activar sólo el disparador deseado con \fBdpkg\-trigger\fP.
.TP 
\fB\-?\fP, \fB\-\-help\fP
Muestra el modo de uso y termina.
.TP 
\fB\-\-version\fP
Muestra la versión y termina.
.
.SH OPCIONES
.TP 
\fB\-\-admindir=\fP\fIdirectorio\fP
Change the location of the \fBdpkg\fP database. The default location is
\fI%ADMINDIR%\fP.
.TP 
\fB\-\-by\-package=\fP\fIpaquete\fP
Invalida la espera al inicio del disparador (habitualmente definido con
\fBdpkg\fP a través de la variable de entorno \fBDPKG_MAINTSCRIPT_PACKAGE\fP en
los scripts del desarrollador, nombrando el paquete al que el script
pertenece. Este es el comportamiento por omisión.)
.TP 
\fB\-\-no\-await\fP
Esta opción define que la ejecución al paquete T (de existir) no necesita
esperar al procesamiento de este disparador; el paquete(s) interesado no se
añade a la lista de espera del procesado del disparador, sin cambiar el
estado de T. Puede que se considere que T está instalado aunque no se haya
procesado el disparador.
.TP 
\fB\-\-await\fP
This option does the inverse of \fB\-\-no\-await\fP (since dpkg 1.17.21).  If the
interested package has declared a “noawait” directive, then this option will
not be effective.  It is currently the default behavior.
.TP 
\fB\-\-no\-act\fP
Realiza un simulacro sin cambios en el sistema.
.
.SH "ESTADOS DE SALIDA"
.TP 
\fB0\fP
The requested action was successfully performed.  Or a check or assertion
command returned true.
.TP 
\fB1\fP
A check or assertion command returned false.
.TP 
\fB2\fP
Fatal or unrecoverable error due to invalid command\-line usage, or
interactions with the system, such as accesses to the database, memory
allocations, etc.
.
.SH ENTORNO
.TP 
\fBDPKG_ADMINDIR\fP
If set and the \fB\-\-admindir\fP option has not been specified, it will be used
as the \fBdpkg\fP data directory.
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.
.SH "VÉASE TAMBIÉN"
.\" FIXME: Unhardcode the pathname, and use dpkg instead of dpkg-dev.
\fBdpkg\fP(1), \fBdeb\-triggers\fP(5), \fB/usr/share/doc/dpkg\-dev/triggers.txt.gz\fP.
