.\" dpkg manual page - dpkg-vendor(1)
.\"
.\" Copyright © 2009 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-vendor 1 %RELEASE_DATE% %VERSION% "Herramientas de dpkg"
.ad l
.nh
.SH NOMBRE
dpkg\-vendor \- Consulta información relativa a proveedores de la distribución
.
.SH SINOPSIS
\fBdpkg\-vendor\fP [\fIopción\fP...] \fIorden\fP
.
.SH DESCRIPCIÓN
\fBdpkg\-vendor\fP is a tool to query information about vendors listed in
\fB%PKGCONFDIR%/origins\fP. \fB%PKGCONFDIR%/origins/default\fP contains
information about the current vendor.
.
.SH ÓRDENES
.TP 
\fB\-\-is\fP\fI proveedor\fP
Exits with \fB0\fP if the current vendor is \fIvendor\fP. Otherwise exits with
\fB1\fP.
.TP 
\fB\-\-derives\-from\fP\fI proveedor\fP
Exits with \fB0\fP if the current vendor distribution is a derivative of
\fIvendor\fP, otherwise exits with \fB1\fP.  It uses the \fBParent\fP field to browse
all ancestors of the current vendor.
.TP 
\fB\-\-query\fP\fI campo\fP
Muestra por la salida estándar el valor específico de proveedor \fIcampo\fP en
relación al proveedor actual.
.TP 
\fB\-\-help\fP
Muestra el modo de uso y termina.
.TP 
\fB\-\-version\fP
Muestra la versión y termina.
.
.SH OPCIONES
.TP 
\fB\-\-vendor\fP\fI proveedor\fP
Supone que el proveedor actual es \fIproveedor\fP, en lugar de definirlo con la
variable de entorno \fBDEB_VENDOR\fP o \fB%PKGCONFDIR%/origins/default\fP.
.
.SH ENTORNO
.TP 
\fBDEB_VENDOR\fP
Esta opción define el proveedor actual. Si esta vacío, el proveedor actual
se define leyendo \fB%PKGCONFDIR%/origins/default\fP.
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.TP 
\fBDPKG_NLS\fP
If set, it will be used to decide whether to activate Native Language
Support, also known as internationalization (or i18n) support (since dpkg
1.19.0).  The accepted values are: \fB0\fP and \fB1\fP (default).
.
.SH "VÉASE TAMBIÉN"
\fBdeb\-origin\fP(5).
