.\" dpkg manual page - dpkg(1)
.\"
.\" Copyright © 1996 Juho Vuori <javuori@cc.helsinki.fi>
.\" Copyright © 1999 Jim Van Zandt <jrv@vanzandt.mv.com>
.\" Copyright © 1999-2003 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2000-2003 Adam Heath <doogie@debian.org>
.\" Copyright © 2002 Josip Rodin
.\" Copyright © 2004-2005 Scott James Remnant <keybuk@debian.org>
.\" Copyright © 2006-2016 Guillem Jover <guillem@debian.org>
.\" Copyright © 2007-2008 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2008-2011 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg 1 %RELEASE_DATE% %VERSION% "Herramientas de dpkg"
.ad l
.nh
.SH NOMBRE
dpkg \- Gestor de paquetes de Debian
.
.SH SINOPSIS
\fBdpkg\fP [\fIopcion\fP...] \fIacción\fP
.
.SH AVISO
El propósito de este manual es que los usuarios entiendan las opciones de
ejecución de \fBdpkg\fP y el estado de los paquetes con más detalle que la que
ofrece \fBdpkg \-\-help\fP.

Los responsables de paquetes \fIno\fP deberían utilizar \fBdpkg \-\-help\fP para
comprender el proceso de instalación de \fBdpkg\fP. Las descripciones de lo que
hace \fBdpkg\fP al instalar y desinstalar son particularmente imprecisas.
.
.SH DESCRIPCIÓN
\fBdpkg\fP es una herramienta para instalar, compilar, eliminar y manipular los
paquetes de Debian. La interfaz principal y más intuitiva para \fBdpkg\fP es
\fBaptitude\fP(1). \fBdpkg\fP se ejecuta con parámetros de línea de órdenes, que
consisten de una sola acción y cero o más opciones. La acción o parámetro
dice a \fBdpkg\fP qué hacer, mientras que las opciones controlan de una manera
u otra su comportamiento.

\fBdpkg\fP también se puede utilizar como una interfaz para \fBdpkg\-deb\fP(1) y
\fBdpkg\-query\fP(1). Puede consultar la lista de acciones permitidas en la
sección \fBACCIONES\fP. Si se detecta cualquier acción, \fBdpkg\fP ejecuta
\fBdpkg\-deb\fP o \fBdpkg\-query\fP con los parámetros dados, pero no se les
introduce ninguna opción específica. Para utilizar cualquier opción se deben
ejecutar directamente.
.
.SH "INFORMACIÓN SOBRE PAQUETES"
\fBdpkg\fP posibilita el acceso a bastante información sobre los paquetes
disponibles. Esta información se divide en tres clases: \fBestados\fP,
\fBestados de selección\fP e \fBindicadores\fP. Habitualmente, estos valores se
modifican principalmente con \fBdselect\fP.
.SS "Package states"
.TP 
\fBnot\-installed\fP
El paquete no está instalado en el sistema.
.TP 
\fBconfig\-files\fP
Sólo quedan los ficheros de configuración del paquete en el sistema.
.TP 
\fBhalf\-installed\fP
Se inició la instalación del paquete, pero no se completó por alguna razón.
.TP 
\fBunpacked\fP
El paquete está descomprimido, pero no configurado.
.TP 
\fBhalf\-configured\fP
El paquete está descomprimido y la configuración se ha iniciado, pero no
finalizó por alguna razón.
.TP 
\fBtriggers\-awaited\fP
El paquete aguarda al proceso de los disparadores de otro paquete.
.TP 
\fBtriggers\-pending\fP
Los disparadores del paquete se han activado.
.TP 
\fBinstalled\fP
The package is correctly unpacked and configured.
.SS "Package selection states"
.TP 
\fBinstall\fP
El paquete se ha seleccionado para su instalación.
.TP 
\fBhold\fP
A package marked to be on \fBhold\fP is kept on the same version, that is, no
automatic new installs, upgrades or removals will be performed on them,
unless these actions are requested explicitly, or are permitted to be done
automatically with the \fB\-\-force\-hold\fP option.
.TP 
\fBdeinstall\fP
El paquete se ha seleccionado para su desinstalación (es decir, que queremos
borrar todo excepto los ficheros de configuración).
.TP 
\fBpurge\fP
El paquete se ha seleccionado para que se purgue (es decir, que queremos
borrar todo en los directorios del sistema, incluyendo los ficheros de
configuración).
.TP 
\fBunknown\fP
The package selection is unknown.  A package that is also in a
\fBnot\-installed\fP state, and with an \fBok\fP flag will be forgotten in the next
database store.
.SS "Package flags"
.TP 
\fBok\fP
A package marked \fBok\fP is in a known state, but might need further
processing.
.TP 
\fBreinstreq\fP
A package marked \fBreinstreq\fP is broken and requires reinstallation. These
packages cannot be removed, unless forced with option
\fB\-\-force\-remove\-reinstreq\fP.
.
.SH ACCIONES
.TP 
\fB\-i\fP, \fB\-\-install\fP \fIfichero\-paquete\fP...
Instala el paquete. Si se especifica la opción \fB\-\-recursive\fP o \fB\-R\fP, el
\fIfichero\-paquete\fP debe ser un directorio.

La instalación consiste de los siguientes pasos:
.br

\fB1.\fP Extracción de los ficheros de control del paquete nuevo.
.br

\fB2.\fP De existir otra versión del mismo paquete en el sistema, se ejecuta el
script \fIprerm\fP (pre\-eliminación) del antiguo paquete.
.br

\fB3.\fP Ejecución del script \fIpreinst\fP (pre\-instalación) del paquete, de
existir.
.br

\fB4.\fP Desempaquetado de los nuevos ficheros, a la vez que se crea una copia
de seguridad de los antiguos para su restauración en caso de fallo.
.br

\fB5.\fP De existir otra versión del mismo paquete previamente instalado en el
sistema, se ejecutará el script \fIpostrm\fP (post\-eliminación) del paquete
antiguo. Tenga en cuenta que este script se ejecuta después del script
\fIpreinst\fP del paquete nuevo ya que los nuevos ficheros se escriben a la vez
que se borran los antiguos.
.br

\fB6.\fP Configuración del paquete. Para una información detallada sobre este
proceso, consulte \fB\-\-configure\fP.
.TP 
\fB\-\-unpack \fP\fIfichero\-paquete\fP ...
Desempaqueta el paquete, pero no lo configura. Si se introducen las opciones
\fB\-\-recursive\fP o \fB\-R\fP el \fIfichero\-paquete\fP debe ser un directorio.
.TP 
\fB\-\-configure \fP\fIpaquete\fP...|\fB\-a\fP|\fB\-\-pending\fP
Configura un paquete que está desempaquetado pero no configurado. Si se
introducen las opciones \fB\-a\fP o \fB\-\-pending\fP en lugar de un \fIpaquete\fP, se
configurarán todos los paquetes desempaquetados pero no configurados.

Para reconfigurar un paquete que ya fue configurado, pruebe la orden
\fBdpkg\-reconfigure\fP(8).

La configuración consiste de los siguientes pasos:
.br

\fB1.\fP Desempaquetado de los ficheros de configuración «conffiles», a la vez
se crea una copia de seguridad de los antiguos para su restauración en caso
de fallo.
.br

\fB2.\fP Ejecución del script \fIpostinst\fP (post\-instalación) del paquete, si
existe.
.TP 
\fB\-\-triggers\-only\fP \fIpaquete\fP...|\fB\-a\fP|\fB\-\-pending\fP
Processes only triggers (since dpkg 1.14.17).  All pending triggers will be
processed.  If package names are supplied only those packages' triggers will
be processed, exactly once each where necessary. Use of this option may
leave packages in the improper \fBtriggers\-awaited\fP and \fBtriggers\-pending\fP
states. This can be fixed later by running: \fBdpkg \-\-configure \-\-pending\fP.
.TP 
\fB\-r\fP, \fB\-\-remove\fP \fIpackage\fP...|\fB\-a\fP|\fB\-\-pending\fP
Remove an installed package.  This removes everything except conffiles and
other data cleaned up by the \fIpostrm\fP script, which may avoid having to
reconfigure the package if it is reinstalled later (conffiles are
configuration files that are listed in the \fIDEBIAN/conffiles\fP control
file).  If there is no \fIDEBIAN/conffiles\fP control file nor \fIDEBIAN/postrm\fP
script, this command is equivalent to calling \fB\-\-purge\fP.  If \fB\-a\fP or
\fB\-\-pending\fP is given instead of a package name, then all packages unpacked,
but marked to be removed in file \fI%ADMINDIR%/status\fP, are removed.

La eliminación de un paquete consiste de los siguientes pasos:
.br

\fB1.\fP Ejecución del script \fIprerm\fP.
.br

\fB2.\fP Eliminación de los ficheros instalados.
.br

\fB3.\fP Ejecución del script \fIpostrm\fP.
.br

.TP 
\fB\-P\fP, \fB\-\-purge\fP \fIpackage\fP...|\fB\-a\fP|\fB\-\-pending\fP
Purge an installed or already removed package. This removes everything,
including conffiles, and anything else cleaned up from \fIpostrm\fP.  If \fB\-a\fP
or \fB\-\-pending\fP is given instead of a package name, then all packages
unpacked or removed, but marked to be purged in file \fI%ADMINDIR%/status\fP,
are purged.

Note: some configuration files might be unknown to \fBdpkg\fP because they are
created and handled separately through the configuration scripts. In that
case, \fBdpkg\fP won't remove them by itself, but the package's \fIpostrm\fP
script (which is called by \fBdpkg\fP), has to take care of their removal
during purge. Of course, this only applies to files in system directories,
not configuration files written to individual users' home directories.

Purging of a package consists of the following steps:
.br

\fB1.\fP Remove the package, if not already removed. See \fB\-\-remove\fP for
detailed information about how this is done.
.br

\fB2.\fP Run \fIpostrm\fP script.
.br
.TP 
\fB\-V\fP, \fB\-\-verify\fP [\fIpackage\-name\fP...]
Verifies the integrity of \fIpackage\-name\fP or all packages if omitted, by
comparing information from the files installed by a package with the files
metadata information stored in the \fBdpkg\fP database (since dpkg 1.17.2).
The origin of the files metadata information in the database is the binary
packages themselves. That metadata gets collected at package unpack time
during the installation process.

Currently the only functional check performed is an md5sum verification of
the file contents against the stored value in the files database.  It will
only get checked if the database contains the file md5sum. To check for any
missing metadata in the database, the \fB\-\-audit\fP command can be used.

The output format is selectable with the \fB\-\-verify\-format\fP option, which by
default uses the \fBrpm\fP format, but that might change in the future, and as
such, programs parsing this command output should be explicit about the
format they expect.
.TP 
\fB\-C\fP, \fB\-\-audit\fP [\fIpackage\-name\fP...]
Performs database sanity and consistency checks for \fIpackage\-name\fP or all
packages if omitted (per package checks since dpkg 1.17.10).  For example,
searches for packages that have been installed only partially on your system
or that have missing, wrong or obsolete control data or files. \fBdpkg\fP will
suggest what to do with them to get them fixed.
.TP 
\fB\-\-update\-avail\fP [\fIPackages\-file\fP]
.TQ
\fB\-\-merge\-avail\fP [\fIPackages\-file\fP]
Update \fBdpkg\fP's and \fBdselect\fP's idea of which packages are available. With
action \fB\-\-merge\-avail\fP, old information is combined with information from
\fIPackages\-file\fP. With action \fB\-\-update\-avail\fP, old information is replaced
with the information in the \fIPackages\-file\fP. The \fIPackages\-file\fP
distributed with Debian is simply named «\fIPackages\fP». If the
\fIPackages\-file\fP argument is missing or named «\fB\-\fP» then it will be read
from standard input (since dpkg 1.17.7). \fBdpkg\fP keeps its record of
available packages in \fI%ADMINDIR%/available\fP.

\fBdselect update\fP ofrece una manera sencilla y directa de obtener y
actualizar el fichero \fIavailable\fP (disponible). Tenga en cuenta que el
fichero es casi inservible si usa una interfaz basada en APT en lugar de
\fBdselect\fP: APT tiene su propio sistema de registrar los paquetes
disponibles.
.TP 
\fB\-A\fP, \fB\-\-record\-avail\fP \fIfichero\-paquete\fP...
Actualiza la lista de paquetes disponibles de \fBdpkg\fP y \fBdselect\fP con la
información del \fIfichero\-paquete\fP. Si se define la opción \fB\-\-recursive\fP o
\fB\-R\fP, el \fIfichero\-paquete\fP debe ser un directorio.
.TP 
\fB\-\-forget\-old\-unavail\fP
Now \fBobsolete\fP and a no\-op as \fBdpkg\fP will automatically forget uninstalled
unavailable packages (since dpkg 1.15.4), but only those that do not contain
user information such as package selections.
.TP 
\fB\-\-clear\-avail\fP
Elimina la información sobre qué paquetes están disponibles.
.TP 
\fB\-\-get\-selections\fP [\fIpatrón\-nombre\-paquete\fP...]
Get list of package selections, and write it to stdout. Without a pattern,
non\-installed packages (i.e. those which have been previously purged) will
not be shown.
.TP 
\fB\-\-set\-selections\fP
Set package selections using file read from stdin. This file should be in
the format “\fIpackage\fP \fIstate\fP”, where state is one of \fBinstall\fP, \fBhold\fP,
\fBdeinstall\fP or \fBpurge\fP. Blank lines and comment lines beginning with
‘\fB#\fP’ are also permitted.

The \fIavailable\fP file needs to be up\-to\-date for this command to be useful,
otherwise unknown packages will be ignored with a warning. See the
\fB\-\-update\-avail\fP and \fB\-\-merge\-avail\fP commands for more information.
.TP 
\fB\-\-clear\-selections\fP
Set the requested state of every non\-essential package to deinstall (since
dpkg 1.13.18).  This is intended to be used immediately before
\fB\-\-set\-selections\fP, to deinstall any packages not in list given to
\fB\-\-set\-selections\fP.
.TP 
\fB\-\-yet\-to\-unpack\fP
Busca los paquetes seleccionados para su instalación, pero que por alguna
razón todavía no se han instalado.
.IP
Note: This command makes use of both the available file and the package
selections.
.TP 
\fB\-\-predep\-package\fP
Print a single package which is the target of one or more relevant
pre\-dependencies and has itself no unsatisfied pre\-dependencies.
.IP
If such a package is present, output it as a Packages file entry, which can
be massaged as appropriate.
.IP
Note: This command makes use of both the available file and the package
selections.
.IP
Returns 0 when a package is printed, 1 when no suitable package is available
and 2 on error.
.TP 
\fB\-\-add\-architecture \fP\fIarquitectura\fP
Add \fIarchitecture\fP to the list of architectures for which packages can be
installed without using \fB\-\-force\-architecture\fP (since dpkg 1.16.2).  The
architecture \fBdpkg\fP is built for (i.e. the output of
\fB\-\-print\-architecture\fP)  is always part of that list.
.TP 
\fB\-\-remove\-architecture \fP\fIarquitectura\fP
Remove \fIarchitecture\fP from the list of architectures for which packages can
be installed without using \fB\-\-force\-architecture\fP (since dpkg 1.16.2). If
the architecture is currently in use in the database then the operation will
be refused, except if \fB\-\-force\-architecture\fP is specified. The architecture
\fBdpkg\fP is built for (i.e. the output of \fB\-\-print\-architecture\fP) can never
be removed from that list.
.TP 
\fB\-\-print\-architecture\fP
Print architecture of packages \fBdpkg\fP installs (for example, “i386”).
.TP 
\fB\-\-print\-foreign\-architectures\fP
Print a newline\-separated list of the extra architectures \fBdpkg\fP is
configured to allow packages to be installed for (since dpkg 1.16.2).
.TP 
\fB\-\-assert\-\fP\fIfeature\fP
Asserts that \fBdpkg\fP supports the requested feature.  Returns 0 if the
feature is fully supported, 1 if the feature is known but \fBdpkg\fP cannot
provide support for it yet, and 2 if the feature is unknown.  The current
list of assertable features is:
.RS
.TP 
\fBsupport\-predepends\fP
Supports the \fBPre\-Depends\fP field (since dpkg 1.1.0).
.TP 
\fBworking\-epoch\fP
Supports epochs in version strings (since dpkg 1.4.0.7).
.TP 
\fBlong\-filenames\fP
Supports long filenames in \fBdeb\fP(5) archives (since dpkg 1.4.1.17).
.TP 
\fBmulti\-conrep\fP
Supports multiple \fBConflicts\fP and \fBReplaces\fP (since dpkg 1.4.1.19).
.TP 
\fBmulti\-arch\fP
Supports multi\-arch fields and semantics (since dpkg 1.16.2).
.TP 
\fBversioned\-provides\fP
Supports versioned \fBProvides\fP (since dpkg 1.17.11).
.RE
.TP 
\fB\-\-validate\-\fP\fIthing string\fP
Validate that the \fIthing\fP \fIstring\fP has a correct syntax (since dpkg
1.18.16).  Returns 0 if the \fIstring\fP is valid, 1 if the \fIstring\fP is
invalid but might be accepted in lax contexts, and 2 if the \fIstring\fP is
invalid.  The current list of validatable \fIthing\fPs is:
.RS
.TP 
\fBpkgname\fP
Validates the given package name (since dpkg 1.18.16).
.TP 
\fBtrigname\fP
Validates the given trigger name (since dpkg 1.18.16).
.TP 
\fBarchname\fP
Validates the given architecture name (since dpkg 1.18.16).
.TP 
\fBversion\fP
Validates the given version (since dpkg 1.18.16).
.RE
.TP 
\fB\-\-compare\-versions \fP\fIver1 op ver2\fP
.\" .TP
.\" .B \-\-command\-fd \fIn\fP
.\" Accept a series of commands on input file descriptor \fIn\fP. Note:
.\" additional options set on the command line, and through this file descriptor,
.\" are not reset for subsequent commands executed during the same run.
Compare version numbers, where \fIop\fP is a binary operator. \fBdpkg\fP returns
true (\fB0\fP) if the specified condition is satisfied, and false (\fB1\fP)
otherwise. There are two groups of operators, which differ in how they treat
an empty \fIver1\fP or \fIver2\fP. These treat an empty version as earlier than
any version: \fBlt le eq ne ge gt\fP. These treat an empty version as later
than any version: \fBlt\-nl le\-nl ge\-nl gt\-nl\fP. These are provided only for
compatibility with control file syntax: \fB< << <= = >=
>> >\fP. The \fB<\fP and \fB>\fP operators are obsolete and
should \fBnot\fP be used, due to confusing semantics. To illustrate: \fB0.1
< 0.1\fP evaluates to true.
.TP 
\fB\-?\fP, \fB\-\-help\fP
Muestra un resumen de las instrucciones de uso.
.TP 
\fB\-\-force\-help\fP
Muestra la ayuda de las opciones \fB\-\-force\-\fP\fIalgo\fP.
.TP 
\fB\-Dh\fP, \fB\-\-debug=help\fP
Muestra la ayuda de las opciones de depuración.
.TP 
\fB\-\-version\fP
Muestra la versión de \fBdpkg\fP.
.TP 
\fBdpkg\-deb actions\fP
Consulte \fBdpkg\-deb\fP(1) para más información sobre las siguientes acciones.

.nf
\fB\-b\fP, \fB\-\-build\fP \fIdirectory\fP [\fIarchive\fP|\fIdirectory\fP]
    Build a deb package.
\fB\-c\fP, \fB\-\-contents\fP \fIarchive\fP
    List contents of a deb package.
\fB\-e\fP, \fB\-\-control\fP \fIarchive\fP [\fIdirectory\fP]
    Extract control\-information from a package.
\fB\-x\fP, \fB\-\-extract\fP \fIarchive directory\fP
    Extract the files contained by package.
\fB\-X\fP, \fB\-\-vextract\fP \fIarchive directory\fP
    Extract and display the filenames contained by a
    package.
\fB\-f\fP, \fB\-\-field\fP  \fIarchive\fP [\fIcontrol\-field\fP...]
    Display control field(s) of a package.
\fB\-\-ctrl\-tarfile\fP \fIarchive\fP
    Output the control tar\-file contained in a Debian package.
\fB\-\-fsys\-tarfile\fP \fIarchive\fP
    Output the filesystem tar\-file contained by a Debian package.
\fB\-I\fP, \fB\-\-info\fP \fIarchive\fP [\fIcontrol\-file\fP...]
    Show information about a package.
.fi

.TP 
\fBdpkg\-query\-actions\fP
Para más información sobre las siguientes acciones consulte
\fBdpkg\-query\fP(1).

.nf

\fB\-l\fP | \fB\-\-list\fP \fIpatrón\-nombre\-paquete\fP ...
    Lista los paquetes cuyo nombre encaja en el patrón dado.
\fB\-s\fP | \fB\-\-status\fP \fInombre\-paquete\fP ...
    Informa del estado del paquete especificado.
\fB\-L\fP | \fB\-\-listfiles\fP \fIpaquete\fP ...
    Lista los ficheros instalados en el sistema que pertenecen a
    \fBpaquete\fP.
\fB\-S\fP | \fB\-\-search\fP \fIpatrón\-búsqueda\-ficheros\fP ...
    Busca un fichero en los paquetes instalados.
\fB\-p\fP | \fB\-\-print\-avail\fP \fIpaquete\fP ...
    Imprime información sobre el \fIpaquete\fP, extraída de
    \fI%ADMINDIR%/available\fP. Los usuarios de interfaces de APT
    deberían utilizar \fBapt\-cache show\fP \fIpaquete\fP.
.fi
.
.SH OPCIONES
All options can be specified both on the command line and in the \fBdpkg\fP
configuration file \fI%PKGCONFDIR%/dpkg.cfg\fP or fragment files (with names
matching this shell pattern '[0\-9a\-zA\-Z_\-]*') on the configuration directory
\fI%PKGCONFDIR%/dpkg.cfg.d/\fP. Each line in the configuration file is either
an option (exactly the same as the command line option but without leading
hyphens) or a comment (if it starts with a ‘\fB#\fP’).
.br
.TP 
\fB\-\-abort\-after=\fP\fInúmero\fP
Modifica cuántos errores llevan a \fBdpkg\fP a interrumpir el proceso. El valor
por omisión es 50.
.TP 
\fB\-B\fP, \fB\-\-auto\-deconfigure\fP
Al eliminar un paquete puede que otro dependa de él. Definir esta opción
producirá la desconfiguración automática del paquete que dependía del
paquete eliminado.
.TP 
\fB\-D\fP\fIoctal\fP\fB, \-\-debug=\fP\fIoctal\fP
Activa el modo de depuración. El parámetro \fIoctal\fP se forma uniendo los
valores de la siguiente lista mediante la operación \fIor\fP a nivel de bits
(tenga en cuenta que estos valores podrían cambiar en futuras
versiones). \fB\-Dh\fP o \fB\-\-debug=help\fP muestran estos valores.

  Número  Descripción
     1   Información de progreso generalmente útil
     2    Ejecución y estado de los scripts del paquete
    10   Salida por cada fichero procesado
   100   Mucha salida por cada fichero procesado
    20   Salida por cada «conffile»
   200   Mucha salida por cada «conffile»
    40   Dependencias y conflictos
   400   Mucha salida sobre dependencias y conflictos
 10000   Activación de los disparadores y procesado
 20000   Una gran información de los disparadores
 40000   Niveles ridículos de información de los disparadores
  1000   Parrafadas sobre el directorio dpkg/info
  2000   Montañas de parrafadas (perjudica la salud)
.TP 
\fB\-\-force\-\fP\fIthings\fP
.TQ
\fB\-\-no\-force\-\fP\fIthings\fP, \fB\-\-refuse\-\fP\fIthings\fP
Fuerza o rechaza (\fBno\-force\fP y \fBrefuse\fP significan lo mismo) hacer ciertas
cosas. El parámetro \fIcosas\fP es una lista de cosas definidas a continuación
y separadas por comas. La opción \fB\-\-force\-help\fP muestra un mensaje que las
describe. Las cosas marcadas con (*) se fuerzan por omisión.

\fIAviso: Estas opciones están pensadas básicamente para un uso
experto. Usarlas sin conocer totalmente sus efectos podría dejar su sistema
sin funcionamiento.\fP

\fBall\fP: Activa (o desactiva) todas las opciones de forzar.

\fBdowngrade\fP(*): Instala un paquete, incluso si ya existe una versión más
nueva instalada.

\fIWarning: At present \fP\fBdpkg\fP\fI does not do any dependency checking on
downgrades and therefore will not warn you if the downgrade breaks the
dependency of some other package. This can have serious side effects,
downgrading essential system components can even make your whole system
unusable. Use with care.\fP

\fBconfigure\-any\fP: Configura también los paquetes desempaquetados pero no
configurados sobre los que depende el paquete.

\fBhold\fP: Allow automatic installs, upgrades or removals of packages even
when marked to be on “hold”.  Note: This does not prevent these actions when
requested explicitly.

\fBremove\-reinstreq\fP: Elimina un paquete incluso si está roto y marcado para
una necesaria reinstalación. Esto podría causar, por ejemplo, que algunas
partes del paquete quedasen en el sistema, de las que \fBdpkg\fP se olvidaría.

\fBremove\-essential\fP: Elimina, incluso si el paquete se considera
esencial. Los paquetes esenciales contienen principalmente órdenes de Unix
muy básicas. Borrarlos podría hacer que el sistema dejase de funcionar en
absoluto así que use esta opción con cuidado.

\fBdepends\fP: Turn all dependency problems into warnings.  This affects the
\fBPre\-Depends\fP and \fBDepends\fP fields.

\fBdepends\-version\fP: Don't care about versions when checking dependencies.
This affects the \fBPre\-Depends\fP and \fBDepends\fP fields.

\fBbreaks\fP: Install, even if this would break another package (since dpkg
1.14.6).  This affects the \fBBreaks\fP field.

\fBconflicts\fP: Install, even if it conflicts with another package. This is
dangerous, for it will usually cause overwriting of some files.  This
affects the \fBConflicts\fP field.

\fBconfmiss\fP: Always install the missing conffile without prompting. This is
dangerous, since it means not preserving a change (removing) made to the
file.

\fBconfnew\fP: Si se ha modificado un fichero de configuración «conffile» y ha
cambiado la versión en el paquete, instala siempre la nueva versión sin
solicitar confirmación, a menos que se defina también la opción
\fB\-\-force\-confdef\fP, en cuyo caso se toma la acción predefinida.

\fBconfold\fP: Si se ha modificado un fichero de configuración «conffile» y ha
cambiado la versión en el paquete, mantiene siempre la versión existente sin
solicitar confirmación, a menos que también se defina la opción
\fB\-\-force\-confdef\fP, en cuyo caso se toma la acción predefinida.

\fBconfdef\fP: Si se ha modificado un fichero de configuración «conffile» y ha
cambiado la versión en el paquete, selecciona siempre la acción
predeterminada sin solicitar confirmación. Si no existe tal acción, se
detendrá y consultará al usuario, a no ser que se usen también las opciones
\fB\-\-force\-confnew\fP o \fB\-\-force\-confold\fP, en cuyo caso se usará una de estas
opciones para tomar la decisión final.

\fBconfask\fP: If a conffile has been modified always offer to replace it with
the version in the package, even if the version in the package did not
change (since dpkg 1.15.8).  If any of \fB\-\-force\-confnew\fP,
\fB\-\-force\-confold\fP, or \fB\-\-force\-confdef\fP is also given, it will be used to
decide the final action.

\fBoverwrite\fP: Sobreescribe un fichero de un paquete con un fichero de otro.

\fBoverwrite\-dir\fP: Overwrite one package's directory with another's file.

\fBoverwrite\-diverted\fP: Sobreescribe una versión desviada de un fichero con
una no desviada.

\fBstatoverride\-add\fP: Overwrite an existing stat override when adding it
(since dpkg 1.19.5).

\fBstatoverride\-remove\fP: Ignore a missing stat override when removing it
(since dpkg 1.19.5).

\fBsecurity\-mac\fP(*): Use platform\-specific Mandatory Access Controls (MAC)
based security when installing files into the filesystem (since dpkg
1.19.5).  On Linux systems the implementation uses SELinux.

\fBunsafe\-io\fP: Do not perform safe I/O operations when unpacking (since dpkg
1.15.8.6).  Currently this implies not performing file system syncs before
file renames, which is known to cause substantial performance degradation on
some file systems, unfortunately the ones that require the safe I/O on the
first place due to their unreliable behaviour causing zero\-length files on
abrupt system crashes.

\fINote\fP: Para ext4, el sistema con más problemas de este sentido, considere
utilizar la opción de montaje \fBnodelalloc\fP, lo que arregla la degradación
del rendimiento y los problemas de seguridad de datos. Lo último lo
soluciona haciendo que el sistema de ficheros no produzca ficheros de tamaño
cero durante fallos severos del sistema con cualquier software que no
realiza una sincronización antes de los renombres atómicos.

\fIAdvertencia: Usar esta opción puede aumentar el rendimiento a costa de la
pérdida de datos. Úselo con cuidado.\fP

\fBscript\-chrootless\fP: Run maintainer scripts without \fBchroot\fP(2)ing into
\fBinstdir\fP even if the package does not support this mode of operation
(since dpkg 1.18.5).

\fIWarning: This can destroy your host system, use with extreme care.\fP

\fBarchitecture\fP: Procesa los paquetes, incluso si no son de la arquitectura
adecuada o correcta.

\fBbad\-version\fP: Process even packages with wrong versions (since dpkg
1.16.1).

\fBbad\-path\fP: \fBPATH\fP no contiene algunos programas importantes, así que es
bastante posible que haya problemas.

\fBnot\-root\fP: Intenta la (des)instalación incluso si no es el usuario «root».

\fBbad\-verify\fP: Instala un paquete aunque falle la comprobación de
autenticidad.

.TP 
\fB\-\-ignore\-depends\fP=\fIpaquete\fP,...
Ignore dependency\-checking for specified packages (actually, checking is
performed, but only warnings about conflicts are given, nothing else).  This
affects the \fBPre\-Depends\fP, \fBDepends\fP and \fBBreaks\fP fields.
.TP 
\fB\-\-no\-act\fP, \fB\-\-dry\-run\fP, \fB\-\-simulate\fP
Hace todo lo que se supone que debe hacer, pero no realiza ningún cambio. Se
utiliza para ver qué ocurriría con las opciones seleccionadas sin realizar
cambios reales.

Asegúrese de introducir la opción \fB\-\-no\-act\fP antes del parámetro de acción,
o podría acabar con resultados no deseados. (Por ejemplo: \fBdpkg \-\-purge foo
\-\-no\-act\fP purgará primero el paquete foo y luego intentará purgar el paquete
\-\-no\-act, ¡aunque probablemente usted esperaba que no hiciera nada!).
.TP 
\fB\-R\fP, \fB\-\-recursive\fP
Recursively handle all regular files matching pattern \fB*.deb\fP found at
specified directories and all of its subdirectories. This can be used with
\fB\-i\fP, \fB\-A\fP, \fB\-\-install\fP, \fB\-\-unpack\fP and \fB\-\-record\-avail\fP actions.
.TP 
\fB\-G\fP
No instala un paquete del que ya existe una versión más nueva en el
sistema. Es un alias de \fB\-\-refuse\-downgrade\fP.
.TP 
\fB\-\-admindir=\fP\fIdirectorio\fP
Set the administrative directory to \fIdirectory\fP.  This directory contains
many files that give information about status of installed or uninstalled
packages, etc.  Defaults to «\fI%ADMINDIR%\fP».
.TP 
\fB\-\-instdir=\fP\fIdirectorio\fP
Set the installation directory, which refers to the directory where packages
are to be installed. \fBinstdir\fP is also the directory passed to \fBchroot\fP(2)
before running package's installation scripts, which means that the scripts
see \fBinstdir\fP as a root directory.  Defaults to «\fI/\fP».
.TP 
\fB\-\-root=\fP\fIdirectorio\fP
Set the root directory to \fBdirectory\fP, which sets the installation
directory to «\fIdir\fP» and the administrative directory to
«\fIdir\fP\fB%ADMINDIR%\fP».
.TP 
\fB\-O\fP, \fB\-\-selected\-only\fP
Procesa sólo los paquetes seleccionados para su instalación. La marca en sí
la hacen \fBdselect\fP o \fBdpkg\fP al manipular paquetes. Por ejemplo, si se
borra uno, éste se marcará para su desinstalación.
.TP 
\fB\-E\fP, \fB\-\-skip\-same\-version\fP
Evita la instalación de un paquete si tiene la misma versión que la ya
instalada.
.TP 
\fB\-\-pre\-invoke=\fP\fIorden\fP
.TQ
\fB\-\-post\-invoke=\fP\fIorden\fP
Set an invoke hook \fIcommand\fP to be run via \*(lqsh \-c\*(rq before or after the
\fBdpkg\fP run for the \fIunpack\fP, \fIconfigure\fP, \fIinstall\fP, \fItriggers\-only\fP,
\fIremove\fP, \fIpurge\fP, \fIadd\-architecture\fP and \fIremove\-architecture\fP \fBdpkg\fP
actions (since dpkg 1.15.4; \fIadd\-architecture\fP and \fIremove\-architecture\fP
actions since dpkg 1.17.19). This option can be specified multiple
times. The order the options are specified is preserved, with the ones from
the configuration files taking precedence.  The environment variable
\fBDPKG_HOOK_ACTION\fP is set for the hooks to the current \fBdpkg\fP
action. Note: front\-ends might call \fBdpkg\fP several times per invocation,
which might run the hooks more times than expected.
.TP 
\fB\-\-path\-exclude=\fP\fIcomodín\fP
.TQ
\fB\-\-path\-include=\fP\fIcomodín\fP
Set \fIglob\-pattern\fP as a path filter, either by excluding or re\-including
previously excluded paths matching the specified patterns during install
(since dpkg 1.15.8).

\fIAviso: tenga en cuenta que dependendiendo de las rutas que excluya, puede
dejar su sistema inutilizable, úselo con precuación.\fP

The glob patterns use the same wildcards used in the shell, were ‘*’ matches
any sequence of characters, including the empty string and also ‘/’.  For
example, «\fI/usr/*/READ*\fP» matches «\fI/usr/share/doc/package/README\fP».  As
usual, ‘?’ matches any single character (again, including ‘/’).  And ‘[’
starts a character class, which can contain a list of characters, ranges and
complementations. See \fBglob\fP(7) for detailed information about
globbing. Note: the current implementation might re\-include more directories
and symlinks than needed, to be on the safe side and avoid possible unpack
failures; future work might fix this.

Puede utilizar esto para eliminar todas las rutas a excepción de algunas en
particular; un típico uso es:

.nf
\fB\-\-path\-exclude=/usr/share/doc/*\fP
\fB\-\-path\-include=/usr/share/doc/*/copyright\fP
.fi

para eliminar todos los ficheros de documentación a excepción de los
ficheros de derechos de autor.

Estas dos opciones se pueden definir varias veces, y se pueden
interpolar. Ambos se procesan en el orden dado, y la última regla que encaja
con un nombre de fichero realiza la decisión.

The filters are applied when unpacking the binary packages, and as such only
have knowledge of the type of object currently being filtered (e.g. a normal
file or a directory) and have not visibility of what objects will come
next.  Because these filters have side effects (in contrast to \fBfind\fP(1)
filters), excluding an exact pathname that happens to be a directory object
like \fI/usr/share/doc\fP will not have the desired result, and only that
pathname will be excluded (which could be automatically reincluded if the
code sees the need).  Any subsequent files contained within that directory
will fail to unpack.

Hint: make sure the globs are not expanded by your shell.
.TP 
\fB\-\-verify\-format\fP\fI format\-name\fP
Sets the output format for the \fB\-\-verify\fP command (since dpkg 1.17.2).

The only currently supported output format is \fBrpm\fP, which consists of a
line for every path that failed any check.  The lines start with 9
characters to report each specific check result, a ‘\fB?\fP’ implies the check
could not be done (lack of support, file permissions, etc), ‘\fB.\fP’ implies
the check passed, and an alphanumeric character implies a specific check
failed; the md5sum verification failure (the file contents have changed) is
denoted with a ‘\fB5\fP’ on the third character.  The line is followed by a
space and an attribute character (currently ‘\fBc\fP’ for conffiles), another
space and the pathname.
.TP 
\fB\-\-status\-fd \fP\fIn\fP
Envía la información del estado del paquete e información de progreso en
formato máquina al descriptor de fichero \fIn\fP. Puede introducir esta opción
varias veces. La información aparece habitualmente con un registro por
línea, en una de las siguientes formas:
.RS
.TP 
\fBstatus: \fP\fIpaquete\fP\fB: \fP\fIestado\fP
El estado del paquete ha cambiado; el \fIestado\fP es el que aparece en el
fichero de estado.
.TP 
\fBstatus: \fP\fIpaquete\fP\fB : error : \fP\fImensaje\-de\-fallo\-detallado\fP
Se ha detectado un fallo. Cualquier nueva línea en
\fImensaje\-de\-fallo\-detallado\fP se convertirá a espacios antes de aparecer por
la salida.
.TP 
\fBstatus: \fP\fIfichero\fP\fB : conffile\-prompt : '\fP\fIreal\-old\fP\fB' '\fP\fIreal\-new\fP\fB' \fP\fIedición\-usuario\fP\fB \fP\fIedición\-distribución\fP
El usuario tiene que responder a una pregunta de un fichero de configuración
«conffile».
.TP 
\fBprocessing: \fP\fIetapa\fP\fB: \fP\fIpaquete\fP
Se envía justo después del inicio del estado de procesamiento. El \fIestado\fP
puede ser \fBupgrade\fP, \fBinstall\fP (ambos se envían antes de desempaquetar),
\fBconfigure\fP, \fBtrigproc\fP, \fBdisappear\fP, \fBremove\fP o \fBpurge\fP.
.RE
.TP 
\fB\-\-status\-logger\fP=\fIorden\fP
Send machine\-readable package status and progress information to the shell
\fIcommand\fP's standard input, to be run via \*(lqsh \-c\*(rq (since dpkg 1.16.0).
This option can be specified multiple times.  The output format used is the
same as in \fB\-\-status\-fd\fP.
.TP 
\fB\-\-log=\fP\fIfichero\fP
Log status change updates and actions to \fIfilename\fP, instead of the default
\fI%LOGDIR%/dpkg.log\fP. If this option is given multiple times, the last
filename is used. Log messages are of the form:
.RS
.TP 
YYYY\-MM\-DD HH:MM:SS \fBstartup\fP \fItype\fP \fIcommand\fP
For each dpkg invocation where \fItype\fP is \fBarchives\fP (with a \fIcommand\fP of
\fBunpack\fP or \fBinstall\fP) or \fBpackages\fP (with a \fIcommand\fP of \fBconfigure\fP,
\fBtriggers\-only\fP, \fBremove\fP or \fBpurge\fP).
.TP 
YYYY\-MM\-DD HH:MM:SS \fBstatus\fP \fIstate\fP \fIpkg\fP \fIinstalled\-version\fP
For status change updates.
.TP 
YYYY\-MM\-DD HH:MM:SS \fIaction\fP \fIpkg\fP \fIinstalled\-version\fP \fIavailable\-version\fP
For actions where \fIaction\fP is one of \fBinstall\fP, \fBupgrade\fP, \fBconfigure\fP,
\fBtrigproc\fP, \fBdisappear\fP, \fBremove\fP or \fBpurge\fP.
.TP 
YYYY\-MM\-DD HH:MM:SS \fBconffile\fP \fIfilename\fP \fIdecision\fP
For conffile changes where \fIdecision\fP is either \fBinstall\fP or \fBkeep\fP.
.RE
.TP 
\fB\-\-no\-pager\fP
Disables the use of any pager when showing information (since dpkg 1.19.2).
.TP 
\fB\-\-no\-debsig\fP
No intenta verificar las firmas de los paquetes.
.TP 
\fB\-\-no\-triggers\fP
Do not run any triggers in this run (since dpkg 1.14.17), but activations
will still be recorded.  If used with \fB\-\-configure\fP \fIpackage\fP or
\fB\-\-triggers\-only\fP \fIpackage\fP then the named package postinst will still be
run even if only a triggers run is needed. Use of this option may leave
packages in the improper \fBtriggers\-awaited\fP and \fBtriggers\-pending\fP
states. This can be fixed later by running: \fBdpkg \-\-configure \-\-pending\fP.
.TP 
\fB\-\-triggers\fP
Cancels a previous \fB\-\-no\-triggers\fP (since dpkg 1.14.17).
.
.SH "ESTADOS DE SALIDA"
.TP 
\fB0\fP
The requested action was successfully performed.  Or a check or assertion
command returned true.
.TP 
\fB1\fP
A check or assertion command returned false.
.TP 
\fB2\fP
Fatal or unrecoverable error due to invalid command\-line usage, or
interactions with the system, such as accesses to the database, memory
allocations, etc.
.
.SH ENTORNO
.SS "External environment"
.TP 
\fBPATH\fP
This variable is expected to be defined in the environment and point to the
system paths where several required programs are to be found. If it's not
set or the programs are not found, \fBdpkg\fP will abort.
.TP 
\fBHOME\fP
Si se define, \fBdpkg\fP lo usará como el directorio del cual leer el fichero
de configuración específico del usuario.
.TP 
\fBTMPDIR\fP
Si se define, \fBdpkg\fP lo usará como el directorio en el que crear ficheros y
directorios temporales.
.TP 
\fBSHELL\fP
The program \fBdpkg\fP will execute when starting a new interactive shell, or
when spawning a command via a shell.
.TP 
\fBPAGER\fP
.TQ
\fBDPKG_PAGER\fP
The program \fBdpkg\fP will execute when running a pager, which will be
executed with «\fB$SHELL \-c\fP», for example when displaying the conffile
differences.  If \fBSHELL\fP is not set, «\fBsh\fP» will be used instead.  The
\fBDPKG_PAGER\fP overrides the \fBPAGER\fP environment variable (since dpkg
1.19.2).
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.TP 
\fBDPKG_FORCE\fP
Sets the force flags (since dpkg 1.19.5).  When this variable is present, no
built\-in force defaults will be applied.  If the variable is present but
empty, all force flags will be disabled.
.TP 
\fBDPKG_ADMINDIR\fP
If set and the \fB\-\-admindir\fP or \fB\-\-root\fP options have not been specified,
it will be used as the \fBdpkg\fP administrative directory (since dpkg 1.20.0).
.TP 
\fBDPKG_FRONTEND_LOCKED\fP
Set by a package manager frontend to notify dpkg that it should not acquire
the frontend lock (since dpkg 1.19.1).
.SS "Internal environment"
.TP 
\fBLESS\fP
Defined by \fBdpkg\fP to “\fB\-FRSXMQ\fP”, if not already set, when spawning a
pager (since dpkg 1.19.2).  To change the default behavior, this variable
can be preset to some other value including an empty string, or the \fBPAGER\fP
or \fBDPKG_PAGER\fP variables can be set to disable specific options with
«\fB\-+\fP», for example \fBDPKG_PAGER="less \-+F"\fP.
.TP 
\fBDPKG_ROOT\fP
Defined by \fBdpkg\fP on the maintainer script environment to indicate which
installation to act on (since dpkg 1.18.5).  The value is intended to be
prepended to any path maintainer scripts operate on.  During normal
operation, this variable is empty.  When installing packages into a
different \fBinstdir\fP, \fBdpkg\fP normally invokes maintainer scripts using
\fBchroot\fP(2) and leaves this variable empty, but if
\fB\-\-force\-script\-chrootless\fP is specified then the \fBchroot\fP(2) call is
skipped and \fBinstdir\fP is non\-empty.
.TP 
\fBDPKG_ADMINDIR\fP
Defined by \fBdpkg\fP on the maintainer script environment to indicate the
\fBdpkg\fP administrative directory to use (since dpkg 1.16.0).  This variable
is always set to the current \fB\-\-admindir\fP value.
.TP 
\fBDPKG_FORCE\fP
Defined by \fBdpkg\fP on the subprocesses environment to all the currently
enabled force option names separated by commas (since dpkg 1.19.5).
.TP 
\fBDPKG_SHELL_REASON\fP
Defined by \fBdpkg\fP on the shell spawned on the conffile prompt to examine
the situation (since dpkg 1.15.6).  Current valid value: \fBconffile\-prompt\fP.
.TP 
\fBDPKG_CONFFILE_OLD\fP
Defined by \fBdpkg\fP on the shell spawned on the conffile prompt to examine
the situation (since dpkg 1.15.6).  Contains the path to the old conffile.
.TP 
\fBDPKG_CONFFILE_NEW\fP
Defined by \fBdpkg\fP on the shell spawned on the conffile prompt to examine
the situation (since dpkg 1.15.6).  Contains the path to the new conffile.
.TP 
\fBDPKG_HOOK_ACTION\fP
Defined by \fBdpkg\fP on the shell spawned when executing a hook action (since
dpkg 1.15.4).  Contains the current \fBdpkg\fP action.
.TP 
\fBDPKG_RUNNING_VERSION\fP
Defined by \fBdpkg\fP on the maintainer script environment to the version of
the currently running \fBdpkg\fP instance (since dpkg 1.14.17).
.TP 
\fBDPKG_MAINTSCRIPT_PACKAGE\fP
Defined by \fBdpkg\fP on the maintainer script environment to the
(non\-arch\-qualified) package name being handled (since dpkg 1.14.17).
.TP 
\fBDPKG_MAINTSCRIPT_PACKAGE_REFCOUNT\fP
Defined by \fBdpkg\fP on the maintainer script environment to the package
reference count, i.e. the number of package instances with a state greater
than \fBnot\-installed\fP (since dpkg 1.17.2).
.TP 
\fBDPKG_MAINTSCRIPT_ARCH\fP
Defined by \fBdpkg\fP on the maintainer script environment to the architecture
the package got built for (since dpkg 1.15.4).
.TP 
\fBDPKG_MAINTSCRIPT_NAME\fP
Defined by \fBdpkg\fP on the maintainer script environment to the name of the
script running, one of \fBpreinst\fP, \fBpostinst\fP, \fBprerm\fP or \fBpostrm\fP (since
dpkg 1.15.7).
.TP 
\fBDPKG_MAINTSCRIPT_DEBUG\fP
Defined by \fBdpkg\fP on the maintainer script environment to a value (‘\fB0\fP’
or ‘\fB1\fP’) noting whether debugging has been requested (with the \fB\-\-debug\fP
option) for the maintainer scripts (since dpkg 1.18.4).
.
.SH FICHEROS
.TP 
\fI%PKGCONFDIR%/dpkg.cfg.d/[0\-9a\-zA\-Z_\-]*\fP
Configuration fragment files (since dpkg 1.15.4).
.TP 
\fI%PKGCONFDIR%/dpkg.cfg\fP
El fichero de configuración con las opciones predefinidas.
.TP 
\fI%LOGDIR%/dpkg.log\fP
Default log file (see \fI%PKGCONFDIR%/dpkg.cfg\fP and option \fB\-\-log\fP).
.P
Los otros ficheros listados a continuación están en sus directorios
predefinidos. Consulte la opción \fB\-\-admindir\fP para ver cómo modificar la
ubicación de estos ficheros.
.TP 
\fI%ADMINDIR%/available\fP
Lista de paquetes disponibles.
.TP 
\fI%ADMINDIR%/status\fP
Los estados de los paquetes disponibles. Este fichero contiene información
sobre si un paquete está marcado o no para su eliminación, si está o no está
instalado, etc. Para más información, consulte el apartado \fBINFORMACIÓN
SOBRE PAQUETES\fP.

Una copia de seguridad diaria del fichero de estado se crea en
\fI/var/backups\fP. Puede ser útil si se ha perdido o ha quedado dañado por
problemas con el sistema de ficheros.
.P
The format and contents of a binary package are described in \fBdeb\fP(5).
.
.SH FALLOS
Habitualmente, la opción \fB\-\-no\-act\fP da menos información de la que
necesita.
.
.SH EJEMPLOS
To list installed packages related to the editor \fBvi\fP(1) (note that
\fBdpkg\-query\fP does not load the \fIavailable\fP file anymore by default, and
the \fBdpkg\-query\fP \fB\-\-load\-avail\fP option should be used instead for that):
.br
     \fBdpkg \-l '*vi*'\fP
.br

Para ver las entradas en \fI%ADMINDIR%/available\fP de dos paquetes:
.br
     \fBdpkg \-\-print\-avail elvis vim | less\fP
.br

Para buscar personalmente en la lista de paquetes:
.br
     \fBless %ADMINDIR%/available\fP
.br

Para borrar un paquete instalado llamado elvis:
.br
     \fBdpkg \-r elvis\fP
.br

To install a package, you first need to find it in an archive or CDROM. The
\fIavailable\fP file shows that the vim package is in section \fBeditors\fP:
.br
     \fBcd /media/cdrom/pool/main/v/vim\fP
     \fBdpkg \-i vim_4.5\-3.deb\fP
.br

Para hacer una copia local de las selecciones de estados de paquetes:
.br
     \fB dpkg \-\-get\-selections >mis\-selecciones\fP
.br

You might transfer this file to another computer, and after having updated
the \fIavailable\fP file there with your package manager frontend of choice
(see https://wiki.debian.org/Teams/Dpkg/FAQ for more details), for example:
.br
     \fBapt\-cache dumpavail | dpkg \-\-merge\-avail\fP
.br
or with dpkg 1.17.6 and earlier:
.br
     \fBavail=`mktemp`\fP
     \fBapt\-cache dumpavail >"$avail"\fP
     \fBdpkg \-\-merge\-avail "$avail"\fP
     \fBrm "$avail"\fP
.br
you can install it with:
.br
     \fBdpkg \-\-clear\-selections\fP
     \fBdpkg \-\-set\-selections <mis\-selecciones\fP
.br

Tenga en cuenta que esto no instalará ni borrará nada, simplemente
modificará el estado de selección de los paquetes seleccionados. Necesitará
otra aplicación para obtener los paquetes e instalarlos. Por ejemplo,
ejecute \fBapt\-get dselect\-upgrade\fP.

Por lo general, encontrará que \fBdselect\fP(8) es una forma más cómoda de
modificar los estados de selección de los paquetes.
.br
.
.SH "FUNCIONALIDAD ADICIONAL"
Puede ganar funcionalidades adicionales instalando alguno de los siguientes
paquetes: \fIapt\fP, \fIaptitude\fP y \fIdebsums\fP.
.
.SH "VÉASE TAMBIÉN"
\fBaptitude\fP(1), \fBapt\fP(1), \fBdselect\fP(1), \fBdpkg\-deb\fP(1), \fBdpkg\-query\fP(1),
\fBdeb\fP(5), \fBdeb\-control\fP(5), \fBdpkg.cfg\fP(5), y \fBdpkg\-reconfigure\fP(8).
.
.SH AUTORES
Consulte \fI%PKGDOCDIR%/THANKS\fP para una lista de las personas que han
contribuido a \fBdpkg\fP.
