.\" dselect manual page - dselect(1)
.\"
.\" Copyright © 1995 Juho Vuori <javuori@cc.helsinki.fi>
.\" Copyright © 2000 Josip Rodin
.\" Copyright © 2001 Joost Kooij
.\" Copyright © 2001 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2010-2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dselect 1 %RELEASE_DATE% %VERSION% "Herramientas de dpkg"
.ad l
.nh
.SH NOMBRE
dselect \- Interfaz para la gestión de paquetes de Debian
.
.SH SINOPSIS
\fBdselect\fP [\fIoption\fP...] [\fIcommand\fP...]
.
.SH DESCRIPCIÓN
\fBdselect\fP
es una de las principales interfaces para la gestión de paquetes en un
sistema Debian GNU/Linux. El menú principal de \fBdselect\fP permite al
administrador del sistema:
 \- Actualizar la lista de paquetes disponibles.
 \- Ver el estado de los paquetes instalados y disponibles.
 \- Alterar selecciones de paquetes y gestionar las dependencias.
 \- Instalar paquetes nuevos o actualizarlos a nuevas versiones.
.PP
\fBdselect\fP operates as a front\-end to \fBdpkg\fP(1), the low\-level Debian
package handling tool. It features a full\-screen package selections manager
with package depends and conflicts resolver. When run with administrator
privileges, packages can be installed, upgraded and removed. Various access
methods can be configured to retrieve available package version information
and installable packages from package repositories.  Depending on the used
access method, these repositories can be public archive servers on the
internet, local archive servers or CD\-ROMs.  The recommended access method
is \fIapt\fP, which is provided by the package \fBapt\fP.
.PP
Normally \fBdselect\fP is invoked without parameters. An interactive menu is
presented, offering the user a list of commands. If a command is given as
argument, then that command is started immediately. Several command line
parameters are still available to modify the running behaviour of \fBdselect\fP
or show additional information about the program.
.
.SH OPCIONES
All options can be specified both on the command line and in the \fBdselect\fP
configuration file \fI%PKGCONFDIR%/dselect.cfg\fP or the files on the
configuration directory \fI%PKGCONFDIR%/dselect.cfg.d/\fP. Each line in the
configuration file is either an option (exactly the same as the command line
option but without leading hyphens) or a comment (if it starts with a
‘\fB#\fP’).
.br
.TP 
\fB\-\-admindir\fP\fI directorio\fP
Changes the directory where the dpkg ‘\fIstatus\fP’, ‘\fIavailable\fP’ and similar
files are located.  This defaults to \fI%ADMINDIR%\fP and normally there
shouldn't be any need to change it.
.TP 
\fB\-D\fP\fIfile\fP, \fB\-\-debug\fP \fIfile\fP
Activa la depuración de fallos. Esta información se envía al \fIfichero\fP.
.TP 
\fB\-\-expert\fP
Activa el modo experto. Por ejemplo, no muestra mensajes de ayuda
posiblemente molestos.
.TP 
\fB\-\-color\fP \fIscreenpart\fP:[\fIforeground\fP],[\fIbackground\fP][:\fIattr\fP[\fI+attr\fP]...]
.TQ
\fB\-\-colour\fP \fIscreenpart\fP:[\fIforeground\fP],[\fIbackground\fP][:\fIattr\fP[\fI+attr\fP]...]
Configura los colores de la pantalla. Esto sólo funciona si su equipo es
capaz de mostrar colores. Puede utilizar esta opción cuantas veces desee (es
mejor usarla en \fIdselect.cfg\fP). Cada uso cambia el color (y opcionalmente,
otros atributos) de una parte de la pantalla. Estas partes de la pantalla
(desde arriba hacia abajo) son:
.RS
.TP 
\fBtitle\fP
El título de la pantalla.
.TP 
\fBlisthead\fP
La línea de cabecera encima de la lista de paquetes.
.TP 
\fBlist\fP
La lista de paquetes (y también otros textos de ayuda).
.TP 
\fBlistsel\fP
El elemento seleccionado en la lista.
.TP 
\fBpkgstate\fP
En la lista de paquetes, el texto que indica el estado actual de cada
paquete.
.TP 
\fBpkgstatesel\fP
En la lista de paquetes, el texto que indica el estado actual del paquete
seleccionado.
.TP 
\fBinfohead\fP
La línea de cabecera que muestra el estado del paquete seleccionado.
.TP 
\fBinfodesc\fP
La descripción corta del paquete.
.TP 
\fBinfo\fP
Se usa para mostrar la información del paquete así como su descripción.
.TP 
\fBinfofoot\fP
La última línea de la pantalla cuando se seleccionan paquetes.
.TP 
\fBquery\fP
Se usa para mostrar líneas de consulta.
.TP 
\fBhelpscreen\fP
Color de las pantallas de ayuda.
.RE
.IP
A continuación de la parte de la pantalla aparecen dos puntos y la
definición del color. Puede definir el color del primer plano, el color de
fondo, o ambos evitando los colores predefinidos. Se deben utilizar nombres
estándar de colores de la biblioteca curses.
.IP
Optionally, after the color specification is another colon, and an attribute
specification. This is a list of one or more attributes, separated by plus
(‘+’) characters.  Available attributes include (not all of these will work
on all terminals): \fBnormal\fP, \fBstandout\fP, \fBunderline\fP, \fBreverse\fP,
\fBblink\fP, \fBbright\fP, \fBdim\fP, \fBbold\fP
.TP 
\fB\-?\fP, \fB\-\-help\fP
Muestra un breve texto de ayuda y cierra con éxito.
.TP 
\fB\-\-version\fP
Muestra la información de versión del programa y cierra con éxito.
.
.SH ÓRDENES
When \fBdselect\fP is started it can perform the following commands, either
directly if it was specified on the command line or by prompting the user
with a menu of available commands if running interactively:
.SS access
Selección y configuración de un método de acceso para acceder a los
repositorios de paquetes.
.sp
By default, \fBdselect\fP provides several methods such as \fIcdrom\fP,
\fImulti_cd\fP, \fInfs\fP, \fImulti_nfs\fP, \fIharddisk\fP, \fImounted\fP, \fImulti_mount\fP
or \fIftp\fP, but other packages may provide additional methods, eg. the \fIapt\fP
access method provided by the \fBapt\fP package.
.sp
El uso del método de acceso vía \fIapt\fP es altamente recomendado.
.sp
.SS update
Actualiza la lista disponible de paquetes.
.sp
Obtiene una lista de versiones disponibles de paquetes desde un repositorio,
configurado por el método de acceso seleccionado, y actualiza la base de
datos de dpkg. Habitualmente, el repositorio proporciona la lista de
paquetes mediante ficheros llamados \fBPackages\fP o \fBPackages.gz\fP. Los
responsables de repositorios pueden generar estos ficheros a través del
programa \fBdpkg\-scanpackages(1)\fP.
.sp
Details of the update command depend on the access method's implementation.
Normally the process is straightforward and requires no user interaction.
.sp
.SS select
Examina o gestiona la selección de paquetes y sus respectivas dependencias.
.sp
Esta es la función principal de \fBdselect\fP. En la pantalla de selección, el
usuario puede examinar una lista de todos los paquetes disponibles e
instalados. Cuando se ejecuta con permisos de administrador también es
posible cambiar el estado de la selección interactivamente. \fBdselect\fP
registra las implicaciones de estos cambios en relación a otros paquetes
dependencia o que entran en conflicto.
.sp
Cuando hay un conflicto, o bien una dependencia falla, se muestra la
pantalla de resolución de dependencias. En esta pantalla aparece una lista
de paquetes conflictivos o dependientes, y por para cada paquete en la
lista, se muestra la razón de su aparición en ella. El usuario puede
ejecutar las sugerencias que \fBdselect\fP ofrece, evitarlas, o bien deshacer
los cambios hechos, incluyendo aquellos en los que se dejaron dependencias o
conflictos sin resolver.
.sp
A continuación se explica con más detalle el uso de la pantalla interactiva
de selección de paquetes.
.sp
.SS install
Instala los paquetes seleccionados.
.sp
El método de acceso configurado descargará los paquetes instalables o
actualizables desde los repositorios, y los instalará usando
\fBdpkg\fP. Dependiendo de la implementación del método de acceso, todos los
paquetes se pueden descargar previamente a la instalación, o bien cuando se
requiera. Algunos métodos de acceso podrían borrar paquetes que se marcaron
para su eliminación.
.sp
Si ocurre algún error durante la instalación, normalmente se aconseja
ejecutar la instalación nuevamente. En la mayoría de los casos los problemas
desaparecerán o bien se resolverán. Si el problema persiste o la instalación
se ejecutó de forma incorrecta, le rogamos investigue las causas y
circunstancias del problema, y remita un informe de fallos al sistema de
seguimiento de fallos de Debian. Puede encontrar las instrucciones
correspondientes en «https://bugs.debian.org/», o bien leyendo la
documentación de los programas \fBbug(1)\fP o \fBreportbug(1)\fP, si es que están
instalados.
.sp
Details of the install command depend on the access method's
implementation.  The user's attention and input may be required during
installation, configuration or removal of packages. This depends on the
maintainer scripts in the package. Some packages make use of the
\fBdebconf\fP(1)  library, allowing for more flexible or even automated
installation setups.
.sp
.SS config
Configura cualquier paquete previamente instalado, pero no configurado
totalmente.
.sp
.SS remove
Elimina o purga (N.T. es decir, elimina los ficheros de configuración) los
paquetes instalados que estén marcados para su eliminación.
.sp
.SS quit
Quit \fBdselect\fP.
.sp
Termina el programa con éxito (el código de error devuelto es 0).
.sp
.
.SH "PACKAGE SELECTIONS MANAGEMENT"
.sp
.SS Introducción
.sp
\fBdselect\fP directly exposes the administrator to some of the complexities
involved with managing large sets of packages with many
interdependencies. For a user who is unfamiliar with the concepts and the
ways of the Debian package management system, it can be quite
overwhelming. Although \fBdselect\fP is aimed at easing package management and
administration, it is only instrumental in doing so and cannot be assumed to
be a sufficient substitute for administrator skill and understanding. The
user is required to be familiar with the concepts underlying the Debian
packaging system.  In case of doubt, consult the \fBdpkg\fP(1) manpage and the
distribution policy.
.sp
Unless \fBdselect\fP is run in expert or immediate mode, a help screen is first
displayed when choosing this command from the menu. The user is \fIstrongly\fP
advised to study all of the information presented in the online help
screens, when one pops up.  The online help screens can at any time be
invoked with the ‘\fB?\fP’ key.
.sp
.SS "Disposición de la pantalla"
.sp
La pantalla de selección está dividida en dos partes, superior e inferior,
de forma predefinido. La parte superior muestra la lista de paquetes. Puede
seleccionar un paquete individual pulsando sobre él, o un grupo de paquetes,
si es que se puede, seleccionando la cabecera del grupo. La parte inferior
de la pantalla muestra algunos de los detalles del paquete seleccionado en
la parte superior de la pantalla. El tipo de detalle mostrado puede variar.
.sp
Pressing the ‘\fBI\fP’ key toggles a full\-screen display of the packages list,
an enlarged view of the package details, or the equally split screen.
.sp
.SS "Detalles de la vista de paquetes"
.sp
The package details view by default shows the extended package description
for the package that is currently selected in the packages status list.
The type of detail can be toggled by pressing the ‘\fBi\fP’ key.
This alternates between:
 \- the extended description
 \- the control information for the installed version
 \- the control information for the available version
.sp
La pantalla de resolución de dependencias también ofrece la posibilidad de
ver los posibles problemas de dependencias o conflictos sin resolver
relacionados con el paquete que causa los problemas.
.sp
.SS "Lista de estado de los paquetes"
.sp
The main select screen displays a list of all packages known to the Debian
package management system. This includes packages installed on the system
and packages known from the available packages database.
.sp
For every package, the list shows the package's status, priority, section,
installed and available architecture, installed and available versions, the
package name and its short description, all in one line.  By pressing the
‘\fBA\fP’ key, the display of the installed and available architecture can be
toggled between on an off.  By pressing the ‘\fBV\fP’ key, the display of the
installed and available version can be toggled between on an off.  By
pressing the ‘\fBv\fP’ key, the package status display is toggled between
verbose and shorthand.  Shorthand display is the default.
.sp
La forma breve del estado consiste de cuatro partes: una marca de fallo, la
cual normalmente debería estar vacía, el estado actual, el estado de la
última selección y el estado de la selección actual. Las dos primeras están
en directa relación con el estado actual del paquete, el segundo par con las
selecciones del usuario.
.sp
Aquí tiene una tabla de significados de indicadores del estado del paquete:
 Marca de error:
  \fIvacío\fP   No hay error.
  \fBR\fP       Error serio, necesita una reinstalación.
 Estado de la instalación:
  \fIvacío\fP   No está instalado.
  \fB*\fP       Totalmente instalado y configurado.
  \fB\-\fP       No está instalado, pero aún existen archivos de
             configuración.
  \fBU\fP       Desempaquetado, pero no configurado por el momento.
  \fBC\fP       Medio\-configurado (ocurrió un error).
  \fBI\fP       Medio\-instalado (ocurrió un error).
 Selección actual y solicitada:
  \fB*\fP       Marcado para su instalación o actualización.
  \fB\-\fP       Marcado para su eliminación, no se eliminarán
             los ficheros de configuración.
  \fB=\fP       Bloqueado: el paquete no se procesará en absoluto.
  \fB_\fP       El paquete está marcado para su purgación,
             también elimina los ficheros de configuración.
  \fBn\fP       El paquete es nuevo y aún no se ha marcado.
.sp
.SS "Movimiento del cursor y de la pantalla"
.sp
La lista de selección de paquetes y la pantalla de resolución de
dependencias y conflictos se pueden explorar usando las siguientes teclas:
.br
  \fBp, arriba, k\fP       Mueve el cursor hacia arriba.
  \fBn, abajo, j\fP        Mueve el cursor hacia abajo.
  \fBP, repág, retorno\fP  Mueve la lista una página hacia arriba.
  \fBN, avpág, Espacio\fP  Mueve la lista una página hacia abajo.
  \fB^p\fP                 Mueve la lista una línea hacia arriba.
  \fB^n\fP                 Mueve la lista una línea hacia abajo.
  \fBt, Inicio\fP          Salta al principio de la lista.
  \fBe, Fin\fP             Salta al fin de la lista.
  \fBu\fP                  Mueve info una página hacia arriba.
  \fBd\fP                  Mueve info una página hacia abajo.
  \fB^u\fP                 Mueve info una línea hacia abajo.
  \fB^d\fP                 Mueve info una línea hacia abajo.
  \fBB, izquierda\fP       Exhibe la pantalla 1/3 hacia la izquierda.
  \fBF, derecha\fP         Exhibe la pantalla 1/3 hacia la derecha.
  \fB^b\fP                 Exhibe un carácter hacia la izquierda.
  \fB^f\fP                 Exhibe un carácter hacia la derecha.
.sp
.SS "Buscar y ordenar"
.sp
The list of packages can be searched by package name. This is done by
pressing ‘\fB/\fP’, and typing a simple search string. The string is
interpreted as a \fBregex\fP(7)  regular expression.  If you add ‘\fB/d\fP’ to the
search expression, dselect will also search in descriptions.  If you add
‘\fB/i\fP’ the search will be case insensitive.  You may combine these two
suffixes like this: ‘\fB/id\fP’.  Repeated searching is accomplished by
repeatedly pressing the ‘\fBn\fP’ or ‘\fB\e\fP’ keys, until the wanted package is
found.  If the search reaches the bottom of the list, it wraps to the top
and continues searching from there.
.sp
The list sort order can be varied by pressing
the ‘\fBo\fP’ and ‘\fBO\fP’ keys repeatedly.
The following nine sort orderings can be selected:
 alphabet          available           status
 priority+section  available+priority  status+priority
 section+priority  available+section   status+section
.br
Si no se usa explícitamente ninguno de los mencionados arriba, se usa el
orden alfabético.
.sp
.SS "Modificar selecciones"
.sp
El estado de la selección solicitada de paquetes individuales se puede
alterar mediante las siguientes órdenes:
  \fB+, Insert\fP    Instala o actualiza.
  \fB=, H\fP         Bloqueado en el estado y versión actual.
  \fB:, G\fP         Elimina el bloqueo: actualiza o deja sin instalar.
  \fB\-, Supr\fP      Elimina, pero deja los ficheros de configuración.
  \fB_\fP            Elimina y borra los ficheros de configuración.
.sp
Cuando los cambios resultan en una o más dependencias no satisfechas, o
también en conflictos, \fBdselect\fP muestra al usuario una pantalla de
resolución de dependencias. Esta pantalla se explicará en detalle más abajo.
.sp
También es posible aplicar estas órdenes a grupos de selecciones de
paquetes, apuntando el cursor a la cabecera del grupo. El agrupamiento
exacto de los paquetes depende de la configuración del ordenamiento de la
lista.
.sp
Se debe tomar el cuidado apropiado al alterar grupos grandes de selecciones,
ya que esto puede crear inmediatamente una larga lista de dependencias sin
resolver o conflictos con otros paquetes, los cuales aparecerán en una
pantalla única, dificultando su gestión. En la práctica, al manipular grupos
sólo son útiles las operaciones de retención «hold» y «unhold».
.sp
.SS "Resolver problemas de dependencias y conflictos"
.sp
Cuando el cambio resulta en una o más dependencias sin resolver o
conflictos, \fBdselect\fP muestra al usuario una pantalla con la posible
solución al problema. Primero, sin embargo, se muestra una pantalla
informativa.
.sp
La mitad superior de esta pantalla enumera todos los paquetes que tendrán
conflictos, o problemas de dependencias sin resolver, como resultado del
cambio requerido por el usuario, además de todos los paquetes cuya
instalación solucionará el problema. La mitad inferior muestra los problemas
de dependencia o conflictos que causa el paquete seleccionado.
.sp
Cuando la sub\-lista de paquetes se exhibe inicialmente puede que \fBdselect\fP
ya haya definido el estado de selección requerido de alguno de los paquetes
listados, para así resolver los problemas de dependencias o conflictos que
causaron la aparición de la pantalla de resolución de
dependencias. Habitualmente, lo mejor es seguir las sugerencias que
\fBdselect\fP presenta.
.sp
The listed packages' selection state may be reverted to the original
settings, as they were before the unresolved depends or conflicts were
created, by pressing the ‘\fBR\fP’ key.  By pressing the ‘\fBD\fP’ key, the
automatic suggestions are reset, but the change that caused the dependency
resolution screen to be prompted is kept as requested.  Finally, by pressing
‘\fBU\fP’, the selections are again set to the automatic suggestion values.
.sp
.SS "Establecer las selecciones solicitadas"
.sp
La tecla \fBIntro\fP acepta la lista actual de selecciones. Si \fBdselect\fP
detecta que no hay problemas, aceptará las nuevas selecciones. Sin embargo,
si hay dependencias sin resolver \fBdselect\fP mostrará nuevamente la pantalla
de resolución de dependencias.
.sp
To alter a set of selections that creates unresolved depends or conflicts
and forcing \fBdselect\fP to accept it, press the ‘\fBQ\fP’ key. This sets the
selections as specified by the user, unconditionally. Generally, don't do
this unless you've read the fine print.
.sp
The opposite effect, to back out any selections change requests and go back
to the previous list of selections, is attained by pressing the ‘\fBX\fP’ or
\fBescape\fP keys. By repeatedly pressing these keys, any possibly detrimental
changes to the requested package selections can be backed out completely to
the last established settings.
.sp
If you mistakenly establish some settings and wish to revert all the
selections to what is currently installed on the system, press the ‘\fBC\fP’
key.  This is somewhat similar to using the unhold command on all packages,
but provides a more obvious panic button in cases where the user pressed
\fBenter\fP by accident.
.sp
.
.SH "ESTADOS DE SALIDA"
.TP 
\fB0\fP
The requested command was successfully performed.
.TP 
\fB2\fP
Fatal or unrecoverable error due to invalid command\-line usage, or
interactions with the system, such as accesses to the database, memory
allocations, etc.
.
.SH ENTORNO
.TP 
\fBHOME\fP
Si se define, \fBdselect\fP lo usará como el directorio del cual leer el
fichero de configuración específico del usuario.
.
.SH FALLOS
La interfaz de selección de paquetes de \fBdselect\fP puede parecer confusa
para algunos usuarios nuevos. Existen informes de que ha llevado a las
lágrimas a experimentados desarrolladores del núcleo.
.sp
La documentación está incompleta.
.sp
No hay ninguna opción de ayuda en el menú principal.
.sp
La lista de paquetes disponibles no se puede reducir.
.sp
Los otros métodos de acceso no tienen tanta calidad como el método que
ofrece apt. Use el método de acceso que apt ofrece. Además de que no está
roto, es mucho más flexible que los métodos de acceso integrados.
.
.SH "VÉASE TAMBIÉN"
\fBdpkg\fP(1), \fBapt\-get\fP(8), \fBsources.list\fP(5), \fBdeb\fP(5).
