.\" dpkg manual page - deb-triggers(5)
.\"
.\" Copyright © 2008, 2013-2015 Guillem Jover <guillem@debian.org>
.\" Copyright © 2011, 2014 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH deb\-triggers 5 %RELEASE_DATE% %VERSION% "suite dpkg"
.ad l
.nh
.SH NOM
deb\-triggers \- Actions différées du paquet
.
.SH SYNOPSIS
actions différées
.
.SH DESCRIPTION
Un paquet déclare ses relations avec des actions différées en incluant un
fichier \fItriggers\fP dans son archive de contrôle (c'est\-à\-dire
\fIDEBIAN/triggers\fP au moment de la création du paquet).
.PP
Ce fichier contient des directives, une par ligne. Les espaces de début et
fin de ligne et tout ce qui suit le premier caractère \fB«\ #\ »\fP sont
supprimés, et les lignes vides seront ignorées.
.PP
Les directives actuellement gérées sont\ :
.TP 
\fBinterest\fP \fInom\-action\-différée\fP
.TQ
\fBinterest\-await\fP \fInom\-action\-différée\fP
.TQ
\fBinterest\-noawait\fP \fInom\-action\-différée\fP
.IP
Indique que le paquet est concerné par l'action différée indiquée. Toutes
les actions différées associées au paquet doivent être listées en utilisant
cette directive depuis le fichier de contrôle des actions différées.
.IP
Les variantes «\ await\ » placent le paquet qui provoque l'action différée
dans l'état «\ triggers\-awaited\ » (actions différées attendues) selon la
manière dont l'action différée est activée. La variante «\ noawait\ » ne place
pas les paquets qui provoquent cette action différée dans l'état
«\ triggers\-awaited\ » même si le paquet déclenchant a déclaré une activation
«\ await\ » (par soit une directive \fBactivate\-await\fP ou \fBactivate\fP, soit en
utilisant l'option en ligne de commande \fBdpkg\-trigger\fP \fB\-\-no\-await\fP. La
variante «\ await\ » ne devrait être utilisée que lorsque la fonctionnalité
fournie par l'action différée n'est pas critique.
.TP 
\fBactivate\fP \fInom\-action\-différée\fP
.TQ
\fBactivate\-await\fP \fInom\-action\-différée\fP
.TQ
\fBactivate\-noawait\fP \fInom\-action\-différée\fP
.IP
Cette directive permet que tout changement dans l'état de ce paquet active
l'action différée spécifiée. L'action différée sera activée au début des
opérations suivantes\ : dépaquetage, configuration, suppression (y compris en
cas de remplacement par un paquet conflictuel), purge et déconfiguration.
.IP
Les variantes «\ await\ » ne placent le paquet qui provoque cette action
différée dans l'état «\ triggers\-awaited\ » que si la directive concernée est
aussi «\ await\ ». La variante «\ noawait\ » ne place jamais les paquets qui
provoquent cette action différée dans l'état «\ triggers\-awaited\ ». Elle ne
devrait être utilisée que lorsque la fonctionnalité fournie par l'action
différée n'est pas critique.
.IP
Si ce paquet disparaît durant le dépaquetage d'un autre paquet, l'action
différée sera activée lorsque la disparition est constatée vers la fin du
dépaquetage. L'exécution d'une action différée, et donc le passage du statut
triggers\-awaited (action\-différée\-attendue) à installed (installé), ne
provoquera pas l'activation. Dans le cas d'un dépaquetage, les actions
différées listées dans l'ancienne et la nouvelle version du paquet seront
activées.
.PP
Les directives inconnues sont des erreurs qui empêcheront l'installation du
paquet.
.PP
Les variantes «\ \-noawait\ » doivent toujours être privilégiées quand c'est
possible dans la mesure où les paquets provoquant une action différée ne
sont pas placés en état «\ triggers\-awaited\ » (actions différées attendues),
et peuvent donc être immédiatement configurés sans recourir à l'exécution de
l'action différée. Si les paquets provoquant l'action différée sont des
dépendances d'autres paquets mis à jour, cela évitera le lancement de
l'action différée et rendra possible l'exécution de l'action différée une
seule fois au cours des étapes finales de la mise à jour.
.PP
Les variantes «\ \-noawait\ » ne sont gérées qu'à partir de dpkg\ 1.16.1 et
provoqueront des erreurs avec les versions plus anciennes.
.PP
Les alias de variantes «\ \-await\ » ne sont gérés qu'à partir de dpkg\ 1.17.21
et provoqueront des erreurs avec les versions plus anciennes.
.PP
Si un paquet fournit une directive \fBinterest\-noawait\fP, toute activation
mettra le paquet provoquant l'action différée en mode «\ noawait\ »,
indépendamment du mode d'attente demandé par l'activation (soit «\ await\ »,
soit «\ noawait\ »). Si un paquet fournit une directive \fBinterest\fP ou
\fBinterest\-await\fP, toute activation mettra le paquet provoquant l'action
différée en mode «\ await\ » ou «\ noawait\ » selon la manière dont il a été
activé.
.
.SH "VOIR AUSSI"
.\" FIXME: Unhardcode the pathname, and use dpkg instead of dpkg-dev.
\fBdpkg\-trigger\fP(1), \fBdpkg\fP(1), \fB/usr/share/doc/dpkg\-dev/triggers.txt.gz\fP.
