.\" dpkg manual page - deb(5)
.\"
.\" Copyright © 1995 Raul Miller
.\" Copyright © 1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006-2017 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH deb 5 %RELEASE_DATE% %VERSION% "suite dpkg"
.ad l
.nh
.SH NOM
deb \- Format des paquets binaires Debian
.SH SYNOPSIS
\fInom\-du\-fichier\fP\fB.deb\fP
.SH DESCRIPTION
Le format \fB.deb\fP est le format des paquets binaires de Debian. Il est
compatible depuis la version\ 0.93.76 de dpkg, et il est généré par défaut
depuis les versions\ 1.2.0 de dpkg et\ 1.1.1elf (constructions i386/ELF).
.PP
Le format décrit ici est utilisé depuis la version\ 0.93 de Debian\ ; les
détails concernant le vieux format sont consultables dans \fBdeb\-old\fP(5).
.SH FORMAT
Ce fichier est une archive \fBar\fP avec une valeur magique de
\fB!<arch>\fP. Seul le format commun \fBar\fP est géré, sans extension
pour les noms longs de fichiers, mais avec optionnellement un caractère
«\ /\ » final, ce qui limite leur longueur utile à 15\ caractères (sur les
16\ autorisés). Les tailles de fichiers sont limitées à 10\ chiffres décimaux
ASCII, ce qui permet d'utiliser des fichiers membres d'une taille jusqu'à
environ 9536,74\ Mio.
.PP
Les archives \fBtar\fP actuellement gérées sont le format\ v7 d'origine, le
format ustar pré\-POSIX, un sous\-ensemble du format GNU (uniquement le
nouveau format de noms longs pour les chemins et les liens, gérés depuis
dpkg\ 1.4.1.17\ ; «\ large file metadata\ » depuis dpkg\ 1.18.24) et le format
ustar POSIX (noms longs gérés depuis dpkg\ 1.15.0). Les marqueurs tar
(«\ typeflags\ ») inconnus provoquent une erreur. La taille de chaque entrée
dans une archive tar est limitée à 11\ chiffres en octal ASCII ce qui permet
d'utiliser des entrées tar d'une taille jusqu'à 8\ Gio. La gestion des
«\ large file metadata\ » de GNU permet des entrées tar 95\ bits et des
horodatages négatifs, ainsi que des numéros de 63\ bits d'UID, GID et de
périphériques.
.PP
Le premier membre est nommé \fBdebian\-binary\fP et contient une succession de
lignes, séparées par des caractères saut de ligne. Pour le moment, une seule
ligne est présente\ : le numéro de version du format, \fB2.0\fP à l'heure où ce
document a été écrit. Les programmes lisant des archives Debian récentes
doivent être préparés à une augmentation du numéro de version mineur et à la
présence de nouvelles lignes, et doivent les ignorer si tel est le cas.
.PP
Si le numéro de version majeur a changé, cela signifie qu'une modification
entraînant une incompatibilité entre les versions a été effectuée, et le
programme doit alors s'arrêter. Si ce n'est pas le cas, le programme doit
être en mesure de continuer à traiter correctement le fichier, à moins qu'il
ne rencontre un membre non reconnu dans l'archive (excepté à la fin de cette
dernière), comme décrit ci\-dessous.
.PP
Le second membre requis est nommé \fBcontrol.tar\fP. Il s'agit d'une archive
tar contenant les informations de contrôle du paquet, soit non compressée
(gérée depuis dpkg\ 1.17.6) ou compressée grâce à gzip (avec extension
\&\fB.gz\fP) ou xz (avec extension \fB.xz\fP, gérée depuis dpkg\ 1.17.6), sous la
forme d'une série de fichiers simples, parmi lesquels le fichier \fBcontrol\fP
est strictement requis et contient les principales informations de contrôle,
les fichiers \fBconffiles\fP, \fBtriggers\fP, \fBshlibs\fP et \fBsymbols\fP qui
contiennent des informations de contrôle optionnelles, et les fichiers
\fBpreinst\fP, \fBpostinst\fP, \fBprerm\fP et \fBpostrm\fP qui sont des scripts
optionnels du responsable. L'archive de contrôle peut éventuellement
contenir une entrée pour «\ .\ », le répertoire courant.
.PP
Le troisième et dernier membre obligatoire est appelé \fBdata.tar\fP. Il
contient le système de fichiers sous forme d'une archive tar, soit non
compressée (gérée depuis dpkg\ 1.10.24) ou compressée avec gzip (avec
extension \fB.gz\fP), xz (avec extensions \fB.xz\fP, gérée depuis dpkg\ 1.15.6),
bzip2 (avec extensions \fB.bz2\fP, gérée depuis dpkg\ 1.10.24) ou lzma (avec
extension \fB.lzma\fP, gérée depuis dpkg\ 1.13.25).
.PP
Ces membres doivent apparaître dans cet ordre exact. Les implémentations
actuelles devraient ignorer tout membre additionnel après
\fBdata.tar\fP. D'autres membres seront éventuellement proposés, et (si
possible) seront placés après ces trois derniers. Tout autre membre qui
nécessitera d'être inséré après \fBdebian\-binary\fP et avant \fBcontrol.tar\fP ou
\fBdata.tar\fP et qui pourra être ignoré sans problème par des programmes plus
anciens, aura un nom commençant par un caractère de soulignement, «\ \fB_\fP\ ».
.PP
Les nouveaux membres qui ne pourront pas être ignorés sans conséquence
seront insérés avant \fBdata.tar\fP avec des noms préfixés par quelque chose
d'autre qu'un caractère de soulignement, ou impliqueront plus probablement
une incrémentation du numéro majeur de version.
.SH "TYPE DE SUPPORT"
.SS Actuel
application/vnd.debian.binary\-package
.SS Obsolète
application/x\-debian\-package
.br
application/x\-deb
.SH "VOIR AUSSI"
\fBdeb\-old\fP(5), \fBdpkg\-deb\fP(1), \fBdeb\-control\fP(5), \fBdeb\-conffiles\fP(5),
\fBdeb\-triggers\fP(5), \fBdeb\-shlibs\fP(5), \fBdeb\-symbols\fP(5), \fBdeb\-preinst\fP(5),
\fBdeb\-postinst\fP(5), \fBdeb\-prerm\fP(5), \fBdeb\-postrm\fP(5).
