.\" dpkg manual page - dpkg-scanpackages(1)
.\"
.\" Copyright © 1996 Michael Shields <shields@crosslink.net>
.\" Copyright © 2006 Frank Lichtenheld <djpig@debian.org>
.\" Copyright © 2007, 2009, 2011-2014 Guillem Jover <guillem@debian.org>
.\" Copyright © 2009 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-scanpackages 1 %RELEASE_DATE% %VERSION% "suite dpkg"
.ad l
.nh
.SH NOM
dpkg\-scanpackages \- Créer des fichiers d'index de paquets.
.
.SH SYNOPSIS
\fBdpkg\-scanpackages\fP [\fIoption\fP...] \fIchemin\-de\-binaires\fP
[\fIfichier\-override\fP [\fIpréfixe\-chemin\fP]] \fB>\fP \fIPaquets\fP
.
.SH DESCRIPTION
\fBdpkg\-scanpackages\fP trie une arborescence contenant des paquets binaires
Debian et crée un fichier «\ Packages\ » qui permettra à \fBapt\fP(8),
\fBdselect\fP(1), ou à un autre programme, de savoir quels sont les paquets
installables. Ces fichiers «\ Packages\ » sont semblables à ceux qu'on peut
trouver sur les sites d'archives Debian ou sur des CD. Quand on crée un
répertoire contenant des paquets qu'on veut installer sur un ensemble de
machines, on peut se servir soi\-même de \fBdpkg\-scanpackages\fP.
.PP
\fBNote\fP\ : Pour pouvoir accéder avec \fBapt\fP au fichier «\ Packages\ » créé, il
faudra sans doute le compresser avec \fBxz\fP(1) (qui crée un fichier
Packages.xz), \fBbzip2\fP(1) (qui crée un fichier Packages.bz2) ou \fBgzip\fP(1)
(qui crée un fichier Packages.gz). \fBapt\fP ignore les fichiers «\ Packages\ »
non compressés, sauf pour des sources locales (c'est\-à\-dire les sources
\fBfile://\fP).
.PP
\fIchemin\-de\-binaires\fP est le nom de l'arborescence des paquets binaires (par
exemple \fBcontrib/binary\-i386)\fP que l'on veut traiter. Il vaut mieux qu'il
soit relatif à la racine de l'archive Debian\ ; ainsi chaque champ
«\ Filename\ » dans le nouveau fichier «\ Packages\ » commencera par cette
chaîne.
.PP
\fIfichier\-override\fP est le nom du fichier qui contient les renseignements
sur la manière dont le paquet s'insère dans la distribution (ce fichier peut
être compressé depuis dpkg\ 1.15.5)\ ; voir \fBdeb\-override\fP(5).
.PP
\fIpréfixe\-chemin\fP est une chaîne facultative qui préfixera les champs
«\ Filename\ ».
.PP
S'il existe plusieurs versions d'un paquet, seule la plus récente est
affichée en sortie. Si les paquets ont la même version mais diffèrent par
l'architecture, seul le premier trouvé est utilisé.
.
.SH OPTIONS
.TP 
\fB\-t\fP, \fB\-\-type\fP \fItype\fP
Recherche des fichiers *.\fItype\fP, plutôt que \fI*.deb\fP.
.TP 
\fB\-e\fP, \fB\-\-extra\-override\fP \fIfichier\fP
Examine \fIfichier\fP à la recherche d'«\ overrides\ » supplémentaires (ce
fichier peut être compressé depuis dpkg\ 1.15.5). Voir
\fBdeb\-extra\-override\fP(5) pour plus d'information sur le format utilisé.
.TP 
\fB\-a\fP, \fB\-\-arch\fP \fIarch\fP
Utilise un motif se composant de \fI*_all.deb\fP et de \fI*_arch.deb\fP, plutôt
que de rechercher tous les fichiers debs.
.TP 
\fB\-h\fP, \fB\-\-hash\fP \fIliste\-de\-hachage\fP
Générer uniquement le hachage de fichiers spécifiés (liste séparée par des
virgules \-\ depuis dpkg\ 1.17.14). Par défaut, cela génère tous les hachages
actuellement pris en charge. Valeurs prises en charges\ : \fBmd5\fP, \fBsha1\fP,
\fBsha256\fP.
.TP 
\fB\-m\fP, \fB\-\-multiversion\fP
Affiche tous les paquets trouvés en sortie.
.TP 
\fB\-M\fP, \fB\-\-medium\fP \fIchaîne\-id\fP
Ajoute un champ \fBX\-Medium\fP qui contient la valeur \fIchaîne\-id\fP (depuis
dpkg\ 1.15.5). Ce champ est obligatoire si vous voulez créer des fichiers
\fBPackages.cd\fP destinés à être utilisés avec la méthode multicd de dselect.
.TP 
\fB\-?\fP, \fB\-\-help\fP
Affiche un message d'aide puis quitte.
.TP 
\fB\-\-version\fP
Affiche le numéro de version puis quitte.
.
.SH ENVIRONNEMENT
.TP 
\fBDPKG_COLORS\fP
Définit le mode de couleur (depuis dpkg\ 1.18.5). Les valeurs actuellement
acceptées sont \fBauto\fP (par défaut), \fBalways\fP et \fBnever\fP.
.TP 
\fBDPKG_NLS\fP
Si cette variable est définie, elle sera utilisée pour décider l'activation
de la prise en charge des langues (NLS –\ Native Language Support), connu
aussi comme la gestion de l'internationalisation (ou i18n) (depuis
dpkg\ 1.19.0). Les valeurs permises sont\ : \fB0\fP et \fB1\fP (par défaut).
.
.SH DIAGNOSTICS
\fBdpkg\-scanpackages\fP affiche les erreurs habituelles qui se comprennent
d'elles\-mêmes. Il affiche aussi des avertissements quand des paquets sont
dans un mauvais sous\-répertoire, existent en double exemplaire, ont des
champs «\ Filename\ » dans leur fichier «\ control\ », sont absents du fichier
«\ override\ » ou bien dont les substitutions de responsable ne peuvent pas
s'appliquer.
.
.SH "VOIR AUSSI"
\fBdpkg\fP(1), \fBdselect\fP(1), \fBdeb\-override\fP(5), \fBdeb\-extra\-override\fP(5),
\fBdpkg\-scansources\fP(1).
