.\" dpkg manual page - dpkg-statoverride(1)
.\"
.\" Copyright © 2000-2001 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2009-2011, 2013, 2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-statoverride 1 %RELEASE_DATE% %VERSION% "suite dpkg"
.ad l
.nh
.SH NOM
dpkg\-statoverride \- Annuler la propriété et le mode des fichiers
.
.SH SYNOPSIS
\fBdpkg\-statoverride\fP [\fIoption\fP...] \fIcommande\fP
.
.SH DESCRIPTION
Les «\ \fBdérogations d'état\fP\ » sont une façon de demander à \fBdpkg\fP(1) de
changer le propriétaire ou le mode d'un chemin lors de l'installation d'un
paquet (cela s'applique à tout objet de système de fichiers que \fBdpkg\fP
gère, notamment les répertoires, les périphériques,\ etc.). On peut s'en
servir pour forcer l'installation de programmes qui sont normalement
«\ setuid\ » sans ce drapeau «\ setuid\ », ou pour les rendre exécutables
seulement par un groupe donné.
.P
\fBdpkg\-statoverride\fP est un utilitaire pour gérer la liste des
dérogations. Il possède trois fonctions élémentaires\ : l'ajout, la
suppression et le listage des dérogations.
.
.SH COMMANDES
.TP 
\fB\-\-add\fP\fI utilisateur groupe mode chemin\fP
Ajoute une dérogation («\ override\ ») pour \fIchemin\fP. \fIchemin\fP n'a pas
besoin d'exister quand cette commande est utilisée\ ; la dérogation est
stockée et utilisée par la suite. Les utilisateurs ou les groupes peuvent
être indiqués par leur nom (par exemple \fBroot\fP ou \fBnobody\fP) ou bien par
leur numéro, en préfixant ce numéro par le caractère «\ \fB#\fP\ » (par exemple,
\fB#0\fP ou \fB#65534\fP). Le \fImode\fP doit être indiqué en numérotation octale.

Si \fB\-\-update\fP est utilisée et si \fIchemin\fP existe, le fichier change
immédiatement de propriétaire et de mode.
.TP 
\fB\-\-remove\fP \fI chemin\fP
Supprime une dérogation («\ override\ ») pour \fIchemin\fP, l'état de \fIchemin\fP
est inchangé.
.TP 
\fB\-\-list\fP [\fImotif\-global\fP]
Liste toutes les dérogations. Quand on donne une expression rationnelle
(«\ glob\ »), la sortie est limitée aux dérogations qui correspondent au
motif.
.TP 
\fB\-\-help\fP
Affiche un message d'aide puis quitte.
.TP 
\fB\-\-force\-help\fP
Donne des renseignements sur les options \fB\-\-force\-\fP\fIquelque\-chose\fP (depuis
dpkg\ 1.19.5).
.TP 
\fB\-\-version\fP
Affiche le numéro de version puis quitte.
.
.SH OPTIONS
.TP 
\fB\-\-admindir\fP\fI répertoire\fP
Fixe le répertoire d'administration à \fIrépertoire\fP, où se trouve aussi le
fichier \fIstatoverride\fP. La valeur par défaut est \fI%ADMINDIR%\fP.
.TP 
\fB\-\-instdir\fP \fIrépertoire\fP
Définit le répertoire d'installation qui désigne le répertoire où les
paquets sont installés (depuis dpkg\ 1.19.2). Par défaut c'est «\ \fI/\fP\ ».
.TP 
\fB\-\-root\fP \fIrépertoire\fP
Définit le répertoire root à \fBdirectory\fP, ce qui définit le répertoire
d'installation à «\ \fIrépertoire\fP\ » et le répertoire d'administration à
«\ \fIrépertoire\fP\fB%ADMINDIR%\fP\ » (depuis dpkg\ 1.19.2).
.TP 
\fB\-\-force\-\fP\fIquelque\-chose\fP
.TQ
\fB\-\-no\-force\-\fP\fIquelque\-chose\fP, \fB\-\-refuse\-\fP\fIquelque\-chose\fP
Force ou refuse (\fBno\-force\fP et \fBrefuse\fP signifient la même chose) de faire
quelque chose (depuis dpkg\ 1.19.5). \fIquelque\-chose\fP est une liste d'actions
séparées par des virgules, décrites ci\-après. \fB\-\-force\-help\fP affiche un
message qui les décrit. Les actions marquées d'un (*) sont forcées par
défaut.

\fIAvertissement\ : ces options sont principalement destinées aux experts. Un
usage auquel manque la pleine compréhension de leurs effets peut casser le
système entier.\fP

\fBall\fP\ : Met en œuvre (ou pas) toutes les options de forçage.

\fBstatoverride\-add\fP\ : remplacer une dérogation d'état existante lors de son
ajout (depuis dpkg\ 1.19.5)

\fBstatoverride\-remove\fP\ : ignorer l'absence de dérogation d'état lors de sa
suppression (depuis dpkg\ 1.19.5).

\fBsecurity\-mac\fP(*)\ : utiliser une sécurité basée sur le contrôle d'accès
obligatoire (Mandatory Access Controls –\ MAC) spécifique à la plateforme
lors de l'installation de fichiers dans le systèmes de fichiers (depuis
dpkg\ 1.19.5). Sur les systèmes Linux, la mise en œuvre utilise SELinux.
.TP 
\fB\-\-force\fP
Force une opération, même si un test de validité l'interdirait. C'est
nécessaire pour annuler une précédente dérogation. Cette option est obsolète
(depuis dpkg\ 1.19.5), elle est remplacée par \fB\-\-force\-all\fP.
.TP 
\fB\-\-update\fP
Essaye de changer immédiatement le \fIchemin\fP vers les nouveaux propriétaire
et mode s'il existe.
.TP 
\fB\-\-quiet\fP
Moins de bavardage sur ce qui est fait.
.
.SH "CODE DE SORTIE"
.TP 
\fB0\fP
L'action demandée s'est correctement déroulée.
.TP 
\fB1\fP
Pour \fB\-\-list\fP, s'il n'y a pas de dérogation ou si aucune ne correspond au
«\ glob\ » fourni.
.TP 
\fB2\fP
Erreur fatale ou irrécupérable due à l'utilisation d'une ligne de commande
non valable, ou interactions avec le système, telles que des accès à la base
de données, des allocations de mémoire,\ etc.
.
.SH ENVIRONNEMENT
.TP 
\fBDPKG_ROOT\fP
Si cette variable est positionnée et que les options \fB\-\-admindir\fP ou
\fB\-\-root\fP ne sont pas précisées, ce répertoire sera utilisé comme répertoire
racine du système de fichiers (depuis dpkg\ 1.19.2).
.TP 
\fBDPKG_ADMINDIR\fP
Si cette variable est positionnée et que les options \fB\-\-admindir\fP ou
\fB\-\-root\fP ne sont pas précisées, ce répertoire sera utilisé comme répertoire
de données pour \fBdpkg\fP.
.TP 
\fBDPKG_FORCE\fP
Si cette variable est positionnée et qu'aucune des options \fB\-\-force\-\fP\fI...\fP
n'est précisée, elle sera considérée comme l'option de forçage à utiliser
(depuis dpkg\ 1.19.5).
.TP 
\fBDPKG_COLORS\fP
Définit le mode de couleur (depuis dpkg\ 1.18.5). Les valeurs actuellement
acceptées sont \fBauto\fP (par défaut), \fBalways\fP et \fBnever\fP.
.
.SH FICHIERS
.TP 
\fI%ADMINDIR%/statoverride\fP
Ce fichier contient la liste actuelle des dérogations concernant le
système. Il se trouve dans le répertoire d'administration de \fBdpkg\fP, avec
les autres fichiers importants comme \fIstatus\fP ou \fIavailable\fP.
.br
Note\ : \fBdpkg\-statoverride\fP garde une copie de ce fichier, avec une
extension «\ \-old\ », avant de le remplacer par un nouveau.
.
.SH "VOIR AUSSI"
\fBdpkg\fP(1).
