.\" dpkg manual page - dpkg-trigger(1)
.\"
.\" Copyright © 2008-2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-trigger 1 %RELEASE_DATE% %VERSION% "suite dpkg"
.ad l
.nh
.SH NOM
dpkg\-trigger \- Un utilitaire pour activer les actions différées de paquets
.
.SH SYNOPSIS
\fBdpkg\-trigger\fP [\fIoption\fP...] \fInom\-action\-différée\fP
.br
\fBdpkg\-trigger\fP [\fIoption\fP...] \fIcommande\fP
.
.SH DESCRIPTION
\fBdpkg\-trigger\fP est un outil pour activer explicitement les actions
différées et pour vérifier leur gestion dans le fonctionnement de \fBdpkg\fP.
.PP
Utilisable par les scripts du responsable dans certaines situations
complexes où un fichier d'actions différées («\ triggers\ ») ou la directive
\fBactivate\fP du fichier de contrôle des actions différées ne sont pas
suffisants. Peut également être utilisé pour des essais ou par les
administrateurs système (noter que les actions différées ne seront alors pas
exécutées par \fBdpkg\-trigger\fP).
.PP
Les syntaxes non reconnues pour le nom des actions différées constituent une
erreur pour \fBdpkg\-trigger\fP.
.
.SH COMMANDES
.TP 
\fB\-\-check\-supported\fP
Vérifie si \fBdpkg\fP sait gérer les actions différées (généralement appelées
depuis un script de post\-installation). Retourne en sortie \fB0\fP si c'est le
cas, ou \fB1\fP avec un message d'erreur sur stderr si ce n'est pas le
cas. Toutefois, en règle générale, il est préférable de simplement activer
l'action différée désirée à l'aide de \fBdpkg\-trigger\fP.
.TP 
\fB\-?\fP, \fB\-\-help\fP
Affiche un message d'aide puis quitte.
.TP 
\fB\-\-version\fP
Affiche le numéro de version puis quitte.
.
.SH OPTIONS
.TP 
\fB\-\-admindir\fP=\fIrépertoire\fP
Change l'endroit où se trouve la base de données de \fBdpkg\fP. Par défaut,
c'est \fI%ADMINDIR%\fP.
.TP 
\fB\-\-by\-package=\fP\fIpaquet\fP
Indique le paquet qui sera marqué en attente de l'exécution de l'action
différée (normalement défini par la variable d'environnement
\fBDPKG_MAINTSCRIPT_PACKAGE\fP dans les scripts du responsable, qui nomme le
paquet auquel le script appartient, et qui constitue la valeur par défaut).
.TP 
\fB\-\-no\-await\fP
Cette option fait en sorte que le paquet appelant T (s'il existe) n'a pas
besoin d'attendre l'exécution de cette action différée\ ; I, le(s) paquet(s)
associé(s) à l'action différée, ne sera pas ajouté à liste des paquets dont
le traitement des actions différées est attendu par T et l'état de T reste
inchangé. T peut être considéré installé même si les actions différées de I
n'ont pas encore été exécutées.
.TP 
\fB\-\-await\fP
Cette option a l'effet inverse de \fB\-\-no\-await\fP (depuis dpkg\ 1.17.21). Si le
paquet intéressé a déclaré une directive «noawait\ », cette option ne sera
pas effective. C'est actuellement le comportement par défaut.
.TP 
\fB\-\-no\-act\fP
Teste uniquement, n'apporte aucun changement.
.
.SH "CODE DE SORTIE"
.TP 
\fB0\fP
L'action demandée s'est correctement déroulée. Ou bien une commande de
vérification ou de déclaration renvoie «\ true\ ».
.TP 
\fB1\fP
Une commande de vérification ou de déclaration renvoie «\ false\ ».
.TP 
\fB2\fP
Erreur fatale ou irrécupérable due à l'utilisation d'une ligne de commande
non valable, ou interactions avec le système, telles que des accès à la base
de données, des allocations de mémoire,\ etc.
.
.SH ENVIRONNEMENT
.TP 
\fBDPKG_ADMINDIR\fP
Si cette variable est positionnée et que l'option \fB\-\-admindir\fP n'est pas
précisée, ce répertoire sera utilisé comme répertoire de données pour
\fBdpkg\fP.
.TP 
\fBDPKG_COLORS\fP
Définit le mode de couleur (depuis dpkg\ 1.18.5). Les valeurs actuellement
acceptées sont \fBauto\fP (par défaut), \fBalways\fP et \fBnever\fP.
.
.SH "VOIR AUSSI"
.\" FIXME: Unhardcode the pathname, and use dpkg instead of dpkg-dev.
\fBdpkg\fP(1), \fBdeb\-triggers\fP(5), \fB/usr/share/doc/dpkg\-dev/triggers.txt.gz\fP.
