.\" dpkg manual page - dpkg-name(1)
.\"
.\" Copyright © 1995-1996 Erick Branderhorst
.\" Copyright © 2007-2013, 2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-name 1 %RELEASE_DATE% %VERSION% "dpkg készlet"
.ad l
.nh
.SH NÉV
dpkg\-name \- rename Debian packages to full package names
.
.SH SZINOPSZIS
\fBdpkg\-name\fP [\fIoption\fP...] [\fB\-\-\fP] \fIfile\fP...
.
.SH LEÍRÁS
.PP
This manual page documents the \fBdpkg\-name\fP program which provides an easy
way to rename \fBDebian\fP packages into their full package names. A full
package name consists of
\fIpackage\fP\fB_\fP\fIversion\fP\fB_\fP\fIarchitecture\fP\fB.\fP\fIpackage\-type\fP as specified
in the control file of the package. The \fIversion\fP part of the filename
consists of the upstream version information optionally followed by a hyphen
and the revision information. The \fIpackage\-type\fP part comes from that field
if present or fallbacks to \fBdeb\fP.
.
.SH OPTIONS
.TP 
\fB\-a\fP, \fB\-\-no\-architecture\fP
The destination filename will not have the architecture information.
.TP 
\fB\-k\fP, \fB\-\-symlink\fP
Create a symlink, instead of moving.
.TP 
\fB\-o\fP, \fB\-\-overwrite\fP
Existing files will be overwritten if they have the same name as the
destination filename.
.TP 
\fB\-s\fP, \fB\-\-subdir\fP [\fIdir\fP]
Files will be moved into a subdirectory. If the directory given as argument
exists the files will be moved into that directory otherwise the name of the
target directory is extracted from the section field in the control part of
the package. The target directory will be
«unstable/binary\-\fIarchitecture\fP/\fIsection\fP».  If the section is not found
in the control, then \fBno\-section\fP is assumed, and in this case, as well as
for sections \fBnon\-free\fP and \fBcontrib\fP the target directory is
«\fIsection\fP/binary\-\fIarchitecture\fP».  The section field is not required so a
lot of packages will find their way to the \fBno\-section\fP area.  Use this
option with care, it's messy.
.TP 
\fB\-c\fP, \fB\-\-create\-dir\fP
This option can used together with the \fB\-s\fP option. If a target directory
isn't found it will be created automatically.  \fBUse this option with care.\fP
.TP 
\fB\-?\fP, \fB\-\-help\fP
Show the usage message and exit.
.TP 
\fB\-v\fP, \fB\-\-version\fP
Show the version and exit.
.
.SH ENVIRONMENT
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.TP 
\fBDPKG_NLS\fP
If set, it will be used to decide whether to activate Native Language
Support, also known as internationalization (or i18n) support (since dpkg
1.19.0).  The accepted values are: \fB0\fP and \fB1\fP (default).
.
.SH HIBÁK
Some packages don't follow the name structure
\fIpackage\fP\fB_\fP\fIversion\fP\fB_\fP\fIarchitecture\fP\fB.deb\fP.  Packages renamed by
\fBdpkg\-name\fP will follow this structure. Generally this will have no impact
on how packages are installed by \fBdselect\fP(1)/\fBdpkg\fP(1), but other
installation tools might depend on this naming structure.
.
.SH EXAMPLES
.TP 
\fBdpkg\-name bar\-foo.deb\fP
The file \fBbar\-foo.deb\fP will be renamed to bar\-foo_1.0\-2_i386.deb or
something similar (depending on whatever information is in the control part
of \fBbar\-foo.deb\fP).
.TP 
\fBfind /root/debian/ \-name '*.deb' | xargs \-n 1 dpkg\-name \-a\fP
All files with the extension \fBdeb\fP in the directory /root/debian and its
subdirectory's will be renamed by \fBdpkg\-name\fP if required into names with
no architecture information.
.TP 
\fBfind \-name '*.deb' | xargs \-n 1 dpkg\-name \-a \-o \-s \-c\fP
\fBDon't do this.\fP Your archive will be messed up completely because a lot of
packages don't come with section information.  \fBDon't do this.\fP
.TP 
\fBdpkg\-deb \-\-build debian\-tmp && dpkg\-name \-o \-s .. debian\-tmp.deb\fP
This can be used when building new packages.
.
.SH "LÁSD MÉG"
\fBdeb\fP(5), \fBdeb\-control\fP(5), \fBdpkg\fP(1), \fBdpkg\-deb\fP(1), \fBfind\fP(1),
\fBxargs\fP(1).
