.\" dpkg manual page - dpkg-trigger(1)
.\"
.\" Copyright © 2008-2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-trigger 1 %RELEASE_DATE% %VERSION% "dpkg készlet"
.ad l
.nh
.SH NÉV
dpkg\-trigger \- a package trigger utility
.
.SH SZINOPSZIS
\fBdpkg\-trigger\fP [\fIoption\fP...] \fItrigger\-name\fP
.br
\fBdpkg\-trigger\fP [\fIoption\fP...] \fIcommand\fP
.
.SH LEÍRÁS
\fBdpkg\-trigger\fP is a tool to explicitly activate triggers and check for its
support on the running \fBdpkg\fP.
.PP
This can be used by maintainer scripts in complex and conditional situations
where the file triggers, or the declarative \fBactivate\fP triggers control
file directive, are insufficiently rich. It can also be used for testing and
by system administrators (but note that the triggers won't actually be run
by \fBdpkg\-trigger\fP).
.PP
Unrecognized trigger name syntaxes are an error for \fBdpkg\-trigger\fP.
.
.SH COMMANDS
.TP 
\fB\-\-check\-supported\fP
Check if the running \fBdpkg\fP supports triggers (usually called from a
postinst). Will exit \fB0\fP if a triggers\-capable \fBdpkg\fP has run, or \fB1\fP
with an error message to stderr if not. Normally, however, it is better just
to activate the desired trigger with \fBdpkg\-trigger\fP.
.TP 
\fB\-?\fP, \fB\-\-help\fP
Show the usage message and exit.
.TP 
\fB\-\-version\fP
Show the version and exit.
.
.SH OPTIONS
.TP 
\fB\-\-admindir=\fP\fIdir\fP
Change the location of the \fBdpkg\fP database. The default location is
\fI%ADMINDIR%\fP.
.TP 
\fB\-\-by\-package=\fP\fIpackage\fP
Override trigger awaiter (normally set by \fBdpkg\fP through the
\fBDPKG_MAINTSCRIPT_PACKAGE\fP environment variable of the maintainer scripts,
naming the package to which the script belongs, and this will be used by
default).
.TP 
\fB\-\-no\-await\fP
This option arranges that the calling package T (if any) need not await the
processing of this trigger; the interested package(s) I, will not be added
to T's trigger processing awaited list and T's status is unchanged.  T may
be considered installed even though I may not yet have processed the
trigger.
.TP 
\fB\-\-await\fP
This option does the inverse of \fB\-\-no\-await\fP (since dpkg 1.17.21).  If the
interested package has declared a “noawait” directive, then this option will
not be effective.  It is currently the default behavior.
.TP 
\fB\-\-no\-act\fP
Just test, do not actually change anything.
.
.SH "EXIT STATUS"
.TP 
\fB0\fP
The requested action was successfully performed.  Or a check or assertion
command returned true.
.TP 
\fB1\fP
A check or assertion command returned false.
.TP 
\fB2\fP
Fatal or unrecoverable error due to invalid command\-line usage, or
interactions with the system, such as accesses to the database, memory
allocations, etc.
.
.SH ENVIRONMENT
.TP 
\fBDPKG_ADMINDIR\fP
If set and the \fB\-\-admindir\fP option has not been specified, it will be used
as the \fBdpkg\fP data directory.
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.
.SH "LÁSD MÉG"
.\" FIXME: Unhardcode the pathname, and use dpkg instead of dpkg-dev.
\fBdpkg\fP(1), \fBdeb\-triggers\fP(5), \fB/usr/share/doc/dpkg\-dev/triggers.txt.gz\fP.
