.\" dpkg manual page - deb-shlibs(5)
.\"
.\" Copyright © 1996 Michael Shields <shields@crosslink.net>
.\" Copyright © 2008 Zack Weinberg <zackw@panix.com>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH deb\-shlibs 5 %RELEASE_DATE% %VERSION% "suite dpkg"
.ad l
.nh
.SH NOME
deb\-shlibs \- file di informazioni sulle librerie condivise Debian
.
.SH DESCRIZIONE
.PP
\fBshlibs\fP files map shared library names and versions (\fISONAMEs\fP)  to
dependencies suitable for a package control file.  There is one entry per
line. Blank lines are \fBnot\fP allowed.  Lines beginning with an \fB#\fP
character are considered commentary, and are ignored.  All other lines must
have the format
.IP
[\fItipo\fP\fB:\fP] \fIlibreria\fP \fIversione\fP \fIdipendenze\fP
.PP
I campi \fIlibreria\fP e \fIversione\fP sono delimitati da spazi bianchi, ma il
campo \fIdipendenze\fP si estende fino alla fine della riga. Il campo \fItipo\fP è
opzionale e normalmente non necessario.
.PP
The \fIdependencies\fP field has the same syntax as the \fBDepends\fP field in a
binary control file, see \fBdeb\-control\fP(5).
.
.SH "SONAME FORMATS"
The SONAME formats supported are:

  \fIname\fP.so.\fIversion\fP

and

  \fIname\fP\-\fIversion\fP.so

where \fIname\fP is usually prefixed by \fBlib\fP.
.SH ESEMPI
.PP
The \fBshlibs\fP file for a typical library package, named \fIlibcrunch1\fP, that
provides one library whose SONAME is \fIlibcrunch.so.1\fP, might read
.IP
libcrunch 1 libcrunch1 (>= 1.2\-1)
.PP
The \fIdependencies\fP must mention the most recent version of the package that
added new symbols to the library: in the above example, new symbols were
added to version 1.2 of \fIlibcrunch\fP.  This is not the only reason the
dependencies might need to be tightened.
.
.SH "VEDERE ANCHE"
\fBdeb\-control\fP(5), \fBdpkg\-shlibdeps\fP(1), \fBdeb\-symbols\fP(5).
