.\" dpkg manual page - deb-src-control(5)
.\"
.\" Copyright © 2010 Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>
.\" Copyright © 2011 Raphaël Hertzog <hertzog@debian.org>
.\" Copyright © 2011-2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH deb\-src\-control 5 %RELEASE_DATE% %VERSION% "suite dpkg"
.ad l
.nh
.SH NOME
deb\-src\-control \- formato del file principale di controllo dei pacchetti
sorgente Debian
.
.SH SINTASSI
debian/control
.
.SH DESCRIZIONE
Each Debian source package contains the master «control» file, which
contains at least 2 paragraphs, separated by a blank line.  The first
paragraph lists all information about the source package in general, while
each following paragraph describes exactly one binary package. Each
paragraph consists of at least one field. A field starts with a fieldname,
such as \fBPackage\fP or \fBSection\fP (case insensitive), followed by a colon,
the body of the field and a newline.  Multi\-line fields are also allowed,
but each supplementary line, without a fieldname, should start with at least
one space. The content of the multi\-line fields is generally joined to a
single line by the tools (except in the case of the \fBDescription\fP field,
see below). To insert empty lines into a multi\-line field, insert a dot
after the space.  Lines starting with a ‘\fB#\fP’ are treated as comments.
.
.SH "CAMPI DEL SORGENTE"
.TP 
\fBSource:\fP \fInome\-pacchetto\-sorgente\fP (richiesto)
The value of this field is the name of the source package, and should match
the name of the source package in the debian/changelog file. A package name
must consist only of lowercase letters (a\-z), digits (0\-9), plus (+) and
minus (\-) signs, and periods (.). Package names must be at least two
characters long and must start with a lowercase alphanumeric character
(a\-z0\-9).

.TP 
\fBMaintainer:\fP \fIfullname\-email\fP (recommended)
Should be in the format «Joe Bloggs <jbloggs@foo.com>», and
references the person who currently maintains the package, as opposed to the
author of the software or the original packager.

.TP 
\fBUploaders:\fP\fI nomecompleto\-email\fP
Lists all the names and email addresses of co\-maintainers of the package, in
the same format as the \fBMaintainer\fP field.  Multiple co\-maintainers should
be separated by a comma.

.TP 
\fBStandards\-Version:\fP\fI stringa\-versione\fP
This documents the most recent version of the distribution policy standards
this package complies with.

.TP 
\fBDescription\fP\fI short\-description\fP
.TQ
\fB \fP\fIdescrizione\-lunga\fP
The format for the source package description is a short brief summary on
the first line (after the \fBDescription\fP field).  The following lines should
be used as a longer, more detailed description.  Each line of the long
description must be preceded by a space, and blank lines in the long
description must contain a single ‘\fB.\fP’ following the preceding space.

.TP 
\fBHomepage:\fP\fI url\fP
L'URL della home page del progetto originale.

.TP 
\fBBugs:\fP\fI url\fP
L'\fIurl\fP per questo pacchetto nel sistema di tracciamento dei bug. Il
formato attualmente utilizzato è \fItipo\-bts\fP\fB://\fP\fIindirizzo\-bts\fP, come in
\fBdebbugs://bugs.debian.org\fP. Questo campo solitamente non è necessario.

.TP 
\fBRules\-Requires\-Root:\fP \fBno\fP|\fBbinary\-targets\fP|\fIimpl\-keywords\fP
This field is used to indicate whether the \fBdebian/rules\fP file requires
(fake)root privileges to run some of its targets, and if so when.
.RS
.TP 
\fBno\fP
The binary targets will not require (fake)root at all.
.TP 
\fBbinary\-targets\fP
The binary targets must always be run under (fake)root.  This value is the
default when the field is omitted; adding the field with an explicit
\fBbinary\-targets\fP while not strictly needed, marks it as having been
analyzed for this requirement.
.TP 
\fIimpl\-keywords\fP
This is a space\-separated list of keywords which define when (fake)root is
required.

Keywords consist of \fInamespace\fP/\fIcases\fP.  The \fInamespace\fP part cannot
contain "/" or whitespace.  The \fIcases\fP part cannot contain whitespace.
Furthermore, both parts must consist entirely of printable ASCII characters.

Each tool/package will define a namespace named after itself and provide a
number of cases where (fake)root is required.  (See "Implementation provided
keywords" in \fIrootless\-builds.txt\fP).

When the field is set to one of the \fIimpl\-keywords\fP, the builder will
expose an interface that is used to run a command under (fake)root.  (See
"Gain Root API" in \fIrootless\-builds.txt\fP.)
.RE

.TP 
\fBTestsuite:\fP\fI name\-list\fP
.TQ
\fBTestsuite\-Triggers:\fP\fI package\-list\fP
These fields are described in the \fBdsc\fP(5)  manual page, as they are
generated from information inferred from \fBdebian/tests/control\fP or copied
literally to the source control file.

.TP 
\fBVcs\-Arch:\fP\fI url\fP
.TQ
\fBVcs\-Bzr:\fP\fI url\fP
.TQ
\fBVcs\-Cvs:\fP\fI url\fP
.TQ
\fBVcs\-Darcs:\fP\fI url\fP
.TQ
\fBVcs\-Git:\fP\fI url\fP
.TQ
\fBVcs\-Hg:\fP\fI url\fP
.TQ
\fBVcs\-Mtn:\fP\fI url\fP
.TQ
\fBVcs\-Svn:\fP\fI url\fP
L'\fIurl\fP del repository del sistema di controllo di versione usato per
manutenere questo pacchetto. Attualmente sono supportati \fBArch\fP, \fBBzr\fP
(Bazaar), \fBCvs\fP, \fBDarcs\fP, \fBGit\fP, \fBHg\fP (Mercurial), \fBMtn\fP (Monotone) e
\fBSvn\fP (Subversion). Solitamente questo campo punta alla versione più
recente del pacchetto, ad esempio al ramo principale o al tronco.

.TP 
\fBVcs\-Browser:\fP\fI url\fP
L'\fIurl\fP di un'interfaccia web per navigare nel repository del sistema di
controllo di versione.

.TP 
\fBOrigin:\fP\fI nome\fP
Il nome della distribuzione da cui ha origine questo pacchetto. Questo campo
solitamente non è necessario.

.TP 
\fBSection:\fP\fI sezione\fP
This is a general field that gives the package a category based on the
software that it installs.  Some common sections are \fButils\fP, \fBnet\fP,
\fBmail\fP, \fBtext\fP, \fBx11\fP, etc.

.TP 
\fBPriority:\fP\fI priorità\fP
Sets the importance of this package in relation to the system as a whole.
Common priorities are \fBrequired\fP, \fBstandard\fP, \fBoptional\fP, \fBextra\fP, etc.

The \fBSection\fP and \fBPriority\fP fields usually have a defined set of accepted
values based on the specific distribution policy.

.TP 
\fBBuild\-Depends:\fP\fI elenco\-pacchetti\fP
A list of packages that need to be installed and configured to be able to
build from source package.  These dependencies need to be satisfied when
building binary architecture dependent or independent packages and source
packages.  Including a dependency in this field does not have the exact same
effect as including it in both \fBBuild\-Depends\-Arch\fP and
\fBBuild\-Depends\-Indep\fP, because the dependency also needs to be satisfied
when building the source package.
.
.TP 
\fBBuild\-Depends\-Arch:\fP\fI package\-list\fP
Come \fBBuild\-Depends\fP, ma sono necessari solamente quando si compilano i
pacchetti dipendenti dall'architettura. In questo caso vengono installati
anche i \fBBuild\-Depends\fP. Questo campo è supportato a partire dalla versione
1.16.4 di dpkg; per poter compilare con versioni più vecchie di dpkg, deve
essere invece usato \fBBuild\-Depends\fP.

.TP 
\fBBuild\-Depends\-Indep:\fP\fI elenco\-pacchetti\fP
Come \fBBuild\-Depends\fP, ma sono necessari solamente quando si compilano i
pacchetti indipendenti dall'architettura. In questo caso vengono installati
anche i \fBBuild\-Depends\fP.

.TP 
\fBBuild\-Conflicts:\fP\fI package\-list\fP
Un elenco di pacchetti che non devono essere installati quando il pacchetto
è compilato, ad esempio perché interferiscono con il sistema di compilazione
usato. Includere una dipendenza in questo elenco ha lo stesso effetto di
includerla sia in \fBBuild\-Conflicts\-Arch\fP sia in \fBBuild\-Conflicts\-Indep\fP,
con l'effetto aggiuntivo di essere usata per le compilazioni solo\-sorgente.

.TP 
\fBBuild\-Conflicts\-Arch:\fP\fI package\-list\fP
Come \fBBuild\-Conflicts\fP, ma solo quando si compilano i pacchetti dipendenti
dall'architettura. Questo campo è supportato dalla versione 1.16.4 di dpkg;
per poter compilare con versioni più vecchie di dpkg, deve essere invece
usato \fBBuild\-Conflicts\fP.

.TP 
\fBBuild\-Conflicts\-Indep:\fP\fI elenco\-pacchetti\fP
Come \fBBuild\-Conflicts\fP, ma solo quando si compilano i pacchetti
indipendenti dall'architettura.

.PP
The syntax of the \fBBuild\-Depends\fP, \fBBuild\-Depends\-Arch\fP and
\fBBuild\-Depends\-Indep\fP fields is a list of groups of alternative packages.
Each group is a list of packages separated by vertical bar (or “pipe”)
symbols, ‘\fB|\fP’.  The groups are separated by commas ‘\fB,\fP’, and can end
with a trailing comma that will be eliminated when generating the fields for
\fBdeb\-control\fP(5) (since dpkg 1.10.14).  Commas are to be read as “AND”, and
pipes as “OR”, with pipes binding more tightly.  Each package name is
optionally followed by an architecture qualifier appended after a colon
‘\fB:\fP’, optionally followed by a version number specification in parentheses
‘\fB(\fP’ and ‘\fB)\fP’, an architecture specification in square brackets ‘\fB[\fP’
and ‘\fB]\fP’, and a restriction formula consisting of one or more lists of
profile names in angle brackets ‘\fB<\fP’ and ‘\fB>\fP’.

The syntax of the \fBBuild\-Conflicts\fP, \fBBuild\-Conflicts\-Arch\fP and
\fBBuild\-Conflicts\-Indep\fP fields is a list of comma\-separated package names,
where the comma is read as an “AND”, and where the list can end with a
trailing comma that will be eliminated when generating the fields for
\fBdeb\-control\fP(5)  (since dpkg 1.10.14).  Specifying alternative packages
using a “pipe” is not supported.  Each package name is optionally followed
by a version number specification in parentheses, an architecture
specification in square brackets, and a restriction formula consisting of
one or more lists of profile names in angle brackets.

An architecture qualifier name can be a real Debian architecture name (since
dpkg 1.16.5), \fBany\fP (since dpkg 1.16.2) or \fBnative\fP (since dpkg 1.16.5).
If omitted, the default for \fBBuild\-Depends\fP fields is the current host
architecture, the default for \fBBuild\-Conflicts\fP fields is \fBany\fP.  A real
Debian architecture name will match exactly that architecture for that
package name, \fBany\fP will match any architecture for that package name if
the package is marked with \fBMulti\-Arch: allowed\fP, and \fBnative\fP will match
the current build architecture if the package is not marked with
\fBMulti\-Arch: foreign\fP.

A version number may start with a ‘\fB>>\fP’, in which case any later
version will match, and may specify or omit the Debian packaging revision
(separated by a hyphen).  Accepted version relationships are ‘\fB>>\fP’
for greater than, ‘\fB<<\fP’ for less than, ‘\fB>=\fP’ for greater
than or equal to, ‘\fB<=\fP’ for less than or equal to, and ‘\fB=\fP’ for
equal to.

An architecture specification consists of one or more architecture names,
separated by whitespace. Exclamation marks may be prepended to each of the
names, meaning “NOT”.

A restriction formula consists of one or more restriction lists, separated
by whitespace. Each restriction list is enclosed in angle brackets. Items in
the restriction list are build profile names, separated by whitespace and
can be prefixed with an exclamation mark, meaning “NOT”.  A restriction
formula represents a disjunctive normal form expression.

Notare che le dipendenze dai pacchetti nell'insieme \fBbuild\-essential\fP
possono essere omesse e che dichiarare conflitti di compilazione con essi è
impossibile. Un elenco di tali pacchetti è nel pacchetto build\-essential.


.SH "CAMPI BINARI"

.LP
Notare che i campi \fBPriority\fP, \fBSection\fP e \fBHomepage\fP possono anche
essere in un paragrafo di un binario per sovrascrivere il valore globale del
pacchetto sorgente.

.TP 
\fBPackage:\fP \fInome\-pacchetto\-binario\fP (richiesto)
Questo campo viene usato per indicare il nome del pacchetto binario. Valgono
le stesse restrizioni usate per i nomi dei pacchetti sorgenti.

.TP 
\fBPackage\-Type:\fP \fBdeb\fP|\fBudeb\fP|\fItype\fP
This field defines the type of the package.  \fBudeb\fP is for size\-constrained
packages used by the debian installer.  \fBdeb\fP is the default value, it is
assumed if the field is absent.  More types might be added in the future.

.TP 
\fBArchitecture:\fP \fIarch\fP|\fBall\fP|\fBany\fP (richiesto)
L'architettura specifica su quale tipo di hardware funziona questo
pacchetto. Per i pacchetti che funzionano su tutte le architetture, usare il
valore \fBany\fP. Per i pacchetti che sono indipendenti dall'architettura, come
gli script Perl e di shell o la documentazione, usare il valore \fBall\fP. Per
limitare i pacchetti ad un determinato insieme di architetture, specificare
i nomi delle architetture, separate da uno spazio. In tale elenco è anche
possibile usare espressioni jolly per le architetture (per maggiori
informazioni vedere \fBdpkg\-architecture\fP(1)).

.TP 
\fBBuild\-Profiles:\fP \fIrestriction\-formula\fP
This field specifies the conditions for which this binary package does or
does not build.  To express that condition, the same restriction formula
syntax from the \fBBuild\-Depends\fP field is used.

If a binary package paragraph does not contain this field, then it
implicitly means that it builds with all build profiles (including none at
all).

In other words, if a binary package paragraph is annotated with a non\-empty
\fBBuild\-Profiles\fP field, then this binary package is generated if and only
if the condition expressed by the conjunctive normal form expression
evaluates to true.

.TP 
\fBEssential:\fP \fByes\fP|\fBno\fP
.TQ
\fBBuild\-Essential:\fP \fByes\fP|\fBno\fP
.TQ
\fBMulti\-Arch:\fP \fBsame\fP|\fBforeign\fP|\fBallowed\fP|\fBno\fP
.TQ
\fBTag:\fP\fI elenco\-etichette\fP
.TQ
\fBDescription:\fP \fIshort\-description\fP (recommended)
Questi campi sono descritti nella pagina di manuale \fBdeb\-control\fP(5), dato
che sono copiati in modo letterale nel file di controllo del pacchetto
binario.

.TP 
\fBDepends:\fP\fI elenco\-pacchetti\fP
.TQ
\fBPre\-Depends:\fP\fI elenco\-pacchetti\fP
.TQ
\fBRecommends:\fP\fI elenco\-pacchetti\fP
.TQ
\fBSuggests:\fP\fI elenco\-pacchetti\fP
.TQ
\fBBreaks:\fP\fI elenco\-pacchetti\fP
.TQ
\fBEnhances:\fP\fI elenco\-pacchetti\fP
.TQ
\fBReplaces:\fP\fI elenco\-pacchetti\fP
.TQ
\fBConflicts:\fP\fI elenco\-pacchetti\fP
.TQ
\fBProvides:\fP\fI elenco\-pacchetti\fP
.TQ
\fBBuilt\-Using:\fP\fI elenco\-pacchetti\fP
These fields declare relationships between packages. They are discussed in
the \fBdeb\-control\fP(5)  manpage.  When these fields are found in
\fIdebian/control\fP they can also end with a trailing comma (since dpkg
1.10.14), have architecture specifications and restriction formulas which
will all get reduced when generating the fields for \fBdeb\-control\fP(5).

.TP 
\fBSubarchitecture:\fP\fI valore\fP
.TQ
\fBKernel\-Version:\fP\fI valore\fP
.TQ
\fBInstaller\-Menu\-Item:\fP\fI valore\fP
These fields are used by the debian\-installer in \fBudeb\fPs and are usually
not needed.  See /usr/share/doc/debian\-installer/devel/modules.txt from the
\fBdebian\-installer\fP package for more details about them.

.SH "CAMPI DEFINITI DALL'UTENTE"
It is allowed to add additional user\-defined fields to the control file. The
tools will ignore these fields. If you want the fields to be copied over to
the output files, such as the binary packages, you need to use a custom
naming scheme: the fields should start with an \fBX\fP, followed by zero or
more of the letters \fBSBC\fP and a hyphen.

.TP 
\fBS\fP
The field will appear in the source package control file, see \fBdsc\fP(5).
.TP 
\fBB\fP
The field will appear in the control file in the binary package, see
\fBdeb\-control\fP(5).
.TP 
\fBC\fP
The field will appear in the upload control (.changes) file, see
\fBdeb\-changes\fP(5).

.P
Note that the \fBX\fP[\fBSBC\fP]\fB\-\fP prefixes are stripped when the fields are
copied over to the output files. A field \fBXC\-Approved\-By\fP will appear as
\fBApproved\-By\fP in the changes file and will not appear in the binary or
source package control files.

Tenere a mente che questi campi definiti dall'utente useranno lo spazio dei
nomi globale, che potrebbe in futuro andare in conflitto con i campi
ufficialmente riconosciuti. Per evitare una potenziale situazione di questo
tipo, si possono far iniziare questi campi con \fBPrivate\-\fP, come in
\fBXB\-Private\-Nuovo\-Campo\fP.

.SH ESEMPIO
.\" .RS
.nf
# Comment
Source: dpkg
Section: admin
Priority: required
Maintainer: Dpkg Developers <debian\-dpkg@lists.debian.org>
# this field is copied to the binary and source packages
XBS\-Upstream\-Release\-Status: stable
Homepage: https://wiki.debian.org/Teams/Dpkg
Vcs\-Browser: https://git.dpkg.org/cgit/dpkg/dpkg.git
Vcs\-Git: https://git.dpkg.org/git/dpkg/dpkg.git
Standards\-Version: 3.7.3
Build\-Depends: pkg\-config, debhelper (>= 4.1.81),
 libselinux1\-dev (>= 1.28\-4) [!linux\-any]

Package: dpkg\-dev
Section: utils
Priority: optional
Architecture: all
# questo è un campo personalizzato nel pacchetto binario
XB\-Mentoring\-Contact: Raphael Hertzog <hertzog@debian.org>
Depends: dpkg (>= 1.14.6), perl5, perl\-modules, cpio (>= 2.4.2\-2),
 bzip2, lzma, patch (>= 2.2\-1), make, binutils, libtimedate\-perl
Recommends: gcc | c\-compiler, build\-essential
Suggests: gnupg, debian\-keyring
Conflicts: dpkg\-cross (<< 2.0.0), devscripts (<< 2.10.26)
Replaces: manpages\-pl (<= 20051117\-1)
Description: Debian package development tools
 This package provides the development tools (including dpkg\-source)
 required to unpack, build and upload Debian source packages.
 .
 Most Debian source packages will require additional tools to build;
 for example, most packages need make and the C compiler gcc.
.fi


.\" .RE
.SH "VEDERE ANCHE"
\fBdeb\-control\fP(5), \fBdeb\-version\fP(7), \fBdpkg\-source\fP(1)
