.\" dpkg manual page - deb-substvars(5)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006-2009,2012-2015 Guillem Jover <guillem@debian.org>
.\" Copyright © 2009-2010 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH deb\-substvars 5 %RELEASE_DATE% %VERSION% "suite dpkg"
.ad l
.nh
.SH NOME
deb\-substvars \- variabili sostituite nei sorgenti Debian
.
.SH SINTASSI
substvars
.
.SH DESCRIZIONE
Prima che \fBdpkg\-source\fP, \fBdpkg\-gencontrol\fP e \fBdpkg\-genchanges\fP scrivano
le loro informazioni di controllo (nel file sorgente di controllo \fB.dsc\fP
per quanto riguarda \fBdpkg\-source\fP e sullo standard output per
\fBdpkg\-gencontrol\fP e \fBdpkg\-genchanges\fP), effettuano alcune sostituzioni di
variabili nel file di output.

A variable substitution has the form \fB${\fP\fIvariable\-name\fP\fB}\fP.  Variable
names consist of alphanumerics (a\-zA\-Z0\-9), hyphens (\-) and colons (:) and
start with an alphanumeric, and are case\-sensitive, even though they might
refer to other entities which are case\-preserving.  Variable substitutions
are performed repeatedly until none are left; the full text of the field
after the substitution is rescanned to look for more substitutions.

Una volta fatte tutte le sostituzioni, ciascuna occorrenza della stringa
\fB${}\fP (che non è una sostituzione permessa) viene sostituita da un
carattere \fB$\fP.

Sebbene la sostituzione delle variabili viene fatta in tutti i campi di
controllo, alcuni di tali campi sono usati e necessari durante la
compilazione, quando la sostituzione non è ancora avvenuta. Questo è il
motivo per cui non si possono usare variabili nei campi \fBPackage\fP,
\fBSource\fP e \fBArchitecture\fP.

La sostituzione delle variabili avviene nel contenuto dei campi dopo che
sono stati analizzati, perciò se si desidera che una variabile si estenda su
più righe non si deve aggiungere uno spazio dopo il ritorno a capo. Ciò
viene fatto implicitamente quando il campo viene prodotto in output. Per
esempio, se la variabile \fB${Description}\fP è impostata a «pinco è
questo.${Newline}pinco è quest'altro.» e se si ha il campo seguente:

 Description: applicazione pinco
  ${Description}
  .
  Altro testo.

Il risultato è:

 Description: applicazione pinco
  pinco è questo.
  pinco è quest'altro.
  .
  Altro testo.

Le variabili possono essere impostate usando l'opzione comune \fB\-V\fP. Possono
anche essere specificate nel file \fBdebian/substvars\fP (o qualsiasi altro
file venga specificato usando l'opzione \fB\-T\fP). Il file è formato da righe
nella forma \fInome\fP\fB=\fP\fIvalore\fP. Gli spazi bianchi alla fine di ogni riga,
le righe vuote e le righe che iniziano con un simbolo \fB#\fP (commenti)
vengono ignorati.

In aggiunta, sono disponibili le seguenti variabili standard:
.TP 
\fBArch\fP
The current host architecture (i.e. the architecture the package is being
built for, the equivalent of \fBDEB_HOST_ARCH\fP).
.TP 
\fBsource:Version\fP
The source package version (since dpkg 1.13.19).
.TP 
\fBsource:Upstream\-Version\fP
The upstream source package version, including the Debian version epoch if
any (since dpkg 1.13.19).
.TP 
\fBbinary:Version\fP
The binary package version (which may differ from \fBsource:Version\fP in a
binNMU for example; since dpkg 1.13.19).
.TP 
\fBSource\-Version\fP
The source package version (from the changelog file). This variable is now
\fBobsolete\fP and emits an error when used as its meaning is different from
its function, please use the \fBsource:Version\fP or \fBbinary:Version\fP as
appropriate.
.TP 
\fBsource:Synopsis\fP
The source package synopsis, extracted from the source stanza \fBDescription\fP
field, if it exists (since dpkg 1.19.0).
.TP 
\fBsource:Extended\-Description\fP
The source package extended description, extracted from the source stanza
\fBDescription\fP field, if it exists (since dpkg 1.19.0).
.TP 
\fBInstalled\-Size\fP
The approximate total size of the package's installed files. This value is
copied into the corresponding control file field; setting it will modify the
value of that field. If this variable is not set \fBdpkg\-gencontrol\fP will
compute the default value by accumulating the size of each regular file and
symlink rounded to 1 KiB used units, and a baseline of 1 KiB for any other
filesystem object type.  With hardlinks only being counted once as a regular
file.

\fBNote:\fP Take into account that this can only ever be an approximation, as
the actual size used on the installed system will depend greatly on the
filesystem used and its parameters, which might end up using either more or
less space than the specified in this field.
.TP 
\fBExtra\-Size\fP
Lo spazio su disco aggiuntivo usato quando il pacchetto viene installato. Se
questa variabile viene impostata, il suo valore viene sommato a quello della
variabile \fBInstalled\-Size\fP (usando il valore impostato esplicitamente
oppure quello predefinito), prima di essere copiato nel campo
\fBInstalled\-Size\fP del file di controllo.
.TP 
\fBS:\fP\fIfieldname\fP
The value of the source stanza field \fIfieldname\fP (which must be given in
the canonical capitalisation; since dpkg 1.18.11).  Setting these variables
has no effect other than on places where they are expanded explicitly.
These variables are only available when generating binary control files.
.TP 
\fBF:\fP\fInomecampo\fP
Il valore in output del campo \fInomecampo\fP (che deve essere specificato
usando le minuscole e maiuscole appropriate). L'impostazione di queste
variabili non ha effetto, tranne dove esse vengono esplicitamente espanse.
.TP 
\fBFormat\fP
Il formato del file \fB.changes\fP generato da questa versione degli script di
pacchettizzazione dei sorgenti. Se si imposta questa variabile, anche il
contenuto del campo \fBFormat\fP nel file \fB.changes\fP cambia.
.TP 
\fBNewline\fP, \fBSpace\fP, \fBTab\fP
Queste variabili contengono ciascuna il carattere corrispondente: nuova
riga, spazio e tabulazione.
.TP 
\fBshlibs:\fP\fIcampodipendenza\fP
L'impostazione di variabili con nomi in questa forma è generata da
\fBdpkg\-shlibdeps\fP.
.TP 
\fBdpkg:Upstream\-Version\fP
The upstream version of dpkg (since dpkg 1.13.19).
.TP 
\fBdpkg:Version\fP
The full version of dpkg (since dpkg 1.13.19).
.LP
Se viene fatto riferimento a una variabile ma questa non è definita, viene
generato un avvertimento e viene assunto un valore vuoto.
.
.SH FILE
.TP 
\fBdebian/substvars\fP
Elenco di variabili da sostituire e di valori.
.
.SH "VEDERE ANCHE"
\fBdpkg\fP(1), \fBdpkg\-genchanges\fP(1), \fBdpkg\-gencontrol\fP(1),
\fBdpkg\-shlibdeps\fP(1), \fBdpkg\-source\fP(1).
