.\" dpkg manual page - deb(5)
.\"
.\" Copyright © 1995 Raul Miller
.\" Copyright © 1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006-2017 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH deb 5 %RELEASE_DATE% %VERSION% "suite dpkg"
.ad l
.nh
.SH NOME
deb \- formato dei pacchetti binari di Debian
.SH SINTASSI
\fInomefile\fP\fB.deb\fP
.SH DESCRIZIONE
Il formato \fB.deb\fP è il formato dei pacchetti binari Debian. È riconosciuto
da dpkg 0.93.76 ed è generato in modo predefinito a partire dalle versioni
1.2.0 e 1.1.1elf (compilazioni i386/ELF) di dpkg.
.PP
Il formato descritto in questo testo è usato sin da Debian 0.93; i dettagli
del vecchio formato sono descritti in \fBdeb\-old\fP(5).
.SH FORMATO
Il file è un archivio \fBar\fP con un valore magico di \fB!<arch>\fP. Solo
il formato comune di archivio \fBar\fP è gestito, senza estensioni per nomi di
file lunghi, ma con i nomi dei file contenenti un carattere sbarra finale
opzionale che limita la loro lunghezza a 15 caratteri (dei 16 permessi). Le
dimensioni dei file sono limitate a 10 cifre decimali ASCII, permettendo
approssimativamente file elemento di 9536,74 MiB.
.PP
The \fBtar\fP archives currently allowed are, the old\-style (v7) format, the
pre\-POSIX ustar format, a subset of the GNU format (new style long pathnames
and long linknames, supported since dpkg 1.4.1.17; large file metadata since
dpkg 1.18.24), and the POSIX ustar format (long names supported since dpkg
1.15.0).  Unrecognized tar typeflags are considered an error.  Each tar
entry size inside a tar archive is limited to 11 ASCII octal digits,
allowing for up to 8 GiB tar entries.  The GNU large file metadata support
permits 95\-bit tar entry sizes and negative timestamps, and 63\-bit UID, GID
and device numbers.
.PP
Il primo elemento si chiama \fBdebian\-binary\fP e contiene una serie di righe,
separate da ritorni a capo. Attualmente è presente una sola riga, il numero
di versione del formato: \fB2.0\fP al momento della stesura di questa pagina di
manuale. I programmi che leggono gli archivi nel nuovo formato dovrebbero
essere preparati ad un incremento del numero minore di versione e alla
presenza di nuove righe, e dovrebbero ignorarli, se appropriato.
.PP
Se è cambiato il numero principale, è stata fatta una modifica incompatibile
e il programma dovrebbe fermarsi. Se non è così, il programma dovrebbe poter
continuare senza problemi, a meno di non incontrare un elemento inaspettato
nell'archivio (tranne alla fine), come descritto in seguito.
.PP
The second required member is named \fBcontrol.tar\fP.  It is a tar archive
containing the package control information, either not compressed (supported
since dpkg 1.17.6), or compressed with gzip (with \fB.gz\fP extension) or xz
(with \fB.xz\fP extension, supported since 1.17.6), as a series of plain files,
of which the file \fBcontrol\fP is mandatory and contains the core control
information, the \fBconffiles\fP, \fBtriggers\fP, \fBshlibs\fP and \fBsymbols\fP files
contain optional control information, and the \fBpreinst\fP, \fBpostinst\fP,
\fBprerm\fP and \fBpostrm\fP files are optional maintainer scripts.  The control
tarball may optionally contain an entry for ‘\fB.\fP’, the current directory.
.PP
Il terzo e ultimo elemento necessario è chiamato \fBdata.tar\fP. Contiene il
file system in forma di archivio tar, non compresso (supportato a partire da
dpkg 1.10.24) oppure compresso con gzip (con estensione \fB.gz\fP), xz (con
estensione \fB.xz\fP, supportato a partire da dpkg 1.15.6), bzip2 (con
estensione \fB.bz2\fP, supportato a partire dpkg 1.10.24) o lzma (con
estensione \fB.lzma\fP, supportato a partire da dpkg 1.13.25).
.PP
These members must occur in this exact order. Current implementations should
ignore any additional members after \fBdata.tar\fP.  Further members may be
defined in the future, and (if possible) will be placed after these
three. Any additional members that may need to be inserted after
\fBdebian\-binary\fP and before \fBcontrol.tar\fP or \fBdata.tar\fP and which should
be safely ignored by older programs, will have names starting with an
underscore, ‘\fB_\fP’.
.PP
I nuovi elementi che non potranno essere ignorati senza problemi verranno
inseriti prima di \fBdata.tar\fP con nomi che iniziano con un carattere diverso
da un trattino basso oppure, più probabilmente, causeranno un aumento del
numero principale di versione.
.SH "TIPO MULTIMEDIALE"
.SS Attuale
application/vnd.debian.binary\-package
.SS Deprecati
application/x\-debian\-package
.br
application/x\-deb
.SH "VEDERE ANCHE"
\fBdeb\-old\fP(5), \fBdpkg\-deb\fP(1), \fBdeb\-control\fP(5), \fBdeb\-conffiles\fP(5)
\fBdeb\-triggers\fP(5), \fBdeb\-shlibs\fP(5), \fBdeb\-symbols\fP(5), \fBdeb\-preinst\fP(5),
\fBdeb\-postinst\fP(5), \fBdeb\-prerm\fP(5), \fBdeb\-postrm\fP(5).
