.\" dpkg manual page - dpkg-checkbuilddeps(1)
.\"
.\" Copyright © 2001 Joey Hess <joeyh@debian.org>
.\" Copyright © 2007-2013, 2015 Guillem Jover <guillem@debian.org>
.\" Copyright © 2008-2011 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-checkbuilddeps 1 %RELEASE_DATE% %VERSION% "suite dpkg"
.ad l
.nh
.SH NOME
dpkg\-checkbuilddeps \- controlla le dipendenze e i conflitti di compilazione
.
.SH SINTASSI
\fBdpkg\-checkbuilddeps\fP [\fIopzione\fP...] [\fIfile\-controllo\fP]
.
.SH DESCRIZIONE
Questo programma controlla la corrispondenza tra i pacchetti installati nel
sistema e le dipendenze e i conflitti di compilazione elencati nel file di
controllo. Se alcuni non sono soddisfatti li visualizza ed esce restituendo
un codice diverso da zero.
.P
In modo predefinito viene letto \fBdebian/control\fP, ma può essere specificato
un nome di file di controllo alternativo sulla riga di comando.
.
.SH OPZIONI
.TP 
\fB\-\-admindir=\fP\fIdir\fP
Change the location of the \fBdpkg\fP database (since dpkg 1.14.0).  The
default location is \fI%ADMINDIR%\fP.
.TP 
\fB\-A\fP
Ignore \fBBuild\-Depends\-Arch\fP and \fBBuild\-Conflicts\-Arch\fP lines (since dpkg
1.16.4).  Use when only arch\-indep packages will be built, or combine with
\fB\-B\fP when only a source package is to be built.
.TP 
\fB\-B\fP
Ignora le righe \fBBuild\-Depends\-Indep\fP e \fBBuild\-Conflicts\-Indep\fP. Usato
quando verranno compilati solo pacchetti dipendenti dall'architettura o in
combinazione con \fB\-A\fP quando deve essere compilato solo un pacchetto
sorgente.
.TP 
\fB\-I\fP
Ignore built\-in build depends and conflicts (since dpkg 1.18.2).  These are
implicit dependencies that are usually required on a specific distribution,
the so called Build\-Essential package set.
.TP 
\fB\-d \fP\fIstringa\-dipendenze\-compilazione\fP
.TP 
\fB\-c \fP\fIstringa\-conflitti\-compilazione\fP
Use the given build dependencies/conflicts instead of those contained in the
\fIdebian/control\fP file (since dpkg 1.14.17).
.TP 
\fB\-a \fP\fIarch\fP
Check build dependencies/conflicts assuming that the package described in
the control file is to be built for the given host architecture instead of
the architecture of the current system (since dpkg 1.16.2).
.TP 
\fB\-P \fP\fIprofilo\fP[\fB,\fP...]
Check build dependencies/conflicts assuming that the package described in
the control file is to be built for the given build profile(s)  (since dpkg
1.17.2).  The argument is a comma\-separated list of profile names.
.TP 
\fB\-?\fP, \fB\-\-help\fP
Mostra il messaggio sull'uso ed esce.
.TP 
\fB\-\-version\fP
Mostra la versione ed esce.
.
.SH AMBIENTE
.TP 
\fBDEB_BUILD_PROFILES\fP
Se impostata, il suo valore verrà usato come profili attivi da compilare per
il pacchetto in fase di compilazione. È un elenco separato da spazi di nomi
di profilo. Viene scavalcata dall'opzione \fB\-P\fP.
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.TP 
\fBDPKG_NLS\fP
If set, it will be used to decide whether to activate Native Language
Support, also known as internationalization (or i18n) support (since dpkg
1.19.0).  The accepted values are: \fB0\fP and \fB1\fP (default).
