.\" dpkg manual page - dpkg-deb(1)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 1999 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006 Frank Lichtenheld <djpig@debian.org>
.\" Copyright © 2007-2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-deb 1 %RELEASE_DATE% %VERSION% "suite dpkg"
.ad l
.nh
.SH NOME
dpkg\-deb \- strumento per la manipolazione di archivi di pacchetto Debian
(.deb)
.
.SH SINTASSI
\fBdpkg\-deb\fP [\fIopzione\fP...] \fIcomando\fP
.
.SH DESCRIZIONE
\fBdpkg\-deb\fP impacchetta, spacchetta e fornisce informazioni sugli archivi
Debian.
.PP
Usare \fBdpkg\fP per installare e rimuovere pacchetti dal sistema.
.PP
Si può anche invocare \fBdpkg\-deb\fP eseguendo \fBdpkg\fP con qualsiasi opzione si
desidera passare a \fBdpkg\-deb\fP. \fBdpkg\fP capirà che si desidera eseguire
\fBdpkg\-deb\fP e lo farà.
.PP
For most commands taking an input archive argument, the archive can be read
from standard input if the archive name is given as a single minus character
(«\fB\-\fP»); otherwise lack of support will be documented in their respective
command description.
.
.SH COMANDI
.TP 
\fB\-b\fP, \fB\-\-build\fP \fIbinary\-directory\fP [\fIarchive\fP|\fIdirectory\fP]
Creates a debian archive from the filesystem tree stored in
\fIbinary\-directory\fP. \fIbinary\-directory\fP must have a \fBDEBIAN\fP subdirectory,
which contains the control information files such as the control file
itself. This directory will \fInot\fP appear in the binary package's filesystem
archive, but instead the files in it will be put in the binary package's
control information area.

Unless you specify \fB\-\-nocheck\fP, \fBdpkg\-deb\fP will read \fBDEBIAN/control\fP and
parse it. It will check the file for syntax errors and other problems, and
display the name of the binary package being built.  \fBdpkg\-deb\fP will also
check the permissions of the maintainer scripts and other files found in the
\fBDEBIAN\fP control information directory.

If no \fIarchive\fP is specified then \fBdpkg\-deb\fP will write the package into
the file \fIbinary\-directory\fP\fB.deb\fP.

Se l'archivio da creare è già presente, esso verrà sovrascritto.

If the second argument is a directory then \fBdpkg\-deb\fP will write to the
file \fIdirectory\fP\fB/\fP\fIpackage\fP\fB_\fP\fIversion\fP\fB_\fP\fIarch\fP\fB.deb.\fP When a
target directory is specified, rather than a file, the \fB\-\-nocheck\fP option
may not be used (since \fBdpkg\-deb\fP needs to read and parse the package
control file to determine which filename to use).
.TP 
\fB\-I\fP, \fB\-\-info\fP \fIarchivio\fP [\fInomefile\-di\-controllo\fP...]
Fornisce informazioni su un archivio di pacchetto binario.

Se non è specificato alcun \fInomefile\-di\-controllo\fP, allora visualizza un
riassunto dei contenuti del pacchetto oltre al suo file di controllo.

Se è specificato almeno un \fInomefile\-di\-controllo\fP allora \fBdpkg\-deb\fP li
visualizza nell'ordine in cui sono stati specificati; se alcuni non sono
presenti visualizza per ciascuno un messaggio di errore sullo stderr e
termina con il codice di stato 2.
.TP 
\fB\-W\fP, \fB\-\-show\fP \fIarchivio\fP
Fornisce informazioni su un archivio di pacchetto binario nel formato
specificato dell'argomento \fB\-\-showformat\fP. Il formato predefinito
visualizza in una riga il nome del pacchetto e la versione, separati da una
tabulazione.
.TP 
\fB\-f\fP, \fB\-\-field\fP \fIarchivio\fP [\fInome\-campo\-di\-controllo\fP...]
Estrae informazioni dal file di controllo di un archivio di pacchetto
binario.

If no \fIcontrol\-field\-name\fPs are specified then it will print the whole
control file.

If any are specified then \fBdpkg\-deb\fP will print their contents, in the
order in which they appear in the control file. If more than one
\fIcontrol\-field\-name\fP is specified then \fBdpkg\-deb\fP will precede each with
its field name (and a colon and space).

Non vengono riportati errori in caso di campi richiesti ma non trovati.
.TP 
\fB\-c\fP, \fB\-\-contents\fP \fIarchivio\fP
Elenca il contenuto della porzione dell'archivio di pacchetto con l'albero
del file system. Attualmente viene prodotto nel formato generato dall'elenco
prolisso di \fBtar\fP.
.TP 
\fB\-x\fP, \fB\-\-extract\fP \fIarchivio directory\fP
Estrae l'albero del file system da un archivio di pacchetto nella directory
specificata.

Notare che l'estrazione di un pacchetto nella directory root \fInon\fP produce
un'installazione corretta! Usare \fBdpkg\fP per installare pacchetti.

Se necessario verrà creata \fIdirectory\fP (ma non le directory sovrastanti) e
i suoi permessi saranno modificati per corrispondere al contenuto del
pacchetto.
.TP 
\fB\-X\fP, \fB\-\-vextract\fP \fIarchivio directory\fP
Come \fB\-\-extract\fP (\fB\-x\fP) con \fB\-\-verbose\fP (\fB\-v\fP), che visualizza un elenco
dei file processati mentre vengono estratti.
.TP 
\fB\-R\fP, \fB\-\-raw\-extract\fP \fIarchivio directory\fP
Extracts the filesystem tree from a package archive into a specified
directory, and the control information files into a \fBDEBIAN\fP subdirectory
of the specified directory (since dpkg 1.16.1).

Se necessario verrà creata la directory di destinazione (ma non le directory
sovrastanti).

The input archive is not (currently) processed sequentially, so reading it
from standard input («\fB\-\fP») is \fBnot\fP supported.
.TP 
\fB\-\-ctrl\-tarfile\fP \fIarchivio\fP
Estrae i dati di controllo da un pacchetto binario e lo invia allo standard
output in formato \fBtar\fP (a partire da dpkg 1.17.14). Insieme a \fBtar\fP(1)
può essere usata per estrarre un file di controllo specifico da un archivio
di pacchetto. L'archivio in input verrà sempre elaborato in modo
sequenziale.
.TP 
\fB\-\-fsys\-tarfile\fP \fIarchivio\fP
Estrae l'albero del file system da un pacchetto binario e lo invia allo
standard output in formato \fBtar\fP. Insieme a \fBtar\fP(1) può essere usata per
estrarre un file specifico da un archivio di pacchetto. L'archivio in input
verrà sempre elaborato in modo sequenziale.
.TP 
\fB\-e\fP, \fB\-\-control\fP \fIarchivio\fP [\fIdirectory\fP]
Estrae i file con le informazioni di controllo da un archivio di pacchetto
nella directory specificata.

Se non viene specificata alcuna directory, allora sarà usata una
sottodirectory \fBDEBIAN\fP nella directory attuale.

Se necessario verrà creata la directory di destinazione (ma non le directory
sovrastanti).
.TP 
\fB\-?\fP, \fB\-\-help\fP
Mostra il messaggio sull'uso ed esce.
.TP 
\fB\-\-version\fP
Mostra la versione ed esce.
.
.SH OPZIONI
.TP 
\fB\-\-showformat=\fP\fIformato\fP
Questa opzione viene usata per specificare il formato dell'output che verrà
prodotto da \fB\-\-show\fP. Il formato è una stringa che verrà prodotta in output
per ciascun pacchetto elencato.

The string may reference any status field using the “${\fIfield\-name\fP}” form,
a list of the valid fields can be easily produced using \fB\-I\fP on the same
package. A complete explanation of the formatting options (including escape
sequences and field tabbing) can be found in the explanation of the
\fB\-\-showformat\fP option in \fBdpkg\-query\fP(1).

The default for this field is “${Package}\et${Version}\en”.
.TP 
\fB\-z\fP\fIlivello\-di\-compressione\fP
Specify which compression level to use on the compressor backend, when
building a package (default is 9).  The accepted values are 0\-9 with: 0
being mapped to compressor none for gzip.  Before dpkg 1.16.2 level 0 was
equivalent to compressor none for all compressors.
.TP 
\fB\-S\fP\fIstrategia\-di\-compressione\fP
Specify which compression strategy to use on the compressor backend, when
building a package (since dpkg 1.16.2). Allowed values are \fBnone\fP (since
dpkg 1.16.4), \fBfiltered\fP, \fBhuffman\fP, \fBrle\fP and \fBfixed\fP for gzip (since
dpkg 1.17.0) and \fBextreme\fP for xz.
.TP 
\fB\-Z\fP\fItipo\-di\-compressione\fP
Specify which compression type to use when building a package.  Allowed
values are \fBgzip\fP, \fBxz\fP (since dpkg 1.15.6), and \fBnone\fP (default is
\fBxz\fP).
.TP 
\fB\-\-[no\-]uniform\-compression\fP
Specify that the same compression parameters should be used for all archive
members (i.e. \fBcontrol.tar\fP and \fBdata.tar\fP; since dpkg 1.17.6).  Otherwise
only the \fBdata.tar\fP member will use those parameters. The only supported
compression types allowed to be uniformly used are \fBnone\fP, \fBgzip\fP and
\fBxz\fP.  The \fB\-\-no\-uniform\-compression\fP option disables uniform compression
(since dpkg 1.19.0).  Uniform compression is the default (since dpkg
1.19.0).
.TP 
\fB\-\-root\-owner\-group\fP
Set the owner and group for each entry in the filesystem tree data to root
with id 0 (since dpkg 1.19.0).

\fBNote\fP: This option can be useful for rootless builds (see
\fIrootless\-builds.txt\fP), but should \fBnot\fP be used when the entries have an
owner or group that is not root.  Support for these will be added later in
the form of a meta manifest.
.TP 
\fB\-\-deb\-format=\fP\fIformat\fP
Set the archive format version used when building (since dpkg 1.17.0).
Allowed values are \fB2.0\fP for the new format, and \fB0.939000\fP for the old
one (default is \fB2.0\fP).

Il vecchio formato degli archivi viene analizzato con più difficoltà dagli
strumenti non Debian e ora è obsoleto; il suo unico utilizzo è quello di
creare pacchetti che devono essere manipolati da versioni di dpkg precedenti
alla 0.93.76 (settembre 1995) che è stata rilasciata solo come a.out per
i386.
.TP 
\fB\-\-nocheck\fP
Impedisce i consueti controlli di \fBdpkg\-deb \-\-build\fP sui contenuti proposti
per un archivio. In questo modo si può creare qualsiasi archivio si voglia,
indipendentemente da quanto sia difettoso.
.TP 
\fB\-v\fP, \fB\-\-verbose\fP
Enables verbose output (since dpkg 1.16.1).  This currently only affects
\fB\-\-extract\fP making it behave like \fB\-\-vextract\fP.
.TP 
\fB\-D\fP, \fB\-\-debug\fP
Abilita l'output di debug. Non è molto interessante.
.
.SH "STATO D'USCITA"
.TP 
\fB0\fP
L'azione richiesta è stata effettuata con successo.
.TP 
\fB2\fP
Fatal or unrecoverable error due to invalid command\-line usage, or
interactions with the system, such as accesses to the database, memory
allocations, etc.
.
.SH AMBIENTE
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.TP 
\fBTMPDIR\fP
Se impostata, \fBdpkg\-deb\fP la userà come directory nella quale creare i file
e le directory temporanei.
.TP 
\fBSOURCE_DATE_EPOCH\fP
If set, it will be used as the timestamp (as seconds since the epoch) in the
\fBdeb\fP(5)'s \fBar\fP(5) container and used to clamp the mtime in the \fBtar\fP(5)
file entries.
.
.SH NOTE
Non tentare di usare solamente \fBdpkg\-deb\fP per installare software! Si deve
usare \fBdpkg\fP stesso per assicurare che tutti i file siano messi nella
posizione corretta, che siano eseguiti gli script del pacchetto e che
vengano registrati il suo stato e i suoi contenuti.
.
.SH BUG
\fBdpkg\-deb \-I\fP \fIpacchetto1\fP\fB.deb\fP \fIpacchetto2\fP\fB.deb\fP fa la cosa
sbagliata.

Non c'è autenticazione sui file \fB.deb\fP; di fatto non esiste nemmeno un
codice di controllo chiaramente definito. (Strumenti di più alto livello
come APT permettono di autenticare i pacchetti \fB.deb\fP recuperati da un dato
repository, e la maggior parte dei pacchetti al giorno d'oggi fornisce un
file di controllo md5sum generato da debian/rules; questo però non è
direttamente supportato dagli strumenti di più basso livello.)
.
.SH "VEDERE ANCHE"
\fBdeb\fP(5), \fBdeb\-control\fP(5), \fBdpkg\fP(1), \fBdselect\fP(1).
