.\" dpkg manual page - dpkg-genchanges(1)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006-2016 Guillem Jover <guillem@debian.org>
.\" Copyright © 2008-2010 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-genchanges 1 %RELEASE_DATE% %VERSION% "suite dpkg"
.ad l
.nh
.SH NOME
dpkg\-genchanges \- genera file .changes di Debian
.
.SH SINTASSI
\fBdpkg\-genchanges\fP [\fIopzione\fP...]
.br
.
.SH DESCRIZIONE
\fBdpkg\-genchanges\fP reads information from an unpacked and built Debian
source tree and from the files it has generated and generates a Debian
upload control file (\fB.changes\fP file).
.
.SH OPZIONI
.TP 
\fB\-\-build=\fP\fItype\fP
Specifies the build \fItype\fP from a comma\-separated list of components (since
dpkg 1.18.5).

The allowed values are:
.RS
.TP 
\fBsource\fP
Upload the source package.
.TP 
\fBany\fP
Upload the architecture specific binary packages.
.TP 
\fBall\fP
Upload the architecture independent binary packages.
.TP 
\fBbinary\fP
Upload the architecture specific and independent binary packages.  This is
an alias for \fBany,all\fP.
.TP 
\fBfull\fP
Upload everything.  This is alias for \fBsource,any,all\fP, and the same as the
default case when no build option is specified.
.RE
.TP 
\fB\-g\fP
Equivalent to \fB\-\-build=source,all\fP (since dpkg 1.17.11).
.TP 
\fB\-G\fP
Equivalent to \fB\-\-build=source,any\fP (since dpkg 1.17.11).
.TP 
\fB\-b\fP
Equivalent to \fB\-\-build=binary\fP or \fB\-\-build=any,all\fP.
.TP 
\fB\-B\fP
Equivalent to \fB\-\-build=any\fP.
.TP 
\fB\-A\fP
Equivalent to \fB\-\-build=all\fP.
.TP 
\fB\-S\fP
Equivalent to \fB\-\-build=source\fP.
.PP
The \fB\-s\fP\fIx\fP options control whether the original source archive is
included in the upload if any source is being generated (i.e.  \fB\-b\fP or
\fB\-B\fP haven't been used).
.TP 
\fB\-si\fP
By default, or if specified, the original source will be included only if
the upstream version number (the version without epoch and without Debian
revision) differs from the upstream version number of the previous changelog
entry.
.TP 
\fB\-sa\fP
Forza l'inclusione del sorgente originale.
.TP 
\fB\-sd\fP
Forza l'esclusione del sorgente originale e include solo il diff.
.fi
.TP 
\fB\-v\fP\fIversione\fP
Causa l'uso delle informazioni di changelog da tutte le versioni
strettamente successive a \fIversione\fP.
.TP 
\fB\-C\fP\fIdescrizione\-modifiche\fP
Legge la descrizione dei cambiamenti dal file \fIdescrizione\-cambiamenti\fP
invece di usare le informazioni del file changelog nell'albero dei sorgenti.
.TP 
\fB\-m\fP\fIindirizzo\-manutentore\fP
Usa \fIindirizzo\-manutentore\fP come nome ed indirizzo di posta elettronica
reali del manutentore di questo pacchetto, invece di usare le informazioni
del file di controllo dell'albero dei sorgenti.
.TP 
\fB\-e\fP\fIindirizzo\-manutentore\fP
Use \fImaintainer\-address\fP as the name and email address of the maintainer
for this upload, rather than using the information from the source tree's
changelog.
.TP 
\fB\-V\fP\fInome\fP\fB=\fP\fIvalore\fP
Imposta una variabile di sostituzione per l'output. Vedere
\fBdeb\-substvars\fP(5) per informazioni sulle sostituzioni per l'output.
.TP 
\fB\-T\fP\fIsubstvars\-file\fP
Read substitution variables in \fIsubstvars\-file\fP; the default is
\fBdebian/substvars\fP.  No variable substitution is done on any of the fields
that are output, except for the contents extracted from each binary package
\fBDescription\fP field (since dpkg 1.19.0), however the special variable
\fIFormat\fP will override the field of the same name.  This option can be used
multiple times to read substitution variables from multiple files (since
dpkg 1.15.6).

.TP 
\fB\-D\fP\fIcampo\fP\fB=\fP\fIvalore\fP
Override or add an output control file field.
.TP 
\fB\-U\fP\fIcampo\fP
Remove an output control file field.
.TP 
\fB\-c\fP\fIfilecontrollo\fP
Specifica il file di controllo principale dei sorgenti da cui leggere le
informazioni. Il valore predefinito è \fBdebian/control\fP.
.TP 
\fB\-l\fP\fIfile\-changelog\fP
Specifica il file changelog da cui leggere le informazioni. Il valore
predefinito è \fBdebian/changelog\fP.
.TP 
\fB\-f\fP\fIfile\-con\-lista\-file\fP
Read the list of files to be uploaded here, rather than using
\fBdebian/files\fP.
.TP 
\fB\-F\fP\fIformato\-changelog\fP
Specifica il formato del changelog. Vedere \fBdpkg\-parsechangelog\fP(1) per
informazioni sui formati alternativi.
.TP 
\fB\-u\fP\fIupload\-files\-dir\fP
Look for the files to be uploaded in \fIupload\-files\-dir\fP rather than \fB..\fP
(\fBdpkg\-genchanges\fP needs to find these files so that it can include their
sizes and checksums in the \fB.changes\fP file).
.TP 
\fB\-q\fP
Usually \fBdpkg\-genchanges\fP will produce informative messages on standard
error, for example about how many of the package's source files are being
uploaded.  \fB\-q\fP suppresses these messages.
.TP 
\fB\-O\fP[\fInomefile\fP]
Print the changes file to standard output (the default) or to \fIfilename\fP if
specified (since dpkg 1.18.5).
.TP 
\fB\-?\fP, \fB\-\-help\fP
Mostra il messaggio sull'uso ed esce.
.TP 
\fB\-\-version\fP
Mostra la versione ed esce.
.
.SH AMBIENTE
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.TP 
\fBDPKG_NLS\fP
If set, it will be used to decide whether to activate Native Language
Support, also known as internationalization (or i18n) support (since dpkg
1.19.0).  The accepted values are: \fB0\fP and \fB1\fP (default).
.
.SH FILE
.TP 
\fBdebian/files\fP
The list of generated files which are part of the upload being prepared.
\fBdpkg\-genchanges\fP reads the data here when producing a \fB.changes\fP file.
.
.SH "VEDERE ANCHE"
\fBdeb\-substvars\fP(5), \fBdeb\-src\-control\fP(5), \fBdeb\-src\-files\fP(5),
\fBdeb\-changelog\fP(5), \fBdeb\-changes\fP(5).
