.\" dpkg manual page - dpkg-gencontrol(1)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006, 2012-2013, 2015 Guillem Jover <guillem@debian.org>
.\" Copyright © 2007-2008 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-gencontrol 1 %RELEASE_DATE% %VERSION% "suite dpkg"
.ad l
.nh
.SH NOME
dpkg\-gencontrol \- genera file di controllo di Debian
.
.SH SINTASSI
\fBdpkg\-gencontrol\fP [\fIopzione\fP...]
.
.SH DESCRIZIONE
\fBdpkg\-gencontrol\fP reads information from an unpacked Debian source tree and
generates a binary package control file (which defaults to
debian/tmp/DEBIAN/control); during this process it will simplify the
relation fields.
.sp
Thus \fBPre\-Depends\fP, \fBDepends\fP, \fBRecommends\fP and \fBSuggests\fP are
simplified in this order by removing dependencies which are known to be true
according to the stronger dependencies already parsed. It will also remove
any self\-dependency (in fact it will remove any dependency which evaluates
to true given the current version of the package as installed). Logically it
keeps the intersection of multiple dependencies on the same package. The
order of dependencies is preserved as best as possible: if any dependency
must be discarded due to another dependency appearing further in the field,
the superseding dependency will take the place of the discarded one.
.sp
The other relation fields (\fBEnhances\fP, \fBConflicts\fP, \fBBreaks\fP, \fBReplaces\fP
and \fBProvides\fP)  are also simplified individually by computing the union of
the various dependencies when a package is listed multiple times in the
field.
.sp
\fBdpkg\-gencontrol\fP aggiunge anche una voce per il pacchetto binario in
\fBdebian/files\fP.
.
.SH OPZIONI
.TP 
\fB\-v\fP\fIversione\fP
Imposta il numero di versione del pacchetto binario che verrà generato.
.TP 
\fB\-V\fP\fInome\fP\fB=\fP\fIvalore\fP
Imposta una variabile di sostituzione per l'output. Vedere
\fBdeb\-substvars\fP(5) per informazioni sulle sostituzioni per l'output.
.TP 
\fB\-T\fP\fIsubstvars\-file\fP
Read substitution variables in \fIsubstvars\-file\fP; the default is
\fBdebian/substvars\fP.  This option can be used multiple times to read
substitution variables from multiple files (since dpkg 1.15.6).
.TP 
\fB\-D\fP\fIcampo\fP\fB=\fP\fIvalore\fP
Override or add an output control file field.
.TP 
\fB\-U\fP\fIcampo\fP
Remove an output control file field.
.TP 
\fB\-c\fP\fIfile\-controllo\fP
Specifica il file di controllo principale dei sorgenti da cui leggere le
informazioni. Il valore predefinito è \fBdebian/control\fP.
.TP 
\fB\-l\fP\fIfile\-changelog\fP
Specifica il file changelog da cui leggere le informazioni. Il valore
predefinito è \fBdebian/changelog\fP.
.TP 
\fB\-f\fP\fIfile\-con\-lista\-file\fP
Legge o scrive la lista di file da caricare qui, invece di usare
\fBdebian/files\fP.
.TP 
\fB\-F\fP\fIformato\-changelog\fP
Specifica il formato del changelog. Vedere \fBdpkg\-parsechangelog\fP(1) per
informazioni sui formati alternativi.
.TP 
\fB\-p\fP\fIpacchetto\fP
Genera informazioni per il pacchetto binario \fIpacchetto\fP. Se il file di
controllo del sorgente elenca solo un pacchetto binario allora questa
opzione può essere omessa; altrimenti è essenziale selezionare di quale
pacchetto binario generare le informazioni.
.TP 
\fB\-n\fP\fInomefile\fP
Assume che il nome di file del pacchetto sarà \fIfilename\fP invece del normale
nome file pacchetto_versione_arch.deb
.TP 
\fB\-is\fP, \fB\-ip\fP, \fB\-isp\fP
Queste opzioni sono ignorate per compatibilità con versioni più vecchie
degli script di compilazione di dpkg, ma sono ora deprecate. In passato
erano usate per dire a \fBdpkg\-gencontrol\fP di includere i campi Section e
Priority nel file di controllo. Questo è ora il comportamento
predefinito. Se si vuole il vecchio comportamento, si può usare l'opzione
\fB\-U\fP per cancellare i campi dal file di controllo.
.TP 
\fB\-P\fP\fIdir\-di\-generazione\-pacchetto\fP
Tells \fBdpkg\-source\fP that the package is being built in \fIpackage\-build\-dir\fP
instead of \fBdebian/tmp\fP.  This value is used to find the default value of
the \fBInstalled\-Size\fP substitution variable and control file field (using
\fBdu\fP), and for the default location of the output file.
.TP 
\fB\-O\fP[\fInomefile\fP]
Print the control file to standard output (or \fIfilename\fP if specified,
since dpkg 1.17.2), rather than to \fBdebian/tmp/DEBIAN/control\fP (or
\fIpackage\-build\-dir\fP\fB/DEBIAN/control\fP if \fB\-P\fP was used).
.TP 
\fB\-?\fP, \fB\-\-help\fP
Mostra il messaggio sull'uso ed esce.
.TP 
\fB\-\-version\fP
Mostra la versione ed esce.
.
.SH AMBIENTE
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.TP 
\fBDPKG_NLS\fP
If set, it will be used to decide whether to activate Native Language
Support, also known as internationalization (or i18n) support (since dpkg
1.19.0).  The accepted values are: \fB0\fP and \fB1\fP (default).
.
.SH FILE
.TP 
\fBdebian/control\fP
Il file principale di informazioni di controllo del sorgente, che da
informazioni indipendenti dalla versione sul pacchetto sorgente e sui
pacchetti binari che può produrre.
.TP 
\fBdebian/files\fP
The list of generated files which are part of the upload being prepared.
\fBdpkg\-gencontrol\fP adds the presumed filenames of binary packages whose
control files it generates here.
.SH "VEDERE ANCHE"
\fBdeb\-substvars\fP(5), \fBdeb\-src\-control\fP(5), \fBdeb\-changelog\fP(5),
\fBdeb\-control\fP(5).
