.\" dpkg manual page - dpkg-parsechangelog(1)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006, 2011-2015 Guillem Jover <guillem@debian.org>
.\" Copyright © 2007-2008 Frank Lichtenheld <djpig@debian.org>
.\" Copyright © 2009 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-parsechangelog 1 %RELEASE_DATE% %VERSION% "suite dpkg"
.ad l
.nh
.SH NOME
dpkg\-parsechangelog \- analizza i file changelog Debian
.
.SH SINTASSI
\fBdpkg\-parsechangelog\fP [\fIopzione\fP...]
.
.SH DESCRIZIONE
\fBdpkg\-parsechangelog\fP legge e analizza il registro delle modifiche di un
albero sorgente Debian non pacchettizzato e produce in output le
informazioni che contiene in una forma leggibile da macchina.
.
.SH OPZIONI
.TP 
\fB\-l\fP, \fB\-\-file\fP \fIchangelog\-file\fP
Specifies the changelog file to read information from.  A ‘\-’ can be used to
specify reading from standard input.  The default is \fBdebian/changelog\fP.
.TP 
\fB\-F\fP \fIchangelog\-format\fP
Specifies the format of the changelog. By default the format is read from a
special line near the bottom of the changelog or failing that defaults to
the \fBdebian\fP standard format. See also \fBCHANGELOG FORMATS\fP.
.TP 
\fB\-L\fP \fIlibdir\fP
Obsolete option without effect (since dpkg 1.18.8).  Setting the perl
environment variables \fBPERL5LIB\fP or \fBPERLLIB\fP has a similar effect when
looking for the parser perl modules.
.TP 
\fB\-S\fP, \fB\-\-show\-field\fP \fIcampo\fP
Specifica il nome del campo da mostrare (a partire da dpkg 1.17.0). Il nome
del campo non viene stampato, solo il suo valore.
.TP 
\fB\-?\fP, \fB\-\-help\fP
Mostra il messaggio sull'uso ed esce.
.TP 
\fB\-\-version\fP
Mostra la versione ed esce.
.SS "Opzioni di analisi"
The following options can be used to influence the output of the changelog
parser, e.g. the range of entries or the format of the output.
.TP 
\fB\-\-format\fP\fI formato\-di\-output\fP
Set the output format. Currently supported values are \fBdpkg\fP and
\fBrfc822\fP.  \fBdpkg\fP is the classic output format (from before this option
existed) and the default. It consists of one paragraph in Debian control
format (see \fBdeb\-control\fP(5)). If more than one entry is requested, then
most fields are taken from the first entry (usually the most recent entry),
except otherwise stated:
.RS
.TP 
\fBSource:\fP\fI nome\-pacchetto\fP
.TP 
\fBVersion:\fP\fI versione\fP
.TP 
\fBDistribution:\fP\fI distribuzione\-target\fP
.TP 
\fBUrgency:\fP\fI urgenza\fP
Viene utilizzata l'urgenza più elevata tra tutte le voci incluse, seguita
dai commenti concatenati (separati da spazi) da tutte le versioni richieste.
.TP 
\fBMaintainer:\fP\fI autore\fP
.TP 
\fBDate:\fP\fI data\fP
The date of the entry as a string, as it appears in the changelog.  With a
\fBstrptime\fP(3) format "\fB%a, %d %b %Y %T %z\fP", but where the day of the week
might not actually correspond to the real day obtained from the rest of the
date string.  If you need a more accurate representation of the date, use
the \fBTimestamp\fP field, but take into account it might not be possible to
map it back to the exact value in this field.
.TP 
\fBTimestamp:\fP\fI timestamp\fP
The date of the entry as a timestamp in seconds since the epoch (since dpkg
1.18.8).
.TP 
\fBCloses:\fP\fI numero\-bug\fP
Vengono uniti tutti i campi Closes di tutte le voci incluse.
.TP 
\fBChanges:\fP\fI voci\-changelog\fP
Viene concatenato il testo di tutte le voci del registro dei
cambiamenti. Per far sì che questo campo sia un campo multiriga in un
formato di controllo Debian valido, le righe vuote vengono sostituite da un
punto e tutte le righe vengono fatte rientrare di uno spazio. Il contenuto
esatto dipende dal formato del changelog.
.RE
.IP
I campi \fBVersion\fP, \fBDistribution\fP, \fBUrgency\fP, \fBMaintainer\fP e \fBChanges\fP
sono obbligatori.
.IP
Potrebbero essere presenti campi aggiuntivi definiti dall'utente.
.IP
Il formato \fBrfc822\fP usa gli stessi campi ma produce in output un paragrafo
separato per ciascuna voce nel changelog, in modo che vengano preservati
tutti i metadati di ciascuna voce.
.TP 
\fB\-\-reverse\fP
Include all changes in reverse order (since dpkg 1.19.1).  Note: for the
\fBdpkg\fP format the first entry will be the most ancient entry.
.TP 
\fB\-\-all\fP
Include all changes. Note: other options have no effect when this is in use.
.TP 
\fB\-s\fP, \fB\-\-since\fP \fIversion\fP
.TQ
\fB\-v\fP \fIversion\fP
Include all changes later than \fIversion\fP.
.TP 
\fB\-u\fP, \fB\-\-until\fP \fIversion\fP
Include all changes earlier than \fIversion\fP.
.TP 
\fB\-f\fP, \fB\-\-from\fP \fIversion\fP
Include all changes equal or later than \fIversion\fP.
.TP 
\fB\-t\fP, \fB\-\-to\fP \fIversion\fP
Include all changes up to or equal than \fIversion\fP.
.TP 
\fB\-c\fP, \fB\-\-count\fP \fInumber\fP
.TQ
\fB\-n\fP \fInumber\fP
Include \fInumber\fP entries from the top (or the tail if \fInumber\fP is lower
than 0).
.TP 
\fB\-o\fP, \fB\-\-offset\fP \fInumber\fP
Change the starting point for \fB\-\-count\fP, counted from the top (or the tail
if \fInumber\fP is lower than 0).
.
.SH "FORMATO DEI CHANGELOG"
È possibile usare un formato diverso da quello predefinito, fornendo un
analizzatore per tale formato alternativo.

Per far sì che \fBdpkg\-parsechangelog\fP possa eseguire un nuovo analizzatore,
tra le ultime 40 righe del file di changelog deve essere inclusa una riga
che corrisponde alla espressione regolare Perl
“\fB\eschangelog\-format:\es+([0\-9a\-z]+)\eW\fP”. La parte tra parentesi deve
essere il nome del formato. Per esempio:

       @@@ changelog\-format: \fIaltroformato\fP @@@

Changelog format names are non\-empty strings of lowercase alphanumerics
(“a\-z0\-9”).

If such a line exists then \fBdpkg\-parsechangelog\fP will look for the parser
as a \fBDpkg::Changelog::\fP\fIOtherformat\fP perl module; it is an error for it
not being present.  The parser name in the perl module will be automatically
capitalized.  The default changelog format is \fBdebian\fP, and a parser for it
is provided by default.

The parser should be derived from the Dpkg::Changelog class and implement
the required documented interface.

Se il formato di changelog che è attualmente analizzato lascia sempre o
quasi sempre una riga vuota tra le singole annotazioni delle modifiche,
queste righe vuote dovrebbero essere eliminate, in modo da rendere l'output
risultante più compatto.

Se il formato di changelog non contiene informazioni sulla data o sul nome
del pacchetto, questa informazione dovrebbe essere omessa
dall'output. L'analizzatore non dovrebbe cercare di crearla o trovarla a
partire da altre fonti.

If the changelog does not have the expected format the parser should error
out, rather than trying to muddle through and possibly generating incorrect
output.

Un analizzatore di changelog non può interagire in nessun caso con l'utente.
.
.SH NOTE
All \fBParser Options\fP except for \fB\-v\fP are only supported since dpkg
1.14.16.
.PP
Short option parsing with non\-bundled values available only since dpkg
1.18.0.
.
.SH AMBIENTE
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.TP 
\fBDPKG_NLS\fP
If set, it will be used to decide whether to activate Native Language
Support, also known as internationalization (or i18n) support (since dpkg
1.19.0).  The accepted values are: \fB0\fP and \fB1\fP (default).
.
.SH FILE
.TP 
\fBdebian/changelog\fP
Il file changelog, utilizzato per ottenere le informazioni sul pacchetto
sorgente dipendenti dalla versione, come l'urgenza e la distribuzione di un
caricamento, i cambiamenti fatti a partire da un particolare rilascio e la
versione stessa dei sorgenti.
.
.SH "VEDERE ANCHE"
\fBdeb\-changelog\fP(5).
