.\" dpkg manual page - dpkg-source(1)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006-2007 Frank Lichtenheld <djpig@debian.org>
.\" Copyright © 2006-2015 Guillem Jover <guillem@debian.org>
.\" Copyright © 2008-2011 Raphaël Hertzog <hertzog@debian.org>
.\" Copyright © 2010 Joey Hess <joeyh@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-source 1 %RELEASE_DATE% %VERSION% "suite dpkg"
.ad l
.nh
.SH NOME
dpkg\-source \- strumento di manipolazione dei pacchetti sorgente Debian
(.dsc)
.
.SH SINTASSI
\fBdpkg\-source\fP [\fIopzione\fP...] \fIcomando\fP
.
.SH DESCRIZIONE
\fBdpkg\-source\fP impacchetta e spacchetta archivi sorgente Debian.

Nessuno di questi comandi permette di combinare più opzioni in una, e non
permettono di specificare il valore di un'opzione in un argomento separato.
.
.SH COMANDI
.TP 
\fB\-x\fP, \fB\-\-extract\fP \fInomefile\fP.dsc [\fIoutput\-directory\fP]
Extract a source package (\fB\-\-extract\fP since dpkg 1.17.14).  One non\-option
argument must be supplied, the name of the Debian source control file
(\fB.dsc\fP).  An optional second non\-option argument may be supplied to
specify the directory to extract the source package to, this must not
exist. If no output directory is specified, the source package is extracted
into a directory named \fIsource\fP\-\fIversion\fP under the current working
directory.

\fBdpkg\-source\fP legge dal file di controllo i nomi degli altri file che fanno
parte del pacchetto sorgente; presume che siano nella stessa directory del
file \fB.dsc\fP.

I file nel pacchetto estratto avranno i permessi e i proprietari impostati
ai valori che ci si aspetterebbe se tali file e directory fossero appena
stati creati: le directory e i file eseguibili saranno 0777 e i file normali
saranno 0666, entrambi modificati in base all'umask degli estrattori; se la
directory genitrice è setgid, allora anche le directory estratte lo saranno
e tutti i file e le directory erediteranno il suo valore del gruppo
proprietario.

If the source package uses a non\-standard format (currently this means all
formats except “1.0”), its name will be stored in \fBdebian/source/format\fP so
that the following builds of the source package use the same format by
default.

.TP 
\fB\-b\fP, \fB\-\-build\fP \fIdirectory\fP [\fIparametri\-specifici\-formato\fP]
Build a source package (\fB\-\-build\fP since dpkg 1.17.14).  The first
non\-option argument is taken as the name of the directory containing the
debianized source tree (i.e. with a debian sub\-directory and maybe changes
to the original files).  Depending on the source package format used to
build the package, additional parameters might be accepted.

\fBdpkg\-source\fP will build the source package with the first format found in
this ordered list: the format indicated with the \fI\-\-format\fP command line
option, the format indicated in \fBdebian/source/format\fP, “1.0”.  The
fallback to “1.0” is deprecated and will be removed at some point in the
future, you should always document the desired source format in
\fBdebian/source/format\fP. See section \fBSOURCE PACKAGE FORMATS\fP for an
extensive description of the various source package formats.

.TP 
\fB\-\-print\-format\fP \fIdirectory\fP
Print the source format that would be used to build the source package if
\fBdpkg\-source \-\-build \fP\fIdirectory\fP was called (in the same conditions and
with the same parameters; since dpkg 1.15.5).

.TP 
\fB\-\-before\-build\fP \fIdirectory\fP
Run the corresponding hook of the source package format (since dpkg
1.15.8).  This hook is called before any build of the package
(\fBdpkg\-buildpackage\fP calls it very early even before \fBdebian/rules
clean\fP). This command is idempotent and can be called multiple times. Not
all source formats implement something in this hook, and those that do
usually prepare the source tree for the build for example by ensuring that
the Debian patches are applied.

.TP 
\fB\-\-after\-build\fP \fIdirectory\fP
Run the corresponding hook of the source package format (since dpkg
1.15.8).  This hook is called after any build of the package
(\fBdpkg\-buildpackage\fP calls it last). This command is idempotent and can be
called multiple times. Not all source formats implement something in this
hook, and those that do usually use it to undo what \fB\-\-before\-build\fP has
done.

.TP 
\fB\-\-commit\fP [\fIdirectory\fP] ...
Record changes in the source tree unpacked in \fIdirectory\fP (since dpkg
1.16.1).  This command can take supplementary parameters depending on the
source format.  It will error out for formats where this operation doesn't
mean anything.

.TP 
\fB\-?\fP, \fB\-\-help\fP
Show the usage message and exit.  The format specific build and extract
options can be shown by using the \fB\-\-format\fP option.
.TP 
\fB\-\-version\fP
Mostra la versione ed esce.
.
.SH OPZIONI
.SS "Opzioni generiche di compilazione"
.TP 
\fB\-c\fP\fIfile\-controllo\fP
Specifica il file di controllo principale dei sorgenti da cui leggere le
informazioni. Il valore predefinito è \fBdebian/control\fP. Se viene
specificato con un nome di percorso relativo, viene interpretato come se
iniziasse nella directory di livello più alto nell'albero dei sorgenti.
.TP 
\fB\-l\fP\fIfile\-changelog\fP
Specifica il file changelo da cui leggere le informazioni. Il valore
predefinito è \fBdebian/changelog\fP. Se viene specificato con un nome di
percorso relativo, viene interpretato come se iniziasse nella directory di
livello più alto nell'albero dei sorgenti.
.TP 
\fB\-F\fP\fIformato\-changelog\fP
Specifica il formato del changelog. Vedere \fBdpkg\-parsechangelog\fP(1) per
informazioni sui formati alternativi.
.TP 
\fB\-\-format=\fP\fIvalore\fP
Use the given format for building the source package (since dpkg 1.14.17).
It does override any format given in \fBdebian/source/format\fP.
.TP 
\fB\-V\fP\fInome\fP\fB=\fP\fIvalore\fP
Imposta una variabile di sostituzione per l'output. Vedere
\fBdeb\-substvars\fP(5) per informazioni sulle sostituzioni per l'output.
.TP 
\fB\-T\fP\fIsubstvars\-file\fP
Read substitution variables in \fIsubstvars\-file\fP; the default is to not read
any file. This option can be used multiple times to read substitution
variables from multiple files (since dpkg 1.15.6).
.TP 
\fB\-D\fP\fIcampo\fP\fB=\fP\fIvalore\fP
Override or add an output control file field.
.TP 
\fB\-U\fP\fIcampo\fP
Remove an output control file field.
.TP 
\fB\-Z\fP\fIcompressione\fP, \fB\-\-compression\fP=\fIcompressione\fP
Specify the compression to use for created tarballs and diff files
(\fB\-\-compression\fP since dpkg 1.15.5).  Note that this option will not cause
existing tarballs to be recompressed, it only affects new files. Supported
values are: \fIgzip\fP, \fIbzip2\fP, \fIlzma\fP and \fIxz\fP.  The default is \fIxz\fP for
formats 2.0 and newer, and \fIgzip\fP for format 1.0. \fIxz\fP is only supported
since dpkg 1.15.5.
.TP 
\fB\-z\fP\fIlivello\fP, \fB\-\-compression\-level\fP=\fIlivello\fP
Compression level to use (\fB\-\-compression\-level\fP since dpkg 1.15.5).  As
with \fB\-Z\fP it only affects newly created files. Supported values are: \fI1\fP
to \fI9\fP, \fIbest\fP, and \fIfast\fP.  The default is \fI9\fP for gzip and bzip2, \fI6\fP
for xz and lzma.
.TP 
\fB\-i\fP[\fIregex\fP], \fB\-\-diff\-ignore\fP[=\fIregex\fP]
You may specify a perl regular expression to match files you want filtered
out of the list of files for the diff (\fB\-\-diff\-ignore\fP since dpkg 1.15.6).
(This list is generated by a find command.) (If the source package is being
built as a version 3 source package using a VCS, this can be used to ignore
uncommitted changes on specific files. Using \-i.* will ignore all of them.)

L'opzione \fB\-i\fP da sola abilita questa impostazione, con una espressione
regolare predefinita (preservando qualsiasi modifica alla espressione
regolare predefinita fatta da un precedente uso di \fB\-\-extend\-diff\-ignore\fP)
che esclude i file e le directory di controllo della maggior parte dei
sistemi di revisione, i file di backup e di swap e le directory di output di
compilazione di Libtool. Una sola espressione regolare può essere attiva; se
ci sono più opzioni \fB\-i\fP solo l'ultima avrà effetto.

This is very helpful in cutting out extraneous files that get included in
the diff, e.g. if you maintain your source in a revision control system and
want to use a checkout to build a source package without including the
additional files and directories that it will usually contain (e.g. CVS/,
\&.cvsignore, .svn/). The default regex is already very exhaustive, but if you
need to replace it, please note that by default it can match any part of a
path, so if you want to match the begin of a filename or only full
filenames, you will need to provide the necessary anchors (e.g. ‘(^|/)’,
‘($|/)’) yourself.
.TP 
\fB\-\-extend\-diff\-ignore\fP=\fIregex\fP
The perl regular expression specified will extend the default value used by
\fB\-\-diff\-ignore\fP and its current value, if set (since dpkg 1.15.6).  It does
this by concatenating “\fB|\fP\fIregex\fP” to the existing value.  This option is
convenient to use in \fBdebian/source/options\fP to exclude some auto\-generated
files from the automatic patch generation.
.TP 
\fB\-I\fP[\fImodello\-file\fP], \fB\-\-tar\-ignore\fP[=\fImodello\-file\fP]
If this option is specified, the pattern will be passed to \fBtar\fP(1)'s
\fB\-\-exclude\fP option when it is called to generate a .orig.tar or .tar file
(\fB\-\-tar\-ignore\fP since dpkg 1.15.6).  For example, \fB\-I\fPCVS will make tar
skip over CVS directories when generating a .tar.gz file. The option may be
repeated multiple times to list multiple patterns to exclude.

\fB\-I\fP da solo aggiunge le opzioni \fB\-\-exclude\fP predefinite che filtrano i
file e le directory di controllo dei sistemi di controllo delle revisioni
più comuni, i file di backup e di swap e le directory di output delle
compilazioni di Libtool.
.PP
\fBNota:\fP sebbene abbiano uno scopo simile, \fB\-i\fP e \fB\-I\fP hanno una sintassi
e una semantica molto diverse. \fB\-i\fP può essere specificata solo una volta e
accetta un'espressione regolare Perl compatibile, che viene confrontata con
il percorso relativo completo di ciascun file. \fB\-I\fP può essere specificata
più volte e accetta un modello di nome file con metacaratteri della
shell. Il modello viene applicato al percorso relativo completo ma anche
singolarmente a ciascuna parte del percorso. La semantica esatta
dell'opzione \fB\-\-exclude\fP di tar è piuttosto complicata; per la
documentazione completa vedere
https://www.gnu.org/software/tar/manual/tar.html#wildcards.

I modelli e l'espressione regolare predefiniti per entrambe le opzioni
possono essere visti nell'output del comando \fB\-\-help\fP.
.SS "Opzioni generiche di estrazione"
.TP 
\fB\-\-no\-copy\fP
Do not copy original tarballs near the extracted source package (since dpkg
1.14.17).
.TP 
\fB\-\-no\-check\fP
Do not check signatures and checksums before unpacking (since dpkg 1.14.17).
.TP 
\fB\-\-no\-overwrite\-dir\fP
Do not overwrite the extraction directory if it already exists (since dpkg
1.18.8).
.TP 
\fB\-\-require\-valid\-signature\fP
Refuse to unpack the source package if it doesn't contain an OpenPGP
signature that can be verified (since dpkg 1.15.0) either with the user's
\fItrustedkeys.gpg\fP keyring, one of the vendor\-specific keyrings, or one of
the official Debian keyrings (\fI/usr/share/keyrings/debian\-keyring.gpg\fP and
\fI/usr/share/keyrings/debian\-maintainers.gpg\fP).
.TP 
\fB\-\-require\-strong\-checksums\fP
Refuse to unpack the source package if it does not contain any strong
checksums (since dpkg 1.18.7).  Currently the only known checksum considered
strong is \fBSHA\-256\fP.
.TP 
\fB\-\-ignore\-bad\-version\fP
Turns the bad source package version check into a non\-fatal warning (since
dpkg 1.17.7).  This option should only be necessary when extracting ancient
source packages with broken versions, just for backwards compatibility.

.SH "FORMATI DEI PACCHETTI SORGENTE"
If you don't know what source format to use, you should probably pick either
“3.0 (quilt)” or “3.0 (native)”.  See
https://wiki.debian.org/Projects/DebSrc3.0 for information on the deployment
of those formats within Debian.

.SS "Formato: 1.0"
A source package in this format consists either of a \fB.orig.tar.gz\fP
associated to a \fB.diff.gz\fP or a single \fB.tar.gz\fP (in that case the package
is said to be \fInative\fP).  Optionally the original tarball might be
accompanied by a detached upstream signature \fB.orig.tar.gz.asc\fP, extraction
supported since dpkg 1.18.5.

\fBEstrazione\fP

L'estrazione di un pacchetto nativo è una semplice estrazione del singolo
archivio tar nella directory di destinazione. L'estrazione di un pacchetto
non nativo viene fatta prima spacchettando il file \fB.orig.tar.gz\fP e poi
applicando la patch contenuta nel file \fB.diff.gz\fP. La marcatura oraria di
tutti i file interessati dalla patch viene reimpostata al momento
dell'estrazione del pacchetto sorgente (questo evita scostamenti nelle
marcature orarie che portano a problemi quando vengono applicate patch a
file generati automaticamente). Il diff può creare nuovi file (l'intera
directory debian viene creata così), ma non può rimuovere file (i file vuoti
verranno mantenuti).

\fBBuilding\fP

Building a native package is just creating a single tarball with the source
directory. Building a non\-native package involves extracting the original
tarball in a separate “.orig” directory and regenerating the \fB.diff.gz\fP by
comparing the source package \fIdirectory\fP with the .orig directory.

\fBBuild options (with \-\-build):\fP

If a second non\-option argument is supplied it should be the name of the
original source directory or tarfile or the empty string if the package is a
Debian\-specific one and so has no debianization diffs. If no second argument
is supplied then \fBdpkg\-source\fP will look for the original source tarfile
\fIpackage\fP\fB_\fP\fIupstream\-version\fP\fB.orig.tar.gz\fP or the original source
directory \fIdirectory\fP\fB.orig\fP depending on the \fB\-sX\fP arguments.

\fB\-sa\fP, \fB\-sp\fP, \fB\-sk\fP, \fB\-su\fP and \fB\-sr\fP non sovrascrivono file tar o
directory esistenti. Se questo è ciò che si desidera allora si devono usare
invece \fB\-sA\fP, \fB\-sP\fP, \fB\-sK\fP, \fB\-sU\fP e \fB\-sR\fP.
.PP
.TP 
\fB\-sk\fP
Specifica di aspettarsi il sorgente originale come file tar, in modo
predefinito
\fIpacchetto\fP\fB_\fP\fIversione\-originale\fP\fB.orig.tar.\fP\fIestensione\fP. Lascerà al
suo posto questo sorgente originale come file tar o lo copierà nella
directory corrente se non c'è già. L'archivio tar sarà spacchettato in
\fIdirectory\fP\fB.orig\fP per la generazione del diff.
.TP 
\fB\-sp\fP
Come \fB\-sk\fP ma rimuoverà nuovamente la directory successivamente.
.TP 
\fB\-su\fP
Specifica di aspettarsi il sorgente originale come directory, in modo
predefinito \fIpacchetto\fP\fB\-\fP\fIversione\-originale\fP\fB.orig\fP e \fBdpkg\-source\fP
crea una nuovo archivio sorgente originale da essa.
.TP 
\fB\-sr\fP
Come \fB\-su\fP ma rimuoverà tale directory dopo che è stata usata.
.TP 
\fB\-ss\fP
Specifica che il codice originale è disponibile sia come directory sia come
file tar. \fBdpkg\-source\fP usa la directory per creare il diff, ma il file tar
per creare il \fB.dsc\fP. Questa opzione deve essere usata con cautela: se la
directory e il file tar non combaciano viene generato un archivio sorgente
difettoso.
.TP 
\fB\-sn\fP
Specifica di non cercar alcun sorgente originale e non generare un diff. Il
secondo argomento, se fornito, deve essere la stringa vuota. Questo viene
usato per pacchetti specifici per Debian che non hanno un sorgente originale
a monte distinto e pertanto non hanno diff di debianizzazione.
.TP 
\fB\-sa\fP o \fB\-sA\fP
Specifies to look for the original source archive as a tarfile or as a
directory \- the second argument, if any, may be either, or the empty string
(this is equivalent to using \fB\-sn\fP).  If a tarfile is found it will unpack
it to create the diff and remove it afterwards (this is equivalent to
\fB\-sp\fP); if a directory is found it will pack it to create the original
source and remove it afterwards (this is equivalent to \fB\-sr\fP); if neither
is found it will assume that the package has no debianization diffs, only a
straightforward source archive (this is equivalent to \fB\-sn\fP).  If both are
found then \fBdpkg\-source\fP will ignore the directory, overwriting it, if
\fB\-sA\fP was specified (this is equivalent to \fB\-sP\fP)  or raise an error if
\fB\-sa\fP was specified.  \fB\-sa\fP is the default.
.TP 
\fB\-\-abort\-on\-upstream\-changes\fP
The process fails if the generated diff contains changes to files outside of
the debian sub\-directory (since dpkg 1.15.8).  This option is not allowed in
\fBdebian/source/options\fP but can be used in \fBdebian/source/local\-options\fP.
.PP

\fBOpzioni di estrazione (con \-\-extract):\fP

In tutti i casi un albero sorgente originale esistente verrà rimosso.
.TP 
\fB\-sp\fP
Used when extracting then the original source (if any) will be left as a
tarfile. If it is not already located in the current directory or if an
existing but different file is there it will be copied there.  (\fBThis is
the default\fP).
.TP 
\fB\-su\fP
Spacchetta l'albero dei sorgenti originale.
.TP 
\fB\-sn\fP
Assicura che il sorgente originale non sia né copiato nella directory
corrente, né spacchettato. Qualsiasi albero sorgente nella directory
corrente viene comunque rimosso.
.PP
Tutte le opzioni \fB\-s\fP\fIX\fP sono mutualmente esclusive. Se ne viene
specificata più di una, solo l'ultima verrà usata.
.TP 
\fB\-\-skip\-debianization\fP
Skips application of the debian diff on top of the upstream sources (since
dpkg 1.15.1).
.
.SS "Formato: 2.0"
Extraction supported since dpkg 1.13.9, building supported since dpkg
1.14.8.  Also known as wig&pen. This format is not recommended for
wide\-spread usage, the format “3.0 (quilt)” replaces it.  Wig&pen was the
first specification of a new\-generation source package format.

The behaviour of this format is the same as the “3.0 (quilt)” format except
that it doesn't use an explicit list of patches. All files in
\fBdebian/patches/\fP matching the perl regular expression \fB[\ew\-]+\fP must be
valid patches: they are applied at extraction time.

Quando si genera un nuovo pacchetto sorgente, qualsiasi cambiamento al
sorgente originale a monte è memorizzato in una patch chiamata
\fBzz_debian\-diff\-auto\fP.
.
.SS "Formato: 3.0 (nativo)"
Supported since dpkg 1.14.17.  This format is an extension of the native
package format as defined in the 1.0 format. It supports all compression
methods and will ignore by default any VCS specific files and directories as
well as many temporary files (see default value associated to \fB\-I\fP option
in the \fB\-\-help\fP output).
.
.SS "Formato: 3.0 (quilt)"
Supported since dpkg 1.14.17.  A source package in this format contains at
least an original tarball (\fB.orig.tar.\fP\fIext\fP where \fIext\fP can be \fBgz\fP,
\fBbz2\fP, \fBlzma\fP and \fBxz\fP) and a debian tarball (\fB.debian.tar.\fP\fIext\fP). It
can also contain additional original tarballs
(\fB.orig\-\fP\fIcomponent\fP\fB.tar.\fP\fIext\fP).  \fIcomponent\fP can only contain
alphanumeric (‘a\-zA\-Z0\-9’) characters and hyphens (‘\-’).  Optionally each
original tarball can be accompanied by a detached upstream signature
(\fB.orig.tar.\fP\fIext\fP\fB.asc\fP and \fB.orig\-\fP\fIcomponent\fP\fB.tar.\fP\fIext\fP\fB.asc\fP),
extraction supported since dpkg 1.17.20, building supported since dpkg
1.18.5.

.PP
\fBEstrazione\fP
.PP
L'archivio tar originale principale viene estratto per primo, poi sono
estratti gli archivi tar originali aggiuntivi in sottodirectory chiamate
come la parte \fIcomponente\fP del loro nome file (qualsiasi directory
preesistente viene sostituita). L'archivio tar debian viene estratto sopra
alla directory sorgente dopo la rimozione di qualsiasi directory \fBdebian\fP
preesistente. Notare che l'archivio tar debian deve contenere una
sottodirectory \fBdebian\fP ma può anche contenere file binari al di fuori di
tale directory (vedere l'opzione \fB\-\-include\-binaries\fP).
.PP
All patches listed in \fBdebian/patches/\fP\fIvendor\fP\fB.series\fP or
\fBdebian/patches/series\fP are then applied, where \fIvendor\fP will be the
lowercase name of the current vendor, or \fBdebian\fP if there is no vendor
defined.  If the former file is used and the latter one doesn't exist (or is
a symlink), then the latter is replaced with a symlink to the former.  This
is meant to simplify usage of \fBquilt\fP to manage the set of patches.
Vendor\-specific series files are intended to make it possible to serialize
multiple development branches based on the vendor, in a declarative way, in
preference to open\-coding this handling in \fBdebian/rules\fP.  This is
particularly useful when the source would need to be patched conditionally
because the affected files do not have built\-in conditional occlusion
support.  Note however that while \fBdpkg\-source\fP parses correctly series
files with explicit options used for patch application (stored on each line
after the patch filename and one or more spaces), it does ignore those
options and always expect patches that can be applied with the \fB\-p1\fP option
of \fBpatch\fP. It will thus emit a warning when it encounters such options,
and the build is likely to fail.
.PP
Note that \fBlintian\fP(1) will emit unconditional warnings when using vendor
series due to a controversial Debian specific ruling, which should not
affect any external usage; to silence these, the dpkg lintian profile can be
used by passing «\fB\-\-profile dpkg\fP» to \fBlintian\fP(1).
.PP
The timestamp of all patched files is reset to the extraction time of the
source package (this avoids timestamp skews leading to problems when
autogenerated files are patched).
.PP
Contrary to \fBquilt\fP's default behaviour, patches are expected to apply
without any fuzz. When that is not the case, you should refresh such patches
with \fBquilt\fP, or \fBdpkg\-source\fP will error out while trying to apply them.
.PP
Analogamente al comportamento predefinito di \fBquilt\fP, le patch possono
anche rimuovere file.
.PP
Se durante l'estrazione sono state applicate delle patch viene creato il
file \fB.pc/applied\-patches\fP.
.PP
\fBBuilding\fP
.PP
Tutti gli archivi tar originali trovati nella directory corrente sono
estratti in una directory temporanea seguendo la stessa logica usata per lo
spacchettamento, la directory debian viene copiata nella directory
temporanea e vengono applicate tutte le patch tranne la patch automatica
(\fBdebian\-changes\-\fP\fIversione\fP o \fBdebian\-changes\fP, a seconda di on
\fB\-\-single\-debian\-patch\fP). La directory temporanea è confrontata con la
directory del pacchetto sorgente. Quando il diff non è vuoto, la generazione
fallisce a meno che non sia stata usata \fB\-\-single\-debian\-patch\fP o
\fB\-\-auto\-commit\fP, nel qual caso il diff viene memorizzato nella patch
automatica. Se la patch automatica è creata/cancellata, viene
aggiunta/rimossa dal file series e dai metadati di \fBquilt\fP.

Qualsiasi modifica ad un file binario non è rappresentabile con un diff e
perciò causerà un fallimento a meno che il manutentore non decida
deliberatamente di includere tale binario modificato nell'archivio tar
debian (elencandolo in \fBdebian/source/include\-binaries\fP). La generazione
fallisce anche se trova file binari nella sottodirectory debian, a meno che
non siano stati inseriti in una lista bianca usando
\fBdebian/source/include\-binaries\fP.

La directory debian aggiornata e la lista dei binari modificata è poi usata
per generare l'archivio tar debian.

Il diff generato automaticamente non include le modifiche a file specifici
dei VCS così come molti file temporanei (vedere il valore predefinito
associati con l'opzione \fB\-i\fP nell'output di \fB\-\-help\fP). In particolare la
directory \fB.pc\fP usata da \fBquilt\fP viene ignorata durante la generazione
della patch automatica.

Nota: \fBdpkg\-source\fP \fB\-\-before\-build\fP (e \fB\-\-build\fP) assicura che tutte le
patch elencate nel file series siano applicate in modo che il pacchetto
generato abbia sempre tutte le patch applicate. Fa questo trovando le patch
non applicate (sono elencate nel file \fBseries\fP ma non in
\&\fB.pc/applied\-patches\fP) e, se la prima patch in tale insieme può essere
applicata senza errori, le applica tutte. L'opzione \fB\-\-no\-preparation\fP può
essere usata per disabilitare questo comportamento.

.PP
\fBRegistrare le modifiche\fP
.TP 
\fB\-\-commit\fP [\fIdirectory\fP] [\fInome\-patch\fP] [\fIfile\-patch\fP]
Genera una patch corrispondente alle modifiche locali che non sono gestite
dal sistema di patch \fBquilt\fP e la integra nel sistema di patch con il nome
\fInome\-patch\fP. Se manca il nome verrà chiesto in modo interattivo. Se
\fIfile\-patch\fP è specificato, viene usato come patch corrispondente alle
modifiche locali da integrare. Una volta integrate viene avviato un editor
in modo da poter modificare le meta\-informazioni nell'intestazione della
patch.

Passing \fIpatch\-file\fP is mainly useful after a build failure that
pre\-generated this file, and on this ground the given file is removed after
integration. Note also that the changes contained in the patch file must
already be applied on the tree and that the files modified by the patch must
not have supplementary unrecorded changes.

Se la generazione della patch rileva file binari modificati, questi vengono
automaticamente aggiunti a \fBdebian/source/include\-binaries\fP in modo che
siano nell'archivio tar debian (esattamente come farebbe \fBdpkg\-source
\-\-include\-binaries \-\-build\fP).
.PP
\fBOpzioni di generazione\fP
.TP 
\fB\-\-allow\-version\-of\-quilt\-db=\fP\fIversione\fP
Allow \fBdpkg\-source\fP to build the source package if the version of the
\fBquilt\fP metadata is the one specified, even if \fBdpkg\-source\fP doesn't know
about it (since dpkg 1.15.5.4).  Effectively this says that the given
version of the \fBquilt\fP metadata is compatible with the version 2 that
\fBdpkg\-source\fP currently supports. The version of the \fBquilt\fP metadata is
stored in \fB.pc/.version\fP.
.TP 
\fB\-\-include\-removal\fP
Non ignora i file rimossi e li include nella patch generata automaticamente.
.TP 
\fB\-\-include\-timestamp\fP
Include la marcatura temporale nella patch generata automaticamente.
.TP 
\fB\-\-include\-binaries\fP
Aggiunge tutti i binari modificati nell'archivio tar debian. Li aggiunge
anche in \fBdebian/source/include\-binaries\fP: verranno aggiunti in modo
predefinito nelle compilazioni successive e perciò questa opzione non è più
necessaria.
.TP 
\fB\-\-no\-preparation\fP
Do not try to prepare the build tree by applying patches which are
apparently unapplied (since dpkg 1.14.18).
.TP 
\fB\-\-single\-debian\-patch\fP
Use \fBdebian/patches/debian\-changes\fP instead of
\fBdebian/patches/debian\-changes\-\fP\fIversion\fP for the name of the automatic
patch generated during build (since dpkg 1.15.5.4).  This option is
particularly useful when the package is maintained in a VCS and a patch set
can't reliably be generated. Instead the current diff with upstream should
be stored in a single patch. The option would be put in
\fBdebian/source/local\-options\fP and would be accompanied by a
\fBdebian/source/local\-patch\-header\fP file explaining how the Debian changes
can be best reviewed, for example in the VCS that is used.
.TP 
\fB\-\-create\-empty\-orig\fP
Automatically create the main original tarball as empty if it's missing and
if there are supplementary original tarballs (since dpkg 1.15.6).  This
option is meant to be used when the source package is just a bundle of
multiple upstream software and where there's no “main” software.
.TP 
\fB\-\-no\-unapply\-patches, \-\-unapply\-patches\fP
By default, \fBdpkg\-source\fP will automatically unapply the patches in the
\fB\-\-after\-build\fP hook if it did apply them during \fB\-\-before\-build\fP
(\fB\-\-unapply\-patches\fP since dpkg 1.15.8, \fB\-\-no\-unapply\-patches\fP since dpkg
1.16.5).  Those options allow you to forcefully disable or enable the patch
unapplication process. Those options are only allowed in
\fBdebian/source/local\-options\fP so that all generated source packages have
the same behavior by default.
.TP 
\fB\-\-abort\-on\-upstream\-changes\fP
The process fails if an automatic patch has been generated (since dpkg
1.15.8).  This option can be used to ensure that all changes were properly
recorded in separate \fBquilt\fP patches prior to the source package
build. This option is not allowed in \fBdebian/source/options\fP but can be
used in \fBdebian/source/local\-options\fP.
.TP 
\fB\-\-auto\-commit\fP
Il processo non fallisce se è stata generata una patch automatica, che viene
invece immediatamente registrata nella serie \fBquilt\fP.

.PP
\fBOpzioni di estrazione\fP
.TP 
\fB\-\-skip\-debianization\fP
Skips extraction of the debian tarball on top of the upstream sources (since
dpkg 1.15.1).
.TP 
\fB\-\-skip\-patches\fP
Do not apply patches at the end of the extraction (since dpkg 1.14.18).
.
.SS "Format: 3.0 (custom)"
Supported since dpkg 1.14.17.  This format is special.  It doesn't represent
a real source package format but can be used to create source packages with
arbitrary files.
.PP
\fBOpzioni di generazione\fP
.PP
Tutti gli argomenti che non sono opzioni sono considerati come file da
integrare nel pacchetto sorgente generato. Devono esistere ed essere
preferibilmente nella directory corrente. Deve essere specificato almeno un
file.
.TP 
\fB\-\-target\-format=\fP\fIvalore\fP
\fBRequired\fP. Defines the real format of the generated source package.  The
generated .dsc file will contain this value in its \fBFormat\fP field and not
“3.0 (custom)”.
.
.SS "Formato: 3.0 (git)"
Supported since dpkg 1.14.17.  This format is experimental.
.PP
A source package in this format consists of a single bundle of a git
repository \fB.git\fP to hold the source of a package.  There may also be a
\&\fB.gitshallow\fP file listing revisions for a shallow git clone.
.PP
\fBEstrazione\fP
.PP
The bundle is cloned as a git repository to the target directory.  If there
is a gitshallow file, it is installed as \fI.git/shallow\fP inside the cloned
git repository.
.PP
Note that by default the new repository will have the same branch checked
out that was checked out in the original source.  (Typically “master”, but
it could be anything.)  Any other branches will be available under
\fIremotes/origin/\fP.
.PP
\fBBuilding\fP
.PP
Before going any further, some checks are done to ensure that we don't have
any non\-ignored uncommitted changes.
.PP
\fBgit\-bundle\fP(1) is used to generate a bundle of the git repository.  By
default, all branches and tags in the repository are included in the bundle.
.PP
\fBOpzioni di generazione\fP
.TP 
\fB\-\-git\-ref=\fP\fIref\fP
Allows specifying a git ref to include in the git bundle. Use disables the
default behavior of including all branches and tags. May be specified
multiple times. The \fIref\fP can be the name of a branch or tag to include. It
may also be any parameter that can be passed to \fBgit\-rev\-list\fP(1). For
example, to include only the master branch, use \fB\-\-git\-ref=\fPmaster. To
include all tags and branches, except for the private branch, use
\fB\-\-git\-ref=\fP\-\-all \fB\-\-git\-ref=\fP^private
.TP 
\fB\-\-git\-depth=\fP\fInumero\fP
Creates a shallow clone with a history truncated to the specified number of
revisions.
.SS "Formato: 3.0 (bzr)"
Supported since dpkg 1.14.17.  This format is experimental.  It generates a
single tarball containing the bzr repository.
.PP
\fBEstrazione\fP
.PP
L'archivio tar viene spacchettato e quindi viene usato bzr per fare il
checkout del ramo corrente.
.PP
\fBBuilding\fP
.PP
Before going any further, some checks are done to ensure that we don't have
any non\-ignored uncommitted changes.
.PP
Poi la parte specifica del VCS della directory sorgente viene copiata in una
directory temporanea. Prima che questa directory temporanea venga copiata in
un archivio tar vengono effettuati vari lavori di pulizia per risparmiare
spazio.
.SH DIAGNOSTICA
.SS "nessun formato sorgente specificato in debian/source/format"
The file \fBdebian/source/format\fP should always exist and indicate the
desired source format. For backwards compatibility, format “1.0” is assumed
when the file doesn't exist but you should not rely on this: at some point
in the future \fBdpkg\-source\fP will be modified to fail when that file doesn't
exist.

The rationale is that format “1.0” is no longer the recommended format, you
should usually pick one of the newer formats (“3.0 (quilt)”, “3.0 (native)”)
but \fBdpkg\-source\fP will not do this automatically for you.  If you want to
continue using the old format, you should be explicit about it and put “1.0”
in \fBdebian/source/format\fP.
.SS "il diff modifica i seguenti file originali a monte"
When using source format “1.0” it is usually a bad idea to modify upstream
files directly as the changes end up hidden and mostly undocumented in the
\&.diff.gz file. Instead you should store your changes as patches in the
debian directory and apply them at build\-time. To avoid this complexity you
can also use the format “3.0 (quilt)” that offers this natively.
.SS "impossibile rappresentare la modifica a \fIfile\fP"
Le modifiche ai sorgenti originali sono solitamente memorizzate usando file
patch, ma non tutte le modifiche possono essere rappresentate con patch:
queste possono solo modificare i contenuti di file di testo semplice. Se si
cerca di sostituire un file con qualcosa di tipo diverso (per esempio
sostituire un file testuale con un collegamento simbolico o una directory)
si ottiene questo messaggio di errore.
.SS "il nuovo file vuoto \fIfile\fP creato non sarà rappresentato nel diff"
I file vuoti non possono essere creati con file patch. Perciò questa
modifica non è registrata nel pacchetto sorgente e si viene avvisati della
cosa.
.SS "executable mode \fIperms\fP of \fIfile\fP will not be represented in diff"
I file patch non registrano i permessi dei file e perciò i permessi
eseguibili non sono memorizzati nel pacchetto sorgente. Questo avvertimento
ricorda questo fatto.
.SS "special mode \fIperms\fP of \fIfile\fP will not be represented in diff"
I file patch non registrano i permessi dei file e perciò i permessi
modificati non sono memorizzati nel pacchetto sorgente. Questo avvertimento
ricorda questo fatto.
.
.SH AMBIENTE
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.TP 
\fBDPKG_NLS\fP
If set, it will be used to decide whether to activate Native Language
Support, also known as internationalization (or i18n) support (since dpkg
1.19.0).  The accepted values are: \fB0\fP and \fB1\fP (default).
.TP 
\fBSOURCE_DATE_EPOCH\fP
If set, it will be used as the timestamp (as seconds since the epoch) to
clamp the mtime in the \fBtar\fP(5) file entries.
.TP 
\fBVISUAL\fP
.TQ
\fBEDITOR\fP
Used by the “2.0” and “3.0 (quilt)” source format modules.
.TP 
\fBGIT_DIR\fP
.TQ
\fBGIT_INDEX_FILE\fP
.TQ
\fBGIT_OBJECT_DIRECTORY\fP
.TQ
\fBGIT_ALTERNATE_OBJECT_DIRECTORIES\fP
.TQ
\fBGIT_WORK_TREE\fP
Used by the “3.0 (git)” source format modules.
.
.SH FILE
.SS debian/source/format
Questo file contiene su un'unica riga il formato che deve essere usato per
generare il pacchetto sorgente (i formati possibili sono descritti
sopra). Non sono permessi spazi iniziali o finali.
.SS debian/source/include\-binaries
This file contains a list of binary files (one per line) that should be
included in the debian tarball. Leading and trailing spaces are stripped.
Lines starting with ‘\fB#\fP’ are comments and are skipped.  Empty lines are
ignored.
.SS debian/source/options
Questo file contiene una lista di opzioni lunghe che devono essere
automaticamente aggiunte all'inizio dell'insieme di opzioni della riga di
comando di una chiamata a \fBdpkg\-source\-\-build\fP o \fBdpkg\-source
\-\-print\-format\fP. Le opzioni come \fB\-\-compression\fP e \fB\-\-compression\-level\fP
sono adatte ad essere inserite in questo file.
.P
Each option should be put on a separate line. Empty lines and lines starting
with ‘\fB#\fP’ are ignored.  The leading ‘\fB\-\-\fP’ should be stripped and short
options are not allowed.  Optional spaces are allowed around the ‘\fB=\fP’
symbol and optional quotes are allowed around the value.  Here's an example
of such a file:
.P
  # far creare a dpkg\-source un debian.tar.bz2 con la massima compressione
  compression = "bzip2"
  compression\-level = 9
  # usare debian/patches/debian\-changes come patch automatica
  single\-debian\-patch
  # ignorare i cambiamenti a config.{sub,guess}
  extend\-diff\-ignore = "(^|/)(config.sub|config.guess)$"
.P
Nota: in questo file non sono accettate le opzioni \fBformat\fP, si deve usare
invece \fBdebian/source/format\fP.
.SS debian/source/local\-options
Esattamente come \fBdebian/source/options\fP tranne per il fatto che il file
non viene incluso nel pacchetto sorgente generato. Può essere utile per
memorizzare una preferenza collegata al manutentore o al repository VCS dove
è mantenuto il pacchetto sorgente.
.SS "debian/source/local\-patch\-header \fRe\fP debian/source/patch\-header"
Free form text that is put on top of the automatic patch generated in
formats “2.0” or “3.0 (quilt)”. \fBlocal\-patch\-header\fP is not included in the
generated source package while \fBpatch\-header\fP is.
.SS debian/patches/\fIvendor\fP.series
.SS debian/patches/series
This file lists all patches that have to be applied (in the given order)  on
top of the upstream source package. Leading and trailing spaces are
stripped.  The \fIvendor\fP will be the lowercase name of the current vendor,
or \fBdebian\fP if there is no vendor defined.  If the vendor\-specific series
file does not exist, the vendor\-less series file will be used.  Lines
starting with ‘\fB#\fP’ are comments and are skipped.  Empty lines are
ignored.  Remaining lines start with a patch filename (relative to the
\fBdebian/patches/\fP directory) up to the first space character or the end of
line. Optional \fBquilt\fP options can follow up to the end of line or the
first ‘\fB#\fP’ preceded by one or more spaces (which marks the start of a
comment up to the end of line).
.SH BUG
Il punto in cui avviene la sovrascrittura dei campi in relazione a certe
impostazioni di campi di output standard non è molto chiaro.
.SH "VEDERE ANCHE"
\fBdeb\-src\-control\fP(5), \fBdeb\-changelog\fP(5), \fBdsc\fP(5).
