.\" dpkg manual page - dpkg(1)
.\"
.\" Copyright © 1996 Juho Vuori <javuori@cc.helsinki.fi>
.\" Copyright © 1999 Jim Van Zandt <jrv@vanzandt.mv.com>
.\" Copyright © 1999-2003 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2000-2003 Adam Heath <doogie@debian.org>
.\" Copyright © 2002 Josip Rodin
.\" Copyright © 2004-2005 Scott James Remnant <keybuk@debian.org>
.\" Copyright © 2006-2016 Guillem Jover <guillem@debian.org>
.\" Copyright © 2007-2008 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2008-2011 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg 1 %RELEASE_DATE% %VERSION% "suite dpkg"
.ad l
.nh
.SH NOME
dpkg \- gestore dei pacchetti per Debian
.
.SH SINTASSI
\fBdpkg\fP [\fIopzione\fP...] \fIazione\fP
.
.SH ATTENZIONE
Questo manuale è pensato per gli utenti che desiderano conoscere più in
dettaglio le opzioni per la riga di comando e gli stati dei pacchetti di
\fBdpkg\fP, rispetto alle informazioni date da \fBdpkg \-\-help\fP.

\fINon\fP dovrebbe essere usato dai manutentori che vogliono capire come
\fBdpkg\fP installerà i loro pacchetti. La descrizione di ciò che \fBdpkg\fP fa
quando installa e rimuove pacchetti è particolarmente inadeguata.
.
.SH DESCRIZIONE
\fBdpkg\fP è uno strumento per installare, compilare, rimuovere e gestire
pacchetti Debian. L'interfaccia principale e più facile da usare per \fBdpkg\fP
è \fBaptitude\fP(1). \fBdpkg\fP in sé è completamente controllato da parametri
della riga di comando, che consistono di esattamente una azione e zero o più
opzioni. Il parametro azione dice a \fBdpkg\fP cosa fare e le opzioni
controllano in qualche modo il comportamento dell'azione.

\fBdpkg\fP può anche essere usato come frontend per \fBdpkg\-deb\fP(1) e
\fBdpkg\-query\fP(1). L'elenco delle azioni supportate può essere trovato nella
successiva sezione \fBAZIONI\fP. Se è presente una di tali azioni, \fBdpkg\fP
esegue semplicemente \fBdpkg\-deb\fP o \fBdpkg\-query\fP con i parametri che sono
stati specificati, ma attualmente non viene passata alcuna opzione
specifica; per usare una di tali opzioni i backend devono essere invocati
direttamente.
.
.SH "INFORMAZIONI SUI PACCHETTI"
\fBdpkg\fP mantiene alcune informazioni utilizzabili sui pacchetti
disponibili. Le informazioni sono divise in tre classi: \fBstati\fP, \fBstati di
selezione\fP e \fBcontrassegni\fP. Questi valori sono pensati per essere
modificati principalmente con \fBdselect\fP.
.SS "Stati dei pacchetti"
.TP 
\fBnon\-installato\fP
Il pacchetto non è installato sul sistema.
.TP 
\fBfile\-config\fP
Nel sistema sono presenti solo i file di configurazione del pacchetto.
.TP 
\fBparzialmente\-installato\fP
L'installazione del pacchetto è stata iniziata, ma per qualche ragione non è
stata completata.
.TP 
\fBspacchettato\fP
Il pacchetto è stato spacchettato, ma non configurato.
.TP 
\fBparzialmente\-configurato\fP
Il pacchetto è stato spacchettato e la configurazione è stata iniziata, ma
per qualche ragione non è ancora stata completata.
.TP 
\fBtriggers\-awaited\fP
Il pacchetto è in attesa che un altro pacchetto elabori i trigger.
.TP 
\fBtriggers\-pending\fP
I trigger del pacchetto sono stati avviati
.TP 
\fBinstallato\fP
Il pacchetto è stato spacchettato e configurato correttamente.
.SS "Stati di selezione dei pacchetti"
.TP 
\fBinstallazione\fP
Il pacchetto è selezionato per l'installazione.
.TP 
\fBbloccato\fP
A package marked to be on \fBhold\fP is kept on the same version, that is, no
automatic new installs, upgrades or removals will be performed on them,
unless these actions are requested explicitly, or are permitted to be done
automatically with the \fB\-\-force\-hold\fP option.
.TP 
\fBdisinstallazione\fP
Il pacchetto è selezionato per la disinstallazione (cioè si desiderano
rimuovere tutti i file tranne quelli di configurazione).
.TP 
\fBeliminazione\fP
Il pacchetto è selezionato per essere eliminato (cioè si desidera rimuovere
tutto dalle directory di sistema, compresi i file di configurazione).
.TP 
\fBunknown\fP
The package selection is unknown.  A package that is also in a
\fBnot\-installed\fP state, and with an \fBok\fP flag will be forgotten in the next
database store.
.SS "Contrassegni dei pacchetti"
.TP 
\fBok\fP
A package marked \fBok\fP is in a known state, but might need further
processing.
.TP 
\fBreinstreq\fP
A package marked \fBreinstreq\fP is broken and requires reinstallation. These
packages cannot be removed, unless forced with option
\fB\-\-force\-remove\-reinstreq\fP.
.
.SH AZIONI
.TP 
\fB\-i\fP, \fB\-\-install\fP \fIfile\-pacchetto\fP...
Installa il pacchetto. Se viene specificata l'opzione \fB\-\-recursive\fP o
\fB\-R\fP, \fIfile\-pacchetto\fP deve essere una directory.

L'installazione consiste dei seguenti passaggi:
.br

\fB1.\fP Estrazione del file di controllo del nuovo pacchetto.
.br

\fB2.\fP Se prima della nuova installazione era già installata un'altra
versione dello stesso pacchetto, esecuzione dello script \fIprerm\fP del
vecchio pacchetto.
.br

\fB3.\fP Esecuzione dello script \fIpreinst\fP, se il pacchetto ne fornisce uno.
.br

\fB4.\fP Spacchettamento dei nuovi file e contemporaneamente esecuzione del
backup di quelli vecchi, in modo che possano essere ripristinati se qualcosa
va storto.
.br

\fB5.\fP Se prima della nuova installazione era già installata un'altra
versione dello stesso pacchetto, esecuzione dello script \fIpostrm\fP del
vecchio pacchetto. Notare che questo script è eseguito dopo lo script
\fIpreinst\fP del nuovo pacchetto, perché i nuovi file vengono scritti nello
stesso momento in cui i vecchi file vengono rimossi.
.br

\fB6.\fP Configurazione del pacchetto. Per informazioni dettagliate su come ciò
venga fatto, vedere \fB\-\-configure\fP.
.TP 
\fB\-\-unpack \fP\fIfile\-pacchetto\fP...
Spacchetta il pacchetto, ma non lo configura. Se viene specificata l'opzione
\fB\-\-recursive\fP o \fB\-R\fP, \fIfile\-pacchetto\fP deve essere una directory.
.TP 
\fB\-\-configure \fP\fIpacchetto\fP...|\fB\-a\fP|\fB\-\-pending\fP
Configura un pacchetto che è stato spacchettato ma non ancora
configurato. Se viene specificata l'opzione \fB\-a\fP o \fB\-\-pending\fP invece di
\fIpacchetto\fP, vengono configurati tutti i pacchetti spacchettati ma non
configurati.

Per riconfigurare un pacchetto che è già stato configurato, usare invece il
comando \fBdpkg\-reconfigure\fP(8).

La configurazione consiste dei seguenti passaggi:
.br

\fB1.\fP Spacchettamento dei file di configurazione e contemporaneamente
esecuzione del backup di quelli vecchi, in modo che possano essere
ripristinati se qualcosa va storto.
.br

\fB2.\fP Esecuzione dello script \fIpostinst\fP, se il pacchetto ne fornisce uno.
.TP 
\fB\-\-triggers\-only\fP \fIpacchetto\fP...|\fB\-a\fP|\fB\-\-pending\fP
Processes only triggers (since dpkg 1.14.17).  All pending triggers will be
processed.  If package names are supplied only those packages' triggers will
be processed, exactly once each where necessary. Use of this option may
leave packages in the improper \fBtriggers\-awaited\fP and \fBtriggers\-pending\fP
states. This can be fixed later by running: \fBdpkg \-\-configure \-\-pending\fP.
.TP 
\fB\-r\fP, \fB\-\-remove\fP \fIpackage\fP...|\fB\-a\fP|\fB\-\-pending\fP
Remove an installed package.  This removes everything except conffiles and
other data cleaned up by the \fIpostrm\fP script, which may avoid having to
reconfigure the package if it is reinstalled later (conffiles are
configuration files that are listed in the \fIDEBIAN/conffiles\fP control
file).  If there is no \fIDEBIAN/conffiles\fP control file nor \fIDEBIAN/postrm\fP
script, this command is equivalent to calling \fB\-\-purge\fP.  If \fB\-a\fP or
\fB\-\-pending\fP is given instead of a package name, then all packages unpacked,
but marked to be removed in file \fI%ADMINDIR%/status\fP, are removed.

La rimozione di un pacchetto consiste dei seguenti passaggi:
.br

\fB1.\fP Esecuzione dello script \fIprerm\fP
.br

\fB2.\fP Rimozione dei file installati
.br

\fB3.\fP Esecuzione dello script \fIpostrm\fP
.br

.TP 
\fB\-P\fP, \fB\-\-purge\fP \fIpackage\fP...|\fB\-a\fP|\fB\-\-pending\fP
Purge an installed or already removed package. This removes everything,
including conffiles, and anything else cleaned up from \fIpostrm\fP.  If \fB\-a\fP
or \fB\-\-pending\fP is given instead of a package name, then all packages
unpacked or removed, but marked to be purged in file \fI%ADMINDIR%/status\fP,
are purged.

Nota: \fBdpkg\fP può essere all'oscuro di alcuni file di configurazione perché
sono stati creati e gestiti in modo indipendente attraverso gli script di
configurazione. In questo caso, \fBdpkg\fP stesso non li rimuoverà, ma lo
script \fBpostrm\fP del pacchetto (che viene invocato da \fBdpkg\fP), deve farsi
carico della loro rimozione al momento dell'eliminazione del
pacchetto. Naturalmente ciò è vero solo per i file nelle directory di
sistema, non per i file di configurazione scritti dai singoli utenti nelle
proprie directory home.

L'eliminazione completa di un pacchetto consiste dei seguenti passaggi:
.br

\fB1.\fP Rimozione del pacchetto, se non già rimosso. Per informazioni
dettagliate su come ciò venga fatto, vedere \fB\-\-remove\fP.
.br

\fB2.\fP Esecuzione dello script \fIpostrm\fP
.br
.TP 
\fB\-V\fP, \fB\-\-verify\fP [\fInome\-pacchetto\fP...]
Verifies the integrity of \fIpackage\-name\fP or all packages if omitted, by
comparing information from the files installed by a package with the files
metadata information stored in the \fBdpkg\fP database (since dpkg 1.17.2).
The origin of the files metadata information in the database is the binary
packages themselves. That metadata gets collected at package unpack time
during the installation process.

Currently the only functional check performed is an md5sum verification of
the file contents against the stored value in the files database.  It will
only get checked if the database contains the file md5sum. To check for any
missing metadata in the database, the \fB\-\-audit\fP command can be used.

Il formato di output è selezionabile con l'opzione \fB\-\-verify\-format\fP che
usa in modo predefinito il formato \fBrpm\fP, ma che potrebbe cambiare in
futuro; per questo i programmi che analizzano l'output di questo comando
dovrebbero richiedere esplicitamente il formato che si aspettano.
.TP 
\fB\-C\fP, \fB\-\-audit\fP [\fInome\-pacchetto\fP...]
Performs database sanity and consistency checks for \fIpackage\-name\fP or all
packages if omitted (per package checks since dpkg 1.17.10).  For example,
searches for packages that have been installed only partially on your system
or that have missing, wrong or obsolete control data or files. \fBdpkg\fP will
suggest what to do with them to get them fixed.
.TP 
\fB\-\-update\-avail\fP [\fIPackages\-file\fP]
.TQ
\fB\-\-merge\-avail\fP [\fIPackages\-file\fP]
Update \fBdpkg\fP's and \fBdselect\fP's idea of which packages are available. With
action \fB\-\-merge\-avail\fP, old information is combined with information from
\fIPackages\-file\fP. With action \fB\-\-update\-avail\fP, old information is replaced
with the information in the \fIPackages\-file\fP. The \fIPackages\-file\fP
distributed with Debian is simply named «\fIPackages\fP». If the
\fIPackages\-file\fP argument is missing or named «\fB\-\fP» then it will be read
from standard input (since dpkg 1.17.7). \fBdpkg\fP keeps its record of
available packages in \fI%ADMINDIR%/available\fP.

Un comando più semplice per recuperare e aggiornare in una volta il file
\fIavailable\fP è \fBdselect update\fP. Notare che questo file è per lo più
inutile se non si usa \fBdselect\fP ma un frontend basato su APT; APT ha un
proprio sistema per tenere traccia dei pacchetti disponibili.
.TP 
\fB\-A\fP, \fB\-\-record\-avail\fP \fIfile\-pacchetto\fP...
Aggiornano le informazioni di \fBdpkg\fP e \fBdselect\fP riguardo a quali
pacchetti sono disponibili con le informazioni nel pacchetto
\fIfile\-pacchetto\fP. Se viene specificata l'opzione \fB\-\-recursive\fP o \fB\-R\fP,
\fIfile\-pacchetto\fP deve essere una directory.
.TP 
\fB\-\-forget\-old\-unavail\fP
Now \fBobsolete\fP and a no\-op as \fBdpkg\fP will automatically forget uninstalled
unavailable packages (since dpkg 1.15.4), but only those that do not contain
user information such as package selections.
.TP 
\fB\-\-clear\-avail\fP
Cancella le informazioni esistenti riguardo a quali pacchetti sono
disponibili.
.TP 
\fB\-\-get\-selections\fP [\fImodello\-nome\-pacchetti\fP...]
Crea un elenco di selezioni di pacchetti e lo scrive sullo stdout. Senza un
modello non mostra i pacchetti non installati (ad esempio quelli che sono
stati in precedenza completamente eliminati).
.TP 
\fB\-\-set\-selections\fP
Set package selections using file read from stdin. This file should be in
the format “\fIpackage\fP \fIstate\fP”, where state is one of \fBinstall\fP, \fBhold\fP,
\fBdeinstall\fP or \fBpurge\fP. Blank lines and comment lines beginning with
‘\fB#\fP’ are also permitted.

Affinché questo comando sia utile, il file \fIavailable\fP deve essere
aggiornato, altrimenti i pacchetti sconosciuti verranno ignorati senza
avvertimenti. Per maggiori informazioni vedere i comandi \fB\-\-update\-avail\fP e
\fB\-\-merge\-avail\fP.
.TP 
\fB\-\-clear\-selections\fP
Set the requested state of every non\-essential package to deinstall (since
dpkg 1.13.18).  This is intended to be used immediately before
\fB\-\-set\-selections\fP, to deinstall any packages not in list given to
\fB\-\-set\-selections\fP.
.TP 
\fB\-\-yet\-to\-unpack\fP
Cerca i pacchetti selezionati per l'installazione ma che per una qualche
ragione non sono ancora stati installati.
.IP
Note: This command makes use of both the available file and the package
selections.
.TP 
\fB\-\-predep\-package\fP
Print a single package which is the target of one or more relevant
pre\-dependencies and has itself no unsatisfied pre\-dependencies.
.IP
If such a package is present, output it as a Packages file entry, which can
be massaged as appropriate.
.IP
Note: This command makes use of both the available file and the package
selections.
.IP
Returns 0 when a package is printed, 1 when no suitable package is available
and 2 on error.
.TP 
\fB\-\-add\-architecture \fP\fIarchitettura\fP
Add \fIarchitecture\fP to the list of architectures for which packages can be
installed without using \fB\-\-force\-architecture\fP (since dpkg 1.16.2).  The
architecture \fBdpkg\fP is built for (i.e. the output of
\fB\-\-print\-architecture\fP)  is always part of that list.
.TP 
\fB\-\-remove\-architecture \fP\fIarchitettura\fP
Remove \fIarchitecture\fP from the list of architectures for which packages can
be installed without using \fB\-\-force\-architecture\fP (since dpkg 1.16.2). If
the architecture is currently in use in the database then the operation will
be refused, except if \fB\-\-force\-architecture\fP is specified. The architecture
\fBdpkg\fP is built for (i.e. the output of \fB\-\-print\-architecture\fP) can never
be removed from that list.
.TP 
\fB\-\-print\-architecture\fP
Print architecture of packages \fBdpkg\fP installs (for example, “i386”).
.TP 
\fB\-\-print\-foreign\-architectures\fP
Print a newline\-separated list of the extra architectures \fBdpkg\fP is
configured to allow packages to be installed for (since dpkg 1.16.2).
.TP 
\fB\-\-assert\-\fP\fIfeature\fP
Asserts that \fBdpkg\fP supports the requested feature.  Returns 0 if the
feature is fully supported, 1 if the feature is known but \fBdpkg\fP cannot
provide support for it yet, and 2 if the feature is unknown.  The current
list of assertable features is:
.RS
.TP 
\fBsupport\-predepends\fP
Supports the \fBPre\-Depends\fP field (since dpkg 1.1.0).
.TP 
\fBworking\-epoch\fP
Supports epochs in version strings (since dpkg 1.4.0.7).
.TP 
\fBlong\-filenames\fP
Supports long filenames in \fBdeb\fP(5) archives (since dpkg 1.4.1.17).
.TP 
\fBmulti\-conrep\fP
Supports multiple \fBConflicts\fP and \fBReplaces\fP (since dpkg 1.4.1.19).
.TP 
\fBmulti\-arch\fP
Supports multi\-arch fields and semantics (since dpkg 1.16.2).
.TP 
\fBversioned\-provides\fP
Supports versioned \fBProvides\fP (since dpkg 1.17.11).
.RE
.TP 
\fB\-\-validate\-\fP\fIthing string\fP
Validate that the \fIthing\fP \fIstring\fP has a correct syntax (since dpkg
1.18.16).  Returns 0 if the \fIstring\fP is valid, 1 if the \fIstring\fP is
invalid but might be accepted in lax contexts, and 2 if the \fIstring\fP is
invalid.  The current list of validatable \fIthing\fPs is:
.RS
.TP 
\fBpkgname\fP
Validates the given package name (since dpkg 1.18.16).
.TP 
\fBtrigname\fP
Validates the given trigger name (since dpkg 1.18.16).
.TP 
\fBarchname\fP
Validates the given architecture name (since dpkg 1.18.16).
.TP 
\fBversion\fP
Validates the given version (since dpkg 1.18.16).
.RE
.TP 
\fB\-\-compare\-versions \fP\fIver1 op ver2\fP
.\" .TP
.\" .B \-\-command\-fd \fIn\fP
.\" Accept a series of commands on input file descriptor \fIn\fP. Note:
.\" additional options set on the command line, and through this file descriptor,
.\" are not reset for subsequent commands executed during the same run.
Compare version numbers, where \fIop\fP is a binary operator. \fBdpkg\fP returns
true (\fB0\fP) if the specified condition is satisfied, and false (\fB1\fP)
otherwise. There are two groups of operators, which differ in how they treat
an empty \fIver1\fP or \fIver2\fP. These treat an empty version as earlier than
any version: \fBlt le eq ne ge gt\fP. These treat an empty version as later
than any version: \fBlt\-nl le\-nl ge\-nl gt\-nl\fP. These are provided only for
compatibility with control file syntax: \fB< << <= = >=
>> >\fP. The \fB<\fP and \fB>\fP operators are obsolete and
should \fBnot\fP be used, due to confusing semantics. To illustrate: \fB0.1
< 0.1\fP evaluates to true.
.TP 
\fB\-?\fP, \fB\-\-help\fP
Visualizza un breve messaggio di aiuto.
.TP 
\fB\-\-force\-help\fP
Mostra un aiuto sulle opzioni \fB\-\-force\-\fP\fIcosa\fP.
.TP 
\fB\-Dh\fP, \fB\-\-debug=help\fP
Mostra un aiuto sulle opzioni di debug.
.TP 
\fB\-\-version\fP
Mostra informazioni sulla versione di \fBdpkg\fP.
.TP 
\fBazioni di dpkg\-deb\fP
Vedere \fBdpkg\-deb\fP(1) per maggiori informazioni sulle seguenti azioni.

.nf
\fB\-b\fP, \fB\-\-build\fP \fIdirectory\fP [\fIarchive\fP|\fIdirectory\fP]
    Build a deb package.
\fB\-c\fP, \fB\-\-contents\fP \fIarchive\fP
    List contents of a deb package.
\fB\-e\fP, \fB\-\-control\fP \fIarchive\fP [\fIdirectory\fP]
    Extract control\-information from a package.
\fB\-x\fP, \fB\-\-extract\fP \fIarchive directory\fP
    Extract the files contained by package.
\fB\-X\fP, \fB\-\-vextract\fP \fIarchive directory\fP
    Extract and display the filenames contained by a
    package.
\fB\-f\fP, \fB\-\-field\fP  \fIarchive\fP [\fIcontrol\-field\fP...]
    Display control field(s) of a package.
\fB\-\-ctrl\-tarfile\fP \fIarchive\fP
    Output the control tar\-file contained in a Debian package.
\fB\-\-fsys\-tarfile\fP \fIarchive\fP
    Output the filesystem tar\-file contained by a Debian package.
\fB\-I\fP, \fB\-\-info\fP \fIarchive\fP [\fIcontrol\-file\fP...]
    Show information about a package.
.fi

.TP 
\fBazioni per dpkg\-query\fP
Vedere \fBdpkg\-query\fP(1) per maggiori informazioni sulle seguenti azioni.

.nf

\fB\-l\fP, \fB\-\-list\fP \fImodello\-nome\-pacchetto\fP...
    Elenca i pacchetti che corrispondono al modello specificato.
\fB\-s\fP, \fB\-\-status\fP \fInome\-pacchetto\fP...
    Restituisce lo stato del pacchetto specificato.
\fB\-L\fP, \fB\-\-listfiles\fP \fInome\-pacchetto\fP...
    Elenca i file installati nel sistema da \fInome\-pacchetto\fP.
\fB\-S\fP, \fB\-\-search\fP \fImodello\-ricerca\-nomefile\fP...
    Cerca un nome file nei pacchetti installati.
\fB\-p\fP, \fB\-\-print\-avail\fP \fInome\-pacchetto\fP...
    Mostra i dettagli su \fInome\-pacchetto\fP, come presenti in
    \fI%ADMINDIR%/available\fP. Gli utenti di frontend basati su APT
    dovrebbero invece usare \fBapt\-cache show\fP \fInome\-pacchetto\fP.
.fi
.
.SH OPZIONI
All options can be specified both on the command line and in the \fBdpkg\fP
configuration file \fI%PKGCONFDIR%/dpkg.cfg\fP or fragment files (with names
matching this shell pattern '[0\-9a\-zA\-Z_\-]*') on the configuration directory
\fI%PKGCONFDIR%/dpkg.cfg.d/\fP. Each line in the configuration file is either
an option (exactly the same as the command line option but without leading
hyphens) or a comment (if it starts with a ‘\fB#\fP’).
.br
.TP 
\fB\-\-abort\-after=\fP\fInumero\fP
Cambia il numero di errori dopo il quale \fBdpkg\fP si interromperà.Il valore
predefinito è 50.
.TP 
\fB\-B\fP, \fB\-\-auto\-deconfigure\fP
Quando un pacchetto viene rimosso, è possibile che un altro pacchetto
installato dipenda da esso. Se si specifica questa opzione il pacchetto che
dipende da quello rimosso verrà automaticamente deconfigurato.
.TP 
\fB\-D\fP\fIottale\fP\fB, \-\-debug=\fP\fIottale\fP
Attiva il debug. \fIottale\fP viene formato unendo con un'operazione di OR i
singoli valori desiderati dall'elenco sottostante (notare che questi valori
potrebbero cambiare nei rilasci futuri). \fB\-Dh\fP o \fB\-\-debug=help\fP mostrano
questi valori usati nel debug.

    Numero   Descrizione
         1   Informazioni di utilità generale sul progresso
         2   Invocazione e stato degli script dei manutentori
        10   Output per ogni file elaborato
       100   Molto output per ogni file elaborato
        20   Output per ogni file di configurazione
       200   Molto output per ogni file di configurazione
        40   Dipendenze e conflitti
       400   Molto output su dipendenze e conflitti
     10000   Attivazione ed elaborazione dei trigger
     20000   Molto output sui trigger
     40000   Una quantità irragionevole di output sui trigger
      1000   Molto ciance su, ad esempio, la directory dpkg/info
      2000   Una quantità irragionevole di ciance
.TP 
\fB\-\-force\-\fP\fIthings\fP
.TQ
\fB\-\-no\-force\-\fP\fIthings\fP, \fB\-\-refuse\-\fP\fIthings\fP
Forza o rifiuta (\fBno\-force\fP e \fBrefuse\fP hanno lo stesso significato)
l'esecuzione di alcune operazioni. \fIoperazioni\fP è una lista separata da
virgole di operazioni specificate in seguito. \fB\-\-force\-help\fP visualizza un
messaggio che le descrive. Le operazioni contrassegnate da (*) vengono
forzate in modo predefinito.

\fIAttenzione: queste opzioni sono pensate principalmente per essere usate
solamente da esperti. Usarle senza aver pienamente compreso il loro effetto
può danneggiare l'intero sistema.\fP

\fBall\fP: abilita (o disabilita) tutte le opzioni di forzatura.

\fBdowngrade\fP(*): installa un pacchetto anche se è già installata una
versione più recente.

\fIAttenzione: ad oggi \fP\fBdpkg\fP\fI non fa alcun controllo sulle dipendenze
delle retrocessioni e perciò non avvertirà se la retrocessione rende
difettosa una dipendenza di un altro pacchetto. Ciò può avere seri effetti
collaterali; la retrocessione di componenti essenziali del sistema può
persino rendere tutto il sistema inutilizzabile. Usarla con cautela.\fP

\fBconfigure\-any\fP: configura anche qualsiasi pacchetto, spacchettato ma non
configurato, da cui dipende quello in considerazione.

\fBhold\fP: Allow automatic installs, upgrades or removals of packages even
when marked to be on “hold”.  Note: This does not prevent these actions when
requested explicitly.

\fBremove\-reinstreq\fP: rimuove un pacchetto, anche se è difettoso e ha il
contrassegno che richiede la reinstallazione. Questo può, ad esempio, far sì
che parti del pacchetto rimangano sul sistema e vengano poi dimenticate da
\fBdpkg\fP.

\fBremove\-essential\fP: rimuove un pacchetto anche se è considerato
essenziale. I pacchetti essenziali contengono per lo più i comandi Unix
veramente fondamentali; la loro rimozione può far sì che l'intero sistema
non funzioni più, perciò usarla con cautela.

\fBdepends\fP: Turn all dependency problems into warnings.  This affects the
\fBPre\-Depends\fP and \fBDepends\fP fields.

\fBdepends\-version\fP: Don't care about versions when checking dependencies.
This affects the \fBPre\-Depends\fP and \fBDepends\fP fields.

\fBbreaks\fP: Install, even if this would break another package (since dpkg
1.14.6).  This affects the \fBBreaks\fP field.

\fBconflicts\fP: Install, even if it conflicts with another package. This is
dangerous, for it will usually cause overwriting of some files.  This
affects the \fBConflicts\fP field.

\fBconfmiss\fP: Always install the missing conffile without prompting. This is
dangerous, since it means not preserving a change (removing) made to the
file.

\fBconfnew\fP: se un file di configurazione è stato modificato e la versione
del pacchetto è cambiata, installa sempre la nuova versione senza chiedere,
a meno che non venga specificata anche \fB\-\-force\-confdef\fP, nel qual caso
verrà privilegiata l'azione predefinita.

\fBconfnew\fP: se un file di configurazione è stato modificato e la versione
del pacchetto è cambiata, mantiene sempre la vecchia versione senza
chiedere, a meno che non venga specificata anche \fB\-\-force\-confdef\fP, nel
qual caso verrà privilegiata l'azione predefinita.

\fBconfdef\fP: se un file di configurazione è stato modificato e la versione
del pacchetto è cambiata, sceglie sempre l'azione predefinita senza chiedere
all'utente. Se non c'è un'azione predefinita, si fermerà per chiedere
all'utente, a meno che non sia stata specificata anche \fB\-\-force\-confnew\fP o
\fB\-\-force\-confold\fP, nel qual caso userà quella per decidere l'azione
definitiva.

\fBconfask\fP: If a conffile has been modified always offer to replace it with
the version in the package, even if the version in the package did not
change (since dpkg 1.15.8).  If any of \fB\-\-force\-confnew\fP,
\fB\-\-force\-confold\fP, or \fB\-\-force\-confdef\fP is also given, it will be used to
decide the final action.

\fBoverwrite\fP: sovrascrive il file di un pacchetto con quello di un altro.

\fBoverwrite\-dir\fP: Overwrite one package's directory with another's file.

\fBoverwrite\-diverted\fP: sovrascrive una versione diversificata di un file con
una che non è stata diversificata.

\fBstatoverride\-add\fP: Overwrite an existing stat override when adding it
(since dpkg 1.19.5).

\fBstatoverride\-remove\fP: Ignore a missing stat override when removing it
(since dpkg 1.19.5).

\fBsecurity\-mac\fP(*): Use platform\-specific Mandatory Access Controls (MAC)
based security when installing files into the filesystem (since dpkg
1.19.5).  On Linux systems the implementation uses SELinux.

\fBunsafe\-io\fP: Do not perform safe I/O operations when unpacking (since dpkg
1.15.8.6).  Currently this implies not performing file system syncs before
file renames, which is known to cause substantial performance degradation on
some file systems, unfortunately the ones that require the safe I/O on the
first place due to their unreliable behaviour causing zero\-length files on
abrupt system crashes.

\fINota\fP: per ext4, il principale colpevole, considerare invece l'uso
dell'opzione di mount \fBnodelalloc\fP, che risolverà sia la diminuzione delle
prestazioni, sia i problemi di sicurezza dei dati; per questi ultimi fa sì
che il file system non produca file di lunghezza zero in caso di bruschi
crash del sistema con software che non esegue sincronizzazioni prima delle
singole azioni di rinomina.

\fIAttenzione: usare questa opzione può migliorare le prestazioni al prezzo
di perdita di dati: usare con cautela.\fP

\fBscript\-chrootless\fP: Run maintainer scripts without \fBchroot\fP(2)ing into
\fBinstdir\fP even if the package does not support this mode of operation
(since dpkg 1.18.5).

\fIWarning: This can destroy your host system, use with extreme care.\fP

\fBarchitecture\fP: elabora anche i pacchetti con architettura sbagliata o
senza architettura.

\fBbad\-version\fP: Process even packages with wrong versions (since dpkg
1.16.1).

\fBbad\-path\fP: \fBPATH\fP manca di alcuni programmi importanti, perciò è
probabile si verifichino problemi.

\fBnot\-root\fP: cerca di installare o disinstallare cose anche quando non è
root.

\fBbad\-verify\fP: installa un pacchetto anche se non supera il controllo di
autenticità.

.TP 
\fB\-\-ignore\-depends\fP=\fIpacchetto\fP,...
Ignore dependency\-checking for specified packages (actually, checking is
performed, but only warnings about conflicts are given, nothing else).  This
affects the \fBPre\-Depends\fP, \fBDepends\fP and \fBBreaks\fP fields.
.TP 
\fB\-\-no\-act\fP, \fB\-\-dry\-run\fP, \fB\-\-simulate\fP
Fa tutto ciò che dovrebbe essere fatto, ma non scrive alcun
cambiamento. Viene usato per vedere cosa succederebbe con l'azione
specificata, senza modificare realmente nulla.

Assicurarsi di specificare \fB\-\-no\-act\fP prima del parametro di azione, oppure
si potrebbero verificare risultati indesiderati. (Ad esempio, \fBdpkg \-\-purge
pippo \-\-no\-act\fP prima elimina completamente il pacchetto pippo e poi cerca
di eliminare il pacchetto \-\-no\-act, anche se probabilmente ci si aspettava
che non facesse nulla.)
.TP 
\fB\-R\fP, \fB\-\-recursive\fP
Recursively handle all regular files matching pattern \fB*.deb\fP found at
specified directories and all of its subdirectories. This can be used with
\fB\-i\fP, \fB\-A\fP, \fB\-\-install\fP, \fB\-\-unpack\fP and \fB\-\-record\-avail\fP actions.
.TP 
\fB\-G\fP
Non installa un pacchetto se è già installata una versione più recente dello
stesso pacchetto. Questo è un alias per \fB\-\-refuse\-downgrade\fP.
.TP 
\fB\-\-admindir=\fP\fIdir\fP
Set the administrative directory to \fIdirectory\fP.  This directory contains
many files that give information about status of installed or uninstalled
packages, etc.  Defaults to «\fI%ADMINDIR%\fP».
.TP 
\fB\-\-instdir=\fP\fIdir\fP
Set the installation directory, which refers to the directory where packages
are to be installed. \fBinstdir\fP is also the directory passed to \fBchroot\fP(2)
before running package's installation scripts, which means that the scripts
see \fBinstdir\fP as a root directory.  Defaults to «\fI/\fP».
.TP 
\fB\-\-root=\fP\fIdir\fP
Set the root directory to \fBdirectory\fP, which sets the installation
directory to «\fIdir\fP» and the administrative directory to
«\fIdir\fP\fB%ADMINDIR%\fP».
.TP 
\fB\-O\fP, \fB\-\-selected\-only\fP
Elabora solo i pacchetti che sono selezionati per
l'installazione. L'effettiva assegnazione dei contrassegni viene fatta da
\fBdselect\fP o da \fBdpkg\fP, quando manipola i pacchetti. Per esempio, quando un
pacchetto viene rimosso verrà contrassegnato come selezionato per la
disinstallazione.
.TP 
\fB\-E\fP, \fB\-\-skip\-same\-version\fP
Non installa il pacchetto se è già installata la stessa versione del
pacchetto.
.TP 
\fB\-\-pre\-invoke=\fP\fIcomando\fP
.TQ
\fB\-\-post\-invoke=\fP\fIcomando\fP
Set an invoke hook \fIcommand\fP to be run via \*(lqsh \-c\*(rq before or after the
\fBdpkg\fP run for the \fIunpack\fP, \fIconfigure\fP, \fIinstall\fP, \fItriggers\-only\fP,
\fIremove\fP, \fIpurge\fP, \fIadd\-architecture\fP and \fIremove\-architecture\fP \fBdpkg\fP
actions (since dpkg 1.15.4; \fIadd\-architecture\fP and \fIremove\-architecture\fP
actions since dpkg 1.17.19). This option can be specified multiple
times. The order the options are specified is preserved, with the ones from
the configuration files taking precedence.  The environment variable
\fBDPKG_HOOK_ACTION\fP is set for the hooks to the current \fBdpkg\fP
action. Note: front\-ends might call \fBdpkg\fP several times per invocation,
which might run the hooks more times than expected.
.TP 
\fB\-\-path\-exclude=\fP\fImodello\-glob\fP
.TQ
\fB\-\-path\-include=\fP\fImodello\-glob\fP
Set \fIglob\-pattern\fP as a path filter, either by excluding or re\-including
previously excluded paths matching the specified patterns during install
(since dpkg 1.15.8).

\fIAttenzione: tenere a mente che, a seconda dei percorsi esclusi, si può
danneggiare l'intero sistema; usare con cautela.\fP

The glob patterns use the same wildcards used in the shell, were ‘*’ matches
any sequence of characters, including the empty string and also ‘/’.  For
example, «\fI/usr/*/READ*\fP» matches «\fI/usr/share/doc/package/README\fP».  As
usual, ‘?’ matches any single character (again, including ‘/’).  And ‘[’
starts a character class, which can contain a list of characters, ranges and
complementations. See \fBglob\fP(7) for detailed information about
globbing. Note: the current implementation might re\-include more directories
and symlinks than needed, to be on the safe side and avoid possible unpack
failures; future work might fix this.

Può essere usato per rimuovere tutti i percorsi tranne alcuni specifici; un
caso tipico è:

.nf
\fB\-\-path\-exclude=/usr/share/doc/*\fP
\fB\-\-path\-include=/usr/share/doc/*/copyright\fP
.fi

per rimuovere tutti i file di documentazione tranne i file di copyright.

Queste due opzioni possono essere specificate più volte e intrecciate
assieme. Vengono entrambe elaborate nell'ordine specificato, e l'ultima
regola che corrisponde ad un nome di file determina la decisione.

The filters are applied when unpacking the binary packages, and as such only
have knowledge of the type of object currently being filtered (e.g. a normal
file or a directory) and have not visibility of what objects will come
next.  Because these filters have side effects (in contrast to \fBfind\fP(1)
filters), excluding an exact pathname that happens to be a directory object
like \fI/usr/share/doc\fP will not have the desired result, and only that
pathname will be excluded (which could be automatically reincluded if the
code sees the need).  Any subsequent files contained within that directory
will fail to unpack.

Hint: make sure the globs are not expanded by your shell.
.TP 
\fB\-\-verify\-format\fP\fI nome\-formato\fP
Sets the output format for the \fB\-\-verify\fP command (since dpkg 1.17.2).

The only currently supported output format is \fBrpm\fP, which consists of a
line for every path that failed any check.  The lines start with 9
characters to report each specific check result, a ‘\fB?\fP’ implies the check
could not be done (lack of support, file permissions, etc), ‘\fB.\fP’ implies
the check passed, and an alphanumeric character implies a specific check
failed; the md5sum verification failure (the file contents have changed) is
denoted with a ‘\fB5\fP’ on the third character.  The line is followed by a
space and an attribute character (currently ‘\fBc\fP’ for conffiles), another
space and the pathname.
.TP 
\fB\-\-status\-fd \fP\fIn\fP
Invia informazioni leggibili da macchina sullo stato dei pacchetti e
sull'avanzamento al descrittore di file \fIn\fP. Questa opzione può essere
specificata più volte. L'informazione di solito contiene un record per riga,
in una delle forme seguenti:
.RS
.TP 
\fBstatus: \fP\fIpacchetto\fP\fB: \fP\fIstato\fP
Lo stato del pacchetto è cambiato; \fIstato\fP è come nel file di stato.
.TP 
\fBstatus: \fP\fIpacchetto\fP\fB : error : \fP\fImessaggio\-esteso\-di\-errore\fP
Si è verificato un errore. Qualsiasi eventuale ritorno a capo all'interno di
\fImessaggio\-esteso\-di\-errore\fP verrà convertito in spazi prima di essere
passato in output.
.TP 
\fBstatus: \fP\fIfile\fP\fB : conffile\-prompt : '\fP\fIreale\-vecchio\fP\fB' '\fP\fIreale\-nuovo\fP\fB' \fP\fImodificato\-da\-utente\fP\fB \fP\fImodificato\-da\-distribuzione\fP
È stata chiesta all'utente una risposta riguardo ad un file di
configurazione.
.TP 
\fBprocessing: \fP\fIstadio\fP\fB: \fP\fIpacchetto\fP
Inviato immediatamente prima che inizi uno stadio
dell'elaborazione. \fIstadio\fP è uno tra \fBupgrade\fP, \fBinstall\fP (entrambi
inviati prima dello spacchettamento), \fBconfigure\fP, \fBtrigproc\fP,
\fBdisappear\fP, \fBremove\fP, \fBpurge\fP.
.RE
.TP 
\fB\-\-status\-logger\fP=\fIcomando\fP
Send machine\-readable package status and progress information to the shell
\fIcommand\fP's standard input, to be run via \*(lqsh \-c\*(rq (since dpkg 1.16.0).
This option can be specified multiple times.  The output format used is the
same as in \fB\-\-status\-fd\fP.
.TP 
\fB\-\-log=\fP\fInomefile\fP
Log status change updates and actions to \fIfilename\fP, instead of the default
\fI%LOGDIR%/dpkg.log\fP. If this option is given multiple times, the last
filename is used. Log messages are of the form:
.RS
.TP 
YYYY\-MM\-DD HH:MM:SS \fBstartup\fP \fItype\fP \fIcommand\fP
For each dpkg invocation where \fItype\fP is \fBarchives\fP (with a \fIcommand\fP of
\fBunpack\fP or \fBinstall\fP) or \fBpackages\fP (with a \fIcommand\fP of \fBconfigure\fP,
\fBtriggers\-only\fP, \fBremove\fP or \fBpurge\fP).
.TP 
YYYY\-MM\-DD HH:MM:SS \fBstatus\fP \fIstate\fP \fIpkg\fP \fIinstalled\-version\fP
For status change updates.
.TP 
YYYY\-MM\-DD HH:MM:SS \fIaction\fP \fIpkg\fP \fIinstalled\-version\fP \fIavailable\-version\fP
For actions where \fIaction\fP is one of \fBinstall\fP, \fBupgrade\fP, \fBconfigure\fP,
\fBtrigproc\fP, \fBdisappear\fP, \fBremove\fP or \fBpurge\fP.
.TP 
YYYY\-MM\-DD HH:MM:SS \fBconffile\fP \fIfilename\fP \fIdecision\fP
For conffile changes where \fIdecision\fP is either \fBinstall\fP or \fBkeep\fP.
.RE
.TP 
\fB\-\-no\-pager\fP
Disables the use of any pager when showing information (since dpkg 1.19.2).
.TP 
\fB\-\-no\-debsig\fP
Non cerca di verificare le firme dei pacchetti.
.TP 
\fB\-\-no\-triggers\fP
Do not run any triggers in this run (since dpkg 1.14.17), but activations
will still be recorded.  If used with \fB\-\-configure\fP \fIpackage\fP or
\fB\-\-triggers\-only\fP \fIpackage\fP then the named package postinst will still be
run even if only a triggers run is needed. Use of this option may leave
packages in the improper \fBtriggers\-awaited\fP and \fBtriggers\-pending\fP
states. This can be fixed later by running: \fBdpkg \-\-configure \-\-pending\fP.
.TP 
\fB\-\-triggers\fP
Cancels a previous \fB\-\-no\-triggers\fP (since dpkg 1.14.17).
.
.SH "STATO D'USCITA"
.TP 
\fB0\fP
The requested action was successfully performed.  Or a check or assertion
command returned true.
.TP 
\fB1\fP
A check or assertion command returned false.
.TP 
\fB2\fP
Fatal or unrecoverable error due to invalid command\-line usage, or
interactions with the system, such as accesses to the database, memory
allocations, etc.
.
.SH AMBIENTE
.SS "External environment"
.TP 
\fBPATH\fP
This variable is expected to be defined in the environment and point to the
system paths where several required programs are to be found. If it's not
set or the programs are not found, \fBdpkg\fP will abort.
.TP 
\fBHOME\fP
Se impostata, \fBdpkg\fP la userà come directory nella quale leggere il file di
configurazione specifico dell'utente.
.TP 
\fBTMPDIR\fP
Se impostata, \fBdpkg\fP la userà come directory nella quale creare i file e le
directory temporanee.
.TP 
\fBSHELL\fP
The program \fBdpkg\fP will execute when starting a new interactive shell, or
when spawning a command via a shell.
.TP 
\fBPAGER\fP
.TQ
\fBDPKG_PAGER\fP
The program \fBdpkg\fP will execute when running a pager, which will be
executed with «\fB$SHELL \-c\fP», for example when displaying the conffile
differences.  If \fBSHELL\fP is not set, «\fBsh\fP» will be used instead.  The
\fBDPKG_PAGER\fP overrides the \fBPAGER\fP environment variable (since dpkg
1.19.2).
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.TP 
\fBDPKG_FORCE\fP
Sets the force flags (since dpkg 1.19.5).  When this variable is present, no
built\-in force defaults will be applied.  If the variable is present but
empty, all force flags will be disabled.
.TP 
\fBDPKG_ADMINDIR\fP
If set and the \fB\-\-admindir\fP or \fB\-\-root\fP options have not been specified,
it will be used as the \fBdpkg\fP administrative directory (since dpkg 1.20.0).
.TP 
\fBDPKG_FRONTEND_LOCKED\fP
Set by a package manager frontend to notify dpkg that it should not acquire
the frontend lock (since dpkg 1.19.1).
.SS "Internal environment"
.TP 
\fBLESS\fP
Defined by \fBdpkg\fP to “\fB\-FRSXMQ\fP”, if not already set, when spawning a
pager (since dpkg 1.19.2).  To change the default behavior, this variable
can be preset to some other value including an empty string, or the \fBPAGER\fP
or \fBDPKG_PAGER\fP variables can be set to disable specific options with
«\fB\-+\fP», for example \fBDPKG_PAGER="less \-+F"\fP.
.TP 
\fBDPKG_ROOT\fP
Defined by \fBdpkg\fP on the maintainer script environment to indicate which
installation to act on (since dpkg 1.18.5).  The value is intended to be
prepended to any path maintainer scripts operate on.  During normal
operation, this variable is empty.  When installing packages into a
different \fBinstdir\fP, \fBdpkg\fP normally invokes maintainer scripts using
\fBchroot\fP(2) and leaves this variable empty, but if
\fB\-\-force\-script\-chrootless\fP is specified then the \fBchroot\fP(2) call is
skipped and \fBinstdir\fP is non\-empty.
.TP 
\fBDPKG_ADMINDIR\fP
Defined by \fBdpkg\fP on the maintainer script environment to indicate the
\fBdpkg\fP administrative directory to use (since dpkg 1.16.0).  This variable
is always set to the current \fB\-\-admindir\fP value.
.TP 
\fBDPKG_FORCE\fP
Defined by \fBdpkg\fP on the subprocesses environment to all the currently
enabled force option names separated by commas (since dpkg 1.19.5).
.TP 
\fBDPKG_SHELL_REASON\fP
Defined by \fBdpkg\fP on the shell spawned on the conffile prompt to examine
the situation (since dpkg 1.15.6).  Current valid value: \fBconffile\-prompt\fP.
.TP 
\fBDPKG_CONFFILE_OLD\fP
Defined by \fBdpkg\fP on the shell spawned on the conffile prompt to examine
the situation (since dpkg 1.15.6).  Contains the path to the old conffile.
.TP 
\fBDPKG_CONFFILE_NEW\fP
Defined by \fBdpkg\fP on the shell spawned on the conffile prompt to examine
the situation (since dpkg 1.15.6).  Contains the path to the new conffile.
.TP 
\fBDPKG_HOOK_ACTION\fP
Defined by \fBdpkg\fP on the shell spawned when executing a hook action (since
dpkg 1.15.4).  Contains the current \fBdpkg\fP action.
.TP 
\fBDPKG_RUNNING_VERSION\fP
Defined by \fBdpkg\fP on the maintainer script environment to the version of
the currently running \fBdpkg\fP instance (since dpkg 1.14.17).
.TP 
\fBDPKG_MAINTSCRIPT_PACKAGE\fP
Defined by \fBdpkg\fP on the maintainer script environment to the
(non\-arch\-qualified) package name being handled (since dpkg 1.14.17).
.TP 
\fBDPKG_MAINTSCRIPT_PACKAGE_REFCOUNT\fP
Defined by \fBdpkg\fP on the maintainer script environment to the package
reference count, i.e. the number of package instances with a state greater
than \fBnot\-installed\fP (since dpkg 1.17.2).
.TP 
\fBDPKG_MAINTSCRIPT_ARCH\fP
Defined by \fBdpkg\fP on the maintainer script environment to the architecture
the package got built for (since dpkg 1.15.4).
.TP 
\fBDPKG_MAINTSCRIPT_NAME\fP
Defined by \fBdpkg\fP on the maintainer script environment to the name of the
script running, one of \fBpreinst\fP, \fBpostinst\fP, \fBprerm\fP or \fBpostrm\fP (since
dpkg 1.15.7).
.TP 
\fBDPKG_MAINTSCRIPT_DEBUG\fP
Defined by \fBdpkg\fP on the maintainer script environment to a value (‘\fB0\fP’
or ‘\fB1\fP’) noting whether debugging has been requested (with the \fB\-\-debug\fP
option) for the maintainer scripts (since dpkg 1.18.4).
.
.SH FILE
.TP 
\fI%PKGCONFDIR%/dpkg.cfg.d/[0\-9a\-zA\-Z_\-]*\fP
Configuration fragment files (since dpkg 1.15.4).
.TP 
\fI%PKGCONFDIR%/dpkg.cfg\fP
File di configurazione con le opzioni predefinite.
.TP 
\fI%LOGDIR%/dpkg.log\fP
Default log file (see \fI%PKGCONFDIR%/dpkg.cfg\fP and option \fB\-\-log\fP).
.P
Gli altri file elencati in seguito sono nelle loro directory predefinite;
vedere l'opzione \fB\-\-admindir\fP per sapere come modificare la posizione di
questi file.
.TP 
\fI%ADMINDIR%/available\fP
Elenco di pacchetti disponibili.
.TP 
\fI%ADMINDIR%/status\fP
Stati dei pacchetti disponibili. Questo file contiene informazioni riguardo
al fatto che un pacchetto sia contrassegnato o meno per la rimozione, sia
installato o meno, ecc. Per maggiori dettagli vedere la sezione
\fBINFORMAZIONI SUI PACCHETTI\fP.

Ogni giorno viene fatto un backup del file di stato in \fI/var/backups\fP. Può
essere utile se viene perso o diventa corrotto a causa di problemi con i
file system.
.P
The format and contents of a binary package are described in \fBdeb\fP(5).
.
.SH BUG
\fB\-\-no\-act\fP normalmente fornisce meno informazioni di quanto sarebbe utile.
.
.SH ESEMPI
Per elencare i pacchetti installati correlati con l'editor \fBvi\fP(1) (notare
che \fBdpkg\-query\fP non carica più in modo predefinito il file \fIavailable\fP, e
per quello  dovrebbe essere invece usata l'opzione \fB\-\-load\-avail\fP di
\fBdpkg\-query\fP):
.br
     \fBdpkg \-l '*vi*'\fP
.br

Per vedere le voci riguardanti due pacchetti in \fI%ADMINDIR%/available\fP:
.br
     \fBdpkg \-\-print\-avail elvis vim | less\fP
.br

Per cercare direttamente nell'elenco dei pacchetti:
.br
     \fBless %ADMINDIR%/available\fP
.br

Per rimuovere un pacchetto elvis installato:
.br
     \fBdpkg \-r elvis\fP
.br

To install a package, you first need to find it in an archive or CDROM. The
\fIavailable\fP file shows that the vim package is in section \fBeditors\fP:
.br
     \fBcd /media/cdrom/pool/main/v/vim\fP
     \fBdpkg \-i vim_4.5\-3.deb\fP
.br

Per fare una copia locale degli stati di selezione dei pacchetti:
.br
     \fBdpkg \-\-get\-selections >mieselezioni\fP
.br

Si può trasferire questo file su un altro computer e, dopo aver aggiornato
lì il file \fIavailable\fP con il frontend prescelto per il gestore dei
pacchetti (vedere https://wiki.debian.org/Teams/Dpkg/FAQ per maggiori
dettagli), per esempio:
.br
     \fBapt\-cache dumpavail | dpkg \-\-merge\-avail\fP
.br
o con dpkg 1.17.6 e precedenti:
.br
     \fBavail=`mktemp`\fP
     \fBapt\-cache dumpavail >"$avail"\fP
     \fBdpkg \-\-merge\-avail "$avail"\fP
     \fBrm "$avail"\fP
.br
lo si può installare con:
.br
     \fBdpkg \-\-clear\-selections\fP
     \fBdpkg \-\-set\-selections <mieselezioni\fP
.br

Notare che questo non installa o rimuove realmente nulla, ma imposta
solamente lo stato di selezione dei pacchetti indicati. Sarà necessaria
qualche altra applicazione per scaricare e installare effettivamente i
pacchetti richiesti. Per esempio, eseguire \fBapt\-get dselect\-upgrade\fP.

Nelle situazioni normali, \fBdselect\fP(1) fornisce un metodo più comodo per
modificare gli stati di selezione dei pacchetti.
.br
.
.SH "FUNZIONALITÀ AGGIUNTIVE"
Si possono ottenere funzionalità aggiuntive installando uno dei seguenti
pacchetti: \fBapt\fP, \fBaptitude\fP e \fBdebsums\fP.
.
.SH "VEDERE ANCHE"
\fBaptitude\fP(1), \fBapt\fP(1), \fBdselect\fP(1), \fBdpkg\-deb\fP(1), \fBdpkg\-query\fP(1),
\fBdeb\fP(5), \fBdeb\-control\fP(5), \fBdpkg.cfg\fP(5) e \fBdpkg\-reconfigure\fP(8).
.
.SH AUTORI
Vedere \fI%PKGDOCDIR%/THANKS\fP per l'elenco delle persone che hanno
contribuito a \fBdpkg\fP.
