.\" dpkg manual page - deb-control(5)
.\"
.\" Copyright © 1995 Raul Miller, Ian Jackson, Ian Murdock
.\" Copyright © 1999 Ben Collins <bcollins@debian.org>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2007-2011, 2013-2015 Guillem Jover <guillem@debian.org>
.\" Copyright © 2008-2012 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH deb\-control 5 %RELEASE_DATE% %VERSION% "dpkg suite"
.ad l
.nh
.SH 名前
deb\-control \- Debian binary packages' master control file format
.
.SH 書式
control
.
.SH 説明
Each Debian binary package contains the master \fIcontrol\fP file, which
contains a number of fields.  Each field begins with a tag, such as
\fBPackage\fP or \fBVersion\fP (case insensitive), followed by a colon, and the
body of the field.  Fields are delimited only by field tags. In other words,
field text may be multiple lines in length, but the installation tools will
generally join lines when processing the body of the field (except in the
case of the \fBDescription\fP field, see below).
.
.SH FIELDS
.TP 
\fBPackage:\fP \fIpackage\-name\fP (required)
このフィールドの値によってパッケージ名が決まる。またインストールを行うツールの大半によって、ファイル名を生成するために使用される。
.TP 
\fBPackage\-Type:\fP \fBdeb\fP|\fBudeb\fP|\fItype\fP
This field defines the type of the package.  \fBudeb\fP is for size\-constrained
packages used by the debian installer.  \fBdeb\fP is the default value, it is
assumed if the field is absent.  More types might be added in the future.
.TP 
\fBVersion:\fP \fIversion\-string\fP (required)
Typically, this is the original package's version number in whatever form
the program's author uses. It may also include a Debian revision number (for
non\-native packages). The exact format and sorting algorithm are described
in \fBdeb\-version\fP(7).
.TP 
\fBMaintainer:\fP \fIfullname\-email\fP (recommended)
Should be in the format “Joe Bloggs <jbloggs@foo.com>”, and is
typically the person who created the package, as opposed to the author of
the software that was packaged.
.TP 
\fBDescription:\fP \fIshort\-description\fP (recommended)
.TQ
\fB \fP\fI長い説明\fP
.br
The format for the package description is a short brief summary on the first
line (after the \fBDescription\fP field). The following lines should be used as
a longer, more detailed description. Each line of the long description must
be preceded by a space, and blank lines in the long description must contain
a single ‘\fB.\fP’ following the preceding space.
.TP 
\fBSection:\fP\fI セクション\fP
This is a general field that gives the package a category based on the
software that it installs.  Some common sections are \fButils\fP, \fBnet\fP,
\fBmail\fP, \fBtext\fP, \fBx11\fP, etc.
.TP 
\fBPriority:\fP\fI priority\fP
Sets the importance of this package in relation to the system as a whole.
Common priorities are \fBrequired\fP, \fBstandard\fP, \fBoptional\fP, \fBextra\fP, etc.
.LP
The \fBSection\fP and \fBPriority\fP fields usually have a defined set of accepted
values based on the specific distribution policy.
.
.TP 
\fBInstalled\-Size:\fP size
The approximate total size of the package's installed files, in KiB units.
.
.TP 
\fBEssential:\fP \fByes\fP|\fBno\fP
このフィールドは通常 \fByes\fP に設定する場合だけ必要とされ、パッケージがシステムを適切に稼働させる上で必須であることを示す。dpkg
を含むインストールを行うツールは、(少なくとも強制オプションのいずれかを用いない限り) \fBEssential\fP パッケージの削除を許可しない。
.TP 
\fBBuild\-Essential:\fP \fByes\fP|\fBno\fP
This field is usually only needed when the answer is \fByes\fP, and is commonly
injected by the archive software.  It denotes a package that is required
when building other packages.
.TP 
\fBArchitecture:\fP \fIarch\fP|\fBall\fP (recommended)
The architecture specifies which type of hardware this package was compiled
for.  Common architectures are \fBamd64\fP, \fBarmel\fP, \fBi386\fP, \fBpowerpc\fP,
etc.  Note that the \fBall\fP value is meant for packages that are architecture
independent.  Some examples of this are shell and Perl scripts, and
documentation.
.TP 
\fBOrigin:\fP\fI ディストリビューション名\fP
パッケージの起源となったディストリビューション名。
.TP 
\fBBugs:\fP\fI url\fP
パッケージのバグトラッキングシステムの \fIurl\fP。現在使われている形式は、\fBdebbugs://bugs.debian.org\fP のような
\fIbts\-type\fP\fB://\fP\fIbts_address\fP 形式である。
.TP 
\fBHomepage:\fP\fI url\fP
アップストリームのプロジェクトのホームページ \fIurl\fP。
.TP 
\fBTag:\fP\fI タグのリスト\fP
パッケージの品質を示すタグのリスト。サポートされているタグの一覧と説明は、\fBdebtags\fP パッケージを参照のこと。
.TP 
\fBMulti\-Arch:\fP \fBno\fP|\fBsame\fP|\fBforeign\fP|\fBallowed\fP
This field is used to indicate how this package should behave on a
multi\-arch installations.
.RS
.TP 
\fBno\fP
This value is the default when the field is omitted, in which case adding
the field with an explicit \fBno\fP value is generally not needed.
.TP 
\fBsame\fP
This package is co\-installable with itself, but it must not be used to
satisfy the dependency of any package of a different architecture from
itself.
.TP 
\fBforeign\fP
This package is not co\-installable with itself, but should be allowed to
satisfy a non\-arch\-qualified dependency of a package of a different arch
from itself (if a dependency has an explicit arch\-qualifier then the value
\fBforeign\fP is ignored).
.TP 
\fBallowed\fP
This allows reverse\-dependencies to indicate in their \fBDepends\fP field that
they accept this package from a foreign architecture by qualifying the
package name with \fB:any\fP, but has no effect otherwise.
.RE
.TP 
\fBSource:\fP \fIsource\-name\fP [\fB(\fP\fIsource\-version\fP\fB)\fP]
The name of the source package that this binary package came from, if it is
different than the name of the package itself.  If the source version
differs from the binary version, then the \fIsource\-name\fP will be followed by
a \fIsource\-version\fP in parenthesis.  This can happen for example on a
binary\-only non\-maintainer upload, or when setting a different binary
version via «\fBdpkg\-gencontrol \-v\fP».
.TP 
\fBSubarchitecture:\fP\fI value\fP
.TQ
\fBKernel\-Version:\fP\fI value\fP
.TQ
\fBInstaller\-Menu\-Item:\fP\fI value\fP
これらのフィールドは、debian\-installer
によって用いられるもので、通常は不要である。詳細については、\fBdebian\-installer\fP
パッケージに含まれている/usr/share/doc/debian\-installer/devel/modules.txt を参照のこと

.TP 
\fBDepends:\fP\fI パッケージのリスト\fP
List of packages that are required for this package to provide a non\-trivial
amount of functionality. The package maintenance software will not allow a
package to be installed if the packages listed in its \fBDepends\fP field
aren't installed (at least not without using the force options).  In an
installation, the postinst scripts of packages listed in \fBDepends\fP fields
are run before those of the packages which depend on them. On the opposite,
in a removal, the prerm script of a package is run before those of the
packages listed in its \fBDepends\fP field.
.TP 
\fBPre\-Depends:\fP\fI パッケージのリスト\fP
パッケージのインストール前にインストールされ、\fBかつ\fP設定済でなければならないパッケージのリスト。このフィールドは、通常あるパッケージが他のパッケージをpreinst
スクリプトで必要とする際に用いられる。
.TP 
\fBRecommends:\fP\fI パッケージのリスト\fP
例外的な場合を除き、このパッケージと共にインストールした方がよいパッケージのリスト。\fBRecommends\fP
フィールドに列挙されているパッケージ抜きでパッケージをインストールしようとすると、パッケージ管理ソフトウェアは警告を発する。
.TP 
\fBSuggests:\fP\fI パッケージのリスト\fP
このパッケージと関係があり、利便性を向上させることができるが、インストールしなくても構わないパッケージのリスト。
.LP
The syntax of \fBDepends\fP, \fBPre\-Depends\fP, \fBRecommends\fP and \fBSuggests\fP
fields is a list of groups of alternative packages. Each group is a list of
packages separated by vertical bar (or “pipe”) symbols, ‘\fB|\fP’.  The groups
are separated by commas.  Commas are to be read as “AND”, and pipes as “OR”,
with pipes binding more tightly.  Each package name is optionally followed
by an architecture qualifier appended after a colon ‘\fB:\fP’, optionally
followed by a version number specification in parentheses.
.LP
An architecture qualifier name can be a real Debian architecture name (since
dpkg 1.16.5) or \fBany\fP (since dpkg 1.16.2).  If omitted, the default is the
current binary package architecture.  A real Debian architecture name will
match exactly that architecture for that package name, \fBany\fP will match any
architecture for that package name if the package has been marked as
\fBMulti\-Arch: allowed\fP.
.LP
A version number may start with a ‘\fB>>\fP’, in which case any later
version will match, and may specify or omit the Debian packaging revision
(separated by a hyphen).  Accepted version relationships are ‘\fB>>\fP’
for greater than, ‘\fB<<\fP’ for less than, ‘\fB>=\fP’ for greater
than or equal to, ‘\fB<=\fP’ for less than or equal to, and ‘\fB=\fP’ for
equal to.
.TP 
\fBBreaks:\fP\fI パッケージのリスト\fP
パッケージが依存している機能のバグを顕在化させてしまうなどで、パッケージを機能不全に陥れてしまうパッケージのリスト。パッケージ管理ソフトウェアは、こうしたパッケージを設定できないようにしている。一般的には、\fBBreaks\fP
フィールドに設定されているパッケージのアップグレードが解決策となる。
.TP 
\fBConflicts:\fP\fI パッケージのリスト\fP
同じ名前のファイルが存在しているなどで、このパッケージと競合するパッケージのリスト。パッケージ管理ソフトウェアは、競合しているパッケージを同時にインストールできないようにしている。競合しているパッケージ同士は、互いに相手を
\fBConflicts\fP 行に設定しておくべきである。
.TP 
\fBReplaces:\fP\fI パッケージのリスト\fP
このパッケージによって置き換えられるファイルを含むパッケージのリスト。このパッケージと競合するパッケージに同じ名前のファイルが含まれている際に、他のパッケージのファイルを上書きできるようにするために用いられる。通常、他のパッケージを強制的に削除するため
\fBConflicts\fP フィールドも併せて設定される。
.LP
The syntax of \fBBreaks\fP, \fBConflicts\fP and \fBReplaces\fP is a list of package
names, separated by commas (and optional whitespace).  In the \fBBreaks\fP and
\fBConflicts\fP fields, the comma should be read as “OR”.  An optional
architecture qualifier can also be appended to the package name with the
same syntax as above, but the default is \fBany\fP instead of the binary
package architecture.  An optional version can also be given with the same
syntax as above for the \fBBreaks\fP, \fBConflicts\fP and \fBReplaces\fP fields.
.
.TP 
\fBEnhances:\fP\fI パッケージのリスト\fP
This is a list of packages that this one enhances.  It is similar to
\fBSuggests\fP but in the opposite direction.
.TP 
\fBProvides:\fP\fI パッケージのリスト\fP
This is a list of virtual packages that this one provides.  Usually this is
used in the case of several packages all providing the same service.  For
example, sendmail and exim can serve as a mail server, so they provide a
common package (“mail\-transport\-agent”) on which other packages can depend.
This will allow sendmail or exim to serve as a valid option to satisfy the
dependency.  This prevents the packages that depend on a mail server from
having to know the package names for all of them, and using ‘\fB|\fP’ to
separate the list.
.LP
The syntax of \fBProvides\fP is a list of package names, separated by commas
(and optional whitespace).  An optional architecture qualifier can also be
appended to the package name with the same syntax as above.  If omitted, the
default is the current binary package architecture.  An optional exact
(equal to) version can also be given with the same syntax as above (honored
since dpkg 1.17.11).
.
.TP 
\fBBuilt\-Using:\fP\fI パッケージのリスト\fP
This field lists extra source packages that were used during the build of
this binary package.  This is an indication to the archive maintenance
software that these extra source packages must be kept whilst this binary
package is maintained.  This field must be a list of source package names
with strict ‘\fB=\fP’ version relationships.  Note that the archive maintenance
software is likely to refuse to accept an upload which declares a
\fBBuilt\-Using\fP relationship which cannot be satisfied within the archive.
.
.TP 
\fBBuilt\-For\-Profiles:\fP\fI profile\-list (obsolete)\fP
This field used to specify a whitespace separated list of build profiles
that this binary packages was built with (since dpkg 1.17.2 until 1.18.18).
The information previously found in this field can now be found in the
\&\fB.buildinfo\fP file, which supersedes it.
.
.TP 
\fBAuto\-Built\-Package:\fP\fI reason\-list\fP
This field specifies a whitespace separated list of reasons why this package
was auto\-generated.  Binary packages marked with this field will not appear
in the \fIdebian/control\fP master source control file.  The only currently
used reason is \fBdebug\-symbols\fP.
.
.TP 
\fBBuild\-Ids:\fP\fI elf\-build\-id\-list\fP
This field specifies a whitespace separated list of ELF build\-ids. These are
unique identifiers for semantically identical ELF objects, for each of these
within the package.
.
The format or the way to compute each build\-id is not defined by design.
.
.SH 例
.\" .RS
.nf
Package: grep
Essential: yes
Priority: required
Section: base
Maintainer: Wichert Akkerman <wakkerma@debian.org>
Architecture: sparc
Version: 2.4\-1
Pre\-Depends: libc6 (>= 2.0.105)
Provides: rgrep
Conflicts: rgrep
Description: GNU grep, egrep and fgrep.
 The GNU family of grep utilities may be the "fastest grep in the west".
 GNU grep is based on a fast lazy\-state deterministic matcher (about
 twice as fast as stock Unix egrep) hybridized with a Boyer\-Moore\-Gosper
 search for a fixed string that eliminates impossible text from being
 considered by the full regexp matcher without necessarily having to
 look at every character. The result is typically many times faster
 than Unix grep or egrep. (Regular expressions containing backreferencing
 will run more slowly, however).
.fi
.\" .RE
.
.SH バグ
The \fBBuild\-Ids\fP field uses a rather generic name out of its original
context within an ELF object, which serves a very specific purpose and
executable format.
.
.SH 関連項目
\fBdeb\-src\-control\fP(5), \fBdeb\fP(5), \fBdeb\-version\fP(7), \fBdebtags\fP(1),
\fBdpkg\fP(1), \fBdpkg\-deb\fP(1).
