.\" dpkg manual page - deb-substvars(5)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006-2009,2012-2015 Guillem Jover <guillem@debian.org>
.\" Copyright © 2009-2010 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH deb\-substvars 5 %RELEASE_DATE% %VERSION% "dpkg suite"
.ad l
.nh
.SH 名前
deb\-substvars \- Debian ソースにおける変数
.
.SH 書式
substvars
.
.SH 説明
\fBdpkg\-source\fP, \fBdpkg\-gencontrol\fP, \fBdpkg\-genchanges\fP が制御情報を
(\fBdpkg\-source\fP 用のソース制御ファイル \fB.dsc\fP 、\fBdpkg\-gencontrol\fP や \fBdpkg\-genchanges\fP
の標準出力に) 書き出す際に、変数の置換が行われる。

A variable substitution has the form \fB${\fP\fIvariable\-name\fP\fB}\fP.  Variable
names consist of alphanumerics (a\-zA\-Z0\-9), hyphens (\-) and colons (:) and
start with an alphanumeric, and are case\-sensitive, even though they might
refer to other entities which are case\-preserving.  Variable substitutions
are performed repeatedly until none are left; the full text of the field
after the substitution is rescanned to look for more substitutions.

置換がすべて完了した後で、文字列 \fB${}\fP (これは置換対象ではない) が \fB$\fP 記号に置き換えられる。

変数の置換は、すべての制御フィールドに対して行われるが、フィールドによっては変数が置換される前のビルド段階で用いられるものがある。そのため、\fBPackage\fP,
\fBSource\fP, \fBArchitecture\fP フィールドで変数を用いてはならない。

変数の置換は、各フィールドが解析され、切り出された後の内容に対して行われる。そのため、置換した結果が複数行にわたる場合も、改行の後にスペースを含めておく必要はない。これは、置換された変数の内容がフィールドに展開される際に暗黙的に行われる。例えば
"foo is bar.${Newline}foo is great." という内容が \fB${Description}\fP
という変数に格納されており、フィールドの内容が以下のようになっていた場合、

 Description: foo application
  ${Description}
  .
  More text.

置換後の結果は次のようになる:

 Description: foo application
  foo is bar.
  foo is great.
  .
  More text.

共通オプション \fB\-V\fP により変数を設定することが可能である。debian/substvars ファイル (もしくは \fB\-T\fP
オプションで指定したファイル中) で設定してもよい。このファイルには \fIname\fP\fB=\fP\fIvalue\fP
形式の行から構成する。行末の空白文字、空白行、\fB#\fP 記号から始まる行 (コメント行) は無視される。

その他に、以下の標準変数を使用することができる:
.TP 
\fBArch\fP
The current host architecture (i.e. the architecture the package is being
built for, the equivalent of \fBDEB_HOST_ARCH\fP).
.TP 
\fBsource:Version\fP
The source package version (since dpkg 1.13.19).
.TP 
\fBsource:Upstream\-Version\fP
The upstream source package version, including the Debian version epoch if
any (since dpkg 1.13.19).
.TP 
\fBbinary:Version\fP
The binary package version (which may differ from \fBsource:Version\fP in a
binNMU for example; since dpkg 1.13.19).
.TP 
\fBSource\-Version\fP
The source package version (from the changelog file). This variable is now
\fBobsolete\fP and emits an error when used as its meaning is different from
its function, please use the \fBsource:Version\fP or \fBbinary:Version\fP as
appropriate.
.TP 
\fBsource:Synopsis\fP
The source package synopsis, extracted from the source stanza \fBDescription\fP
field, if it exists (since dpkg 1.19.0).
.TP 
\fBsource:Extended\-Description\fP
The source package extended description, extracted from the source stanza
\fBDescription\fP field, if it exists (since dpkg 1.19.0).
.TP 
\fBInstalled\-Size\fP
The approximate total size of the package's installed files. This value is
copied into the corresponding control file field; setting it will modify the
value of that field. If this variable is not set \fBdpkg\-gencontrol\fP will
compute the default value by accumulating the size of each regular file and
symlink rounded to 1 KiB used units, and a baseline of 1 KiB for any other
filesystem object type.  With hardlinks only being counted once as a regular
file.

\fBNote:\fP Take into account that this can only ever be an approximation, as
the actual size used on the installed system will depend greatly on the
filesystem used and its parameters, which might end up using either more or
less space than the specified in this field.
.TP 
\fBExtra\-Size\fP
パッケージのインストール時に追加で用いられるディスク領域。この変数が設定されていると、\fBInstalled\-Size\fP 変数の値
(明示的に設定されたものか、デフォルト値かは問わない) に本変数の値を足した値が control ファイルの
\fBInstalled\-Size\fPフィールドに適用される。
.TP 
\fBS:\fP\fIfieldname\fP
The value of the source stanza field \fIfieldname\fP (which must be given in
the canonical capitalisation; since dpkg 1.18.11).  Setting these variables
has no effect other than on places where they are expanded explicitly.
These variables are only available when generating binary control files.
.TP 
\fBF:\fP\fIfieldname\fP
\fIfieldname\fP というフィールド (大文字で指定する必要がある) の値。この変数は、展開する箇所を明示的に指定するという以上の意味を持たない。
.TP 
\fBFormat\fP
ソースパッケージングスクリプトによって生成される \fB.changes\fP
ファイルのフォーマットのバージョン。この変数を設定すると、\fB.changes\fP ファイルの \fBFormat\fP フィールドの内容も変更される。
.TP 
\fBNewline\fP, \fBSpace\fP, \fBTab\fP
これらの変数は、各々対応する文字を示す。
.TP 
\fBshlibs:\fP\fIdependencyfield\fP
この形式の名前のついた変数は、\fBdpkg\-shlibdeps\fP により生成される。
.TP 
\fBdpkg:Upstream\-Version\fP
The upstream version of dpkg (since dpkg 1.13.19).
.TP 
\fBdpkg:Version\fP
The full version of dpkg (since dpkg 1.13.19).
.LP
変数が定義されていないにもかかわらず参照されている場合は、値として空文字列が想定されるとともに、警告が生成される。
.
.SH ファイル
.TP 
\fBdebian/substvars\fP
変数およびその値のリスト。
.
.SH 関連項目
\fBdpkg\fP(1), \fBdpkg\-genchanges\fP(1), \fBdpkg\-gencontrol\fP(1),
\fBdpkg\-shlibdeps\fP(1), \fBdpkg\-source\fP(1).
