.\" dpkg manual page - deb-triggers(5)
.\"
.\" Copyright © 2008, 2013-2015 Guillem Jover <guillem@debian.org>
.\" Copyright © 2011, 2014 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH deb\-triggers 5 %RELEASE_DATE% %VERSION% "dpkg suite"
.ad l
.nh
.SH 名前
deb\-triggers \- パッケージトリガ
.
.SH 書式
triggers
.
.SH 説明
パッケージは、 control アーカイブ内に \fItriggers\fP ファイル (つまりはパッケージ生成の際の \fIDEBIAN/triggers\fP
など) を含めることで、トリガに対する関連付けを定義する。
.PP
このファイルには、各行ごとに 1 つのディレクティブが含まれる。行頭及び行末の空白文字と、\fB#\fP 以降の記載および空行は無視される。
.PP
現在サポートされているトリガ制御ディレクティブを以下に示す:
.TP 
\fBinterest\fP \fItrigger\-name\fP
.TQ
\fBinterest\-await\fP \fItrigger\-name\fP
.TQ
\fBinterest\-noawait\fP \fItrigger\-name\fP
.IP
Specifies that the package is interested in the named trigger. All triggers
in which a package is interested must be listed using this directive in the
triggers control file.
.IP
The “await” variants put the triggering package in triggers\-awaited state
depending on how the trigger was activated.  The “noawait” variant does not
put the triggering packages in triggers\-awaited state, even if the
triggering package declared an “await” activation (either with an
\fBactivate\-await\fP or \fBactivate\fP directive, or by using the \fBdpkg\-trigger\fP
\fB\-\-no\-await\fP command\-line option).  The “noawait” variant should be used
when the functionality provided by the trigger is not crucial.
.TP 
\fBactivate\fP \fItrigger\-name\fP
.TQ
\fBactivate\-await\fP \fItrigger\-name\fP
.TQ
\fBactivate\-noawait\fP \fItrigger\-name\fP
.IP
Arranges that changes to this package's state will activate the specified
trigger. The trigger will be activated at the start of the following
operations: unpack, configure, remove (including for the benefit of a
conflicting package), purge and deconfigure.
.IP
The “await” variants only put the triggering package in triggers\-awaited
state if the interest directive is also “await”.  The “noawait” variant
never puts the triggering packages in triggers\-awaited state.  The “noawait”
variant should be used when the functionality provided by the trigger is not
crucial.
.IP
他のパッケージを unpack
している最中に本パッケージが削除された場合、unpack終了時に削除が確認された際に、トリガが有効化される。トリガ処理自体やtriggers\-awaited
から installed への状態変化により、トリガが有効化されることはない。unpack
の場合、パッケージの旧バージョンと新バージョンの両方で定義されているトリガが有効化される。
.PP
不明なディレクティブがあるとエラーが発生し、パッケージのインストールが失敗する。
.PP
The “\-noawait” variants should always be favored when possible since
triggering packages are not put in triggers\-awaited state and can thus be
immediately configured without requiring the processing of the trigger.  If
the triggering packages are dependencies of other upgraded packages, it will
avoid an early trigger processing run and make it possible to run the
trigger only once as one of the last steps of the upgrade.
.PP
The “\-noawait” variants are supported since dpkg 1.16.1, and will lead to
errors if used with an older dpkg.
.PP
The “\-await” alias variants are supported since dpkg 1.17.21, and will lead
to errors if used with an older dpkg.
.PP
When a package provides an \fBinterest\-noawait\fP directive, any activation
will set the triggering package into “noawait” mode, regardless of the
awaiting mode requested by the activation (either “await” or “noawait”).
When a package provides an \fBinterest\fP or \fBinterest\-await\fP directive, any
activation will set the triggering package into “await” or “noawait“
depending on how it was activated.
.
.SH 関連項目
.\" FIXME: Unhardcode the pathname, and use dpkg instead of dpkg-dev.
\fBdpkg\-trigger\fP(1), \fBdpkg\fP(1), \fB/usr/share/doc/dpkg\-dev/triggers.txt.gz\fP.
