.\" dpkg manual page - deb-version(7)
.\"
.\" Copyright © 1996-1998 Ian Jackson and Christian Schwarz
.\"   for parts of the text reused from the Debian Policy
.\" Copyright © 2007 Frank Lichtenheld <djpig@debian.org>
.\" Copyright © 2011, 2013, 2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH deb\-version 7 %RELEASE_DATE% %VERSION% "dpkg suite"
.ad l
.nh
.SH 名前
deb\-version \- Debian パッケージのバージョン番号の形式
.
.SH 書式
[\fIepoch\fP\fB:\fP]\fIupstream\-version\fP[\fB\-\fP\fIdebian\-revision\fP]
.SH 説明
Debian バイナリおよびソースパッケージで用いられているバージョン番号は、以下の 3 つの要素からなっている:
.TP 
\fIepoch\fP
これは一桁の (通常小さい) 符号なし整数であり、0 の場合は省略してよい。省略した時には、\fIupstream\-version\fP
にコロンを含めてはならない。
.IP
\fIepoch\fP
は、パッケージの古いバージョンにおけるバージョン番号の誤りを許容すると共に、パッケージの以前のバージョンにおける番号体系をそのまま残しておくために提供されている。
.TP 
\fIupstream\-version\fP
This is the main part of the version number.  It is usually the version
number of the original (“upstream”)  package from which the \fI.deb\fP file has
been made, if this is applicable.  Usually this will be in the same format
as that specified by the upstream author(s); however, it may need to be
reformatted to fit into the package management system's format and
comparison scheme.
.IP
パッケージ管理システムが \fIupstream\-version\fP 間で比較を行う際の挙動については後述する。バージョン番号には、必ず
\fIupstream\-version\fP 部分がなければならない。
.IP
The \fIupstream\-version\fP may contain only alphanumerics (“A\-Za\-z0\-9”) and the
characters \fB.\fP \fB+\fP \fB\-\fP \fB:\fP \fB~\fP (full stop, plus, hyphen, colon, tilde)
and should start with a digit.  If there is no \fIdebian\-revision\fP then
hyphens are not allowed; if there is no \fIepoch\fP then colons are not
allowed.
.TP 
\fIdebian\-revision\fP
バージョン番号のこの部分では、upstream\-version に基づく Debian パッケージとしてのバージョン (リビジョン)
を指定する。これには英数字と文字 \fB+\fP \fB.\fP \fB~\fP (プラス、ピリオド、チルダ)
のみが許容される。比較については、\fIupstream\-version\fP と同様に行われる。
.IP
It is optional; if it isn't present then the \fIupstream\-version\fP may not
contain a hyphen.  This format represents the case where a piece of software
was written specifically to be turned into a Debian package, and so there is
only one “debianization” of it and therefore no revision indication is
required.
.IP
It is conventional to restart the \fIdebian\-revision\fP at ‘1’ each time the
\fIupstream\-version\fP is increased.
.IP
dpkg はバージョン番号文字列を、最後のハイフンの前後で \fIupstream\-version\fP と\fIdebian\-revision\fP とに分割する
(ハイフンがある場合)。\fIdebian\-revision\fP が存在しない場合は、存在する場合よりも小さいとみなされる
(ただし、debian\-revisionは、バージョン番号を構成する要素のうち、もっとも右の部分であることに留意)。
.SS "Sorting algorithm"
パッケージ管理システムは、同じアルゴリズムを用いて \fIupstream\-version\fP や \fIdebian\-revision\fP 同士を比較する。
.PP
文字列は左から右に順に比較される。
.PP
First the initial part of each string consisting entirely of non\-digit
characters is determined.  These two parts (one of which may be empty) are
compared lexically.  If a difference is found it is returned.  The lexical
comparison is a comparison of ASCII values modified so that all the letters
sort earlier than all the non\-letters and so that a tilde sorts before
anything, even the end of a part.  For example, the following parts are in
sorted order: ‘~~’, ‘~~a’, ‘~’, the empty part, ‘a’.
.PP
次に、双方の文字列の残りの部分の先頭から数字の部分が切り出され、数値として比較される。相違点が検出された場合は、それが比較結果として返却される。空文字列
(比較されるバージョン文字列の末尾以外に存在することはない) は、比較時には 0 として扱われる。
.PP
このステップ (先頭の数字以外の文字列と数字を順に切り出して比較していく) を、相違点が確認されるか、双方の文字列の終端に達するまで繰り返す。
.PP
Note that the purpose of epochs is to allow us to leave behind mistakes in
version numbering, and to cope with situations where the version numbering
scheme changes.  It is \fBnot\fP intended to cope with version numbers
containing strings of letters which the package management system cannot
interpret (such as ‘ALPHA’ or ‘pre\-’), or with silly orderings.
.SH 参考
The tilde character and its special sorting properties were introduced in
dpkg 1.10 and some parts of the dpkg build scripts only gained support for
it later in the 1.10.x series.
.SH 関連項目
\fBdeb\-control\fP(5), \fBdeb\fP(5), \fBdpkg\fP(1)
