.\" dpkg manual page - deb(5)
.\"
.\" Copyright © 1995 Raul Miller
.\" Copyright © 1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006-2017 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH deb 5 %RELEASE_DATE% %VERSION% "dpkg suite"
.ad l
.nh
.SH 名前
deb \- Debian バイナリパッケージ形式
.SH 書式
\fIfilename\fP\fB.deb\fP
.SH 説明
The \fB.deb\fP format is the Debian binary package file format. It is
understood since dpkg 0.93.76, and is generated by default since dpkg 1.2.0
and 1.1.1elf (i386/ELF builds).
.PP
このマニュアルで説明する形式は Debian 0.93 から使用されている。古い形式の詳細については \fBdeb\-old\fP(5) を参照のこと。
.SH フォーマット
このファイルは \fB!<arch>\fP というマジックナンバーを持つ \fBar\fP アーカイブである。一般的な \fBar\fP
アーカイブ形式のみがサポートされているため長いファイル名はサポートされていないが、ファイル名が (本来許可されている 16 文字のうち) 15
文字以内の場合、末尾にスラッシュを付けることができる。ファイルサイズは、ASCII の 10 進数で 10 桁以内となっており、約 9536.74
MiB のメンバファイルを扱うことができる。
.PP
The \fBtar\fP archives currently allowed are, the old\-style (v7) format, the
pre\-POSIX ustar format, a subset of the GNU format (new style long pathnames
and long linknames, supported since dpkg 1.4.1.17; large file metadata since
dpkg 1.18.24), and the POSIX ustar format (long names supported since dpkg
1.15.0).  Unrecognized tar typeflags are considered an error.  Each tar
entry size inside a tar archive is limited to 11 ASCII octal digits,
allowing for up to 8 GiB tar entries.  The GNU large file metadata support
permits 95\-bit tar entry sizes and negative timestamps, and 63\-bit UID, GID
and device numbers.
.PP
アーカイブの 1 番目のファイルは \fBdebian\-binary\fP
である。このファイルは、改行で区切られた何行かからなるが、本マニュアルページが書かれた時点では、形式のバージョン番号である \fB2.0\fP が書かれた 1
行のみが存在している。新しい形式のアーカイブを読み込むプログラムは、マイナーバージョン番号の増加や、新しい行の追加に対応すべきである。その際には、これらを無視すること。
.PP
メジャーバージョン番号が変更されている場合は、互換性のない変更がされているとみなし、プログラムは停止すべきである。メジャーバージョンが変更されていない場合は、以下で説明するように、アーカイブに予期しないファイルが含まれていない限り
(アーカイブ末尾に含まれる場合を除く)、プログラムは安全に実行を継続できる必要がある。
.PP
The second required member is named \fBcontrol.tar\fP.  It is a tar archive
containing the package control information, either not compressed (supported
since dpkg 1.17.6), or compressed with gzip (with \fB.gz\fP extension) or xz
(with \fB.xz\fP extension, supported since 1.17.6), as a series of plain files,
of which the file \fBcontrol\fP is mandatory and contains the core control
information, the \fBconffiles\fP, \fBtriggers\fP, \fBshlibs\fP and \fBsymbols\fP files
contain optional control information, and the \fBpreinst\fP, \fBpostinst\fP,
\fBprerm\fP and \fBpostrm\fP files are optional maintainer scripts.  The control
tarball may optionally contain an entry for ‘\fB.\fP’, the current directory.
.PP
3 番目となる最後の必須ファイルは \fBdata.tar\fP である。このファイルは、ファイルシステムツリーが格納された tar
アーカイブである。ファイルは、gzip (拡張子 \fB.gz\fP)、xz (拡張子 \fB.xz\fP 、dpkg 1.15.6以降でサポート)、bzip2
(拡張子 \fB.bz2\fP、dpkg 1.10.24以降でサポート)、lzma (拡張子 \fB.lzma\fP、dpkg 1.13.25 以降でサポート)
により圧縮される場合もあるが、非圧縮のまま (dpkg 1.10.24 以降でサポート) の場合もある。
.PP
These members must occur in this exact order. Current implementations should
ignore any additional members after \fBdata.tar\fP.  Further members may be
defined in the future, and (if possible) will be placed after these
three. Any additional members that may need to be inserted after
\fBdebian\-binary\fP and before \fBcontrol.tar\fP or \fBdata.tar\fP and which should
be safely ignored by older programs, will have names starting with an
underscore, ‘\fB_\fP’.
.PP
安全に無視させることのできない、アンダースコア以外の文字で始まる名前のファイルが \fBdata.tar\fP
の前に追加されるかも知れないが、その場合は、(おそらく) メジャーバージョンアップとなるだろう。
.SH "MEDIA TYPE"
.SS Current
application/vnd.debian.binary\-package
.SS Deprecated
application/x\-debian\-package
.br
application/x\-deb
.SH 関連項目
\fBdeb\-old\fP(5), \fBdpkg\-deb\fP(1), \fBdeb\-control\fP(5), \fBdeb\-conffiles\fP(5)
\fBdeb\-triggers\fP(5), \fBdeb\-shlibs\fP(5), \fBdeb\-symbols\fP(5), \fBdeb\-preinst\fP(5),
\fBdeb\-postinst\fP(5), \fBdeb\-prerm\fP(5), \fBdeb\-postrm\fP(5).
