.\" dpkg manual page - dpkg-buildflags(1)
.\"
.\" Copyright © 2010-2011 Raphaël Hertzog <hertzog@debian.org>
.\" Copyright © 2011 Kees Cook <kees@debian.org>
.\" Copyright © 2011-2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-buildflags 1 %RELEASE_DATE% %VERSION% "dpkg suite"
.ad l
.nh
.SH 名前
パッケージのビルドの際に用いられるビルドフラグを返却する
.
.SH 書式
\fBdpkg\-buildflags\fP [\fIoption\fP...] [\fIcommand\fP]
.
.SH 説明
\fBdpkg\-buildflags\fP は、Debian パッケージのビルドの際に用いられるコンパイルオプションを示すツールである。
.
デフォルトのフラグはベンダによって定義されるが、いくつかの方法によって上書きすることができる。
.IP 1.
システムワイドな \fB%PKGCONFDIR%/buildflags.conf\fP
.IP 2.
現在のユーザの \fB$XDG_CONFIG_HOME/dpkg/buildflags.conf\fP。\fB$XDG_CONFIG_HOME\fPのデフォルトは
\fB$HOME/.config\fP である。
.IP 3.
ユーザ毎に一時的に設定される環境変数の値 (\fB環境変数\fP セクションを参照のこと)。
.IP 4.
パッケージのメンテナによって \fBdebian/rules\fPで設定された環境変数の値 (\fB環境変数\fP セクションを参照のこと)。
.P
The configuration files can contain four types of directives:
.TP 
\fBSET\fP\fI flag value\fP
\fIflag\fP という名前のフラグの値を \fIvalue\fP で上書きする。
.TP 
\fBSTRIP\fP\fI flag value\fP
\fIflag\fP という名前のフラグから、\fIvalue\fP で指定されたビルドフラグを取り除く。
.TP 
\fBAPPEND\fP\fI flag value\fP
\fIflag\fP という名前のフラグに対して、\fIvalue\fP
で指定されたオプションを追加する。対象のフラグに値が設定されている場合は、追加する値の前にスペースを付加すること。
.TP 
\fBPREPEND\fP\fI flag value\fP
\fIflag\fP という名前のフラグに対して \fIvalue\fP
で指定されたオプションを値の先頭部分に付加する。対象のフラグに値が設定されている場合は、追加する値の後ろにスペースを付加すること。
.P
設定ファイルには、ハッシュ (#) から始まるコメント行を含めてもよい。空行は無視される。
.SH コマンド
.TP 
\fB\-\-dump\fP
Print to standard output all compilation flags and their values. It prints
one flag per line separated from its value by an equal sign
(“\fIflag\fP=\fIvalue\fP”). This is the default action.
.TP 
\fB\-\-list\fP
現在のベンダによってサポートされるフラグの一覧を (1 行に 1 つずつ) 出力する。詳細については、\fBサポートされるフラグ\fP
セクションを参照のこと。
.TP 
\fB\-\-status\fP
Display any information that can be useful to explain the behaviour of
\fBdpkg\-buildflags\fP (since dpkg 1.16.5): relevant environment variables,
current vendor, state of all feature flags.  Also print the resulting
compiler flags with their origin.

これは \fBdebian/rules\fP
から実行されることを想定されており、結果として、ビルドのログを用いた、使用されているビルドフラグの明確なトレースが実現する。ビルドフラグに関連した問題を調査するのに有用である。
.TP 
\fB\-\-export=\fP\fIformat\fP
Print to standard output commands that can be used to export all the
compilation flags for some particular tool. If the \fIformat\fP value is not
given, \fBsh\fP is assumed. Only compilation flags starting with an upper case
character are included, others are assumed to not be suitable for the
environment. Supported formats:
.RS
.TP 
\fBsh\fP
Shell commands to set and export all the compilation flags in the
environment. The flag values are quoted so the output is ready for
evaluation by a shell.
.TP 
\fBcmdline\fP
Arguments to pass to a build program's command line to use all the
compilation flags (since dpkg 1.17.0). The flag values are quoted in shell
syntax.
.TP 
\fBconfigure\fP
This is a legacy alias for \fBcmdline\fP.
.TP 
\fBmake\fP
Make directives to set and export all the compilation flags in the
environment. Output can be written to a Makefile fragment and evaluated
using an \fBinclude\fP directive.
.RE
.TP 
\fB\-\-get\fP\fI flag\fP
指定されたフラグの値を標準出力に出力する。フラグが存在している場合は 0、それ以外の場合は 1 が返却される。
.TP 
\fB\-\-origin\fP\fI flag\fP
\fB\-\-get\fP によって返却された値の提供元を表示する。フラグが存在している場合は 0、それ以外の場合は 1 が返却される。origin
は、以下の値のいずれかとなる:
.RS
.TP 
\fBvendor\fP
ベンダによって設定された本来のフラグ
.TP 
\fBsystem\fP
システムワイドな設定ファイルにより設定、変更されたフラグ
.TP 
\fBuser\fP
ユーザ毎の設定により設定、変更されたフラグ
.TP 
\fBenv\fP
環境固有の設定により設定、変更されたフラグ
.RE
.TP 
\fB\-\-query\fP
Print any information that can be useful to explain the behaviour of the
program: current vendor, relevant environment variables, feature areas,
state of all feature flags, and the compiler flags with their origin (since
dpkg 1.19.0).
.IP
For example:
.nf
  Vendor: Debian
  Environment:
   DEB_CFLAGS_SET=\-O0 \-Wall

  Area: qa
  Features:
   bug=no
   canary=no

  Area: reproducible
  Features:
   timeless=no

  Flag: CFLAGS
  Value: \-O0 \-Wall
  Origin: env

  Flag: CPPFLAGS
  Value: \-D_FORTIFY_SOURCE=2
  Origin: vendor
.fi
.TP 
\fB\-\-query\-features\fP\fI area\fP
Print the features enabled for a given area (since dpkg 1.16.2).  The only
currently recognized areas on Debian and derivatives are \fBfuture\fP, \fBqa\fP,
\fBreproducible\fP, \fBsanitize\fP and \fBhardening\fP, see the \fBFEATURE AREAS\fP
section for more details.  Exits with 0 if the area is known otherwise exits
with 1.
.IP
出力は、機能ごとに、1つのセクションが存在する RFC822 形式となる。以下に例を示す:
.IP
.nf
  Feature: pie
  Enabled: yes

  Feature: stackprotector
  Enabled: yes
.fi
.TP 
\fB\-\-help\fP
利用方法を表示して終了する。
.TP 
\fB\-\-version\fP
バージョン情報を表示して終了する。
.
.SH サポートされるフラグ
.TP 
\fBCFLAGS\fP
Options for the C compiler. The default value set by the vendor includes
\fB\-g\fP and the default optimization level (\fB\-O2\fP usually, or \fB\-O0\fP if the
\fBDEB_BUILD_OPTIONS\fP environment variable defines \fInoopt\fP).
.TP 
\fBCPPFLAGS\fP
C プリプロセッサのオプション。デフォルト値: 未定義
.TP 
\fBCXXFLAGS\fP
C++ コンパイラのオプション。\fBCFLAGS\fP と同等
.TP 
\fBOBJCFLAGS\fP
Options for the Objective C compiler. Same as \fBCFLAGS\fP.
.TP 
\fBOBJCXXFLAGS\fP
Options for the Objective C++ compiler. Same as \fBCXXFLAGS\fP.
.TP 
\fBGCJFLAGS\fP
Options for the GNU Java compiler (gcj). A subset of \fBCFLAGS\fP.
.TP 
\fBFFLAGS\fP
Options for the Fortran 77 compiler. A subset of \fBCFLAGS\fP.
.TP 
\fBFCFLAGS\fP
Options for the Fortran 9x compiler. Same as \fBFFLAGS\fP.
.TP 
\fBLDFLAGS\fP
実行ファイルもしくは共有オブジェクトのリンクの際にコンパイラに渡されるオプション (リンカが直接呼び出される場合は、\fB\-Wl\fP および \fB,\fP
がオプションから削除される)。デフォルト値: 未定義
.PP
New flags might be added in the future if the need arises (for example to
support other languages).
.
.SH "FEATURE AREAS"
.P
Each area feature can be enabled and disabled in the \fBDEB_BUILD_OPTIONS\fP
and \fBDEB_BUILD_MAINT_OPTIONS\fP environment variable's area value with the
‘\fB+\fP’ and ‘\fB\-\fP’ modifier.  For example, to enable the \fBhardening\fP “pie”
feature and disable the “fortify” feature you can do this in
\fBdebian/rules\fP:
.P
  export DEB_BUILD_MAINT_OPTIONS=hardening=+pie,\-fortify
.P
The special feature \fBall\fP (valid in any area) can be used to enable or
disable all area features at the same time.  Thus disabling everything in
the \fBhardening\fP area and enabling only “format” and “fortify” can be
achieved with:
.P
  export DEB_BUILD_MAINT_OPTIONS=hardening=\-all,+format,+fortify
.
.SS future
Several compile\-time options (detailed below) can be used to enable features
that should be enabled by default, but cannot due to backwards compatibility
reasons.
.TP 
\fBlfs\fP
This setting (disabled by default) enables Large File Support on 32\-bit
architectures where their ABI does not include LFS by default, by adding
\fB\-D_LARGEFILE_SOURCE \-D_FILE_OFFSET_BITS=64\fP to \fBCPPFLAGS\fP.
.
.SS qa
Several compile\-time options (detailed below) can be used to help detect
problems in the source code or build system.
.TP 
\fBbug\fP
This setting (disabled by default) adds any warning option that reliably
detects problematic source code. The warnings are fatal.  The only currently
supported flags are \fBCFLAGS\fP and \fBCXXFLAGS\fP with flags set to
\fB\-Werror=array\-bounds\fP, \fB\-Werror=clobbered\fP,
\fB\-Werror=implicit\-function\-declaration\fP and
\fB\-Werror=volatile\-register\-var\fP.
.
.TP 
\fBcanary\fP
This setting (disabled by default) adds dummy canary options to the build
flags, so that the build logs can be checked for how the build flags
propagate and to allow finding any omission of normal build flag settings.
The only currently supported flags are \fBCPPFLAGS\fP, \fBCFLAGS\fP, \fBOBJCFLAGS\fP,
\fBCXXFLAGS\fP and \fBOBJCXXFLAGS\fP with flags set to
\fB\-D__DEB_CANARY_\fP\fIflag\fP_\fIrandom\-id\fP\fB__\fP, and \fBLDFLAGS\fP set to
\fB\-Wl,\-z,deb\-canary\-\fP\fIrandom\-id\fP.
.
.SS sanitize
Several compile\-time options (detailed below) can be used to help sanitize a
resulting binary against memory corruptions, memory leaks, use after free,
threading data races and undefined behavior bugs.  \fBNote\fP: these options
should \fBnot\fP be used for production builds as they can reduce reliability
for conformant code, reduce security or even functionality.
.TP 
\fBaddress\fP
This setting (disabled by default) adds \fB\-fsanitize=address\fP to \fBLDFLAGS\fP
and \fB\-fsanitize=address \-fno\-omit\-frame\-pointer\fP to \fBCFLAGS\fP and
\fBCXXFLAGS\fP.
.TP 
\fBthread\fP
This setting (disabled by default) adds \fB\-fsanitize=thread\fP to \fBCFLAGS\fP,
\fBCXXFLAGS\fP and \fBLDFLAGS\fP.
.TP 
\fBleak\fP
This setting (disabled by default) adds \fB\-fsanitize=leak\fP to \fBLDFLAGS\fP. It
gets automatically disabled if either the \fBaddress\fP or the \fBthread\fP
features are enabled, as they imply it.
.TP 
\fBundefined\fP
This setting (disabled by default) adds \fB\-fsanitize=undefined\fP to
\fBCFLAGS\fP, \fBCXXFLAGS\fP and \fBLDFLAGS\fP.
.SS hardening
Several compile\-time options (detailed below) can be used to help harden a
resulting binary against memory corruption attacks, or provide additional
warning messages during compilation.  Except as noted below, these are
enabled by default for architectures that support them.
.TP 
\fBformat\fP
This setting (enabled by default) adds \fB\-Wformat \-Werror=format\-security\fP
to \fBCFLAGS\fP, \fBCXXFLAGS\fP, \fBOBJCFLAGS\fP and \fBOBJCXXFLAGS\fP.  This will warn
about improper format string uses, and will fail when format functions are
used in a way that represent possible security problems. At present, this
warns about calls to \fBprintf\fP and \fBscanf\fP functions where the format
string is not a string literal and there are no format arguments, as in
\fBprintf(foo);\fP instead of \fBprintf("%s", foo);\fP This may be a security hole
if the format string came from untrusted input and contains ‘%n’.
.
.TP 
\fBfortify\fP
This setting (enabled by default) adds \fB\-D_FORTIFY_SOURCE=2\fP to
\fBCPPFLAGS\fP. During code generation the compiler knows a great deal of
information about buffer sizes (where possible), and attempts to replace
insecure unlimited length buffer function calls with length\-limited
ones. This is especially useful for old, crufty code.  Additionally, format
strings in writable memory that contain ‘%n’ are blocked. If an application
depends on such a format string, it will need to be worked around.

Note that for this option to have any effect, the source must also be
compiled with \fB\-O1\fP or higher. If the environment variable
\fBDEB_BUILD_OPTIONS\fP contains \fInoopt\fP, then \fBfortify\fP support will be
disabled, due to new warnings being issued by glibc 2.16 and later.
.TP 
\fBstackprotector\fP
This setting (enabled by default if stackprotectorstrong is not in use) adds
\fB\-fstack\-protector \-\-param=ssp\-buffer\-size=4\fP to \fBCFLAGS\fP, \fBCXXFLAGS\fP,
\fBOBJCFLAGS\fP, \fBOBJCXXFLAGS\fP, \fBGCJFLAGS\fP, \fBFFLAGS\fP and \fBFCFLAGS\fP.  This
adds safety checks against stack overwrites. This renders many potential
code injection attacks into aborting situations. In the best case this turns
code injection vulnerabilities into denial of service or into non\-issues
(depending on the application).

この機能は、glibc (もしくは \fB__stack_chk_fail\fP を提供する他の実装) へのリンクが必要であるため、\fB\-nostdlib\fP
や \fB\-ffreestanding\fP といったオプションでビルドする際には、無効にする必要がある。
.
.TP 
\fBstackprotectorstrong\fP
This setting (enabled by default) adds \fB\-fstack\-protector\-strong\fP to
\fBCFLAGS\fP, \fBCXXFLAGS\fP, \fBOBJCFLAGS\fP, \fBOBJCXXFLAGS\fP, \fBGCJFLAGS\fP, \fBFFLAGS\fP
and \fBFCFLAGS\fP.  This is a stronger variant of \fBstackprotector\fP, but
without significant performance penalties.

Disabling \fBstackprotector\fP will also disable this setting.

This feature has the same requirements as \fBstackprotector\fP, and in addition
also requires gcc 4.9 and later.
.
.TP 
\fBrelro\fP
この設定 (デフォルト有効) は、\fBLDFLAGS\fP に \fB\-Wl,\-z,relro\fP を追加する。プログラムがロードされる際、ELF
メモリセクションの幾つかは、リンカから書き込まれる必要がある。この設定により、ローダはプログラムに制御を引き渡す前に、こうしたセクションを読み取り専用にする。これにより、GOT
を上書きする攻撃の大半が抑止される。このオプションが無効な場合、\fBbindnow\fP も同様に無効となる。
.
.TP 
\fBbindnow\fP
この設定 (デフォルト無効) は \fBLDFLAGS\fP に \fB\-Wl,\-z,now\fP
を追加する。これにより、プログラムがロードされる時点ですべての動的なシンボルが解決されるため、PLT 全体を読み取り専用とすることが可能となる (上の
\fBrelro\fP を参照のこと)。\fBrelro\fP が有効でない場合、このオプションは有効化できない。
.
.TP 
\fBpie\fP
This setting (with no global default since dpkg 1.18.23, as it is enabled by
default now by gcc on the amd64, arm64, armel, armhf, hurd\-i386, i386,
kfreebsd\-amd64, kfreebsd\-i386, mips, mipsel, mips64el, powerpc, ppc64,
ppc64el, riscv64, s390x, sparc and sparc64 Debian architectures) adds the
required options to enable or disable PIE via gcc specs files, if needed,
depending on whether gcc injects on that architecture the flags by itself or
not.  When the setting is enabled and gcc injects the flags, it adds
nothing.  When the setting is enabled and gcc does not inject the flags, it
adds \fB\-fPIE\fP (via \fI%PKGDATADIR%/pie\-compiler.specs\fP) to \fBCFLAGS\fP,
\fBCXXFLAGS\fP, \fBOBJCFLAGS\fP, \fBOBJCXXFLAGS\fP, \fBGCJFLAGS\fP, \fBFFLAGS\fP and
\fBFCFLAGS\fP, and \fB\-fPIE \-pie\fP (via \fI%PKGDATADIR%/pie\-link.specs\fP) to
\fBLDFLAGS\fP.  When the setting is disabled and gcc injects the flags, it adds
\fB\-fno\-PIE\fP (via \fI%PKGDATADIR%/no\-pie\-compile.specs\fP) to \fBCFLAGS\fP,
\fBCXXFLAGS\fP, \fBOBJCFLAGS\fP, \fBOBJCXXFLAGS\fP, \fBGCJFLAGS\fP, \fBFFLAGS\fP and
\fBFCFLAGS\fP, and \fB\-fno\-PIE \-no\-pie\fP (via \fI%PKGDATADIR%/no\-pie\-link.specs\fP)
to \fBLDFLAGS\fP.

Position Independent Executable are needed to take advantage of Address
Space Layout Randomization, supported by some kernel versions. While ASLR
can already be enforced for data areas in the stack and heap (brk and mmap),
the code areas must be compiled as position\-independent. Shared libraries
already do this (\fB\-fPIC\fP), so they gain ASLR automatically, but binary
\&.text regions need to be build PIE to gain ASLR. When this happens, ROP
(Return Oriented Programming) attacks are much harder since there are no
static locations to bounce off of during a memory corruption attack.

PIE is not compatible with \fB\-fPIC\fP, so in general care must be taken when
building shared objects. But because the PIE flags emitted get injected via
gcc specs files, it should always be safe to unconditionally set them
regardless of the object type being compiled or linked.

Static libraries can be used by programs or other shared libraries.
Depending on the flags used to compile all the objects within a static
library, these libraries will be usable by different sets of objects:

.RS
.TP 
none
Cannot be linked into a PIE program, nor a shared library.
.TP 
\fB\-fPIE\fP
Can be linked into any program, but not a shared library (recommended).
.TP 
\fB\-fPIC\fP
Can be linked into any program and shared library.
.RE

.IP
If there is a need to set these flags manually, bypassing the gcc specs
injection, there are several things to take into account. Unconditionally
and explicitly passing \fB\-fPIE\fP, \fB\-fpie\fP or \fB\-pie\fP to a build\-system using
libtool is safe as these flags will get stripped when building shared
libraries.  Otherwise on projects that build both programs and shared
libraries you might need to make sure that when building the shared
libraries \fB\-fPIC\fP is always passed last (so that it overrides any previous
\fB\-PIE\fP) to compilation flags such as \fBCFLAGS\fP, and \fB\-shared\fP is passed
last (so that it overrides any previous \fB\-pie\fP) to linking flags such as
\fBLDFLAGS\fP. \fBNote:\fP This should not be needed with the default gcc specs
machinery.

.IP
Additionally, since PIE is implemented via a general register, some register
starved architectures (but not including i386 anymore since optimizations
implemented in gcc >= 5) can see performance losses of up to 15% in very
text\-segment\-heavy application workloads; most workloads see less than
1%. Architectures with more general registers (e.g. amd64)  do not see as
high a worst\-case penalty.
.SS reproducible
The compile\-time options detailed below can be used to help improve build
reproducibility or provide additional warning messages during
compilation. Except as noted below, these are enabled by default for
architectures that support them.
.TP 
\fBtimeless\fP
This setting (enabled by default) adds \fB\-Wdate\-time\fP to \fBCPPFLAGS\fP.  This
will cause warnings when the \fB__TIME__\fP, \fB__DATE__\fP and \fB__TIMESTAMP__\fP
macros are used.
.
.TP 
\fBfixfilepath\fP
This setting (disabled by default) adds
\fB\-ffile\-prefix\-map=\fP\fIBUILDPATH\fP\fB=.\fP to \fBCFLAGS\fP, \fBCXXFLAGS\fP,
\fBOBJCFLAGS\fP, \fBOBJCXXFLAGS\fP, \fBGCJFLAGS\fP, \fBFFLAGS\fP and \fBFCFLAGS\fP where
\fBBUILDPATH\fP is set to the top\-level directory of the package being built.
This has the effect of removing the build path from any generated file.

If both \fBfixdebugpath\fP and \fBfixfilepath\fP are set, this option takes
precedence, because it is a superset of the former.
.TP 
\fBfixdebugpath\fP
This setting (enabled by default) adds
\fB\-fdebug\-prefix\-map=\fP\fIBUILDPATH\fP\fB=.\fP to \fBCFLAGS\fP, \fBCXXFLAGS\fP,
\fBOBJCFLAGS\fP, \fBOBJCXXFLAGS\fP, \fBGCJFLAGS\fP, \fBFFLAGS\fP and \fBFCFLAGS\fP where
\fBBUILDPATH\fP is set to the top\-level directory of the package being built.
This has the effect of removing the build path from any generated debug
symbols.
.
.SH 環境変数
同じ動作を行う環境変数が 2 組存在する。1 つ目の (DEB_\fIflag\fP_\fIop\fP) を \fBdebian/rules\fP
内で用いてはならない。これは、デフォルトのフラグとは異なる設定でソースパッケージをリビルドしたいユーザ向けの設定である。2 つ目の方法
(DEB_\fIflag\fP_MAINT_\fIop\fP) は \fBdebian/rules\fP
内でのみ使用すべきである。これは、パッケージのメンテナがビルドフラグを変更する際に使用すること。
.TP 
\fBDEB_\fP\fIflag\fP\fB_SET\fP
.TQ
\fBDEB_\fP\fIflag\fP\fB_MAINT_SET\fP
この変数は、\fIflag\fP の値を強制的に設定したい場合に使用すること
.TP 
\fBDEB_\fP\fIflag\fP\fB_STRIP\fP
.TQ
\fBDEB_\fP\fIflag\fP\fB_MAINT_STRIP\fP
この変数は、\fIflag\fP の値から削除したいオプションがある場合に使用すること。削除したいオプションは、スペースで区切ったリスト形式で指定する。
.TP 
\fBDEB_\fP\fIflag\fP\fB_APPEND\fP
.TQ
\fBDEB_\fP\fIflag\fP\fB_MAINT_APPEND\fP
この変数は、\fIflag\fP の値に追加したいオプションがある場合に使用すること。
.TP 
\fBDEB_\fP\fIflag\fP\fB_PREPEND\fP
.TQ
\fBDEB_\fP\fIflag\fP\fB_MAINT_PREPEND\fP
この変数は、\fIflag\fP の値の先頭部分に追加したいオプションがある場合に使用すること。
.TP 
\fBDEB_BUILD_OPTIONS\fP
.TQ
\fBDEB_BUILD_MAINT_OPTIONS\fP
These variables can be used by a user or maintainer to disable/enable
various area features that affect build flags.  The
\fBDEB_BUILD_MAINT_OPTIONS\fP variable overrides any setting in the
\fBDEB_BUILD_OPTIONS\fP feature areas.  See the \fBFEATURE AREAS\fP section for
details.
.TP 
\fBDEB_VENDOR\fP
This setting defines the current vendor.  If not set, it will discover the
current vendor by reading \fB%PKGCONFDIR%/origins/default\fP.
.TP 
\fBDEB_BUILD_PATH\fP
This variable sets the build path (since dpkg 1.18.8) to use in features
such as \fBfixdebugpath\fP so that they can be controlled by the caller.  This
variable is currently Debian and derivatives\-specific.
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.TP 
\fBDPKG_NLS\fP
If set, it will be used to decide whether to activate Native Language
Support, also known as internationalization (or i18n) support (since dpkg
1.19.0).  The accepted values are: \fB0\fP and \fB1\fP (default).
.
.SH ファイル
.SS "Configuration files"
.TP 
\fB%PKGCONFDIR%/buildflags.conf\fP
システムワイドな設定ファイル
.TP 
\fB$XDG_CONFIG_HOME/dpkg/buildflags.conf\fP or 
.TQ
\fB$HOME/.config/dpkg/buildflags.conf\fP
ユーザ毎の設定ファイル
.SS "Packaging support"
.TP 
\fB%PKGDATADIR%/buildflags.mk\fP
Makefile snippet that will load (and optionally export) all flags supported
by \fBdpkg\-buildflags\fP into variables (since dpkg 1.16.1).
.
.SH 例
To pass build flags to a build command in a Makefile:
.PP
.RS 4
.nf
$(MAKE) $(shell dpkg\-buildflags \-\-export=cmdline)

\&./configure $(shell dpkg\-buildflags \-\-export=cmdline)
.fi
.RE
.PP
To set build flags in a shell script or shell fragment, \fBeval\fP can be used
to interpret the output and to export the flags in the environment:
.PP
.RS 4
.nf
eval "$(dpkg\-buildflags \-\-export=sh)" && make
.fi
.RE
.PP
or to set the positional parameters to pass to a command:
.PP
.RS 4
.nf
eval "set \-\- $(dpkg\-buildflags \-\-export=cmdline)"
for dir in a b c; do (cd $dir && ./configure "$@" && make); done
.fi
.RE
.
.SS "Usage in debian/rules"
You should call \fBdpkg\-buildflags\fP or include \fBbuildflags.mk\fP from the
\fBdebian/rules\fP file to obtain the needed build flags to pass to the build
system.  Note that older versions of \fBdpkg\-buildpackage\fP (before dpkg
1.16.1)  exported these flags automatically. However, you should not rely on
this, since this breaks manual invocation of \fBdebian/rules\fP.
.PP
For packages with autoconf\-like build systems, you can pass the relevant
options to configure or \fBmake\fP(1) directly, as shown above.
.PP
For other build systems, or when you need more fine\-grained control about
which flags are passed where, you can use \fB\-\-get\fP. Or you can include
\fBbuildflags.mk\fP instead, which takes care of calling \fBdpkg\-buildflags\fP and
storing the build flags in make variables.
.PP
If you want to export all buildflags into the environment (where they can be
picked up by your build system):
.PP
.RS 4
.nf
DPKG_EXPORT_BUILDFLAGS = 1
include %PKGDATADIR%/buildflags.mk
.fi
.RE
.PP
For some extra control over what is exported, you can manually export the
variables (as none are exported by default):
.PP
.RS 4
.nf
include %PKGDATADIR%/buildflags.mk
export CPPFLAGS CFLAGS LDFLAGS
.fi
.RE
.PP
And you can of course pass the flags to commands manually:
.PP
.RS 4
.nf
include %PKGDATADIR%/buildflags.mk
build\-arch:
\&	$(CC) \-o hello hello.c $(CPPFLAGS) $(CFLAGS) $(LDFLAGS)
.fi
.RE
