.\" dpkg manual page - dpkg-deb(1)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 1999 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006 Frank Lichtenheld <djpig@debian.org>
.\" Copyright © 2007-2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-deb 1 %RELEASE_DATE% %VERSION% "dpkg suite"
.ad l
.nh
.SH 名前
dpkg\-deb \- Debian パッケージアーカイブ (.deb) 操作ツール
.
.SH 書式
\fBdpkg\-deb\fP [\fIoption\fP...] \fIcommand\fP
.
.SH 説明
\fBdpkg\-deb\fP は、Debian アーカイブの作成、展開、情報の表示を行う。
.PP
パッケージをシステムにインストールしたり削除したりするには \fBdpkg\fP を使うこと。
.PP
また、\fBdpkg\-deb\fP に引き渡したいオプションを指定して \fBdpkg\fP を実行することで、\fBdpkg\-deb\fP
を実行することもできる。\fBdpkg\fP は、\fBdpkg\-deb\fP 用のオプションであると判断すると、 \fBdpkg\-deb\fP を起動する。
.PP
For most commands taking an input archive argument, the archive can be read
from standard input if the archive name is given as a single minus character
(«\fB\-\fP»); otherwise lack of support will be documented in their respective
command description.
.
.SH コマンド
.TP 
\fB\-b\fP, \fB\-\-build\fP \fIbinary\-directory\fP [\fIarchive\fP|\fIdirectory\fP]
Creates a debian archive from the filesystem tree stored in
\fIbinary\-directory\fP. \fIbinary\-directory\fP must have a \fBDEBIAN\fP subdirectory,
which contains the control information files such as the control file
itself. This directory will \fInot\fP appear in the binary package's filesystem
archive, but instead the files in it will be put in the binary package's
control information area.

Unless you specify \fB\-\-nocheck\fP, \fBdpkg\-deb\fP will read \fBDEBIAN/control\fP and
parse it. It will check the file for syntax errors and other problems, and
display the name of the binary package being built.  \fBdpkg\-deb\fP will also
check the permissions of the maintainer scripts and other files found in the
\fBDEBIAN\fP control information directory.

If no \fIarchive\fP is specified then \fBdpkg\-deb\fP will write the package into
the file \fIbinary\-directory\fP\fB.deb\fP.

作成するアーカイブが既に存在している場合は、上書きする。

If the second argument is a directory then \fBdpkg\-deb\fP will write to the
file \fIdirectory\fP\fB/\fP\fIpackage\fP\fB_\fP\fIversion\fP\fB_\fP\fIarch\fP\fB.deb.\fP When a
target directory is specified, rather than a file, the \fB\-\-nocheck\fP option
may not be used (since \fBdpkg\-deb\fP needs to read and parse the package
control file to determine which filename to use).
.TP 
\fB\-I\fP, \fB\-\-info\fP \fIarchive\fP [\fIcontrol\-file\-name\fP...]
バイナリパッケージアーカイブの情報を表示する。

\fIcontrol\-file\-name\fP が指定されていない場合は、制御ファイルの一覧と、パッケージの概要を表示する。

\fIcontrol\-file\-name\fP が指定された場合、 \fBdpkg\-deb\fP
は指定された順でファイルの内容を表示する。指定したファイルの一部が存在しない場合、存在しないファイル各々について、標準エラー出力にエラーメッセージを表示し、そして終了ステータス
2 で終了する。
.TP 
\fB\-W\fP, \fB\-\-show\fP \fIarchive\fP
バイナリパッケージアーカイブの情報を \fB\-\-showformat\fP
引数で指定した形式で表示する。デフォルトの形式では、パッケージ名とバージョンがタブで区切られて 1 行に表示される。
.TP 
\fB\-f\fP, \fB\-\-field\fP \fIarchive\fP [\fIcontrol\-field\-name\fP...]
バイナリパッケージアーカイブから制御ファイル情報を取り出す。

If no \fIcontrol\-field\-name\fPs are specified then it will print the whole
control file.

If any are specified then \fBdpkg\-deb\fP will print their contents, in the
order in which they appear in the control file. If more than one
\fIcontrol\-field\-name\fP is specified then \fBdpkg\-deb\fP will precede each with
its field name (and a colon and space).

指定したフィールドがみつからない場合でもエラーにはならない。
.TP 
\fB\-c\fP, \fB\-\-contents\fP \fIarchive\fP
パッケージアーカイブに含まれるファイルシステムツリーの内容を表示する。現在は、\fBtar\fP の冗長表示 (\-v オプション) の形式で表示する。
.TP 
\fB\-x\fP, \fB\-\-extract\fP \fIarchive directory\fP
パッケージアーカイブから、ファイルシステムツリーを指定したディレクトリに展開する。

ルートディレクトリにパッケージを展開しても、正しいインストールには\fIならない\fPことに注意 ! パッケージのインストールには \fBdpkg\fP
を使うこと。

\fIdirectory\fP (親ディレクトリは含まない) は必要に応じて作成される。
.TP 
\fB\-X\fP, \fB\-\-vextract\fP \fIarchive directory\fP
\fB\-\-extract\fP (\fB\-x\fP) に \fB\-\-verbose\fP (\fB\-v\fP)
を付加したオプションと同様だが、実際にファイルを展開して一覧を表示する。
.TP 
\fB\-R\fP, \fB\-\-raw\-extract\fP \fIarchive directory\fP
Extracts the filesystem tree from a package archive into a specified
directory, and the control information files into a \fBDEBIAN\fP subdirectory
of the specified directory (since dpkg 1.16.1).

指定したディレクトリ (親ディレクトリは含まない) は必要に応じて作成される。

The input archive is not (currently) processed sequentially, so reading it
from standard input («\fB\-\fP») is \fBnot\fP supported.
.TP 
\fB\-\-ctrl\-tarfile\fP \fIarchive\fP
Extracts the control data from a binary package and sends it to standard
output in \fBtar\fP format (since dpkg 1.17.14). Together with \fBtar\fP(1)  this
can be used to extract a particular control file from a package archive.
The input archive will always be processed sequentially.
.TP 
\fB\-\-fsys\-tarfile\fP \fIarchive\fP
バイナリパッケージからファイルシステムツリーを展開し、標準出力に \fBtar\fP 形式で出力する。 \fBtar\fP(1)
と組み合わせて使用することで、特定のファイルをパッケージアーカイブから取り出すことができる。入力のアーカイブは、常に 1 つずつ処理される。
.TP 
\fB\-e\fP, \fB\-\-control\fP \fIarchive\fP [\fIdirectory\fP]
パッケージアーカイブから制御情報ファイルを指定したディレクトリに展開する。

ディレクトリが指定されない場合、カレントディレクトリの \fBDEBIAN\fP サブディレクトリに展開する。

指定したディレクトリ (親ディレクトリは含まない) は必要に応じて作成される。
.TP 
\fB\-?\fP, \fB\-\-help\fP
利用方法を表示して終了する。
.TP 
\fB\-\-version\fP
バージョン情報を表示して終了する。
.
.SH オプション
.TP 
\fB\-\-showformat=\fP\fIformat\fP
このオプションは、\fB\-\-show\fP の出力の書式を指定するものである。書式は、一覧表示される各パッケージの出力を制御する文字列である。

The string may reference any status field using the “${\fIfield\-name\fP}” form,
a list of the valid fields can be easily produced using \fB\-I\fP on the same
package. A complete explanation of the formatting options (including escape
sequences and field tabbing) can be found in the explanation of the
\fB\-\-showformat\fP option in \fBdpkg\-query\fP(1).

The default for this field is “${Package}\et${Version}\en”.
.TP 
\fB\-z\fP\fIcompress\-level\fP
Specify which compression level to use on the compressor backend, when
building a package (default is 9).  The accepted values are 0\-9 with: 0
being mapped to compressor none for gzip.  Before dpkg 1.16.2 level 0 was
equivalent to compressor none for all compressors.
.TP 
\fB\-S\fP\fIcompress\-strategy\fP
Specify which compression strategy to use on the compressor backend, when
building a package (since dpkg 1.16.2). Allowed values are \fBnone\fP (since
dpkg 1.16.4), \fBfiltered\fP, \fBhuffman\fP, \fBrle\fP and \fBfixed\fP for gzip (since
dpkg 1.17.0) and \fBextreme\fP for xz.
.TP 
\fB\-Z\fP\fIcompress\-type\fP
Specify which compression type to use when building a package.  Allowed
values are \fBgzip\fP, \fBxz\fP (since dpkg 1.15.6), and \fBnone\fP (default is
\fBxz\fP).
.TP 
\fB\-\-[no\-]uniform\-compression\fP
Specify that the same compression parameters should be used for all archive
members (i.e. \fBcontrol.tar\fP and \fBdata.tar\fP; since dpkg 1.17.6).  Otherwise
only the \fBdata.tar\fP member will use those parameters. The only supported
compression types allowed to be uniformly used are \fBnone\fP, \fBgzip\fP and
\fBxz\fP.  The \fB\-\-no\-uniform\-compression\fP option disables uniform compression
(since dpkg 1.19.0).  Uniform compression is the default (since dpkg
1.19.0).
.TP 
\fB\-\-root\-owner\-group\fP
Set the owner and group for each entry in the filesystem tree data to root
with id 0 (since dpkg 1.19.0).

\fBNote\fP: This option can be useful for rootless builds (see
\fIrootless\-builds.txt\fP), but should \fBnot\fP be used when the entries have an
owner or group that is not root.  Support for these will be added later in
the form of a meta manifest.
.TP 
\fB\-\-deb\-format=\fP\fIformat\fP
Set the archive format version used when building (since dpkg 1.17.0).
Allowed values are \fB2.0\fP for the new format, and \fB0.939000\fP for the old
one (default is \fB2.0\fP).

The old archive format is less easily parsed by non\-Debian tools and is now
obsolete; its only use is when building packages to be parsed by versions of
dpkg older than 0.93.76 (September 1995), which was released as i386 a.out
only.
.TP 
\fB\-\-nocheck\fP
\fBdpkg\-deb \-\-build\fP
の際に通常実施される、アーカイブの内容のチェックを実施しない。これにより、アーカイブの内容に問題があっても、アーカイブをビルドすることができる。
.TP 
\fB\-v\fP, \fB\-\-verbose\fP
Enables verbose output (since dpkg 1.16.1).  This currently only affects
\fB\-\-extract\fP making it behave like \fB\-\-vextract\fP.
.TP 
\fB\-D\fP, \fB\-\-debug\fP
デバッグ出力を有効にする。これはあまり面白いものではない。
.
.SH 終了ステータス
.TP 
\fB0\fP
指定したアクションが正しく実行された。
.TP 
\fB2\fP
Fatal or unrecoverable error due to invalid command\-line usage, or
interactions with the system, such as accesses to the database, memory
allocations, etc.
.
.SH 環境変数
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.TP 
\fBTMPDIR\fP
\fBTMPDIR\fP が設定されている場合、\fBdpkg\-deb\fP は、一時的なファイルやディレクトリを作成するディレクトリとして使用する。
.TP 
\fBSOURCE_DATE_EPOCH\fP
If set, it will be used as the timestamp (as seconds since the epoch) in the
\fBdeb\fP(5)'s \fBar\fP(5) container and used to clamp the mtime in the \fBtar\fP(5)
file entries.
.
.SH 参考
\fBdpkg\-deb\fP
でソフトウェアをインストールしようとしてはいけない!すべてのファイルの適切なパスへインストール、パッケージのスクリプトの実行、ステータスや内容の記録を確実に実行するために、必ず
\fBdpkg\fP を使うこと。
.
.SH バグ
\fBdpkg\-deb \-I\fP \fIpackage1\fP\fB.deb\fP \fIpackage2\fP\fB.deb\fP は適切に動作しない。

\&\fB.deb\fP ファイルには認証という概念がなく、単純なチェックサムすらもない (APT
のような高レイヤのツールは、指定されたリポジトリから情報を収集することで \fB.deb\fP
パッケージの認証をサポートしている。また大半のパッケージは近年debian/rules によって生成される md5sum
制御ファイルを提供している。しかし、これらは低レイヤのツールが直接的にサポートしているものではない。
.
.SH 関連項目
\fBdeb\fP(5), \fBdeb\-control\fP(5), \fBdpkg\fP(1), \fBdselect\fP(1).
