.\" dpkg manual page - dpkg-genchanges(1)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006-2016 Guillem Jover <guillem@debian.org>
.\" Copyright © 2008-2010 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-genchanges 1 %RELEASE_DATE% %VERSION% "dpkg suite"
.ad l
.nh
.SH 名前
dpkg\-genchanges \- Debian .changes ファイルの生成
.
.SH 書式
\fBdpkg\-genchanges\fP [\fIoption\fP...]
.br
.
.SH 説明
\fBdpkg\-genchanges\fP は展開されてビルドされた Debian ソースツリーおよび生成されたファイルから情報を読み取り、Debian
アップロード制御ファイル (\fB.changes\fP ファイル) を生成する。
.
.SH オプション
.TP 
\fB\-\-build=\fP\fItype\fP
Specifies the build \fItype\fP from a comma\-separated list of components (since
dpkg 1.18.5).

The allowed values are:
.RS
.TP 
\fBsource\fP
Upload the source package.
.TP 
\fBany\fP
Upload the architecture specific binary packages.
.TP 
\fBall\fP
Upload the architecture independent binary packages.
.TP 
\fBbinary\fP
Upload the architecture specific and independent binary packages.  This is
an alias for \fBany,all\fP.
.TP 
\fBfull\fP
Upload everything.  This is alias for \fBsource,any,all\fP, and the same as the
default case when no build option is specified.
.RE
.TP 
\fB\-g\fP
Equivalent to \fB\-\-build=source,all\fP (since dpkg 1.17.11).
.TP 
\fB\-G\fP
Equivalent to \fB\-\-build=source,any\fP (since dpkg 1.17.11).
.TP 
\fB\-b\fP
Equivalent to \fB\-\-build=binary\fP or \fB\-\-build=any,all\fP.
.TP 
\fB\-B\fP
Equivalent to \fB\-\-build=any\fP.
.TP 
\fB\-A\fP
Equivalent to \fB\-\-build=all\fP.
.TP 
\fB\-S\fP
Equivalent to \fB\-\-build=source\fP.
.PP
\fB\-s\fP\fIx\fP オプションは、(\fB\-b\fP, \fB\-B\fP が使われておらず)
何らかのソースが生成された場合に、オリジナルのソースアーカイブがアップロードに含まれるかどうかを決定する。
.TP 
\fB\-si\fP
デフォルト、もしくは明示的にこのオプションが指定された場合は、アップストリームのバージョン番号 (epoch および Debian
リビジョンを含まない) が以前の changelog
エントリに記録されたアップストリームのバージョン番号と異なる場合にのみ、オリジナルのソースが含まれる。
.TP 
\fB\-sa\fP
強制的にオリジナルのソースを含める。
.TP 
\fB\-sd\fP
強制的にオリジナルのソースを除外し、差分情報のみを含める。
.fi
.TP 
\fB\-v\fP\fIversion\fP
\fIversion\fP 以降のバージョンすべてから changelog 情報を生成する。
.TP 
\fB\-C\fP\fIchanges\-description\fP
ソースツリーの changelog ファイルからの情報ではなく、\fIchanges\-description\fP ファイルにある変更点の情報を使用する。
.TP 
\fB\-m\fP\fImaintainer\-address\fP
ソースツリーの control ファイルからの情報ではなく、\fImaintainer\-address\fP
で指定した情報を、このパッケージのメンテナの名前とメールアドレスとして使用する。
.TP 
\fB\-e\fP\fImaintainer\-address\fP
ソースツリーの changelog ファイルからの情報ではなく、\fImaintainer\-address\fP
で指定した情報を、今回のアップロードのメンテナの名前とメールアドレスとして使用する。
.TP 
\fB\-V\fP\fIname\fP\fB=\fP\fIvalue\fP
変数を設定する。出力時の置換に関する詳細は、\fBdeb\-substvars\fP(5) を参照のこと。
.TP 
\fB\-T\fP\fIsubstvars\-file\fP
Read substitution variables in \fIsubstvars\-file\fP; the default is
\fBdebian/substvars\fP.  No variable substitution is done on any of the fields
that are output, except for the contents extracted from each binary package
\fBDescription\fP field (since dpkg 1.19.0), however the special variable
\fIFormat\fP will override the field of the same name.  This option can be used
multiple times to read substitution variables from multiple files (since
dpkg 1.15.6).

.TP 
\fB\-D\fP\fIfield\fP\fB=\fP\fIvalue\fP
出力制御ファイルのフィールドを上書きもしくは追加する。
.TP 
\fB\-U\fP\fIfield\fP
出力制御ファイルのフィールドを削除する。
.TP 
\fB\-c\fP\fIcontrolfile\fP
情報の読み取り元となる主なソース制御ファイルを指定する。デフォルトは \fBdebian/control\fP。
.TP 
\fB\-l\fP\fIchangelog\-file\fP
情報の読み取り元となる changelog ファイルを指定する。デフォルトは \fBdebian/changelog\fP。
.TP 
\fB\-f\fP\fIfiles\-list\-file\fP
\fBdebian/files\fP の代わりに、アップロードされるファイルの一覧を読み取るファイルを指定する。
.TP 
\fB\-F\fP\fIchangelog\-format\fP
changelog ファイルのフォーマットを指定する。指定可能なフォーマットについての情報は、\fBdpkg\-parsechangelog\fP(1)
を参照のこと。
.TP 
\fB\-u\fP\fIupload\-files\-dir\fP
アップロード対象となるファイルを、\fB..\fP ではなく \fIupload\-files\-dir\fP から探し出す (\fBdpkg\-genchanges\fP は
\&\fB.changes\fP ファイルにファイルサイズとチェックサムを含めるため、対象となるファイルを確認する必要がある)。
.TP 
\fB\-q\fP
通常、\fBdpkg\-genchanges\fP
は標準エラー出力に対して、アップロードされたパッケージに含まれるソースファイルの数といった有用なメッセージを出力する。\fB\-q\fP
により、こうしたメッセージの出力が抑止される。
.TP 
\fB\-O\fP[\fIfilename\fP]
Print the changes file to standard output (the default) or to \fIfilename\fP if
specified (since dpkg 1.18.5).
.TP 
\fB\-?\fP, \fB\-\-help\fP
利用方法を表示して終了する。
.TP 
\fB\-\-version\fP
バージョン情報を表示して終了する。
.
.SH 環境変数
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.TP 
\fBDPKG_NLS\fP
If set, it will be used to decide whether to activate Native Language
Support, also known as internationalization (or i18n) support (since dpkg
1.19.0).  The accepted values are: \fB0\fP and \fB1\fP (default).
.
.SH ファイル
.TP 
\fBdebian/files\fP
アップロードの準備の一部をなす、生成されたファイルのリスト。\fBdpkg\-genchanges\fP は \fB.changes\fP
ファイルを生成する際の情報をここから読み取る。
.
.SH 関連項目
\fBdeb\-substvars\fP(5), \fBdeb\-src\-control\fP(5), \fBdeb\-src\-files\fP(5),
\fBdeb\-changelog\fP(5), \fBdeb\-changes\fP(5).
