.\" dpkg manual page - dpkg-mergechangelogs(1)
.\"
.\" Copyright © 2009-2010 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-mergechangelogs 1 %RELEASE_DATE% %VERSION% "dpkg suite"
.ad l
.nh
.SH 名前
dpkg\-mergechangelogs \- debian/changelogs ファイルの 3\-way マージ
.
.SH 書式
\fBdpkg\-mergechangelogs\fP [\fIoption\fP...] \fIold\fP \fInew\-a\fP \fInew\-b\fP [\fIout\fP]
.
.SH 説明
.P
このプログラムは、3 つの Debian changelog のバージョンから、マージされたchangelog ファイルを生成する。生成された
changelog は \fIout\fP ファイルに保存されるが、パラメータが指定されなかった場合は 標準出力に出力される。
.P
各エントリはバージョン番号によって区別され、競合が発生していないことが前提となる。これらは右から順番に (バージョン番号を減らすことで)
単純にマージされる。\fB\-\-merge\-prereleases\fP
が指定された場合、バージョン番号の最後のチルダより後の部分が除外されるため、1.0\-1~exp1 と 1.0\-1~exp5
は同じエントリだと見なされる。\fInew\-a\fP と \fInew\-b\fP とに同じバージョンがある場合、標準的な行ベースの 3\-way マージが試行される
(Algorithm::Merge モジュールが利用可能な場合。— これは、libalgorithm\-merge\-perl パッケージの一部である。 —
利用できない場合は、該当のエントリにおいて競合が発生する)。
.
.SH オプション
.TP 
\fB\-m\fP, \fB\-\-merge\-prereleases\fP
2 つのエントリが同一と見なされるかどうかを確認するバージョン比較の際に、バージョン番号の最後のチルダより後の部分を除外する。
.sp
これは、バージョン番号を常に増加させているものの、同一の changelog
エントリの使用を継続したい場合に有用である。一例として、2.3\-1~exp1, 2.3\-1~exp2 というバージョンが公式なリリースである 2.3\-1
まで続くような場合に、これらを時系列順に並べて同一の changelog エントリにしたい場合などが挙げられる。
.TP 
\fB\-\-help\fP
利用方法を表示して終了する。
.TP 
\fB\-\-version\fP
バージョン情報を表示して終了する。
.
.SH 環境変数
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.TP 
\fBDPKG_NLS\fP
If set, it will be used to decide whether to activate Native Language
Support, also known as internationalization (or i18n) support (since dpkg
1.19.0).  The accepted values are: \fB0\fP and \fB1\fP (default).
.
.SH 制限事項
.P
Anything that is not parsed by Dpkg::Changelog is lost during the merge.
This might include stuff like comments which were not supposed to be there,
etc.
.
.SH "GIT との連携"
.P
このプログラムを git リポジトリにある Debian changelog ファイルのマージに用いる場合は、最初に \fB.git/config\fP
もしくは \fB~/.gitconfig\fP に新しいマージドライバを登録しておく必要がある:
.P
 [merge "dpkg\-mergechangelogs"]
     name = debian/changelog merge driver
     driver = dpkg\-mergechangelogs \-m %O %A %B %A
.P
ついで、debian/changelog ファイルの merge 属性をリポジトリ内の \fB.gitattributes\fP もしくは
\&\fB.git/info/attributes\fP 中に設定する必要がある:
.P
 debian/changelog merge=dpkg\-mergechangelogs
