.\" dpkg manual page - dpkg-parsechangelog(1)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006, 2011-2015 Guillem Jover <guillem@debian.org>
.\" Copyright © 2007-2008 Frank Lichtenheld <djpig@debian.org>
.\" Copyright © 2009 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-parsechangelog 1 %RELEASE_DATE% %VERSION% "dpkg suite"
.ad l
.nh
.SH 名前
dpkg\-parsechangelog \- Debian changelog ファイルの解析
.
.SH 書式
\fBdpkg\-parsechangelog\fP [\fIoption\fP...]
.
.SH 説明
\fBdpkg\-parsechangelog\fP は、展開された Debian ソースツリーにある changelog
ファイルを読み取って解析し、その情報をコンピュータに適した形式で標準出力に出力する。
.
.SH オプション
.TP 
\fB\-l\fP, \fB\-\-file\fP \fIchangelog\-file\fP
Specifies the changelog file to read information from.  A ‘\-’ can be used to
specify reading from standard input.  The default is \fBdebian/changelog\fP.
.TP 
\fB\-F\fP \fIchangelog\-format\fP
Specifies the format of the changelog. By default the format is read from a
special line near the bottom of the changelog or failing that defaults to
the \fBdebian\fP standard format. See also \fBCHANGELOG FORMATS\fP.
.TP 
\fB\-L\fP \fIlibdir\fP
Obsolete option without effect (since dpkg 1.18.8).  Setting the perl
environment variables \fBPERL5LIB\fP or \fBPERLLIB\fP has a similar effect when
looking for the parser perl modules.
.TP 
\fB\-S\fP, \fB\-\-show\-field\fP \fIfield\fP
Specifies the name of the field to show (since dpkg 1.17.0).  The field name
is not printed, only its value.
.TP 
\fB\-?\fP, \fB\-\-help\fP
利用方法を表示して終了する。
.TP 
\fB\-\-version\fP
バージョン情報を表示して終了する。
.SS パーサ用オプション
The following options can be used to influence the output of the changelog
parser, e.g. the range of entries or the format of the output.
.TP 
\fB\-\-format\fP\fI output\-format\fP
Set the output format. Currently supported values are \fBdpkg\fP and
\fBrfc822\fP.  \fBdpkg\fP is the classic output format (from before this option
existed) and the default. It consists of one paragraph in Debian control
format (see \fBdeb\-control\fP(5)). If more than one entry is requested, then
most fields are taken from the first entry (usually the most recent entry),
except otherwise stated:
.RS
.TP 
\fBSource:\fP\fI pkg\-name\fP
.TP 
\fBVersion:\fP\fI version\fP
.TP 
\fBDistribution:\fP\fI target\-distribution\fP
.TP 
\fBUrgency:\fP\fI urgency\fP
含まれているエントリの中で、最も高い urgency の値が用いられ、要求されたバージョンすべてのコメントを (スペースで区切って)
結合した文字列が続く。
.TP 
\fBMaintainer:\fP\fI author\fP
.TP 
\fBDate:\fP\fI date\fP
The date of the entry as a string, as it appears in the changelog.  With a
\fBstrptime\fP(3) format "\fB%a, %d %b %Y %T %z\fP", but where the day of the week
might not actually correspond to the real day obtained from the rest of the
date string.  If you need a more accurate representation of the date, use
the \fBTimestamp\fP field, but take into account it might not be possible to
map it back to the exact value in this field.
.TP 
\fBTimestamp:\fP\fI timestamp\fP
The date of the entry as a timestamp in seconds since the epoch (since dpkg
1.18.8).
.TP 
\fBCloses:\fP\fI bug\-number\fP
Closes フィールドに含まれるすべてのエントリはマージされる。
.TP 
\fBChanges:\fP\fI changelog\-entries\fP
changelog のエントリにあるすべてのテキストは結合される。このフィールドを Debian
制御情報形式に従った形式とするために、複数行のフィールドにおける空行は、ピリオドに置き換えられ、すべての行の先頭に空白文字が 1 つ挿入される。内容は
changelog の形式に依存する。
.RE
.IP
\fBVersion\fP, \fBDistribution\fP, \fBUrgency\fP, \fBMaintainer\fP, \fBChanges\fP
フィールドは必須である。
.IP
この他、ユーザ定義のフィールドが存在してもよい。
.IP
\fBrfc822\fP 形式でも同じフィールドが用いられるが、出力については、changelog
のエントリ毎に別の段落に分割され、各エントリのメタデータが保持される。
.TP 
\fB\-\-reverse\fP
Include all changes in reverse order (since dpkg 1.19.1).  Note: for the
\fBdpkg\fP format the first entry will be the most ancient entry.
.TP 
\fB\-\-all\fP
Include all changes. Note: other options have no effect when this is in use.
.TP 
\fB\-s\fP, \fB\-\-since\fP \fIversion\fP
.TQ
\fB\-v\fP \fIversion\fP
Include all changes later than \fIversion\fP.
.TP 
\fB\-u\fP, \fB\-\-until\fP \fIversion\fP
Include all changes earlier than \fIversion\fP.
.TP 
\fB\-f\fP, \fB\-\-from\fP \fIversion\fP
Include all changes equal or later than \fIversion\fP.
.TP 
\fB\-t\fP, \fB\-\-to\fP \fIversion\fP
Include all changes up to or equal than \fIversion\fP.
.TP 
\fB\-c\fP, \fB\-\-count\fP \fInumber\fP
.TQ
\fB\-n\fP \fInumber\fP
Include \fInumber\fP entries from the top (or the tail if \fInumber\fP is lower
than 0).
.TP 
\fB\-o\fP, \fB\-\-offset\fP \fInumber\fP
Change the starting point for \fB\-\-count\fP, counted from the top (or the tail
if \fInumber\fP is lower than 0).
.
.SH "changelog のフォーマット"
標準的なフォーマットとは異なるフォーマットに対応したパーサがあれば、非標準のフォーマットを用いることもできる。

\fBdpkg\-parsechangelog\fP に新しいパーサを使用させるには、changelog ファイルの末尾 40 行以内に、次のような Perl
の正規表現: “\fB\eschangelog\-format:\es+([0\-9a\-z]+)\eW\fP”
にマッチする行が含まれている必要がある。括弧内にフォーマットの名称を記載すること。以下に一例を示す:

       @@@ changelog\-format: \fIotherformat\fP @@@

Changelog format names are non\-empty strings of lowercase alphanumerics
(“a\-z0\-9”).

If such a line exists then \fBdpkg\-parsechangelog\fP will look for the parser
as a \fBDpkg::Changelog::\fP\fIOtherformat\fP perl module; it is an error for it
not being present.  The parser name in the perl module will be automatically
capitalized.  The default changelog format is \fBdebian\fP, and a parser for it
is provided by default.

The parser should be derived from the Dpkg::Changelog class and implement
the required documented interface.

解析されている changelog
フォーマットにおいて、個々の変更点の記述の間の大半、もしくはすべてが空行となる場合、それらの空行は省略されるため、結果として出力がコンパクトになる。

changelog
フォーマットに日付やパッケージ名の情報が含まれていない場合、これらの情報は出力から省かれる。パーサは、これらを生成したり、別の情報源から探してきたりしてはならない。

If the changelog does not have the expected format the parser should error
out, rather than trying to muddle through and possibly generating incorrect
output.

changelog パーサは、ユーザと対話を行わなくともよい。
.
.SH 参考
All \fBParser Options\fP except for \fB\-v\fP are only supported since dpkg
1.14.16.
.PP
Short option parsing with non\-bundled values available only since dpkg
1.18.0.
.
.SH 環境変数
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.TP 
\fBDPKG_NLS\fP
If set, it will be used to decide whether to activate Native Language
Support, also known as internationalization (or i18n) support (since dpkg
1.19.0).  The accepted values are: \fB0\fP and \fB1\fP (default).
.
.SH ファイル
.TP 
\fBdebian/changelog\fP
changelog ファイル、urgency やアップロードの
distribution、あるリリース以降に行われた変更点、ソースのバージョン番号自体といった、ソースパッケージに関するバージョン固有の情報を取得するために用いられる。
.
.SH 関連項目
\fBdeb\-changelog\fP(5).
