.\" dpkg manual page - dpkg-query(1)
.\"
.\" Copyright © 2001 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006-2007 Frank Lichtenheld <djpig@debian.org>
.\" Copyright © 2006-2015 Guillem Jover <guillem@debian.org>
.\" Copyright © 2008-2011 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-query 1 %RELEASE_DATE% %VERSION% "dpkg suite"
.ad l
.nh
.SH 名前
dpkg\-query \- dpkg データベースクエリツール
.
.SH 書式
\fBdpkg\-query\fP [\fIoption\fP...] \fIcommand\fP
.
.SH 説明
\fBdpkg\-query\fP は、\fBdpkg\fP データベースに格納されたパッケージの情報を表示するツールである。
.
.SH コマンド
.TP 
\fB\-l\fP, \fB\-\-list\fP [\fIpackage\-name\-pattern\fP...]
List all known packages matching one or more patterns, regardless of their
status, which includes any real or virtual package referenced in any
dependency relationship field (such as \fBBreaks\fP, \fBEnhances\fP, etc.).  If no
\fIpackage\-name\-pattern\fP is given, list all packages in \fI%ADMINDIR%/status\fP,
excluding the ones marked as not\-installed (i.e.  those which have been
previously purged).  Normal shell wildcard characters are allowed in
\fIpackage\-name\-pattern\fP.  Please note you will probably have to quote
\fIpackage\-name\-pattern\fP to prevent the shell from performing filename
expansion.  For example this will list all package names starting with
\*(lqlibc6\*(rq:

.nf
  \fBdpkg\-query \-l 'libc6*'\fP
.fi

出力の先頭から 3 つのカラムは、順に期待される動作 (desired action)、パッケージの状況、エラー状態を示す。

期待される動作
.nf
  u = Unknown
  i = Install
  h = Hold
  r = Remove
  p = Purge
.fi

パッケージの状況:
.nf
  n = Not\-installed
  c = Config\-files
  H = Half\-installed
  U = Unpacked
  F = Half\-configured
  W = Triggers\-awaiting
  t = Triggers\-pending
  i = Installed
.fi

エラーフラグ:
.nf
  <empty> = (none)
  R = 要再インストール
.fi

大文字はエラーを示すものであり、パッケージに致命的な問題が発生していることを示す。上記の状態についての詳細は \fBdpkg\fP(1) を参照のこと。

この出力形式は変更できないが、端末の横幅に合わせて自動的に調整される。これは人間が目視することを想定したものであり、コンピュータに適した形式ではない。出力形式の設定方法については、\fB\-W\fP
(\fB\-\-show\fP) および \fB\-\-showformat\fP を参照のこと。
.TP 
\fB\-W\fP, \fB\-\-show\fP [\fIpackage\-name\-pattern\fP...]
Just like the \fB\-\-list\fP option this will list all packages matching the
given pattern. However the output can be customized using the
\fB\-\-showformat\fP option.  The default output format gives one line per
matching package, each line having the name (extended with the architecture
qualifier for \fBMulti\-Arch\fP \fBsame\fP packages) and installed version of the
package, separated by a tab.
.TP 
\fB\-s\fP, \fB\-\-status\fP [\fIpackage\-name\fP...]
Report status of specified package. This just displays the entry in the
installed package status database.  If no \fIpackage\-name\fP is specified it
will display all package entries in the status database (since dpkg
1.19.1).  When multiple \fIpackage\-name\fP entries are listed, the requested
status entries are separated by an empty line, with the same order as
specified on the argument list.
.TP 
\fB\-L\fP, \fB\-\-listfiles\fP \fIpackage\-name\fP...
\fIpackage\-name\fP がインストールしたファイルを一覧する。\fIpackage\-name\fP
が複数指定された場合、各パッケージは引数のリストで指定された順に、パッケージ間を空行で区切って表示される。パッケージ付属のインストールスクリプトによって作成されたファイルは含まれないことに注意。
.TP 
\fB\-\-control\-list\fP \fIpackage\-name\fP
List control files installed to your system from \fIpackage\-name\fP (since dpkg
1.16.5).  These can be used as input arguments to \fB\-\-control\-show\fP.
.TP 
\fB\-\-control\-show\fP \fIpackage\-name\fP \fIcontrol\-file\fP
Print the \fIcontrol\-file\fP installed to your system from \fIpackage\-name\fP to
the standard output (since dpkg 1.16.5).
.TP 
\fB\-c\fP, \fB\-\-control\-path\fP \fIpackage\-name\fP [\fIcontrol\-file\fP]
List paths for control files installed to your system from \fIpackage\-name\fP
(since dpkg 1.15.4).  If \fIcontrol\-file\fP is specified then only list the
path for that control file if it is present.

\fBWarning\fP: this command is deprecated as it gives direct access to the
internal dpkg database, please switch to use \fB\-\-control\-list\fP and
\fB\-\-control\-show\fP instead for all cases where those commands might give the
same end result. Although, as long as there is still at least one case where
this command is needed (i.e. when having to remove a damaging postrm
maintainer script), and while there is no good solution for that, this
command will not get removed.
.TP 
\fB\-S\fP, \fB\-\-search\fP \fIfilename\-search\-pattern\fP...
Search for packages that own files corresponding to the given pattern.
Standard shell wildcard characters can be used in the pattern, where
asterisk (\fB*\fP) and question mark (\fB?\fP) will match a slash, and backslash
(\fB\e\fP) will be used as an escape character.

If the first character in the \fIfilename\-search\-pattern\fP is none of
‘\fB*[?/\fP’ then it will be considered a substring match and will be
implicitly surrounded by ‘\fB*\fP’ (as in \fB*\fP\fIfilename\-search\-pattern\fP\fB*\fP).
If the subsequent string contains any of ‘\fB*[?\e\fP’, then it will handled
like a glob pattern, otherwise any trailing ‘\fB/\fP’ or ‘\fB/.\fP’ will be
removed and a literal path lookup will be performed.

This command will not list extra files created by maintainer scripts, nor
will it list alternatives.
.TP 
\fB\-p\fP, \fB\-\-print\-avail\fP [\fIpackage\-name\fP...]
Display details about packages, as found in \fI%ADMINDIR%/available\fP.  If no
\fIpackage\-name\fP is specified, it will display all package entries in the
\fIavailable\fP database (since dpkg 1.19.1).  When multiple \fIpackage\-name\fP
are listed, the requested \fIavailable\fP entries are separated by an empty
line, with the same order as specified on the argument list.

\fIavailable\fP ファイルには、\fBdselect\fP を用いた際の更新情報しか保持されていないため、APT
ベースのフロントエンドを使っているユーザは、\fBapt\-cache show\fP \fIpackage\-name\fP を代わりに使用すべきである。
.TP 
\fB\-?\fP, \fB\-\-help\fP
利用方法を表示して終了する。
.TP 
\fB\-\-version\fP
バージョン情報を表示して終了する。
.
.SH オプション
.TP 
\fB\-\-admindir=\fP\fIdir\fP
Change the location of the \fBdpkg\fP database. The default location is
\fI%ADMINDIR%\fP.
.TP 
\fB\-\-load\-avail\fP
Also load the available file when using the \fB\-\-show\fP and \fB\-\-list\fP
commands, which now default to only querying the status file (since dpkg
1.16.2).
.TP 
\fB\-\-no\-pager\fP
Disables the use of any pager when showing information (since dpkg 1.19.2).
.TP 
\fB\-f\fP, \fB\-\-showformat=\fP\fIformat\fP
This option is used to specify the format of the output \fB\-\-show\fP will
produce (short option since dpkg 1.13.1).  The format is a string that will
be output for each package listed.

フォーマット文字列中の “\fB\e\fP” はエスケープ文字である:

.nf
    \fB\en\fP  改行
    \fB\er\fP  復帰 (キャリッジリターン)
    \fB\et\fP  タブ
.fi

任意の文字の前に “\fB\e\fP” を配置することで、これに続く文字の特殊な意味を抑制できる。これは “\fB\e\fP” や “\fB$\fP” に有用である。

パッケージ情報には、“\fB${\fP\fIfield\fP[\fB;\fP\fIwidth\fP]\fB}\fP”
という構文で、パッケージフィールドを参照する変数を含めることができる。各フィールドは右寄せで表示されるが、width
に負の値を指定すると左寄せになる。以下の \fIfield\fP が認識されるが、これらはステータスファイルに存在している必要はない
(内部フィールドやバイナリパッケージに格納されたフィールドの形で最終的に存在していればよい)。

.nf
    \fBArchitecture\fP
    \fBBugs\fP
    \fBConffiles\fP (内部フィールド)
    \fBConfig\-Version\fP (内部フィールド)
    \fBConflicts\fP
    \fBBreaks\fP
    \fBDepends\fP
    \fBDescription\fP
    \fBEnhances\fP
    \fBEssential\fP
    \fBFilename\fP (内部フィールド, フロントエンド関連)
    \fBHomepage\fP
    \fBInstalled\-Size\fP
    \fBMD5sum\fP (内部フィールド, フロントエンド関連)
    \fBMSDOS\-Filename\fP (内部フィールド, フロントエンド関連)
    \fBMaintainer\fP
    \fBOrigin\fP
    \fBPackage\fP
    \fBPre\-Depends\fP
    \fBPriority\fP
    \fBProvides\fP
    \fBRecommends\fP
    \fBReplaces\fP
    \fBRevision\fP (obsolete)
    \fBSection\fP
    \fBSize\fP (内部フィールド, フロントエンド関連)
    \fBSource\fP
    \fBStatus\fP (内部フィールド)
    \fBSuggests\fP
    \fBTag\fP (通常 .deb パッケージではなく、リポジトリの Packages ファイルに存在する)
    \fBTriggers\-Awaited\fP (内部フィールド)
    \fBTriggers\-Pending\fP (内部フィールド)
    \fBVersion\fP
.fi

以下は \fBdpkg\-query\fP が別のフィールドの値から生成した仮想的なフィールドである
(これらのフィールド名は、制御ファイルにおける適切な命名規則に従っていない点に留意)。
.RS
.TP 
\fBbinary:Package\fP
It contains the binary package name with a possible architecture qualifier
like “libc6:amd64” (since dpkg 1.16.2).  An architecture qualifier will be
present to make the package name unambiguous, for example if the package has
a \fBMulti\-Arch\fP field with a value of \fBsame\fP or the package is of a foreign
architecture.
.TP 
\fBbinary:Synopsis\fP
It contains the package short description (since dpkg 1.19.1).
.TP 
\fBbinary:Summary\fP
This is an alias for \fBbinary:Synopsis\fP (since dpkg 1.16.2).
.TP 
\fBdb:Status\-Abbrev\fP
It contains the abbreviated package status (as three characters), such as
“ii ” or “iHR” (since dpkg 1.16.2).  See the \fB\-\-list\fP command description
for more details.
.TP 
\fBdb:Status\-Want\fP
It contains the package wanted status, part of the Status field (since dpkg
1.17.11).
.TP 
\fBdb:Status\-Status\fP
It contains the package status word, part of the Status field (since dpkg
1.17.11).
.TP 
\fBdb:Status\-Eflag\fP
It contains the package status error flag, part of the Status field (since
dpkg 1.17.11).
.TP 
\fBdb\-fsys:Files\fP
It contains the list of the package filesystem entries separated by newlines
(since dpkg 1.19.3).
.TP 
\fBdb\-fsys:Last\-Modified\fP
It contains the timestamp in seconds of the last time the package filesystem
entries were modified (since dpkg 1.19.3).
.TP 
\fBsource:Package\fP
It contains the source package name for this binary package (since dpkg
1.16.2).
.TP 
\fBsource:Version\fP
It contains the source package version for this binary package (since dpkg
1.16.2)
.TP 
\fBsource:Upstream\-Version\fP
It contains the source package upstream version for this binary package
(since dpkg 1.18.16)
.RE
.IP
The default format string is “\fB${binary:Package}\et${Version}\en\fP”.
Actually, all other fields found in the status file (i.e. user defined
fields) can be requested, too. They will be printed as\-is, though, no
conversion nor error checking is done on them. To get the name of the
\fBdpkg\fP maintainer and the installed version, you could run:

.nf
  \fBdpkg\-query \-W \-f='${binary:Package} ${Version}\et${Maintainer}\en' dpkg\fP
.fi
.
.SH 終了ステータス
.TP 
\fB0\fP
リクエストされたクエリが正しく実行された。
.TP 
\fB1\fP
The requested query failed either fully or partially, due to no file or
package being found (except for \fB\-\-control\-path\fP, \fB\-\-control\-list\fP and
\fB\-\-control\-show\fP were such errors are fatal).
.TP 
\fB2\fP
Fatal or unrecoverable error due to invalid command\-line usage, or
interactions with the system, such as accesses to the database, memory
allocations, etc.
.
.SH 環境変数
.SS "External environment"
.TP 
\fBSHELL\fP
Sets the program to execute when spawning a command via a shell (since dpkg
1.19.2).
.TP 
\fBPAGER\fP
.TQ
\fBDPKG_PAGER\fP
Sets the pager command to use (since dpkg 1.19.1), which will be executed
with «\fB$SHELL \-c\fP».  If \fBSHELL\fP is not set, «\fBsh\fP» will be used instead.
The \fBDPKG_PAGER\fP overrides the \fBPAGER\fP environment variable (since dpkg
1.19.2).
.TP 
\fBDPKG_ADMINDIR\fP
If set and the \fB\-\-admindir\fP option has not been specified, it will be used
as the \fBdpkg\fP data directory.
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.SS "Internal environment"
.TP 
\fBLESS\fP
Defined by \fBdpkg\-query\fP to “\fB\-FRSXMQ\fP”, if not already set, when spawning
a pager (since dpkg 1.19.2).  To change the default behavior, this variable
can be preset to some other value including an empty string, or the \fBPAGER\fP
or \fBDPKG_PAGER\fP variables can be set to disable specific options with
«\fB\-+\fP», for example \fBDPKG_PAGER="less \-+F"\fP.
.
.SH 関連項目
\fBdpkg\fP(1).

