.\" dpkg manual page - dpkg-deb(1)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006 Frank Lichtenheld <djpig@debian.org>
.\" Copyright © 2007-2011 Raphaël Hertzog <hertzog@debian.org>
.\" Copyright © 2011-2013, 2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-shlibdeps 1 %RELEASE_DATE% %VERSION% "dpkg suite"
.ad l
.nh
.SH 名前
dpkg\-shlibdeps \- 共有ライブラリの substvar 依存関係を生成する
.
.SH 書式
\fBdpkg\-shlibdeps\fP [\fIoption\fP...] [\fB\-e\fP]\fIexecutable\fP [\fIoption\fP...]
.
.SH 説明
\fBdpkg\-shlibdeps\fP は、引数として与えられた実行バイナリと共有ライブラリとの依存関係を算出する。依存関係は変数ファイル
\fBdebian/substvars\fP に \fBshlibs:\fP\fIdependency\-field\fP
という名前の変数として追加される。\fIdependency\-field\fP は依存関係にあるフィールド名であり、それ以外の\fBshlibs:\fP
からはじまる変数はファイルから削除される。
.P
\fBdpkg\-shlibdeps\fP には依存関係情報を生成する情報源として \fIsymbols\fP ファイルおよび \fIshlibs\fP ファイルの 2
つを使用する。\fBdpkg\-shlibdeps\fP
は、解析する各バイナリについてリンクするライブラリの一覧を確認した上で、各ライブラリを、\fIsymbols\fP ファイルもしくは \fIshlibs\fP
ファイル (前者が存在しないか、debian/shlibs.local に適切な依存関係が含まれている場合)
から検索する。両ファイルともに、ライブラリのパッケージによって提供され、各々 %ADMINDIR%/info/\fIpackage\fP.\fIsymbols\fP
および %ADMINDIR%/info/\fIpackage\fP.\fIshlibs\fP に存在する。パッケージ名は 2
段階で識別される。最初にシステムにあるライブラリが検索され (\fBld.so\fP が使用するのと同じディレクトリが検索される)、ついで \fBdpkg \-S
\fP\fIlibrary\-file\fP を用いてライブラリを提供するパッケージが検索される。
.SS シンボルファイル
シンボルファイルにはライブラリがエクスポートしている各シンボルに関する最小の依存関係を提供するための詳細な依存関係情報が含まれる。スクリプトは、ライブラリパッケージに関連付けられたシンボルファイルを検索する際に、ファイルを確認する
(最初にマッチしたものが使われる):
.IP debian/*/DEBIAN/symbols
\fBdpkg\-gensymbols\fP(1)
を実行した現在のビルド処理によって生成される共有ライブラリの情報。これらはライブラリがパッケージのビルドツリー内で見つかった場合のみ使われる。ビルドツリー内のシンボルファイルは、その他のバイナリパッケージのシンボルファイルに優先する。
.IP %PKGCONFDIR%/symbols/\fIpackage\fP.symbols.\fIarch\fP
.IP %PKGCONFDIR%/symbols/\fIpackage\fP.symbols
システム全体に上書き適用される共有ライブラリの依存関係情報。\fIarch\fP は現在のシステムのアーキテクチャを示す
(\fBdpkg\-architecture \-qDEB_HOST_ARCH\fP により取得される)。
.IP "“\fBdpkg\-query \-\-control\-path\fP \fIpackage\fP symbols” の出力"
Package\-provided shared library dependency information.  Unless overridden
by \fB\-\-admindir\fP, those files are located in %ADMINDIR%.
.P
バイナリが使用するシンボルをスキャンしている際、\fBdpkg\-shlibdeps\fP は、各ライブラリが必要としている (最大の)
最小バージョンを記憶する。これにより、処理が完了した際に、使用する各ライブラリ毎に最小の依存関係を書き出すことが可能となる (\fIsymbols\fP
ファイルの情報が適切である場合)。
.P
As a safe\-guard measure, a symbols file can provide a
\fBBuild\-Depends\-Package\fP meta\-information field and \fBdpkg\-shlibdeps\fP will
extract the minimal version required by the corresponding package in the
\fBBuild\-Depends\fP field and use this version if it's higher than the minimal
version computed by scanning symbols.
.SS "shlibs ファイル"
shlibs ファイルは、ライブラリに直接 (シンボルを参照することなしに)
依存関係を設定する。これは時として必要以上に強力な場合もあるが、非常に安全かつ簡単に扱うことができる。
.P
ライブラリの依存関係は、幾つかのパスから検索される。対象のライブラリに対して最初に情報を提供したファイルの情報が用いられる。
.IP debian/shlibs.local
パッケージのみに上書き適用される共有ライブラリの依存関係情報
.IP %PKGCONFDIR%/shlibs.override
システム全体に上書き適用される共有ライブラリの依存関係情報
.IP debian/*/DEBIAN/shlibs
\fBdpkg\-shlibdeps\fP
を起動した現在のビルド処理によって生成された共有ライブラリの情報。これらはライブラリがパッケージのビルドツリー内で見つかった場合のみ使われる。ビルドツリー内の
shlibs ファイルはその他のバイナリパッケージの shlibs ファイルに優先する。
.IP "“\fBdpkg\-query \-\-control\-path\fP \fIpackage\fP shlibs” の出力"
Package\-provided shared library dependency information.  Unless overridden
by \fB\-\-admindir\fP, those files are located in %ADMINDIR%.
.IP %PKGCONFDIR%/shlibs.default
システム全体に影響するデフォルトの共有ライブラリの依存関係情報
.P
展開された依存関係は直接適用される (重複が確認されたり、別のより強い依存関係が確認されたりしたためフィルタされる場合を除く)。
.SH オプション
\fBdpkg\-shlibdeps\fP は、オプションでない引数を、\fB\-e\fP\fIexecutable\fP
で指定された場合と同じく実行ファイル名として解釈する。
.TP 
\fB\-e\fP\fIexecutable\fP
Include dependencies appropriate for the shared libraries required by
\fIexecutable\fP.  This option can be used multiple times.
.TP 
\fB\-l\fP\fIdirectory\fP
Prepend \fIdirectory\fP to the list of directories to search for private shared
libraries (since dpkg 1.17.0). This option can be used multiple times.

Note: Use this option instead of setting \fBLD_LIBRARY_PATH\fP, as that
environment variable is used to control the run\-time linker and abusing it
to set the shared library paths at build\-time can be problematic when
cross\-compiling for example.
.TP 
\fB\-d\fP\fIdependency\-field\fP
制御ファイルの依存関係のためのフィールド \fIdependency\-field\fP に依存関係を追加する (このフィールドに記載した依存関係は
\fBshlibs:\fP\fIdependency\-field\fP 変数に設定される。

\fB\-d\fP\fIdependency\-field\fP オプションは、次の \fB\-d\fP\fIdependency\-field\fP
が現れるまで、このオプションに続くすべての実行ファイルに適用される。\fIdependency\-field\fP のデフォルトは \fBDepends\fP
である。

\fBPre\-Depends\fP, \fBDepends\fP, \fBRecommends\fP, \fBEnhances\fP, \fBSuggests\fP
といった依存関係に関連するフィールドに、同一の (代替パッケージを含む) 依存関係のエントリが現れた場合、\fBdpkg\-shlibdeps\fP
は自動的にもっとも重要な依存関係を示すもの以外、すべてのフィールドから該当する依存関係を自動的に削除する。
.TP 
\fB\-p\fP\fIvarname\-prefix\fP
変数名を \fBshlibs:\fP から始まる代わりに \fIvarname\-prefix\fP\fB:\fP から始める。同様に、(\fBshlibs:\fPではなく)
\fIvarname\-prefix\fP\fB:\fP から始まる既存の変数が変数ファイルから削除される。
.TP 
\fB\-O\fP[\fIfilename\fP]
Print substitution variable settings to standard output (or \fIfilename\fP if
specified, since dpkg 1.17.2), rather than being added to the substitution
variables file (\fBdebian/substvars\fP by default).
.TP 
\fB\-t\fP\fItype\fP
Prefer shared library dependency information tagged for the given package
type. If no tagged information is available, falls back to untagged
information. The default package type is \fBdeb\fP. Shared library dependency
information is tagged for a given type by prefixing it with the name of the
type, a colon, and whitespace.
.TP 
\fB\-L\fP\fIlocal\-shlibs\-file\fP
\fBdebian/shlibs.local\fP の代わりに \fIlocal\-shlibs\-file\fP
から上書きする共有ライブラリの依存関係情報を読み取る。
.TP 
\fB\-T\fP\fIsubstvars\-file\fP
変数を \fIsubstvars\-file\fP に書き込む。デフォルトは \fBdebian/substvars\fP である。
.TP 
\fB\-v\fP
Enable verbose mode (since dpkg 1.14.8).  Numerous messages are displayed to
explain what \fBdpkg\-shlibdeps\fP does.
.TP 
\fB\-x\fP\fIpackage\fP
Exclude the package from the generated dependencies (since dpkg 1.14.8).
This is useful to avoid self\-dependencies for packages which provide ELF
binaries (executables or library plugins) using a library contained in the
same package. This option can be used multiple times to exclude several
packages.
.TP 
\fB\-S\fP\fIpackage\-build\-dir\fP
Look into \fIpackage\-build\-dir\fP first when trying to find a library (since
dpkg 1.14.15).  This is useful when the source package builds multiple
flavors of the same library and you want to ensure that you get the
dependency from a given binary package. You can use this option multiple
times: directories will be tried in the same order before directories of
other binary packages.
.TP 
\fB\-I\fP\fIpackage\-build\-dir\fP
Ignore \fIpackage\-build\-dir\fP when looking for shlibs, symbols, and shared
library files (since dpkg 1.18.5).  You can use this option multiple times.
.TP 
\fB\-\-ignore\-missing\-info\fP
Do not fail if dependency information can't be found for a shared library
(since dpkg 1.14.8).  Usage of this option is discouraged, all libraries
should provide dependency information (either with shlibs files, or with
symbols files)  even if they are not yet used by other packages.
.TP 
\fB\-\-warnings=\fP\fIvalue\fP
\fIvalue\fP is a bit field defining the set of warnings that can be emitted by
\fBdpkg\-shlibdeps\fP (since dpkg 1.14.17).  Bit 0 (value=1) enables the warning
“symbol \fIsym\fP used by \fIbinary\fP found in none of the libraries”, bit 1
(value=2) enables the warning “package could avoid a useless dependency” and
bit 2 (value=4) enables the warning “\fIbinary\fP should not be linked against
\fIlibrary\fP”.  The default \fIvalue\fP is 3: the first two warnings are active
by default, the last one is not. Set \fIvalue\fP to 7 if you want all warnings
to be active.
.TP 
\fB\-\-admindir=\fP\fIdir\fP
Change the location of the \fBdpkg\fP database (since dpkg 1.14.0).  The
default location is \fI%ADMINDIR%\fP.
.TP 
\fB\-?\fP, \fB\-\-help\fP
利用方法を表示して終了する。
.TP 
\fB\-\-version\fP
バージョン情報を表示して終了する。
.
.SH 環境変数
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.TP 
\fBDPKG_NLS\fP
If set, it will be used to decide whether to activate Native Language
Support, also known as internationalization (or i18n) support (since dpkg
1.19.0).  The accepted values are: \fB0\fP and \fB1\fP (default).
.
.SH 診断メッセージ
.SS Warnings
\fBdpkg\-shlibdeps\fP
が生成されたパッケージの各バイナリが使用する一連のシンボルを解析する際に、様々なケースで警告が発生する。これにより、パッケージの改良につながるヒントを得ることができる。多くの場合、こうした改良はアップストリームのソースに直接影響する。重要度の高いものから順に、発生しうる様々な警告を以下に示す:
.TP 
\fBsymbol\fP\fI sym\fP\fB used by \fP\fIbinary\fP\fB found in none of the libraries.\fP
これは、シンボルがバイナリにリンクされたライブラリ内で見つからなかったことを示す。\fIbinary\fP
はほとんどの場合ライブラリであり、ビルド処理の中で別のライブラリにリンクされる必要がある (リンカの \fB\-l\fP\fIlibrary\fP オプション)。
.TP 
\fIbinary\fP\fB contains an unresolvable reference to symbol \fP\fIsym\fP\fB: it's probably a plugin\fP
これは、シンボルがバイナリにリンクされたライブラリ内で見つからなかったことを示す。\fIbinary\fP
はほとんどの場合プラグインであり、シンボルは恐らくプラグインをロードするプログラムによって提供される。プラグインには SONAME
を持たせないのがセオリーだが、このバイナリはそれを持っているため、プラグインかどうかを明確に判別することができていない。ただし、このバイナリは一般的なディレクトリに配置されていないため、通常の共有ライブラリではないことがほぼ断定できている。バイナリが実際にプラグインであった場合は、この警告は無視すればよい。ただし、バイナリが実際にはライブラリである可能性もある。その場合、リンクするプログラムは
RPATH を用いて、動的ローダにライブラリを発見させる。後者の場合、このライブラリは機能不全であり、修正が必要である。
.TP 
\fBpackage could avoid a useless dependency if \fP\fIbinary\fP\fB was not linked against \fP\fIlibrary\fP\fB (it uses none of the library's symbols)\fP
\fIlibrary\fP にリンクされた \fIbinaries\fP
は、ライブラリによって提供されているシンボルをまったく使用していない。\fIbinaries\fP
に列挙されたすべてのバイナリを修正することで、このライブラリへの依存関係を外すことができる可能性がある
(実際に使用される別のライブラリによって、同じ依存関係が生成されている場合を除く)。
.TP 
\fBpackage could avoid a useless dependency if \fP\fIbinaries\fP\fB were not linked against \fP\fIlibrary\fP\fB (they use none of the library's symbols)\fP
前述の警告と同一であるが、複数のバイナリが対象となっている。
.TP 
\fIbinary\fP\fB should not be linked against \fP\fIlibrary\fP\fB (it uses none of the library's symbols)\fP
The \fIbinary\fP is linked to a library that it doesn't need. It's not a
problem but some small performance improvements in binary load time can be
obtained by not linking this library to this binary. This warning checks the
same information as the previous one but does it for each binary instead of
doing the check globally on all binaries analyzed.
.SS Errors
\fBdpkg\-shlibdeps\fP は、バイナリによって使用される公開ライブラリを発見できない場合や、ライブラリに依存関係の情報 (shlibs
ファイルやシンボルファイル) が存在しない場合エラーとなる。公開ライブラリは SONAME があり、(libsomething.so.\fIX\fP
という形態で) バージョン管理されている。(プラグインのような) 非公開ライブラリは SONAME を持つべきではなく、バージョン管理も不要である。
.TP 
\fBcouldn't find library \fP\fIlibrary\-soname\fP\fB needed by \fP\fIbinary\fP\fB (its RPATH is '\fP\fIrpath\fP\fB')\fP
The \fIbinary\fP uses a library called \fIlibrary\-soname\fP but \fBdpkg\-shlibdeps\fP
has been unable to find the library.  \fBdpkg\-shlibdeps\fP creates a list of
directories to check as following: directories listed in the RPATH of the
binary, directories added by the \fB\-l\fP option, directories listed in the
\fBLD_LIBRARY_PATH\fP environment variable, cross multiarch directories
(ex. /lib/arm64\-linux\-gnu, /usr/lib/arm64\-linux\-gnu), standard public
directories (/lib, /usr/lib), directories listed in /etc/ld.so.conf, and
obsolete multilib directories (/lib32, /usr/lib32, /lib64, /usr/lib64).
Then it checks those directories in the package's build tree of the binary
being analyzed, in the packages' build trees indicated with the \fB\-S\fP
command\-line option, in other packages' build trees that contains a
DEBIAN/shlibs or DEBIAN/symbols file and finally in the root directory.  If
the library is not found in any of those directories, then you get this
error.

If the library not found is in a private directory of the same package, then
you want to add the directory with \fB\-l\fP. If it's in another binary package
being built, you want to make sure that the shlibs/symbols file of this
package is already created and that \fB\-l\fP contains the appropriate directory
if it also is in a private directory.
.TP 
\fBno dependency information found for \fP\fIlibrary\-file\fP\fB (used by \fP\fIbinary\fP\fB).\fP
The library needed by \fIbinary\fP has been found by \fBdpkg\-shlibdeps\fP in
\fIlibrary\-file\fP but \fBdpkg\-shlibdeps\fP has been unable to find any dependency
information for that library. To find out the dependency, it has tried to
map the library to a Debian package with the help of \fBdpkg \-S
\fP\fIlibrary\-file\fP.  Then it checked the corresponding shlibs and symbols
files in %ADMINDIR%/info/, and in the various package's build trees
(debian/*/DEBIAN/).

このエラーはライブラリパッケージの shlibs や symbols
ファイルに問題があるか、ファイル自体が存在しない場合に発生する。これは、ライブラリが同じソースパッケージからビルドされているが、shlibs
ファイルが未生成 (この場合 debian/rules ファイルを修正して、\fBdpkg\-shlibdeps\fP 実行前に shlibs
ファイルを生成するようにする必要がある) の場合にも発生する。RPATH に問題があり、ライブラリが正規化されていないパス名で発見され
(例えば、/usr/lib/libssl.so.0.9.8
ではなく、/usr/lib/openoffice.org/../lib/libssl.so.0.9.8
のような形で)、そのライブラリがどのパッケージにも対応付けられない場合にも発生する。この場合、\fBdpkg\-shlibdeps\fP は
(\fBrealpath\fP(3) を用いて) 正規名を確認するが、常に成功するとは限らない。問題を発生させないために、バイナリの RPATH
を常に整理しておくことが推奨される。

Calling \fBdpkg\-shlibdeps\fP in verbose mode (\fB\-v\fP) will provide much more
information about where it tried to find the dependency information. This
might be useful if you don't understand why it's giving you this error.
.SH 関連項目
\fBdeb\-shlibs\fP(5), \fBdeb\-symbols\fP(5), \fBdpkg\-gensymbols\fP(1)
