.\" dpkg manual page - dpkg-trigger(1)
.\"
.\" Copyright © 2008-2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-trigger 1 %RELEASE_DATE% %VERSION% "dpkg suite"
.ad l
.nh
.SH 名前
dpkg\-trigger \- パッケージトリガユーティリティ
.
.SH 書式
\fBdpkg\-trigger\fP [\fIoption\fP...] \fItrigger\-name\fP
.br
\fBdpkg\-trigger\fP [\fIoption\fP...] \fIcommand\fP
.
.SH 説明
\fBdpkg\-trigger\fP は、トリガを明示的に有効化したり、\fBdpkg\fP の実行時に、トリガのサポートをチェックしたりするツールである。
.PP
これは、ファイルトリガや宣言された
\fB有効化した\fPトリガ制御ファイルのディレクティブが不十分であるような、複雑で条件付きの判定を行うような場合に、メンテナスクリプトによって使用される。また、これはテスト時やシステム管理者からも使用できる
(ただし、\fBdpkg\-trigger\fP はトリガ自体を実行するものではないことに注意)。
.PP
トリガ名の文法が認識されなかった場合、\fBdpkg\-trigger\fP はエラーとなる。
.
.SH コマンド
.TP 
\fB\-\-check\-supported\fP
実行中の \fBdpkg\fP がトリガをサポートしているかをチェックする (通常これはpostinst から呼び出される)。トリガを実行可能な
\fBdpkg\fP が実行中の場合は、 \fB0\fP が返却され、それ以外の場合は \fB1\fP
が返却されるとともに、標準エラー出力にエラーメッセージが出力される。ただし、普通の使い方としては、単に\fBdpkg\-trigger\fP
を用いて使用したいトリガを有効化することが望ましい。
.TP 
\fB\-?\fP, \fB\-\-help\fP
利用方法を表示して終了する。
.TP 
\fB\-\-version\fP
バージョン情報を表示して終了する。
.
.SH オプション
.TP 
\fB\-\-admindir=\fP\fIdir\fP
Change the location of the \fBdpkg\fP database. The default location is
\fI%ADMINDIR%\fP.
.TP 
\fB\-\-by\-package=\fP\fIpackage\fP
トリガを待機するパッケージ名 (通常メンテナスクリプトの \fBDPKG_MAINTSCRIPT_PACKAGE\fP 環境変数を通じて \fBdpkg\fP
によってスクリプトが含まれるパッケージ名に設定され、デフォルトでこの名前が用いられる) を上書きする。
.TP 
\fB\-\-no\-await\fP
このオプションは、呼び出し側のパッケージ T (もしあれば) が、このトリガの処理を待機する必要がないように設定する。これは、関連パッケージ I が T
のトリガ処理待ちリストに追加されず、T のステータスも変更されないことを意味する。I のトリガ処理が完了していない場合であっても、T
はインストールされたと見なされる。
.TP 
\fB\-\-await\fP
This option does the inverse of \fB\-\-no\-await\fP (since dpkg 1.17.21).  If the
interested package has declared a “noawait” directive, then this option will
not be effective.  It is currently the default behavior.
.TP 
\fB\-\-no\-act\fP
テスト用、実際にはいかなる変更も行わない。
.
.SH 終了ステータス
.TP 
\fB0\fP
The requested action was successfully performed.  Or a check or assertion
command returned true.
.TP 
\fB1\fP
A check or assertion command returned false.
.TP 
\fB2\fP
Fatal or unrecoverable error due to invalid command\-line usage, or
interactions with the system, such as accesses to the database, memory
allocations, etc.
.
.SH 環境変数
.TP 
\fBDPKG_ADMINDIR\fP
If set and the \fB\-\-admindir\fP option has not been specified, it will be used
as the \fBdpkg\fP data directory.
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.
.SH 関連項目
.\" FIXME: Unhardcode the pathname, and use dpkg instead of dpkg-dev.
\fBdpkg\fP(1), \fBdeb\-triggers\fP(5), \fB/usr/share/doc/dpkg\-dev/triggers.txt.gz\fP
