.\" dpkg manual page - dpkg(1)
.\"
.\" Copyright © 1996 Juho Vuori <javuori@cc.helsinki.fi>
.\" Copyright © 1999 Jim Van Zandt <jrv@vanzandt.mv.com>
.\" Copyright © 1999-2003 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2000-2003 Adam Heath <doogie@debian.org>
.\" Copyright © 2002 Josip Rodin
.\" Copyright © 2004-2005 Scott James Remnant <keybuk@debian.org>
.\" Copyright © 2006-2016 Guillem Jover <guillem@debian.org>
.\" Copyright © 2007-2008 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2008-2011 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg 1 %RELEASE_DATE% %VERSION% "dpkg suite"
.ad l
.nh
.SH 名前
dpkg \- Debian パッケージマネージャ
.
.SH 書式
\fBdpkg\fP [\fIoption\fP...] \fIaction\fP
.
.SH 警告
このマニュアルは、\fBdpkg\fP のコマンドラインオプションやパッケージ状態について、\fBdpkg \-\-help\fP
よりも、さらに詳細に理解したいユーザを対象としている。

\fBdpkg\fP
がパッケージをどのようにインストールするかを理解したいというパッケージのメンテナを対象としたものではない。特に、パッケージのインストールや削除の際の
\fBdpkg\fP の挙動に関する説明が不足している。
.
.SH 説明
\fBdpkg\fP は、Debian パッケージのインストール、ビルド、削除、管理を行うためのツールである。\fBdpkg\fP
の代表的なフロントエンドであり、利便性の高いツールが\fBaptitude\fP(1) である。dpkg 自体は、1 つのアクションと 0
個以上のオプションからなるコマンドラインパラメータによって制御される。アクションにより \fBdpkg\fP
の動作が指定され、オプションにより、そのアクションに関する挙動が制御される。

\fBdpkg\fP は \fBdpkg\-deb\fP(1) および \fBdpkg\-query\fP(1)
のフロントエンドとして用いることもできる。サポートされているアクションの一覧は、アクションセクションで後ほど説明する。これらのアクションが指示された場合、\fBdpkg\fP
は、アクションに対して指定されたパラメータを用いて \fBdpkg\-deb\fP もしくは \fBdpkg\-query\fP
を呼び出すが、現在のところオプションについては引き渡されない。バックエンドに対してこうしたオプションを指定したい場合は、直接呼び出す必要がある。
.
.SH パッケージに関する情報
\fBdpkg\fP は利用可能なパッケージに関して、いくばくかの有用な情報を管理している。情報は、\fBステータス\fP、\fBパッケージ選択状態\fP、\fBフラグ\fPの
3 つに分類でき、主に\fBdselect\fP によって変更されることが想定されている。
.SS "Package states"
.TP 
\fBnot\-installed\fP
パッケージはシステムにインストールされていない。
.TP 
\fBconfig\-files\fP
パッケージの設定ファイルだけがシステムに存在している。
.TP 
\fBhalf\-installed\fP
パッケージのインストールは開始しているが、何らかの理由で完了していない。
.TP 
\fBunpacked\fP
パッケージは展開されたが、まだ設定されていない。
.TP 
\fBhalf\-configured\fP
パッケージは展開されて設定も開始しているが、何らかの理由によって完了していない。
.TP 
\fBtriggers\-awaited\fP
パッケージは別のパッケージによるトリガ処理を待機している。
.TP 
\fBtriggers\-pending\fP
パッケージはトリガされている。
.TP 
\fBinstalled\fP
The package is correctly unpacked and configured.
.SS "Package selection states"
.TP 
\fBinstall\fP
パッケージはインストールするように選択されている。
.TP 
\fBhold\fP
A package marked to be on \fBhold\fP is kept on the same version, that is, no
automatic new installs, upgrades or removals will be performed on them,
unless these actions are requested explicitly, or are permitted to be done
automatically with the \fB\-\-force\-hold\fP option.
.TP 
\fBdeinstall\fP
パッケージは deinstallation (設定ファイルを除くすべてのファイルを削除) するように選択されている
.TP 
\fBpurge\fP
パッケージは完全削除 (設定ファイルも含めたすべてのファイルを削除) するように選択されている。
.TP 
\fBunknown\fP
The package selection is unknown.  A package that is also in a
\fBnot\-installed\fP state, and with an \fBok\fP flag will be forgotten in the next
database store.
.SS "Package flags"
.TP 
\fBok\fP
A package marked \fBok\fP is in a known state, but might need further
processing.
.TP 
\fBreinstreq\fP
A package marked \fBreinstreq\fP is broken and requires reinstallation. These
packages cannot be removed, unless forced with option
\fB\-\-force\-remove\-reinstreq\fP.
.
.SH アクション
.TP 
\fB\-i\fP, \fB\-\-install\fP \fIpackage\-file\fP...
パッケージをインストールする。\fB\-\-recursive\fP または \fB\-R\fP オプションが指定されていた場合、\fIpackage\-file\fP
としてファイルではなくディレクトリを指定すること。

インストールは、以下のステップで構成されている。
.br

\fB1.\fP インストールする新しいパッケージの制御ファイルを展開する。
.br

\fB2.\fP 同一パッケージの別バージョンがインストール済の場合、新しいパッケージのインストール前に、インストール済パッケージの \fIprerm\fP
スクリプトを実行する。
.br

\fB3.\fP 新しいパッケージが \fIpreinst\fP スクリプトを提供している場合、実行する。
.br

\fB4.\fP 新しいファイルを展開する。同時に、失敗したときに元に戻せるように、古いファイルを保存する。
.br

\fB5.\fP 同一パッケージの別バージョンがインストール済の場合、古いパッケージの\fIpostrm\fP
スクリプトを実行する。このスクリプトは、新しいパッケージの
\fIpreinst\fPスクリプトの後に実行されることに注意すること。これは、新しいファイルが書き込まれるのと同時に古いファイルが削除されるためである。
.br

\fB6.\fP パッケージの設定を行う。処理の詳細については、\fB\-\-configure\fP を参照のこと。
.TP 
\fB\-\-unpack \fP\fIpackage\-file\fP...
パッケージを展開するが、設定はしない。\fB\-\-recursive\fP または \fB\-R\fP オプションが指定されていた場合、\fIpackage\-file\fP
としてファイルではなくディレクトリを指定すること。
.TP 
\fB\-\-configure \fP\fIpackage\fP...|\fB\-a\fP|\fB\-\-pending\fP
展開済だが未設定のパッケージを設定する。package の代わりに \fB\-a\fP もしくは\fB\-\-pending\fP
を指定した場合は、展開済だが未設定のパッケージすべてを設定する。

既に設定済のパッケージを再設定する場合は、\fBdpkg\-reconfigure\fP(8) コマンドを代わりに使用すること。

設定は、以下のステップで構成されている。
.br

\fB1.\fP 設定ファイルを展開する。同時になにか問題が発生した時に元に戻せるよう、古い設定ファイルをバックアップする。
.br

\fB2.\fP パッケージが提供している場合、\fIpostinst\fP スクリプトを実行する。
.TP 
\fB\-\-triggers\-only\fP \fIpackage\fP...|\fB\-a\fP|\fB\-\-pending\fP
Processes only triggers (since dpkg 1.14.17).  All pending triggers will be
processed.  If package names are supplied only those packages' triggers will
be processed, exactly once each where necessary. Use of this option may
leave packages in the improper \fBtriggers\-awaited\fP and \fBtriggers\-pending\fP
states. This can be fixed later by running: \fBdpkg \-\-configure \-\-pending\fP.
.TP 
\fB\-r\fP, \fB\-\-remove\fP \fIpackage\fP...|\fB\-a\fP|\fB\-\-pending\fP
Remove an installed package.  This removes everything except conffiles and
other data cleaned up by the \fIpostrm\fP script, which may avoid having to
reconfigure the package if it is reinstalled later (conffiles are
configuration files that are listed in the \fIDEBIAN/conffiles\fP control
file).  If there is no \fIDEBIAN/conffiles\fP control file nor \fIDEBIAN/postrm\fP
script, this command is equivalent to calling \fB\-\-purge\fP.  If \fB\-a\fP or
\fB\-\-pending\fP is given instead of a package name, then all packages unpacked,
but marked to be removed in file \fI%ADMINDIR%/status\fP, are removed.

パッケージの削除は以下のステップで構成されている:
.br

\fB1.\fP \fIprerm\fP スクリプトを実行する。
.br

\fB2.\fP インストールしたファイルを削除する。
.br

\fB3.\fP \fIpostrm\fP スクリプトを実行する。
.br

.TP 
\fB\-P\fP, \fB\-\-purge\fP \fIpackage\fP...|\fB\-a\fP|\fB\-\-pending\fP
Purge an installed or already removed package. This removes everything,
including conffiles, and anything else cleaned up from \fIpostrm\fP.  If \fB\-a\fP
or \fB\-\-pending\fP is given instead of a package name, then all packages
unpacked or removed, but marked to be purged in file \fI%ADMINDIR%/status\fP,
are purged.

Note: some configuration files might be unknown to \fBdpkg\fP because they are
created and handled separately through the configuration scripts. In that
case, \fBdpkg\fP won't remove them by itself, but the package's \fIpostrm\fP
script (which is called by \fBdpkg\fP), has to take care of their removal
during purge. Of course, this only applies to files in system directories,
not configuration files written to individual users' home directories.

Purging of a package consists of the following steps:
.br

\fB1.\fP Remove the package, if not already removed. See \fB\-\-remove\fP for
detailed information about how this is done.
.br

\fB2.\fP Run \fIpostrm\fP script.
.br
.TP 
\fB\-V\fP, \fB\-\-verify\fP [\fIpackage\-name\fP...]
Verifies the integrity of \fIpackage\-name\fP or all packages if omitted, by
comparing information from the files installed by a package with the files
metadata information stored in the \fBdpkg\fP database (since dpkg 1.17.2).
The origin of the files metadata information in the database is the binary
packages themselves. That metadata gets collected at package unpack time
during the installation process.

Currently the only functional check performed is an md5sum verification of
the file contents against the stored value in the files database.  It will
only get checked if the database contains the file md5sum. To check for any
missing metadata in the database, the \fB\-\-audit\fP command can be used.

The output format is selectable with the \fB\-\-verify\-format\fP option, which by
default uses the \fBrpm\fP format, but that might change in the future, and as
such, programs parsing this command output should be explicit about the
format they expect.
.TP 
\fB\-C\fP, \fB\-\-audit\fP [\fIpackage\-name\fP...]
Performs database sanity and consistency checks for \fIpackage\-name\fP or all
packages if omitted (per package checks since dpkg 1.17.10).  For example,
searches for packages that have been installed only partially on your system
or that have missing, wrong or obsolete control data or files. \fBdpkg\fP will
suggest what to do with them to get them fixed.
.TP 
\fB\-\-update\-avail\fP [\fIPackages\-file\fP]
.TQ
\fB\-\-merge\-avail\fP [\fIPackages\-file\fP]
Update \fBdpkg\fP's and \fBdselect\fP's idea of which packages are available. With
action \fB\-\-merge\-avail\fP, old information is combined with information from
\fIPackages\-file\fP. With action \fB\-\-update\-avail\fP, old information is replaced
with the information in the \fIPackages\-file\fP. The \fIPackages\-file\fP
distributed with Debian is simply named «\fIPackages\fP». If the
\fIPackages\-file\fP argument is missing or named «\fB\-\fP» then it will be read
from standard input (since dpkg 1.17.7). \fBdpkg\fP keeps its record of
available packages in \fI%ADMINDIR%/available\fP.

\fIavailable\fP ファイルを取得し更新する簡便なコマンドが \fBdselect update\fP である。このファイルは \fBdselect\fP
の代わりに APT ベースのフロントエンドを使用する場合はほとんど無意味である。APT
は利用可能なパッケージを管理するシステムを独自に保持しているためである。
.TP 
\fB\-A\fP, \fB\-\-record\-avail\fP \fIpackage\-file\fP...
\fBdpkg\fP や \fBdselect\fP が管理する利用可能なパッケージの情報を、\fIpackage\-file\fP
で指定したパッケージの情報で更新する。\fB\-\-recursive\fP または \fB\-R\fP オプションが指定されていた場合、\fIpackage\-file\fP
としてファイルではなくディレクトリを指定すること。
.TP 
\fB\-\-forget\-old\-unavail\fP
Now \fBobsolete\fP and a no\-op as \fBdpkg\fP will automatically forget uninstalled
unavailable packages (since dpkg 1.15.4), but only those that do not contain
user information such as package selections.
.TP 
\fB\-\-clear\-avail\fP
利用可能なパッケージについての情報を消去する。
.TP 
\fB\-\-get\-selections\fP [\fIpackage\-name\-pattern\fP...]
Get list of package selections, and write it to stdout. Without a pattern,
non\-installed packages (i.e. those which have been previously purged) will
not be shown.
.TP 
\fB\-\-set\-selections\fP
Set package selections using file read from stdin. This file should be in
the format “\fIpackage\fP \fIstate\fP”, where state is one of \fBinstall\fP, \fBhold\fP,
\fBdeinstall\fP or \fBpurge\fP. Blank lines and comment lines beginning with
‘\fB#\fP’ are also permitted.

The \fIavailable\fP file needs to be up\-to\-date for this command to be useful,
otherwise unknown packages will be ignored with a warning. See the
\fB\-\-update\-avail\fP and \fB\-\-merge\-avail\fP commands for more information.
.TP 
\fB\-\-clear\-selections\fP
Set the requested state of every non\-essential package to deinstall (since
dpkg 1.13.18).  This is intended to be used immediately before
\fB\-\-set\-selections\fP, to deinstall any packages not in list given to
\fB\-\-set\-selections\fP.
.TP 
\fB\-\-yet\-to\-unpack\fP
インストールするために選択されたが、何らかの理由でまだインストールされていないパッケージを検索する。
.IP
Note: This command makes use of both the available file and the package
selections.
.TP 
\fB\-\-predep\-package\fP
Print a single package which is the target of one or more relevant
pre\-dependencies and has itself no unsatisfied pre\-dependencies.
.IP
If such a package is present, output it as a Packages file entry, which can
be massaged as appropriate.
.IP
Note: This command makes use of both the available file and the package
selections.
.IP
Returns 0 when a package is printed, 1 when no suitable package is available
and 2 on error.
.TP 
\fB\-\-add\-architecture \fP\fIarchitecture\fP
Add \fIarchitecture\fP to the list of architectures for which packages can be
installed without using \fB\-\-force\-architecture\fP (since dpkg 1.16.2).  The
architecture \fBdpkg\fP is built for (i.e. the output of
\fB\-\-print\-architecture\fP)  is always part of that list.
.TP 
\fB\-\-remove\-architecture \fP\fIarchitecture\fP
Remove \fIarchitecture\fP from the list of architectures for which packages can
be installed without using \fB\-\-force\-architecture\fP (since dpkg 1.16.2). If
the architecture is currently in use in the database then the operation will
be refused, except if \fB\-\-force\-architecture\fP is specified. The architecture
\fBdpkg\fP is built for (i.e. the output of \fB\-\-print\-architecture\fP) can never
be removed from that list.
.TP 
\fB\-\-print\-architecture\fP
Print architecture of packages \fBdpkg\fP installs (for example, “i386”).
.TP 
\fB\-\-print\-foreign\-architectures\fP
Print a newline\-separated list of the extra architectures \fBdpkg\fP is
configured to allow packages to be installed for (since dpkg 1.16.2).
.TP 
\fB\-\-assert\-\fP\fIfeature\fP
Asserts that \fBdpkg\fP supports the requested feature.  Returns 0 if the
feature is fully supported, 1 if the feature is known but \fBdpkg\fP cannot
provide support for it yet, and 2 if the feature is unknown.  The current
list of assertable features is:
.RS
.TP 
\fBsupport\-predepends\fP
Supports the \fBPre\-Depends\fP field (since dpkg 1.1.0).
.TP 
\fBworking\-epoch\fP
Supports epochs in version strings (since dpkg 1.4.0.7).
.TP 
\fBlong\-filenames\fP
Supports long filenames in \fBdeb\fP(5) archives (since dpkg 1.4.1.17).
.TP 
\fBmulti\-conrep\fP
Supports multiple \fBConflicts\fP and \fBReplaces\fP (since dpkg 1.4.1.19).
.TP 
\fBmulti\-arch\fP
Supports multi\-arch fields and semantics (since dpkg 1.16.2).
.TP 
\fBversioned\-provides\fP
Supports versioned \fBProvides\fP (since dpkg 1.17.11).
.RE
.TP 
\fB\-\-validate\-\fP\fIthing string\fP
Validate that the \fIthing\fP \fIstring\fP has a correct syntax (since dpkg
1.18.16).  Returns 0 if the \fIstring\fP is valid, 1 if the \fIstring\fP is
invalid but might be accepted in lax contexts, and 2 if the \fIstring\fP is
invalid.  The current list of validatable \fIthing\fPs is:
.RS
.TP 
\fBpkgname\fP
Validates the given package name (since dpkg 1.18.16).
.TP 
\fBtrigname\fP
Validates the given trigger name (since dpkg 1.18.16).
.TP 
\fBarchname\fP
Validates the given architecture name (since dpkg 1.18.16).
.TP 
\fBversion\fP
Validates the given version (since dpkg 1.18.16).
.RE
.TP 
\fB\-\-compare\-versions \fP\fIver1 op ver2\fP
.\" .TP
.\" .B \-\-command\-fd \fIn\fP
.\" Accept a series of commands on input file descriptor \fIn\fP. Note:
.\" additional options set on the command line, and through this file descriptor,
.\" are not reset for subsequent commands executed during the same run.
Compare version numbers, where \fIop\fP is a binary operator. \fBdpkg\fP returns
true (\fB0\fP) if the specified condition is satisfied, and false (\fB1\fP)
otherwise. There are two groups of operators, which differ in how they treat
an empty \fIver1\fP or \fIver2\fP. These treat an empty version as earlier than
any version: \fBlt le eq ne ge gt\fP. These treat an empty version as later
than any version: \fBlt\-nl le\-nl ge\-nl gt\-nl\fP. These are provided only for
compatibility with control file syntax: \fB< << <= = >=
>> >\fP. The \fB<\fP and \fB>\fP operators are obsolete and
should \fBnot\fP be used, due to confusing semantics. To illustrate: \fB0.1
< 0.1\fP evaluates to true.
.TP 
\fB\-?\fP, \fB\-\-help\fP
オプションに関する簡単なヘルプを表示する。
.TP 
\fB\-\-force\-help\fP
\fB\-\-force\-\fP\fIthing\fP オプションに関するヘルプを表示する。
.TP 
\fB\-Dh\fP, \fB\-\-debug=help\fP
デバッグ用オプションに関するヘルプを表示する。
.TP 
\fB\-\-version\fP
\fBdpkg\fP のバージョン情報を表示する。
.TP 
\fBdpkg\-deb actions\fP
以下のアクションの詳細については \fBdpkg\-deb\fP(1) を参照のこと。

.nf
\fB\-b\fP, \fB\-\-build\fP \fIdirectory\fP [\fIarchive\fP|\fIdirectory\fP]
    Build a deb package.
\fB\-c\fP, \fB\-\-contents\fP \fIarchive\fP
    List contents of a deb package.
\fB\-e\fP, \fB\-\-control\fP \fIarchive\fP [\fIdirectory\fP]
    Extract control\-information from a package.
\fB\-x\fP, \fB\-\-extract\fP \fIarchive directory\fP
    Extract the files contained by package.
\fB\-X\fP, \fB\-\-vextract\fP \fIarchive directory\fP
    Extract and display the filenames contained by a
    package.
\fB\-f\fP, \fB\-\-field\fP  \fIarchive\fP [\fIcontrol\-field\fP...]
    Display control field(s) of a package.
\fB\-\-ctrl\-tarfile\fP \fIarchive\fP
    Output the control tar\-file contained in a Debian package.
\fB\-\-fsys\-tarfile\fP \fIarchive\fP
    Output the filesystem tar\-file contained by a Debian package.
\fB\-I\fP, \fB\-\-info\fP \fIarchive\fP [\fIcontrol\-file\fP...]
    Show information about a package.
.fi

.TP 
\fBdpkg\-query actions\fP
以下のアクションの詳細は、\fBdpkg\-query\fP(1) を参照のこと。

.nf

\fB\-l\fP | \fB\-\-list\fP \fIpackage\-name\-pattern\fP ...
    指定したパターンにマッチする名前のパッケージの一覧を表示する。
\fB\-s\fP | \fB\-\-status\fP \fIpackage\-name\fP ...
    指定したパッケージの状態を報告する。
\fB\-L\fP | \fB\-\-listfiles\fP \fIpackage\-name\fP ...
    \fBpackage\-name\fP によってシステムにインストールされたファイルの一覧を表示する。
\fB\-S\fP | \fB\-\-search\fP \fIfilename\-search\-pattern\fP ...
    指定したファイルがどのパッケージからインストールされたか検索する。
\fB\-p\fP | \fB\-\-print\-avail\fP \fIpackage\-name\fP
    \fI%ADMINDIR%/available\fP にある \fIpackage\-name\fP の詳細情報を表示する。
    APT ベースのフロントエンドを使っている場合は、\fBapt\-cache show\fP \fIpackage\-name\fP
    コマンドを代わりに使用すること。
.fi
.
.SH オプション
All options can be specified both on the command line and in the \fBdpkg\fP
configuration file \fI%PKGCONFDIR%/dpkg.cfg\fP or fragment files (with names
matching this shell pattern '[0\-9a\-zA\-Z_\-]*') on the configuration directory
\fI%PKGCONFDIR%/dpkg.cfg.d/\fP. Each line in the configuration file is either
an option (exactly the same as the command line option but without leading
hyphens) or a comment (if it starts with a ‘\fB#\fP’).
.br
.TP 
\fB\-\-abort\-after=\fP\fInumber\fP
\fBdpkg\fP の処理を中断させるエラー数を変更する。デフォルトは 50 である。
.TP 
\fB\-B\fP, \fB\-\-auto\-deconfigure\fP
パッケージを削除するとき、削除するパッケージに依存した別のパッケージがインストールされている場合がある。このオプションを指定すると、削除するパッケージに依存しているパッケージの設定を自動的に取り消す。
.TP 
\fB\-D\fP\fIoctal\fP\fB, \-\-debug=\fP\fIoctal\fP
デバッグモードにする。 \fIoctal\fP は、以下の一覧 (将来のリリースでは変更される可能性があることに注意)
から、任意の値をビットごとの論理和で組み合わせた数値である。\fB\-Dh\fP または \fB\-\-debug=help\fP により指定可能な値が表示される。

      数値   説明
         1   一般的に有用な、処理の進行状況
         2   管理スクリプトの呼び出しと処理状況
        10   各ファイル処理の情報
       100   各ファイル処理の詳細情報
        20   各設定ファイルの情報
       200   各設定ファイルの詳細情報
        40   依存関係、競合関係
       400   依存関係、競合関係の詳細情報
     10000   トリガの有効化と処理状況
     20000   トリガ関連の詳細情報
     40000   トリガ関連の過剰ともいえる詳細情報
      1000   dpkg/info ディレクトリ関連など、あまり意味のない詳細情報
      2000   信じられないほど大量のあまり意味のない情報
.TP 
\fB\-\-force\-\fP\fIthings\fP
.TQ
\fB\-\-no\-force\-\fP\fIthings\fP, \fB\-\-refuse\-\fP\fIthings\fP
指定した \fIthings\fP を強制実行 (force) もしくは拒否 (refuse) する (\fBno\-force\fPと \fBrefuse\fP
は同じ意味) 。\fIthings\fP には、以下の項目をコンマで区切って列挙する。これらの項目は \fB\-\-force\-help\fP
オプションで表示される。(*) マークのあるものは、デフォルトで強制実行される。

\fI警告:
以下のオプションは、熟練ユーザ以外による使用を基本的に想定していない。影響を完全に理解しないままに使用した場合、システム全体が機能不全に陥る可能性がある。\fP

\fBall\fP: 全ての強制オプションを指定する(または指定しない)。

\fBdowngrade\fP(*): より新しいバージョンがすでにインストールされていたとしても、指定したパッケージをインストールする。

\fIWarning: At present \fP\fBdpkg\fP\fI does not do any dependency checking on
downgrades and therefore will not warn you if the downgrade breaks the
dependency of some other package. This can have serious side effects,
downgrading essential system components can even make your whole system
unusable. Use with care.\fP

\fBconfigure\-any\fP: 指定したパッケージが依存しており、すでに展開されているが、まだ設定されていないパッケージも一緒に設定をする。

\fBhold\fP: Allow automatic installs, upgrades or removals of packages even
when marked to be on “hold”.  Note: This does not prevent these actions when
requested explicitly.

\fBremove\-reinstreq\fP:
問題が発生しており、再インストールが必要だとマークされていた場合でも、パッケージを削除する。これは、パッケージの一部が \fBdpkg\fP
から認識されない状態でシステムに残置されてしまう状況を引き起こす場合がある。

\fBremove\-essential\fP: essential と見なされるパッケージであっても削除する。essential
パッケージには、もっとも基本となる UNIX
コマンドが含まれる。これらを削除すると、システム全体が動作しなくなるため、本オプションは注意して使用すること。

\fBdepends\fP: Turn all dependency problems into warnings.  This affects the
\fBPre\-Depends\fP and \fBDepends\fP fields.

\fBdepends\-version\fP: Don't care about versions when checking dependencies.
This affects the \fBPre\-Depends\fP and \fBDepends\fP fields.

\fBbreaks\fP: Install, even if this would break another package (since dpkg
1.14.6).  This affects the \fBBreaks\fP field.

\fBconflicts\fP: Install, even if it conflicts with another package. This is
dangerous, for it will usually cause overwriting of some files.  This
affects the \fBConflicts\fP field.

\fBconfmiss\fP: Always install the missing conffile without prompting. This is
dangerous, since it means not preserving a change (removing) made to the
file.

\fBconfnew\fP:
設定ファイルが変更されており、パッケージ中のバージョンも変更されていた場合、確認なしに新しいバージョンをインストールする。ただし、\fB\-\-force\-confdef\fP
が同時に指定されていた場合は、デフォルトの動作が優先される。

\fBconfold\fP:
設定ファイルが変更されており、パッケージ中のバージョンも変更されていた場合、確認なしに古いバージョンを保持する。ただし、\fB\-\-force\-confdef\fP
が同時に指定されていた場合は、デフォルトの動作が優先される。

\fBconfdef\fP: conffile
が変更されており、パッケージ中のバージョンも変更されていた場合、デフォルトの動作を実行する。デフォルトの動作が未定義で、\fB\-\-force\-confnew\fP
と \fB\-\-force\-confold\fP
のいずれも設定されていなかった場合は、ユーザに確認を求めるため、処理を中断する。いずれかが設定されている場合は、それによって最終的な動作が決定される。

\fBconfask\fP: If a conffile has been modified always offer to replace it with
the version in the package, even if the version in the package did not
change (since dpkg 1.15.8).  If any of \fB\-\-force\-confnew\fP,
\fB\-\-force\-confold\fP, or \fB\-\-force\-confdef\fP is also given, it will be used to
decide the final action.

\fBoverwrite\fP: あるパッケージで提供されているファイルを、インストールするパッケージのファイルで上書きする。

\fBoverwrite\-dir\fP: Overwrite one package's directory with another's file.

\fBoverwrite\-diverted\fP: 退避 (divert) した古いファイルを現在のファイルで上書きする。

\fBstatoverride\-add\fP: Overwrite an existing stat override when adding it
(since dpkg 1.19.5).

\fBstatoverride\-remove\fP: Ignore a missing stat override when removing it
(since dpkg 1.19.5).

\fBsecurity\-mac\fP(*): Use platform\-specific Mandatory Access Controls (MAC)
based security when installing files into the filesystem (since dpkg
1.19.5).  On Linux systems the implementation uses SELinux.

\fBunsafe\-io\fP: Do not perform safe I/O operations when unpacking (since dpkg
1.15.8.6).  Currently this implies not performing file system syncs before
file renames, which is known to cause substantial performance degradation on
some file systems, unfortunately the ones that require the safe I/O on the
first place due to their unreliable behaviour causing zero\-length files on
abrupt system crashes.

\fI注記\fP: この事象の主たる発生元である ext4 では、本オプションの代わりにマウントオプション \fBnodelalloc\fP
の使用を検討してほしい。これはパフォーマンスの低下を抑えつつ、データを安全に扱うことができる。後者は、ファイルシステム上において、アトミックな
rename 処理の前に同期を行わないソフトウェアが、突然のシステム停止の際に 0 バイト長のファイルを作成できないようにすることで実現している。

\fI警告: このオプションはパフォーマンスを向上させるかもしれないが、同時にデータ喪失のリスクを高める。使用に際してはこの点の充分注意すること。\fP

\fBscript\-chrootless\fP: Run maintainer scripts without \fBchroot\fP(2)ing into
\fBinstdir\fP even if the package does not support this mode of operation
(since dpkg 1.18.5).

\fIWarning: This can destroy your host system, use with extreme care.\fP

\fBarchitecture\fP: パッケージのアーキテクチャが誤っている、もしくはアーキテクチャが存在しない場合であっても、処理を行う。

\fBbad\-version\fP: Process even packages with wrong versions (since dpkg
1.16.1).

\fBbad\-path\fP: 重要なプログラムが \fBPATH\fP に含まれていなくても実行する。問題が起きる可能性が高い。

\fBnot\-root\fP: root 以外でも、インストール (または削除) を試行する。

\fBbad\-verify\fP: 正当性認証チェックに失敗してもパッケージをインストールする。

.TP 
\fB\-\-ignore\-depends\fP=\fIpackage\fP,...
Ignore dependency\-checking for specified packages (actually, checking is
performed, but only warnings about conflicts are given, nothing else).  This
affects the \fBPre\-Depends\fP, \fBDepends\fP and \fBBreaks\fP fields.
.TP 
\fB\-\-no\-act\fP, \fB\-\-dry\-run\fP, \fB\-\-simulate\fP
実行されるべき処理をすべて行うが、いかなる変更も書き込まない。これは、一切変更を行わずに、指定したアクションによって何が起こるかを確認する際に用いられる。

オプション \fB\-\-no\-act\fP は、必ずアクションパラメータより前で指定すること。さもなくば、望ましくない結果が発生することになる
(例えば、\fBdpkg \-\-purge foo \-\-no\-act\fP
というコマンドを実行させた場合、変更は一切させないつもりかも知れないが、実際には、パッケージ foo を完全削除してしまってから、\-\-no\-act
という名前のパッケージの完全削除処理が行われる)。
.TP 
\fB\-R\fP, \fB\-\-recursive\fP
Recursively handle all regular files matching pattern \fB*.deb\fP found at
specified directories and all of its subdirectories. This can be used with
\fB\-i\fP, \fB\-A\fP, \fB\-\-install\fP, \fB\-\-unpack\fP and \fB\-\-record\-avail\fP actions.
.TP 
\fB\-G\fP
インストール済のパッケージのバージョンの方が新しければ、パッケージをインストールしない。これは \fB\-\-refuse\-downgrade\fP
の別名である。
.TP 
\fB\-\-admindir=\fP\fIdir\fP
Set the administrative directory to \fIdirectory\fP.  This directory contains
many files that give information about status of installed or uninstalled
packages, etc.  Defaults to «\fI%ADMINDIR%\fP».
.TP 
\fB\-\-instdir=\fP\fIdir\fP
Set the installation directory, which refers to the directory where packages
are to be installed. \fBinstdir\fP is also the directory passed to \fBchroot\fP(2)
before running package's installation scripts, which means that the scripts
see \fBinstdir\fP as a root directory.  Defaults to «\fI/\fP».
.TP 
\fB\-\-root=\fP\fIdir\fP
Set the root directory to \fBdirectory\fP, which sets the installation
directory to «\fIdir\fP» and the administrative directory to
«\fIdir\fP\fB%ADMINDIR%\fP».
.TP 
\fB\-O\fP, \fB\-\-selected\-only\fP
インストール対象として選択されたパッケージのみを処理する。選択のマーク付けそのものは、\fBdselect\fP や \fBdpkg\fP
を使って行なう。例えば、パッケージ削除の際には、パッケージは削除対象としてマーク付けがされる。
.TP 
\fB\-E\fP, \fB\-\-skip\-same\-version\fP
すでに同じバージョンのパッケージがインストールされている場合、パッケージをインストールしない。
.TP 
\fB\-\-pre\-invoke=\fP\fIcommand\fP
.TQ
\fB\-\-post\-invoke=\fP\fIcommand\fP
Set an invoke hook \fIcommand\fP to be run via \*(lqsh \-c\*(rq before or after the
\fBdpkg\fP run for the \fIunpack\fP, \fIconfigure\fP, \fIinstall\fP, \fItriggers\-only\fP,
\fIremove\fP, \fIpurge\fP, \fIadd\-architecture\fP and \fIremove\-architecture\fP \fBdpkg\fP
actions (since dpkg 1.15.4; \fIadd\-architecture\fP and \fIremove\-architecture\fP
actions since dpkg 1.17.19). This option can be specified multiple
times. The order the options are specified is preserved, with the ones from
the configuration files taking precedence.  The environment variable
\fBDPKG_HOOK_ACTION\fP is set for the hooks to the current \fBdpkg\fP
action. Note: front\-ends might call \fBdpkg\fP several times per invocation,
which might run the hooks more times than expected.
.TP 
\fB\-\-path\-exclude=\fP\fIglob\-pattern\fP
.TQ
\fB\-\-path\-include=\fP\fIglob\-pattern\fP
Set \fIglob\-pattern\fP as a path filter, either by excluding or re\-including
previously excluded paths matching the specified patterns during install
(since dpkg 1.15.8).

\fI警告: 除外したパスによっては、システム全体が動作しなくなる可能性がある。危険性を充分理解した上で、注意して使用すること。\fP

The glob patterns use the same wildcards used in the shell, were ‘*’ matches
any sequence of characters, including the empty string and also ‘/’.  For
example, «\fI/usr/*/READ*\fP» matches «\fI/usr/share/doc/package/README\fP».  As
usual, ‘?’ matches any single character (again, including ‘/’).  And ‘[’
starts a character class, which can contain a list of characters, ranges and
complementations. See \fBglob\fP(7) for detailed information about
globbing. Note: the current implementation might re\-include more directories
and symlinks than needed, to be on the safe side and avoid possible unpack
failures; future work might fix this.

これは、特定のパス以外のパスをすべて除外するために使用することができる。典型的な例を以下に示す:

.nf
\fB\-\-path\-exclude=/usr/share/doc/*\fP
\fB\-\-path\-include=/usr/share/doc/*/copyright\fP
.fi

これは、copyright ファイル以外のすべてのドキュメントファイルを削除する。

この 2
つのオプションは複数回指定することができ、交互に指定していくことも可能である。その場合は指定された順番どおりに処理が行われ、ファイル名に対して最後にマッチしたルールによって、処理が決定する。

The filters are applied when unpacking the binary packages, and as such only
have knowledge of the type of object currently being filtered (e.g. a normal
file or a directory) and have not visibility of what objects will come
next.  Because these filters have side effects (in contrast to \fBfind\fP(1)
filters), excluding an exact pathname that happens to be a directory object
like \fI/usr/share/doc\fP will not have the desired result, and only that
pathname will be excluded (which could be automatically reincluded if the
code sees the need).  Any subsequent files contained within that directory
will fail to unpack.

Hint: make sure the globs are not expanded by your shell.
.TP 
\fB\-\-verify\-format\fP\fI format\-name\fP
Sets the output format for the \fB\-\-verify\fP command (since dpkg 1.17.2).

The only currently supported output format is \fBrpm\fP, which consists of a
line for every path that failed any check.  The lines start with 9
characters to report each specific check result, a ‘\fB?\fP’ implies the check
could not be done (lack of support, file permissions, etc), ‘\fB.\fP’ implies
the check passed, and an alphanumeric character implies a specific check
failed; the md5sum verification failure (the file contents have changed) is
denoted with a ‘\fB5\fP’ on the third character.  The line is followed by a
space and an attribute character (currently ‘\fBc\fP’ for conffiles), another
space and the pathname.
.TP 
\fB\-\-status\-fd \fP\fIn\fP
コンピュータが解釈可能な形式のパッケージの状態と処理の進行状況に関する情報とをファイルディスクリプタ \fIn\fP
に引き渡す。このオプションは複数回指定することができる。情報は通常 1 行に 1 レコードずつ、以下のいずれかの形式で記載される:
.RS
.TP 
\fBstatus: \fP\fIpackage\fP\fB: \fP\fIstatus\fP
パッケージのステータスが変更された。\fIstatus\fP が新しいステータスである。
.TP 
\fBstatus: \fP\fIpackage\fP\fB : error : \fP\fIextended\-error\-message\fP
エラーが発生した。\fIextended\-error\-message\fP 中の改行は、出力の前に空白文字に置き換えられる。
.TP 
\fBstatus: \fP\fIfile\fP\fB : conffile\-prompt : '\fP\fIreal\-old\fP\fB' '\fP\fIreal\-new\fP\fB' \fP\fIuseredited\fP\fB \fP\fIdistedited\fP
ユーザは設定ファイルの処理に関する確認をされている。
.TP 
\fBprocessing: \fP\fIstage\fP\fB: \fP\fIpackage\fP
stage に関する処理が開始される前に送信される。\fIstage\fP は、\fBupgrade\fP, \fBinstall\fP
(いずれも展開が開始される前に送信される), \fBconfigure\fP, \fBtrigproc\fP, \fBdisappear\fP, \fBremove\fP,
\fBpurge\fP のいずれかになる。
.RE
.TP 
\fB\-\-status\-logger\fP=\fIcommand\fP
Send machine\-readable package status and progress information to the shell
\fIcommand\fP's standard input, to be run via \*(lqsh \-c\*(rq (since dpkg 1.16.0).
This option can be specified multiple times.  The output format used is the
same as in \fB\-\-status\-fd\fP.
.TP 
\fB\-\-log=\fP\fIfilename\fP
Log status change updates and actions to \fIfilename\fP, instead of the default
\fI%LOGDIR%/dpkg.log\fP. If this option is given multiple times, the last
filename is used. Log messages are of the form:
.RS
.TP 
YYYY\-MM\-DD HH:MM:SS \fBstartup\fP \fItype\fP \fIcommand\fP
For each dpkg invocation where \fItype\fP is \fBarchives\fP (with a \fIcommand\fP of
\fBunpack\fP or \fBinstall\fP) or \fBpackages\fP (with a \fIcommand\fP of \fBconfigure\fP,
\fBtriggers\-only\fP, \fBremove\fP or \fBpurge\fP).
.TP 
YYYY\-MM\-DD HH:MM:SS \fBstatus\fP \fIstate\fP \fIpkg\fP \fIinstalled\-version\fP
For status change updates.
.TP 
YYYY\-MM\-DD HH:MM:SS \fIaction\fP \fIpkg\fP \fIinstalled\-version\fP \fIavailable\-version\fP
For actions where \fIaction\fP is one of \fBinstall\fP, \fBupgrade\fP, \fBconfigure\fP,
\fBtrigproc\fP, \fBdisappear\fP, \fBremove\fP or \fBpurge\fP.
.TP 
YYYY\-MM\-DD HH:MM:SS \fBconffile\fP \fIfilename\fP \fIdecision\fP
For conffile changes where \fIdecision\fP is either \fBinstall\fP or \fBkeep\fP.
.RE
.TP 
\fB\-\-no\-pager\fP
Disables the use of any pager when showing information (since dpkg 1.19.2).
.TP 
\fB\-\-no\-debsig\fP
パッケージの署名を確認しない。
.TP 
\fB\-\-no\-triggers\fP
Do not run any triggers in this run (since dpkg 1.14.17), but activations
will still be recorded.  If used with \fB\-\-configure\fP \fIpackage\fP or
\fB\-\-triggers\-only\fP \fIpackage\fP then the named package postinst will still be
run even if only a triggers run is needed. Use of this option may leave
packages in the improper \fBtriggers\-awaited\fP and \fBtriggers\-pending\fP
states. This can be fixed later by running: \fBdpkg \-\-configure \-\-pending\fP.
.TP 
\fB\-\-triggers\fP
Cancels a previous \fB\-\-no\-triggers\fP (since dpkg 1.14.17).
.
.SH 終了ステータス
.TP 
\fB0\fP
The requested action was successfully performed.  Or a check or assertion
command returned true.
.TP 
\fB1\fP
A check or assertion command returned false.
.TP 
\fB2\fP
Fatal or unrecoverable error due to invalid command\-line usage, or
interactions with the system, such as accesses to the database, memory
allocations, etc.
.
.SH 環境変数
.SS "External environment"
.TP 
\fBPATH\fP
This variable is expected to be defined in the environment and point to the
system paths where several required programs are to be found. If it's not
set or the programs are not found, \fBdpkg\fP will abort.
.TP 
\fBHOME\fP
設定されていた場合、\fBdpkg\fP は、変数の値をユーザ固有の設定ファイルの参照先のディレクトリとして使用する。
.TP 
\fBTMPDIR\fP
設定されていた場合、\fBdpkg\fP は、変数の値を一時ファイルおよびディレクトリを作成するディレクトリとして使用する。
.TP 
\fBSHELL\fP
The program \fBdpkg\fP will execute when starting a new interactive shell, or
when spawning a command via a shell.
.TP 
\fBPAGER\fP
.TQ
\fBDPKG_PAGER\fP
The program \fBdpkg\fP will execute when running a pager, which will be
executed with «\fB$SHELL \-c\fP», for example when displaying the conffile
differences.  If \fBSHELL\fP is not set, «\fBsh\fP» will be used instead.  The
\fBDPKG_PAGER\fP overrides the \fBPAGER\fP environment variable (since dpkg
1.19.2).
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.TP 
\fBDPKG_FORCE\fP
Sets the force flags (since dpkg 1.19.5).  When this variable is present, no
built\-in force defaults will be applied.  If the variable is present but
empty, all force flags will be disabled.
.TP 
\fBDPKG_ADMINDIR\fP
If set and the \fB\-\-admindir\fP or \fB\-\-root\fP options have not been specified,
it will be used as the \fBdpkg\fP administrative directory (since dpkg 1.20.0).
.TP 
\fBDPKG_FRONTEND_LOCKED\fP
Set by a package manager frontend to notify dpkg that it should not acquire
the frontend lock (since dpkg 1.19.1).
.SS "Internal environment"
.TP 
\fBLESS\fP
Defined by \fBdpkg\fP to “\fB\-FRSXMQ\fP”, if not already set, when spawning a
pager (since dpkg 1.19.2).  To change the default behavior, this variable
can be preset to some other value including an empty string, or the \fBPAGER\fP
or \fBDPKG_PAGER\fP variables can be set to disable specific options with
«\fB\-+\fP», for example \fBDPKG_PAGER="less \-+F"\fP.
.TP 
\fBDPKG_ROOT\fP
Defined by \fBdpkg\fP on the maintainer script environment to indicate which
installation to act on (since dpkg 1.18.5).  The value is intended to be
prepended to any path maintainer scripts operate on.  During normal
operation, this variable is empty.  When installing packages into a
different \fBinstdir\fP, \fBdpkg\fP normally invokes maintainer scripts using
\fBchroot\fP(2) and leaves this variable empty, but if
\fB\-\-force\-script\-chrootless\fP is specified then the \fBchroot\fP(2) call is
skipped and \fBinstdir\fP is non\-empty.
.TP 
\fBDPKG_ADMINDIR\fP
Defined by \fBdpkg\fP on the maintainer script environment to indicate the
\fBdpkg\fP administrative directory to use (since dpkg 1.16.0).  This variable
is always set to the current \fB\-\-admindir\fP value.
.TP 
\fBDPKG_FORCE\fP
Defined by \fBdpkg\fP on the subprocesses environment to all the currently
enabled force option names separated by commas (since dpkg 1.19.5).
.TP 
\fBDPKG_SHELL_REASON\fP
Defined by \fBdpkg\fP on the shell spawned on the conffile prompt to examine
the situation (since dpkg 1.15.6).  Current valid value: \fBconffile\-prompt\fP.
.TP 
\fBDPKG_CONFFILE_OLD\fP
Defined by \fBdpkg\fP on the shell spawned on the conffile prompt to examine
the situation (since dpkg 1.15.6).  Contains the path to the old conffile.
.TP 
\fBDPKG_CONFFILE_NEW\fP
Defined by \fBdpkg\fP on the shell spawned on the conffile prompt to examine
the situation (since dpkg 1.15.6).  Contains the path to the new conffile.
.TP 
\fBDPKG_HOOK_ACTION\fP
Defined by \fBdpkg\fP on the shell spawned when executing a hook action (since
dpkg 1.15.4).  Contains the current \fBdpkg\fP action.
.TP 
\fBDPKG_RUNNING_VERSION\fP
Defined by \fBdpkg\fP on the maintainer script environment to the version of
the currently running \fBdpkg\fP instance (since dpkg 1.14.17).
.TP 
\fBDPKG_MAINTSCRIPT_PACKAGE\fP
Defined by \fBdpkg\fP on the maintainer script environment to the
(non\-arch\-qualified) package name being handled (since dpkg 1.14.17).
.TP 
\fBDPKG_MAINTSCRIPT_PACKAGE_REFCOUNT\fP
Defined by \fBdpkg\fP on the maintainer script environment to the package
reference count, i.e. the number of package instances with a state greater
than \fBnot\-installed\fP (since dpkg 1.17.2).
.TP 
\fBDPKG_MAINTSCRIPT_ARCH\fP
Defined by \fBdpkg\fP on the maintainer script environment to the architecture
the package got built for (since dpkg 1.15.4).
.TP 
\fBDPKG_MAINTSCRIPT_NAME\fP
Defined by \fBdpkg\fP on the maintainer script environment to the name of the
script running, one of \fBpreinst\fP, \fBpostinst\fP, \fBprerm\fP or \fBpostrm\fP (since
dpkg 1.15.7).
.TP 
\fBDPKG_MAINTSCRIPT_DEBUG\fP
Defined by \fBdpkg\fP on the maintainer script environment to a value (‘\fB0\fP’
or ‘\fB1\fP’) noting whether debugging has been requested (with the \fB\-\-debug\fP
option) for the maintainer scripts (since dpkg 1.18.4).
.
.SH ファイル
.TP 
\fI%PKGCONFDIR%/dpkg.cfg.d/[0\-9a\-zA\-Z_\-]*\fP
Configuration fragment files (since dpkg 1.15.4).
.TP 
\fI%PKGCONFDIR%/dpkg.cfg\fP
オプションのデフォルト値を記述する設定ファイル。
.TP 
\fI%LOGDIR%/dpkg.log\fP
Default log file (see \fI%PKGCONFDIR%/dpkg.cfg\fP and option \fB\-\-log\fP).
.P
以下のファイルのパスは、デフォルトのディレクトリ配下に存在している場合である。ファイルの位置を変更する方法については、\fB\-\-admindir\fP
オプションを参照すること。
.TP 
\fI%ADMINDIR%/available\fP
使用できるパッケージの一覧。
.TP 
\fI%ADMINDIR%/status\fP
使用できるパッケージのステータス情報。このファイルには、パッケージが削除対象としてマークされているか、インストール済みかどうかといった情報が含まれている。詳細は、\fBパッケージに関する情報\fP
セクションを参照すること。

ステータスファイルは、日時で \fI/var/backups\fP
にバックアップされる。これはファイルシステムまわりのトラブルで、ファイルが消失したり破損したりした際に有用である。
.P
The format and contents of a binary package are described in \fBdeb\fP(5).
.
.SH バグ
\fB\-\-no\-act\fP の提供する情報はたいていの場合、不充分である。
.
.SH 例
To list installed packages related to the editor \fBvi\fP(1) (note that
\fBdpkg\-query\fP does not load the \fIavailable\fP file anymore by default, and
the \fBdpkg\-query\fP \fB\-\-load\-avail\fP option should be used instead for that):
.br
     \fBdpkg \-l '*vi*'\fP
.br

2 つのパッケージに関して、\fI%ADMINDIR%/available\fP にある項目を表示する。
.br
     \fBdpkg \-\-print\-avail elvis vim | less\fP
.br

パッケージの一覧を自分で検索する。
.br
     \fBless %ADMINDIR%/available\fP
.br

インストールされた elvis パッケージを削除する。
.br
     \fBdpkg \-r elvis\fP
.br

To install a package, you first need to find it in an archive or CDROM. The
\fIavailable\fP file shows that the vim package is in section \fBeditors\fP:
.br
     \fBcd /media/cdrom/pool/main/v/vim\fP
     \fBdpkg \-i vim_4.5\-3.deb\fP
.br

パッケージ選択状況のコピーを作成する。
.br
     \fBdpkg \-\-get\-selections >myselections\fP
.br

You might transfer this file to another computer, and after having updated
the \fIavailable\fP file there with your package manager frontend of choice
(see https://wiki.debian.org/Teams/Dpkg/FAQ for more details), for example:
.br
     \fBapt\-cache dumpavail | dpkg \-\-merge\-avail\fP
.br
or with dpkg 1.17.6 and earlier:
.br
     \fBavail=`mktemp`\fP
     \fBapt\-cache dumpavail >"$avail"\fP
     \fBdpkg \-\-merge\-avail "$avail"\fP
     \fBrm "$avail"\fP
.br
you can install it with:
.br
     \fBdpkg \-\-clear\-selections\fP
     \fBdpkg \-\-set\-selections <myselections\fP
.br

これは実際にはインストールも削除もせずに、単に要求しているパッケージの選択状態を設定するだけであることに注意。要求しているパッケージを実際にダウンロード、インストールするには別のアプリケーションが必要である。例えば、\fBapt\-get
dselect\-upgrade\fP を実行する。

通常、パッケージの選択状態を変更するには \fBdselect\fP(1) を使用するほうが便利である。
.br
.
.SH 追加機能
\fBapt\fP、\fBaptitude\fP、\fBdebsums\fP パッケージをインストールすると、これ以外の機能が追加される。
.
.SH 関連項目
\fBaptitude\fP(1), \fBapt\fP(1), \fBdselect\fP(1), \fBdpkg\-deb\fP(1), \fBdpkg\-query\fP(1),
\fBdeb\fP(5), \fBdeb\-control\fP(5), \fBdpkg.cfg\fP(5), \fBdpkg\-reconfigure\fP(8).
.
.SH 著者
\fBdpkg\fP に貢献した人の一覧については、\fI%PKGDOCDIR%/THANKS\fP を参照のこと。
