.\" dselect manual page - dselect(1)
.\"
.\" Copyright © 1995 Juho Vuori <javuori@cc.helsinki.fi>
.\" Copyright © 2000 Josip Rodin
.\" Copyright © 2001 Joost Kooij
.\" Copyright © 2001 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2010-2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dselect 1 %RELEASE_DATE% %VERSION% "dpkg suite"
.ad l
.nh
.SH 名前
dselect \- Debian パッケージ管理フロントエンド
.
.SH 書式
\fBdselect\fP [\fIoption\fP...] [\fIcommand\fP...]
.
.SH 説明
\fBdselect\fP は、Debian システムにおけるパッケージ管理用ユーザインタフェースとして主要なものの一つである。システム管理者は、\fBdselect\fP のメインメニューから以下の操作を行える。
 \- 取得可能パッケージのバージョンリストの更新
 \- インストール済、利用可能パッケージ状況の参照
 \- パッケージ選択の変更や依存関係の管理
 \- 新規パッケージのインストールや新バージョンへのアップグレード
.PP
\fBdselect\fP operates as a front\-end to \fBdpkg\fP(1), the low\-level Debian
package handling tool. It features a full\-screen package selections manager
with package depends and conflicts resolver. When run with administrator
privileges, packages can be installed, upgraded and removed. Various access
methods can be configured to retrieve available package version information
and installable packages from package repositories.  Depending on the used
access method, these repositories can be public archive servers on the
internet, local archive servers or CD\-ROMs.  The recommended access method
is \fIapt\fP, which is provided by the package \fBapt\fP.
.PP
Normally \fBdselect\fP is invoked without parameters. An interactive menu is
presented, offering the user a list of commands. If a command is given as
argument, then that command is started immediately. Several command line
parameters are still available to modify the running behaviour of \fBdselect\fP
or show additional information about the program.
.
.SH オプション
All options can be specified both on the command line and in the \fBdselect\fP
configuration file \fI%PKGCONFDIR%/dselect.cfg\fP or the files on the
configuration directory \fI%PKGCONFDIR%/dselect.cfg.d/\fP. Each line in the
configuration file is either an option (exactly the same as the command line
option but without leading hyphens) or a comment (if it starts with a
‘\fB#\fP’).
.br
.TP 
\fB\-\-admindir\fP\fI directory\fP
Changes the directory where the dpkg ‘\fIstatus\fP’, ‘\fIavailable\fP’ and similar
files are located.  This defaults to \fI%ADMINDIR%\fP and normally there
shouldn't be any need to change it.
.TP 
\fB\-D\fP\fIfile\fP, \fB\-\-debug\fP \fIfile\fP
デバッグを有効にする。デバッグ情報は \fIfile\fP に送られる。
.TP 
\fB\-\-expert\fP
エキスパートモードを有効にする。つまり、煩雑なヘルプを表示しない。
.TP 
\fB\-\-color\fP \fIscreenpart\fP:[\fIforeground\fP],[\fIbackground\fP][:\fIattr\fP[\fI+attr\fP]...]
.TQ
\fB\-\-colour\fP \fIscreenpart\fP:[\fIforeground\fP],[\fIbackground\fP][:\fIattr\fP[\fI+attr\fP]...]
表示色を設定する。ディスプレイがカラー表示をサポートしている場合に有効である。このオプションは、複数回指定できる ( \fIdselect.cfg\fP
での使用が推奨されている)。各設定ごとに、画面のある部位の色 (や他の属性) が変更される。画面の部位の名称は (上から順に) 次のとおり:
.RS
.TP 
\fBtitle\fP
画面タイトル
.TP 
\fBlisthead\fP
パッケージリストの上部にあるヘッダライン
.TP 
\fBlist\fP
パッケージリストのスクロール領域 (ヘルプも表示される)
.TP 
\fBlistsel\fP
リスト内の選択行
.TP 
\fBpkgstate\fP
パッケージリスト内で、各パッケージの状況を示すテキスト
.TP 
\fBpkgstatesel\fP
パッケージリスト内で、選択したパッケージの状況を示すテキスト
.TP 
\fBinfohead\fP
現在選択しているパッケージの状況を表示するヘッダ行
.TP 
\fBinfodesc\fP
パッケージの短い説明文
.TP 
\fBinfo\fP
パッケージの説明などパッケージの情報を表示するために用いられる
.TP 
\fBinfofoot\fP
パッケージ選択時の画面最下行
.TP 
\fBquery\fP
クエリ行を表示するために用いられる
.TP 
\fBhelpscreen\fP
ヘルプ画面の色
.RE
.IP
画面の部位を示すキーワードの後に、コロンに続き色設定を記述する。前景色、背景色、あるいは両方を指定でき、コンパイル時に指定した色設定に優先する。標準の
curses 色名称を使用すること。
.IP
Optionally, after the color specification is another colon, and an attribute
specification. This is a list of one or more attributes, separated by plus
(‘+’) characters.  Available attributes include (not all of these will work
on all terminals): \fBnormal\fP, \fBstandout\fP, \fBunderline\fP, \fBreverse\fP,
\fBblink\fP, \fBbright\fP, \fBdim\fP, \fBbold\fP
.TP 
\fB\-?\fP, \fB\-\-help\fP
簡単なヘルプを表示し、正常終了する。
.TP 
\fB\-\-version\fP
バージョン情報を表示し、正常終了する。
.
.SH コマンド
When \fBdselect\fP is started it can perform the following commands, either
directly if it was specified on the command line or by prompting the user
with a menu of available commands if running interactively:
.SS "アクセス (access)"
パッケージリポジトリにアクセスするアクセス方式を選択、設定する。
.sp
By default, \fBdselect\fP provides several methods such as \fIcdrom\fP,
\fImulti_cd\fP, \fInfs\fP, \fImulti_nfs\fP, \fIharddisk\fP, \fImounted\fP, \fImulti_mount\fP
or \fIftp\fP, but other packages may provide additional methods, eg. the \fIapt\fP
access method provided by the \fBapt\fP package.
.sp
\fIapt\fP アクセス方式の使用を、強く推奨する。
.sp
.SS "更新 (update)"
取得可能パッケージのデータベースを更新する。
.sp
取得可能パッケージのバージョンリストを、現在設定しているアクセス方式でパッケージリポジトリから取得し、dpkg
データベースを更新する。パッケージ一覧は、一般的には \fIPackages\fP や \fIPackages.gz\fP
という名前で、リポジトリから提供されている。リポジトリ管理者は、\fBdpkg\-scanpackages\fP(1)
というプログラムを使用して、このファイルを生成することができる。
.sp
Details of the update command depend on the access method's implementation.
Normally the process is straightforward and requires no user interaction.
.sp
.SS "選択 (select)"
パッケージの選択や依存関係の表示、管理を行う。
.sp
これは \fBdselect\fP
の主たる機能である。この画面で取得可能なパッケージやインストール済パッケージリストを確認できる。管理者権限で実行すると、対話的にパッケージの選択状況を変更することもできる。
\fBdselect\fP は、変更に伴って発生する依存、競合パッケージについても検出する。
.sp
競合や解決できない依存関係を検出すると、依存関係解決サブ画面をユーザに提示する。この画面では、競合パッケージや依存パッケージのリストが、その理由とともに表示される。ユーザは、\fBdselect\fP
が提案した変更案を適用してもよいし、その案を修正してもよい。また、解決できない依存関係や競合を発生させた変更を含む、すべての変更を元に戻すこともできる。
.sp
対話的なパッケージ選択管理画面の詳細な使い方については後述する。
.sp
.SS "導入 (install)"
選択したパッケージをインストールする。
.sp
新規インストール、更新が可能なパッケージを、設定したアクセス方式で適切なリポジトリより取得し、 \fBdpkg\fP
を用いてインストールを行う。インストール前にパッケージをすべて取得するか、必要な時に取得するかは、アクセス方式の実装によって異なる。アクセス方式によって、削除マークをつけたパッケージの削除を行う場合もある。
.sp
インストール中にエラーが発生した場合は、通常インストールを再度行うことを推奨する。大半の場合、問題は再発しないか解決されるが、問題が解決しなかったりインストールが適切に行われていなかったりする場合は、原因や環境を調べて、Debian
バグ追跡システムへバグ報告をしていただきたい。バグ報告の方法は、https://bugs.debian.org/ や、\fBbug\fP(1) や
\fBreportbug\fP(1) がインストールされていれば、それらの文書を参照のこと。
.sp
Details of the install command depend on the access method's
implementation.  The user's attention and input may be required during
installation, configuration or removal of packages. This depends on the
maintainer scripts in the package. Some packages make use of the
\fBdebconf\fP(1)  library, allowing for more flexible or even automated
installation setups.
.sp
.SS "設定 (config)"
すでにインストール済みだが、設定が完了していないパッケージの設定を行う。
.sp
.SS "削除 (remove)"
削除マークをつけたインストール済パッケージの削除や完全削除を行う。
.sp
.SS "終了 (quit)"
Quit \fBdselect\fP.
.sp
エラーコード 0 (成功) でプログラムを終了する。
.sp
.
.SH "PACKAGE SELECTIONS MANAGEMENT"
.sp
.SS 概要
.sp
\fBdselect\fP directly exposes the administrator to some of the complexities
involved with managing large sets of packages with many
interdependencies. For a user who is unfamiliar with the concepts and the
ways of the Debian package management system, it can be quite
overwhelming. Although \fBdselect\fP is aimed at easing package management and
administration, it is only instrumental in doing so and cannot be assumed to
be a sufficient substitute for administrator skill and understanding. The
user is required to be familiar with the concepts underlying the Debian
packaging system.  In case of doubt, consult the \fBdpkg\fP(1) manpage and the
distribution policy.
.sp
Unless \fBdselect\fP is run in expert or immediate mode, a help screen is first
displayed when choosing this command from the menu. The user is \fIstrongly\fP
advised to study all of the information presented in the online help
screens, when one pops up.  The online help screens can at any time be
invoked with the ‘\fB?\fP’ key.
.sp
.SS 画面レイアウト
.sp
選択画面は、デフォルトで上下 2 分割されている。上半分はパッケージのリストを表示している。カーソルバーで個々のパッケージを選択したり、グループヘッダ
(存在していれば)
を選択して、パッケージグループを選択したりできる。画面の下半分は、画面の上半分で現在選択しているパッケージの詳細が表示される。表示される詳細の形式は変更できる。
.sp
Pressing the ‘\fBI\fP’ key toggles a full\-screen display of the packages list,
an enlarged view of the package details, or the equally split screen.
.sp
.SS パッケージ詳細表示
.sp
The package details view by default shows the extended package description
for the package that is currently selected in the packages status list.
The type of detail can be toggled by pressing the ‘\fBi\fP’ key.
This alternates between:
 \- the extended description
 \- the control information for the installed version
 \- the control information for the available version
.sp
依存関係解決画面で、特定のパッケージに関連する未解決な依存関係、競合関係が、その原因とともに表示される場合もある。
.sp
.SS パッケージ状況リスト
.sp
The main select screen displays a list of all packages known to the Debian
package management system. This includes packages installed on the system
and packages known from the available packages database.
.sp
For every package, the list shows the package's status, priority, section,
installed and available architecture, installed and available versions, the
package name and its short description, all in one line.  By pressing the
‘\fBA\fP’ key, the display of the installed and available architecture can be
toggled between on an off.  By pressing the ‘\fBV\fP’ key, the display of the
installed and available version can be toggled between on an off.  By
pressing the ‘\fBv\fP’ key, the package status display is toggled between
verbose and shorthand.  Shorthand display is the default.
.sp
簡略表示における状況は、エラーフラグ (通常クリアされている)、現在の状況、現在の選択状況、新規の選択状況の 4 パートからなる。始めの 2
つはパッケージの現在の状況を表し、後の 2 つはユーザが設定した選択状況を示している。
.sp
簡略表示におけるパッケージ状況の略号には以下の意味がある。
 エラーフラグ:
  \fI空\fP      エラーなし
  \fBR\fP       深刻なエラー (要再インストール)
 インストール状況:
  \fI空\fP      未インストール
  \fB*\fP       インストール済で設定済
  \fB\-\fP       未インストールだが設定ファイルが残っている
  \fBU\fP       展開済だが未設定
  \fBC\fP       半設定状況 (エラー発生)
  \fBI\fP       半インストール状況 (エラー発生)
 現在の選択状況、新規の選択状況:
  \fB*\fP       インストールもしくは更新マーク
  \fB\-\fP       削除マーク (設定ファイルは残す)
  \fB=\fP       保留 (パッケージに対する処理は行われない)
  \fB_\fP       完全削除マーク (設定ファイルも削除する)
  \fBn\fP       新規パッケージでまだマークが付けられていない
.sp
.SS カーソルおよび画面移動
.sp
パッケージ選択リストや依存、競合関係解決画面では、以下のキーに割当てられた移動コマンドで操作することができる。
.br
  \fBp, Up, k\fP           カーソルバーを上に移動
  \fBn, Down, j\fP         カーソルバーを下に移動
  \fBP, Pgup, Backspace\fP リストを 1 ページ上にスクロール
  \fBN, Pgdn, Space\fP     リストを 1 ページ下にスクロール
  \fB^p\fP                 リストを 1 行上にスクロール
  \fB^n\fP                 リストを 1 行下にスクロール
  \fBt, Home\fP            リストの先頭にジャンプ
  \fBe, End\fP             リストの最後にジャンプ
  \fBu\fP                  情報を 1 ページ上にスクロール
  \fBd\fP                  情報を 1 ページ下にスクロール
  \fB^u\fP                 情報を 1 行上にスクロール
  \fB^d\fP                 情報を 1 行下にスクロール
  \fBB, Left\-arrow\fP      表示を 1/3 画面左にスクロール
  \fBF, Right\-arrow\fP     表示を 1/3 画面右にスクロール
  \fB^b\fP                 表示を 1 文字左にスクロール
  \fB^f\fP                 表示を 1 文字右にスクロール
.sp
.SS 検索とソート
.sp
The list of packages can be searched by package name. This is done by
pressing ‘\fB/\fP’, and typing a simple search string. The string is
interpreted as a \fBregex\fP(7)  regular expression.  If you add ‘\fB/d\fP’ to the
search expression, dselect will also search in descriptions.  If you add
‘\fB/i\fP’ the search will be case insensitive.  You may combine these two
suffixes like this: ‘\fB/id\fP’.  Repeated searching is accomplished by
repeatedly pressing the ‘\fBn\fP’ or ‘\fB\e\fP’ keys, until the wanted package is
found.  If the search reaches the bottom of the list, it wraps to the top
and continues searching from there.
.sp
The list sort order can be varied by pressing
the ‘\fBo\fP’ and ‘\fBO\fP’ keys repeatedly.
The following nine sort orderings can be selected:
 alphabet          available           status
 priority+section  available+priority  status+priority
 section+priority  available+section   status+section
.br
上記リストには明記されていないが、最終的にアルファベット順でのソートが行われる。
.sp
.SS 選択の変更
.sp
各パッケージの新規選択状況は、以下のコマンドで変更できる。
  \fB+, Insert\fP    インストール、更新する
  \fB=, H\fP         現在の状況、バージョンで保留する
  \fB:, G\fP         保留解除 (更新ないし未インストールのままとする)
  \fB\-, Delete\fP    削除、設定は残す
  \fB_\fP            完全削除、設定も消す
.sp
変更の結果、依存関係を充足できなかったり競合したりした場合、 \fBdselect\fP は依存関係解決画面を表示する。これは後ほど説明する。
.sp
グループヘッダ上にカーソルバーを移動して、パッケージ選択のグループにコマンドを適用することもできる。現在のリストのソート順設定によっては、パッケージのグループ化が適切に行われない場合がある。
.sp
大規模なグループの選択状況を変更する場合は、大量の未解決な依存、競合関係が一度に発生するため、十分注意すべきである。 これらは 1
つの依存関係解決画面にリストされることとなるため、これを操作するのは非常に難しい。グループに対する変更が実用的なのは、保留や保留解除の時ぐらいである。
.sp
.SS 依存・競合関係の解決
.sp
選択状況の変更により未解決の依存・競合関係が発生した場合、 \fBdselect\fP は依存関係解決画面を表示する。なお、表示の前にヘルプ画面が表示される。
.sp
この画面の上半分には、選択された変更の結果として発生した未解決の依存、競合関係があるパッケージに加え、インストールすることで依存関係を解決するパッケージ、削除することで競合を解決するパッケージがすべて表示される。下半分には、現在選択されているパッケージが原因となっている依存や競合関係がデフォルトで表示される。
.sp
パッケージのサブリストの初期表示の時点で、\fBdselect\fP
は、依存関係解決画面の表示を引き起こしている依存や競合関係を解決するよう、リストしたパッケージの選択状況の一部をあらかじめ変更している場合がある。通常、\fBdselect\fP
による提案を採用するのが最良である。
.sp
The listed packages' selection state may be reverted to the original
settings, as they were before the unresolved depends or conflicts were
created, by pressing the ‘\fBR\fP’ key.  By pressing the ‘\fBD\fP’ key, the
automatic suggestions are reset, but the change that caused the dependency
resolution screen to be prompted is kept as requested.  Finally, by pressing
‘\fBU\fP’, the selections are again set to the automatic suggestion values.
.sp
.SS 選択された変更の確定
.sp
\fBenter\fP を押すことで、現在表示されている選択を確定する。選択された変更に起因する未解決の依存関係が検出されない限り、\fBdselect\fP
は新しい選択を設定する。未解決の依存関係が存在する場合、 \fBdselect\fP は依存関係解決画面を改めて表示する。
.sp
To alter a set of selections that creates unresolved depends or conflicts
and forcing \fBdselect\fP to accept it, press the ‘\fBQ\fP’ key. This sets the
selections as specified by the user, unconditionally. Generally, don't do
this unless you've read the fine print.
.sp
The opposite effect, to back out any selections change requests and go back
to the previous list of selections, is attained by pressing the ‘\fBX\fP’ or
\fBescape\fP keys. By repeatedly pressing these keys, any possibly detrimental
changes to the requested package selections can be backed out completely to
the last established settings.
.sp
If you mistakenly establish some settings and wish to revert all the
selections to what is currently installed on the system, press the ‘\fBC\fP’
key.  This is somewhat similar to using the unhold command on all packages,
but provides a more obvious panic button in cases where the user pressed
\fBenter\fP by accident.
.sp
.
.SH 終了ステータス
.TP 
\fB0\fP
The requested command was successfully performed.
.TP 
\fB2\fP
Fatal or unrecoverable error due to invalid command\-line usage, or
interactions with the system, such as accesses to the database, memory
allocations, etc.
.
.SH 環境変数
.TP 
\fBHOME\fP
設定されていると、\fBdselect\fP はその値をユーザ固有の設定ファイルを読み込むディレクトリとして使用する。
.
.SH バグ
始めて \fBdselect\fP
を使うユーザの中には、このパッケージ選択インタフェースに混乱する者もいる。聞くところによると、経験を積んだカーネル開発者ですら、これに悩まされている。
.sp
ドキュメントが不足している。
.sp
メインメニューにヘルプオプションがない。
.sp
取得可能パッケージのリスト表示を減らせない。
.sp
内部実装されているアクセス方式では、もはや現在の品質基準を満たせない。apt
が提供するアクセス方式を利用すれば、問題を発生させないだけでなく、内部実装されているアクセス方式より遙かに柔軟である。
.
.SH 関連項目
\fBdpkg\fP(1), \fBapt\-get\fP(8), \fBsources.list\fP(5), \fBdeb\fP(5).
