.\" dpkg manual page - deb-shlibs(5)
.\"
.\" Copyright © 1996 Michael Shields <shields@crosslink.net>
.\" Copyright © 2008 Zack Weinberg <zackw@panix.com>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH deb\-shlibs 5 %RELEASE_DATE% %VERSION% dpkg\-suite
.ad l
.nh
.SH NAAM
deb\-shlibs \- Informatiebestand van Debian over gedeelde bibliotheken
.
.SH BESCHRIJVING
.PP
\fBshlibs\fP files map shared library names and versions (\fISONAMEs\fP)  to
dependencies suitable for a package control file.  There is one entry per
line. Blank lines are \fBnot\fP allowed.  Lines beginning with an \fB#\fP
character are considered commentary, and are ignored.  All other lines must
have the format
.IP
[\fItype\fP\fB:\fP] \fIbibliotheek\fP \fIversie\fP \fIvereisten\fP
.PP
De velden \fIbibliotheek\fP en \fIversie\fP worden door witruimte van elkaar
gescheiden, maar het veld \fIvereisten\fP loopt door tot het einde van de
regel. Het veld \fItype\fP is facultatief en meestal niet nodig.
.PP
Het veld \fIvereisten\fP heeft dezelfde syntaxis als het veld \fBDepends\fP in het
control\-bestand van een binair pakket, zie \fBdeb\-control\fP(5).
.
.SH "SONAME FORMATS"
The SONAME formats supported are:

  \fIname\fP.so.\fIversion\fP

and

  \fIname\fP\-\fIversion\fP.so

where \fIname\fP is usually prefixed by \fBlib\fP.
.SH VOORBEELDEN
.PP
The \fBshlibs\fP file for a typical library package, named \fIlibcrunch1\fP, that
provides one library whose SONAME is \fIlibcrunch.so.1\fP, might read
.IP
libcrunch 1 libcrunch1 (>= 1.2\-1)
.PP
De \fIvereisten\fP moeten de meest recente versie vermelden van het pakket dat
nieuwe symbolen toevoegde aan de bibliotheek. In het bovenstaande voorbeeld
werden nieuwe symbolen toegevoegd in versie 1.2 van \fIlibcrunch\fP. Dit is
niet de enige reden waarom het kan zijn dat vereisten scherper gesteld
moeten worden.
.
.SH "ZIE OOK"
\fBdeb\-control\fP(5), \fBdpkg\-shlibdeps\fP(1), \fBdeb\-symbols\fP(5).
