.\" dpkg manual page - dpkg-statoverride(1)
.\"
.\" Copyright © 2000-2001 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2009-2011, 2013, 2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-statoverride 1 %RELEASE_DATE% %VERSION% dpkg\-suite
.ad l
.nh
.SH NAAM
dpkg\-statoverride \- wijzig eigenaarschap en modus van bestanden
.
.SH OVERZICHT
\fBdpkg\-statoverride\fP [\fIoptie\fP...] \fIcommando\fP
.
.SH BESCHRIJVING
“\fBstat overrides\fP” zijn een manier om aan \fBdpkg\fP(1) te laten weten dat het
bij het installeren van een pakket een andere eigenaar of modus moet
gebruiken voor een bepaald pad (dit is van toepassing op elk
bestandssysteemobject dat \fBdpkg\fP verwerkt, met inbegrip van mappen,
apparaten, enz.). Dit kan gebruikt worden om af te dwingen dat programma's
die normaal setuid zijn, geïnstalleerd worden zonder een setuid\-vlag of dat
ze enkel uitgevoerd kunnen worden door een bepaalde groep.
.P
\fBdpkg\-statoverride\fP is een hulpmiddel voor het beheren van de lijst met
statusmodificaties (stat overrides). Het heeft drie basisfuncties:
toevoegen, verwijderen en opsommen van modificaties.
.
.SH COMMANDO'S
.TP 
\fB\-\-add\fP\fI gebruiker groep modus pad\fP
Een statusmodificatie toevoegen voor \fIpad\fP. Het is niet nodig dat \fIpad\fP
reeds bestaat op het ogenblik dat dit commando gebruikt wordt. De
modificatie zal opgeslagen worden en later gebruikt worden. Gebruikers en
groepen kunnen bij hun naam opgegeven worden (bijvoorbeeld \fBroot\fP of
\fBnobody\fP), of met hun nummer door voor dat nummer een ‘\fB#\fP’ te plaatsen
(bijvoorbeeld \fB#0\fP of \fB#65534\fP). De \fImodus\fP moet als octaal getal
opgegeven worden.

Indien \fB\-\-update\fP opgegeven wordt en \fIpad\fP bestaat, dan wordt dat
onmiddellijk op de nieuwe eigenaar en modus ingesteld.
.TP 
\fB\-\-remove\fP\fI pad\fP
Een statusmodificatie verwijderen voor \fIpad\fP. De status zelf van \fIpad\fP
wordt door dit commando niet gewijzigd.
.TP 
\fB\-\-list\fP [\fIglob\-patroon\fP]
Alle modificaties (overrides) opsommen. Beperk de uitvoer tot modificaties
die overeenkomen met het glob\-patroon, indien een glob\-patroon opgegeven
werd.
.TP 
\fB\-\-help\fP
Toon info over het gebruik en sluit af.
.TP 
\fB\-\-force\-help\fP
Hulp bieden over de opties \fB\-\-force\-\fP\fIiets\fP (sinds dpkg 1.19.5).
.TP 
\fB\-\-version\fP
Toon de versie en sluit af.
.
.SH OPTIES
.TP 
\fB\-\-admindir\fP\fI map\fP
De administratieve map instellen op \fImap\fP. Dit is waar het
\fIstatusmodificatie\fP\-bestand opgeslagen is. Standaard is dat
«\fI%ADMINDIR%\fP».
.TP 
\fB\-\-instdir\fP\fI map\fP
Instellen van de installatiemap, welke verwijst naar de map waar pakketten
geïnstalleerd worden (sinds dpkg 1.19.2). Standaard is dat «\fI/\fP».
.TP 
\fB\-\-root\fP\fI map\fP
Stel de hoofdmap in op \fBmap\fP, hetgeen de installatiemap instelt op
«\fImap\fP» en de administratieve map op «\fImap\fP\fB%ADMINDIR%\fP» (sinds dpkg
1.19.2).
.TP 
\fB\-\-force\-\fP\fIdingen\fP
.TQ
\fB\-\-no\-force\-\fP\fIdingen\fP, \fB\-\-refuse\-\fP\fIdingen\fP
Het uitvoeren van sommige dingen opleggen of weigeren (\fBno\-force\fP en
\fBrefuse\fP betekenen hetzelfde) (sinds dpkg 1.19.5). \fIdingen\fP is een door
komma's gescheiden lijst van hierna gespecificeerde zaken. \fB\-\-force\-help\fP
geeft er een beschrijving van weer. Zaken die met een (*) gemarkeerd zijn,
worden standaard opgelegd.

\fIWaarschuwing: Deze opties zijn vooral bedoeld om enkel door experts
gebruikt te worden. Er gebruik van maken zonder een volkomen begrip van hun
effecten kan uw volledig systeem defect maken.\fP

\fBall\fP: Schakelt alle forceer\-opties aan (of uit).

\fBstatoverride\-add\fP: Bij het toevoegen ervan een bestaande statusmodificatie
overschrijven (sinds dpkg 1.19.5).

\fBstatoverride\-remove\fP: Bij het verwijderen ervan een ontbrekende
statusmodificatie negeren (sinds dpkg 1.19.5).

\fBsecurity\-mac\fP(*): Bij het installeren van bestanden op het bestandssysteem
gebruik maken van platformspecifieke beveiliging, gebaseerd op Mandatory
Access Controls (MAC) (since dpkg 1.19.5). Op Linux\-systemen gebruikt de
implementatie SELinux.
.TP 
\fB\-\-force\fP
Een actie verplicht maken, zelfs als een redelijkheidstoets deze anders zou
verbieden. Dit is noodzakelijk om een bestaande modificatie (override) te
wijzigen.
.TP 
\fB\-\-update\fP
Proberen om onmiddellijk het \fIpad\fP, als dat bestaat, in te stellen op de
nieuwe eigenaar en modus.
.TP 
\fB\-\-quiet\fP
Minder breedsprakig zijn over wat er gedaan wordt.
.
.SH AFSLUITSTATUS
.TP 
\fB0\fP
De gevraagde actie werd succesvol uitgevoerd.
.TP 
\fB1\fP
Voor \fB\-\-list\fP, indien er geen modificaties (overrides) zijn of geen enkele
beantwoordt aan het opgegeven glob\-patroon.
.TP 
\fB2\fP
Fatale of onherstelbare fout die te wijten is aan ongeldig gebruik van de
commandoregel of aan interacties met het systeem, zoals het benaderen van de
database, het toewijzen van geheugen, enz.
.
.SH OMGEVING
.TP 
\fBDPKG_ROOT\fP
Indien dit ingesteld is en de opties \fB\-\-instdir\fP of \fB\-\-root\fP niet
opgegeven werden, zal dit gebruikt worden als de hoofdmap voor het
bestandssysteem (sinds dpkg 1.19.2).
.TP 
\fBDPKG_ADMINDIR\fP
Indien dit ingesteld is en de opties \fB\-\-admindir\fP of \fB\-\-root\fP niet
opgegeven werden, zal dit gebruikt worden als de datamap voor \fBdpkg\fP.
.TP 
\fBDPKG_FORCE\fP
Indien dit ingesteld is en geen enkele van de opties \fB\-\-force\-\fP\fI...\fP
opgegeven werd, zal dit gebruikt worden als de te gebruiken forceer\-opties
(sinds dpkg 1.19.5).
.TP 
\fBDPKG_COLORS\fP
Stelt de kleurmodus in (sinds dpkg 1.18.5). Waarden die momenteel gebruikt
mogen worden zijn: \fBauto\fP (standaard), \fBalways\fP en \fBnever\fP.
.
.SH BESTANDEN
.TP 
\fI%ADMINDIR%/statoverride\fP
Bestand dat de huidige lijst van statusmodificaties van het systeem
bevat. Het bevindt zich in de administratieve map van \fBdpkg\fP samen met
andere bestanden die van belang zijn voor \fBdpkg\fP, zoals \fIstatus\fP en
\fIavailable\fP.
.br
Opmerking: \fBdpkg\-statoverride\fP bewaart de oude kopie van dit bestand met de
extensie “\-old” vooraleer het dit door het nieuwe bestand vervangt.
.
.SH "ZIE OOK"
\fBdpkg\fP(1).
