.\" dpkg manual page - deb-triggers(5)
.\"
.\" Copyright © 2008, 2013-2015 Guillem Jover <guillem@debian.org>
.\" Copyright © 2011, 2014 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH deb\-triggers 5 %RELEASE_DATE% %VERSION% "użytki dpkg"
.ad l
.nh
.SH NAZWA
deb\-triggers \- wyzwalacze dla pakietów
.
.SH SKŁADNIA
wyzwalacze
.
.SH OPIS
Pakiet deklaruje swój związek z pewnym wyzwalaczem lub wyzwalaczami,
załączając plik \fItriggers\fP warunków uruchomienia wyzwalaczy w swoim
archiwum kontrolnym (czyli \fIDEBIAN/triggers\fP podczas tworzenia pakietu).
.PP
Ten plik zawiera dyrektywy, po jednej w linii. Początkowe i końcowe spacje
oraz wszystkie znaki po pierwszym \fB#\fP w liniach są usuwane, zaś puste linie
są ignorowane.
.PP
Aktualnie wspierane dyrektywy kontrolne wyzwalaczy:
.TP 
\fBinterest\fP \fInazwa\-wyzwalacza\fP
.TQ
\fBinterest\-await\fP \fItrigger\-name\fP
.TQ
\fBinterest\-noawait\fP \fInazwa\-wyzwalacza\fP
.IP
Specifies that the package is interested in the named trigger. All triggers
in which a package is interested must be listed using this directive in the
triggers control file.
.IP
The “await” variants put the triggering package in triggers\-awaited state
depending on how the trigger was activated.  The “noawait” variant does not
put the triggering packages in triggers\-awaited state, even if the
triggering package declared an “await” activation (either with an
\fBactivate\-await\fP or \fBactivate\fP directive, or by using the \fBdpkg\-trigger\fP
\fB\-\-no\-await\fP command\-line option).  The “noawait” variant should be used
when the functionality provided by the trigger is not crucial.
.TP 
\fBactivate\fP \fInazwa\-wyzwalacza\fP
.TQ
\fBactivate\-await\fP \fItrigger\-name\fP
.TQ
\fBactivate\-noawait\fP \fInazwa\-wyzwalacza\fP
.IP
Arranges that changes to this package's state will activate the specified
trigger. The trigger will be activated at the start of the following
operations: unpack, configure, remove (including for the benefit of a
conflicting package), purge and deconfigure.
.IP
The “await” variants only put the triggering package in triggers\-awaited
state if the interest directive is also “await”.  The “noawait” variant
never puts the triggering packages in triggers\-awaited state.  The “noawait”
variant should be used when the functionality provided by the trigger is not
crucial.
.IP
Jeśli pakiet zniknie podczas rozpakowywania innego pakietu, wyzwalacz
zostanie aktywowany gdy zniknięcie zostanie odnotowane pod koniec operacji
unpack. Przetwarzanie wyzwalaczy oraz przejście pakietu ze stanu
"wyzwalacze\-oczekujące" (triggers\-awaited) do stanu "zainstalowany" nie
powodują aktywacji wyzwalaczy. W przypadku rozpakowywania aktywowane zostaną
wyzwalacze wymienione zarówno w starej jak i w nowej wersji pakietu.
.PP
Nieznane dyrektywy są błędami uniemożliwiającymi instalację pakietu.
.PP
The “\-noawait” variants should always be favored when possible since
triggering packages are not put in triggers\-awaited state and can thus be
immediately configured without requiring the processing of the trigger.  If
the triggering packages are dependencies of other upgraded packages, it will
avoid an early trigger processing run and make it possible to run the
trigger only once as one of the last steps of the upgrade.
.PP
The “\-noawait” variants are supported since dpkg 1.16.1, and will lead to
errors if used with an older dpkg.
.PP
The “\-await” alias variants are supported since dpkg 1.17.21, and will lead
to errors if used with an older dpkg.
.PP
When a package provides an \fBinterest\-noawait\fP directive, any activation
will set the triggering package into “noawait” mode, regardless of the
awaiting mode requested by the activation (either “await” or “noawait”).
When a package provides an \fBinterest\fP or \fBinterest\-await\fP directive, any
activation will set the triggering package into “await” or “noawait“
depending on how it was activated.
.
.SH "ZOBACZ TAKŻE"
.\" FIXME: Unhardcode the pathname, and use dpkg instead of dpkg-dev.
\fBdpkg\-trigger\fP(1), \fBdpkg\fP(1), \fB/usr/share/doc/dpkg\-dev/triggers.txt.gz\fP.
