.\" dpkg manual page - deb-version(7)
.\"
.\" Copyright © 1996-1998 Ian Jackson and Christian Schwarz
.\"   for parts of the text reused from the Debian Policy
.\" Copyright © 2007 Frank Lichtenheld <djpig@debian.org>
.\" Copyright © 2011, 2013, 2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH deb\-version 7 %RELEASE_DATE% %VERSION% "użytki dpkg"
.ad l
.nh
.SH NAZWA
deb\-version \- format numerów wersji pakietów Debiana
.
.SH SKŁADNIA
[\fIepoka\fP\fB:\fP]\fIwersja_macierzystaupstream\fP[\fB\-\fP\fIrewizja_debiana\fP]
.SH OPIS
Numery wersji używane do binarnych i źródłowych pakietów Debiana składają
się z trzech części. Są to:
.TP 
\fIepoka\fP
Jest to pojedyncza (typowo niewielka), liczba całkowita bez znaku. Może być
pominięta, w takim przypadku jest przyjmowana jako zero. Jeśli jest
pominięta, wtedy \fIwersja\-macierzysta\fP nie może zawierać żadnego dwukropka.
.IP
Jest używana aby można było pozbyć się pomyłek w numerach wersji starszych
wersji pakietów, oraz poradzić sobie ze zmianą poprzednich schematów
numerowania wersji.
.TP 
\fIwersja\-macierzysta\fP (wersja nadana przez autora)
This is the main part of the version number.  It is usually the version
number of the original (“upstream”)  package from which the \fI.deb\fP file has
been made, if this is applicable.  Usually this will be in the same format
as that specified by the upstream author(s); however, it may need to be
reformatted to fit into the package management system's format and
comparison scheme.
.IP
Poniżej opisane jest zachowanie systemu zarządzania pakietami podczas
porównywania uwzględniającego \fIwersję\-macierzysta\fP. Część
\fIwersja\-macierzysta\fP numeru wersji pakietu jest wymagana.
.IP
The \fIupstream\-version\fP may contain only alphanumerics (“A\-Za\-z0\-9”) and the
characters \fB.\fP \fB+\fP \fB\-\fP \fB:\fP \fB~\fP (full stop, plus, hyphen, colon, tilde)
and should start with a digit.  If there is no \fIdebian\-revision\fP then
hyphens are not allowed; if there is no \fIepoch\fP then colons are not
allowed.
.TP 
\fIrewizja\-debiana\fP
Ta część numeru wersji określa wersję pakietu Debiana bazującego na tej
samej wersji macierzystej. Może zawierać jedynie znaki alfanumeryczne oraz
znaki \fB+\fP \fB.\fP (plus, kropkę, tyldę) i jest porównywana w ten sam sposób co
\fIwersja\-upstream\fP.
.IP
It is optional; if it isn't present then the \fIupstream\-version\fP may not
contain a hyphen.  This format represents the case where a piece of software
was written specifically to be turned into a Debian package, and so there is
only one “debianization” of it and therefore no revision indication is
required.
.IP
It is conventional to restart the \fIdebian\-revision\fP at ‘1’ each time the
\fIupstream\-version\fP is increased.
.IP
Dpkg dzieli numer wersji na części względem ostatniego myślnika w łańcuchu
(jeśli taki jest), aby określić \fIwersję\-macierzystą\fP oraz
\fIrewizję\-debiana\fP. Przy porównywaniu, brakująca \fIrewizja\-debiana\fP
poprzedza każde jej wystąpienie (jednak warto pamiętać, że jest to najmniej
znacząca część numeru wersji).
.SS "Sorting algorithm"
System zarządzania pakietami porównuje \fIwersję\-macierzystą\fP oraz
\fIrewizję\-debiana\fP używając tego samego algorytmu:
.PP
Napisy są porównywane od lewej do prawej.
.PP
First the initial part of each string consisting entirely of non\-digit
characters is determined.  These two parts (one of which may be empty) are
compared lexically.  If a difference is found it is returned.  The lexical
comparison is a comparison of ASCII values modified so that all the letters
sort earlier than all the non\-letters and so that a tilde sorts before
anything, even the end of a part.  For example, the following parts are in
sorted order: ‘~~’, ‘~~a’, ‘~’, the empty part, ‘a’.
.PP
Następnie określane są początki pozostałych części z każdego napisu,
składające się wyłącznie z samych cyfr. Wartości liczbowe tych dwóch części
są porównywane i jeśli zostanie znaleziona różnica, jest ona zwracana jako
wynik porównania. Pusty ciąg znaków (który może się pojawić jedynie na końcu
jednego lub obu porównywanych napisów) jest przy tym liczony jako zero.
.PP
Te dwa kroki (porównywanie i usuwanie początkowych napisów bez cyfr oraz
początkowych napisów z samymi cyframi) są powtarzane, aż zostanie znaleziona
różnica lub oba ciągi zostaną wyczerpane.
.PP
Note that the purpose of epochs is to allow us to leave behind mistakes in
version numbering, and to cope with situations where the version numbering
scheme changes.  It is \fBnot\fP intended to cope with version numbers
containing strings of letters which the package management system cannot
interpret (such as ‘ALPHA’ or ‘pre\-’), or with silly orderings.
.SH UWAGI
The tilde character and its special sorting properties were introduced in
dpkg 1.10 and some parts of the dpkg build scripts only gained support for
it later in the 1.10.x series.
.SH "ZOBACZ TAKŻE"
\fBdeb\-control\fP(5), \fBdeb\fP(5), \fBdpkg\fP(1)
