.\" dpkg manual page - deb(5)
.\"
.\" Copyright © 1995 Raul Miller
.\" Copyright © 1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006-2017 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH deb 5 %RELEASE_DATE% %VERSION% "użytki dpkg"
.ad l
.nh
.SH NAZWA
deb \- format binarnego pakietu Debiana
.SH SKŁADNIA
\fInazwa_pliku\fP\fB.deb\fP
.SH OPIS
The \fB.deb\fP format is the Debian binary package file format. It is
understood since dpkg 0.93.76, and is generated by default since dpkg 1.2.0
and 1.1.1elf (i386/ELF builds).
.PP
Opisany tu format jest używany od wersji 0.93 Debiana; szczegóły starego
formatu są opisane w \fBdpkg\-deb\fP(5).
.SH FORMAT
Plik jest archiwum \fBar\fP z magiczną wartością
\fB!<arch>\fP. Obsługiwany jest jedynie ogólny format archiwum \fBar\fP,
bez rozszerzeń długich nazw plików, lecz z nazwami plików zawierającymi
opcjonalny końcowy ukośnik, który ogranicza ich długość do 15 znaków (z
dozwolonych 16). Rozmiary plików są ograniczone do 10 cyfr dziesiętnych
ASCII, co daje około 9536.74 MiB na pliki będące częścią archiwum.
.PP
The \fBtar\fP archives currently allowed are, the old\-style (v7) format, the
pre\-POSIX ustar format, a subset of the GNU format (new style long pathnames
and long linknames, supported since dpkg 1.4.1.17; large file metadata since
dpkg 1.18.24), and the POSIX ustar format (long names supported since dpkg
1.15.0).  Unrecognized tar typeflags are considered an error.  Each tar
entry size inside a tar archive is limited to 11 ASCII octal digits,
allowing for up to 8 GiB tar entries.  The GNU large file metadata support
permits 95\-bit tar entry sizes and negative timestamps, and 63\-bit UID, GID
and device numbers.
.PP
Pierwszy składnik nazywa się \fBdebian\-binary\fP i zawiera serię linii
rozdzielonych znakami nowej linii. Obecnie plik ten zawiera tylko jedną
linię \- numer wersji formatu, który \- w czasie pisania tej strony
podręcznika \- wynosił \fB2.0\fP. Programy obsługujące archiwa w nowym formacie
powinny być gotowe na obsłużenie zmiany liczby pobocznej (po kropce) oraz na
obecność nowych linii, które powinny ignorować.
.PP
Jeżeli zmieni się główna liczba numeru wersji (liczba przed kropką), oznacza
to, że wprowadzone zmiany w formacie są niekompatybilne z poprzednią wersją
i program powinien się zatrzymać. Jeżeli się nie zatrzyma, to powinien
kontynuować działanie aż do napotkania nieoczekiwanego składnika w archiwum
(chyba, że występuje on na końcu), tak jak to opisano poniżej.
.PP
The second required member is named \fBcontrol.tar\fP.  It is a tar archive
containing the package control information, either not compressed (supported
since dpkg 1.17.6), or compressed with gzip (with \fB.gz\fP extension) or xz
(with \fB.xz\fP extension, supported since 1.17.6), as a series of plain files,
of which the file \fBcontrol\fP is mandatory and contains the core control
information, the \fBconffiles\fP, \fBtriggers\fP, \fBshlibs\fP and \fBsymbols\fP files
contain optional control information, and the \fBpreinst\fP, \fBpostinst\fP,
\fBprerm\fP and \fBpostrm\fP files are optional maintainer scripts.  The control
tarball may optionally contain an entry for ‘\fB.\fP’, the current directory.
.PP
Trzeci i ostatni wymagany składnik nazywa się \fBdata.tar\fP. Zawiera system
plików w postaci archiwum tar, niespakowanego (wspierane od dpkg 1.10.24)
lub spakowanego programem gzip (z rozszerzeniem \fB.gz\fP), xz (z rozszerzeniem
\&\fB.xz\fP, obsługiwane od dpkg 1.15.6), bzip2 (z rozszerzeniem \fB.bz2\fP,
obsługiwane od dpkg 1.10.24) lub lzma (z rozszerzeniem \fB.lzma\fP, obsługiwane
od dpkg 1.13.25).
.PP
These members must occur in this exact order. Current implementations should
ignore any additional members after \fBdata.tar\fP.  Further members may be
defined in the future, and (if possible) will be placed after these
three. Any additional members that may need to be inserted after
\fBdebian\-binary\fP and before \fBcontrol.tar\fP or \fBdata.tar\fP and which should
be safely ignored by older programs, will have names starting with an
underscore, ‘\fB_\fP’.
.PP
Te nowe składniki, które nie będą mogły zostać zignorowane, zostaną
umieszczone przed \fBdata.tar\fP, a ich nazwy będą się zaczynać od znaku innego
niż podkreślenie, lub (co jest bardziej prawdopodobne) spowodują zwiększenie
głównej (major) wersji formatu pliku deb.
.SH "MEDIA TYPE"
.SS Current
application/vnd.debian.binary\-package
.SS Deprecated
application/x\-debian\-package
.br
application/x\-deb
.SH "ZOBACZ TAKŻE"
\fBdeb\-old\fP(5), \fBdpkg\-deb\fP(1), \fBdeb\-control\fP(5), \fBdeb\-conffiles\fP(5)
\fBdeb\-triggers\fP(5), \fBdeb\-shlibs\fP(5), \fBdeb\-symbols\fP(5), \fBdeb\-preinst\fP(5),
\fBdeb\-postinst\fP(5), \fBdeb\-prerm\fP(5), \fBdeb\-postrm\fP(5).
