.\" dpkg manual page - dpkg-deb(1)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 1999 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006 Frank Lichtenheld <djpig@debian.org>
.\" Copyright © 2007-2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-deb 1 %RELEASE_DATE% %VERSION% "użytki dpkg"
.ad l
.nh
.SH NAZWA
dpkg\-deb \- narzędzie obsługi plików archiwum Debiana (.deb)
.
.SH SKŁADNIA
\fBdpkg\-deb\fP [\fIopcja\fP...] \fIpolecenie\fP
.
.SH OPIS
\fBdpkg\-deb\fP tworzy, rozpakowuje i podaje informacje o plikach archiwum
(czyli pakietach) Debiana.
.PP
Do instalowania i usuwania pakietów z systemu służy polecenie \fBdpkg\fP.
.PP
Ponadto można skorzystać z \fBdpkg\-deb\fP wywołując \fBdpkg\fP z odpowiednią
opcją, która zostanie przekazana do \fBdpkg\-deb\fP. \fBdpkg\fP uruchomi
\fBdpkg\-deb\fP i wykona żądaną operację.
.PP
For most commands taking an input archive argument, the archive can be read
from standard input if the archive name is given as a single minus character
(«\fB\-\fP»); otherwise lack of support will be documented in their respective
command description.
.
.SH POLECENIA
.TP 
\fB\-b\fP, \fB\-\-build\fP \fIbinary\-directory\fP [\fIarchive\fP|\fIdirectory\fP]
Creates a debian archive from the filesystem tree stored in
\fIbinary\-directory\fP. \fIbinary\-directory\fP must have a \fBDEBIAN\fP subdirectory,
which contains the control information files such as the control file
itself. This directory will \fInot\fP appear in the binary package's filesystem
archive, but instead the files in it will be put in the binary package's
control information area.

Unless you specify \fB\-\-nocheck\fP, \fBdpkg\-deb\fP will read \fBDEBIAN/control\fP and
parse it. It will check the file for syntax errors and other problems, and
display the name of the binary package being built.  \fBdpkg\-deb\fP will also
check the permissions of the maintainer scripts and other files found in the
\fBDEBIAN\fP control information directory.

If no \fIarchive\fP is specified then \fBdpkg\-deb\fP will write the package into
the file \fIbinary\-directory\fP\fB.deb\fP.

Jeżeli taki pakiet już istnieje, to zostanie nadpisany.

If the second argument is a directory then \fBdpkg\-deb\fP will write to the
file \fIdirectory\fP\fB/\fP\fIpackage\fP\fB_\fP\fIversion\fP\fB_\fP\fIarch\fP\fB.deb.\fP When a
target directory is specified, rather than a file, the \fB\-\-nocheck\fP option
may not be used (since \fBdpkg\-deb\fP needs to read and parse the package
control file to determine which filename to use).
.TP 
\fB\-I\fP, \fB\-\-info\fP \fIarchiwum\fP [\fInazwa\-pliku\-kontrolnego\fP...]
Dostarcza informacji o pakiecie.

Gdy nie podano żadnej \fInazwy\-pliku\-kontrolnego\fP, wyświetlana jest
informacja o zawartości pakietu oraz zestawienie wykorzystanych plików
kontrolnych.

W razie podania \fInazwy\-pliku\-kontrolnego\fP, \fBdpkg\-deb\fP wyświetli zawartość
tego pliku. Jeśli ten plik nie istnieje, wyświetlony zostanie komunikat
błędu na standardowe wyjście błędów i program zakończy się z kodem błędu 2.
.TP 
\fB\-W\fP, \fB\-\-show\fP \fIarchiwum\fP
Wyświetla informację o pakiecie binarnym w formacie określonym opcją
\fB\-\-showformat\fP. W domyślnym formacie w każdej linii wyświetlane są nazwa i
wersja pakietu, oddzielone od siebie znakiem tabulacji.
.TP 
\fB\-f\fP, \fB\-\-field\fP \fIarchiwum\fP [\fInazwa\-pola\-kontrolnego\fP...]
Wyświetla zawartość pliku kontrolnego o nazwie control.

If no \fIcontrol\-field\-name\fPs are specified then it will print the whole
control file.

If any are specified then \fBdpkg\-deb\fP will print their contents, in the
order in which they appear in the control file. If more than one
\fIcontrol\-field\-name\fP is specified then \fBdpkg\-deb\fP will precede each with
its field name (and a colon and space).

Dla nieodnalezionych pól kontrolnych nie są wyświetlane komunikaty błędów.
.TP 
\fB\-c\fP, \fB\-\-contents\fP \fIarchiwum\fP
Wyświetla zawartość archiwum. Wydruk jest podany w takiej postaci, jaką
generuje polecenie \fBtar\fP.
.TP 
\fB\-x\fP, \fB\-\-extract\fP \fIkatalog archiwum\fP
Rozpakowuje zawartość archiwum do podanego \fIkatalogu\fP.

Proszę zauważyć, że rozpakowanie pakietu w katalogu głównym \fInie\fP jest
odpowiednikiem zainstalowania pakietu! Do tego celu służy wyłącznie
polecenie \fBdpkg\fP.

\fIkatalog\fP (ale bez katalogów nadrzędnych) zostanie utworzony jeśli trzeba,
a jego uprawnienia zostaną zmodyfikowane tak, aby odpowiadały zawartości
pakietu.
.TP 
\fB\-X\fP, \fB\-\-vextract\fP \fIkatalog archiwum\fP
Działa podobnie do \fB\-\-extract\fP (\fB\-x\fP) z \fB\-\-verbose\fP (\fB\-v\fP), które
wypisuje nazwy plików, które są rozpakowywane.
.TP 
\fB\-R\fP, \fB\-\-raw\-extract\fP \fIarchiwum katalog\fP
Extracts the filesystem tree from a package archive into a specified
directory, and the control information files into a \fBDEBIAN\fP subdirectory
of the specified directory (since dpkg 1.16.1).

W razie potrzeby, katalog docelowy będzie utworzony.

The input archive is not (currently) processed sequentially, so reading it
from standard input («\fB\-\fP») is \fBnot\fP supported.
.TP 
\fB\-\-ctrl\-tarfile\fP \fIarchive\fP
Extracts the control data from a binary package and sends it to standard
output in \fBtar\fP format (since dpkg 1.17.14). Together with \fBtar\fP(1)  this
can be used to extract a particular control file from a package archive.
The input archive will always be processed sequentially.
.TP 
\fB\-\-fsys\-tarfile\fP \fIarchiwum\fP
Rozpakowuje pliki z archiwum i wysyła je na standardowe wyjście w postaci
formatu polecenia \fBtar\fP. Gdy ta operacja zostanie połączona z \fBtar\fPem,
możliwe jest rozpakowanie tylko wybranych plików z archiwum. Wejście będzie
zawsze przetwarzane sekwencyjnie.
.TP 
\fB\-e\fP, \fB\-\-control\fP \fIarchiwum\fP [\fIkatalog\fP]
Rozpakowuje pliki kontrolne pakietu do podanego \fIkatalogu\fP.

Jeśli \fIkatalog\fP nie został określony, pliki są rozpakowywane do podkatalogu
\fBDEBIAN\fP w katalogu bieżącym.

W razie potrzeby, katalog docelowy będzie utworzony.
.TP 
\fB\-?\fP, \fB\-\-help\fP
Wyświetla informację o użytkowaniu i kończy działanie.
.TP 
\fB\-\-version\fP
Wyświetla informację o wersji i pomyślnie kończy działanie.
.
.SH OPCJE
.TP 
\fB\-\-showformat=\fP\fIformat\fP
Opcja jest używana do podania formatu wyjścia produkowanego przez
\fB\-\-show\fP. Format jest łańcuchem znaków, który będzie wyświetlony dla
każdego wypisanego pakietu.

The string may reference any status field using the “${\fIfield\-name\fP}” form,
a list of the valid fields can be easily produced using \fB\-I\fP on the same
package. A complete explanation of the formatting options (including escape
sequences and field tabbing) can be found in the explanation of the
\fB\-\-showformat\fP option in \fBdpkg\-query\fP(1).

The default for this field is “${Package}\et${Version}\en”.
.TP 
\fB\-z\fP\fIpoziom\-kompresji\fP
Specify which compression level to use on the compressor backend, when
building a package (default is 9).  The accepted values are 0\-9 with: 0
being mapped to compressor none for gzip.  Before dpkg 1.16.2 level 0 was
equivalent to compressor none for all compressors.
.TP 
\fB\-S\fP\fIstrategia\-kompresji\fP
Specify which compression strategy to use on the compressor backend, when
building a package (since dpkg 1.16.2). Allowed values are \fBnone\fP (since
dpkg 1.16.4), \fBfiltered\fP, \fBhuffman\fP, \fBrle\fP and \fBfixed\fP for gzip (since
dpkg 1.17.0) and \fBextreme\fP for xz.
.TP 
\fB\-Z\fP\fItyp\-kompresji\fP
Specify which compression type to use when building a package.  Allowed
values are \fBgzip\fP, \fBxz\fP (since dpkg 1.15.6), and \fBnone\fP (default is
\fBxz\fP).
.TP 
\fB\-\-[no\-]uniform\-compression\fP
Specify that the same compression parameters should be used for all archive
members (i.e. \fBcontrol.tar\fP and \fBdata.tar\fP; since dpkg 1.17.6).  Otherwise
only the \fBdata.tar\fP member will use those parameters. The only supported
compression types allowed to be uniformly used are \fBnone\fP, \fBgzip\fP and
\fBxz\fP.  The \fB\-\-no\-uniform\-compression\fP option disables uniform compression
(since dpkg 1.19.0).  Uniform compression is the default (since dpkg
1.19.0).
.TP 
\fB\-\-root\-owner\-group\fP
Set the owner and group for each entry in the filesystem tree data to root
with id 0 (since dpkg 1.19.0).

\fBNote\fP: This option can be useful for rootless builds (see
\fIrootless\-builds.txt\fP), but should \fBnot\fP be used when the entries have an
owner or group that is not root.  Support for these will be added later in
the form of a meta manifest.
.TP 
\fB\-\-deb\-format=\fP\fIformat\fP
Set the archive format version used when building (since dpkg 1.17.0).
Allowed values are \fB2.0\fP for the new format, and \fB0.939000\fP for the old
one (default is \fB2.0\fP).

The old archive format is less easily parsed by non\-Debian tools and is now
obsolete; its only use is when building packages to be parsed by versions of
dpkg older than 0.93.76 (September 1995), which was released as i386 a.out
only.
.TP 
\fB\-\-nocheck\fP
Powoduje, że polecenie \fBdpkg\-deb \-\-build\fP nie będzie sprawdzać zawartości
archiwum. W ten sposób można utworzyć niepoprawny pakiet, jeśli zajdzie taka
potrzeba.
.TP 
\fB\-v\fP, \fB\-\-verbose\fP
Enables verbose output (since dpkg 1.16.1).  This currently only affects
\fB\-\-extract\fP making it behave like \fB\-\-vextract\fP.
.TP 
\fB\-D\fP, \fB\-\-debug\fP
Włącza opcję debugowania. Nie jest to zbyt interesujące.
.
.SH "KOD WYJŚCIA"
.TP 
\fB0\fP
Akcja zakończyła się powodzeniem.
.TP 
\fB2\fP
Fatal or unrecoverable error due to invalid command\-line usage, or
interactions with the system, such as accesses to the database, memory
allocations, etc.
.
.SH ŚRODOWISKO
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.TP 
\fBTMPDIR\fP
Jeśli jest ustawiona, \fBdpkg\-deb\fP będzie jej używał jako katalogu do
tworzenia plików i katalogów tymczasowych.
.TP 
\fBSOURCE_DATE_EPOCH\fP
If set, it will be used as the timestamp (as seconds since the epoch) in the
\fBdeb\fP(5)'s \fBar\fP(5) container and used to clamp the mtime in the \fBtar\fP(5)
file entries.
.
.SH UWAGI
Nie należy używać \fBdpkg\-deb\fP do instalowania oprogramowania! Do tego celu
należy korzystać z \fBdpkg\fP, który zainstaluje poprawnie pliki i uruchomi
potrzebne skrypty instalacyjne.
.
.SH BŁĘDY
\fBdpkg\-deb \-I\fP \fIpakiet1\fP\fB.deb\fP \fIpakiet2\fP\fB.deb\fP działa niepoprawnie.

Nie ma sprawdzania autentyczności plików \fB.deb\fP, a nawet nie ma prostej
sumy kontrolnej. (Narzędzia wyższego poziomu takie jak APT wspierają
uwierzytelnianie pakietów \fB.deb\fP pobieranych z danego repozytorium, zaś
większość współczesnych pakietów dostarcza plik kontrolny md5sum
wygenerowany przez debian/rules. Niestety, nie jest to bezpośrednio
wspierane przez narzędzia niższego poziomu.)
.
.SH "ZOBACZ TAKŻE"
\fBdeb\fP(5), \fBdeb\-control\fP(5), \fBdpkg\fP(1), \fBdselect\fP(1).
