.\" dpkg manual page - dpkg-genchanges(1)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006-2016 Guillem Jover <guillem@debian.org>
.\" Copyright © 2008-2010 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-genchanges 1 %RELEASE_DATE% %VERSION% "użytki dpkg"
.ad l
.nh
.SH NAZWA
dpkg\-genchanges \- tworzy pliki .changes
.
.SH SKŁADNIA
\fBdpkg\-genchanges\fP [\fIopcja\fP...]
.br
.
.SH OPIS
\fBdpkg\-genchanges\fP czyta informacje z rozpakowanego i zbudowanego drzewa
pakietu źródłowego Debiana oraz z plików, które wygenerował, i na ich
podstawie tworzy plik kontrolny wydania (plik \fB.changes\fP).
.
.SH OPCJE
.TP 
\fB\-\-build=\fP\fItype\fP
Specifies the build \fItype\fP from a comma\-separated list of components (since
dpkg 1.18.5).

The allowed values are:
.RS
.TP 
\fBsource\fP
Upload the source package.
.TP 
\fBany\fP
Upload the architecture specific binary packages.
.TP 
\fBall\fP
Upload the architecture independent binary packages.
.TP 
\fBbinary\fP
Upload the architecture specific and independent binary packages.  This is
an alias for \fBany,all\fP.
.TP 
\fBfull\fP
Upload everything.  This is alias for \fBsource,any,all\fP, and the same as the
default case when no build option is specified.
.RE
.TP 
\fB\-g\fP
Equivalent to \fB\-\-build=source,all\fP (since dpkg 1.17.11).
.TP 
\fB\-G\fP
Equivalent to \fB\-\-build=source,any\fP (since dpkg 1.17.11).
.TP 
\fB\-b\fP
Equivalent to \fB\-\-build=binary\fP or \fB\-\-build=any,all\fP.
.TP 
\fB\-B\fP
Equivalent to \fB\-\-build=any\fP.
.TP 
\fB\-A\fP
Equivalent to \fB\-\-build=all\fP.
.TP 
\fB\-S\fP
Equivalent to \fB\-\-build=source\fP.
.PP
Opcje \fB\-s\fP\fIx\fP określają, czy do wydania dołączane są oryginalne pliki
źródłowe, jeżeli zostanie wygenerowany choć jeden z nich (tj. nie użyto
opcji \fB\-b\fP lub \fB\-B\fP).
.TP 
\fB\-si\fP
Domyślnie lub jeśli to określono, oryginalne źródła będą dołączone tylko
jeśli numer oryginalnej wersji autora programu (tzn. wersja bez epoki i bez
numeru rewizji Debiana) różni się od numeru wersji autora programu z
poprzedniego wpisu dziennika zmian.
.TP 
\fB\-sa\fP
Wymusza dołączenie oryginalnych źródeł.
.TP 
\fB\-sd\fP
Wymusza pominięcie oryginalnych źródeł i dołączenie tylko pliku różnic
(diff).
.fi
.TP 
\fB\-v\fP\fIwersja\fP
Powoduje, że będą używane informacje z dziennika zmian ze wszystkich wersji
większych niż \fIwersja\fP.
.TP 
\fB\-C\fP\fIopis\-zmian\fP
Czyta opis zmian z pliku \fIopis\-zmian\fP, zamiast używać informacji z
dziennika zmian z katalogu ze źródłami.
.TP 
\fB\-m\fP\fIadres\-opiekuna\fP
Używa \fIadresu\-opiekuna\fP jako nazwy i adresu e\-mail opiekuna tego pakietu,
zamiast pobierać te wartości z pliku kontrolnego z katalogu ze źródłami.
.TP 
\fB\-e\fP\fIadres\-opiekuna\fP
Używa \fIadresu\-opiekuna\fP jako nazwy i adresu e\-mail opiekuna tego wydania,
zamiast pobierać te wartości z dziennika zmian z katalogu ze źródłami.
.TP 
\fB\-V\fP\fInazwa\fP\fB=\fP\fIwartość\fP
Ustawia zmienną podstawienia wyjścia. Szczegółowy opis podstawiania
zmiennych wyjściowych znajduje się w \fBdeb\-substvars\fP(5).
.TP 
\fB\-T\fP\fIplik\-zmiennych\-podst\fP
Read substitution variables in \fIsubstvars\-file\fP; the default is
\fBdebian/substvars\fP.  No variable substitution is done on any of the fields
that are output, except for the contents extracted from each binary package
\fBDescription\fP field (since dpkg 1.19.0), however the special variable
\fIFormat\fP will override the field of the same name.  This option can be used
multiple times to read substitution variables from multiple files (since
dpkg 1.15.6).

.TP 
\fB\-D\fP\fIpole\fP\fB=\fP\fIwartość\fP
Nadpisuje lub dodaje wyjściowe pole pliku kontrolnego.
.TP 
\fB\-U\fP\fIpole\fP
Usuwa wyjściowe pole pliku kontrolnego.
.TP 
\fB\-c\fP\fIplik_kontrolny\fP
Określa główny plik kontrolny, z którego będą czytane informacje. Domyślnie
jest to \fBdebian/control\fP.
.TP 
\fB\-l\fP\fIplik\-dziennika\-zmian\fP
Określa dziennik zmian, z którego będą czytane informacje. Domyślnym plikiem
jest \fBdebian/changelog\fP.
.TP 
\fB\-f\fP\fIplik\-z\-listą\-plików\fP
Czyta z tego pliku listę plików do wydania zamiast używać \fBdebian/files\fP.
.TP 
\fB\-F\fP\fIformat\-dziennika\-zmian\fP
Określa format dziennika zmian. Więcej informacji o alternatywnych formatach
można znaleźć w \fBdpkg\-parsechangelog\fP(1).
.TP 
\fB\-u\fP\fIkatalog\-wysyłki\-plików\fP
Poszukuje plików, które mają być dołączone do wydania w
\fIkatalogu\-wysyłki\-plików\fP zamiast w katalogu \fB..\fP (\fBdpkg\-genchanges\fP musi
znaleźć te pliki, tak żeby móc zapisać ich rozmiary oraz sumy kontrolne w
pliku \fB.changes\fP).
.TP 
\fB\-q\fP
Zazwyczaj \fBdpkg\-genchanges\fP na standardowym wyjściu błędów wypisze
komunikaty informujące na przykład o liczbie plików wygenerowanych
źródłowych pakietu. \fB\-q\fP powstrzymuje wypisywanie takich komunikatów
.TP 
\fB\-O\fP[\fIfilename\fP]
Print the changes file to standard output (the default) or to \fIfilename\fP if
specified (since dpkg 1.18.5).
.TP 
\fB\-?\fP, \fB\-\-help\fP
Wyświetla informację o użytkowaniu i kończy działanie.
.TP 
\fB\-\-version\fP
Wyświetla informację o wersji i pomyślnie kończy działanie.
.
.SH ŚRODOWISKO
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.TP 
\fBDPKG_NLS\fP
If set, it will be used to decide whether to activate Native Language
Support, also known as internationalization (or i18n) support (since dpkg
1.19.0).  The accepted values are: \fB0\fP and \fB1\fP (default).
.
.SH PLIKI
.TP 
\fBdebian/files\fP
Lista wygenerowanych plików, które są częścią przygotowywanego
wydania. \fBdpkg\-genchanges\fP czyta stąd dane podczas tworzenia pliku
\&\fB.changes\fP.
.
.SH "ZOBACZ TAKŻE"
\fBdeb\-substvars\fP(5), \fBdeb\-src\-control\fP(5), \fBdeb\-src\-files\fP(5),
\fBdeb\-changelog\fP(5), \fBdeb\-changes\fP(5).
