.\" dpkg manual page - dpkg-gensymbols(1)
.\"
.\" Copyright © 2007-2011 Raphaël Hertzog <hertzog@debian.org>
.\" Copyright © 2009-2010 Modestas Vainius <modestas@vainius.eu>
.\" Copyright © 2012-2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-gensymbols 1 %RELEASE_DATE% %VERSION% "użytki dpkg"
.ad l
.nh
.SH NAZWA
dpkg\-gensymbols \- generuje pliki symboli (informacje o zależnościach
bibliotek współdzielonych)
.
.SH SKŁADNIA
\fBdpkg\-gensymbols\fP [\fIopcja\fP...]
.
.SH OPIS
\fBdpkg\-gensymbols\fP skanuje tymczasowe drzewo budowania (domyślnie
debian/tmp) w poszukiwaniu bibliotek i generuje opisujący je plik
\fIsymbols\fP. Plik ten, jeśli nie jest pusty, jest następnie instalowany do
podkatalogu DEBIAN drzewa budowania, tak więc na końcu zawiera informacje
kontrolne pakietu.
.P
Podczas tworzenia wspomnianych plików, jako wejście są używane pliki symboli
dostarczone przez opiekuna. Szukane są następujące pliki (używany jest
pierwszy ze znalezionych):
.IP • 4
debian/\fIpakiet\fP.symbols.\fIarch\fP
.IP • 4
debian/symbols.\fIarch\fP
.IP • 4
debian/\fIpakiet\fP.symbols
.IP • 4
debian/symbols
.P
The main interest of those files is to provide the minimal version
associated to each symbol provided by the libraries. Usually it corresponds
to the first version of that package that provided the symbol, but it can be
manually incremented by the maintainer if the ABI of the symbol is extended
without breaking backwards compatibility. It's the responsibility of the
maintainer to keep those files up\-to\-date and accurate, but
\fBdpkg\-gensymbols\fP helps with that.
.P
Gdy wygenerowane pliki symboli różnią się od dostarczonych przez opiekuna,
\fBdpkg\-gensymbols\fP wypisze różnicę pomiędzy dwoma wersjami. Co więcej, jeśli
różnica jest zbyt duża, zakończy się niepowodzeniem (można dostosować
wielkość tolerowanej różnicy, patrz opcja \fB\-c\fP).
.SH "ZARZĄDZANIE PLIKAMI SYMBOLI"
The base interchange format of the symbols file is described in
\fBdeb\-symbols\fP(5), which is used by the symbols files included in binary
packages. These are generated from template symbols files with a format
based on the former, described in \fBdeb\-src\-symbols\fP(5)  and included in
source packages.
.P
The symbols files are really useful only if they reflect the evolution of
the package through several releases. Thus the maintainer has to update them
every time that a new symbol is added so that its associated minimal version
matches reality.
.P
The diffs contained in the build logs can be used as a starting point, but
the maintainer, additionally, has to make sure that the behaviour of those
symbols has not changed in a way that would make anything using those
symbols and linking against the new version, stop working with the old
version.
.P
In most cases, the diff applies directly to the debian/\fIpackage\fP.symbols
file. That said, further tweaks are usually needed: it's recommended for
example to drop the Debian revision from the minimal version so that
backports with a lower version number but the same upstream version still
satisfy the generated dependencies.  If the Debian revision can't be dropped
because the symbol really got added by the Debian specific change, then one
should suffix the version with ‘\fB~\fP’.
.P
Przed dodaniem jakiejkolwiek łatki do pliku symboli, opiekun powinien dwa
razy sprawdzić, czy jest ona poprawna. Publiczne symbole nie mogą znikać,
więc najlepiej jeśli jedynie dodaje ona nowe wiersze.
.P
Note that you can put comments in symbols files.
.P
Do not forget to check if old symbol versions need to be increased.  There
is no way \fBdpkg\-gensymbols\fP can warn about this. Blindly applying the diff
or assuming there is nothing to change if there is no diff, without checking
for such changes, can lead to packages with loose dependencies that claim
they can work with older packages they cannot work with. This will introduce
hard to find bugs with (partial)  upgrades.
.SS "Dobre zarządzanie biblioteką"
.P
Dobrze zarządzana biblioteka ma następujące cechy:
.IP • 4
jej API jest stabilne (symbole publiczne nie są nigdy porzucane, dodawane są
tylko nowe symbole publiczne), a niekompatybilne zmiany są wykonywane tylko
przy zmianach SONAME;
.IP • 4
idealnie, używa wersjonowania symboli, aby osiągnąć stabilność ABI
niezależnie od zmian wewnętrznych i rozszerzeń API;
.IP • 4
nie eksportuje symboli prywatnych (takie symbole mogą być tagowane jako
opcjonalne, jako obejście).
.P
Podczas zarządzania plikiem symboli łatwo jest zauważyć pojawienie się lub
zniknięcie symboli. Znacznie trudniej jednak wyłapać niekompatybilną zmianę
API i ABI. W związku z tym, opiekun pakietu powinien dokładnie sprawdzić w
dzienniku zmian projektu macierzystego, czy istnieje przypadek, że zasady
dobrego zarządzania biblioteką zostały złamane. Jeśli odkryje się
potencjalne problemy, macierzysty autor powinien zostać poinformowany, jako
że poprawka w projekcie macierzystym jest zawsze lepsza, niż obejście
problemu w samym Debianie.
.SH OPCJE
.TP 
\fB\-P\fP\fIkatalog\-budowania\-pakietu\fP
Przeszukuje \fIkatalog\-budowania\-pakietu\fP zamiast debian/tmp.
.TP 
\fB\-p\fP\fIpakiet\fP
Definiuje nazwę pakietu. Wymagane, jeśli więcej niż jeden pakiet binarny
jest wypisany w debian/control (lub nie ma tego pliku).
.TP 
\fB\-v\fP\fIwersja\fP
Definiuje wersję pakietu. Domyślnie jest to wersja wzięta z
debian/changelog. Wymagane, jeśli wywołanie ma miejsce spoza drzewa pakietu
źródłowego.
.TP 
\fB\-e\fP\fIplik\-biblioteki\fP
Only analyze libraries explicitly listed instead of finding all public
libraries. You can use shell patterns used for pathname expansions (see the
\fBFile::Glob\fP(3perl) manual page for details) in \fIlibrary\-file\fP to match
multiple libraries with a single argument (otherwise you need multiple
\fB\-e\fP).
.TP 
\fB\-l\fP\fIdirectory\fP
Prepend \fIdirectory\fP to the list of directories to search for private shared
libraries (since dpkg 1.19.1). This option can be used multiple times.

Note: Use this option instead of setting \fBLD_LIBRARY_PATH\fP, as that
environment variable is used to control the run\-time linker and abusing it
to set the shared library paths at build\-time can be problematic when
cross\-compiling for example.
.TP 
\fB\-I\fP\fInazwa\-pliku\fP
Używa \fInazwy\-pliku\fP jako pliku odniesienia do generowania pliku symboli,
który jest integrowany w samym pakiecie.
.TP 
\fB\-O\fP[\fIfilename\fP]
Print the generated symbols file to standard output or to \fIfilename\fP if
specified, rather than to \fBdebian/tmp/DEBIAN/symbols\fP (or
\fIpackage\-build\-dir\fP\fB/DEBIAN/symbols\fP if \fB\-P\fP was used). If \fIfilename\fP is
pre\-existing, its contents are used as basis for the generated symbols
file.  You can use this feature to update a symbols file so that it matches
a newer upstream version of your library.
.TP 
\fB\-t\fP
Write the symbol file in template mode rather than the format compatible
with \fBdeb\-symbols\fP(5). The main difference is that in the template mode
symbol names and tags are written in their original form contrary to the
post\-processed symbol names with tags stripped in the compatibility mode.
Moreover, some symbols might be omitted when writing a standard
\fBdeb\-symbols\fP(5) file (according to the tag processing rules) while all
symbols are always written to the symbol file template.
.TP 
\fB\-c\fP\fI[0\-4]\fP
Definiuje sprawdzenia do wykonania podczas porównywania wygenerowanego pliku
symboli z plikiem szablonu używanym na początku. Domyślnym poziomem jest
1. Zwiększanie poziomu wykonuje więcej sprawdzeń i zawiera wszystkie
sprawdzenia z niższego poziomu. Poziom 0 nigdy nie kończy się błędem. Poziom
1 sprawdza, czy jakieś symbole nie zniknęły. Poziom 2 zawodzi, gdy
wprowadzono jakieś nowe symbole. Poziom 3 zwraca błąd, gdy zniknęły jakieś
biblioteki. Poziom 4 \- gdy wprowadzono biblioteki.

This value can be overridden by the environment variable
\fBDPKG_GENSYMBOLS_CHECK_LEVEL\fP.
.TP 
\fB\-q\fP
Keep quiet and never generate a diff between generated symbols file and the
template file used as starting point or show any warnings about new/lost
libraries or new/lost symbols. This option only disables informational
output but not the checks themselves (see \fB\-c\fP option).
.TP 
\fB\-a\fP\fIarchitektura\fP
Zakłada \fIarchitekturę\fP jako architekturę hosta w czasie przetwarzania
plików symboli. Opcji można użyć, aby wygenerować plik symboli lub diff dla
którejś z architektur, zakładając że jej pliki binarne są już dostępne.
.TP 
\fB\-d\fP
Włącza tryb debugowania. Wyświetlanych jest wiele komunikatów tłumaczących
działanie \fBdpkg\-gensymbols\fP.
.TP 
\fB\-V\fP
Włącza tryb szczegółowy. Wygenerowany plik symboli zawiera przestarzałe
symbole jako komentarze. Co więcej, w trybie szablonu po wzorcach symboli
występują komentarze opisujące symbole rzeczywiste, które dopasowano do
wzorca.
.TP 
\fB\-?\fP, \fB\-\-help\fP
Wyświetla informację o użytkowaniu i kończy działanie.
.TP 
\fB\-\-version\fP
Wyświetla informację o wersji i pomyślnie kończy działanie.
.
.SH ŚRODOWISKO
.TP 
\fBDPKG_GENSYMBOLS_CHECK_LEVEL\fP
Overrides the command check level, even if the \fB\-c\fP command\-line argument
was given (note that this goes against the common convention of command\-line
arguments having precedence over environment variables).
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.TP 
\fBDPKG_NLS\fP
If set, it will be used to decide whether to activate Native Language
Support, also known as internationalization (or i18n) support (since dpkg
1.19.0).  The accepted values are: \fB0\fP and \fB1\fP (default).
.
.SH "ZOBACZ TAKŻE"
\fBhttps://people.redhat.com/drepper/symbol\-versioning\fP
.br
\fBhttps://people.redhat.com/drepper/goodpractice.pdf\fP
.br
\fBhttps://people.redhat.com/drepper/dsohowto.pdf\fP
.br
\fBdeb\-src\-symbol\fP(5), \fBdeb\-symbols\fP(5), \fBdpkg\-shlibdeps\fP(1).
