.\" dpkg manual page - dpkg-parsechangelog(1)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006, 2011-2015 Guillem Jover <guillem@debian.org>
.\" Copyright © 2007-2008 Frank Lichtenheld <djpig@debian.org>
.\" Copyright © 2009 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-parsechangelog 1 %RELEASE_DATE% %VERSION% "użytki dpkg"
.ad l
.nh
.SH NAZWA
dpkg\-parsechangelog \- przetwarza pliki dzienników zmian Debiana
.
.SH SKŁADNIA
\fBdpkg\-parsechangelog\fP [\fIopcja\fP...]
.
.SH OPIS
\fBdpkg\-parsechangelog\fP czyta i przetwarza dziennik zmian rozpakowanego
drzewa źródeł pakietu Debiana i wypisuje te informacje na standardowym
wyjściu w postaci czytelnej dla maszyny.
.
.SH OPCJE
.TP 
\fB\-l\fP, \fB\-\-file\fP \fIchangelog\-file\fP
Specifies the changelog file to read information from.  A ‘\-’ can be used to
specify reading from standard input.  The default is \fBdebian/changelog\fP.
.TP 
\fB\-F\fP \fIchangelog\-format\fP
Specifies the format of the changelog. By default the format is read from a
special line near the bottom of the changelog or failing that defaults to
the \fBdebian\fP standard format. See also \fBCHANGELOG FORMATS\fP.
.TP 
\fB\-L\fP \fIlibdir\fP
Obsolete option without effect (since dpkg 1.18.8).  Setting the perl
environment variables \fBPERL5LIB\fP or \fBPERLLIB\fP has a similar effect when
looking for the parser perl modules.
.TP 
\fB\-S\fP, \fB\-\-show\-field\fP \fIfield\fP
Specifies the name of the field to show (since dpkg 1.17.0).  The field name
is not printed, only its value.
.TP 
\fB\-?\fP, \fB\-\-help\fP
Wyświetla informację o użytkowaniu i kończy działanie.
.TP 
\fB\-\-version\fP
Wyświetla informację o wersji i pomyślnie kończy działanie.
.SS "Opcje parsera"
The following options can be used to influence the output of the changelog
parser, e.g. the range of entries or the format of the output.
.TP 
\fB\-\-format\fP\fI format\-wyjściowy\fP
Set the output format. Currently supported values are \fBdpkg\fP and
\fBrfc822\fP.  \fBdpkg\fP is the classic output format (from before this option
existed) and the default. It consists of one paragraph in Debian control
format (see \fBdeb\-control\fP(5)). If more than one entry is requested, then
most fields are taken from the first entry (usually the most recent entry),
except otherwise stated:
.RS
.TP 
\fBSource:\fP\fI nazwa\-pakietu\fP
.TP 
\fBVersion:\fP\fI wersja\fP
.TP 
\fBDistribution:\fP\fI dystrybucja\-docelowa\fP
.TP 
\fBUrgency:\fP\fI ważność\fP
Używana jest najwyższa ważność ze wszystkich dołączonych wpisów, po których
występują połączone (oddzielone spacjami) komentarze ze wszystkich żądanych
wersji.
.TP 
\fBMaintainer:\fP\fI autor\fP
.TP 
\fBDate:\fP\fI data\fP
The date of the entry as a string, as it appears in the changelog.  With a
\fBstrptime\fP(3) format "\fB%a, %d %b %Y %T %z\fP", but where the day of the week
might not actually correspond to the real day obtained from the rest of the
date string.  If you need a more accurate representation of the date, use
the \fBTimestamp\fP field, but take into account it might not be possible to
map it back to the exact value in this field.
.TP 
\fBTimestamp:\fP\fI timestamp\fP
The date of the entry as a timestamp in seconds since the epoch (since dpkg
1.18.8).
.TP 
\fBCloses:\fP\fI numer\-błędu\fP
Pola Closes wszystkich włączonych wpisów są łączone.
.TP 
\fBChanges:\fP\fI wpisy\-dziennika\-zmian\fP
Tekst wszystkich wpisów dziennika zmian jest łączony. Aby uczynić to pole
poprawnym wieloliniowym polem w formacie pliku kontrolnego Debiana,
wszystkie puste linie są zastępowane pojedynczymi kropkami oraz jest
dodawana spacja na początku każdej linii. Dokładana zawartość zależy od
formatu dziennika zmian.
.RE
.IP
Pola \fBVersion\fP, \fBDistribution\fP, \fBUrgency\fP, \fBMaintainer\fP i \fBChanges\fP są
obowiązkowe.
.IP
Mogą także występować dodatkowe pola zdefiniowane przez użytkownika.
.IP
Format \fBrfc822\fP używa tych samych pól, ale wypisuje osobny akapit dla
każdego użytego wpisu z dziennika zmian tak, że zachowane są wszystkie
metadane z każdego wpisu.
.TP 
\fB\-\-reverse\fP
Include all changes in reverse order (since dpkg 1.19.1).  Note: for the
\fBdpkg\fP format the first entry will be the most ancient entry.
.TP 
\fB\-\-all\fP
Include all changes. Note: other options have no effect when this is in use.
.TP 
\fB\-s\fP, \fB\-\-since\fP \fIversion\fP
.TQ
\fB\-v\fP \fIversion\fP
Include all changes later than \fIversion\fP.
.TP 
\fB\-u\fP, \fB\-\-until\fP \fIversion\fP
Include all changes earlier than \fIversion\fP.
.TP 
\fB\-f\fP, \fB\-\-from\fP \fIversion\fP
Include all changes equal or later than \fIversion\fP.
.TP 
\fB\-t\fP, \fB\-\-to\fP \fIversion\fP
Include all changes up to or equal than \fIversion\fP.
.TP 
\fB\-c\fP, \fB\-\-count\fP \fInumber\fP
.TQ
\fB\-n\fP \fInumber\fP
Include \fInumber\fP entries from the top (or the tail if \fInumber\fP is lower
than 0).
.TP 
\fB\-o\fP, \fB\-\-offset\fP \fInumber\fP
Change the starting point for \fB\-\-count\fP, counted from the top (or the tail
if \fInumber\fP is lower than 0).
.
.SH "FORMATY DZIENNIKA ZMIAN"
Można używać innego formatu niż standardowy, pod warunkiem że dostarczy się
do niego parser.

Aby uruchomić \fBdpkg\-parsechangelog\fP na nowym parserze, konieczne jest
dołączenia wiersza w obrębie ostatnich 40 wierszu pliku dziennika zmian,
które pasuje do wyrażenia regularnego Perla:
"\fB\eschangelog\-format:\es+([0\-9a\-z]+)\eW\fP". Część w nawiasie powinna być
nazwą formatu np.

       @@@ changelog\-format: \fIinny\-format\fP @@@

Changelog format names are non\-empty strings of lowercase alphanumerics
(“a\-z0\-9”).

If such a line exists then \fBdpkg\-parsechangelog\fP will look for the parser
as a \fBDpkg::Changelog::\fP\fIOtherformat\fP perl module; it is an error for it
not being present.  The parser name in the perl module will be automatically
capitalized.  The default changelog format is \fBdebian\fP, and a parser for it
is provided by default.

The parser should be derived from the Dpkg::Changelog class and implement
the required documented interface.

Jeśli format dziennika zmian, który jest przetwarzany zawsze lub prawie
zawsze pozostawia puste wiersze pomiędzy poszczególnymi notkami zmian, to
powinny one zostać usunięte, aby utworzyć zwięźlejszy wynik.

Jeśli format dziennika zmian nie zawiera daty lub nazwy pakietu, to
informacja ta powinna zostać pominięta na wyjściu. Parser nie powinien
próbować tworzyć jej lub znajdować z innych źródeł.

If the changelog does not have the expected format the parser should error
out, rather than trying to muddle through and possibly generating incorrect
output.

Parser dziennika zmian może nie prowadzić z użytkownikiem żadnej interakcji.
.
.SH UWAGI
All \fBParser Options\fP except for \fB\-v\fP are only supported since dpkg
1.14.16.
.PP
Short option parsing with non\-bundled values available only since dpkg
1.18.0.
.
.SH ŚRODOWISKO
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.TP 
\fBDPKG_NLS\fP
If set, it will be used to decide whether to activate Native Language
Support, also known as internationalization (or i18n) support (since dpkg
1.19.0).  The accepted values are: \fB0\fP and \fB1\fP (default).
.
.SH PLIKI
.TP 
\fBdebian/changelog\fP
Dziennik zmian jest używany do pozyskania informacji o pakiecie źródłowym
zależnych od jego wersji, takich jak ważność i dystrybucja wydania, zmiany
dokonane po określonym wydaniu, oraz numer wersji pakietu.
.
.SH "ZOBACZ TAKŻE"
\fBdeb\-changelog\fP(5).
