.\" dpkg manual page - dpkg-deb(1)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006 Frank Lichtenheld <djpig@debian.org>
.\" Copyright © 2007-2011 Raphaël Hertzog <hertzog@debian.org>
.\" Copyright © 2011-2013, 2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-shlibdeps 1 %RELEASE_DATE% %VERSION% "użytki dpkg"
.ad l
.nh
.SH NAZWA
dpkg\-shlibdeps \- generowanie zależności podstawień współdzielonych bibliotek
.
.SH SKŁADNIA
\fBdpkg\-shlibdeps\fP [\fIopcja\fP...] [\fB\-e\fP]\fIplik\-wykonywalny\fP [\fIopcja\fP...]
.
.SH OPIS
\fBdpkg\-shlibdeps\fP określa zależności podstawień współdzielonych bibliotek
dla plików wykonywalnych podanych jako argumenty. Zależności te są dodawane
do pliku podstawień zmiennych \fBdebian/substvars\fP jako zmienne
\fBshlibs:\fP\fIpole\-zależności\fP, przy czym \fIpole\-zależności\fP jest nazwą
odpowiedniego pola zależności. Wszystkie inne zmienne rozpoczynające się od
\fBshlibs:\fP są usuwane z tego pliku.
.P
\fBdpkg\-shlibdeps\fP ma dwa źródła informacji służące do generowania informacji
o zależnościach. Są to pliki \fIsymbols\fP lub pliki \fIshlibs\fP. Dla każdego
pliku binarnego analizowanego przez \fBdpkg\-shlibdeps\fP określana jest lista
bibliotek, z którymi jest on linkowany. Następnie dla każdej biblioteki
przeglądany jest plik \fIsymbols\fP lub plik \fIshlibs\fP (jeśli ten pierwszy nie
istnieje, lub gdy debian/shlibs.local zawiera stosowną zależność). Oba pliki
powinny być dostarczane przez pakiet zawierający bibliotekę i powinny więc
być dostępne jako %ADMINDIR%/info/\fIpakiet\fP.\fIsymbols\fP lub
%ADMINDIR%/info/\fIpakiet\fP.\fIshlibs\fP. Nazwa pakietu jest określana w dwóch
krokach: odnalezienie pliku biblioteki w systemie (sprawdzając w tych samych
katalogach, których używa \fBld.so\fP), a następnie użycie \fBdpkg \-S
\fP\fIplik\-biblioteki\fP w celu określenia pakietu dostarczającego daną
bibliotekę.
.SS "Pliki symboli"
Pliki symboli zawierają dokładniejsze określenia informacji o zależnościach,
dostarczając minimum zależności dla każdego symbolu eksportowanego przez
bibliotekę. Skrypt próbuje odnaleźć plik związany z pakietem biblioteki w
następujących miejscach (użyte jest pierwsze dopasowanie):
.IP debian/*/DEBIAN/symbols
Informacje o współdzielonej bibliotece wygenerowane w bieżącym procesie
budowy, który wywołał również \fBdpkg\-shlibdeps\fP. Są one generowane przez
\fBdpkg\-gensymbols\fP(1). Są używane tylko, gdy biblioteka znajduje się w
drzewie budowania pakietu. Plik "symbols" z tego drzewa ma pierwszeństwo nad
plikami symboli z innych pakietów binarnych.
.IP %PKGCONFDIR%/symbols/\fIpakiet\fP.symbols.\fIarch\fP
.IP %PKGCONFDIR%/symbols/\fIpakiet\fP.symbols
Informacje o zasięgu systemu, które nadpisują informacje o zależnościach
bibliotek współdzielonych. \fIarch\fP jest architekturą bieżącego systemu
(określoną przez \fBdpkg\-architecture \-qDEB_HOST_ARCH\fP).
.IP "Wynik z \(dq\fBdpkg\-query \-\-control\-path\fP \fIpakiet\fP symbols\(dq"
Package\-provided shared library dependency information.  Unless overridden
by \fB\-\-admindir\fP, those files are located in %ADMINDIR%.
.P
Podczas przeszukiwania symboli używanych przez wszystkie pliki binarne,
\fBdpkg\-shlibdeps\fP zapamiętuje (największą) minimalną wersję wymaganą dla
każdej biblioteki. Na końcu procesu jest więc w stanie wypisać minimalne
zależności dla każdej użytej biblioteki (pod warunkiem, że informacja z
plików \fIsymbols\fP jest dokładna).
.P
As a safe\-guard measure, a symbols file can provide a
\fBBuild\-Depends\-Package\fP meta\-information field and \fBdpkg\-shlibdeps\fP will
extract the minimal version required by the corresponding package in the
\fBBuild\-Depends\fP field and use this version if it's higher than the minimal
version computed by scanning symbols.
.SS "Pliki \(dqshlibs\(dq"
Pliki "shlibs" wiążą bezpośrednio bibliotekę z zależnościami (bez
przeglądania symboli). Jest to więc często silniejsze niż naprawdę
potrzebne, ale bardzo bezpieczne i łatwe w obsłudze.
.P
Zależności dla biblioteki są wyszukiwane w kilku miejscach. Używany jest
pierwszy plik zawierający informacje dla danej biblioteki:
.IP debian/shlibs.local
Lokalne informacje z pakietu nadpisujące informacje o zależnościach
bibliotek współdzielonych.
.IP %PKGCONFDIR%/shlibs.override
Informacje o zasięgu systemu, które nadpisują informacje o zależnościach
bibliotek współdzielonych.
.IP debian/*/DEBIAN/shlibs
Informacje o zależnościach współdzielonych bibliotek wygenerowane w bieżącym
procesie budowy, który wywołał również \fBdpkg\-shlibdeps\fP. Są używane tylko,
gdy biblioteka znajduje się w drzewie budowania pakietu. Plik "shlibs" z
tego drzewa ma pierwszeństwo nad plikami shlibs z innych pakietów
binarnych."
.IP "Wynik z \(dq\fBdpkg\-query \-\-control\-path\fP \fIpakiet\fP shlibs\(dq"
Package\-provided shared library dependency information.  Unless overridden
by \fB\-\-admindir\fP, those files are located in %ADMINDIR%.
.IP %PKGCONFDIR%/shlibs.default
Domyślna informacja o zależnościach bibliotek współdzielonych, o zakresie
systemu.
.P
Uzyskane zależności są używane bezpośrednio (chyba, że są odfiltrowane
ponieważ zostały zidentyfikowane jako duplikaty lub słabsze niż jakaś inna
zależność).
.SH OPCJE
\fBdpkg\-shlibdeps\fP interpretuje parametry nie będące opcjami jako nazwy
plików wykonywalnych, tak jakby były podane przez \fB\-e\fP\fIplik_wykonywalny\fP.
.TP 
\fB\-e\fP\fIplik\-wykonywalny\fP
Include dependencies appropriate for the shared libraries required by
\fIexecutable\fP.  This option can be used multiple times.
.TP 
\fB\-l\fP\fIdirectory\fP
Prepend \fIdirectory\fP to the list of directories to search for private shared
libraries (since dpkg 1.17.0). This option can be used multiple times.

Note: Use this option instead of setting \fBLD_LIBRARY_PATH\fP, as that
environment variable is used to control the run\-time linker and abusing it
to set the shared library paths at build\-time can be problematic when
cross\-compiling for example.
.TP 
\fB\-d\fP\fIpole\-zależności\fP
Dodanie zależności, które mają być dodane do pola zależności
\fIpole\-zależności\fP pliku kontrolnego (zależności dla tego pola są
umieszczane w zmiennej \fBshlibs:\fP\fIpole\-zależności\fP).

Opcja \fB\-d\fP\fIpole\-zależności\fP wpływa na wszystkie pliki wykonywalne podane
po tej opcji, aż do następnego \fB\-d\fP\fIpole\-zależności\fP. Domyślnym
\fIpolem\-zależności\fP jest \fBDepends\fP.

Jeśli to samo określenie zależności (lub zbiór alternatyw) pojawia się w
więcej niż jednej nazwie z rozróżnianych pól zależności \fBPre\-Depends\fP,
\fBDepends\fP, \fBRecommends\fP, \fBEnhances\fP lub \fBSuggests\fP to \fBdpkg\-shlibdeps\fP
automatycznie usunie zależność ze wszystkich pól, poza polem reprezentującym
najważniejsze zależności.
.TP 
\fB\-p\fP\fIprefiks\-nazw\-zmiennych\fP
Rozpoczynanie nazw zmiennych podstawiania od \fIprefiks\-nazw\-zmiennych\fP\fB:\fP
zamiast \fBshlibs:\fP. Podobnie, wszystkie zmienne rozpoczynające się od
\fIprefiks\-nazw\-zmiennych\fP\fB:\fP (zamiast \fBshlibs:\fP) są usuwane z pliku
zmiennych podstawiania.
.TP 
\fB\-O\fP[\fIfilename\fP]
Print substitution variable settings to standard output (or \fIfilename\fP if
specified, since dpkg 1.17.2), rather than being added to the substitution
variables file (\fBdebian/substvars\fP by default).
.TP 
\fB\-t\fP\fItyp\fP
Prefer shared library dependency information tagged for the given package
type. If no tagged information is available, falls back to untagged
information. The default package type is \fBdeb\fP. Shared library dependency
information is tagged for a given type by prefixing it with the name of the
type, a colon, and whitespace.
.TP 
\fB\-L\fP\fIlokalny\-plik\-shlibs\fP
Odczyt nadpisań informacji o bibliotekach współdzielonych z
\fIlokalnego\-pliku\-shlibs\fP zamiast \fBdebian/shlibs.local\fP.
.TP 
\fB\-T\fP\fIplik\-zmiennych\-podst\fP
Zapis zmiennych podstawiania w pliku \fIplik\-zmiennych\-podst\fP; domyślnie jest
to \fBdebian/substvars\fP.
.TP 
\fB\-v\fP
Enable verbose mode (since dpkg 1.14.8).  Numerous messages are displayed to
explain what \fBdpkg\-shlibdeps\fP does.
.TP 
\fB\-x\fP\fIpakiet\fP
Exclude the package from the generated dependencies (since dpkg 1.14.8).
This is useful to avoid self\-dependencies for packages which provide ELF
binaries (executables or library plugins) using a library contained in the
same package. This option can be used multiple times to exclude several
packages.
.TP 
\fB\-S\fP\fIkatalog\-budowania\-pakietu\fP
Look into \fIpackage\-build\-dir\fP first when trying to find a library (since
dpkg 1.14.15).  This is useful when the source package builds multiple
flavors of the same library and you want to ensure that you get the
dependency from a given binary package. You can use this option multiple
times: directories will be tried in the same order before directories of
other binary packages.
.TP 
\fB\-I\fP\fIpackage\-build\-dir\fP
Ignore \fIpackage\-build\-dir\fP when looking for shlibs, symbols, and shared
library files (since dpkg 1.18.5).  You can use this option multiple times.
.TP 
\fB\-\-ignore\-missing\-info\fP
Do not fail if dependency information can't be found for a shared library
(since dpkg 1.14.8).  Usage of this option is discouraged, all libraries
should provide dependency information (either with shlibs files, or with
symbols files)  even if they are not yet used by other packages.
.TP 
\fB\-\-warnings=\fP\fIwartość\fP
\fIvalue\fP is a bit field defining the set of warnings that can be emitted by
\fBdpkg\-shlibdeps\fP (since dpkg 1.14.17).  Bit 0 (value=1) enables the warning
“symbol \fIsym\fP used by \fIbinary\fP found in none of the libraries”, bit 1
(value=2) enables the warning “package could avoid a useless dependency” and
bit 2 (value=4) enables the warning “\fIbinary\fP should not be linked against
\fIlibrary\fP”.  The default \fIvalue\fP is 3: the first two warnings are active
by default, the last one is not. Set \fIvalue\fP to 7 if you want all warnings
to be active.
.TP 
\fB\-\-admindir=\fP\fIkatalog\fP
Change the location of the \fBdpkg\fP database (since dpkg 1.14.0).  The
default location is \fI%ADMINDIR%\fP.
.TP 
\fB\-?\fP, \fB\-\-help\fP
Wyświetla informację o użytkowaniu i kończy działanie.
.TP 
\fB\-\-version\fP
Wyświetla informację o wersji i pomyślnie kończy działanie.
.
.SH ŚRODOWISKO
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.TP 
\fBDPKG_NLS\fP
If set, it will be used to decide whether to activate Native Language
Support, also known as internationalization (or i18n) support (since dpkg
1.19.0).  The accepted values are: \fB0\fP and \fB1\fP (default).
.
.SH DIAGNOSTYKA
.SS Warnings
Ponieważ \fBdpkg\-shlibdeps\fP analizuje zbiór symboli używanych przez każdy
plik binarny generowanego pakietu, jest w stanie wysyłać ostrzeżenia w
pewnych przypadkach. Informują one o rzeczach, które mogą być ulepszone w
pakiecie. W większości przypadków dotyczy to bezpośrednio oryginalnych
źródeł. Poniżej zebrane są ostrzeżenia na jakie można natrafić, w kolejności
malejącej ważności:
.TP 
\fBw żadnej z bibliotek nie znaleziono symbolu\fP\fI symb\fP\fB używanego przez \fP\fIplik_binarny\fP
Wskazany symbol nie został odnaleziony w żadnej z bibliotek, z którymi jest
linkowany plik binarny. Taki \fIplik_binarny\fP jest najpewniej biblioteką i
powinien być linkowany z dodatkową biblioteką podczas budowania pakietu
(opcja \fB\-l\fP\fIbiblioteka\fP linkera).
.TP 
\fIplik_binarny\fP\fB zawiera nierozwiązywalne odniesienie do symbolu \fP\fIsym\fP\fB: prawdopodobnie jest to wtyczka\fP
Wskazany symbol nie został odnaleziony w żadnej z bibliotek, z którymi jest
linkowany plik binarny. Taki \fIplik_binarny\fP jest najpewniej wtyczką i jest
prawdopodobnie dostarczany wraz z programem, który ładuję taką
wtyczkę. Teoretycznie wtyczka nie powinna mieć pola SONAME, jednak ten plik
binarny je posiada i nie można go zidentyfikować na tej podstawie. Fakt, iż
plik ten jest umieszczony w niepublicznym katalogu mocno wskazuje na to, że
nie jest on zwykłą biblioteką współdzieloną. Jeśli plik binarny rzeczywiście
jest wtyczką, można pominąć to ostrzeżenie. Jednak zawsze istnieje
możliwość, że jest to biblioteka i programy z nią linkowane używają RPATH,
aby dynamiczny loader był w stanie ją odnaleźć. W takim przypadku bibliotekę
można uznać za zepsutą i należy ją naprawić.
.TP 
\fBmożna by uniknąć zależności od \fP\fIbiblioteki\fP\fBjeżeli nie byłoby niepotrzebnego linkowania\fP \fIpliku\-binarnego\fP \fBz nią (nie jest używany żadny z tamtejszych symboli)\fP
Żaden z \fIplików_binarnych\fP, które są linkowane z \fIbiblioteką\fP nie używa
symboli przez nią udostępnianych. Poprawiając wszystkie pliki binarne można
uniknąć zależności związanych z tą biblioteką (chyba, że taka sama zależność
jest również generowana przez inną bibliotekę, która jest faktycznie
używana).
.TP 
\fBpackage could avoid a useless dependency if \fP\fIbinaries\fP\fB were not linked against \fP\fIlibrary\fP\fB (they use none of the library's symbols)\fP
Dokładnie to samo co powyżej, tylko dla kilku plików binarnych.
.TP 
\fIplik\-binarny\fP\fB nie powinien być linkowany z \fP\fIbiblioteką\fP\fB (nie są używane żadne z tamtejszych symboli).\fP
The \fIbinary\fP is linked to a library that it doesn't need. It's not a
problem but some small performance improvements in binary load time can be
obtained by not linking this library to this binary. This warning checks the
same information as the previous one but does it for each binary instead of
doing the check globally on all binaries analyzed.
.SS Errors
\fBdpkg\-shlibdeps\fP przerwie działanie z błędem jeśli nie będzie w stanie
znaleźć publicznej biblioteki używanej przez plik binarny, lub jeśli
biblioteka taka nie będzie mieć powiązanej informacji o zależnościach (pliku
shlibs lub pliku symboli). Publiczne biblioteki mają SONAME i są
wersjonowane (jak np. libsomething.so.\fIX\fP). Biblioteki prywatne (jak
np. wtyczki) nie powinny mieć SONAME i nie muszą być wersjonowane.
.TP 
\fBnie można znaleźć biblioteki \fP\fIsoname\-biblioteki\fP\fB potrzebnej dla \fP\fIpliku_binarnego\fP\fB (RPATH to "\fP\fIrpath\fP\fB")\fP
The \fIbinary\fP uses a library called \fIlibrary\-soname\fP but \fBdpkg\-shlibdeps\fP
has been unable to find the library.  \fBdpkg\-shlibdeps\fP creates a list of
directories to check as following: directories listed in the RPATH of the
binary, directories added by the \fB\-l\fP option, directories listed in the
\fBLD_LIBRARY_PATH\fP environment variable, cross multiarch directories
(ex. /lib/arm64\-linux\-gnu, /usr/lib/arm64\-linux\-gnu), standard public
directories (/lib, /usr/lib), directories listed in /etc/ld.so.conf, and
obsolete multilib directories (/lib32, /usr/lib32, /lib64, /usr/lib64).
Then it checks those directories in the package's build tree of the binary
being analyzed, in the packages' build trees indicated with the \fB\-S\fP
command\-line option, in other packages' build trees that contains a
DEBIAN/shlibs or DEBIAN/symbols file and finally in the root directory.  If
the library is not found in any of those directories, then you get this
error.

If the library not found is in a private directory of the same package, then
you want to add the directory with \fB\-l\fP. If it's in another binary package
being built, you want to make sure that the shlibs/symbols file of this
package is already created and that \fB\-l\fP contains the appropriate directory
if it also is in a private directory.
.TP 
\fBnie znaleziono informacji o zależnościach dla \fP\fIplik\-biblioteki\fP\fB (używanego przez \fP\fIplik\-binarny\fP\fB).\fP
The library needed by \fIbinary\fP has been found by \fBdpkg\-shlibdeps\fP in
\fIlibrary\-file\fP but \fBdpkg\-shlibdeps\fP has been unable to find any dependency
information for that library. To find out the dependency, it has tried to
map the library to a Debian package with the help of \fBdpkg \-S
\fP\fIlibrary\-file\fP.  Then it checked the corresponding shlibs and symbols
files in %ADMINDIR%/info/, and in the various package's build trees
(debian/*/DEBIAN/).

To niepowodzenie może być spowodowane przez niepoprawny lub nieistniejący
plik shlibs lub plik symboli w pakiecie biblioteki. Może się również zdarzyć
jeśli biblioteka jest budowana wewnątrz tego samego pakietu źródłowego, a
pliki shlibs jeszcze nie zostały stworzone (w takim przypadku należy
poprawić debian/rules aby shlibs były tworzone przed wywołaniem
\fBdpkg\-shlibdeps\fP). Niewłaściwa wartość RPATH może również powodować, że
biblioteka zostanie odnaleziona pod nietypową nazwą, która nie jest związana
z żadnym pakietem (np. /usr/lib/openoffice.org/../lib/libssl.so.0.9.8
zamiast /usr/lib/libssl.so.0.9.8). \fBdpkg\-shlibdeps\fP próbuje poradzić sobie
z tym starając się odczytać nazwę kanoniczną (z użyciem \fBrealpath\fP(3)) ale
może to nie zawsze zadziałać. Aby uniknąć problemów, najlepiej jest zawsze
doprowadzić do porządku RPATH pliku binarnego.

Calling \fBdpkg\-shlibdeps\fP in verbose mode (\fB\-v\fP) will provide much more
information about where it tried to find the dependency information. This
might be useful if you don't understand why it's giving you this error.
.SH "ZOBACZ TAKŻE"
\fBdeb\-shlibs\fP(5), \fBdeb\-symbols\fP(5), \fBdpkg\-gensymbols\fP(1).
