.\" dpkg manual page - dpkg-source(1)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006-2007 Frank Lichtenheld <djpig@debian.org>
.\" Copyright © 2006-2015 Guillem Jover <guillem@debian.org>
.\" Copyright © 2008-2011 Raphaël Hertzog <hertzog@debian.org>
.\" Copyright © 2010 Joey Hess <joeyh@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-source 1 %RELEASE_DATE% %VERSION% "użytki dpkg"
.ad l
.nh
.SH NAZWA
dpkg\-source \- narzędzia do zarządzania źródłowymi pakietami Debiana (.dsc)
.
.SH SKŁADNIA
\fBdpkg\-source\fP [\fIopcja\fP...] \fIpolecenie\fP
.
.SH OPIS
\fBdpkg\-source\fP tworzy i rozpakowuje źródłowe archiwa (pakiety) Debiana.

Żadne z tych poleceń nie pozwala na łączenie wielu opcji w jedną, nie
pozwalają również na podawanie wartości opcji jako oddzielnego parametru.
.
.SH POLECENIA
.TP 
\fB\-x\fP, \fB\-\-extract\fP \fIfilename\fP.dsc [\fIoutput\-directory\fP]
Extract a source package (\fB\-\-extract\fP since dpkg 1.17.14).  One non\-option
argument must be supplied, the name of the Debian source control file
(\fB.dsc\fP).  An optional second non\-option argument may be supplied to
specify the directory to extract the source package to, this must not
exist. If no output directory is specified, the source package is extracted
into a directory named \fIsource\fP\-\fIversion\fP under the current working
directory.

\fBdpkg\-source\fP odczyta nazwy innych plików tworzących pakiet źródłowy z
pliku kontrolnego; zakładane jest, że są one w tym samym katalogu co
\&\fB.dsc\fP.

Pliki w rozpakowanym pakiecie będą mieć uprawnienia i właściciela zgodnie z
typowymi, oczekiwanymi wartościami jak przy zwykłym tworzeniu plików i
katalogów \- katalogi i pliki wykonywalne będą mieć prawa 0777, zaś zwykłe
pliki będą mieć prawa 0666 (w obu przypadkach modyfikowane przez umask
rozpakowującego). Ponadto jeśli katalog nadrzędny ma ustawiony bit setgid,
rozpakowane katalogi także będą go mieć, zaś wszystkie pliki i katalogi
przejmą ustawienia grupy katalogu nadrzędnego.

If the source package uses a non\-standard format (currently this means all
formats except “1.0”), its name will be stored in \fBdebian/source/format\fP so
that the following builds of the source package use the same format by
default.

.TP 
\fB\-b\fP, \fB\-\-build\fP \fIdirectory\fP [\fIformat\-specific\-parameters\fP]
Build a source package (\fB\-\-build\fP since dpkg 1.17.14).  The first
non\-option argument is taken as the name of the directory containing the
debianized source tree (i.e. with a debian sub\-directory and maybe changes
to the original files).  Depending on the source package format used to
build the package, additional parameters might be accepted.

\fBdpkg\-source\fP will build the source package with the first format found in
this ordered list: the format indicated with the \fI\-\-format\fP command line
option, the format indicated in \fBdebian/source/format\fP, “1.0”.  The
fallback to “1.0” is deprecated and will be removed at some point in the
future, you should always document the desired source format in
\fBdebian/source/format\fP. See section \fBSOURCE PACKAGE FORMATS\fP for an
extensive description of the various source package formats.

.TP 
\fB\-\-print\-format\fP \fIkatalog\fP
Print the source format that would be used to build the source package if
\fBdpkg\-source \-\-build \fP\fIdirectory\fP was called (in the same conditions and
with the same parameters; since dpkg 1.15.5).

.TP 
\fB\-\-before\-build\fP \fIkatalog\fP
Run the corresponding hook of the source package format (since dpkg
1.15.8).  This hook is called before any build of the package
(\fBdpkg\-buildpackage\fP calls it very early even before \fBdebian/rules
clean\fP). This command is idempotent and can be called multiple times. Not
all source formats implement something in this hook, and those that do
usually prepare the source tree for the build for example by ensuring that
the Debian patches are applied.

.TP 
\fB\-\-after\-build\fP \fIkatalog\fP
Run the corresponding hook of the source package format (since dpkg
1.15.8).  This hook is called after any build of the package
(\fBdpkg\-buildpackage\fP calls it last). This command is idempotent and can be
called multiple times. Not all source formats implement something in this
hook, and those that do usually use it to undo what \fB\-\-before\-build\fP has
done.

.TP 
\fB\-\-commit\fP [\fIkatalog\fP] ...
Record changes in the source tree unpacked in \fIdirectory\fP (since dpkg
1.16.1).  This command can take supplementary parameters depending on the
source format.  It will error out for formats where this operation doesn't
mean anything.

.TP 
\fB\-?\fP, \fB\-\-help\fP
Show the usage message and exit.  The format specific build and extract
options can be shown by using the \fB\-\-format\fP option.
.TP 
\fB\-\-version\fP
Wyświetla informację o wersji i pomyślnie kończy działanie.
.
.SH OPCJE
.SS "Generic build options"
.TP 
\fB\-c\fP\fIplik\-kontrolny\fP
Określa główny plik kontrolny źródeł, z którego będą czytane
informacje. Domyślnie jest to \fBdebian/control\fP. Jeśli podano względną
ścieżkę, to jest ona interpretowana od najwyższego poziomu katalogu drzewa
ze źródłami.
.TP 
\fB\-l\fP\fIplik\-dziennika\-zmian\fP
Określa dziennik zmian, z którego będą czytane informacje. Domyślnie jest to
\fBdebian/changelog\fP. Jeśli podano względną ścieżkę, to jest ona
interpretowana od najwyższego poziomu katalogu drzewa ze źródłami.
.TP 
\fB\-F\fP\fIformat\-dziennika\-zmian\fP
Określa format dziennika zmian. Więcej informacji o alternatywnych formatach
można znaleźć w \fBdpkg\-parsechangelog\fP(1).
.TP 
\fB\-\-format=\fP\fIwartość\fP
Use the given format for building the source package (since dpkg 1.14.17).
It does override any format given in \fBdebian/source/format\fP.
.TP 
\fB\-V\fP\fInazwa\fP\fB=\fP\fIwartość\fP
Ustawia zmienną podstawienia wyjścia. Szczegółowy opis podstawiania
zmiennych wyjściowych znajduje się w \fBdeb\-substvars\fP(5).
.TP 
\fB\-T\fP\fIplik\-zmiennych\-podst\fP
Read substitution variables in \fIsubstvars\-file\fP; the default is to not read
any file. This option can be used multiple times to read substitution
variables from multiple files (since dpkg 1.15.6).
.TP 
\fB\-D\fP\fIpole\fP\fB=\fP\fIwartość\fP
Nadpisuje lub dodaje wyjściowe pole pliku kontrolnego.
.TP 
\fB\-U\fP\fIpole\fP
Usuwa wyjściowe pole pliku kontrolnego.
.TP 
\fB\-Z\fP\fIkompresja\fP, \fB\-\-compression\fP=\fIkompresja\fP
Specify the compression to use for created tarballs and diff files
(\fB\-\-compression\fP since dpkg 1.15.5).  Note that this option will not cause
existing tarballs to be recompressed, it only affects new files. Supported
values are: \fIgzip\fP, \fIbzip2\fP, \fIlzma\fP and \fIxz\fP.  The default is \fIxz\fP for
formats 2.0 and newer, and \fIgzip\fP for format 1.0. \fIxz\fP is only supported
since dpkg 1.15.5.
.TP 
\fB\-z\fP\fIpoziom\fP, \fB\-\-compression\-level\fP=\fIpoziom\fP
Compression level to use (\fB\-\-compression\-level\fP since dpkg 1.15.5).  As
with \fB\-Z\fP it only affects newly created files. Supported values are: \fI1\fP
to \fI9\fP, \fIbest\fP, and \fIfast\fP.  The default is \fI9\fP for gzip and bzip2, \fI6\fP
for xz and lzma.
.TP 
\fB\-i\fP[\fIregex\fP], \fB\-\-diff\-ignore\fP[=\fIregex\fP]
You may specify a perl regular expression to match files you want filtered
out of the list of files for the diff (\fB\-\-diff\-ignore\fP since dpkg 1.15.6).
(This list is generated by a find command.) (If the source package is being
built as a version 3 source package using a VCS, this can be used to ignore
uncommitted changes on specific files. Using \-i.* will ignore all of them.)

The \fB\-i\fP option by itself enables this setting with a default regex
(preserving any modification to the default regex done by a previous use of
\fB\-\-extend\-diff\-ignore\fP) that will filter out control files and directories
of the most common revision control systems, backup and swap files and
Libtool build output directories. There can only be one active regex, of
multiple \fB\-i\fP options only the last one will take effect.

This is very helpful in cutting out extraneous files that get included in
the diff, e.g. if you maintain your source in a revision control system and
want to use a checkout to build a source package without including the
additional files and directories that it will usually contain (e.g. CVS/,
\&.cvsignore, .svn/). The default regex is already very exhaustive, but if you
need to replace it, please note that by default it can match any part of a
path, so if you want to match the begin of a filename or only full
filenames, you will need to provide the necessary anchors (e.g. ‘(^|/)’,
‘($|/)’) yourself.
.TP 
\fB\-\-extend\-diff\-ignore\fP=\fIregex\fP
The perl regular expression specified will extend the default value used by
\fB\-\-diff\-ignore\fP and its current value, if set (since dpkg 1.15.6).  It does
this by concatenating “\fB|\fP\fIregex\fP” to the existing value.  This option is
convenient to use in \fBdebian/source/options\fP to exclude some auto\-generated
files from the automatic patch generation.
.TP 
\fB\-I\fP[\fIwzorzec\-pliku\fP], \fB\-\-tar\-ignore\fP[=\fIwzorzec\-pliku\fP]
If this option is specified, the pattern will be passed to \fBtar\fP(1)'s
\fB\-\-exclude\fP option when it is called to generate a .orig.tar or .tar file
(\fB\-\-tar\-ignore\fP since dpkg 1.15.6).  For example, \fB\-I\fPCVS will make tar
skip over CVS directories when generating a .tar.gz file. The option may be
repeated multiple times to list multiple patterns to exclude.

\fB\-I\fP by itself adds default \fB\-\-exclude\fP options that will filter out
control files and directories of the most common revision control systems,
backup and swap files and Libtool build output directories.
.PP
\fBNote:\fP While they have similar purposes, \fB\-i\fP and \fB\-I\fP have very
different syntax and semantics. \fB\-i\fP can only be specified once and takes a
perl compatible regular expression which is matched against the full
relative path of each file. \fB\-I\fP can specified multiple times and takes a
filename pattern with shell wildcards.  The pattern is applied to the full
relative path but also to each part of the path individually. The exact
semantic of tar's \fB\-\-exclude\fP option is somewhat complicated, see
https://www.gnu.org/software/tar/manual/tar.html#wildcards for a full
documentation.

The default regex and patterns for both options can be seen in the output of
the \fB\-\-help\fP command.
.SS "Generic extract options"
.TP 
\fB\-\-no\-copy\fP
Do not copy original tarballs near the extracted source package (since dpkg
1.14.17).
.TP 
\fB\-\-no\-check\fP
Do not check signatures and checksums before unpacking (since dpkg 1.14.17).
.TP 
\fB\-\-no\-overwrite\-dir\fP
Do not overwrite the extraction directory if it already exists (since dpkg
1.18.8).
.TP 
\fB\-\-require\-valid\-signature\fP
Refuse to unpack the source package if it doesn't contain an OpenPGP
signature that can be verified (since dpkg 1.15.0) either with the user's
\fItrustedkeys.gpg\fP keyring, one of the vendor\-specific keyrings, or one of
the official Debian keyrings (\fI/usr/share/keyrings/debian\-keyring.gpg\fP and
\fI/usr/share/keyrings/debian\-maintainers.gpg\fP).
.TP 
\fB\-\-require\-strong\-checksums\fP
Refuse to unpack the source package if it does not contain any strong
checksums (since dpkg 1.18.7).  Currently the only known checksum considered
strong is \fBSHA\-256\fP.
.TP 
\fB\-\-ignore\-bad\-version\fP
Turns the bad source package version check into a non\-fatal warning (since
dpkg 1.17.7).  This option should only be necessary when extracting ancient
source packages with broken versions, just for backwards compatibility.

.SH "FORMATY PAKIETÓW ŹRÓDŁOWYCH"
If you don't know what source format to use, you should probably pick either
“3.0 (quilt)” or “3.0 (native)”.  See
https://wiki.debian.org/Projects/DebSrc3.0 for information on the deployment
of those formats within Debian.

.SS "Format: 1.0"
A source package in this format consists either of a \fB.orig.tar.gz\fP
associated to a \fB.diff.gz\fP or a single \fB.tar.gz\fP (in that case the package
is said to be \fInative\fP).  Optionally the original tarball might be
accompanied by a detached upstream signature \fB.orig.tar.gz.asc\fP, extraction
supported since dpkg 1.18.5.

\fBRozpakowywanie\fP

Rozpakowanie pakietu natywnego to proste rozpakowanie pojedynczego pliku
archiwum w katalogu docelowym. Rozpakowanie pakietu w stylu Debiana
(non\-native) odbywa się poprzez najpierw rozpakowanie pliku \fB.orig.tar.gz\fP
a następnie nałożenia łatek zawartych w pliku \fB.diff.gz\fP. Czasy modyfikacji
wszystkich łatanych plików są ustawiane na wartość odpowiadającą czasowi
rozpakowania pakietu źródłowego (zapobiega to przesunięciom czasów, które
prowadzą do problemów przy łataniu plików generowanych automatycznie). Plik
różnic (diff) może tworzyć nowe pliki (cały katalog "debian" jest tak
tworzony), ale nie może usuwać plików (pozostawiane są puste pliki o zerowej
długości).

\fBBudowanie\fP

Building a native package is just creating a single tarball with the source
directory. Building a non\-native package involves extracting the original
tarball in a separate “.orig” directory and regenerating the \fB.diff.gz\fP by
comparing the source package \fIdirectory\fP with the .orig directory.

\fBBuild options (with \-\-build):\fP

If a second non\-option argument is supplied it should be the name of the
original source directory or tarfile or the empty string if the package is a
Debian\-specific one and so has no debianization diffs. If no second argument
is supplied then \fBdpkg\-source\fP will look for the original source tarfile
\fIpackage\fP\fB_\fP\fIupstream\-version\fP\fB.orig.tar.gz\fP or the original source
directory \fIdirectory\fP\fB.orig\fP depending on the \fB\-sX\fP arguments.

\fB\-sa\fP, \fB\-sp\fP, \fB\-sk\fP, \fB\-su\fP oraz \fB\-sr\fP nie nadpiszą istniejących
archiwów tar lub katalogów. Jeśli jest to wymagane, należy użyć \fB\-sA\fP,
\fB\-sP\fP, \fB\-sK\fP, \fB\-sU\fP i \fB\-sR\fP.
.PP
.TP 
\fB\-sk\fP
Określa, że należy spodziewać się oryginalnych źródeł w postaci archiwum
tar, domyślnie
\fIpakiet\fP\fB_\fP\fIwersja\-autora\-pakietu\fP\fB.orig.tar.\fP\fIrozszerzenie\fP.
Pozostawia oryginalne źródła w tym samym miejscu jako plik tar lub kopiuje
je do bieżącego katalogu jeśli jeszcze ich tam nie ma. Archiwum będzie
rozpakowane do \fIkatalogu\fP\fB.orig\fP w celu utworzenia pliku różnic (diff).
.TP 
\fB\-sp\fP
Jak \fB\-sk\fP, ale ponownie usunie katalog po zakończeniu.
.TP 
\fB\-su\fP
Określa, że należy spodziewać się oryginalnych źródeł w postaci katalogu,
domyślnie \fIpakiet\fP\fB\-\fP\fIwersja\-autora\-pakietu\fP\fB.orig\fP, na podstawie
którego \fBdpkg\-source\fP utworzy nowe archiwum oryginalnych źródeł.
.TP 
\fB\-sr\fP
Jak \fB\-su\fP, jednakże usunie katalog po jego użyciu.
.TP 
\fB\-ss\fP
Specifies that the original source is available both as a directory and as a
tarfile. \fBdpkg\-source\fP will use the directory to create the diff, but the
tarfile to create the \fB.dsc\fP.  This option must be used with care \- if the
directory and tarfile do not match a bad source archive will be generated.
.TP 
\fB\-sn\fP
Określa aby nie szukać żadnych oryginalnych źródeł, ani nie generować pliku
różnic. Jeśli jest podany drugi argument, musi on być pustym ciągiem
znaków. Jest to używane dla pakietów specyficznych dla Debiana, które nie
mają oddzielnych źródeł i w związku z tym nie mają debianizujących plików
różnic (diff).
.TP 
\fB\-sa\fP lub \fB\-sA\fP
Specifies to look for the original source archive as a tarfile or as a
directory \- the second argument, if any, may be either, or the empty string
(this is equivalent to using \fB\-sn\fP).  If a tarfile is found it will unpack
it to create the diff and remove it afterwards (this is equivalent to
\fB\-sp\fP); if a directory is found it will pack it to create the original
source and remove it afterwards (this is equivalent to \fB\-sr\fP); if neither
is found it will assume that the package has no debianization diffs, only a
straightforward source archive (this is equivalent to \fB\-sn\fP).  If both are
found then \fBdpkg\-source\fP will ignore the directory, overwriting it, if
\fB\-sA\fP was specified (this is equivalent to \fB\-sP\fP)  or raise an error if
\fB\-sa\fP was specified.  \fB\-sa\fP is the default.
.TP 
\fB\-\-abort\-on\-upstream\-changes\fP
The process fails if the generated diff contains changes to files outside of
the debian sub\-directory (since dpkg 1.15.8).  This option is not allowed in
\fBdebian/source/options\fP but can be used in \fBdebian/source/local\-options\fP.
.PP

\fBExtract options (with \-\-extract):\fP

We wszystkich przypadkach, istniejące oryginalne drzewo ze źródłami będzie
usunięte.
.TP 
\fB\-sp\fP
Jeśli zostanie użyta przy wypakowywaniu, wtedy oryginalne źródła (jeśli są)
pozostaną w formie archiwum tar. Jeśli archiwum nie ma jeszcze w bieżącym
katalogu, lub gdy istnieje ale jest to inny plik, zostanie tam
skopiowane. (\fBJest to zachowanie domyślne\fP).
.TP 
\fB\-su\fP
Rozpakowuje oryginalne drzewo źródeł programu.
.TP 
\fB\-sn\fP
Zapewnia, że oryginalne źródła nie będą kopiowane do bieżącego katalogu ani
rozpakowywane. We wszystkich przypadkach, istniejący katalog ze źródłami
będzie usunięty z bieżącego katalogu.
.PP
Wszystkie spośród opcji \fB\-s\fP\fI\-X\fP się wzajemnie wykluczają. Jeśli zostanie
podana więcej niż jedna, to zostanie użyta ostatnia z nich.
.TP 
\fB\-\-skip\-debianization\fP
Skips application of the debian diff on top of the upstream sources (since
dpkg 1.15.1).
.
.SS "Format: 2.0"
Extraction supported since dpkg 1.13.9, building supported since dpkg
1.14.8.  Also known as wig&pen. This format is not recommended for
wide\-spread usage, the format “3.0 (quilt)” replaces it.  Wig&pen was the
first specification of a new\-generation source package format.

The behaviour of this format is the same as the “3.0 (quilt)” format except
that it doesn't use an explicit list of patches. All files in
\fBdebian/patches/\fP matching the perl regular expression \fB[\ew\-]+\fP must be
valid patches: they are applied at extraction time.

Podczas budowania nowego pakietu źródłowego, wszystkie zmiany w stosunku do
kodu źródłowego pochodzącego od autorów programu są zapisywane w łatce o
nazwie \fBzz_debian\-diff\-auto\fP.
.
.SS "Format: 3.0 (native)"
Supported since dpkg 1.14.17.  This format is an extension of the native
package format as defined in the 1.0 format. It supports all compression
methods and will ignore by default any VCS specific files and directories as
well as many temporary files (see default value associated to \fB\-I\fP option
in the \fB\-\-help\fP output).
.
.SS "Format: 3.0 (quilt)"
Supported since dpkg 1.14.17.  A source package in this format contains at
least an original tarball (\fB.orig.tar.\fP\fIext\fP where \fIext\fP can be \fBgz\fP,
\fBbz2\fP, \fBlzma\fP and \fBxz\fP) and a debian tarball (\fB.debian.tar.\fP\fIext\fP). It
can also contain additional original tarballs
(\fB.orig\-\fP\fIcomponent\fP\fB.tar.\fP\fIext\fP).  \fIcomponent\fP can only contain
alphanumeric (‘a\-zA\-Z0\-9’) characters and hyphens (‘\-’).  Optionally each
original tarball can be accompanied by a detached upstream signature
(\fB.orig.tar.\fP\fIext\fP\fB.asc\fP and \fB.orig\-\fP\fIcomponent\fP\fB.tar.\fP\fIext\fP\fB.asc\fP),
extraction supported since dpkg 1.17.20, building supported since dpkg
1.18.5.

.PP
\fBRozpakowywanie\fP
.PP
Najpierw rozpakowywane jest główne oryginalne archiwum tar, następnie
rozpakowywane są dodatkowe oryginalne archiwa tar do podkatalogów nazwanych
od części \fIkomponent\fP z ich nazwy pliku (istniejące katalogi o takich
nazwach są zamieniane). Na końcu rozpakowywane jest archiwum debian, po
uprzednim usunięciu katalogu \fBdebian\fP (jeśli taki istniał). Należy
zauważyć, że archiwum debian musi zawierać podkatalog \fBdebian\fP, ale może
również zawierać pliki binarne poza tym katalogiem (proszę sprawdzić opcję
\fB\-\-include\-binaries\fP).
.PP
All patches listed in \fBdebian/patches/\fP\fIvendor\fP\fB.series\fP or
\fBdebian/patches/series\fP are then applied, where \fIvendor\fP will be the
lowercase name of the current vendor, or \fBdebian\fP if there is no vendor
defined.  If the former file is used and the latter one doesn't exist (or is
a symlink), then the latter is replaced with a symlink to the former.  This
is meant to simplify usage of \fBquilt\fP to manage the set of patches.
Vendor\-specific series files are intended to make it possible to serialize
multiple development branches based on the vendor, in a declarative way, in
preference to open\-coding this handling in \fBdebian/rules\fP.  This is
particularly useful when the source would need to be patched conditionally
because the affected files do not have built\-in conditional occlusion
support.  Note however that while \fBdpkg\-source\fP parses correctly series
files with explicit options used for patch application (stored on each line
after the patch filename and one or more spaces), it does ignore those
options and always expect patches that can be applied with the \fB\-p1\fP option
of \fBpatch\fP. It will thus emit a warning when it encounters such options,
and the build is likely to fail.
.PP
Note that \fBlintian\fP(1) will emit unconditional warnings when using vendor
series due to a controversial Debian specific ruling, which should not
affect any external usage; to silence these, the dpkg lintian profile can be
used by passing «\fB\-\-profile dpkg\fP» to \fBlintian\fP(1).
.PP
The timestamp of all patched files is reset to the extraction time of the
source package (this avoids timestamp skews leading to problems when
autogenerated files are patched).
.PP
Contrary to \fBquilt\fP's default behaviour, patches are expected to apply
without any fuzz. When that is not the case, you should refresh such patches
with \fBquilt\fP, or \fBdpkg\-source\fP will error out while trying to apply them.
.PP
Similarly to \fBquilt\fP's default behaviour, the patches can remove files too.
.PP
Jeśli podczas rozpakowywania zostały nałożone jakieś łatki, tworzony jest
plik \fB.pc/applied\-patches\fP.
.PP
\fBBudowanie\fP
.PP
All original tarballs found in the current directory are extracted in a
temporary directory by following the same logic as for the unpack, the
debian directory is copied over in the temporary directory, and all patches
except the automatic patch (\fBdebian\-changes\-\fP\fIversion\fP or
\fBdebian\-changes\fP, depending on \fB\-\-single\-debian\-patch\fP) are applied. The
temporary directory is compared to the source package directory. When the
diff is non\-empty, the build fails unless \fB\-\-single\-debian\-patch\fP or
\fB\-\-auto\-commit\fP has been used, in which case the diff is stored in the
automatic patch.  If the automatic patch is created/deleted, it's
added/removed from the series file and from the \fBquilt\fP metadata.

Żadne zmiany w jakimkolwiek pliku binarnym nie mogą być odwzorowane w pliku
zmian, co doprowadzi do niepowodzenia \- chyba, że opiekun pakietu rozmyślnie
zdecydował o włączeniu tak zmodyfikowanego pliku binarnego do archiwum
debian (wskazując go w \fBdebian/source/include\-binaries\fP). Proces budowania
nie powiedzie się także jeśli zostaną znalezione pliki binarne w podkatalogu
debian, chyba że zostały one uprzednio wymienione w
\fBdebian/source/include\-binaries\fP.

Zaktualizowany katalog debian oraz lista zmodyfikowanych plików binarnych są
następnie używane do powtórnego wygenerowania archiwum debian.

The automatically generated diff doesn't include changes on VCS specific
files as well as many temporary files (see default value associated to \fB\-i\fP
option in the \fB\-\-help\fP output). In particular, the \fB.pc\fP directory used by
\fBquilt\fP is ignored during generation of the automatic patch.

Note: \fBdpkg\-source\fP \fB\-\-before\-build\fP (and \fB\-\-build\fP) will ensure that all
patches listed in the series file are applied so that a package build always
has all patches applied. It does this by finding unapplied patches (they are
listed in the \fBseries\fP file but not in \fB.pc/applied\-patches\fP), and if the
first patch in that set can be applied without errors, it will apply them
all. The option \fB\-\-no\-preparation\fP can be used to disable this behavior.

.PP
\fBZapisywanie zmian\fP
.TP 
\fB\-\-commit\fP [\fIkatalog\fP] [\fInazwa\-łatki\fP] [\fIplik\-łatki\fP]
Generates a patch corresponding to the local changes that are not managed by
the \fBquilt\fP patch system and integrates it in the patch system under the
name \fIpatch\-name\fP. If the name is missing, it will be asked
interactively. If \fIpatch\-file\fP is given, it is used as the patch
corresponding to the local changes to integrate. Once integrated, an editor
is launched so that you can edit the meta\-information in the patch header.

Podanie \fIpliku\-łatki\fP jest przydatne głównie po nieudanym budowaniu, które
pre\-wygenerowało ten plik i na tej podstawie podany plik jest usuwany po
integracji. Proszę zauważyć, że zmiany zawarte w pliku łatki muszą być już
zaaplikowane w drzewie i że pliki zmodyfikowane przez łatkę nie mogą
zawierać uzupełniających, niezapisanych zmian.

If the patch generation detects modified binary files, they will be
automatically added to \fBdebian/source/include\-binaries\fP so that they end up
in the debian tarball (exactly like \fBdpkg\-source \-\-include\-binaries
\-\-build\fP would do).
.PP
\fBOpcje budowania\fP
.TP 
\fB\-\-allow\-version\-of\-quilt\-db=\fP\fIwersja\fP
Allow \fBdpkg\-source\fP to build the source package if the version of the
\fBquilt\fP metadata is the one specified, even if \fBdpkg\-source\fP doesn't know
about it (since dpkg 1.15.5.4).  Effectively this says that the given
version of the \fBquilt\fP metadata is compatible with the version 2 that
\fBdpkg\-source\fP currently supports. The version of the \fBquilt\fP metadata is
stored in \fB.pc/.version\fP.
.TP 
\fB\-\-include\-removal\fP
Usunięte pliki nie będą ignorowane, ale będą włączone do automatycznie
generowanej łatki.
.TP 
\fB\-\-include\-timestamp\fP
Włączenie czasu modyfikacji w automatycznie generowanej łatce.
.TP 
\fB\-\-include\-binaries\fP
Dodanie wszystkich zmodyfikowanych plików binarnych do archiwum debian. Są
one również dodawane do \fBdebian/source/include\-binaries\fP: dzięki temu będą
domyślnie dodawane przy następnych budowach pakietu, zaś ta opcja nie będzie
już więcej potrzebna.
.TP 
\fB\-\-no\-preparation\fP
Do not try to prepare the build tree by applying patches which are
apparently unapplied (since dpkg 1.14.18).
.TP 
\fB\-\-single\-debian\-patch\fP
Use \fBdebian/patches/debian\-changes\fP instead of
\fBdebian/patches/debian\-changes\-\fP\fIversion\fP for the name of the automatic
patch generated during build (since dpkg 1.15.5.4).  This option is
particularly useful when the package is maintained in a VCS and a patch set
can't reliably be generated. Instead the current diff with upstream should
be stored in a single patch. The option would be put in
\fBdebian/source/local\-options\fP and would be accompanied by a
\fBdebian/source/local\-patch\-header\fP file explaining how the Debian changes
can be best reviewed, for example in the VCS that is used.
.TP 
\fB\-\-create\-empty\-orig\fP
Automatically create the main original tarball as empty if it's missing and
if there are supplementary original tarballs (since dpkg 1.15.6).  This
option is meant to be used when the source package is just a bundle of
multiple upstream software and where there's no “main” software.
.TP 
\fB\-\-no\-unapply\-patches, \-\-unapply\-patches\fP
By default, \fBdpkg\-source\fP will automatically unapply the patches in the
\fB\-\-after\-build\fP hook if it did apply them during \fB\-\-before\-build\fP
(\fB\-\-unapply\-patches\fP since dpkg 1.15.8, \fB\-\-no\-unapply\-patches\fP since dpkg
1.16.5).  Those options allow you to forcefully disable or enable the patch
unapplication process. Those options are only allowed in
\fBdebian/source/local\-options\fP so that all generated source packages have
the same behavior by default.
.TP 
\fB\-\-abort\-on\-upstream\-changes\fP
The process fails if an automatic patch has been generated (since dpkg
1.15.8).  This option can be used to ensure that all changes were properly
recorded in separate \fBquilt\fP patches prior to the source package
build. This option is not allowed in \fBdebian/source/options\fP but can be
used in \fBdebian/source/local\-options\fP.
.TP 
\fB\-\-auto\-commit\fP
The process doesn't fail if an automatic patch has been generated, instead
it's immediately recorded in the \fBquilt\fP series.

.PP
\fBOpcje rozpakowywania\fP
.TP 
\fB\-\-skip\-debianization\fP
Skips extraction of the debian tarball on top of the upstream sources (since
dpkg 1.15.1).
.TP 
\fB\-\-skip\-patches\fP
Do not apply patches at the end of the extraction (since dpkg 1.14.18).
.
.SS "Format: 3.0 (custom)"
Supported since dpkg 1.14.17.  This format is special.  It doesn't represent
a real source package format but can be used to create source packages with
arbitrary files.
.PP
\fBOpcje budowania\fP
.PP
Wszystkie argumenty nie będące opcjami są uważane za pliki, które mają być
zintegrowane z generowanym pakietem źródłowym. Pliki te muszą istnieć i
najlepiej powinny być w bieżącym katalogu. Musi być podany przynajmniej
jeden plik.
.TP 
\fB\-\-target\-format=\fP\fIwartość\fP
\fBRequired\fP. Defines the real format of the generated source package.  The
generated .dsc file will contain this value in its \fBFormat\fP field and not
“3.0 (custom)”.
.
.SS "Format: 3.0 (git)"
Supported since dpkg 1.14.17.  This format is experimental.
.PP
Pakiet źródłowy w tym formacie składa się z pojedynczej kopii repozytorium
git \fB.git\fP, przechowującego źródła pakietu. Może zawierać również plik
\&\fB.gitshallow\fP, wypisujący wersje do płytkiej kopii gita.
.PP
\fBRozpakowywanie\fP
.PP
The bundle is cloned as a git repository to the target directory.  If there
is a gitshallow file, it is installed as \fI.git/shallow\fP inside the cloned
git repository.
.PP
Note that by default the new repository will have the same branch checked
out that was checked out in the original source.  (Typically “master”, but
it could be anything.)  Any other branches will be available under
\fIremotes/origin/\fP.
.PP
\fBBudowanie\fP
.PP
Nie zagłębiając się dalej, wykonywane są pewne testy aby upewnić się, czy
nie ma żadnych niezatwierdzonych zmian, które nie są ignorowane.
.PP
\fBgit\-bundle\fP(1) jest używany do utworzenia kopii repozytorium
git. Domyślnie dołączane są wszystkie gałęzie i tagi.
.PP
\fBOpcje budowania\fP
.TP 
\fB\-\-git\-ref=\fP\fIodniesienie\fP
Allows specifying a git ref to include in the git bundle. Use disables the
default behavior of including all branches and tags. May be specified
multiple times. The \fIref\fP can be the name of a branch or tag to include. It
may also be any parameter that can be passed to \fBgit\-rev\-list\fP(1). For
example, to include only the master branch, use \fB\-\-git\-ref=\fPmaster. To
include all tags and branches, except for the private branch, use
\fB\-\-git\-ref=\fP\-\-all \fB\-\-git\-ref=\fP^private
.TP 
\fB\-\-git\-depth=\fP\fIliczba\fP
Tworzy płytką kopię (ang. shallow clone) z historią ograniczoną do podanej
liczby wersji.
.SS "Format: 3.0 (bzr)"
Supported since dpkg 1.14.17.  This format is experimental.  It generates a
single tarball containing the bzr repository.
.PP
\fBRozpakowywanie\fP
.PP
Archiwum tar jest rozpakowywane i używany jest bzr aby pobrać aktualną gałąź
kodu.
.PP
\fBBudowanie\fP
.PP
Nie zagłębiając się dalej, wykonywane są pewne testy aby upewnić się, czy
nie ma żadnych niezatwierdzonych zmian, które nie są ignorowane.
.PP
Następnie część katalogu źródeł specyficzna dla systemu kontroli wersji jest
kopiowana do katalogu tymczasowego. Przed tym katalog tymczasowy jest
pakowany do archiwum tar i wykonywane są różne czynności porządkowe, aby
zaoszczędzić miejsce.
.SH DIAGNOSTYKA
.SS "w debian/source/format nie podano formatu źródeł,"
The file \fBdebian/source/format\fP should always exist and indicate the
desired source format. For backwards compatibility, format “1.0” is assumed
when the file doesn't exist but you should not rely on this: at some point
in the future \fBdpkg\-source\fP will be modified to fail when that file doesn't
exist.

The rationale is that format “1.0” is no longer the recommended format, you
should usually pick one of the newer formats (“3.0 (quilt)”, “3.0 (native)”)
but \fBdpkg\-source\fP will not do this automatically for you.  If you want to
continue using the old format, you should be explicit about it and put “1.0”
in \fBdebian/source/format\fP.
.SS "łatka modyfikuje następujące pliki macierzyste"
When using source format “1.0” it is usually a bad idea to modify upstream
files directly as the changes end up hidden and mostly undocumented in the
\&.diff.gz file. Instead you should store your changes as patches in the
debian directory and apply them at build\-time. To avoid this complexity you
can also use the format “3.0 (quilt)” that offers this natively.
.SS "niereprezentowalna zmiana w \fIpliku\fP"
Zmiany w źródłach macierzystych są zwykle przechowywane w postaci łatek,
lecz nie wszystkie zmiany mogą być tak reprezentowane: łatki mogą zmieniać
zawartość jedynie plików tekstowym. Jeśli próbuje się zastąpić plik czymś
innego typu (np. zastąpić czysty plik dowiązaniem symbolicznym lub
katalogiem), otrzyma się ten komunikat o błędzie.
.SS "nowo utworzony pusty plik \fIplik\fP nie będzie dołączony do pliku łatki"
Puste pliki nie mogą być tworzone za pomocą plików łatek. W związku z tym,
ta zmiana nie jest przechowywana w pakiecie źródłowym, a to ostrzeżenie o
tym przypomina.
.SS "prawa dostępu \fIprawo\fP pliku \fIplik\fP nie będą dołączone do pliku łatki"
Patch files do not record permissions of files and thus executable
permissions are not stored in the source package. This warning reminds you
of that fact.
.SS "specjalne prawa dostępu \fIprawa\fP pliku \fIplik\fP nie będą dołączone do pliku łatki"
Pliki łatek nie przechowują informacji o uprawnieniach plików i w związku z
tym, zmodyfikowane uprawnienia nie są przechowywane w pakiecie źródłowym. To
ostrzeżenie przypomina o tym fakcie.
.
.SH ŚRODOWISKO
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.TP 
\fBDPKG_NLS\fP
If set, it will be used to decide whether to activate Native Language
Support, also known as internationalization (or i18n) support (since dpkg
1.19.0).  The accepted values are: \fB0\fP and \fB1\fP (default).
.TP 
\fBSOURCE_DATE_EPOCH\fP
If set, it will be used as the timestamp (as seconds since the epoch) to
clamp the mtime in the \fBtar\fP(5) file entries.
.TP 
\fBVISUAL\fP
.TQ
\fBEDITOR\fP
Used by the “2.0” and “3.0 (quilt)” source format modules.
.TP 
\fBGIT_DIR\fP
.TQ
\fBGIT_INDEX_FILE\fP
.TQ
\fBGIT_OBJECT_DIRECTORY\fP
.TQ
\fBGIT_ALTERNATE_OBJECT_DIRECTORIES\fP
.TQ
\fBGIT_WORK_TREE\fP
Used by the “3.0 (git)” source format modules.
.
.SH PLIKI
.SS debian/source/format
Plik ten zawiera w pojedynczej linii określenie formatu, który powinien
zostać użyty do zbudowania pakietu źródłowego (dostępne formaty opisane są
wyżej). Niedozwolone są początkowe i końcowe znaki spacji.
.SS debian/source/include\-binaries
This file contains a list of binary files (one per line) that should be
included in the debian tarball. Leading and trailing spaces are stripped.
Lines starting with ‘\fB#\fP’ are comments and are skipped.  Empty lines are
ignored.
.SS debian/source/options
This file contains a list of long options that should be automatically
prepended to the set of command line options of a \fBdpkg\-source \-\-build\fP or
\fBdpkg\-source \-\-print\-format\fP call. Options like \fB\-\-compression\fP and
\fB\-\-compression\-level\fP are well suited for this file.
.P
Each option should be put on a separate line. Empty lines and lines starting
with ‘\fB#\fP’ are ignored.  The leading ‘\fB\-\-\fP’ should be stripped and short
options are not allowed.  Optional spaces are allowed around the ‘\fB=\fP’
symbol and optional quotes are allowed around the value.  Here's an example
of such a file:
.P
  # let dpkg\-source create a debian.tar.bz2 with maximal compression
  compression = "bzip2"
  compression\-level = 9
  # use debian/patches/debian\-changes as automatic patch
  single\-debian\-patch
  # ignore changes on config.{sub,guess}
  extend\-diff\-ignore = "(^|/)(config.sub|config.guess)$"
.P
Uwaga: opcje \fBformat\fP nie są akceptowane w tym pliku, należy w zamian
używać \fBdebian/source/format\fP.
.SS debian/source/local\-options
Dokładnie jak \fBdebian/source/options\fP z tym wyjątkiem, że plik nie jest
dołączany do wygenerowanego pakietu źródłowego. Może być przydatny aby
przechować preferencje opiekuna lub repozytorium VCS, gdzie pakiet źródłowy
jest zarządzany.
.SS "debian/source/local\-patch\-header \fRand\fP debian/source/patch\-header"
Free form text that is put on top of the automatic patch generated in
formats “2.0” or “3.0 (quilt)”. \fBlocal\-patch\-header\fP is not included in the
generated source package while \fBpatch\-header\fP is.
.SS debian/patches/\fIvendor\fP.series
.SS debian/patches/series
This file lists all patches that have to be applied (in the given order)  on
top of the upstream source package. Leading and trailing spaces are
stripped.  The \fIvendor\fP will be the lowercase name of the current vendor,
or \fBdebian\fP if there is no vendor defined.  If the vendor\-specific series
file does not exist, the vendor\-less series file will be used.  Lines
starting with ‘\fB#\fP’ are comments and are skipped.  Empty lines are
ignored.  Remaining lines start with a patch filename (relative to the
\fBdebian/patches/\fP directory) up to the first space character or the end of
line. Optional \fBquilt\fP options can follow up to the end of line or the
first ‘\fB#\fP’ preceded by one or more spaces (which marks the start of a
comment up to the end of line).
.SH BŁĘDY
Punkt, w którym następuje nadpisywanie pól w porównaniu do pewnych
standardowych ustawień pól wyjściowych jest dość zagmatwany.
.SH "ZOBACZ TAKŻE"
\fBdeb\-src\-control\fP(5), \fBdeb\-changelog\fP(5), \fBdsc\fP(5).
