.\" dpkg manual page - dpkg(1)
.\"
.\" Copyright © 1996 Juho Vuori <javuori@cc.helsinki.fi>
.\" Copyright © 1999 Jim Van Zandt <jrv@vanzandt.mv.com>
.\" Copyright © 1999-2003 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2000-2003 Adam Heath <doogie@debian.org>
.\" Copyright © 2002 Josip Rodin
.\" Copyright © 2004-2005 Scott James Remnant <keybuk@debian.org>
.\" Copyright © 2006-2016 Guillem Jover <guillem@debian.org>
.\" Copyright © 2007-2008 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2008-2011 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg 1 %RELEASE_DATE% %VERSION% "użytki dpkg"
.ad l
.nh
.SH NAZWA
dpkg \- menedżer pakietów Debiana
.
.SH SKŁADNIA
\fBdpkg\fP [\fIopcja\fP...] \fIdziałanie\fP
.
.SH UWAGA
Ten podręcznik jest przeznaczony dla użytkowników, którzy chcą poznać opcje
programu \fBdpkg\fP oraz chcą dowiedzieć się o pakietach więcej niż podaje to
\fBdpkg \-\-help\fP.

Ten podręcznik \fInie\fP wyjaśnia technicznych szczegółów, np. w jaki sposób
\fBdpkg\fP instaluje lub usuwa swoje pakiety, gdyż jest to dla przeciętnego
użytkownika zupełnie nieistotne.
.
.SH OPIS
\fBdpkg\fP jest narzędziem do instalowania, tworzenia, usuwania pakietów
systemu Debian oraz do zarządzania nimi. Podstawowym i bardziej przyjaznym
użytkownikowi narzędziem\-nakładką \fBdpkg\fP jest \fBaptitude\fP(1). Sam \fBdpkg\fP
jest obsługiwany z linii komend, przez podanie dokładnie jednego działania
oraz dodatkowych, nieobowiązkowych opcji. Parametr działanie określa, co
\fBdpkg\fP ma zrobić, a dodatkowe opcje modyfikują to działanie.

\fBdpkg\fP może również zostać użyty jako interfejs do \fBdpkg\-deb\fP(1) i
\fBdpkg\-query\fP(1). Listę obsługiwanych działań można znaleźć dalej, w
rozdziale \fBDZIAŁANIA\fP. W takim przypadku \fBdpkg\fP wywołuje \fBdpkg\-deb\fP lub
\fBdpkg\-query\fP z podanymi parametrami, ale nie przekazuje żadnych
charakterystycznych dla tych programów opcji \- aby użyć taką opcję, należy
wywołać dany program bezpośrednio.
.
.SH "INFORMACJE O PAKIETACH"
\fBdpkg\fP zarządza informacjami o dostępnych pakietach. Informacje zostały
podzielone na trzy klasy: \fBstan bieżący\fP, \fBstan wyboru\fP oraz
\fBflagę\fP. Wartości te mogą zostać zmienione za pomocą programu \fBdselect\fP.
.SS "Package states"
.TP 
\fBnot\-installed (niezainstalowany)\fP
Pakiet nie jest zainstalowany w systemie.
.TP 
\fBconfig\-files (pliki\-konfiguracyjne)\fP
Tylko pliki konfiguracyjne pakietu zostały w systemie.
.TP 
\fBhalf\-installed (wpółzainstalowany)\fP
Instalacja pakietu została rozpoczęta, ale niedokończona z pewnych powodów.
.TP 
\fBunpacked (rozpakowany)\fP
Pakiet jest rozpakowany, ale nie skonfigurowany.
.TP 
\fBhalf\-configured (wpółskonfigurowany)\fP
Pakiet jest rozpakowany, a konfiguracja została rozpoczęta, ale
niedokończona z pewnych powodów.
.TP 
\fBtriggers\-awaited\fP
Pakiet oczekuje przetworzenia wyzwalaczy przez inny pakiet.
.TP 
\fBtriggers\-pending\fP
Pakiet został pobudzony.
.TP 
\fBinstalled (zainstalowany)\fP
The package is correctly unpacked and configured.
.SS "Package selection states"
.TP 
\fBinstall (instalacja)\fP
Pakiet został wybrany do zainstalowania.
.TP 
\fBhold (wstrzymanie)\fP
A package marked to be on \fBhold\fP is kept on the same version, that is, no
automatic new installs, upgrades or removals will be performed on them,
unless these actions are requested explicitly, or are permitted to be done
automatically with the \fB\-\-force\-hold\fP option.
.TP 
\fBdeinstall (deinstalacja)\fP
Pakiet został wybrany do odinstalowania (to znaczy, że chcemy skasować
wszystkie pliki pakietu oprócz plików konfiguracyjnych).
.TP 
\fBpurge (wyczyszczenie)\fP
Pakiet został wybrany do wyczyszczenia (to znaczy, że chcemy skasować
wszystko z katalogów systemowych, włącznie z plikami konfiguracyjnymi).
.TP 
\fBunknown\fP
The package selection is unknown.  A package that is also in a
\fBnot\-installed\fP state, and with an \fBok\fP flag will be forgotten in the next
database store.
.SS "Package flags"
.TP 
\fBok\fP
A package marked \fBok\fP is in a known state, but might need further
processing.
.TP 
\fBreinstreq\fP
A package marked \fBreinstreq\fP is broken and requires reinstallation. These
packages cannot be removed, unless forced with option
\fB\-\-force\-remove\-reinstreq\fP.
.
.SH AKCJE
.TP 
\fB\-i\fP, \fB\-\-install\fP \fIplik\-pakietu\fP...
Instalacja pakietu. Jeśli została użyta opcja \fB\-\-recursive\fP lub \fB\-R\fP,
\fIplik\-pakietu\fP musi oznaczać wybrany katalog.

Instalacja składa się z następujących kroków:
.br

\fB1.\fP Rozpakowanie plików kontrolnych nowego pakietu.
.br

\fB2.\fP Jeśli inna wersja tego samego pakietu jest już zainstalowana,
uruchomienie skryptu \fIprerm\fP starego pakietu.
.br

\fB3.\fP Uruchomienie skryptu \fIpreinst\fP, jeśli pakiet go zawiera.
.br

\fB4.\fP Rozpakowanie nowych plików, ale przechowanie starych na wypadek, gdyby
instalacja się nie powiodła i trzeba by je odzyskać.
.br

\fB5.\fP Jeśli inna wersja tego samego pakietu była poprzednio zainstalowana,
uruchomienie skryptu \fIpostrm\fP starego pakietu. Proszę zauważyć, że ten
skrypt jest uruchamiany po skrypcie \fIpreinst\fP nowego pakietu, ponieważ nowe
pliki są zapisywane w tym samym czasie, gdy stare są kasowane.
.br

\fB6.\fP Konfiguracja pakietu. Bardziej szczegółowe informacje zawarto przy
opisie parametru \fB\-\-configure\fP.
.TP 
\fB\-\-unpack \fP\fIplik\-pakietu\fP...
Rozpakowanie pakietu, ale bez konfigurowania go. Jeśli została użyta opcja
\fB\-\-recursive\fP lub \fB\-R\fP, \fIplik\-pakietu\fP musi oznaczać wybrany katalog.
.TP 
\fB\-\-configure \fP\fIpakiet\fP...|\fB\-a\fP|\fB\-\-pending\fP
Skonfigurowanie pakietu, który został rozpakowany, ale jeszcze nie
skonfigurowany. Jeśli zamiast nazwy \fIpakietu\fP została podana opcja \fB\-a\fP
lub \fB\-\-pending\fP, rekonfiguracja obejmie wszystkie pakiety rozpakowane, ale
jeszcze nie skonfigurowane.

Aby skonfigurować ponownie pakiet, który został wcześniej skonfigurowany,
należy użyć polecenia \fBdpkg\-reconfigure\fP(8).

Konfigurowanie składa się z następujących kroków:
.br

\fB1.\fP Rozpakowanie nowych plików konfiguracyjnych, ale przechowanie starych
na wypadek, gdyby konfigurowanie się nie powiodło i trzeba by je odzyskać.
.br

\fB2.\fP Uruchomienie skryptu \fIpostinst\fP, jeśli pakiet go zawiera.
.TP 
\fB\-\-triggers\-only\fP \fIpakiet\fP...|\fB\-a\fP|\fB\-\-pending\fP
Processes only triggers (since dpkg 1.14.17).  All pending triggers will be
processed.  If package names are supplied only those packages' triggers will
be processed, exactly once each where necessary. Use of this option may
leave packages in the improper \fBtriggers\-awaited\fP and \fBtriggers\-pending\fP
states. This can be fixed later by running: \fBdpkg \-\-configure \-\-pending\fP.
.TP 
\fB\-r\fP, \fB\-\-remove\fP \fIpackage\fP...|\fB\-a\fP|\fB\-\-pending\fP
Remove an installed package.  This removes everything except conffiles and
other data cleaned up by the \fIpostrm\fP script, which may avoid having to
reconfigure the package if it is reinstalled later (conffiles are
configuration files that are listed in the \fIDEBIAN/conffiles\fP control
file).  If there is no \fIDEBIAN/conffiles\fP control file nor \fIDEBIAN/postrm\fP
script, this command is equivalent to calling \fB\-\-purge\fP.  If \fB\-a\fP or
\fB\-\-pending\fP is given instead of a package name, then all packages unpacked,
but marked to be removed in file \fI%ADMINDIR%/status\fP, are removed.

Usunięcie pakietu składa się z następujących kroków:
.br

\fB1.\fP Uruchomienie skryptu \fIprerm\fP
.br

\fB2.\fP Usunięcie zainstalowanych plików
.br

\fB3.\fP Uruchomienie skryptu \fIpostrm\fP
.br

.TP 
\fB\-P\fP, \fB\-\-purge\fP \fIpackage\fP...|\fB\-a\fP|\fB\-\-pending\fP
Purge an installed or already removed package. This removes everything,
including conffiles, and anything else cleaned up from \fIpostrm\fP.  If \fB\-a\fP
or \fB\-\-pending\fP is given instead of a package name, then all packages
unpacked or removed, but marked to be purged in file \fI%ADMINDIR%/status\fP,
are purged.

Note: some configuration files might be unknown to \fBdpkg\fP because they are
created and handled separately through the configuration scripts. In that
case, \fBdpkg\fP won't remove them by itself, but the package's \fIpostrm\fP
script (which is called by \fBdpkg\fP), has to take care of their removal
during purge. Of course, this only applies to files in system directories,
not configuration files written to individual users' home directories.

Purging of a package consists of the following steps:
.br

\fB1.\fP Remove the package, if not already removed. See \fB\-\-remove\fP for
detailed information about how this is done.
.br

\fB2.\fP Run \fIpostrm\fP script.
.br
.TP 
\fB\-V\fP, \fB\-\-verify\fP [\fIpackage\-name\fP...]
Verifies the integrity of \fIpackage\-name\fP or all packages if omitted, by
comparing information from the files installed by a package with the files
metadata information stored in the \fBdpkg\fP database (since dpkg 1.17.2).
The origin of the files metadata information in the database is the binary
packages themselves. That metadata gets collected at package unpack time
during the installation process.

Currently the only functional check performed is an md5sum verification of
the file contents against the stored value in the files database.  It will
only get checked if the database contains the file md5sum. To check for any
missing metadata in the database, the \fB\-\-audit\fP command can be used.

The output format is selectable with the \fB\-\-verify\-format\fP option, which by
default uses the \fBrpm\fP format, but that might change in the future, and as
such, programs parsing this command output should be explicit about the
format they expect.
.TP 
\fB\-C\fP, \fB\-\-audit\fP [\fIpackage\-name\fP...]
Performs database sanity and consistency checks for \fIpackage\-name\fP or all
packages if omitted (per package checks since dpkg 1.17.10).  For example,
searches for packages that have been installed only partially on your system
or that have missing, wrong or obsolete control data or files. \fBdpkg\fP will
suggest what to do with them to get them fixed.
.TP 
\fB\-\-update\-avail\fP [\fIPackages\-file\fP]
.TQ
\fB\-\-merge\-avail\fP [\fIPackages\-file\fP]
Update \fBdpkg\fP's and \fBdselect\fP's idea of which packages are available. With
action \fB\-\-merge\-avail\fP, old information is combined with information from
\fIPackages\-file\fP. With action \fB\-\-update\-avail\fP, old information is replaced
with the information in the \fIPackages\-file\fP. The \fIPackages\-file\fP
distributed with Debian is simply named «\fIPackages\fP». If the
\fIPackages\-file\fP argument is missing or named «\fB\-\fP» then it will be read
from standard input (since dpkg 1.17.7). \fBdpkg\fP keeps its record of
available packages in \fI%ADMINDIR%/available\fP.

Prostszym poleceniem, którego można użyć w celu pobrania i odświeżenia pliku
\fIavailable\fP, jest \fBdselect update\fP. Proszę zauważyć, że plik ten jest
zasadniczo nieużyteczny, jeśli nie używa się \fBdselect\fP tylko nakładki
bazującej na APT. Przyczyną tego jest fakt, że APT posiada własny system
określania dostępności pakietów.
.TP 
\fB\-A\fP, \fB\-\-record\-avail\fP \fIplik\-pakietu\fP...
Zaktualizowanie bazy danych programów \fBdpkg\fP oraz \fBdselect\fP o dostępnych
pakietach, uwzględniając informacje zawarte w pakiecie
\fIplik\-pakietu\fP. Jeśli została użyta opcja \fB\-\-recursive\fP lub \fB\-R\fP,
\fIplik\-pakietu\fP musi oznaczać wybrany katalog.
.TP 
\fB\-\-forget\-old\-unavail\fP
Now \fBobsolete\fP and a no\-op as \fBdpkg\fP will automatically forget uninstalled
unavailable packages (since dpkg 1.15.4), but only those that do not contain
user information such as package selections.
.TP 
\fB\-\-clear\-avail\fP
Skasowanie informacji o dostępnych pakietach.
.TP 
\fB\-\-get\-selections\fP [\fIwzorzec\-nazwy\-pakietu\fP...]
Get list of package selections, and write it to stdout. Without a pattern,
non\-installed packages (i.e. those which have been previously purged) will
not be shown.
.TP 
\fB\-\-set\-selections\fP
Set package selections using file read from stdin. This file should be in
the format “\fIpackage\fP \fIstate\fP”, where state is one of \fBinstall\fP, \fBhold\fP,
\fBdeinstall\fP or \fBpurge\fP. Blank lines and comment lines beginning with
‘\fB#\fP’ are also permitted.

The \fIavailable\fP file needs to be up\-to\-date for this command to be useful,
otherwise unknown packages will be ignored with a warning. See the
\fB\-\-update\-avail\fP and \fB\-\-merge\-avail\fP commands for more information.
.TP 
\fB\-\-clear\-selections\fP
Set the requested state of every non\-essential package to deinstall (since
dpkg 1.13.18).  This is intended to be used immediately before
\fB\-\-set\-selections\fP, to deinstall any packages not in list given to
\fB\-\-set\-selections\fP.
.TP 
\fB\-\-yet\-to\-unpack\fP
Wyszukanie pakietów przeznaczonych do zainstalowania, które z pewnych
powodów nie mogły zostać zainstalowane.
.IP
Note: This command makes use of both the available file and the package
selections.
.TP 
\fB\-\-predep\-package\fP
Print a single package which is the target of one or more relevant
pre\-dependencies and has itself no unsatisfied pre\-dependencies.
.IP
If such a package is present, output it as a Packages file entry, which can
be massaged as appropriate.
.IP
Note: This command makes use of both the available file and the package
selections.
.IP
Returns 0 when a package is printed, 1 when no suitable package is available
and 2 on error.
.TP 
\fB\-\-add\-architecture \fP\fIarchitektura\fP
Add \fIarchitecture\fP to the list of architectures for which packages can be
installed without using \fB\-\-force\-architecture\fP (since dpkg 1.16.2).  The
architecture \fBdpkg\fP is built for (i.e. the output of
\fB\-\-print\-architecture\fP)  is always part of that list.
.TP 
\fB\-\-remove\-architecture \fP\fIarchitektura\fP
Remove \fIarchitecture\fP from the list of architectures for which packages can
be installed without using \fB\-\-force\-architecture\fP (since dpkg 1.16.2). If
the architecture is currently in use in the database then the operation will
be refused, except if \fB\-\-force\-architecture\fP is specified. The architecture
\fBdpkg\fP is built for (i.e. the output of \fB\-\-print\-architecture\fP) can never
be removed from that list.
.TP 
\fB\-\-print\-architecture\fP
Print architecture of packages \fBdpkg\fP installs (for example, “i386”).
.TP 
\fB\-\-print\-foreign\-architectures\fP
Print a newline\-separated list of the extra architectures \fBdpkg\fP is
configured to allow packages to be installed for (since dpkg 1.16.2).
.TP 
\fB\-\-assert\-\fP\fIfeature\fP
Asserts that \fBdpkg\fP supports the requested feature.  Returns 0 if the
feature is fully supported, 1 if the feature is known but \fBdpkg\fP cannot
provide support for it yet, and 2 if the feature is unknown.  The current
list of assertable features is:
.RS
.TP 
\fBsupport\-predepends\fP
Supports the \fBPre\-Depends\fP field (since dpkg 1.1.0).
.TP 
\fBworking\-epoch\fP
Supports epochs in version strings (since dpkg 1.4.0.7).
.TP 
\fBlong\-filenames\fP
Supports long filenames in \fBdeb\fP(5) archives (since dpkg 1.4.1.17).
.TP 
\fBmulti\-conrep\fP
Supports multiple \fBConflicts\fP and \fBReplaces\fP (since dpkg 1.4.1.19).
.TP 
\fBmulti\-arch\fP
Supports multi\-arch fields and semantics (since dpkg 1.16.2).
.TP 
\fBversioned\-provides\fP
Supports versioned \fBProvides\fP (since dpkg 1.17.11).
.RE
.TP 
\fB\-\-validate\-\fP\fIthing string\fP
Validate that the \fIthing\fP \fIstring\fP has a correct syntax (since dpkg
1.18.16).  Returns 0 if the \fIstring\fP is valid, 1 if the \fIstring\fP is
invalid but might be accepted in lax contexts, and 2 if the \fIstring\fP is
invalid.  The current list of validatable \fIthing\fPs is:
.RS
.TP 
\fBpkgname\fP
Validates the given package name (since dpkg 1.18.16).
.TP 
\fBtrigname\fP
Validates the given trigger name (since dpkg 1.18.16).
.TP 
\fBarchname\fP
Validates the given architecture name (since dpkg 1.18.16).
.TP 
\fBversion\fP
Validates the given version (since dpkg 1.18.16).
.RE
.TP 
\fB\-\-compare\-versions \fP\fIwersja1 op wersja2\fP
.\" .TP
.\" .B \-\-command\-fd \fIn\fP
.\" Accept a series of commands on input file descriptor \fIn\fP. Note:
.\" additional options set on the command line, and through this file descriptor,
.\" are not reset for subsequent commands executed during the same run.
Compare version numbers, where \fIop\fP is a binary operator. \fBdpkg\fP returns
true (\fB0\fP) if the specified condition is satisfied, and false (\fB1\fP)
otherwise. There are two groups of operators, which differ in how they treat
an empty \fIver1\fP or \fIver2\fP. These treat an empty version as earlier than
any version: \fBlt le eq ne ge gt\fP. These treat an empty version as later
than any version: \fBlt\-nl le\-nl ge\-nl gt\-nl\fP. These are provided only for
compatibility with control file syntax: \fB< << <= = >=
>> >\fP. The \fB<\fP and \fB>\fP operators are obsolete and
should \fBnot\fP be used, due to confusing semantics. To illustrate: \fB0.1
< 0.1\fP evaluates to true.
.TP 
\fB\-?\fP, \fB\-\-help\fP
Wyświetlenie krótkiego komunikatu pomocy.
.TP 
\fB\-\-force\-help\fP
Wyświetlenie opisu opcji \fB\-\-force\-\fP\fIdziałanie\fP.
.TP 
\fB\-Dh\fP, \fB\-\-debug=help\fP
Wyświetlenie opisu opcji debuggera.
.TP 
\fB\-\-version\fP
Wyświetlenie informacji o wersji \fBdpkg\fP.
.TP 
\fBakcje dpkg\-deb\fP
Proszę zajrzeć do \fBdpkg\-deb\fP(1), aby poznać pełny opis następujących
działań.

.nf
\fB\-b\fP, \fB\-\-build\fP \fIdirectory\fP [\fIarchive\fP|\fIdirectory\fP]
    Build a deb package.
\fB\-c\fP, \fB\-\-contents\fP \fIarchive\fP
    List contents of a deb package.
\fB\-e\fP, \fB\-\-control\fP \fIarchive\fP [\fIdirectory\fP]
    Extract control\-information from a package.
\fB\-x\fP, \fB\-\-extract\fP \fIarchive directory\fP
    Extract the files contained by package.
\fB\-X\fP, \fB\-\-vextract\fP \fIarchive directory\fP
    Extract and display the filenames contained by a
    package.
\fB\-f\fP, \fB\-\-field\fP  \fIarchive\fP [\fIcontrol\-field\fP...]
    Display control field(s) of a package.
\fB\-\-ctrl\-tarfile\fP \fIarchive\fP
    Output the control tar\-file contained in a Debian package.
\fB\-\-fsys\-tarfile\fP \fIarchive\fP
    Output the filesystem tar\-file contained by a Debian package.
\fB\-I\fP, \fB\-\-info\fP \fIarchive\fP [\fIcontrol\-file\fP...]
    Show information about a package.
.fi

.TP 
\fBakcje dpkg\-query\fP
Proszę przeczytać \fBdpkg\-query\fP(8), aby uzyskać szczegółowe informacje o
następujących działaniach.

.nf

\fB\-l\fP, \fB\-\-list\fP \fIwzorzec\-nazw\-pakietów\fP...
    Wyświetla pakiety pasujące do wzorca.
\fB\-s\fP, \fB\-\-status\fP \fInazwa\-pakietu\fP...
    Wyświetla informacje o stanie danego pakietu.
\fB\-L\fP, \fB\-\-listfiles\fP \fInazwa\-pakietu\fP...
    Wyświetla listę plików zainstalowanych w systemie przez pakiet \fInazwa\-pakietu\fP.
\fB\-S\fP, \fB\-\-search\fP \fIwzorzec\-wyszukiwania\-nazw\-plików\fP...
    Wyszukuje nazwy plików w zainstalowanych pakietach.
\fB\-p\fP, \fB\-\-print\-avail\fP \fInazwa\-pakietu\fP...
    Wyświetla szczegółowe informacje na temat pakietu \fInazwa\-pakietu\fP,
    pochodzące z pliku \fI%ADMINDIR%/available\fP. Użytkownicy nakładek
    opartych o APT powinni używać \fBapt\-cache show\fP \fIpackage\-name\fP zamiast
    tej opcji.
.fi
.
.SH OPCJE
All options can be specified both on the command line and in the \fBdpkg\fP
configuration file \fI%PKGCONFDIR%/dpkg.cfg\fP or fragment files (with names
matching this shell pattern '[0\-9a\-zA\-Z_\-]*') on the configuration directory
\fI%PKGCONFDIR%/dpkg.cfg.d/\fP. Each line in the configuration file is either
an option (exactly the same as the command line option but without leading
hyphens) or a comment (if it starts with a ‘\fB#\fP’).
.br
.TP 
\fB\-\-abort\-after=\fP\fIliczba\fP
Zmiana liczby błędów, po których \fBdpkg\fP zaprzestanie działania. Domyślna
wartość to 50.
.TP 
\fB\-B\fP, \fB\-\-auto\-deconfigure\fP
Gdy pakiet jest usuwany, możliwe jest, że inny zainstalowany pakiet zależy
od tego usuwanego. Podanie tej opcji spowoduje automatyczne dekonfigurowanie
pakietów, które są zależne od usuwanego.
.TP 
\fB\-D\fP\fIósemkowo\fP, \fB\-\-debug=\fP\fIósemkowo\fP
Włączenie trybu debuggera. \fIósemkowo\fP jest liczbą ósemkową będącą sumą
logiczną bitów opcji debuggera z poniższej listy (te wartości mogą się
zmienić w przyszłości). Parametr \fB\-Dh\fP lub \fB\-\-debug=help\fP wyświetla te
wartości.

      numer  opis
         1   Ogólnie przydatne informacje o postępie
         2   Wywołanie i stan skryptów kontrolnych
        10   Informacje o każdym przetwarzanym pliku
       100   Więcej informacji o każdym przetwarzanym pliku
        20   Informacje o każdym pliku konfiguracyjnym
       200   Więcej informacji o każdym pliku konfiguracyjnym
        40   Zależności i konflikty
       400   Więcej informacji o zależnościach i konfliktach
     10000   Informacje o aktywacji i przetwarzaniu wyzwalaczy
     20000   Więcej informacji dotyczących wyzwalaczy
     40000   Szczegółowe informacje dotyczące wyzwalaczy
      1000   Mnóstwo informacji m.in. o plikach info z bazy danych dpkg
      2000   Reszta szczegółowych informacji
.TP 
\fB\-\-force\-\fP\fIthings\fP
.TQ
\fB\-\-no\-force\-\fP\fIthings\fP, \fB\-\-refuse\-\fP\fIthings\fP
Wymuś (\fB\-\-force\-\fP) wykonanie pewnych działań lub pozostaw domyślny sposób
(\fBno\-force\fP i \fBrefuse\fP oznaczają to samo) wykonania działań. \fIdziałania\fP
to rozdzielona przecinkami lista działań. \fB\-\-force\-help\fP wyświetla opis
tych działań. Działania oznaczone przez (*) są domyślnie wymuszone.

\fIOstrzeżenie: Te opcje są zwykle przeznaczone wyłącznie dla doświadczonych
użytkowników. Użycie ich bez pełnego zrozumienia efektu działania może
spowodować uszkodzenie systemu.\fP

\fBall\fP: Włącza (lub wyłącza) wszystkie opcje typu "force".

\fBdowngrade\fP(*): Zainstalowanie pakietu, nawet gdy nowsza jego wersja jest
już zainstalowana.

\fIWarning: At present \fP\fBdpkg\fP\fI does not do any dependency checking on
downgrades and therefore will not warn you if the downgrade breaks the
dependency of some other package. This can have serious side effects,
downgrading essential system components can even make your whole system
unusable. Use with care.\fP

\fBconfigure\-any\fP: Skonfigurowanie wszystkich rozpakowanych ale
nieskonfigurowanych pakietów, od których zależy bieżący pakiet.

\fBhold\fP: Allow automatic installs, upgrades or removals of packages even
when marked to be on “hold”.  Note: This does not prevent these actions when
requested explicitly.

\fBremove\-reinstreq\fP: Usunięcie pakietu, nawet wtedy gdy jest uszkodzony i
wymaga przeinstalowania. Może to spowodować pozostawienie części pakietu w
systemie, gdyż \fBdpkg\fP zapomni o niej.

\fBremove\-essential\fP: Usunięcie pakietu, nawet wtedy gdy jest on uznany za
niezbędny (essential). Pakiety niezbędne zawierają podstawowe polecenia
Uniksa. Usunięcie ich może spowodować, że system przestanie działać. Należy
zachować szczególną ostrożność przy użyciu tej opcji.

\fBdepends\fP: Turn all dependency problems into warnings.  This affects the
\fBPre\-Depends\fP and \fBDepends\fP fields.

\fBdepends\-version\fP: Don't care about versions when checking dependencies.
This affects the \fBPre\-Depends\fP and \fBDepends\fP fields.

\fBbreaks\fP: Install, even if this would break another package (since dpkg
1.14.6).  This affects the \fBBreaks\fP field.

\fBconflicts\fP: Install, even if it conflicts with another package. This is
dangerous, for it will usually cause overwriting of some files.  This
affects the \fBConflicts\fP field.

\fBconfmiss\fP: Always install the missing conffile without prompting. This is
dangerous, since it means not preserving a change (removing) made to the
file.

\fBconfnew\fP: Jeśli plik konfiguracyjny został zmodyfikowany i zmieniła się
wersja pakietu, zainstalowana zostanie jego nowa wersja bez pytania, chyba
że użyto również opcji \fB\-\-force\-confdef\fP, co spowoduje wykonanie domyślnej
akcji.

\fBconfold\fP: Jeśli plik konfiguracyjny został zmodyfikowany i zmieniła się
wersja pakietu, stara wersja zostanie zachowana bez pytania, chyba że użyto
również opcji \fB\-\-force\-confdef\fP, co spowoduje wykonanie domyślnej akcji.

\fBconfdef\fP: Jeśli plik konfiguracyjny został zmodyfikowany i zmieniła się
wersja pakietu, wybrane zostanie domyślne działanie. Jeżeli nie określono
domyślnej akcji, użytkownik zostanie poproszony o dokonanie wyboru. Podanie
dodatkowo opcji \fB\-\-force\-confnew\fP lub \fB\-\-force\-confold\fP zdecyduje o
dalszym działaniu.

\fBconfask\fP: If a conffile has been modified always offer to replace it with
the version in the package, even if the version in the package did not
change (since dpkg 1.15.8).  If any of \fB\-\-force\-confnew\fP,
\fB\-\-force\-confold\fP, or \fB\-\-force\-confdef\fP is also given, it will be used to
decide the final action.

\fBoverwrite\fP: Nadpisanie plików z innych pakietów, w przypadku gdy dany plik
występuje także w innym pakiecie.

\fBoverwrite\-dir\fP: Overwrite one package's directory with another's file.

\fBoverwrite\-diverted\fP: Nadpisanie plików ominiętych plikami nieominiętymi.

\fBstatoverride\-add\fP: Overwrite an existing stat override when adding it
(since dpkg 1.19.5).

\fBstatoverride\-remove\fP: Ignore a missing stat override when removing it
(since dpkg 1.19.5).

\fBsecurity\-mac\fP(*): Use platform\-specific Mandatory Access Controls (MAC)
based security when installing files into the filesystem (since dpkg
1.19.5).  On Linux systems the implementation uses SELinux.

\fBunsafe\-io\fP: Do not perform safe I/O operations when unpacking (since dpkg
1.15.8.6).  Currently this implies not performing file system syncs before
file renames, which is known to cause substantial performance degradation on
some file systems, unfortunately the ones that require the safe I/O on the
first place due to their unreliable behaviour causing zero\-length files on
abrupt system crashes.

\fBUwaga\fP: W przypadku ext4 \- głównej przyczyny problemów \- proszę rozważyć
użycie w zamian opcji montowania \fBnodelalloc\fP, która rozwiązuje zarówno
problemy z wydajnością jak i z bezpieczeństwem danych, to ostatnie dzięki
nietworzeniu przez system plików o zerowej długości przy nagłej awarii
systemu, przez oprogramowanie nie wykonujące synchronizacji pomiędzy
zmianami nazw.

\fIUwaga: Użycie tej opcji może zwiększyć wydajność kosztem utraty danych,
proszę używać ostrożnie.\fP

\fBscript\-chrootless\fP: Run maintainer scripts without \fBchroot\fP(2)ing into
\fBinstdir\fP even if the package does not support this mode of operation
(since dpkg 1.18.5).

\fIWarning: This can destroy your host system, use with extreme care.\fP

\fBarchitecture\fP: Działanie obejmie pakiety z niepoprawną lub nieokreśloną
architekturą.

\fBbad\-version\fP: Process even packages with wrong versions (since dpkg
1.16.1).

\fBbad\-path\fP: Zignorowanie braku pewnych programów w ścieżce zmiennej
systemowej \fBPATH\fP.

\fBnot\-root\fP: Próba (de)instalacji, gdy dpkg nie jest uruchamiany z konta
administratora.

\fBbad\-verify\fP: Instalowanie pakietu, nawet jeżeli nie powiedzie się
sprawdzenie jego autentyczności.

.TP 
\fB\-\-ignore\-depends\fP=\fIpakiet\fP,...
Ignore dependency\-checking for specified packages (actually, checking is
performed, but only warnings about conflicts are given, nothing else).  This
affects the \fBPre\-Depends\fP, \fBDepends\fP and \fBBreaks\fP fields.
.TP 
\fB\-\-no\-act\fP, \fB\-\-dry\-run\fP, \fB\-\-simulate\fP
Podejmowane działania nie powodują żadnych zmian. Ta opcja jest użyteczna,
gdy potrzeba sprawdzić, czy działanie się wykona, ale bez powodowania zmian
czegokolwiek.

Opcję \fB\-\-no\-act\fP należy podać jako pierwszy parametr, gdyż w przeciwnym
razie można otrzymać niespodziewane efekty. (np. \fBdpkg \-\-purge bla
\-\-no\-act\fP wyczyści pakiet bla, a następnie spróbuje wyczyścić pakiet o
nazwie \-\-no\-act, mimo że najprawdopodobniej spodziewałeś się, że takie
polecenie nic nie zrobi).
.TP 
\fB\-R\fP, \fB\-\-recursive\fP
Recursively handle all regular files matching pattern \fB*.deb\fP found at
specified directories and all of its subdirectories. This can be used with
\fB\-i\fP, \fB\-A\fP, \fB\-\-install\fP, \fB\-\-unpack\fP and \fB\-\-record\-avail\fP actions.
.TP 
\fB\-G\fP
Nieinstalowanie pakietu, jeśli jego nowsza wersja jest już
zainstalowana. Jest to dokładnie to samo, co \fB\-\-refuse\-downgrade\fP.
.TP 
\fB\-\-admindir=\fP\fIkatalog\fP
Set the administrative directory to \fIdirectory\fP.  This directory contains
many files that give information about status of installed or uninstalled
packages, etc.  Defaults to «\fI%ADMINDIR%\fP».
.TP 
\fB\-\-instdir=\fP\fIkatalog\fP
Set the installation directory, which refers to the directory where packages
are to be installed. \fBinstdir\fP is also the directory passed to \fBchroot\fP(2)
before running package's installation scripts, which means that the scripts
see \fBinstdir\fP as a root directory.  Defaults to «\fI/\fP».
.TP 
\fB\-\-root=\fP\fIkatalog\fP
Set the root directory to \fBdirectory\fP, which sets the installation
directory to «\fIdir\fP» and the administrative directory to
«\fIdir\fP\fB%ADMINDIR%\fP».
.TP 
\fB\-O\fP, \fB\-\-selected\-only\fP
Działanie obejmuje wyłącznie pakiety wybrane do instalacji. Wybór może
zostać dokonany przez polecenie \fBdselect\fP lub \fBdpkg\fP, gdy wykonuje
operacje na pakietach. Na przykład pakiet usuwany jest zaznaczany jako
wybrany do odinstalowania.
.TP 
\fB\-E\fP, \fB\-\-skip\-same\-version\fP
Nieinstalowanie pakietu, jeśli o tej samej wersji jest już zainstalowany w
systemie.
.TP 
\fB\-\-pre\-invoke=\fP\fIpolecenie\fP
.TQ
\fB\-\-post\-invoke=\fP\fIpolecenie\fP
Set an invoke hook \fIcommand\fP to be run via \*(lqsh \-c\*(rq before or after the
\fBdpkg\fP run for the \fIunpack\fP, \fIconfigure\fP, \fIinstall\fP, \fItriggers\-only\fP,
\fIremove\fP, \fIpurge\fP, \fIadd\-architecture\fP and \fIremove\-architecture\fP \fBdpkg\fP
actions (since dpkg 1.15.4; \fIadd\-architecture\fP and \fIremove\-architecture\fP
actions since dpkg 1.17.19). This option can be specified multiple
times. The order the options are specified is preserved, with the ones from
the configuration files taking precedence.  The environment variable
\fBDPKG_HOOK_ACTION\fP is set for the hooks to the current \fBdpkg\fP
action. Note: front\-ends might call \fBdpkg\fP several times per invocation,
which might run the hooks more times than expected.
.TP 
\fB\-\-path\-exclude=\fP\fIwzorzec\-glob\fP
.TQ
\fB\-\-path\-include=\fP\fIwzorzec\-glob\fP
Set \fIglob\-pattern\fP as a path filter, either by excluding or re\-including
previously excluded paths matching the specified patterns during install
(since dpkg 1.15.8).

\fIUwaga: proszę wziąć pod uwagę, że poleganie na wyłączonych ścieżkach może
całkowicie zepsuć system, proszę używać z rozwagą.\fP

The glob patterns use the same wildcards used in the shell, were ‘*’ matches
any sequence of characters, including the empty string and also ‘/’.  For
example, «\fI/usr/*/READ*\fP» matches «\fI/usr/share/doc/package/README\fP».  As
usual, ‘?’ matches any single character (again, including ‘/’).  And ‘[’
starts a character class, which can contain a list of characters, ranges and
complementations. See \fBglob\fP(7) for detailed information about
globbing. Note: the current implementation might re\-include more directories
and symlinks than needed, to be on the safe side and avoid possible unpack
failures; future work might fix this.

Można użyć tej opcji do usunięcia wszystkich ścieżek z wyjątkiem podanych,
typowym przypadkiem jest:

.nf
\fB\-\-path\-exclude=/usr/share/doc/*\fP
\fB\-\-path\-include=/usr/share/doc/*/copyright\fP
.fi

aby usunąć wszystkie pliki z dokumentacją, z wyjątkiem plików z informacjami
o prawach autorskich.

Te dwie opcje można podać wiele razy mogą się również przeplatać. Obie są
przetwarzane w podanej kolejności, a ostatnia reguła, która pasuje do nazwy
pliku jest ostatecznie rozstrzygająca.

The filters are applied when unpacking the binary packages, and as such only
have knowledge of the type of object currently being filtered (e.g. a normal
file or a directory) and have not visibility of what objects will come
next.  Because these filters have side effects (in contrast to \fBfind\fP(1)
filters), excluding an exact pathname that happens to be a directory object
like \fI/usr/share/doc\fP will not have the desired result, and only that
pathname will be excluded (which could be automatically reincluded if the
code sees the need).  Any subsequent files contained within that directory
will fail to unpack.

Hint: make sure the globs are not expanded by your shell.
.TP 
\fB\-\-verify\-format\fP\fI format\-name\fP
Sets the output format for the \fB\-\-verify\fP command (since dpkg 1.17.2).

The only currently supported output format is \fBrpm\fP, which consists of a
line for every path that failed any check.  The lines start with 9
characters to report each specific check result, a ‘\fB?\fP’ implies the check
could not be done (lack of support, file permissions, etc), ‘\fB.\fP’ implies
the check passed, and an alphanumeric character implies a specific check
failed; the md5sum verification failure (the file contents have changed) is
denoted with a ‘\fB5\fP’ on the third character.  The line is followed by a
space and an attribute character (currently ‘\fBc\fP’ for conffiles), another
space and the pathname.
.TP 
\fB\-\-status\-fd \fP\fIn\fP
Wysłanie "czytelnego dla maszyny" statusu pakietu i informacji o postępie do
deskryptora pliku \fIn\fP. Ta opcja może być podana wielokrotnie. Informacja
jest ogólnie zapisywana po jednym wpisie w linii, w jednej z następujących
form:
.RS
.TP 
\fBstatus: \fP\fIpakiet\fP\fB: \fP\fIstatus\fP
Nastąpiła zmiana statusu pakietu, \fIstatus\fP jest taki jak w pliku statusu
pakietu.
.TP 
\fBstatus: \fP\fIpakiet\fP\fB : error : \fP\fIrozszerzony\-komunikat\-błędu\fP
Wystąpił błąd. Wszystkie nowe wiersze w \fIrozszerzonym\-komunikacie\-błędu\fP
będą przekonwertowane na spacje przed wyświetleniem.
.TP 
\fBstatus: \fP\fIplik\fP\fB : conffile\-prompt : '\fP\fIprawdziwy\-stary\fP\fB' '\fP\fIprawdziwy\-nowy\fP\fB' \fP\fIzmiany\-użytkownika\fP\fB \fP\fIzmiany\-dystrybucyjne\fP
Użytkownikowi zostanie przedstawione pytanie odnośnie pliku
konfiguracyjnego.
.TP 
\fBprocessing: \fP\fIetap\fP\fB: \fP\fIpakiet\fP
Wysyłane tuż przez rozpoczęciem etapu przetwarzania. \fIetap\fP jest jednym z
\fBupgrade\fP, \fBinstall\fP (oba wysyłane przed rozpakowaniem), \fBconfigure\fP,
\fBtrigproc\fP, \fBdisappear\fP, \fBremove\fP, \fBpurge\fP.
.RE
.TP 
\fB\-\-status\-logger\fP=\fIpolecenie\fP
Send machine\-readable package status and progress information to the shell
\fIcommand\fP's standard input, to be run via \*(lqsh \-c\*(rq (since dpkg 1.16.0).
This option can be specified multiple times.  The output format used is the
same as in \fB\-\-status\-fd\fP.
.TP 
\fB\-\-log=\fP\fInazwa\-pliku\fP
Log status change updates and actions to \fIfilename\fP, instead of the default
\fI%LOGDIR%/dpkg.log\fP. If this option is given multiple times, the last
filename is used. Log messages are of the form:
.RS
.TP 
YYYY\-MM\-DD HH:MM:SS \fBstartup\fP \fItype\fP \fIcommand\fP
For each dpkg invocation where \fItype\fP is \fBarchives\fP (with a \fIcommand\fP of
\fBunpack\fP or \fBinstall\fP) or \fBpackages\fP (with a \fIcommand\fP of \fBconfigure\fP,
\fBtriggers\-only\fP, \fBremove\fP or \fBpurge\fP).
.TP 
YYYY\-MM\-DD HH:MM:SS \fBstatus\fP \fIstate\fP \fIpkg\fP \fIinstalled\-version\fP
For status change updates.
.TP 
YYYY\-MM\-DD HH:MM:SS \fIaction\fP \fIpkg\fP \fIinstalled\-version\fP \fIavailable\-version\fP
For actions where \fIaction\fP is one of \fBinstall\fP, \fBupgrade\fP, \fBconfigure\fP,
\fBtrigproc\fP, \fBdisappear\fP, \fBremove\fP or \fBpurge\fP.
.TP 
YYYY\-MM\-DD HH:MM:SS \fBconffile\fP \fIfilename\fP \fIdecision\fP
For conffile changes where \fIdecision\fP is either \fBinstall\fP or \fBkeep\fP.
.RE
.TP 
\fB\-\-no\-pager\fP
Disables the use of any pager when showing information (since dpkg 1.19.2).
.TP 
\fB\-\-no\-debsig\fP
Nie próbuje weryfikować sygnatur pakietu.
.TP 
\fB\-\-no\-triggers\fP
Do not run any triggers in this run (since dpkg 1.14.17), but activations
will still be recorded.  If used with \fB\-\-configure\fP \fIpackage\fP or
\fB\-\-triggers\-only\fP \fIpackage\fP then the named package postinst will still be
run even if only a triggers run is needed. Use of this option may leave
packages in the improper \fBtriggers\-awaited\fP and \fBtriggers\-pending\fP
states. This can be fixed later by running: \fBdpkg \-\-configure \-\-pending\fP.
.TP 
\fB\-\-triggers\fP
Cancels a previous \fB\-\-no\-triggers\fP (since dpkg 1.14.17).
.
.SH "KOD WYJŚCIA"
.TP 
\fB0\fP
The requested action was successfully performed.  Or a check or assertion
command returned true.
.TP 
\fB1\fP
A check or assertion command returned false.
.TP 
\fB2\fP
Fatal or unrecoverable error due to invalid command\-line usage, or
interactions with the system, such as accesses to the database, memory
allocations, etc.
.
.SH ŚRODOWISKO
.SS "External environment"
.TP 
\fBPATH\fP
This variable is expected to be defined in the environment and point to the
system paths where several required programs are to be found. If it's not
set or the programs are not found, \fBdpkg\fP will abort.
.TP 
\fBHOME\fP
Jeśli jest ustawiona, to \fBdpkg\fP będzie jej używał jako katalogu z którego
odczytuje plik konfiguracyjny użytkownika.
.TP 
\fBTMPDIR\fP
Jeśli jest ustawiona, \fBdpkg\fP będzie jej używał jako katalogu do tworzenia
plików i katalogów tymczasowych.
.TP 
\fBSHELL\fP
The program \fBdpkg\fP will execute when starting a new interactive shell, or
when spawning a command via a shell.
.TP 
\fBPAGER\fP
.TQ
\fBDPKG_PAGER\fP
The program \fBdpkg\fP will execute when running a pager, which will be
executed with «\fB$SHELL \-c\fP», for example when displaying the conffile
differences.  If \fBSHELL\fP is not set, «\fBsh\fP» will be used instead.  The
\fBDPKG_PAGER\fP overrides the \fBPAGER\fP environment variable (since dpkg
1.19.2).
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.TP 
\fBDPKG_FORCE\fP
Sets the force flags (since dpkg 1.19.5).  When this variable is present, no
built\-in force defaults will be applied.  If the variable is present but
empty, all force flags will be disabled.
.TP 
\fBDPKG_ADMINDIR\fP
If set and the \fB\-\-admindir\fP or \fB\-\-root\fP options have not been specified,
it will be used as the \fBdpkg\fP administrative directory (since dpkg 1.20.0).
.TP 
\fBDPKG_FRONTEND_LOCKED\fP
Set by a package manager frontend to notify dpkg that it should not acquire
the frontend lock (since dpkg 1.19.1).
.SS "Internal environment"
.TP 
\fBLESS\fP
Defined by \fBdpkg\fP to “\fB\-FRSXMQ\fP”, if not already set, when spawning a
pager (since dpkg 1.19.2).  To change the default behavior, this variable
can be preset to some other value including an empty string, or the \fBPAGER\fP
or \fBDPKG_PAGER\fP variables can be set to disable specific options with
«\fB\-+\fP», for example \fBDPKG_PAGER="less \-+F"\fP.
.TP 
\fBDPKG_ROOT\fP
Defined by \fBdpkg\fP on the maintainer script environment to indicate which
installation to act on (since dpkg 1.18.5).  The value is intended to be
prepended to any path maintainer scripts operate on.  During normal
operation, this variable is empty.  When installing packages into a
different \fBinstdir\fP, \fBdpkg\fP normally invokes maintainer scripts using
\fBchroot\fP(2) and leaves this variable empty, but if
\fB\-\-force\-script\-chrootless\fP is specified then the \fBchroot\fP(2) call is
skipped and \fBinstdir\fP is non\-empty.
.TP 
\fBDPKG_ADMINDIR\fP
Defined by \fBdpkg\fP on the maintainer script environment to indicate the
\fBdpkg\fP administrative directory to use (since dpkg 1.16.0).  This variable
is always set to the current \fB\-\-admindir\fP value.
.TP 
\fBDPKG_FORCE\fP
Defined by \fBdpkg\fP on the subprocesses environment to all the currently
enabled force option names separated by commas (since dpkg 1.19.5).
.TP 
\fBDPKG_SHELL_REASON\fP
Defined by \fBdpkg\fP on the shell spawned on the conffile prompt to examine
the situation (since dpkg 1.15.6).  Current valid value: \fBconffile\-prompt\fP.
.TP 
\fBDPKG_CONFFILE_OLD\fP
Defined by \fBdpkg\fP on the shell spawned on the conffile prompt to examine
the situation (since dpkg 1.15.6).  Contains the path to the old conffile.
.TP 
\fBDPKG_CONFFILE_NEW\fP
Defined by \fBdpkg\fP on the shell spawned on the conffile prompt to examine
the situation (since dpkg 1.15.6).  Contains the path to the new conffile.
.TP 
\fBDPKG_HOOK_ACTION\fP
Defined by \fBdpkg\fP on the shell spawned when executing a hook action (since
dpkg 1.15.4).  Contains the current \fBdpkg\fP action.
.TP 
\fBDPKG_RUNNING_VERSION\fP
Defined by \fBdpkg\fP on the maintainer script environment to the version of
the currently running \fBdpkg\fP instance (since dpkg 1.14.17).
.TP 
\fBDPKG_MAINTSCRIPT_PACKAGE\fP
Defined by \fBdpkg\fP on the maintainer script environment to the
(non\-arch\-qualified) package name being handled (since dpkg 1.14.17).
.TP 
\fBDPKG_MAINTSCRIPT_PACKAGE_REFCOUNT\fP
Defined by \fBdpkg\fP on the maintainer script environment to the package
reference count, i.e. the number of package instances with a state greater
than \fBnot\-installed\fP (since dpkg 1.17.2).
.TP 
\fBDPKG_MAINTSCRIPT_ARCH\fP
Defined by \fBdpkg\fP on the maintainer script environment to the architecture
the package got built for (since dpkg 1.15.4).
.TP 
\fBDPKG_MAINTSCRIPT_NAME\fP
Defined by \fBdpkg\fP on the maintainer script environment to the name of the
script running, one of \fBpreinst\fP, \fBpostinst\fP, \fBprerm\fP or \fBpostrm\fP (since
dpkg 1.15.7).
.TP 
\fBDPKG_MAINTSCRIPT_DEBUG\fP
Defined by \fBdpkg\fP on the maintainer script environment to a value (‘\fB0\fP’
or ‘\fB1\fP’) noting whether debugging has been requested (with the \fB\-\-debug\fP
option) for the maintainer scripts (since dpkg 1.18.4).
.
.SH PLIKI
.TP 
\fI%PKGCONFDIR%/dpkg.cfg.d/[0\-9a\-zA\-Z_\-]*\fP
Configuration fragment files (since dpkg 1.15.4).
.TP 
\fI%PKGCONFDIR%/dpkg.cfg\fP
Plik konfiguracyjny zawierający domyślne opcje.
.TP 
\fI%LOGDIR%/dpkg.log\fP
Default log file (see \fI%PKGCONFDIR%/dpkg.cfg\fP and option \fB\-\-log\fP).
.P
Pozostałe pliki wymienione poniżej odnoszą się do swoich domyślnych
katalogów. Opcja \fB\-\-admindir\fP może zmienić lokalizację tych plików.
.TP 
\fI%ADMINDIR%/available\fP
Lista dostępnych pakietów.
.TP 
\fI%ADMINDIR%/status\fP
Stan dostępnych pakietów. Ten plik zawiera informacje o tym, czy dany pakiet
jest wybrany do skasowania, czy jest zainstalowany itp. Te informacje są
opisane w sekcji \fBINFORMACJE O PAKIETACH\fP.

Kopia zapasowa pliku statusu jest tworzona w \fI/var/backups\fP każdego
dnia. Może to być przydatne jeśli zostanie on utracony lub uszkodzony z
powodu kłopotów z systemami plików.
.P
The format and contents of a binary package are described in \fBdeb\fP(5).
.
.SH BŁĘDY
\fB\-\-no\-act\fP podaje raczej zbyt mało pomocnych informacji.
.
.SH PRZYKŁADY
To list installed packages related to the editor \fBvi\fP(1) (note that
\fBdpkg\-query\fP does not load the \fIavailable\fP file anymore by default, and
the \fBdpkg\-query\fP \fB\-\-load\-avail\fP option should be used instead for that):
.br
    \fBdpkg \-l '*vi*'\fP
.br

Wyświetlenie informacji z pliku \fI%ADMINDIR%/available\fP o dwóch pakietach:
.br
     \fBdpkg \-\-print\-avail elvis vim | less\fP
.br

Samodzielne przeszukanie informacji o pakietach:
.br
     \fBless %ADMINDIR%/available\fP
.br

Wykasowanie zainstalowanego pakietu elvis:
.br
     \fBdpkg \-r elvis\fP
.br

To install a package, you first need to find it in an archive or CDROM. The
\fIavailable\fP file shows that the vim package is in section \fBeditors\fP:
.br
     \fBcd /media/cdrom/pool/main/v/vim\fP
     \fBdpkg \-i vim_4.5\-3.deb\fP
.br

Aby stworzyć kopię lokalnie wybranych pakietów:
.br
     \fBdpkg \-\-get\-selections >mojepakiety\fP
.br

You might transfer this file to another computer, and after having updated
the \fIavailable\fP file there with your package manager frontend of choice
(see https://wiki.debian.org/Teams/Dpkg/FAQ for more details), for example:
.br
     \fBapt\-cache dumpavail | dpkg \-\-merge\-avail\fP
.br
or with dpkg 1.17.6 and earlier:
.br
     \fBavail=`mktemp`\fP
     \fBapt\-cache dumpavail >"$avail"\fP
     \fBdpkg \-\-merge\-avail "$avail"\fP
     \fBrm "$avail"\fP
.br
you can install it with:
.br
     \fBdpkg \-\-clear\-selections\fP
     \fBdpkg \-\-set\-selections <mojepakiety\fP
.br

Należy zauważyć, że ta opcja nie powoduje zainstalowania lub usunięcia
czegokolwiek, ale tylko zaznacza wskazane pakiety do zainstalowania bądź
usunięcia. Do pobrania i zainstalowania tych pakietów trzeba użyć innego
programu. Na przykład można w tym celu użyć polecenia \fBapt\-get
dselect\-upgrade\fP.

Zwyczajowo do wyboru pakietów służy \fBdselect\fP(1), który daje większe
możliwości zmiany ich stanu.
.br
.
.SH "DODATKOWA FUNKCJONALNOŚĆ"
Dodatkową funkcjonalność można uzyskać, instalując którykolwiek z
następujących pakietów: \fBapt\fP, \fBaptitude\fP oraz \fBdebsums\fP.
.
.SH "ZOBACZ TAKŻE"
\fBaptitude\fP(1), \fBapt\fP(1), \fBdselect\fP(1), \fBdpkg\-deb\fP(1), \fBdpkg\-query\fP(1),
\fBdeb\fP(5), \fBdeb\-control\fP(5), \fBdpkg.cfg\fP(5), oraz \fBdpkg\-reconfigure\fP(8).
.
.SH AUTORZY
Patrz plik \fI%PKGDOCDIR%/THANKS.gz\fP zawierający listę osób, które
przyczyniły się do rozwoju programu \fBdpkg\fP.
