.\" dselect manual page - dselect(1)
.\"
.\" Copyright © 1995 Juho Vuori <javuori@cc.helsinki.fi>
.\" Copyright © 2000 Josip Rodin
.\" Copyright © 2001 Joost Kooij
.\" Copyright © 2001 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2010-2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dselect 1 %RELEASE_DATE% %VERSION% "użytki dpkg"
.ad l
.nh
.SH NAZWA
dselect \- konsolowe narzędzie zarządzania pakietami Debiana
.
.SH SKŁADNIA
\fBdselect\fP [\fIoption\fP...] [\fIcommand\fP...]
.
.SH OPIS
\fBdselect\fP
jest jednym z podstawowych narzędzi użytkownika do zarządzania
pakietami Debiana. Z głównego menu programu \fBdselect\fP administrator systemu może:
 \- zaktualizować listę dostępnych pakietów,
 \- wyświetlić stan zainstalowanych i dostępnych wersji pakietów,
 \- wybierać pakiety i zarządzać zależnościami,
 \- zainstalować nowe pakiety lub zaktualizować pakiety do nowszych wersji.
.PP
\fBdselect\fP operates as a front\-end to \fBdpkg\fP(1), the low\-level Debian
package handling tool. It features a full\-screen package selections manager
with package depends and conflicts resolver. When run with administrator
privileges, packages can be installed, upgraded and removed. Various access
methods can be configured to retrieve available package version information
and installable packages from package repositories.  Depending on the used
access method, these repositories can be public archive servers on the
internet, local archive servers or CD\-ROMs.  The recommended access method
is \fIapt\fP, which is provided by the package \fBapt\fP.
.PP
Normally \fBdselect\fP is invoked without parameters. An interactive menu is
presented, offering the user a list of commands. If a command is given as
argument, then that command is started immediately. Several command line
parameters are still available to modify the running behaviour of \fBdselect\fP
or show additional information about the program.
.
.SH OPCJE
All options can be specified both on the command line and in the \fBdselect\fP
configuration file \fI%PKGCONFDIR%/dselect.cfg\fP or the files on the
configuration directory \fI%PKGCONFDIR%/dselect.cfg.d/\fP. Each line in the
configuration file is either an option (exactly the same as the command line
option but without leading hyphens) or a comment (if it starts with a
‘\fB#\fP’).
.br
.TP 
\fB\-\-admindir\fP\fI katalog\fP
Changes the directory where the dpkg ‘\fIstatus\fP’, ‘\fIavailable\fP’ and similar
files are located.  This defaults to \fI%ADMINDIR%\fP and normally there
shouldn't be any need to change it.
.TP 
\fB\-D\fP\fIfile\fP, \fB\-\-debug\fP \fIfile\fP
Włącza opcję debuggera. Informacje debuggera są wysyłane do \fIpliku\fP.
.TP 
\fB\-\-expert\fP
Włącza tryb doświadczonego użytkownika i na przykład nie wyświetla męczących
informacji z pomocą.
.TP 
\fB\-\-color\fP \fIscreenpart\fP:[\fIforeground\fP],[\fIbackground\fP][:\fIattr\fP[\fI+attr\fP]...]
.TQ
\fB\-\-colour\fP \fIscreenpart\fP:[\fIforeground\fP],[\fIbackground\fP][:\fIattr\fP[\fI+attr\fP]...]
Ustawia kolory ekranu. Działa tylko pod warunkiem, że terminal obsługuje
kolory. Ta opcja może zostać użyta wiele razy (i najlepiej jej używać w
\fIdselect.cfg\fP). Każde użycie zmienia kolor (i opcjonalnie inne atrybuty)
jakiejś części ekranu. Części ekranu są następujące (od góry do dołu):
.RS
.TP 
\fBtitle\fP
Tytuł ekranu.
.TP 
\fBlisthead\fP
Linia nagłówka nad listą pakietów.
.TP 
\fBlist\fP
Przewijana lista pakietów (i również niektóre teksty pomocy).
.TP 
\fBlistsel\fP
Podświetlony element z listy.
.TP 
\fBpkgstate\fP
W liście pakietów \- tekst oznaczający obecny stan każdego pakietu.
.TP 
\fBpkgstatesel\fP
W liście pakietów \- tekst oznaczający obecny stan podświetlonego pakietu.
.TP 
\fBinfohead\fP
Linia nagłówka, w której wyświetlony jest stan obecnie zaznaczonego pakietu.
.TP 
\fBinfodesc\fP
Krótki opis pakietu.
.TP 
\fBinfo\fP
Używane do wyświetlania informacji o pakiecie takich jak jego opis.
.TP 
\fBinfofoot\fP
Ostatnia linia ekranu z wyborem pakietów.
.TP 
\fBquery\fP
Używane do wyświetlania linii zapytań.
.TP 
\fBhelpscreen\fP
Kolor ekranów pomocy.
.RE
.IP
Po części ekranu następuje dwukropek i specyfikacja koloru. Można określić
kolor czcionek, kolor tła albo oba te kolory, unieważniając domyślne
wartości kolorów. Należy używać standardowych nazw kolorów z biblioteki
curses.
.IP
Optionally, after the color specification is another colon, and an attribute
specification. This is a list of one or more attributes, separated by plus
(‘+’) characters.  Available attributes include (not all of these will work
on all terminals): \fBnormal\fP, \fBstandout\fP, \fBunderline\fP, \fBreverse\fP,
\fBblink\fP, \fBbright\fP, \fBdim\fP, \fBbold\fP
.TP 
\fB\-?\fP, \fB\-\-help\fP
Wyświetla krótką informację o pomocy i pomyślnie kończy działanie.
.TP 
\fB\-\-version\fP
Wyświetla informację o wersji i pomyślnie kończy działanie.
.
.SH POLECENIA
When \fBdselect\fP is started it can perform the following commands, either
directly if it was specified on the command line or by prompting the user
with a menu of available commands if running interactively:
.SS "access (dostęp)"
Wybiera metodę dostępu używaną do znalezienia repozytorium pakietów.
.sp
By default, \fBdselect\fP provides several methods such as \fIcdrom\fP,
\fImulti_cd\fP, \fInfs\fP, \fImulti_nfs\fP, \fIharddisk\fP, \fImounted\fP, \fImulti_mount\fP
or \fIftp\fP, but other packages may provide additional methods, eg. the \fIapt\fP
access method provided by the \fBapt\fP package.
.sp
Zalecane jest używanie metody \fIapt\fP.
.sp
.SS "update (aktualizacja)"
Aktualizuje bazę dostępnych pakietów.
.sp
Ściąga listę dostępnych wersji pakietów z repozytorium pakietów,
skonfigurowanego za pomocą wybranej metody dostępu, i aktualizuje bazę
pakietów programu dpkg. Listy pakietów są zwyczajowo zawarte w repozytorium
w plikach nazwanych \fIPackages\fP lub \fIPackages.gz\fP. Pliki te mogą zostać
wygenerowane przez opiekunów repozytoriów za pomocą programu
\fBdpkg\-scanpackages\fP(1).
.sp
Details of the update command depend on the access method's implementation.
Normally the process is straightforward and requires no user interaction.
.sp
.SS "select (wybór)"
Wyświetla informacje o wyborze pakietów i zależnościach oraz zarządza nimi.
.sp
Jest to główna funkcja programu \fBdselect\fP. W ekranie wyboru pakietów
użytkownik może przeglądać listę dostępnych i zainstalowanych
pakietów. Jeżeli program działa z uprawnieniami administratora, możliwe jest
interaktywne zmienianie stanu pakietów. \fBdselect\fP śledzi wpływ tych zmian
na pakiety zależne.
.sp
Jeśli zostanie wykryty konflikt lub niespełniona zależność, wyświetlany jest
ekran rozwiązywania zależności pokazujący listę pakietów, powodujących
konflikt lub niespełnioną zależność i dla każdego wyświetlonego pakietu \-
przyczynę, dla której jest on wyświetlony. Użytkownik może zastosować się do
sugestii zaproponowanych przez \fBdselect\fP, unieważnić je lub wycofać się ze
zmian, włączając w to pakiety, które spowodowały niespełnione zależności lub
konflikty.
.sp
Używanie ekrany do zarządzania interaktywnym wyborem pakietów jest
szczegółowo wyjaśnione poniżej.
.sp
.SS "install (instalacja)"
Instaluje wybrane pakiety.
.sp
Za pomocą skonfigurowanej metody dostępu zostaną z odpowiednich repozytoriów
pobrane pakiety do zainstalowania lub zaktualizowania za pomocą programu
\fBdpkg\fP. Zależnie od implementacji tej metody dostępu, pakiety mogą zostać
pobrane wcześniej \- przed instalacją \- lub wtedy, gdy będą
potrzebne. Niektóre metody dostępu również usuwają pakiety zaznaczone do
usunięcia.
.sp
Jeżeli podczas instalacji wystąpi błąd, poleca się uruchomienie akcji
install jeszcze raz. W większości przypadków, problemy same znikną lub
zostaną rozwiązane. Jeśli problem pozostaje lub przeprowadzona instalacja
była nieprawidłowa, prosimy o zbadanie przyczyn problemu i okoliczności jego
wystąpienia i o wysłanie reportu o błędzie do systemu śledzenia błędów
Debiana. Instrukcje, jak to zrobić, można znaleźć pod adresem
https://bugs.debian.org/ albo w dokumentacji programów \fBbug\fP(1) lub
\fBreportbug\fP(1), jeżeli są zainstalowane.
.sp
Details of the install command depend on the access method's
implementation.  The user's attention and input may be required during
installation, configuration or removal of packages. This depends on the
maintainer scripts in the package. Some packages make use of the
\fBdebconf\fP(1)  library, allowing for more flexible or even automated
installation setups.
.sp
.SS "config (konfigurowanie)"
Konfiguruje wszystkie pakiety poprzednio zainstalowane, ale nie do końca
skonfigurowane.
.sp
.SS "remove (usuwanie)"
Usuwa lub czyści te zainstalowane pakiety, które są zaznaczone do usunięcia.
.sp
.SS "quit (wyjście)"
Quit \fBdselect\fP.
.sp
Wychodzi z programu z zerowym kodem błędu (pomyślnie).
.sp
.
.SH "PACKAGE SELECTIONS MANAGEMENT"
.sp
.SS Wstęp
.sp
\fBdselect\fP directly exposes the administrator to some of the complexities
involved with managing large sets of packages with many
interdependencies. For a user who is unfamiliar with the concepts and the
ways of the Debian package management system, it can be quite
overwhelming. Although \fBdselect\fP is aimed at easing package management and
administration, it is only instrumental in doing so and cannot be assumed to
be a sufficient substitute for administrator skill and understanding. The
user is required to be familiar with the concepts underlying the Debian
packaging system.  In case of doubt, consult the \fBdpkg\fP(1) manpage and the
distribution policy.
.sp
Unless \fBdselect\fP is run in expert or immediate mode, a help screen is first
displayed when choosing this command from the menu. The user is \fIstrongly\fP
advised to study all of the information presented in the online help
screens, when one pops up.  The online help screens can at any time be
invoked with the ‘\fB?\fP’ key.
.sp
.SS "Układ ekranu"
.sp
Ekran wyboru pakietów domyślnie podzielony jest na górną i dolną połowę. W
górnej połowie wyświetlona jest lista pakietów. Za pomocą paska wyboru można
wybrać pojedynczy pakiet lub grupę pakietów, przez zaznaczenie nagłówka
grupy pakietów. W dolnej połowie ekranu pokazane są szczegółowe informacje
na temat pakietu obecnie wybranego w górnej połowie ekranu. Typ tych
informacji może być różny.
.sp
Pressing the ‘\fBI\fP’ key toggles a full\-screen display of the packages list,
an enlarged view of the package details, or the equally split screen.
.sp
.SS "Widok szczegółowych informacji o pakiecie"
.sp
The package details view by default shows the extended package description
for the package that is currently selected in the packages status list.
The type of detail can be toggled by pressing the ‘\fBi\fP’ key.
This alternates between:
 \- the extended description
 \- the control information for the installed version
 \- the control information for the available version
.sp
Ekran rozwiązywania zależności daje także możliwość podejrzenia określonych
niespełnionych zależności bądź konfliktów związanych z pakietem, tj. tych
zależności, które spowodowały wylistowanie tego pakietu.
.sp
.SS "Lista stanów pakietów"
.sp
The main select screen displays a list of all packages known to the Debian
package management system. This includes packages installed on the system
and packages known from the available packages database.
.sp
For every package, the list shows the package's status, priority, section,
installed and available architecture, installed and available versions, the
package name and its short description, all in one line.  By pressing the
‘\fBA\fP’ key, the display of the installed and available architecture can be
toggled between on an off.  By pressing the ‘\fBV\fP’ key, the display of the
installed and available version can be toggled between on an off.  By
pressing the ‘\fBv\fP’ key, the package status display is toggled between
verbose and shorthand.  Shorthand display is the default.
.sp
Na skrócony opis stanu pakietu składają się cztery części: flaga błędu,
która normalnie powinna być czysta, obecny stan zainstalowania pakietu,
poprzedni stan wyboru pakietu oraz obecny stan wyboru pakietu. Dwie pierwsze
części są związane z obecnym stanem pakietu, kolejne dwie \- związane z
wyborami dokonanymi przez użytkownika.
.sp
Oznaczenia używane w skróconym opisie stanu pakietu są następujące:
 Flaga błędu:
  \fIpusty\fP   bez błędu;
  \fBR\fP       poważny błąd, pakiet wymaga reinstalacji;
 Stan instalacji:
  \fIpusty\fP   nie zainstalowany;
  \fB*\fP       w pełni zainstalowany i skonfigurowany;
  \fB\-\fP       nie zainstalowany, ale mogły pozostać pliki konfiguracyjne;
  \fBU\fP       rozpakowany, ale jeszcze nie skonfigurowany;
  \fBC\fP       w połowie skonfigurowany (wystąpił błąd);
  \fBI\fP       w połowie zainstalowany (wystąpił błąd).
 Obecne i żądane wybory:
  \fB*\fP       zaznaczony do zainstalowania lub zaktualizowania;
  \fB\-\fP       zaznaczony do usunięcia z pozostawieniem plików konfig.;
  \fB=\fP       wstrzymany: pakiet nie będzie przetwarzany;
  \fB_\fP       zaznaczony do usunięcia i wyczyszczenia plików konfig.;
  \fBn\fP       pakiet jest nowy i jeszcze nie był znaczony.
.sp
.SS "Przesuwanie kursora i ekranu"
.sp
Ekran wyboru pakietów oraz ekran rozwiązywania zależności można przesuwać
używając poleceń przypisanych do następujących klawiszy:
.br
  \fBp, Up, k\fP           przesunięcie paska kursora w górę
  \fBn, Down, j\fP         przesunięcie paska kursora w dół
  \fBP, Pgup, Backspace\fP przesunięcie listy 1 stronę w górę
  \fBN, Pgdn, Space\fP     przesunięcie listy 1 stronę w dół
  \fB^p\fP                 przesunięcie listy 1 linię w górę
  \fB^n\fP                 przesunięcie listy 1 linię w dół
  \fBt, Home\fP            skok na początek listy
  \fBe, End\fP             skok na koniec listy
  \fBu\fP                  przesunięcie informacji 1 stronę w górę
  \fBd\fP                  przesunięcie informacji 1 stronę w dół
  \fB^u\fP                 przesunięcie informacji 1 linię w górę
  \fB^d\fP                 przesunięcie informacji 1 linię w dół
  \fBB, Left\-arrow\fP      przesunięcie ekranu o 1/3 ekranu w lewo
  \fBF, Right\-arrow\fP     przesunięcie ekranu o 1/3 ekranu w prawo
  \fB^b\fP                 przesunięcie ekranu o 1 znak w lewo
  \fB^f\fP                 przesunięcie ekranu o 1 znak w prawo
.sp
.SS "Wyszukiwanie i sortowanie"
.sp
The list of packages can be searched by package name. This is done by
pressing ‘\fB/\fP’, and typing a simple search string. The string is
interpreted as a \fBregex\fP(7)  regular expression.  If you add ‘\fB/d\fP’ to the
search expression, dselect will also search in descriptions.  If you add
‘\fB/i\fP’ the search will be case insensitive.  You may combine these two
suffixes like this: ‘\fB/id\fP’.  Repeated searching is accomplished by
repeatedly pressing the ‘\fBn\fP’ or ‘\fB\e\fP’ keys, until the wanted package is
found.  If the search reaches the bottom of the list, it wraps to the top
and continues searching from there.
.sp
The list sort order can be varied by pressing
the ‘\fBo\fP’ and ‘\fBO\fP’ keys repeatedly.
The following nine sort orderings can be selected:
 alphabet          available           status
 priority+section  available+priority  status+priority
 section+priority  available+section   status+section
.br
Tam gdzie nie jest to powyżej wyraźnie powiedziane, porządek alfabetyczny
jest używany jako klucz podwyszukiwania.
.sp
.SS "Zmienianie wyboru pakietów"
.sp
Żądany stan wyboru indywidualnych pakietów można zmienić
za pomocą następujących poleceń:
  \fB+, Insert\fP    instalacja lub aktualizacja
  \fB=, H\fP         wstrzymanie pakietu w obecnym stanie i wersji
  \fB:, G\fP         zaprzestanie wstrzymania: aktualizacja pakietu lub pozostawienie go jako niezainstalowanego
  \fB\-, Delete\fP    usunięcie, ale z zostawieniem plików konfiguracyjnych
  \fB_\fP            usunięcie z wyczyszczeniem plików konfiguracyjnych
.sp
Kiedy w wyniku zmian powstają jedna lub więcej niespełnionych zależności
albo konflikty, \fBdselect\fP wyświetla użytkownikowi ekran rozwiązywania
zależności. Będzie on objaśniony nieco później.
.sp
Powyższe polecenia można zastosować również do grup pakietów \- przez
ustawienie paska kursora na nagłówku grupy. Sposób grupowania pakietów
zależy od ustawień sortowania listy pakietów.
.sp
Należy zachować należytą ostrożność, zmieniając duże grupy pakietów,
ponieważ może to oznaczać natychmiastowe utworzenie dużej liczby
niespełnionych zależności i konfliktów, bardzo trudnej do rozwiązania. W
praktyce tylko operacje wstrzymania i zaprzestania wstrzymania są użyteczne
w odniesieniu do grup pakietów.
.sp
.SS "Rozwiązywanie zależności i konfliktów"
.sp
Kiedy w wyniku zmian powstają jedna lub więcej niespełnionych zależności
albo konflikty, \fBdselect\fP wyświetla użytkownikowi ekran rozwiązywania
zależności. Najpierw, jednakże, wyświetlany jest ekran pomocy.
.sp
W górnej połowie ekranu rozwiązywania zależności wyświetlone są wszystkie te
pakiety, które w wyniku zastosowania żądanych przez użytkownika zmian
miałyby niespełnione zależności albo konflikty, oraz wszystkie te pakiety,
których instalacja spełniłaby któreś z tych zależności, lub których
usunięcie rozwiązałoby konflikty. W dolnej połowie wyświetlone są te
zależności lub konflikty, które spowodowały, że obecnie wybrany pakiet
został umieszczony na liście.
.sp
Wyświetlając początkową podlistę pakietów, \fBdselect\fP mógł ustawić już pewne
żądane wybory niektórych spośród wylistowanych pakietów, w celu rozwiązania
zależności lub konfliktów, które były przyczyną wyświetlenia ekranu
rozwiązywania zależności. Zazwyczaj najlepszym wyjściem jest zastosowanie
się do sugestii zrobionych przez \fBdselect\fP.
.sp
The listed packages' selection state may be reverted to the original
settings, as they were before the unresolved depends or conflicts were
created, by pressing the ‘\fBR\fP’ key.  By pressing the ‘\fBD\fP’ key, the
automatic suggestions are reset, but the change that caused the dependency
resolution screen to be prompted is kept as requested.  Finally, by pressing
‘\fBU\fP’, the selections are again set to the automatic suggestion values.
.sp
.SS "Ustanawianie żądanych wyborów pakietów"
.sp
Po naciśnięciu klawisza \fBenter\fP, obecnie wyświetlony zbiór wyborów zostaje
zaakceptowany. Jeżeli \fBdselect\fP nie wykryje niespełnionych zależności
powstałych w wyniku zaakceptowania żądanych wyborów, to zostaną one
ustawione. Jednakże, jeżeli będą nierozwiązane zależności, to \fBdselect\fP
ponownie wyświetli ekran rozwiązywania zależności.
.sp
To alter a set of selections that creates unresolved depends or conflicts
and forcing \fBdselect\fP to accept it, press the ‘\fBQ\fP’ key. This sets the
selections as specified by the user, unconditionally. Generally, don't do
this unless you've read the fine print.
.sp
The opposite effect, to back out any selections change requests and go back
to the previous list of selections, is attained by pressing the ‘\fBX\fP’ or
\fBescape\fP keys. By repeatedly pressing these keys, any possibly detrimental
changes to the requested package selections can be backed out completely to
the last established settings.
.sp
If you mistakenly establish some settings and wish to revert all the
selections to what is currently installed on the system, press the ‘\fBC\fP’
key.  This is somewhat similar to using the unhold command on all packages,
but provides a more obvious panic button in cases where the user pressed
\fBenter\fP by accident.
.sp
.
.SH "KOD WYJŚCIA"
.TP 
\fB0\fP
The requested command was successfully performed.
.TP 
\fB2\fP
Fatal or unrecoverable error due to invalid command\-line usage, or
interactions with the system, such as accesses to the database, memory
allocations, etc.
.
.SH ŚRODOWISKO
.TP 
\fBHOME\fP
Jeśli ustawiona, \fBdselect\fP będzie jej używał jako katalogu z którego
odczyta plik konfiguracyjny użytkownika.
.
.SH BŁĘDY
Dla nowych użytkowników, \fBdselect\fP może być trudny do opanowania. Podobno
zmusza do płaczu nawet wytrawnych współtwórców jądra Linuksa.
.sp
Dokumentacja jest wybrakowana.
.sp
Brak opcji "pomoc" w głównym menu.
.sp
Nie można ograniczyć listy dostępnych pakietów.
.sp
Wbudowane metody dostępu nie są zgodne z obecnymi standardami
jakości. Należy używać metody apt, która nie tylko nie jest zepsuta, ale
także jest o wiele bardziej elastyczna niż metody wbudowane.
.
.SH "ZOBACZ TAKŻE"
\fBdpkg\fP(1), \fBapt\-get\fP(8), \fBsources.list\fP(5), \fBdeb\fP(5).
