.\" dpkg manual page - dpkg-deb(1)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 1999 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006 Frank Lichtenheld <djpig@debian.org>
.\" Copyright © 2007-2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-deb 1 %RELEASE_DATE% %VERSION% "dpkg suite"
.ad l
.nh
.SH NOME
dpkg\-deb \- Debian package archive (.deb) manipulation tool
.
.SH RESUMO
\fBdpkg\-deb\fP [\fIoption\fP...] \fIcommand\fP
.
.SH DESCRIÇÃO
\fBdpkg\-deb\fP packs, unpacks and provides information about Debian archives.
.PP
Use \fBdpkg\fP to install and remove packages from your system.
.PP
You can also invoke \fBdpkg\-deb\fP by calling \fBdpkg\fP with whatever options you
want to pass to \fBdpkg\-deb\fP. \fBdpkg\fP will spot that you wanted \fBdpkg\-deb\fP
and run it for you.
.PP
For most commands taking an input archive argument, the archive can be read
from standard input if the archive name is given as a single minus character
(«\fB\-\fP»); otherwise lack of support will be documented in their respective
command description.
.
.SH COMMANDS
.TP 
\fB\-b\fP, \fB\-\-build\fP \fIbinary\-directory\fP [\fIarchive\fP|\fIdirectory\fP]
Creates a debian archive from the filesystem tree stored in
\fIbinary\-directory\fP. \fIbinary\-directory\fP must have a \fBDEBIAN\fP subdirectory,
which contains the control information files such as the control file
itself. This directory will \fInot\fP appear in the binary package's filesystem
archive, but instead the files in it will be put in the binary package's
control information area.

Unless you specify \fB\-\-nocheck\fP, \fBdpkg\-deb\fP will read \fBDEBIAN/control\fP and
parse it. It will check the file for syntax errors and other problems, and
display the name of the binary package being built.  \fBdpkg\-deb\fP will also
check the permissions of the maintainer scripts and other files found in the
\fBDEBIAN\fP control information directory.

If no \fIarchive\fP is specified then \fBdpkg\-deb\fP will write the package into
the file \fIbinary\-directory\fP\fB.deb\fP.

If the archive to be created already exists it will be overwritten.

If the second argument is a directory then \fBdpkg\-deb\fP will write to the
file \fIdirectory\fP\fB/\fP\fIpackage\fP\fB_\fP\fIversion\fP\fB_\fP\fIarch\fP\fB.deb.\fP When a
target directory is specified, rather than a file, the \fB\-\-nocheck\fP option
may not be used (since \fBdpkg\-deb\fP needs to read and parse the package
control file to determine which filename to use).
.TP 
\fB\-I\fP, \fB\-\-info\fP \fIarchive\fP [\fIcontrol\-file\-name\fP...]
Provides information about a binary package archive.

If no \fIcontrol\-file\-name\fPs are specified then it will print a summary of
the contents of the package as well as its control file.

If any \fIcontrol\-file\-name\fPs are specified then \fBdpkg\-deb\fP will print them
in the order they were specified; if any of the components weren't present
it will print an error message to stderr about each one and exit with status
2.
.TP 
\fB\-W\fP, \fB\-\-show\fP \fIarchive\fP
Provides information about a binary package archive in the format specified
by the \fB\-\-showformat\fP argument. The default format displays the package's
name and version on one line, separated by a tabulator.
.TP 
\fB\-f\fP, \fB\-\-field\fP \fIarchive\fP [\fIcontrol\-field\-name\fP...]
Extracts control file information from a binary package archive.

If no \fIcontrol\-field\-name\fPs are specified then it will print the whole
control file.

If any are specified then \fBdpkg\-deb\fP will print their contents, in the
order in which they appear in the control file. If more than one
\fIcontrol\-field\-name\fP is specified then \fBdpkg\-deb\fP will precede each with
its field name (and a colon and space).

No errors are reported for fields requested but not found.
.TP 
\fB\-c\fP, \fB\-\-contents\fP \fIarchive\fP
Lists the contents of the filesystem tree archive portion of the package
archive. It is currently produced in the format generated by \fBtar\fP's
verbose listing.
.TP 
\fB\-x\fP, \fB\-\-extract\fP \fIarchive directory\fP
Extracts the filesystem tree from a package archive into the specified
directory.

Note that extracting a package to the root directory will \fInot\fP result in a
correct installation! Use \fBdpkg\fP to install packages.

\fIdirectory\fP (but not its parents) will be created if necessary, and its
permissions modified to match the contents of the package.
.TP 
\fB\-X\fP, \fB\-\-vextract\fP \fIarchive directory\fP
Is like \fB\-\-extract\fP (\fB\-x\fP)  with \fB\-\-verbose\fP (\fB\-v\fP)  which prints a
listing of the files extracted as it goes.
.TP 
\fB\-R\fP, \fB\-\-raw\-extract\fP \fIarchive directory\fP
Extracts the filesystem tree from a package archive into a specified
directory, and the control information files into a \fBDEBIAN\fP subdirectory
of the specified directory (since dpkg 1.16.1).

The target directory (but not its parents) will be created if necessary.

The input archive is not (currently) processed sequentially, so reading it
from standard input («\fB\-\fP») is \fBnot\fP supported.
.TP 
\fB\-\-ctrl\-tarfile\fP \fIarchive\fP
Extracts the control data from a binary package and sends it to standard
output in \fBtar\fP format (since dpkg 1.17.14). Together with \fBtar\fP(1)  this
can be used to extract a particular control file from a package archive.
The input archive will always be processed sequentially.
.TP 
\fB\-\-fsys\-tarfile\fP \fIarchive\fP
Extracts the filesystem tree data from a binary package and sends it to
standard output in \fBtar\fP format. Together with \fBtar\fP(1)  this can be used
to extract a particular file from a package archive.  The input archive will
always be processed sequentially.
.TP 
\fB\-e\fP, \fB\-\-control\fP \fIarchive\fP [\fIdirectory\fP]
Extracts the control information files from a package archive into the
specified directory.

If no directory is specified then a subdirectory \fBDEBIAN\fP in the current
directory is used.

The target directory (but not its parents) will be created if necessary.
.TP 
\fB\-?\fP, \fB\-\-help\fP
Show the usage message and exit.
.TP 
\fB\-\-version\fP
Show the version and exit.
.
.SH OPÇÕES
.TP 
\fB\-\-showformat=\fP\fIformat\fP
This option is used to specify the format of the output \fB\-\-show\fP will
produce. The format is a string that will be output for each package listed.

The string may reference any status field using the “${\fIfield\-name\fP}” form,
a list of the valid fields can be easily produced using \fB\-I\fP on the same
package. A complete explanation of the formatting options (including escape
sequences and field tabbing) can be found in the explanation of the
\fB\-\-showformat\fP option in \fBdpkg\-query\fP(1).

The default for this field is “${Package}\et${Version}\en”.
.TP 
\fB\-z\fP\fIcompress\-level\fP
Specify which compression level to use on the compressor backend, when
building a package (default is 9).  The accepted values are 0\-9 with: 0
being mapped to compressor none for gzip.  Before dpkg 1.16.2 level 0 was
equivalent to compressor none for all compressors.
.TP 
\fB\-S\fP\fIcompress\-strategy\fP
Specify which compression strategy to use on the compressor backend, when
building a package (since dpkg 1.16.2). Allowed values are \fBnone\fP (since
dpkg 1.16.4), \fBfiltered\fP, \fBhuffman\fP, \fBrle\fP and \fBfixed\fP for gzip (since
dpkg 1.17.0) and \fBextreme\fP for xz.
.TP 
\fB\-Z\fP\fIcompress\-type\fP
Specify which compression type to use when building a package.  Allowed
values are \fBgzip\fP, \fBxz\fP (since dpkg 1.15.6), and \fBnone\fP (default is
\fBxz\fP).
.TP 
\fB\-\-[no\-]uniform\-compression\fP
Specify that the same compression parameters should be used for all archive
members (i.e. \fBcontrol.tar\fP and \fBdata.tar\fP; since dpkg 1.17.6).  Otherwise
only the \fBdata.tar\fP member will use those parameters. The only supported
compression types allowed to be uniformly used are \fBnone\fP, \fBgzip\fP and
\fBxz\fP.  The \fB\-\-no\-uniform\-compression\fP option disables uniform compression
(since dpkg 1.19.0).  Uniform compression is the default (since dpkg
1.19.0).
.TP 
\fB\-\-root\-owner\-group\fP
Set the owner and group for each entry in the filesystem tree data to root
with id 0 (since dpkg 1.19.0).

\fBNote\fP: This option can be useful for rootless builds (see
\fIrootless\-builds.txt\fP), but should \fBnot\fP be used when the entries have an
owner or group that is not root.  Support for these will be added later in
the form of a meta manifest.
.TP 
\fB\-\-deb\-format=\fP\fIformat\fP
Set the archive format version used when building (since dpkg 1.17.0).
Allowed values are \fB2.0\fP for the new format, and \fB0.939000\fP for the old
one (default is \fB2.0\fP).

The old archive format is less easily parsed by non\-Debian tools and is now
obsolete; its only use is when building packages to be parsed by versions of
dpkg older than 0.93.76 (September 1995), which was released as i386 a.out
only.
.TP 
\fB\-\-nocheck\fP
Inhibits \fBdpkg\-deb \-\-build\fP's usual checks on the proposed contents of an
archive. You can build any archive you want, no matter how broken, this way.
.TP 
\fB\-v\fP, \fB\-\-verbose\fP
Enables verbose output (since dpkg 1.16.1).  This currently only affects
\fB\-\-extract\fP making it behave like \fB\-\-vextract\fP.
.TP 
\fB\-D\fP, \fB\-\-debug\fP
Enables debugging output. This is not very interesting.
.
.SH "EXIT STATUS"
.TP 
\fB0\fP
The requested action was successfully performed.
.TP 
\fB2\fP
Fatal or unrecoverable error due to invalid command\-line usage, or
interactions with the system, such as accesses to the database, memory
allocations, etc.
.
.SH ENVIRONMENT
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.TP 
\fBTMPDIR\fP
If set, \fBdpkg\-deb\fP will use it as the directory in which to create
temporary files and directories.
.TP 
\fBSOURCE_DATE_EPOCH\fP
If set, it will be used as the timestamp (as seconds since the epoch) in the
\fBdeb\fP(5)'s \fBar\fP(5) container and used to clamp the mtime in the \fBtar\fP(5)
file entries.
.
.SH NOTES
Do not attempt to use just \fBdpkg\-deb\fP to install software! You must use
\fBdpkg\fP proper to ensure that all the files are correctly placed and the
package's scripts run and its status and contents recorded.
.
.SH BUGS
\fBdpkg\-deb \-I\fP \fIpackage1\fP\fB.deb\fP \fIpackage2\fP\fB.deb\fP does the wrong thing.

There is no authentication on \fB.deb\fP files; in fact, there isn't even a
straightforward checksum.  (Higher level tools like APT support
authenticating \fB.deb\fP packages retrieved from a given repository, and most
packages nowadays provide an md5sum control file generated by
debian/rules. Though this is not directly supported by the lower level
tools.)
.
.SH "VEJA TAMBÉM"
\fBdeb\fP(5), \fBdeb\-control\fP(5), \fBdpkg\fP(1), \fBdselect\fP(1).
