.\" dpkg manual page - dpkg-checkbuilddeps(1)
.\"
.\" Copyright © 2001 Joey Hess <joeyh@debian.org>
.\" Copyright © 2007-2013, 2015 Guillem Jover <guillem@debian.org>
.\" Copyright © 2008-2011 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-checkbuilddeps 1 %RELEASE_DATE% %VERSION% "комплект dpkg"
.ad l
.nh
.SH НАЗВАНИЕ
dpkg\-checkbuilddeps \-\- проверяет сборочные зависимости и конфликты
.
.SH СИНТАКСИС
\fBdpkg\-checkbuilddeps\fP [\fIoption\fP...] [\fIcontrol\-file\fP]
.
.SH ОПИСАНИЕ
Эта программа проверяет установленные в системе пакеты на предмет сборочных
зависимостей и конфликтов, описанных в файле control. Если какие\-то из этих
зависимостей или конфликтов не удовлетворены, то об этом сообщается и работа
завершается с ненулевым кодом возврата.
.P
By default, \fBdebian/control\fP is read, but an alternate control filename may
be specified on the command line.
.
.SH ПАРАМЕТРЫ
.TP 
\fB\-\-admindir=\fP\fIdir\fP
Change the location of the \fBdpkg\fP database (since dpkg 1.14.0).  The
default location is \fI%ADMINDIR%\fP.
.TP 
\fB\-A\fP
Ignore \fBBuild\-Depends\-Arch\fP and \fBBuild\-Conflicts\-Arch\fP lines (since dpkg
1.16.4).  Use when only arch\-indep packages will be built, or combine with
\fB\-B\fP when only a source package is to be built.
.TP 
\fB\-B\fP
Ignore \fBBuild\-Depends\-Indep\fP and \fBBuild\-Conflicts\-Indep\fP lines. Use when
only arch\-dep packages will be built, or combine with \fB\-A\fP when only a
source package is to be built.
.TP 
\fB\-I\fP
Ignore built\-in build depends and conflicts (since dpkg 1.18.2).  These are
implicit dependencies that are usually required on a specific distribution,
the so called Build\-Essential package set.
.TP 
\fB\-d \fP\fIbuild\-depends\-string\fP
.TP 
\fB\-c \fP\fIbuild\-conflicts\-string\fP
Use the given build dependencies/conflicts instead of those contained in the
\fIdebian/control\fP file (since dpkg 1.14.17).
.TP 
\fB\-a \fP\fIarch\fP
Check build dependencies/conflicts assuming that the package described in
the control file is to be built for the given host architecture instead of
the architecture of the current system (since dpkg 1.16.2).
.TP 
\fB\-P \fP\fIprofile\fP[\fB,\fP...]
Check build dependencies/conflicts assuming that the package described in
the control file is to be built for the given build profile(s)  (since dpkg
1.17.2).  The argument is a comma\-separated list of profile names.
.TP 
\fB\-?\fP, \fB\-\-help\fP
Show the usage message and exit.
.TP 
\fB\-\-version\fP
Show the version and exit.
.
.SH ENVIRONMENT
.TP 
\fBDEB_BUILD_PROFILES\fP
If set, it will be used as the active build profile(s) for the package being
built. It is a space separated list of profile names. Overridden by the
\fB\-P\fP option.
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.TP 
\fBDPKG_NLS\fP
If set, it will be used to decide whether to activate Native Language
Support, also known as internationalization (or i18n) support (since dpkg
1.19.0).  The accepted values are: \fB0\fP and \fB1\fP (default).
