.\" dpkg manual page - dpkg(1)
.\"
.\" Copyright © 1996 Juho Vuori <javuori@cc.helsinki.fi>
.\" Copyright © 1999 Jim Van Zandt <jrv@vanzandt.mv.com>
.\" Copyright © 1999-2003 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2000-2003 Adam Heath <doogie@debian.org>
.\" Copyright © 2002 Josip Rodin
.\" Copyright © 2004-2005 Scott James Remnant <keybuk@debian.org>
.\" Copyright © 2006-2016 Guillem Jover <guillem@debian.org>
.\" Copyright © 2007-2008 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2008-2011 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg 1 %RELEASE_DATE% %VERSION% "комплект dpkg"
.ad l
.nh
.SH НАЗВАНИЕ
dpkg \-\- менеджер пакетов Debian
.
.SH СИНТАКСИС
\fBdpkg\fP [\fIoption\fP...] \fIaction\fP
.
.SH ПРЕДУПРЕЖДЕНИЕ
Это руководство предназначено для пользователей, желающих более подробно
ознакомиться с параметрами командной строки \fBdpkg\fP и состояниями пакетов:
здесь это описано более детально, чем в \fBdpkg \-\-help\fP.

Это руководство \fIне\fP следует использовать сопровождающим пакетов, которые
хотят понять, как \fBdpkg\fP будет устанавливать их пакеты. Описание того, что
делает \fBdpkg\fP при установке и удалении пакетов особенно не полно.
.
.SH ОПИСАНИЕ
\fBdpkg\fP is a tool to install, build, remove and manage Debian packages. The
primary and more user\-friendly front\-end for \fBdpkg\fP is
\fBaptitude\fP(1). \fBdpkg\fP itself is controlled entirely via command line
parameters, which consist of exactly one action and zero or more
options. The action\-parameter tells \fBdpkg\fP what to do and options control
the behavior of the action in some way.

\fBdpkg\fP can also be used as a front\-end to \fBdpkg\-deb\fP(1) and
\fBdpkg\-query\fP(1). The list of supported actions can be found later on in the
\fBACTIONS\fP section. If any such action is encountered \fBdpkg\fP just runs
\fBdpkg\-deb\fP or \fBdpkg\-query\fP with the parameters given to it, but no
specific options are currently passed to them, to use any such option the
back\-ends need to be called directly.
.
.SH "ИНФОРМАЦИЯ О ПАКЕТАХ"
\fBdpkg\fP управляет некоторой полезной информацией о доступных пакетах. Эта
информация делится на три класса: \fBсостояния\fP, \fBвыбранные состояния\fP и
\fBфлаги\fP. Предполагается, что в большинстве случаев эта информация
изменяется с помощью \fBdselect\fP.
.SS "Package states"
.TP 
\fBnot\-installed\fP
Пакет в системе не установлен.
.TP 
\fBconfig\-files\fP
В системе остались только конфигурационные файлы пакета.
.TP 
\fBhalf\-installed\fP
Установка пакета была запущена, но не закончена по какой\-либо причине.
.TP 
\fBunpacked\fP
Пакет распакован, но не настроен.
.TP 
\fBhalf\-configured\fP
Пакет распакован и настройка была запущена, но пока ещё не завершена по
какой\-либо причине.
.TP 
\fBtriggers\-awaited\fP
The package awaits trigger processing by another package.
.TP 
\fBtriggers\-pending\fP
The package has been triggered.
.TP 
\fBinstalled\fP
The package is correctly unpacked and configured.
.SS "Package selection states"
.TP 
\fBinstall\fP
Пакет выбран для установки.
.TP 
\fBhold\fP
A package marked to be on \fBhold\fP is kept on the same version, that is, no
automatic new installs, upgrades or removals will be performed on them,
unless these actions are requested explicitly, or are permitted to be done
automatically with the \fB\-\-force\-hold\fP option.
.TP 
\fBdeinstall\fP
Пакет выбран для удаления (т.е. будут удалены все файлы, кроме
конфигурационных).
.TP 
\fBpurge\fP
The package is selected to be purged (i.e. we want to remove everything from
system directories, even configuration files).
.TP 
\fBunknown\fP
The package selection is unknown.  A package that is also in a
\fBnot\-installed\fP state, and with an \fBok\fP flag will be forgotten in the next
database store.
.SS "Package flags"
.TP 
\fBok\fP
A package marked \fBok\fP is in a known state, but might need further
processing.
.TP 
\fBreinstreq\fP
A package marked \fBreinstreq\fP is broken and requires reinstallation. These
packages cannot be removed, unless forced with option
\fB\-\-force\-remove\-reinstreq\fP.
.
.SH ДЕЙСТВИЯ
.TP 
\fB\-i\fP, \fB\-\-install\fP \fIpackage\-file\fP...
Install the package. If \fB\-\-recursive\fP or \fB\-R\fP option is specified,
\fIpackage\-file\fP must refer to a directory instead.

Установка состоит из следующих шагов:
.br

\fB1.\fP Извлечение управляющих файлов нового пакета.
.br

\fB2.\fP Если другая версия этого пакета была установлена ранее, то запускается
сценарий \fIprerm\fP из старого пакета.
.br

\fB3.\fP Запускается сценарий \fIpreinst\fP, если он есть в пакете.
.br

\fB4.\fP Распаковываются новые файлы, в тоже самое время сохраняя старые, чтобы
если что\-то пойдет не так, можно было их восстановить.
.br

\fB5.\fP Если ранее была установлена другая версия этого пакета, то запускается
сценарий \fIpostrm\fP для старого пакета. Заметим, что этот сценарий
запускается после сценария \fIpreinst\fP нового пакета, потому что новые файлы
записываются в то же самое время, когда удаляются старые.
.br

\fB6.\fP Настройка пакета. Смотрите описание \fB\-\-configure\fP, где приведена
подробная информация об этом шаге.
.TP 
\fB\-\-unpack \fP\fIpackage\-file\fP...
Unpack the package, but don't configure it. If \fB\-\-recursive\fP or \fB\-R\fP
option is specified, \fIpackage\-file\fP must refer to a directory instead.
.TP 
\fB\-\-configure \fP\fIpackage\fP...|\fB\-a\fP|\fB\-\-pending\fP
Configure a package which has been unpacked but not yet configured.  If
\fB\-a\fP or \fB\-\-pending\fP is given instead of \fIpackage\fP, all unpacked but
unconfigured packages are configured.

To reconfigure a package which has already been configured, try the
\fBdpkg\-reconfigure\fP(8)  command instead.

Настройка состоит из следующих шагов:
.br

\fB1.\fP Unpack the conffiles, and at the same time back up the old conffiles,
so that they can be restored if something goes wrong.
.br

\fB2.\fP Запуск сценария \fIpostinst\fP, если он есть в пакете.
.TP 
\fB\-\-triggers\-only\fP \fIpackage\fP...|\fB\-a\fP|\fB\-\-pending\fP
Processes only triggers (since dpkg 1.14.17).  All pending triggers will be
processed.  If package names are supplied only those packages' triggers will
be processed, exactly once each where necessary. Use of this option may
leave packages in the improper \fBtriggers\-awaited\fP and \fBtriggers\-pending\fP
states. This can be fixed later by running: \fBdpkg \-\-configure \-\-pending\fP.
.TP 
\fB\-r\fP, \fB\-\-remove\fP \fIpackage\fP...|\fB\-a\fP|\fB\-\-pending\fP
Remove an installed package.  This removes everything except conffiles and
other data cleaned up by the \fIpostrm\fP script, which may avoid having to
reconfigure the package if it is reinstalled later (conffiles are
configuration files that are listed in the \fIDEBIAN/conffiles\fP control
file).  If there is no \fIDEBIAN/conffiles\fP control file nor \fIDEBIAN/postrm\fP
script, this command is equivalent to calling \fB\-\-purge\fP.  If \fB\-a\fP or
\fB\-\-pending\fP is given instead of a package name, then all packages unpacked,
but marked to be removed in file \fI%ADMINDIR%/status\fP, are removed.

Удаление пакета состоит из следующих шагов:
.br

\fB1.\fP Запуск сценария \fIprerm\fP
.br

\fB2.\fP Удаление установленных фалов
.br

\fB3.\fP Запуск сценария \fIpostrm\fP
.br

.TP 
\fB\-P\fP, \fB\-\-purge\fP \fIpackage\fP...|\fB\-a\fP|\fB\-\-pending\fP
Purge an installed or already removed package. This removes everything,
including conffiles, and anything else cleaned up from \fIpostrm\fP.  If \fB\-a\fP
or \fB\-\-pending\fP is given instead of a package name, then all packages
unpacked or removed, but marked to be purged in file \fI%ADMINDIR%/status\fP,
are purged.

Note: some configuration files might be unknown to \fBdpkg\fP because they are
created and handled separately through the configuration scripts. In that
case, \fBdpkg\fP won't remove them by itself, but the package's \fIpostrm\fP
script (which is called by \fBdpkg\fP), has to take care of their removal
during purge. Of course, this only applies to files in system directories,
not configuration files written to individual users' home directories.

Purging of a package consists of the following steps:
.br

\fB1.\fP Remove the package, if not already removed. See \fB\-\-remove\fP for
detailed information about how this is done.
.br

\fB2.\fP Run \fIpostrm\fP script.
.br
.TP 
\fB\-V\fP, \fB\-\-verify\fP [\fIpackage\-name\fP...]
Verifies the integrity of \fIpackage\-name\fP or all packages if omitted, by
comparing information from the files installed by a package with the files
metadata information stored in the \fBdpkg\fP database (since dpkg 1.17.2).
The origin of the files metadata information in the database is the binary
packages themselves. That metadata gets collected at package unpack time
during the installation process.

Currently the only functional check performed is an md5sum verification of
the file contents against the stored value in the files database.  It will
only get checked if the database contains the file md5sum. To check for any
missing metadata in the database, the \fB\-\-audit\fP command can be used.

The output format is selectable with the \fB\-\-verify\-format\fP option, which by
default uses the \fBrpm\fP format, but that might change in the future, and as
such, programs parsing this command output should be explicit about the
format they expect.
.TP 
\fB\-C\fP, \fB\-\-audit\fP [\fIpackage\-name\fP...]
Performs database sanity and consistency checks for \fIpackage\-name\fP or all
packages if omitted (per package checks since dpkg 1.17.10).  For example,
searches for packages that have been installed only partially on your system
or that have missing, wrong or obsolete control data or files. \fBdpkg\fP will
suggest what to do with them to get them fixed.
.TP 
\fB\-\-update\-avail\fP [\fIPackages\-file\fP]
.TQ
\fB\-\-merge\-avail\fP [\fIPackages\-file\fP]
Update \fBdpkg\fP's and \fBdselect\fP's idea of which packages are available. With
action \fB\-\-merge\-avail\fP, old information is combined with information from
\fIPackages\-file\fP. With action \fB\-\-update\-avail\fP, old information is replaced
with the information in the \fIPackages\-file\fP. The \fIPackages\-file\fP
distributed with Debian is simply named «\fIPackages\fP». If the
\fIPackages\-file\fP argument is missing or named «\fB\-\fP» then it will be read
from standard input (since dpkg 1.17.7). \fBdpkg\fP keeps its record of
available packages in \fI%ADMINDIR%/available\fP.

A simpler one\-shot command to retrieve and update the \fIavailable\fP file is
\fBdselect update\fP. Note that this file is mostly useless if you don't use
\fBdselect\fP but an APT\-based frontend: APT has its own system to keep track
of available packages.
.TP 
\fB\-A\fP, \fB\-\-record\-avail\fP \fIpackage\-file\fP...
Update \fBdpkg\fP and \fBdselect\fP's idea of which packages are available with
information from the package \fIpackage\-file\fP. If \fB\-\-recursive\fP or \fB\-R\fP
option is specified, \fIpackage\-file\fP must refer to a directory instead.
.TP 
\fB\-\-forget\-old\-unavail\fP
Now \fBobsolete\fP and a no\-op as \fBdpkg\fP will automatically forget uninstalled
unavailable packages (since dpkg 1.15.4), but only those that do not contain
user information such as package selections.
.TP 
\fB\-\-clear\-avail\fP
Очистить имеющуюся информацию о том, какие пакеты доступны.
.TP 
\fB\-\-get\-selections\fP [\fIpackage\-name\-pattern\fP...]
Get list of package selections, and write it to stdout. Without a pattern,
non\-installed packages (i.e. those which have been previously purged) will
not be shown.
.TP 
\fB\-\-set\-selections\fP
Set package selections using file read from stdin. This file should be in
the format “\fIpackage\fP \fIstate\fP”, where state is one of \fBinstall\fP, \fBhold\fP,
\fBdeinstall\fP or \fBpurge\fP. Blank lines and comment lines beginning with
‘\fB#\fP’ are also permitted.

The \fIavailable\fP file needs to be up\-to\-date for this command to be useful,
otherwise unknown packages will be ignored with a warning. See the
\fB\-\-update\-avail\fP and \fB\-\-merge\-avail\fP commands for more information.
.TP 
\fB\-\-clear\-selections\fP
Set the requested state of every non\-essential package to deinstall (since
dpkg 1.13.18).  This is intended to be used immediately before
\fB\-\-set\-selections\fP, to deinstall any packages not in list given to
\fB\-\-set\-selections\fP.
.TP 
\fB\-\-yet\-to\-unpack\fP
Найти пакеты, выбранные для установки, но по какой\-то причине ещё не
установленные.
.IP
Note: This command makes use of both the available file and the package
selections.
.TP 
\fB\-\-predep\-package\fP
Print a single package which is the target of one or more relevant
pre\-dependencies and has itself no unsatisfied pre\-dependencies.
.IP
If such a package is present, output it as a Packages file entry, which can
be massaged as appropriate.
.IP
Note: This command makes use of both the available file and the package
selections.
.IP
Returns 0 when a package is printed, 1 when no suitable package is available
and 2 on error.
.TP 
\fB\-\-add\-architecture \fP\fIarchitecture\fP
Add \fIarchitecture\fP to the list of architectures for which packages can be
installed without using \fB\-\-force\-architecture\fP (since dpkg 1.16.2).  The
architecture \fBdpkg\fP is built for (i.e. the output of
\fB\-\-print\-architecture\fP)  is always part of that list.
.TP 
\fB\-\-remove\-architecture \fP\fIarchitecture\fP
Remove \fIarchitecture\fP from the list of architectures for which packages can
be installed without using \fB\-\-force\-architecture\fP (since dpkg 1.16.2). If
the architecture is currently in use in the database then the operation will
be refused, except if \fB\-\-force\-architecture\fP is specified. The architecture
\fBdpkg\fP is built for (i.e. the output of \fB\-\-print\-architecture\fP) can never
be removed from that list.
.TP 
\fB\-\-print\-architecture\fP
Print architecture of packages \fBdpkg\fP installs (for example, “i386”).
.TP 
\fB\-\-print\-foreign\-architectures\fP
Print a newline\-separated list of the extra architectures \fBdpkg\fP is
configured to allow packages to be installed for (since dpkg 1.16.2).
.TP 
\fB\-\-assert\-\fP\fIfeature\fP
Asserts that \fBdpkg\fP supports the requested feature.  Returns 0 if the
feature is fully supported, 1 if the feature is known but \fBdpkg\fP cannot
provide support for it yet, and 2 if the feature is unknown.  The current
list of assertable features is:
.RS
.TP 
\fBsupport\-predepends\fP
Supports the \fBPre\-Depends\fP field (since dpkg 1.1.0).
.TP 
\fBworking\-epoch\fP
Supports epochs in version strings (since dpkg 1.4.0.7).
.TP 
\fBlong\-filenames\fP
Supports long filenames in \fBdeb\fP(5) archives (since dpkg 1.4.1.17).
.TP 
\fBmulti\-conrep\fP
Supports multiple \fBConflicts\fP and \fBReplaces\fP (since dpkg 1.4.1.19).
.TP 
\fBmulti\-arch\fP
Supports multi\-arch fields and semantics (since dpkg 1.16.2).
.TP 
\fBversioned\-provides\fP
Supports versioned \fBProvides\fP (since dpkg 1.17.11).
.RE
.TP 
\fB\-\-validate\-\fP\fIthing string\fP
Validate that the \fIthing\fP \fIstring\fP has a correct syntax (since dpkg
1.18.16).  Returns 0 if the \fIstring\fP is valid, 1 if the \fIstring\fP is
invalid but might be accepted in lax contexts, and 2 if the \fIstring\fP is
invalid.  The current list of validatable \fIthing\fPs is:
.RS
.TP 
\fBpkgname\fP
Validates the given package name (since dpkg 1.18.16).
.TP 
\fBtrigname\fP
Validates the given trigger name (since dpkg 1.18.16).
.TP 
\fBarchname\fP
Validates the given architecture name (since dpkg 1.18.16).
.TP 
\fBversion\fP
Validates the given version (since dpkg 1.18.16).
.RE
.TP 
\fB\-\-compare\-versions \fP\fIver1 op ver2\fP
.\" .TP
.\" .B \-\-command\-fd \fIn\fP
.\" Accept a series of commands on input file descriptor \fIn\fP. Note:
.\" additional options set on the command line, and through this file descriptor,
.\" are not reset for subsequent commands executed during the same run.
Compare version numbers, where \fIop\fP is a binary operator. \fBdpkg\fP returns
true (\fB0\fP) if the specified condition is satisfied, and false (\fB1\fP)
otherwise. There are two groups of operators, which differ in how they treat
an empty \fIver1\fP or \fIver2\fP. These treat an empty version as earlier than
any version: \fBlt le eq ne ge gt\fP. These treat an empty version as later
than any version: \fBlt\-nl le\-nl ge\-nl gt\-nl\fP. These are provided only for
compatibility with control file syntax: \fB< << <= = >=
>> >\fP. The \fB<\fP and \fB>\fP operators are obsolete and
should \fBnot\fP be used, due to confusing semantics. To illustrate: \fB0.1
< 0.1\fP evaluates to true.
.TP 
\fB\-?\fP, \fB\-\-help\fP
Вывести небольшую подсказку.
.TP 
\fB\-\-force\-help\fP
Вывести подсказку о параметрах \fB\-\-force\-\fP\fIчто\-нибудь\fP.
.TP 
\fB\-Dh\fP, \fB\-\-debug=help\fP
Вывести подсказку о параметрах отладки.
.TP 
\fB\-\-version\fP
Показать информацию о версии \fBdpkg\fP.
.TP 
\fBdpkg\-deb actions\fP
Смотрите \fBdpkg\-deb\fP(1) для более подробной информации о нижеследующих
действиях.

.nf
\fB\-b\fP, \fB\-\-build\fP \fIdirectory\fP [\fIarchive\fP|\fIdirectory\fP]
    Build a deb package.
\fB\-c\fP, \fB\-\-contents\fP \fIarchive\fP
    List contents of a deb package.
\fB\-e\fP, \fB\-\-control\fP \fIarchive\fP [\fIdirectory\fP]
    Extract control\-information from a package.
\fB\-x\fP, \fB\-\-extract\fP \fIarchive directory\fP
    Extract the files contained by package.
\fB\-X\fP, \fB\-\-vextract\fP \fIarchive directory\fP
    Extract and display the filenames contained by a
    package.
\fB\-f\fP, \fB\-\-field\fP  \fIarchive\fP [\fIcontrol\-field\fP...]
    Display control field(s) of a package.
\fB\-\-ctrl\-tarfile\fP \fIarchive\fP
    Output the control tar\-file contained in a Debian package.
\fB\-\-fsys\-tarfile\fP \fIarchive\fP
    Output the filesystem tar\-file contained by a Debian package.
\fB\-I\fP, \fB\-\-info\fP \fIarchive\fP [\fIcontrol\-file\fP...]
    Show information about a package.
.fi

.TP 
\fBdpkg\-query actions\fP
Смотрите \fBdpkg\-query\fP(1) для более подробной информации о нижеследующих
действиях.

.nf

\fB\-l\fP, \fB\-\-list\fP \fIpackage\-name\-pattern\fP...
    List packages matching given pattern.
\fB\-s\fP, \fB\-\-status\fP \fIpackage\-name\fP...
    Report status of specified package.
\fB\-L\fP, \fB\-\-listfiles\fP \fIpackage\-name\fP...
    List files installed to your system from \fIpackage\-name\fP.
\fB\-S\fP, \fB\-\-search\fP \fIfilename\-search\-pattern\fP...
    Search for a filename from installed packages.
\fB\-p\fP, \fB\-\-print\-avail\fP \fIpackage\-name\fP...
    Display details about \fIpackage\-name\fP, as found in
    \fI%ADMINDIR%/available\fP. Users of APT\-based frontends
    should use \fBapt\-cache show\fP \fIpackage\-name\fP instead.
.fi
.
.SH ПАРАМЕТРЫ
All options can be specified both on the command line and in the \fBdpkg\fP
configuration file \fI%PKGCONFDIR%/dpkg.cfg\fP or fragment files (with names
matching this shell pattern '[0\-9a\-zA\-Z_\-]*') on the configuration directory
\fI%PKGCONFDIR%/dpkg.cfg.d/\fP. Each line in the configuration file is either
an option (exactly the same as the command line option but without leading
hyphens) or a comment (if it starts with a ‘\fB#\fP’).
.br
.TP 
\fB\-\-abort\-after=\fP\fIчисло\fP
Change after how many errors \fBdpkg\fP will abort. The default is 50.
.TP 
\fB\-B\fP, \fB\-\-auto\-deconfigure\fP
При удалении пакета есть вероятность, что есть другой установленный пакет
зависящий от удаляемого пакета. Указание этого параметра приведёт к
автоматической деконфигурации пакета, который зависит от удаляемого пакета.
.TP 
\fB\-D\fP\fIoctal\fP\fB, \-\-debug=\fP\fIoctal\fP
Switch debugging on. \fIoctal\fP is formed by bitwise\-oring desired values
together from the list below (note that these values may change in future
releases). \fB\-Dh\fP or \fB\-\-debug=help\fP display these debugging values.

    Number   Description
         1   Generally helpful progress information
         2   Invocation and status of maintainer scripts
        10   Output for each file processed
       100   Lots of output for each file processed
        20   Output for each configuration file
       200   Lots of output for each configuration file
        40   Dependencies and conflicts
       400   Lots of dependencies/conflicts output
     10000   Trigger activation and processing
     20000   Lots of output regarding triggers
     40000   Silly amounts of output regarding triggers
      1000   Lots of drivel about e.g. the dpkg/info dir
      2000   Insane amounts of drivel
.TP 
\fB\-\-force\-\fP\fIthings\fP
.TQ
\fB\-\-no\-force\-\fP\fIthings\fP, \fB\-\-refuse\-\fP\fIthings\fP
Принудительно выполнять или же отказываться выполнять (\fBno\-force\fP и
\fB\-\-refuse\fP означают одно и то же) те или иные вещи. \fIthings\fP \-\- это список
через запятую элементов описанных далее). \fB\-\-force\-help\fP выдает сообщение,
описывающие их. Элементы, обозначенные звёздочкой (*), принудительно
выполняются по умолчанию.

\fIПредупреждение: Эти параметры предназначены только для использования
экспертами. Использование без полного понимания их действия может нарушить
работоспособность всей системы.\fP

\fBall\fP: Turns on (or off) all force options.

\fBdowngrade\fP(*): Установить пакет, даже если уже установлена его более новая
версия.

\fIWarning: At present \fP\fBdpkg\fP\fI does not do any dependency checking on
downgrades and therefore will not warn you if the downgrade breaks the
dependency of some other package. This can have serious side effects,
downgrading essential system components can even make your whole system
unusable. Use with care.\fP

\fBconfigure\-any\fP: Настроить также все распакованные, но ненастроенные
пакеты, от которых зависит текущий пакет.

\fBhold\fP: Allow automatic installs, upgrades or removals of packages even
when marked to be on “hold”.  Note: This does not prevent these actions when
requested explicitly.

\fBremove\-reinstreq\fP: Удалить пакет, даже если он сломан и отмечен как
требующий переустановки. Это может, например, привести к тому, что части
пакета останутся в системе, а \fBdpkg\fP про них забудет.

\fBremove\-essential\fP: Удалить, даже если это пакет первой необходимости
(имеет приоритет "Essential"). Эти пакеты в основном содержат базовые
команды Unix. Удаление такого пакета может привести к потере
работоспособности системы, так что используйте данный параметр осторожно.

\fBdepends\fP: Turn all dependency problems into warnings.  This affects the
\fBPre\-Depends\fP and \fBDepends\fP fields.

\fBdepends\-version\fP: Don't care about versions when checking dependencies.
This affects the \fBPre\-Depends\fP and \fBDepends\fP fields.

\fBbreaks\fP: Install, even if this would break another package (since dpkg
1.14.6).  This affects the \fBBreaks\fP field.

\fBconflicts\fP: Install, even if it conflicts with another package. This is
dangerous, for it will usually cause overwriting of some files.  This
affects the \fBConflicts\fP field.

\fBconfmiss\fP: Always install the missing conffile without prompting. This is
dangerous, since it means not preserving a change (removing) made to the
file.

\fBconfnew\fP: If a conffile has been modified and the version in the package
did change, always install the new version without prompting, unless the
\fB\-\-force\-confdef\fP is also specified, in which case the default action is
preferred.

\fBconfold\fP: If a conffile has been modified and the version in the package
did change, always keep the old version without prompting, unless the
\fB\-\-force\-confdef\fP is also specified, in which case the default action is
preferred.

\fBconfdef\fP: If a conffile has been modified and the version in the package
did change, always choose the default action without prompting. If there is
no default action it will stop to ask the user unless \fB\-\-force\-confnew\fP or
\fB\-\-force\-confold\fP is also been given, in which case it will use that to
decide the final action.

\fBconfask\fP: If a conffile has been modified always offer to replace it with
the version in the package, even if the version in the package did not
change (since dpkg 1.15.8).  If any of \fB\-\-force\-confnew\fP,
\fB\-\-force\-confold\fP, or \fB\-\-force\-confdef\fP is also given, it will be used to
decide the final action.

\fBoverwrite\fP: Перезаписать файл из одного пакета файлом из другого пакета.

\fBoverwrite\-dir\fP: Overwrite one package's directory with another's file.

\fBoverwrite\-diverted\fP: Перезаписать файл с изменённым
расположением(diverted) его неизменённой версией.

\fBstatoverride\-add\fP: Overwrite an existing stat override when adding it
(since dpkg 1.19.5).

\fBstatoverride\-remove\fP: Ignore a missing stat override when removing it
(since dpkg 1.19.5).

\fBsecurity\-mac\fP(*): Use platform\-specific Mandatory Access Controls (MAC)
based security when installing files into the filesystem (since dpkg
1.19.5).  On Linux systems the implementation uses SELinux.

\fBunsafe\-io\fP: Do not perform safe I/O operations when unpacking (since dpkg
1.15.8.6).  Currently this implies not performing file system syncs before
file renames, which is known to cause substantial performance degradation on
some file systems, unfortunately the ones that require the safe I/O on the
first place due to their unreliable behaviour causing zero\-length files on
abrupt system crashes.

\fINote\fP: For ext4, the main offender, consider using instead the mount
option \fBnodelalloc\fP, which will fix both the performance degradation and
the data safety issues, the latter by making the file system not produce
zero\-length files on abrupt system crashes with any software not doing syncs
before atomic renames.

\fIWarning: Using this option might improve performance at the cost of losing
data, use with care.\fP

\fBscript\-chrootless\fP: Run maintainer scripts without \fBchroot\fP(2)ing into
\fBinstdir\fP even if the package does not support this mode of operation
(since dpkg 1.18.5).

\fIWarning: This can destroy your host system, use with extreme care.\fP

\fBarchitecture\fP: Process even packages with wrong or no architecture.

\fBbad\-version\fP: Process even packages with wrong versions (since dpkg
1.16.1).

\fBbad\-path\fP: В \fBPATH\fP отсутствуют важные программы, поэтому могут
возникнуть проблемы.

\fBnot\-root\fP: Попытаться установить или удалить пакет, даже если не нет прав
суперпользователя.

\fBbad\-verify\fP: Устанавливать пакет, даже если он не прошёл проверку
подлинности.

.TP 
\fB\-\-ignore\-depends\fP=\fIпакет\fP,...
Ignore dependency\-checking for specified packages (actually, checking is
performed, but only warnings about conflicts are given, nothing else).  This
affects the \fBPre\-Depends\fP, \fBDepends\fP and \fBBreaks\fP fields.
.TP 
\fB\-\-no\-act\fP, \fB\-\-dry\-run\fP, \fB\-\-simulate\fP
Делать всё, что необходимо, но не записывать на диск изменения. Он
используется для того, чтобы посмотреть, что произошло бы при выполнении
указанного действия, но при этом ничего не меняется.

Убедитесь, что указали \fB\-\-no\-act\fP перед действием, или у вас могут
получиться нежелаемые результаты. (например, \fBdpkg \-\-purge foo \-\-no\-act\fP
сперва выполнит полное удаление пакета foo, а затем будет пытаться полностью
удалить пакет \-\-no\-act, хотя вы ожидали, что ничего выполнено не будет)
.TP 
\fB\-R\fP, \fB\-\-recursive\fP
Recursively handle all regular files matching pattern \fB*.deb\fP found at
specified directories and all of its subdirectories. This can be used with
\fB\-i\fP, \fB\-A\fP, \fB\-\-install\fP, \fB\-\-unpack\fP and \fB\-\-record\-avail\fP actions.
.TP 
\fB\-G\fP
Don't install a package if a newer version of the same package is already
installed. This is an alias of \fB\-\-refuse\-downgrade\fP.
.TP 
\fB\-\-admindir=\fP\fIdir\fP
Set the administrative directory to \fIdirectory\fP.  This directory contains
many files that give information about status of installed or uninstalled
packages, etc.  Defaults to «\fI%ADMINDIR%\fP».
.TP 
\fB\-\-instdir=\fP\fIdir\fP
Set the installation directory, which refers to the directory where packages
are to be installed. \fBinstdir\fP is also the directory passed to \fBchroot\fP(2)
before running package's installation scripts, which means that the scripts
see \fBinstdir\fP as a root directory.  Defaults to «\fI/\fP».
.TP 
\fB\-\-root=\fP\fIdir\fP
Set the root directory to \fBdirectory\fP, which sets the installation
directory to «\fIdir\fP» and the administrative directory to
«\fIdir\fP\fB%ADMINDIR%\fP».
.TP 
\fB\-O\fP, \fB\-\-selected\-only\fP
Обрабатывать только пакеты, выбранные для установки. Такой выбор делается
программой \fBdselect\fP или же самой программой \fBdpkg\fP при работе с
пакетами. Например, когда пакет удаляется, он будет помечен для удаления.
.TP 
\fB\-E\fP, \fB\-\-skip\-same\-version\fP
Не устанавливать пакет, если та же версия этого пакета уже установлена.
.TP 
\fB\-\-pre\-invoke=\fP\fIcommand\fP
.TQ
\fB\-\-post\-invoke=\fP\fIcommand\fP
Set an invoke hook \fIcommand\fP to be run via \*(lqsh \-c\*(rq before or after the
\fBdpkg\fP run for the \fIunpack\fP, \fIconfigure\fP, \fIinstall\fP, \fItriggers\-only\fP,
\fIremove\fP, \fIpurge\fP, \fIadd\-architecture\fP and \fIremove\-architecture\fP \fBdpkg\fP
actions (since dpkg 1.15.4; \fIadd\-architecture\fP and \fIremove\-architecture\fP
actions since dpkg 1.17.19). This option can be specified multiple
times. The order the options are specified is preserved, with the ones from
the configuration files taking precedence.  The environment variable
\fBDPKG_HOOK_ACTION\fP is set for the hooks to the current \fBdpkg\fP
action. Note: front\-ends might call \fBdpkg\fP several times per invocation,
which might run the hooks more times than expected.
.TP 
\fB\-\-path\-exclude=\fP\fIglob\-pattern\fP
.TQ
\fB\-\-path\-include=\fP\fIglob\-pattern\fP
Set \fIglob\-pattern\fP as a path filter, either by excluding or re\-including
previously excluded paths matching the specified patterns during install
(since dpkg 1.15.8).

\fIWarning: take into account that depending on the excluded paths you might
completely break your system, use with caution.\fP

The glob patterns use the same wildcards used in the shell, were ‘*’ matches
any sequence of characters, including the empty string and also ‘/’.  For
example, «\fI/usr/*/READ*\fP» matches «\fI/usr/share/doc/package/README\fP».  As
usual, ‘?’ matches any single character (again, including ‘/’).  And ‘[’
starts a character class, which can contain a list of characters, ranges and
complementations. See \fBglob\fP(7) for detailed information about
globbing. Note: the current implementation might re\-include more directories
and symlinks than needed, to be on the safe side and avoid possible unpack
failures; future work might fix this.

This can be used to remove all paths except some particular ones; a typical
case is:

.nf
\fB\-\-path\-exclude=/usr/share/doc/*\fP
\fB\-\-path\-include=/usr/share/doc/*/copyright\fP
.fi

to remove all documentation files except the copyright files.

These two options can be specified multiple times, and interleaved with each
other. Both are processed in the given order, with the last rule that
matches a file name making the decision.

The filters are applied when unpacking the binary packages, and as such only
have knowledge of the type of object currently being filtered (e.g. a normal
file or a directory) and have not visibility of what objects will come
next.  Because these filters have side effects (in contrast to \fBfind\fP(1)
filters), excluding an exact pathname that happens to be a directory object
like \fI/usr/share/doc\fP will not have the desired result, and only that
pathname will be excluded (which could be automatically reincluded if the
code sees the need).  Any subsequent files contained within that directory
will fail to unpack.

Hint: make sure the globs are not expanded by your shell.
.TP 
\fB\-\-verify\-format\fP\fI format\-name\fP
Sets the output format for the \fB\-\-verify\fP command (since dpkg 1.17.2).

The only currently supported output format is \fBrpm\fP, which consists of a
line for every path that failed any check.  The lines start with 9
characters to report each specific check result, a ‘\fB?\fP’ implies the check
could not be done (lack of support, file permissions, etc), ‘\fB.\fP’ implies
the check passed, and an alphanumeric character implies a specific check
failed; the md5sum verification failure (the file contents have changed) is
denoted with a ‘\fB5\fP’ on the third character.  The line is followed by a
space and an attribute character (currently ‘\fBc\fP’ for conffiles), another
space and the pathname.
.TP 
\fB\-\-status\-fd \fP\fIn\fP
Send machine\-readable package status and progress information to file
descriptor \fIn\fP. This option can be specified multiple times. The
information is generally one record per line, in one of the following forms:
.RS
.TP 
\fBstatus: \fP\fIpackage\fP\fB: \fP\fIstatus\fP
Package status changed; \fIstatus\fP is as in the status file.
.TP 
\fBstatus: \fP\fIpackage\fP\fB : error : \fP\fIextended\-error\-message\fP
An error occurred. Any possible newlines in \fIextended\-error\-message\fP will
be converted to spaces before output.
.TP 
\fBstatus: \fP\fIfile\fP\fB : conffile\-prompt : '\fP\fIreal\-old\fP\fB' '\fP\fIreal\-new\fP\fB' \fP\fIuseredited\fP\fB \fP\fIdistedited\fP
User is being asked a conffile question.
.TP 
\fBprocessing: \fP\fIstage\fP\fB: \fP\fIpackage\fP
Sent just before a processing stage starts. \fIstage\fP is one of \fBupgrade\fP,
\fBinstall\fP (both sent before unpacking), \fBconfigure\fP, \fBtrigproc\fP,
\fBdisappear\fP, \fBremove\fP, \fBpurge\fP.
.RE
.TP 
\fB\-\-status\-logger\fP=\fIcommand\fP
Send machine\-readable package status and progress information to the shell
\fIcommand\fP's standard input, to be run via \*(lqsh \-c\*(rq (since dpkg 1.16.0).
This option can be specified multiple times.  The output format used is the
same as in \fB\-\-status\-fd\fP.
.TP 
\fB\-\-log=\fP\fIимя файла\fP
Log status change updates and actions to \fIfilename\fP, instead of the default
\fI%LOGDIR%/dpkg.log\fP. If this option is given multiple times, the last
filename is used. Log messages are of the form:
.RS
.TP 
YYYY\-MM\-DD HH:MM:SS \fBstartup\fP \fItype\fP \fIcommand\fP
For each dpkg invocation where \fItype\fP is \fBarchives\fP (with a \fIcommand\fP of
\fBunpack\fP or \fBinstall\fP) or \fBpackages\fP (with a \fIcommand\fP of \fBconfigure\fP,
\fBtriggers\-only\fP, \fBremove\fP or \fBpurge\fP).
.TP 
YYYY\-MM\-DD HH:MM:SS \fBstatus\fP \fIstate\fP \fIpkg\fP \fIinstalled\-version\fP
For status change updates.
.TP 
YYYY\-MM\-DD HH:MM:SS \fIaction\fP \fIpkg\fP \fIinstalled\-version\fP \fIavailable\-version\fP
For actions where \fIaction\fP is one of \fBinstall\fP, \fBupgrade\fP, \fBconfigure\fP,
\fBtrigproc\fP, \fBdisappear\fP, \fBremove\fP or \fBpurge\fP.
.TP 
YYYY\-MM\-DD HH:MM:SS \fBconffile\fP \fIfilename\fP \fIdecision\fP
For conffile changes where \fIdecision\fP is either \fBinstall\fP or \fBkeep\fP.
.RE
.TP 
\fB\-\-no\-pager\fP
Disables the use of any pager when showing information (since dpkg 1.19.2).
.TP 
\fB\-\-no\-debsig\fP
Не пытаться проверять подпись пакета.
.TP 
\fB\-\-no\-triggers\fP
Do not run any triggers in this run (since dpkg 1.14.17), but activations
will still be recorded.  If used with \fB\-\-configure\fP \fIpackage\fP or
\fB\-\-triggers\-only\fP \fIpackage\fP then the named package postinst will still be
run even if only a triggers run is needed. Use of this option may leave
packages in the improper \fBtriggers\-awaited\fP and \fBtriggers\-pending\fP
states. This can be fixed later by running: \fBdpkg \-\-configure \-\-pending\fP.
.TP 
\fB\-\-triggers\fP
Cancels a previous \fB\-\-no\-triggers\fP (since dpkg 1.14.17).
.
.SH "EXIT STATUS"
.TP 
\fB0\fP
The requested action was successfully performed.  Or a check or assertion
command returned true.
.TP 
\fB1\fP
A check or assertion command returned false.
.TP 
\fB2\fP
Fatal or unrecoverable error due to invalid command\-line usage, or
interactions with the system, such as accesses to the database, memory
allocations, etc.
.
.SH ENVIRONMENT
.SS "External environment"
.TP 
\fBPATH\fP
This variable is expected to be defined in the environment and point to the
system paths where several required programs are to be found. If it's not
set or the programs are not found, \fBdpkg\fP will abort.
.TP 
\fBHOME\fP
If set, \fBdpkg\fP will use it as the directory from which to read the user
specific configuration file.
.TP 
\fBTMPDIR\fP
If set, \fBdpkg\fP will use it as the directory in which to create temporary
files and directories.
.TP 
\fBSHELL\fP
The program \fBdpkg\fP will execute when starting a new interactive shell, or
when spawning a command via a shell.
.TP 
\fBPAGER\fP
.TQ
\fBDPKG_PAGER\fP
The program \fBdpkg\fP will execute when running a pager, which will be
executed with «\fB$SHELL \-c\fP», for example when displaying the conffile
differences.  If \fBSHELL\fP is not set, «\fBsh\fP» will be used instead.  The
\fBDPKG_PAGER\fP overrides the \fBPAGER\fP environment variable (since dpkg
1.19.2).
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.TP 
\fBDPKG_FORCE\fP
Sets the force flags (since dpkg 1.19.5).  When this variable is present, no
built\-in force defaults will be applied.  If the variable is present but
empty, all force flags will be disabled.
.TP 
\fBDPKG_ADMINDIR\fP
If set and the \fB\-\-admindir\fP or \fB\-\-root\fP options have not been specified,
it will be used as the \fBdpkg\fP administrative directory (since dpkg 1.20.0).
.TP 
\fBDPKG_FRONTEND_LOCKED\fP
Set by a package manager frontend to notify dpkg that it should not acquire
the frontend lock (since dpkg 1.19.1).
.SS "Internal environment"
.TP 
\fBLESS\fP
Defined by \fBdpkg\fP to “\fB\-FRSXMQ\fP”, if not already set, when spawning a
pager (since dpkg 1.19.2).  To change the default behavior, this variable
can be preset to some other value including an empty string, or the \fBPAGER\fP
or \fBDPKG_PAGER\fP variables can be set to disable specific options with
«\fB\-+\fP», for example \fBDPKG_PAGER="less \-+F"\fP.
.TP 
\fBDPKG_ROOT\fP
Defined by \fBdpkg\fP on the maintainer script environment to indicate which
installation to act on (since dpkg 1.18.5).  The value is intended to be
prepended to any path maintainer scripts operate on.  During normal
operation, this variable is empty.  When installing packages into a
different \fBinstdir\fP, \fBdpkg\fP normally invokes maintainer scripts using
\fBchroot\fP(2) and leaves this variable empty, but if
\fB\-\-force\-script\-chrootless\fP is specified then the \fBchroot\fP(2) call is
skipped and \fBinstdir\fP is non\-empty.
.TP 
\fBDPKG_ADMINDIR\fP
Defined by \fBdpkg\fP on the maintainer script environment to indicate the
\fBdpkg\fP administrative directory to use (since dpkg 1.16.0).  This variable
is always set to the current \fB\-\-admindir\fP value.
.TP 
\fBDPKG_FORCE\fP
Defined by \fBdpkg\fP on the subprocesses environment to all the currently
enabled force option names separated by commas (since dpkg 1.19.5).
.TP 
\fBDPKG_SHELL_REASON\fP
Defined by \fBdpkg\fP on the shell spawned on the conffile prompt to examine
the situation (since dpkg 1.15.6).  Current valid value: \fBconffile\-prompt\fP.
.TP 
\fBDPKG_CONFFILE_OLD\fP
Defined by \fBdpkg\fP on the shell spawned on the conffile prompt to examine
the situation (since dpkg 1.15.6).  Contains the path to the old conffile.
.TP 
\fBDPKG_CONFFILE_NEW\fP
Defined by \fBdpkg\fP on the shell spawned on the conffile prompt to examine
the situation (since dpkg 1.15.6).  Contains the path to the new conffile.
.TP 
\fBDPKG_HOOK_ACTION\fP
Defined by \fBdpkg\fP on the shell spawned when executing a hook action (since
dpkg 1.15.4).  Contains the current \fBdpkg\fP action.
.TP 
\fBDPKG_RUNNING_VERSION\fP
Defined by \fBdpkg\fP on the maintainer script environment to the version of
the currently running \fBdpkg\fP instance (since dpkg 1.14.17).
.TP 
\fBDPKG_MAINTSCRIPT_PACKAGE\fP
Defined by \fBdpkg\fP on the maintainer script environment to the
(non\-arch\-qualified) package name being handled (since dpkg 1.14.17).
.TP 
\fBDPKG_MAINTSCRIPT_PACKAGE_REFCOUNT\fP
Defined by \fBdpkg\fP on the maintainer script environment to the package
reference count, i.e. the number of package instances with a state greater
than \fBnot\-installed\fP (since dpkg 1.17.2).
.TP 
\fBDPKG_MAINTSCRIPT_ARCH\fP
Defined by \fBdpkg\fP on the maintainer script environment to the architecture
the package got built for (since dpkg 1.15.4).
.TP 
\fBDPKG_MAINTSCRIPT_NAME\fP
Defined by \fBdpkg\fP on the maintainer script environment to the name of the
script running, one of \fBpreinst\fP, \fBpostinst\fP, \fBprerm\fP or \fBpostrm\fP (since
dpkg 1.15.7).
.TP 
\fBDPKG_MAINTSCRIPT_DEBUG\fP
Defined by \fBdpkg\fP on the maintainer script environment to a value (‘\fB0\fP’
or ‘\fB1\fP’) noting whether debugging has been requested (with the \fB\-\-debug\fP
option) for the maintainer scripts (since dpkg 1.18.4).
.
.SH ФАЙЛЫ
.TP 
\fI%PKGCONFDIR%/dpkg.cfg.d/[0\-9a\-zA\-Z_\-]*\fP
Configuration fragment files (since dpkg 1.15.4).
.TP 
\fI%PKGCONFDIR%/dpkg.cfg\fP
Файл конфигурации с параметрами по умолчанию.
.TP 
\fI%LOGDIR%/dpkg.log\fP
Default log file (see \fI%PKGCONFDIR%/dpkg.cfg\fP and option \fB\-\-log\fP).
.P
Остальные файлы перечислены с указанием их каталогов по умолчанию, смотрите
параметр \fBadmindir\fP, чтобы узнать, как изменить местоположение этих файлов.
.TP 
\fI%ADMINDIR%/available\fP
Список доступных пакетов.
.TP 
\fI%ADMINDIR%/status\fP
Состояния доступных пакетов. Этот файл содержит информацию о том, помечен ли
пакет для удаления или нет, установлен он или нет, и т.д. Смотрите раздел
\fBИНФОРМАЦИЯ О ПАКЕТАХ\fP, где приведена подробная информация.

The status file is backed up daily in \fI/var/backups\fP. It can be useful if
it's lost or corrupted due to filesystems troubles.
.P
The format and contents of a binary package are described in \fBdeb\fP(5).
.
.SH "ОШИБКИ РЕАЛИЗАЦИИ"
\fB\-\-no\-act\fP обычно дает меньше информации, чем могло бы быть полезным.
.
.SH ПРИМЕРЫ
To list installed packages related to the editor \fBvi\fP(1) (note that
\fBdpkg\-query\fP does not load the \fIavailable\fP file anymore by default, and
the \fBdpkg\-query\fP \fB\-\-load\-avail\fP option should be used instead for that):
.br
     \fBdpkg \-l '*vi*'\fP
.br

To see the entries in \fI%ADMINDIR%/available\fP of two packages:
.br
     \fBdpkg \-\-print\-avail elvis vim | less\fP
.br

Вручную просмотреть список пакетов:
.br
     \fBless %ADMINDIR%/available\fP
.br

Удалить установленный пакет elvis:
.br
     \fBdpkg \-r elvis\fP
.br

To install a package, you first need to find it in an archive or CDROM. The
\fIavailable\fP file shows that the vim package is in section \fBeditors\fP:
.br
     \fBcd /media/cdrom/pool/main/v/vim\fP
     \fBdpkg \-i vim_4.5\-3.deb\fP
.br

Получить локальную копию состояний выбранных пакетов:
.br
     \fBdpkg \-\-get\-selections >myselections\fP
.br

You might transfer this file to another computer, and after having updated
the \fIavailable\fP file there with your package manager frontend of choice
(see https://wiki.debian.org/Teams/Dpkg/FAQ for more details), for example:
.br
     \fBapt\-cache dumpavail | dpkg \-\-merge\-avail\fP
.br
or with dpkg 1.17.6 and earlier:
.br
     \fBavail=`mktemp`\fP
     \fBapt\-cache dumpavail >"$avail"\fP
     \fBdpkg \-\-merge\-avail "$avail"\fP
     \fBrm "$avail"\fP
.br
you can install it with:
.br
     \fBdpkg \-\-clear\-selections\fP
     \fBdpkg \-\-set\-selections <myselections\fP
.br

Note that this will not actually install or remove anything, but just set
the selection state on the requested packages. You will need some other
application to actually download and install the requested packages. For
example, run \fBapt\-get dselect\-upgrade\fP.

Обычно \fBdselect\fP(8) предоставляет более удобный способ изменить состояния
выбранных пакетов.
.br
.
.SH "ДОПОЛНИТЕЛЬНАЯ ФУНКЦИОНАЛЬНОСТЬ"
Additional functionality can be gained by installing any of the following
packages: \fBapt\fP, \fBaptitude\fP and \fBdebsums\fP.
.
.SH "SEE ALSO"
\fBaptitude\fP(1), \fBapt\fP(1), \fBdselect\fP(1), \fBdpkg\-deb\fP(1), \fBdpkg\-query\fP(1),
\fBdeb\fP(5), \fBdeb\-control\fP(5), \fBdpkg.cfg\fP(5), and \fBdpkg\-reconfigure\fP(8).
.
.SH АВТОРЫ
See \fI%PKGDOCDIR%/THANKS\fP for the list of people who have contributed to
\fBdpkg\fP.
