.\" dpkg manual page - deb-substvars(5)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006-2009,2012-2015 Guillem Jover <guillem@debian.org>
.\" Copyright © 2009-2010 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH deb\-substvars 5 %RELEASE_DATE% %VERSION% Dpkg\-sviten
.ad l
.nh
.SH NAMN
deb\-substvars \- Debians källkods\-substitueringsvariabler
.
.SH SYNOPS
substvars
.
.SH BESKRIVNING
Innan \fBdpkg\-source\fP, \fBdpkg\-gencontrol\fP och \fBdpkg\-genchanges\fP skriver sin
kontrollinformation (till control\-filen i källkodspaketet \fB.dsc\fP för
\fBdpkg\-source\fP och till standard ut för \fBdpkg\-gencontrol\fP och
\fBdpkg\-genchanges\fP) kommer de utföra viss variabelsubstituering på
utdatafilen.

A variable substitution has the form \fB${\fP\fIvariable\-name\fP\fB}\fP.  Variable
names consist of alphanumerics (a\-zA\-Z0\-9), hyphens (\-) and colons (:) and
start with an alphanumeric, and are case\-sensitive, even though they might
refer to other entities which are case\-preserving.  Variable substitutions
are performed repeatedly until none are left; the full text of the field
after the substitution is rescanned to look for more substitutions.

När alla substitueringar har utförts ersätts varje förekomst av strängen
\fB${}\fP (som inte är en giltig substituering) med ett \fB$\fP\-tecken.

Medan variabelsubstituering görs på alla fält i styrfilen är det några av
fälten som används och behövs vid byggning innan substitueringen ännu har
utförts. Därför går det inte att använda variabler i fälten \fBPackage\fP,
\fBSource\fP och \fBArchitecture\fP.

Variabelsubstituering sker över innehållet i fälten efter att de har
tolkats, vilket innebär att om du vill att en variabel skall expanderas över
flera rader så behöver du inte inkludera ett blanksteg efter
nyradstecknet. Detta görs implicit när fältet skrivs ut. Till exempel, om
variabeln \fB${Description}\fP sätts till "foo är bar.${Newline}foo är bra."
och du har följande fält:

 Description: programmet foo
  ${Description}
  .
  Mer text.

Så blir resultatet:

 Description: programmet foo
  foo är bar.
  foo är bra.
  .
  Mer text.

Variabler kan sättas genom att använda kommandoradsflaggan \fB\-V\fP. De kan
även anges i filen \fBdebian/substvars\fP (eller vilken som helst annan fil som
anges med flaggan \fB\-T\fP). Filen består av rader på formen
\fInamn\fP\fB=\fP\fIvärde\fP. Avslutande blanksteg på en rad, blanka rader och rader
som börjar med en \fB#\fP\-symbol (kommentarer) ignoreras.

I tillägg är följande standardvariabler tillgängliga:
.TP 
\fBArch\fP
The current host architecture (i.e. the architecture the package is being
built for, the equivalent of \fBDEB_HOST_ARCH\fP).
.TP 
\fBsource:Version\fP
The source package version (since dpkg 1.13.19).
.TP 
\fBsource:Upstream\-Version\fP
The upstream source package version, including the Debian version epoch if
any (since dpkg 1.13.19).
.TP 
\fBbinary:Version\fP
The binary package version (which may differ from \fBsource:Version\fP in a
binNMU for example; since dpkg 1.13.19).
.TP 
\fBSource\-Version\fP
The source package version (from the changelog file). This variable is now
\fBobsolete\fP and emits an error when used as its meaning is different from
its function, please use the \fBsource:Version\fP or \fBbinary:Version\fP as
appropriate.
.TP 
\fBsource:Synopsis\fP
The source package synopsis, extracted from the source stanza \fBDescription\fP
field, if it exists (since dpkg 1.19.0).
.TP 
\fBsource:Extended\-Description\fP
The source package extended description, extracted from the source stanza
\fBDescription\fP field, if it exists (since dpkg 1.19.0).
.TP 
\fBInstalled\-Size\fP
The approximate total size of the package's installed files. This value is
copied into the corresponding control file field; setting it will modify the
value of that field. If this variable is not set \fBdpkg\-gencontrol\fP will
compute the default value by accumulating the size of each regular file and
symlink rounded to 1 KiB used units, and a baseline of 1 KiB for any other
filesystem object type.  With hardlinks only being counted once as a regular
file.

\fBNote:\fP Take into account that this can only ever be an approximation, as
the actual size used on the installed system will depend greatly on the
filesystem used and its parameters, which might end up using either more or
less space than the specified in this field.
.TP 
\fBExtra\-Size\fP
Ytterligare diskutrymme som används när paketet installeras. Om värdet är
satt kommer dess värde att läggas till \fBInstalled\-Size\fP\-variabelns värde
(oavsett om den satts explicit eller om det förvalda värdet används) innan
det kopieras till kontrollfilens fält \fBInstalled\-Size\fP.
.TP 
\fBS:\fP\fIfieldname\fP
The value of the source stanza field \fIfieldname\fP (which must be given in
the canonical capitalisation; since dpkg 1.18.11).  Setting these variables
has no effect other than on places where they are expanded explicitly.
These variables are only available when generating binary control files.
.TP 
\fBF:\fP\fIfältnamn\fP
Värdet på utdatafältet \fIfältnamn\fP (som måste anges med rätt form av stora
och små bokstäver). Om du sätter dessa variabler händer ingenting förutom
där de explicit expanderats.
.TP 
\fBFormat\fP
Formatet på filen \fB.changes\fP som skapats av denna version av
källkodspaketeringsskripten. Om du sätter denna variabel kommer innehållet i
\fBFormat\fP\-fältet i filen \fB.changes\fP också att ändras.
.TP 
\fBNewline\fP, \fBSpace\fP, \fBTab\fP
Dessa variabler innehåller motsvarande tecken (radbrytning, blanksteg,
tabbsteg).
.TP 
\fBshlibs:\fP\fIberoendefält\fP
Variabelinställningar på den här formen skapas av \fBdpkg\-shlibdeps\fP.
.TP 
\fBdpkg:Upstream\-Version\fP
The upstream version of dpkg (since dpkg 1.13.19).
.TP 
\fBdpkg:Version\fP
The full version of dpkg (since dpkg 1.13.19).
.LP
Om en variabel refereras till men inte definieras kommer en varning att
genereras och ett tomt värde används.
.
.SH FILER
.TP 
\fBdebian/substvars\fP
Lista över substitueringsvariabler och \-värden.
.
.SH "SE ÄVEN"
\fBdpkg\fP(1), \fBdpkg\-genchanges\fP(1), \fBdpkg\-gencontrol\fP(1),
\fBdpkg\-shlibdeps\fP(1), \fBdpkg\-source\fP(1).
