.\" dpkg manual page - deb-version(7)
.\"
.\" Copyright © 1996-1998 Ian Jackson and Christian Schwarz
.\"   for parts of the text reused from the Debian Policy
.\" Copyright © 2007 Frank Lichtenheld <djpig@debian.org>
.\" Copyright © 2011, 2013, 2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH deb\-version 7 %RELEASE_DATE% %VERSION% Dpkg\-sviten
.ad l
.nh
.SH NAMN
deb\-version \- Format på versionsnummer för Debianpaket
.
.SH SYNOPS
[\fIepok\fP\fB:\fP]\fIuppströmsversion\fP[\fB\-\fP\fIdebianuppdatering\fP]
.SH BESKRIVNING
Versionsnummer som används för Debians binär\- och källkodspaket består av
tre komponenter. De är:
.TP 
\fIepok\fP
Ett ensamt (vanligtvis litet) heltalsvärde större än noll. Det kan
uteslutas, i så fall antas det vara noll. Om det utesluts kan inte
\fIuppströmsversion\fP innehålla kolontecken.
.IP
Fältet är till för att rätta till fel i versionsnummer i tidigare versioner
av paketet, samt attr hantera förändringar i paketets
versionsnumreringssystem.
.TP 
\fIuppströmsversion\fP
This is the main part of the version number.  It is usually the version
number of the original (“upstream”)  package from which the \fI.deb\fP file has
been made, if this is applicable.  Usually this will be in the same format
as that specified by the upstream author(s); however, it may need to be
reformatted to fit into the package management system's format and
comparison scheme.
.IP
Hur pakethanteraren jämför versionsnummer när det gäller \fIuppströmsversion\fP
beskrivs nedan. Fältet \fIuppströmsversion\fP i versionsnumret kan inte
utelämnas.
.IP
The \fIupstream\-version\fP may contain only alphanumerics (“A\-Za\-z0\-9”) and the
characters \fB.\fP \fB+\fP \fB\-\fP \fB:\fP \fB~\fP (full stop, plus, hyphen, colon, tilde)
and should start with a digit.  If there is no \fIdebian\-revision\fP then
hyphens are not allowed; if there is no \fIepoch\fP then colons are not
allowed.
.TP 
\fIdebianuppdatering\fP
Denna del av versionsnumret anger versionen för Debianpaketet som baserats
på uppströmsversionen. Den kan endast innehålla alfanumeriska tecken samt
tecknen \fB+\fP \fB.\fP \fB~\fP (plus, punkt, tilde) och jämförs på samma sätt som
\fIuppströmsversion\fP.
.IP
It is optional; if it isn't present then the \fIupstream\-version\fP may not
contain a hyphen.  This format represents the case where a piece of software
was written specifically to be turned into a Debian package, and so there is
only one “debianization” of it and therefore no revision indication is
required.
.IP
It is conventional to restart the \fIdebian\-revision\fP at ‘1’ each time the
\fIupstream\-version\fP is increased.
.IP
Dpkg delar upp versionsnumret vid det sista bindestrecket i strängen (om
sådant finns) för att bestämma \fIuppströmsversion\fP och
\fIdebianuppdatering\fP. Om \fIdebianuppdatering\fP saknas räknas det som tidigare
än om fältet existerar (men notera att \fIdebianuppdatering\fP är den minst
signifikanta delen av versionsnumret).
.SS Sorteringsalgoritm
Pakethanteringssystemet använder samma algoritm för att jämföra
\fIuppströmsversion\fP\- och \fIdebianuppdatering\fP\-delarna:
.PP
Strängarna jämförs från vänster till höger.
.PP
First the initial part of each string consisting entirely of non\-digit
characters is determined.  These two parts (one of which may be empty) are
compared lexically.  If a difference is found it is returned.  The lexical
comparison is a comparison of ASCII values modified so that all the letters
sort earlier than all the non\-letters and so that a tilde sorts before
anything, even the end of a part.  For example, the following parts are in
sorted order: ‘~~’, ‘~~a’, ‘~’, the empty part, ‘a’.
.PP
Därefter bestäms de inledande delar av varje sträng som enbart består av
siffror. De numeriska värdena av dessa delar jämförs och om en skillnad
upptäcks i jämförelsen returneras den som resultat av jämförelsen. För detta
ändamål räknas en tom sträng (vilket bara kan uppstå i slutet av den ena
eller båda versionssträngarna som jämförs) som noll.
.PP
Dessa båda steg (jämföra och ta bort inledande strängar med icke\-siffror och
siffror) upprepas till en jämförelse upptäcks eller de båda strängarna tar
slut.
.PP
Note that the purpose of epochs is to allow us to leave behind mistakes in
version numbering, and to cope with situations where the version numbering
scheme changes.  It is \fBnot\fP intended to cope with version numbers
containing strings of letters which the package management system cannot
interpret (such as ‘ALPHA’ or ‘pre\-’), or with silly orderings.
.SH ANTECKNINGAR
Tildetecknets och dess speciella sorteringsegenskaper introducerades i dpkg
1.10 och vissa delar av dpkg\-byggskripten fick inte stöd för det förrän
senare i 1.10.x\-serien.
.SH "SE ÄVEN"
\fBdeb\-control\fP(5), \fBdeb\fP(5), \fBdpkg\fP(1)
