.\" dpkg manual page - deb(5)
.\"
.\" Copyright © 1995 Raul Miller
.\" Copyright © 1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006-2017 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH deb 5 %RELEASE_DATE% %VERSION% Dpkg\-sviten
.ad l
.nh
.SH NAMN
deb \- Debians binära paketformat
.SH SYNOPS
\fIfilnamn\fP\fB.deb\fP
.SH BESKRIVNING
\&\fB.deb\fP\-formatet är Debians binära paketformat. Det förstås sedan dpkg
0.93.76, och genereras som förval sedan dpkg 1.2.0 och 1.1.1elf
(i386/ELF\-versioner).
.PP
Formatet som beskrivs här används sedan Debian 0.93; detaljer om det gamla
formatet finns i \fBdeb\-old\fP(5).
.SH FORMAT
Filen är ett \fBar\fP\-arkiv med det magiska numret \fB!<arch>\fP. Endast
det gemensamma \fBar\fP\-arkivformatet stöds, utan utökningar för långa filnamn,
men med filnamn som kan innehålla ett avslutande snedstreck, vilket
begränsar deras längd till 15 tecken (från de 16 tillåtna). Filstorlekar
begränsas till 10 decimala ASCII\-tecken, vilket tillåter ungefär 9536,74 MiB
filer.
.PP
The \fBtar\fP archives currently allowed are, the old\-style (v7) format, the
pre\-POSIX ustar format, a subset of the GNU format (new style long pathnames
and long linknames, supported since dpkg 1.4.1.17; large file metadata since
dpkg 1.18.24), and the POSIX ustar format (long names supported since dpkg
1.15.0).  Unrecognized tar typeflags are considered an error.  Each tar
entry size inside a tar archive is limited to 11 ASCII octal digits,
allowing for up to 8 GiB tar entries.  The GNU large file metadata support
permits 95\-bit tar entry sizes and negative timestamps, and 63\-bit UID, GID
and device numbers.
.PP
Den första posten i arkivet heter \fBdebian\-binary\fP och innehåller ett antal
rader, avdelade med nyradstecken. För närvarande finns endast en rad,
formatets versionsnummer, \fB2.0\fP. Program som läser arkiv i det nya formatet
bör vara förberedda på att underversionsnumret kan komma att ökas, och att
nya rader kan förekomma, och skall i så fall ignorera dessa.
.PP
Om huvudversionsnumret har ändrats har en inkompatibel ändring införts, och
programmet skall avbrytas. Om så inte har gjorts, skall programmet kunna
fortsätta utan problem, såvida det inte stöter på en oväntad post i arkivet
(förutom i slutet), enligt vad beskrivs nedan.
.PP
The second required member is named \fBcontrol.tar\fP.  It is a tar archive
containing the package control information, either not compressed (supported
since dpkg 1.17.6), or compressed with gzip (with \fB.gz\fP extension) or xz
(with \fB.xz\fP extension, supported since 1.17.6), as a series of plain files,
of which the file \fBcontrol\fP is mandatory and contains the core control
information, the \fBconffiles\fP, \fBtriggers\fP, \fBshlibs\fP and \fBsymbols\fP files
contain optional control information, and the \fBpreinst\fP, \fBpostinst\fP,
\fBprerm\fP and \fBpostrm\fP files are optional maintainer scripts.  The control
tarball may optionally contain an entry for ‘\fB.\fP’, the current directory.
.PP
Den tredje och sista nödvändiga posten heter \fBdata.tar\fP. Den innehåller
filsystemet som ett tar\-arkiv, antingen okomprimerat (stöds sedan dpkg
1.10.24), eller komprimerat med gzip (med filslutet \fB.gz\fP), xz (med
filslutet \fB.xz\fP, stöds sedan dpkg 1.15.6), bzip2 (med filslutet \fB.bz2\fP,
stöds sedan dpkg 1.10.24) eller lzma (med filslutet \fB.lzma\fP, stöds sedan
dpkg 1.13.25).
.PP
These members must occur in this exact order. Current implementations should
ignore any additional members after \fBdata.tar\fP.  Further members may be
defined in the future, and (if possible) will be placed after these
three. Any additional members that may need to be inserted after
\fBdebian\-binary\fP and before \fBcontrol.tar\fP or \fBdata.tar\fP and which should
be safely ignored by older programs, will have names starting with an
underscore, ‘\fB_\fP’.
.PP
Nya poster som inte kommer att kunna ignoreras utan problem kommer att
läggas in före \fBdata.tar\fP med namn som börjar med något annat än
understreck, eller (mer troligt) göra att huvudversionsnumret ökas.
.SH MEDIATYP
.SS Nuvarande
application/vnd.debian.binary\-package
.SS Föråldrade
application/x\-debian\-package
.br
application/x\-deb
.SH "SE ÄVEN"
\fBdeb\-old\fP(5), \fBdpkg\-deb\fP(1), \fBdeb\-control\fP(5), \fBdeb\-conffiles\fP(5)
\fBdeb\-triggers\fP(5), \fBdeb\-shlibs\fP(5), \fBdeb\-symbols\fP(5), \fBdeb\-preinst\fP(5),
\fBdeb\-postinst\fP(5), \fBdeb\-prerm\fP(5), \fBdeb\-postrm\fP(5).
