.\" dpkg manual page - dpkg-buildflags(1)
.\"
.\" Copyright © 2010-2011 Raphaël Hertzog <hertzog@debian.org>
.\" Copyright © 2011 Kees Cook <kees@debian.org>
.\" Copyright © 2011-2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-buildflags 1 %RELEASE_DATE% %VERSION% Dpkg\-sviten
.ad l
.nh
.SH NAMN
dpkg\-buildflags \- returnerar byggflaggor att använda för att bygga paket
.
.SH SYNOPS
\fBdpkg\-buildflags\fP [\fIflagga\fP...] \fIkommando\fP
.
.SH BESKRIVNING
\fBdpkg\-buildflags\fP är ett verktyg för att hämta kompileringsflaggor att
använda för att bygga Debianpaket.
.
De förvalda flaggorna anges av leverantören, men de kan utökas/överstyras på
flera sätt:
.IP 1.
på hela systemet med \fB%PKGCONFDIR%/buildflags.conf\fP;
.IP 2.
för den nuvarande användaren med \fB$XDG_CONFIG_HOME/dpkg/buildflags.conf\fP
där \fB$XDG_CONFIG_HOME\fP har standardvärdet \fB$HOME/.config\fP;
.IP 3.
temporärt av användaren med miljövariabler (se stycket \fBMILJÖ\fP).
.IP 4.
dynamiskt av paketansvariga med miljövariabler som sätts via \fBdebian/rules\fP
(se stycket \fBMILJÖ\fP).
.P
The configuration files can contain four types of directives:
.TP 
\fBSET\fP\fI flagga värde\fP
Överstyr flaggan \fIflagga\fP till att ha värdet \fIvärde\fP.
.TP 
\fBSTRIP\fP\fI flagga värde\fP
Ta bort alla flaggor som listas i \fIvärde\fP från flaggan som anges i
\fIflagga\fP.
.TP 
\fBAPPEND\fP\fI flagga värde\fP
Utöka flaggan \fIflagga\fP genom att lägga till alternativen som anges i
\fIvärde\fP. Ett blanksteg läggs till före värdet om flaggans nuvarande värde
inte är tomt.
.TP 
\fBPREPEND\fP\fI flagga värde\fP
Utöka flaggan \fIflagga\fP genom att lägga till alternativen som anges i
\fIvärde\fP först. Ett blanksteg läggs till efter värdet om flaggans nuvarande
värde inte är tomt.
.P
Konfigurationsfilerna kan innehålla kommentarer på rader som börjar med ett
nummertecken (#). Även tomma rader ignoreras.
.SH KOMMANDON
.TP 
\fB\-\-dump\fP
Print to standard output all compilation flags and their values. It prints
one flag per line separated from its value by an equal sign
(“\fIflag\fP=\fIvalue\fP”). This is the default action.
.TP 
\fB\-\-list\fP
Skriv ut listan över flaggor som stöds av den aktuella leverantören (en per
rad). Se stycket \fBFLAGGOR SOM STÖDS\fP för mer information om dem.
.TP 
\fB\-\-status\fP
Display any information that can be useful to explain the behaviour of
\fBdpkg\-buildflags\fP (since dpkg 1.16.5): relevant environment variables,
current vendor, state of all feature flags.  Also print the resulting
compiler flags with their origin.

Detta är tänkt att köras från \fBdebian/rules\fP så att byggloggen innehåller
ett tydligt spår över de använda byggflaggorna. Det kan vara användbart för
att diagnostisera problem rörande dessa.
.TP 
\fB\-\-export=\fP\fIformat\fP
Skriv kommandon som kan användas för att exportera alla kompileringsflaggor
för något specifikt verktyg. Om \fIformat\fP inte anges antas \fBsh\fP. Endast
kompileringsflaggor som börjar med en stor bokstav tas med, andra antas att
inte vara lämpliga för miljön. Format som stöds:
.RS
.TP 
\fBsh\fP
Skalkommandon för att sätta och exportera alla kompileringsflaggor i
miljön. Flaggvärdena citeras så att utdata är redo att utvärderas av ett
skal.
.TP 
\fBcmdline\fP
Argument att sända till byggprogrammets kommandorad för att använda alla
kompileringsflaggor (sedan dpkg 1.17.0). Flaggornas värde citeras enligt
skalsyntax.
.TP 
\fBconfigure\fP
Detta är ett gammalt alias för \fBcmdline\fP.
.TP 
\fBmake\fP
Make\-direktiv för att sätta och exportera alla kompileringsflaggor i
miljön. Utdata kan skrivas till ett makefil\-fragment och utvärderas med ett
\fBinclude\fP\-direktiv.
.RE
.TP 
\fB\-\-get\fP\fI flagga\fP
Skriv ut värdet på flaggan på standard ut. Avslutar med 0 om flaggan är
känd, om inte avslutar den med 1.
.TP 
\fB\-\-origin\fP\fI flagga\fP
Anger ursprunget till flaggan som returneras av \fB\-\-get\fP. Avslutar med 0 om
flaggan är känd, om inte avslutar med 1. Ursprunget kan vara ett av följande
värden:
.RS
.TP 
\fBvendor\fP
originalflagga satt av leverantören returneras;
.TP 
\fBsystem\fP
flaggan är satt/modifierad av systemkonfigurationen;
.TP 
\fBuser\fP
flaggan är satt/modifierad av användarkonfigurationen;
.TP 
\fBenv\fP
flaggan är satt/modifierad av en miljöspecifik konfiguration.
.RE
.TP 
\fB\-\-query\fP
Print any information that can be useful to explain the behaviour of the
program: current vendor, relevant environment variables, feature areas,
state of all feature flags, and the compiler flags with their origin (since
dpkg 1.19.0).
.IP
For example:
.nf
  Vendor: Debian
  Environment:
   DEB_CFLAGS_SET=\-O0 \-Wall

  Area: qa
  Features:
   bug=no
   canary=no

  Area: reproducible
  Features:
   timeless=no

  Flag: CFLAGS
  Value: \-O0 \-Wall
  Origin: env

  Flag: CPPFLAGS
  Value: \-D_FORTIFY_SOURCE=2
  Origin: vendor
.fi
.TP 
\fB\-\-query\-features\fP \fIarea\fP
Print the features enabled for a given area (since dpkg 1.16.2).  The only
currently recognized areas on Debian and derivatives are \fBfuture\fP, \fBqa\fP,
\fBreproducible\fP, \fBsanitize\fP and \fBhardening\fP, see the \fBFEATURE AREAS\fP
section for more details.  Exits with 0 if the area is known otherwise exits
with 1.
.IP
Utdata är på RFC822\-headerformat, med en sektion per funktion. Till exempel:
.IP
.nf
  Feature: pie
  Enabled: yes

  Feature: stackprotector
  Enabled: yes
.fi
.TP 
\fB\-\-help\fP
Visar hjälpskärm och avslutar.
.TP 
\fB\-\-version\fP
Visar version och avslutar.
.
.SH "FLAGGOR SOM STÖDS"
.TP 
\fBCFLAGS\fP
Flaggor för C\-kompilatorn. Standardvärdet som satts av leverantören
innehåller \fB\-g\fP och den förvalda optimeringsnivån (vanligtvis \fB\-O2\fP, eller
\fB\-O0\fP om miljövariabeln \fBDEB_BUILD_OPTIONS\fP definierar \fInoopt\fP).
.TP 
\fBCPPFLAGS\fP
Flaggor för C\-förprocesseraren. Förvalt värde: tomt.
.TP 
\fBCXXFLAGS\fP
Flaggor för C++\-kompilatorn. Samma som \fBCFLAGS\fP.
.TP 
\fBOBJCFLAGS\fP
Flaggor för Objective C\-kompilatorn. Samma som \fBCFLAGS\fP.
.TP 
\fBOBJCXXFLAGS\fP
Flaggor för Objective C++\-kompilatorn. Samma som \fBCFLAGS\fP.
.TP 
\fBGCJFLAGS\fP
Flaggor för GNU Java\-kompilatorn (gcj). En delmängd av \fBCFLAGS\fP.
.TP 
\fBFFLAGS\fP
Flaggor för Fortran 7\-kompilatorn. En delmängd av \fBCFLAGS\fP.
.TP 
\fBFCFLAGS\fP
Flaggor för Fortran 9x\-kompilatorn. Samma som \fBCFLAGS\fP.
.TP 
\fBLDFLAGS\fP
Flaggor som sänds till kompilatorn vid länkning av binärer eller delade
objekt (om länkaren anropas direkt måste \fB\-Wl\fP och \fB,\fP tas bort från dessa
flaggor). Standardvärde: tomt.
.PP
Nya flaggor kan komma att läggas till i framtiden om behovet uppstår (till
exempel för att stöda andra språk).
.
.SH FUNKTIONSOMRÅDEN
.P
Each area feature can be enabled and disabled in the \fBDEB_BUILD_OPTIONS\fP
and \fBDEB_BUILD_MAINT_OPTIONS\fP environment variable's area value with the
‘\fB+\fP’ and ‘\fB\-\fP’ modifier.  For example, to enable the \fBhardening\fP “pie”
feature and disable the “fortify” feature you can do this in
\fBdebian/rules\fP:
.P
  export DEB_BUILD_MAINT_OPTIONS=hardening=+pie,\-fortify
.P
The special feature \fBall\fP (valid in any area) can be used to enable or
disable all area features at the same time.  Thus disabling everything in
the \fBhardening\fP area and enabling only “format” and “fortify” can be
achieved with:
.P
  export DEB_BUILD_MAINT_OPTIONS=hardening=\-all,+format,+fortify
.
.SS future
Several compile\-time options (detailed below) can be used to enable features
that should be enabled by default, but cannot due to backwards compatibility
reasons.
.TP 
\fBlfs\fP
This setting (disabled by default) enables Large File Support on 32\-bit
architectures where their ABI does not include LFS by default, by adding
\fB\-D_LARGEFILE_SOURCE \-D_FILE_OFFSET_BITS=64\fP to \fBCPPFLAGS\fP.
.
.SS qa
Flera kommandoradsflaggor (beskrivna nedan) kan användas för att göra det
lättare att hitta problem i källkoden eller byggsystemet.
.TP 
\fBbug\fP
This setting (disabled by default) adds any warning option that reliably
detects problematic source code. The warnings are fatal.  The only currently
supported flags are \fBCFLAGS\fP and \fBCXXFLAGS\fP with flags set to
\fB\-Werror=array\-bounds\fP, \fB\-Werror=clobbered\fP,
\fB\-Werror=implicit\-function\-declaration\fP and
\fB\-Werror=volatile\-register\-var\fP.
.
.TP 
\fBcanary\fP
Den här inställningen (inaktiverad som standard) lägger till overksamma
tjallarflaggor till byggflaggorna, så att byggloggarna kan kontrolleras för
att se hur byggflaggor vidarebefordras för att göra det enklare att hitta
när vanliga byggflagor utesluts. De enda flaggor som stöds är för närvarande
\fBCPPFLAGS\fP, \fBCFLAGS\fP, \fBOBJCFLAGS\fP, \fBCXXFLAGS\fP och \fBOBJCXXFLAGS\fP med
flaggorna satta till \fB\-D__DEB_CANARY_\fP\fIflag\fP_\fIslumpmässigt\-id\fP\fB__\fP, och
\fBLDFLAGS\fP satt till \fB\-Wl,\-z,deb\-canary\-\fP\fIslumpmässigt\-id\fP.
.
.SS sanitize
Several compile\-time options (detailed below) can be used to help sanitize a
resulting binary against memory corruptions, memory leaks, use after free,
threading data races and undefined behavior bugs.  \fBNote\fP: these options
should \fBnot\fP be used for production builds as they can reduce reliability
for conformant code, reduce security or even functionality.
.TP 
\fBaddress\fP
This setting (disabled by default) adds \fB\-fsanitize=address\fP to \fBLDFLAGS\fP
and \fB\-fsanitize=address \-fno\-omit\-frame\-pointer\fP to \fBCFLAGS\fP and
\fBCXXFLAGS\fP.
.TP 
\fBthread\fP
This setting (disabled by default) adds \fB\-fsanitize=thread\fP to \fBCFLAGS\fP,
\fBCXXFLAGS\fP and \fBLDFLAGS\fP.
.TP 
\fBleak\fP
This setting (disabled by default) adds \fB\-fsanitize=leak\fP to \fBLDFLAGS\fP. It
gets automatically disabled if either the \fBaddress\fP or the \fBthread\fP
features are enabled, as they imply it.
.TP 
\fBundefined\fP
This setting (disabled by default) adds \fB\-fsanitize=undefined\fP to
\fBCFLAGS\fP, \fBCXXFLAGS\fP and \fBLDFLAGS\fP.
.SS hardening
Du kan använda flera kompileringsflaggor (se detaljer nedan) för att härda
den färdiga binären mot minnesfördärvningsangrepp, eller för att ge
ytterligare varningsmeddelanden under kompileringen. Förutom det som anges
nedan aktiveras dessa som standard för arkitekturer som stöder dem.
.TP 
\fBformat\fP
This setting (enabled by default) adds \fB\-Wformat \-Werror=format\-security\fP
to \fBCFLAGS\fP, \fBCXXFLAGS\fP, \fBOBJCFLAGS\fP and \fBOBJCXXFLAGS\fP.  This will warn
about improper format string uses, and will fail when format functions are
used in a way that represent possible security problems. At present, this
warns about calls to \fBprintf\fP and \fBscanf\fP functions where the format
string is not a string literal and there are no format arguments, as in
\fBprintf(foo);\fP instead of \fBprintf("%s", foo);\fP This may be a security hole
if the format string came from untrusted input and contains ‘%n’.
.
.TP 
\fBfortify\fP
This setting (enabled by default) adds \fB\-D_FORTIFY_SOURCE=2\fP to
\fBCPPFLAGS\fP. During code generation the compiler knows a great deal of
information about buffer sizes (where possible), and attempts to replace
insecure unlimited length buffer function calls with length\-limited
ones. This is especially useful for old, crufty code.  Additionally, format
strings in writable memory that contain ‘%n’ are blocked. If an application
depends on such a format string, it will need to be worked around.

Observera att för att den här flaggan ska ha någon funktion måste källkoden
också kompileras med \fB\-O1\fP eller högre. Om miljövariabeln
\fBDEB_BUILD_OPTIONS\fP innehåller \fInoopt\fP kommer stödet för \fBfortify\fP att
inaktiverats, på grund av nya varningar som ges av glibc 2.16 och senare.
.TP 
\fBstackprotector\fP
Inställningen (aktiverad som standard om stackprotectorstrong inte används)
lägger till \fB\-fstack\-protector \-\-param=ssp\-buffer\-size=4\fP till \fBCFLAGS\fP,
\fBCXXFLAGS\fP, \fBOBJCFLAGS\fP, \fBOBJCXXFLAGS\fP, \fBGCJFLAGS\fP, \fBFFLAGS\fP och
\fBFCFLAGS\fP. Detta lägger till säkerhetskontroller mot stacköverskrivningar,
vilket gör att många möjliga kodinjiceringsangrepp istället avbryter
programmet. I det bästa fallet gör det kodinjiceringsangrepp till
överbelastnignsangrepp eller icke\-problem (beroende på programmet).

Den här funktionen kräver länkning mot glibc (eller ett annat bibliotek som
tillhandahåller \fB__stack_chk_fail\fP), så det måste inaktiveras när du bygger
med \fB\-nostdlib\fP eller \fB\-ffreestanding\fP eller liknande.
.
.TP 
\fBstackprotectorstrong\fP
Inställningen (aktiverad som standard) lägger till
\fB\-fstack\-protector\-strong\fP till \fBCFLAGS\fP, \fBCXXFLAGS\fP, \fBOBJCFLAGS\fP,
\fBOBJCXXFLAGS\fP, \fBGCJFLAGS\fP, \fBFFLAGS\fP och \fBFCFLAGS\fP. Detta är en starkare
variant av \fBstackprotector\fP, men utan markanta prestandaminskningar.

Om du inaktiverar \fBstackprotector\fP inaktiveras även denna inställning.

Funktionen har samma krav som \fBstackprotector\fP, och kräver dessutom gcc 4.9
eller senare.
.
.TP 
\fBrelro\fP
Inställningen (aktiverad som standard) lägger till \fB\-Wl,\-z,relro\fP till
\fBLDFLAGS\fP. Vid inläsning av programmet måste länkaren skriva till flera
ELF\-minnessektioner. Den här inställningen flaggar till inläsaren att dessa
sektioner skall göras skrivskyddade innan programmet får kontroll. Detta
skyddar huvudsaklingen mot GOT\-överskrivningsangrepp. Om inställningen
inaktiveras kommer även \fBbindnow\fP att inaktiveras.
.
.TP 
\fBbindnow\fP
Inställningen (inaktiverad som standard) lägger till \fB\-Wl,\-z,bindnow\fP till
\fBLDFLAGS\fP. Vid inläsning av programmet löses alla dynamiska symboler,
vilket gör att hela PLT kan markeras som skrivskyddad (på grund av \fBrelro\fP
ovan). Inställningen kan inte aktiveras om \fBrelro\fP inte är aktiverad.
.
.TP 
\fBpie\fP
This setting (with no global default since dpkg 1.18.23, as it is enabled by
default now by gcc on the amd64, arm64, armel, armhf, hurd\-i386, i386,
kfreebsd\-amd64, kfreebsd\-i386, mips, mipsel, mips64el, powerpc, ppc64,
ppc64el, riscv64, s390x, sparc and sparc64 Debian architectures) adds the
required options to enable or disable PIE via gcc specs files, if needed,
depending on whether gcc injects on that architecture the flags by itself or
not.  When the setting is enabled and gcc injects the flags, it adds
nothing.  When the setting is enabled and gcc does not inject the flags, it
adds \fB\-fPIE\fP (via \fI%PKGDATADIR%/pie\-compiler.specs\fP) to \fBCFLAGS\fP,
\fBCXXFLAGS\fP, \fBOBJCFLAGS\fP, \fBOBJCXXFLAGS\fP, \fBGCJFLAGS\fP, \fBFFLAGS\fP and
\fBFCFLAGS\fP, and \fB\-fPIE \-pie\fP (via \fI%PKGDATADIR%/pie\-link.specs\fP) to
\fBLDFLAGS\fP.  When the setting is disabled and gcc injects the flags, it adds
\fB\-fno\-PIE\fP (via \fI%PKGDATADIR%/no\-pie\-compile.specs\fP) to \fBCFLAGS\fP,
\fBCXXFLAGS\fP, \fBOBJCFLAGS\fP, \fBOBJCXXFLAGS\fP, \fBGCJFLAGS\fP, \fBFFLAGS\fP and
\fBFCFLAGS\fP, and \fB\-fno\-PIE \-no\-pie\fP (via \fI%PKGDATADIR%/no\-pie\-link.specs\fP)
to \fBLDFLAGS\fP.

Position Independent Executable are needed to take advantage of Address
Space Layout Randomization, supported by some kernel versions. While ASLR
can already be enforced for data areas in the stack and heap (brk and mmap),
the code areas must be compiled as position\-independent. Shared libraries
already do this (\fB\-fPIC\fP), so they gain ASLR automatically, but binary
\&.text regions need to be build PIE to gain ASLR. When this happens, ROP
(Return Oriented Programming) attacks are much harder since there are no
static locations to bounce off of during a memory corruption attack.

PIE is not compatible with \fB\-fPIC\fP, so in general care must be taken when
building shared objects. But because the PIE flags emitted get injected via
gcc specs files, it should always be safe to unconditionally set them
regardless of the object type being compiled or linked.

Static libraries can be used by programs or other shared libraries.
Depending on the flags used to compile all the objects within a static
library, these libraries will be usable by different sets of objects:

.RS
.TP 
none
Cannot be linked into a PIE program, nor a shared library.
.TP 
\fB\-fPIE\fP
Can be linked into any program, but not a shared library (recommended).
.TP 
\fB\-fPIC\fP
Can be linked into any program and shared library.
.RE

.IP
If there is a need to set these flags manually, bypassing the gcc specs
injection, there are several things to take into account. Unconditionally
and explicitly passing \fB\-fPIE\fP, \fB\-fpie\fP or \fB\-pie\fP to a build\-system using
libtool is safe as these flags will get stripped when building shared
libraries.  Otherwise on projects that build both programs and shared
libraries you might need to make sure that when building the shared
libraries \fB\-fPIC\fP is always passed last (so that it overrides any previous
\fB\-PIE\fP) to compilation flags such as \fBCFLAGS\fP, and \fB\-shared\fP is passed
last (so that it overrides any previous \fB\-pie\fP) to linking flags such as
\fBLDFLAGS\fP. \fBNote:\fP This should not be needed with the default gcc specs
machinery.

.IP
Additionally, since PIE is implemented via a general register, some register
starved architectures (but not including i386 anymore since optimizations
implemented in gcc >= 5) can see performance losses of up to 15% in very
text\-segment\-heavy application workloads; most workloads see less than
1%. Architectures with more general registers (e.g. amd64)  do not see as
high a worst\-case penalty.
.SS reproducible
Kompileringsflaggorna som anges nedan kan användas för att göra det lättare
att reproducera byggbarhet eller tillhandahålla ytterligare varningsflaggor
under kompileringen. Förutom det som anges nedan aktiveras dessa som
standard för arkitekturer som stöder dem.
.TP 
\fBtimeless\fP
This setting (enabled by default) adds \fB\-Wdate\-time\fP to \fBCPPFLAGS\fP.  This
will cause warnings when the \fB__TIME__\fP, \fB__DATE__\fP and \fB__TIMESTAMP__\fP
macros are used.
.
.TP 
\fBfixfilepath\fP
This setting (disabled by default) adds
\fB\-ffile\-prefix\-map=\fP\fIBUILDPATH\fP\fB=.\fP to \fBCFLAGS\fP, \fBCXXFLAGS\fP,
\fBOBJCFLAGS\fP, \fBOBJCXXFLAGS\fP, \fBGCJFLAGS\fP, \fBFFLAGS\fP and \fBFCFLAGS\fP where
\fBBUILDPATH\fP is set to the top\-level directory of the package being built.
This has the effect of removing the build path from any generated file.

If both \fBfixdebugpath\fP and \fBfixfilepath\fP are set, this option takes
precedence, because it is a superset of the former.
.TP 
\fBfixdebugpath\fP
This setting (enabled by default) adds
\fB\-fdebug\-prefix\-map=\fP\fIBUILDPATH\fP\fB=.\fP to \fBCFLAGS\fP, \fBCXXFLAGS\fP,
\fBOBJCFLAGS\fP, \fBOBJCXXFLAGS\fP, \fBGCJFLAGS\fP, \fBFFLAGS\fP and \fBFCFLAGS\fP where
\fBBUILDPATH\fP is set to the top\-level directory of the package being built.
This has the effect of removing the build path from any generated debug
symbols.
.
.SH MILJÖVARIABLER
Det finns två uppsättningar miljövariabler som utför samma operationer, den
första (DEB_\fIflagga\fP_\fIop\fP) bör aldrig användas inuti \fBdebian/rules\fP). Den
är tänkt för användare som vill bygga om källkodspaketet med andra
byggflaggor. Den andra uppsättningen (DEB_\fIflagga\fP_MAINT_\fIop\fP) bör endast
användas i \fBdebian/rules\fP av paketansvariga för att ändra de slutgiltiga
byggflaggorna.
.TP 
\fBDEB_\fP\fIflagga\fP\fB_SET\fP
.TQ
\fBDEB_\fP\fIflagga\fP\fB_MAINT_SET\fP
Denna variabel kan användas för att tvinga fram värdet som returneras för
given \fIflagga\fP.
.TP 
\fBDEB_\fP\fIflagga\fP\fB_STRIP\fP
.TQ
\fBDEB_\fP\fIflagga\fP\fB_MAINT_STRIP\fP
Denna variabel kan användas för att tillhandahålla en blankstegsavdelad
lista med flaggor som kommer att tas bort från uppsättningen flaggor som ges
för given \fIflagga\fP.
.TP 
\fBDEB_\fP\fIflagga\fP\fB_APPEND\fP
.TQ
\fBDEB_\fP\fIflagga\fP\fB_MAINT_APPEND\fP
Denna variabel kan användas för att lägga till ytterligare flaggor till
värdet som returneras för given \fIflagga\fP.
.TP 
\fBDEB_\fP\fIflagga\fP\fB_PREPEND\fP
.TQ
\fBDEB_\fP\fIflagga\fP\fB_MAINT_PREPEND\fP
Denna variabel kan användas för att lägga till ytterligare flaggor först i
värdet som returneras för given \fIflagga\fP.
.TP 
\fBDEB_BUILD_OPTIONS\fP
.TQ
\fBDEB_BUILD_MAINT_OPTIONS\fP
De här variablerna kan användas av en användare eller utvecklare för att slå
av/på olika områdesfunktioner som påverkar byggflaggorna. Variabeln
\fBDEB_BUILD_MAINT_OPTIONS\fP\-variabeln överstyr alla inställningar i
funktionsområden i \fBDEB_BUILD_OPTIONS\fP. Se avsnittet \fBFUNKTIONSOMRÅDEN\fP
för mer information.
.TP 
\fBDEB_VENDOR\fP
This setting defines the current vendor.  If not set, it will discover the
current vendor by reading \fB%PKGCONFDIR%/origins/default\fP.
.TP 
\fBDEB_BUILD_PATH\fP
This variable sets the build path (since dpkg 1.18.8) to use in features
such as \fBfixdebugpath\fP so that they can be controlled by the caller.  This
variable is currently Debian and derivatives\-specific.
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.TP 
\fBDPKG_NLS\fP
If set, it will be used to decide whether to activate Native Language
Support, also known as internationalization (or i18n) support (since dpkg
1.19.0).  The accepted values are: \fB0\fP and \fB1\fP (default).
.
.SH FILER
.SS Konfigurationsfiler
.TP 
\fB%PKGCONFDIR%/buildflags.conf\fP
Konfigurationsfil för hela systemet.
.TP 
\fB$XDG_CONFIG_HOME/dpkg/buildflags.conf\fP or 
.TQ
\fB$HOME/.config/dpkg/buildflags.conf\fP
Användarens konfigurationsfil.
.SS Paketeringsstöd
.TP 
\fB%PKGDATADIR%/buildflags.mk\fP
Makefile\-klipp som läser in (och eventuellt exporterar) alla flaggor som
stöd av \fBdpkg\-buildflags\fP till variabler (sedan dpkg 1.16.1).
.
.SH EXEMPEL
För att sända byggflaggor till en byggkommandorad i en makefil:
.PP
.RS 4
.nf
$(MAKE) $(shell dpkg\-buildflags \-\-export=cmdline)

\&./configure $(shell dpkg\-buildflags \-\-export=cmdline)
.fi
.RE
.PP
To set build flags in a shell script or shell fragment, \fBeval\fP can be used
to interpret the output and to export the flags in the environment:
.PP
.RS 4
.nf
eval "$(dpkg\-buildflags \-\-export=sh)" && make
.fi
.RE
.PP
eller för att sätta positionsparametrarna för att sända till ett kommando:
.PP
.RS 4
.nf
eval "set \-\- $(dpkg\-buildflags \-\-export=cmdline)"
for dir in a b c; do (cd $dir && ./configure "$@" && make); done
.fi
.RE
.
.SS "Använda i debian/rules"
Du bör anropa \fBdpkg\-buildflags\fP eller inkludera \fBbuildflags.mk\fP från filen
\fBdebian/rules\fP för att hämta de byggflaggor det är nödvändigt att sända
till byggsystemet. Observera att äldre versioner av \fBdpkg\-buildpackages\fP
(före dpkg 1.16.1) exporterade dessa flaggor automatiskt. Du bör dock inte
bero på detta, eftersom detta förhindrar körning av \fBdebian/rules\fP
manuellt.
.PP
För paket med autoconf\-liknande byggsystem kan du sända relevanta flaggor
direkt till configure eller \fBmake\fP(1), som visas ovan.
.PP
I andra byggsystem, eller om du vill ha mer finkorning styrning av vilka
flaggor som sänds vart, kan du använda \fB\-\-get\fP. Eller så kan du istället
inkludera \fBbuildflags.mk\fP, som tar hand om anropet till \fBdpkg\-buildflags\fP
och lagringen av byggflaggorna i make\-variabler.
.PP
Om du vill exportera alla byggflaggor till miljön (där de kan fångas upp av
ditt byggsystem):
.PP
.RS 4
.nf
DPKG_EXPORT_BUILDFLAGS = 1
include %PKGDATADIR%/buildflags.mk
.fi
.RE
.PP
För extra styrning av vad som expoteras kan du manuellt exportera
variablerna (eftersom inga av dem exporteras som standard):
.PP
.RS 4
.nf
include %PKGDATADIR%/buildflags.mk
export CPPFLAGS CFLAGS LDFLAGS
.fi
.RE
.PP
Du kan naturligtvis dessutom manuellt sända flaggorna till kommandon:
.PP
.RS 4
.nf
include %PKGDATADIR%/buildflags.mk
build\-arch:
\&	$(CC) \-o hello hello.c $(CPPFLAGS) $(CFLAGS) $(LDFLAGS)
.fi
.RE
