.\" dpkg manual page - dpkg-deb(1)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 1999 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006 Frank Lichtenheld <djpig@debian.org>
.\" Copyright © 2007-2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-deb 1 %RELEASE_DATE% %VERSION% Dpkg\-sviten
.ad l
.nh
.SH NAMN
dpkg\-deb \- Debians manipuleringsverktyg för paketarkiv (.deb)
.
.SH SYNOPS
\fBdpkg\-deb\fP [\fIflagga\fP...] \fIåtgärd\fP
.
.SH BESKRIVNING
\fBdpkg\-deb\fP packar, packar upp och tillhandahåller information om
Debianarkiv.
.PP
Använd \fBdpkg\fP för att installera och ta bort paket från ditt system.
.PP
Du kan även starta \fBdpkg\-deb\fP genom att anropa \fBdpkg\fP med de flaggor du
vill sända till \fBdpkg\-deb\fP. \fBdpkg\fP kommer upptäcka att du ville åt
\fBdpkg\-deb\fP och kör det åt dig.
.PP
For most commands taking an input archive argument, the archive can be read
from standard input if the archive name is given as a single minus character
(«\fB\-\fP»); otherwise lack of support will be documented in their respective
command description.
.
.SH KOMMANDON
.TP 
\fB\-b\fP, \fB\-\-build\fP \fIbinary\-directory\fP [\fIarchive\fP|\fIdirectory\fP]
Creates a debian archive from the filesystem tree stored in
\fIbinary\-directory\fP. \fIbinary\-directory\fP must have a \fBDEBIAN\fP subdirectory,
which contains the control information files such as the control file
itself. This directory will \fInot\fP appear in the binary package's filesystem
archive, but instead the files in it will be put in the binary package's
control information area.

Unless you specify \fB\-\-nocheck\fP, \fBdpkg\-deb\fP will read \fBDEBIAN/control\fP and
parse it. It will check the file for syntax errors and other problems, and
display the name of the binary package being built.  \fBdpkg\-deb\fP will also
check the permissions of the maintainer scripts and other files found in the
\fBDEBIAN\fP control information directory.

If no \fIarchive\fP is specified then \fBdpkg\-deb\fP will write the package into
the file \fIbinary\-directory\fP\fB.deb\fP.

Om arkivet som skall skapas redan finns kommer det skrivas över.

If the second argument is a directory then \fBdpkg\-deb\fP will write to the
file \fIdirectory\fP\fB/\fP\fIpackage\fP\fB_\fP\fIversion\fP\fB_\fP\fIarch\fP\fB.deb.\fP When a
target directory is specified, rather than a file, the \fB\-\-nocheck\fP option
may not be used (since \fBdpkg\-deb\fP needs to read and parse the package
control file to determine which filename to use).
.TP 
\fB\-I\fP, \fB\-\-info\fP \fIarkiv\fP [\fIcontrol\-filnamn\fP ...]
Tillhandahåller information om ett binärt paketarkiv.

Om inga \fIcontrol\-filnamn\fP anges kommer det att visa en sammanfattning av
innehållet i paketet tillsammans med dess styrfil.

Om ett eller flera \fIcontrol\-filnamn\fP anges kommer \fBdpkg\-deb\fP att skriva ut
dem i den ordning de anges. Om några av komponenterna inte fanns kommer ett
felmeddelande för vart och ett skrivas ut på standard fel, och programmet
avslutar med felstatus 2.
.TP 
\fB\-W\fP, \fB\-\-show\fP \fIarkiv\fP
Ger information om ett binärt paketarkiv i det format som anges med flaggan
\fB\-\-showformat\fP. Det förvalda formatet visar paketets namn och version på en
rad, avdelade med tabulatortecken.
.TP 
\fB\-f\fP, \fB\-\-field\fP \fIarkiv\fP [\fIcontrol\-fältnamn\fP ...]
Extraherar styrfilsinformation från ett binärt paketarkiv.

If no \fIcontrol\-field\-name\fPs are specified then it will print the whole
control file.

If any are specified then \fBdpkg\-deb\fP will print their contents, in the
order in which they appear in the control file. If more than one
\fIcontrol\-field\-name\fP is specified then \fBdpkg\-deb\fP will precede each with
its field name (and a colon and space).

Inga felmeddelande rapporteras för fält som efterfrågas men inte hittas.
.TP 
\fB\-c\fP, \fB\-\-contents\fP \fIarkiv\fP
Visar innehåller i filsystemsträdsarkivsdelen av paketarkivet. Det visas för
närvarande i det format som genereras av \fBtar\fPs pratsamma visning.
.TP 
\fB\-x\fP|\fB\-\-extract\fP \fIarkivkatalog\fP
Extraherar filsystemsträdet från ett paketarkiv till den angivna katalogen.

Observera att en extrahering av ett paket till rotkatalogen \fIinte\fP
resulterar i en korrekt installation! Använd \fBdpkg\fP för att installera
paket.

\fIkatalog\fP (men inte dess föräldrar) kommer skapas om nödvändigt, och dess
behörighet kommer att ändras till att motsvara innehållet i paketet.
.TP 
\fB\-C\fP|\fB\-\-vextract\fP \fIarkivkatalog\fP
Är som \fB\-\-extract\fP (\fB\-x\fP) med \fB\-\-verbose\fP (\fB\-v\fP) som visar en lista över
filer som extraheras under tiden.
.TP 
\fB\-R\fP, \fB\-\-raw\-extract\fP \fIarkivkatalog\fP
Extracts the filesystem tree from a package archive into a specified
directory, and the control information files into a \fBDEBIAN\fP subdirectory
of the specified directory (since dpkg 1.16.1).

Målkatalogen (men inte dess föräldrar) kommer att skapas om nödvändigt.

The input archive is not (currently) processed sequentially, so reading it
from standard input («\fB\-\fP») is \fBnot\fP supported.
.TP 
\fB\-\-ctrl\-tarfile\fP \fIarkiv\fP
Extraherar kontrolldata från ett binärt paket och sänder det till standard
ut i \fBtar\fP\-format (sedan dpkg 1.17.14). Tillsammans med \fBtar\fP(1) kan det
användas för att hämta ut en specifik kontrollfil från ett
paketarkiv. Indataarkiven behandlas alltid i den ordning de anges.
.TP 
\fB\-\-fsys\-tarfile\fP \fIarkiv\fP
Extraherar filsystemsträdsdata från ett binärt paket och sänder det till
standard ut i \fBtar\fP\-format. Tillsammans med \fBtar\fP(1) kan det användas för
att hämta ut en enskild fil från ett paketarkiv. Indataarkiven behandlas
alltid i den ordning de anges.
.TP 
\fB\-e\fP, \fB\-\-control\fP \fIarkiv\fP [\fIkatalog\fP]
Extraherar styrinformationsfilerna från paketarkivet till den angivna
katalogen.

Om ingen katalog anges kommer en underkatalog vid namn \fBDEBIAN\fP i den
aktuella katalogen att användas.

Målkatalogen (men inte dess föräldrar) kommer att skapas om nödvändigt.
.TP 
\fB\-?\fP, \fB\-\-help\fP
Visar hjälpskärm och avslutar.
.TP 
\fB\-\-version\fP
Visar version och avslutar.
.
.SH FLAGGOR
.TP 
\fB\-\-showformat=\fP\fIformat\fP
Flaggan används för att ange formatet på utdata som skapas av
\fB\-\-show\fP. Formatet är en sträng som matas ut för varje paket i listan.

The string may reference any status field using the “${\fIfield\-name\fP}” form,
a list of the valid fields can be easily produced using \fB\-I\fP on the same
package. A complete explanation of the formatting options (including escape
sequences and field tabbing) can be found in the explanation of the
\fB\-\-showformat\fP option in \fBdpkg\-query\fP(1).

The default for this field is “${Package}\et${Version}\en”.
.TP 
\fB\-z\fP\fIkomprimeringsnivå\fP
Specify which compression level to use on the compressor backend, when
building a package (default is 9).  The accepted values are 0\-9 with: 0
being mapped to compressor none for gzip.  Before dpkg 1.16.2 level 0 was
equivalent to compressor none for all compressors.
.TP 
\fB\-S\fP\fIkomprimeringsstrategi\fP
Specify which compression strategy to use on the compressor backend, when
building a package (since dpkg 1.16.2). Allowed values are \fBnone\fP (since
dpkg 1.16.4), \fBfiltered\fP, \fBhuffman\fP, \fBrle\fP and \fBfixed\fP for gzip (since
dpkg 1.17.0) and \fBextreme\fP for xz.
.TP 
\fB\-Z\fP\fIkomprimeringstyp\fP
Specify which compression type to use when building a package.  Allowed
values are \fBgzip\fP, \fBxz\fP (since dpkg 1.15.6), and \fBnone\fP (default is
\fBxz\fP).
.TP 
\fB\-\-[no\-]uniform\-compression\fP
Specify that the same compression parameters should be used for all archive
members (i.e. \fBcontrol.tar\fP and \fBdata.tar\fP; since dpkg 1.17.6).  Otherwise
only the \fBdata.tar\fP member will use those parameters. The only supported
compression types allowed to be uniformly used are \fBnone\fP, \fBgzip\fP and
\fBxz\fP.  The \fB\-\-no\-uniform\-compression\fP option disables uniform compression
(since dpkg 1.19.0).  Uniform compression is the default (since dpkg
1.19.0).
.TP 
\fB\-\-root\-owner\-group\fP
Set the owner and group for each entry in the filesystem tree data to root
with id 0 (since dpkg 1.19.0).

\fBNote\fP: This option can be useful for rootless builds (see
\fIrootless\-builds.txt\fP), but should \fBnot\fP be used when the entries have an
owner or group that is not root.  Support for these will be added later in
the form of a meta manifest.
.TP 
\fB\-\-deb\-format=\fP\fIformat\fP
Set the archive format version used when building (since dpkg 1.17.0).
Allowed values are \fB2.0\fP for the new format, and \fB0.939000\fP for the old
one (default is \fB2.0\fP).

Det gamla arkivformatet är mer svårtolkat av icke\-Debianverktyg och är nu
utgånget; dess enda användningsområde är för att bygga paket som skall
tolkas av versioner av dpkg äldre än 0.93.76 (september 1995), vilka endast
släpptes som i386\-a.out.
.TP 
\fB\-\-nocheck\fP
Förhindrar \fBdpkg\-deb \-\-build s\fP normala tester på det föreslagna innehållet
i arkivet. Du kan bygga vilket arkiv du än vill, oavsett hur trasigt, på det
här sätt.
.TP 
\fB\-v\fP, \fB\-\-verbose\fP
Enables verbose output (since dpkg 1.16.1).  This currently only affects
\fB\-\-extract\fP making it behave like \fB\-\-vextract\fP.
.TP 
\fB\-D\fP, \fB\-\-debug\fP
Aktiverar felsökningsutdata. Denna är inte speciellt intressant.
.
.SH RETURVÄRDE
.TP 
\fB0\fP
Den önskade funktionen utfördes utan fel.
.TP 
\fB2\fP
Fatal or unrecoverable error due to invalid command\-line usage, or
interactions with the system, such as accesses to the database, memory
allocations, etc.
.
.SH MILJÖVARIABLER
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.TP 
\fBTMPDIR\fP
Om satt så kommer \fBdpkg\-deb\fP att använda det som katalogen där temporära
filer och kataloger skapas.
.TP 
\fBSOURCE_DATE_EPOCH\fP
If set, it will be used as the timestamp (as seconds since the epoch) in the
\fBdeb\fP(5)'s \fBar\fP(5) container and used to clamp the mtime in the \fBtar\fP(5)
file entries.
.
.SH ANTECKNINGAR
Försök inte använda bara \fBdpkg\-deb\fP för att installera programvara! Du
måste använda normala \fBdpkg\fP för att se till att alla filer läggs på
korrekt plats och att paketets skript körs och dess status och innehåll
sparas.
.
.SH PROGRAMFEL
\fBdpkg\-deb \-I\fP \fIpaket1\fP\fB.deb\fP \fIpaket2\fP\fB.deb\fP gör fel.

Det finns inte någon autentisering av \fB.deb\fP\-filer. Faktiskt finns det inte
ens någon enkel kontrollsumma. (Verktyg som arbetar på en högre nivå, som
APT, stöder autentisering av \fB.deb\fP\-paket som hämtas från ett givet arkiv,
och de flesta paket har nu för tiden en md5sum\-kontrollfil som skapas av
debian/rules. Filen stöds dock inte direkt av lågnivåverktygen.)
.
.SH "SE ÄVEN"
\fBdeb\fP(5), \fBdeb\-control\fP(5), \fBdpkg\fP(1), \fBdselect\fP(1).
