.\" dpkg manual page - dpkg-genchanges(1)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006-2016 Guillem Jover <guillem@debian.org>
.\" Copyright © 2008-2010 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-genchanges 1 %RELEASE_DATE% %VERSION% Dpkg\-sviten
.ad l
.nh
.SH NAMN
dpkg\-genchanges \- skapa .changes\-filer för Debian
.
.SH SYNOPS
\fBdpkg\-genchanges\fP [\fIflagga\fP...]
.br
.
.SH BESKRIVNING
\fBdpkg\-genchanges\fP läser information från ett uppackat och byggt
Debiankällkodsträd och från de filer det har genererat, och genererar en
styrfil för insändning till Debian (\fB.changes\fP\-fil).
.
.SH FLAGGOR
.TP 
\fB\-\-build=\fP\fItype\fP
Specifies the build \fItype\fP from a comma\-separated list of components (since
dpkg 1.18.5).

The allowed values are:
.RS
.TP 
\fBsource\fP
Upload the source package.
.TP 
\fBany\fP
Upload the architecture specific binary packages.
.TP 
\fBall\fP
Upload the architecture independent binary packages.
.TP 
\fBbinary\fP
Upload the architecture specific and independent binary packages.  This is
an alias for \fBany,all\fP.
.TP 
\fBfull\fP
Upload everything.  This is alias for \fBsource,any,all\fP, and the same as the
default case when no build option is specified.
.RE
.TP 
\fB\-g\fP
Equivalent to \fB\-\-build=source,all\fP (since dpkg 1.17.11).
.TP 
\fB\-G\fP
Equivalent to \fB\-\-build=source,any\fP (since dpkg 1.17.11).
.TP 
\fB\-b\fP
Equivalent to \fB\-\-build=binary\fP or \fB\-\-build=any,all\fP.
.TP 
\fB\-B\fP
Equivalent to \fB\-\-build=any\fP.
.TP 
\fB\-A\fP
Equivalent to \fB\-\-build=all\fP.
.TP 
\fB\-S\fP
Equivalent to \fB\-\-build=source\fP.
.PP
Flaggorna \fB\-s\fP\fIx\fP styr huruvida det ursprungliga källkodsarkivet skall
inkluderas i insändningen om källkod genereras (dvs. \fB\-b\fP eller \fB\-B\fP inte
har använts).
.TP 
\fB\-si\fP
Som standard, eller om den anges, kommer originalkällkoden endast att
inkluderas om uppströmsversionsnumret (versionsnumret utan epok och utan
Debianuppdateringsnummer) skiljer sig från uppströmsversionsnumret i
föregående ändringsloggspost.
.TP 
\fB\-sa\fP
Bifogar alltid originalkällkoden.
.TP 
\fB\-sd\fP
Bifogar inte originalkällkoden, utan enbart differensfilen.
.fi
.TP 
\fB\-v\fP\fIversion\fP
Använder information från ändringsloggen för alla versioner som är strikt
senare än \fIversion\fP.
.TP 
\fB\-C\fP\fIändringsbeskrivning\fP
Läs beskrivningen av ändringarna från filen \fIändringsbeskrivning\fP istället
för att använda information från källkodsträdets changelog\-fil.
.TP 
\fB\-m\fP\fIpaketansvarige\-adress\fP
Använd \fIpaketansvarige\-adress\fP som namn och e\-postadress till ansvarig för
detta paket, istället för att använda informationen från källkodsträdets
control\-fil.
.TP 
\fB\-e\fP\fIpaketansvarige\-adress\fP
Använd \fIpaketansvarige\-adress\fP som namn och e\-postadress till ansvarig för
denna insändning, istället för att använda informationen från
källkodsträdets changelog\-fil.
.TP 
\fB\-V\fP\fInamn\fP\fB=\fP\fIvärde\fP
Ställer in en utdatasubstitueringsvariabel. Se \fBdeb\-substvars\fP(5) för en
beskrivning av utdatasubstituering.
.TP 
\fB\-T\fP\fIsubstvars\-fil\fP
Read substitution variables in \fIsubstvars\-file\fP; the default is
\fBdebian/substvars\fP.  No variable substitution is done on any of the fields
that are output, except for the contents extracted from each binary package
\fBDescription\fP field (since dpkg 1.19.0), however the special variable
\fIFormat\fP will override the field of the same name.  This option can be used
multiple times to read substitution variables from multiple files (since
dpkg 1.15.6).

.TP 
\fB\-D\fP\fIfält\fP\fB=\fP\fIvärde\fP
Ersätt eller lägg till ett fält i den genererade control\-filen.
.TP 
\fB\-U\fP\fIfält\fP
Ta bort ett fält ur den genererade control\-filen.
.TP 
\fB\-c\fP\fIcontrol\-fil\fP
Anger huvudkällkodskontrollfilen som information skall läsas
från. Standardvärdet är \fBdebian/control\fP.
.TP 
\fB\-l\fP\fIändringsloggfil\fP
Anger ändringsloggfilen som information skall läsas från. Standardvärdet är
\fBdebian/changelog\fP.
.TP 
\fB\-f\fP\fIfillistfil\fP
Läser listan över filer som skall sändas in härifrån, istället för att
använda \fBdebian/files\fP.
.TP 
\fB\-F\fP\fIändringsloggformat\fP
Anger format på ändringsloggen. Se \fBdpkg\-parsechangelog\fP(1) för information
om alternativa format.
.TP 
\fB\-u\fP\fIinsändningskatalog\fP
Se efter filer som skall sändas in i \fIinsändningskatalog\fP istället för
\&\fB..\fP (\fBdpkg\-genchanges\fP måste kunna se dessa filer så att det kan lägga in
deras storlekar och kontrollsummor i \fB.changes\fP\-filen).
.TP 
\fB\-q\fP
\fBdpkg\-genchanges\fP kommer normalt att generera informativa meddelanden på
standard fel, till exempel om hur många pakets källkodsfiler sänds in. \fB\-q\fP
undertrycker dessa meddelanden.
.TP 
\fB\-O\fP[\fIfilnamn\fP]
Print the changes file to standard output (the default) or to \fIfilename\fP if
specified (since dpkg 1.18.5).
.TP 
\fB\-?\fP, \fB\-\-help\fP
Visar hjälpskärm och avslutar.
.TP 
\fB\-\-version\fP
Visar version och avslutar.
.
.SH MILJÖVARIABLER
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.TP 
\fBDPKG_NLS\fP
If set, it will be used to decide whether to activate Native Language
Support, also known as internationalization (or i18n) support (since dpkg
1.19.0).  The accepted values are: \fB0\fP and \fB1\fP (default).
.
.SH FILER
.TP 
\fBdebian/files\fP
Listan över genererade filer som är en del av den insändning som
förbereds. \fBdpkg\-genchanges\fP läser data här när \fB.changes\fP\-filen skapas.
.
.SH "SE ÄVEN"
\fBdeb\-substvars\fP(5), \fBdeb\-src\-control\fP(5), \fBdeb\-src\-files\fP(5),
\fBdeb\-changelog\fP(5), \fBdeb\-changes\fP(5).
