.\" dpkg manual page - dpkg-parsechangelog(1)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006, 2011-2015 Guillem Jover <guillem@debian.org>
.\" Copyright © 2007-2008 Frank Lichtenheld <djpig@debian.org>
.\" Copyright © 2009 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-parsechangelog 1 %RELEASE_DATE% %VERSION% Dpkg\-sviten
.ad l
.nh
.SH NAMN
dpkg\-parsechangelog \- tolka Debians ändringsloggar
.
.SH SYNOPS
\fBdpkg\-parsechangelog\fP [\fIflagga\fP...]
.
.SH BESKRIVNING
\fBdpkg\-parsechangelog\fP läser och tolkar ändringsloggen i ett uppackat
Debiankällkodsträd och visar informationen i den på standard ut i en
maskinläsbar form.
.
.SH FLAGGOR
.TP 
\fB\-l\fP, \fB\-\-file\fP \fIchangelog\-file\fP
Specifies the changelog file to read information from.  A ‘\-’ can be used to
specify reading from standard input.  The default is \fBdebian/changelog\fP.
.TP 
\fB\-F\fP \fIchangelog\-format\fP
Specifies the format of the changelog. By default the format is read from a
special line near the bottom of the changelog or failing that defaults to
the \fBdebian\fP standard format. See also \fBCHANGELOG FORMATS\fP.
.TP 
\fB\-L\fP \fIlibdir\fP
Obsolete option without effect (since dpkg 1.18.8).  Setting the perl
environment variables \fBPERL5LIB\fP or \fBPERLLIB\fP has a similar effect when
looking for the parser perl modules.
.TP 
\fB\-S\fP, \fB\-\-show\-field\fP \fIfält\fP
Anger namnet på ett fält att visa (sedan dpkg 1.17.0). Fältnamnet visas
inte, endast dess värde.
.TP 
\fB\-?\fP, \fB\-\-help\fP
Visar hjälpskärm och avslutar.
.TP 
\fB\-\-version\fP
Visar version och avslutar.
.SS Parserflaggor
The following options can be used to influence the output of the changelog
parser, e.g. the range of entries or the format of the output.
.TP 
\fB\-\-format\fP \fIutdataformat\fP
Set the output format. Currently supported values are \fBdpkg\fP and
\fBrfc822\fP.  \fBdpkg\fP is the classic output format (from before this option
existed) and the default. It consists of one paragraph in Debian control
format (see \fBdeb\-control\fP(5)). If more than one entry is requested, then
most fields are taken from the first entry (usually the most recent entry),
except otherwise stated:
.RS
.TP 
\fBSource:\fP \fIpaketnamn\fP
.TP 
\fBVersion:\fP \fIversions\fP
.TP 
\fBDistribution:\fP \fImålutgåva\fP
.TP 
\fBUrgency:\fP \fIbrådska\fP
Högsta brådskan av alla de inkluderade posterna används, följt av de
sammanslagna (avdelade med blanksteg) kommentarerna från alla de begärda
versionerna.
.TP 
\fBMaintainer:\fP \fIförfattare\fP
.TP 
\fBDate:\fP \fIdatum\fP
The date of the entry as a string, as it appears in the changelog.  With a
\fBstrptime\fP(3) format "\fB%a, %d %b %Y %T %z\fP", but where the day of the week
might not actually correspond to the real day obtained from the rest of the
date string.  If you need a more accurate representation of the date, use
the \fBTimestamp\fP field, but take into account it might not be possible to
map it back to the exact value in this field.
.TP 
\fBTimestamp:\fP\fI timestamp\fP
The date of the entry as a timestamp in seconds since the epoch (since dpkg
1.18.8).
.TP 
\fBCloses:\fP \fInummer\-på\-felrapport\fP
Closes\-fältet i alla inkluderade poster slås samman.
.TP 
\fBChanges:\fP \fIposterfrån\-ändringsloggen\fP
Texten i alla ändringsloggposter slås samman. För att göra fältet till
giltigt flerradsfält i Debian\-control\-format ersätts tomma rader med en
ensam punkt och alla rader får ett teckens indrag. Exakt innehåll beror på
formatet på ändringsloggen.
.RE
.IP
Fälten \fBVersion\fP, \fBDistribution\fP, \fBUrgency\fP, \fBMaintainer\fP och \fBChanges\fP
krävs.
.IP
Ytterligare användardefinierade fält kan finnas.
.IP
\fBrfc822\fP\-formatet använder samma fält, men ger ett separat stycke för varje
ändringsloggspost så att all metadata för varje post behålls.
.TP 
\fB\-\-reverse\fP
Include all changes in reverse order (since dpkg 1.19.1).  Note: for the
\fBdpkg\fP format the first entry will be the most ancient entry.
.TP 
\fB\-\-all\fP
Include all changes. Note: other options have no effect when this is in use.
.TP 
\fB\-s\fP, \fB\-\-since\fP \fIversion\fP
.TQ
\fB\-v\fP \fIversion\fP
Include all changes later than \fIversion\fP.
.TP 
\fB\-u\fP, \fB\-\-until\fP \fIversion\fP
Include all changes earlier than \fIversion\fP.
.TP 
\fB\-f\fP, \fB\-\-from\fP \fIversion\fP
Include all changes equal or later than \fIversion\fP.
.TP 
\fB\-t\fP, \fB\-\-to\fP \fIversion\fP
Include all changes up to or equal than \fIversion\fP.
.TP 
\fB\-c\fP, \fB\-\-count\fP \fInumber\fP
.TQ
\fB\-n\fP \fInumber\fP
Include \fInumber\fP entries from the top (or the tail if \fInumber\fP is lower
than 0).
.TP 
\fB\-o\fP, \fB\-\-offset\fP \fInumber\fP
Change the starting point for \fB\-\-count\fP, counted from the top (or the tail
if \fInumber\fP is lower than 0).
.
.SH "FORMAT PÅ ÄNDRINGSLOGGEN"
Det är möjligt att använda ett annat format än standard, genom att
tillhandahålla en tolk för det alternativa formatet.

För att låta \fBdpkg\-parsechangelog\fP köra den nya tolken måste en rad som
motsvarar det reguljära uttrycket (Perl\-format)
“\fB\eschangelog\-format:\es+([0\-9a\-z]+)\eW\fP” läggas in bland de 40 sista
raderna i ändringsloggfilen. Delen i parentes är namnet på formatet. Till
exempel:

       @@@ changelog\-format: \fIannatformat\fP @@@

Changelog format names are non\-empty strings of lowercase alphanumerics
(“a\-z0\-9”).

If such a line exists then \fBdpkg\-parsechangelog\fP will look for the parser
as a \fBDpkg::Changelog::\fP\fIOtherformat\fP perl module; it is an error for it
not being present.  The parser name in the perl module will be automatically
capitalized.  The default changelog format is \fBdebian\fP, and a parser for it
is provided by default.

The parser should be derived from the Dpkg::Changelog class and implement
the required documented interface.

Om ändringsloggformatet som tolkas alltid eller nästan alltid innehåller en
blank rad mellan individuella ändringsposter bör dessa blanka rader tas
bort, så att utdataformatet blir mer kompakt.

Om ändringsloggformatet inte innehåller information om datum eller paketnamn
bör denna information utelämnas från utdata. Tolken bör inte försöka skapa
den eller hitta den i andra källor.

If the changelog does not have the expected format the parser should error
out, rather than trying to muddle through and possibly generating incorrect
output.

En ändringsloggtolk kan inte på något sätt interagera med användaren.
.
.SH ANTECKNINGAR
All \fBParser Options\fP except for \fB\-v\fP are only supported since dpkg
1.14.16.
.PP
Short option parsing with non\-bundled values available only since dpkg
1.18.0.
.
.SH MILJÖVARIABLER
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.TP 
\fBDPKG_NLS\fP
If set, it will be used to decide whether to activate Native Language
Support, also known as internationalization (or i18n) support (since dpkg
1.19.0).  The accepted values are: \fB0\fP and \fB1\fP (default).
.
.SH FILER
.TP 
\fBdebian/changelog\fP
Ändringsloggsfilen, används för att hämta versionsberoende information om
källkodspaketet, till exempel brådska och utgåva för en insändning,
ändringarna som utförts sedan en specifik version och själva versionsnumret
på källkoden.
.
.SH "SE ÄVEN"
\fBdeb\-changelog\fP(5).
