.\" dpkg manual page - dpkg-scanpackages(1)
.\"
.\" Copyright © 1996 Michael Shields <shields@crosslink.net>
.\" Copyright © 2006 Frank Lichtenheld <djpig@debian.org>
.\" Copyright © 2007, 2009, 2011-2014 Guillem Jover <guillem@debian.org>
.\" Copyright © 2009 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-scanpackages 1 %RELEASE_DATE% %VERSION% Dpkg\-sviten
.ad l
.nh
.SH NAMN
dpkg\-scanpackages \- skapar indexfilerna Packages
.
.SH SYNOPS
\fBdpkg\-scanpackages\fP [\fIoption\fP...] \fIbinary\-path\fP [\fIoverride\-file\fP
[\fIpath\-prefix\fP]] \fB>\fP \fIPackages\fP
.
.SH BESKRIVNING
\fBdpkg\-scanpackages\fP går genom ett träd av Debianbinärpaket och skapar en
Packages\-fil, som \fBapt\fP(8), \fBdselect\fP(8) osv. använder för att berätta för
användaren vilka paket som kan installeras. Dessa Packages\-filer är desamma
som de som finns på Debianarkivspeglar och cd\-rom:ar. Du kan använda
\fBdpkg\-scanpackages\fP själv för att skapa en katalog med lokala paket att
installera på en klase maskiner.
.PP
\fBNote:\fP If you want to access the generated Packages file with \fBapt\fP you
will probably need to compress the file with \fBxz\fP(1)  (generating a
Packages.xz file), \fBbzip2\fP(1)  (generating a Packages.bz2 file) or
\fBgzip\fP(1)  (generating a Packages.gz file). apt ignores uncompressed
Packages files except on local access (i.e.  \fBfile://\fP sources).
.PP
\fIbinary\-path\fP is the name of the tree of the binary packages to process
(for example, \fBcontrib/binary\-i386\fP).  It is best to make this relative to
the root of the Debian archive, because every Filename field in the new
Packages file will start with this string.
.PP
\fIoverride\-file\fP is the name of a file to read which contains information
about how the package fits into the distribution (the file can be compressed
since dpkg 1.15.5); see \fBdeb\-override\fP(5).
.PP
\fIsökvägsprefix\fP är en frivillig sträng som läggs till i början i
filnamnsfältet.
.PP
Om mer än en version av ett paket upptäcks kommer endast den senaste att tas
med i utdata. Om de har samma version och bara skiljer i arkitektur kommer
bara den första som hittas att användas.
.
.SH FLAGGOR
.TP 
\fB\-t\fP, \fB\-\-test\fP \fItyp\fP
Sök efter *.\fItyp\fP\-paket, i stället för *.deb.
.TP 
\fB\-e\fP, \fB\-\-extra\-override\fP \fIfil\fP
Scan \fIfile\fP to find supplementary overrides (the file can be compressed
since dpkg 1.15.5).  See \fBdeb\-extra\-override\fP(5)  for more information on
its format.
.TP 
\fB\-a\fP, \fB\-\-arch\fP \fIarkitektur\fP
Använd ett mönster som består av \fI*_all.deb\fP och \fI*_arkitektur.deb\fP
istället för att söka efter alla deb\-arkiv.
.TP 
\fB\-h\fP, \fB\-\-hash\fP \fIhashlista\fP
Only generate file hashes for the comma\-specified list specified (since dpkg
1.17.14).  The default is to generate all currently supported hashes.
Supported values: \fBmd5\fP, \fBsha1\fP, \fBsha256\fP.
.TP 
\fB\-m\fP, \fB\-\-multiversion\fP
Ta med alla paket som hittas i utdata.
.TP 
\fB\-M\fP, \fB\-\-medium\fP \fIidsträng\fP
Add an \fBX\-Medium\fP field containing the value \fIid\-string\fP (since dpkg
1.15.5).  This field is required if you want to generate \fBPackages.cd\fP
files for use by the multicd access method of dselect.
.TP 
\fB\-?\fP, \fB\-\-help\fP
Visar hjälpskärm och avslutar.
.TP 
\fB\-\-version\fP
Visar version och avslutar.
.
.SH MILJÖVARIABLER
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.TP 
\fBDPKG_NLS\fP
If set, it will be used to decide whether to activate Native Language
Support, also known as internationalization (or i18n) support (since dpkg
1.19.0).  The accepted values are: \fB0\fP and \fB1\fP (default).
.
.SH DIAGNOSTIK
\fBdpkg\-scanpackages\fP skriver ut de vanliga självförklarande felen. Det
varnar även om paket ligger i fel katalog har dubbletter, har ett
Filename\-fält i sin control\-fil, saknas från överstyrningsfilen, eller har
substitueringar utan effekt skrivna av paketansvariga.
.
.SH "SE ÄVEN"
\fBdpkg\fP(1), \fBdselect\fP(1), \fBdeb\-override\fP(5), \fBdeb\-extra\-override\fP(5),
\fBdpkg\-scansources\fP(1).
