.\" dpkg manual page - dpkg-source(1)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006-2007 Frank Lichtenheld <djpig@debian.org>
.\" Copyright © 2006-2015 Guillem Jover <guillem@debian.org>
.\" Copyright © 2008-2011 Raphaël Hertzog <hertzog@debian.org>
.\" Copyright © 2010 Joey Hess <joeyh@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-source 1 %RELEASE_DATE% %VERSION% Dpkg\-sviten
.ad l
.nh
.SH NAMN
dpkg\-source \- Verktyg för att manipulera Debiankällkodspaket (.dsc)
.
.SH SYNOPS
\fBdpkg\-source\fP [\fIflagga\fP...] \fIåtgärd\fP
.
.SH BESKRIVNING
\fBdpkg\-source\fP packar och packar upp Debiankällkodsarkiv.

Inga av dessa kommandon tillåter att flera flaggor kombineras till ett, och
de tillåter inte att värdet på en flagga anges som ett separat argument.
.
.SH KOMMANDON
.TP 
\fB\-x\fP, \fB\-\-extract\fP \fIfilename\fP.dsc [\fIutdatakatalog\fP]
Extract a source package (\fB\-\-extract\fP since dpkg 1.17.14).  One non\-option
argument must be supplied, the name of the Debian source control file
(\fB.dsc\fP).  An optional second non\-option argument may be supplied to
specify the directory to extract the source package to, this must not
exist. If no output directory is specified, the source package is extracted
into a directory named \fIsource\fP\-\fIversion\fP under the current working
directory.

\fBdpkg\-source\fP läser namnen på de övriga filer som ingår i källkodspaketet
från styrfilen; de antas vara i samma katalog som \fB.dsc\fP\-filen.

Filerna i det extraherade paketet kommer att ha behörighet och ägare satta
till det som kunde förväntas om filerna och katalogerna bara hade skapats \-
kataloger och körbara filer kommer ha 0777 och enkla filer 0666, båda
modifierade av uppackarens umask; om föräldrakatalogen är setgid kommer de
extraherade katalogerna också att vara det, och samtliga filer och kataloger
kommer ärva dess gruppägarskap.

If the source package uses a non\-standard format (currently this means all
formats except “1.0”), its name will be stored in \fBdebian/source/format\fP so
that the following builds of the source package use the same format by
default.

.TP 
\fB\-b\fP, \fB\-\-build\fP \fIdirectory\fP [\fIformatspecifika\-flaggor\fP]
Build a source package (\fB\-\-build\fP since dpkg 1.17.14).  The first
non\-option argument is taken as the name of the directory containing the
debianized source tree (i.e. with a debian sub\-directory and maybe changes
to the original files).  Depending on the source package format used to
build the package, additional parameters might be accepted.

\fBdpkg\-source\fP will build the source package with the first format found in
this ordered list: the format indicated with the \fI\-\-format\fP command line
option, the format indicated in \fBdebian/source/format\fP, “1.0”.  The
fallback to “1.0” is deprecated and will be removed at some point in the
future, you should always document the desired source format in
\fBdebian/source/format\fP. See section \fBSOURCE PACKAGE FORMATS\fP for an
extensive description of the various source package formats.

.TP 
\fB\-\-print\-format\fP \fIkatalog\fP
Print the source format that would be used to build the source package if
\fBdpkg\-source \-\-build \fP\fIdirectory\fP was called (in the same conditions and
with the same parameters; since dpkg 1.15.5).

.TP 
\fB\-\-before\-build\fP \fIkatalog\fP
Run the corresponding hook of the source package format (since dpkg
1.15.8).  This hook is called before any build of the package
(\fBdpkg\-buildpackage\fP calls it very early even before \fBdebian/rules
clean\fP). This command is idempotent and can be called multiple times. Not
all source formats implement something in this hook, and those that do
usually prepare the source tree for the build for example by ensuring that
the Debian patches are applied.

.TP 
\fB\-\-after\-build\fP \fIkatalog\fP
Run the corresponding hook of the source package format (since dpkg
1.15.8).  This hook is called after any build of the package
(\fBdpkg\-buildpackage\fP calls it last). This command is idempotent and can be
called multiple times. Not all source formats implement something in this
hook, and those that do usually use it to undo what \fB\-\-before\-build\fP has
done.

.TP 
\fB\-\-commit\fP [\fIkatalog\fP] ...
Record changes in the source tree unpacked in \fIdirectory\fP (since dpkg
1.16.1).  This command can take supplementary parameters depending on the
source format.  It will error out for formats where this operation doesn't
mean anything.

.TP 
\fB\-?\fP, \fB\-\-help\fP
Show the usage message and exit.  The format specific build and extract
options can be shown by using the \fB\-\-format\fP option.
.TP 
\fB\-\-version\fP
Visar version och avslutar.
.
.SH FLAGGOR
.SS "Generiska byggflaggor"
.TP 
\fB\-c\fP\fIcontrol\-fil\fP
Anger huvudkällkodsstyrfil som information skall läsas från. Standardvärde
är \fBdebian/control\fP. Om ett relativt sökvägsnamn anges tolkas det från
källkodsträdets toppnivåkatalog.
.TP 
\fB\-l\fP\fIändringsloggfil\fP
Anger ändringsloggsfil som information skall läsas från. Standardvärde är
\fBdebian/changelog\fP. Om ett relativt sökvägsnamn anges tolkas det från
källkodsträdets toppnivåkatalog.
.TP 
\fB\-F\fP\fIändringsloggformat\fP
Anger format på ändringsloggen. Se \fBdpkg\-parsechangelog\fP(1) för information
om alternativa format.
.TP 
\fB\-\-format=\fP\fIvärde\fP
Use the given format for building the source package (since dpkg 1.14.17).
It does override any format given in \fBdebian/source/format\fP.
.TP 
\fB\-V\fP\fInamn\fP\fB=\fP\fIvärde\fP
Ställer in en utdatasubstitueringsvariabel. Se \fBdeb\-substvars\fP(5) för en
beskrivning av utdatasubstituering.
.TP 
\fB\-T\fP\fIsubstvars\-fil\fP
Read substitution variables in \fIsubstvars\-file\fP; the default is to not read
any file. This option can be used multiple times to read substitution
variables from multiple files (since dpkg 1.15.6).
.TP 
\fB\-D\fP\fIfält\fP\fB=\fP\fIvärde\fP
Ersätt eller lägg till ett fält i den genererade control\-filen.
.TP 
\fB\-U\fP\fIfält\fP
Ta bort ett fält ur den genererade control\-filen.
.TP 
\fB\-Z\fP\fIkomprimering\fP, \fB\-\-compression\fP=\fIkomprimering\fP
Specify the compression to use for created tarballs and diff files
(\fB\-\-compression\fP since dpkg 1.15.5).  Note that this option will not cause
existing tarballs to be recompressed, it only affects new files. Supported
values are: \fIgzip\fP, \fIbzip2\fP, \fIlzma\fP and \fIxz\fP.  The default is \fIxz\fP for
formats 2.0 and newer, and \fIgzip\fP for format 1.0. \fIxz\fP is only supported
since dpkg 1.15.5.
.TP 
\fB\-z\fP\fInivå\fP, \fB\-\-compression\-level\fP=\fInivå\fP
Compression level to use (\fB\-\-compression\-level\fP since dpkg 1.15.5).  As
with \fB\-Z\fP it only affects newly created files. Supported values are: \fI1\fP
to \fI9\fP, \fIbest\fP, and \fIfast\fP.  The default is \fI9\fP for gzip and bzip2, \fI6\fP
for xz and lzma.
.TP 
\fB\-i\fP[\fIreg.uttr\fP], \fB\-\-diff\-ignore\fP[=\fIreg.uttr\fP]
You may specify a perl regular expression to match files you want filtered
out of the list of files for the diff (\fB\-\-diff\-ignore\fP since dpkg 1.15.6).
(This list is generated by a find command.) (If the source package is being
built as a version 3 source package using a VCS, this can be used to ignore
uncommitted changes on specific files. Using \-i.* will ignore all of them.)

\fB\-i\fP ensamt aktiverar inställningen, med ett standardvärde (bibehåller
modifieringar till standarduttrycket som gjorts med tidigare användning av
\fB\-\-extend\-diff\-ignore\fP) som filtrerar ut styrfiler och kataloger från de
flesta vanliga versionshanteringssystem, säkerhetskopior, växlingsfiler och
Libtool\-byggutdatakataloger. Endast ett reguljärt kan vara aktivt, om du
anger flera \fB\-i\fP\-flaggor är det den sista som gäller.

This is very helpful in cutting out extraneous files that get included in
the diff, e.g. if you maintain your source in a revision control system and
want to use a checkout to build a source package without including the
additional files and directories that it will usually contain (e.g. CVS/,
\&.cvsignore, .svn/). The default regex is already very exhaustive, but if you
need to replace it, please note that by default it can match any part of a
path, so if you want to match the begin of a filename or only full
filenames, you will need to provide the necessary anchors (e.g. ‘(^|/)’,
‘($|/)’) yourself.
.TP 
\fB\-\-extend\-diff\-ignore\fP=\fIreg.uttr\fP
The perl regular expression specified will extend the default value used by
\fB\-\-diff\-ignore\fP and its current value, if set (since dpkg 1.15.6).  It does
this by concatenating “\fB|\fP\fIregex\fP” to the existing value.  This option is
convenient to use in \fBdebian/source/options\fP to exclude some auto\-generated
files from the automatic patch generation.
.TP 
\fB\-I\fP[\fIfilmönster\fP], \fB\-\-tar\-ignore\fP[=\fIfilmönster\fP]
If this option is specified, the pattern will be passed to \fBtar\fP(1)'s
\fB\-\-exclude\fP option when it is called to generate a .orig.tar or .tar file
(\fB\-\-tar\-ignore\fP since dpkg 1.15.6).  For example, \fB\-I\fPCVS will make tar
skip over CVS directories when generating a .tar.gz file. The option may be
repeated multiple times to list multiple patterns to exclude.

\fB\-I\fP ensamt lägger till satandard \fB\-\-exclude\fP\-flaggor som filtrerar ut
styrfiler och kataloger från de flesta vanliga versionshanteringssystem,
säkerhetskopior, växlingsfiler och Libtool\-byggutdatakataloger.
.PP
\fBObservera:\fP Även om de används till liknande ändamål, så har \fB\-i\fP och
\fB\-I\fP väldigt olika syntax och semantik. \fB\-i\fP kan endast anges en gång och
tar ett perl\-kompatibelt reguljärt uttryck, vilket matchas mot den kompletta
relativa sökvägen för varje fil. \fB\-I\fP kan anges flera gånger och tar ett
filnamnssökmänster med skaljokertecken. Mönstret matchas mot den kompletta
relativa sökvägen, men även individuellt mot varje komponent i sökvägen. Den
exakta semantiken för tar:s \fB\-\-exclude\fP\-flagga är något komplicerad, se
https://www.gnu.org/software/tar/manual/tar.html#wildcards för fullständig
dokumentation.

Förvalt reguljärt uttryck och sökmönster för de bägge flaggorna kan ses i
utdata för \fB\-\-help\fP\-kommandot.
.SS "Generiska extraheringsflaggor"
.TP 
\fB\-\-no\-copy\fP
Do not copy original tarballs near the extracted source package (since dpkg
1.14.17).
.TP 
\fB\-\-no\-check\fP
Do not check signatures and checksums before unpacking (since dpkg 1.14.17).
.TP 
\fB\-\-no\-overwrite\-dir\fP
Do not overwrite the extraction directory if it already exists (since dpkg
1.18.8).
.TP 
\fB\-\-require\-valid\-signature\fP
Refuse to unpack the source package if it doesn't contain an OpenPGP
signature that can be verified (since dpkg 1.15.0) either with the user's
\fItrustedkeys.gpg\fP keyring, one of the vendor\-specific keyrings, or one of
the official Debian keyrings (\fI/usr/share/keyrings/debian\-keyring.gpg\fP and
\fI/usr/share/keyrings/debian\-maintainers.gpg\fP).
.TP 
\fB\-\-require\-strong\-checksums\fP
Refuse to unpack the source package if it does not contain any strong
checksums (since dpkg 1.18.7).  Currently the only known checksum considered
strong is \fBSHA\-256\fP.
.TP 
\fB\-\-ignore\-bad\-version\fP
Turns the bad source package version check into a non\-fatal warning (since
dpkg 1.17.7).  This option should only be necessary when extracting ancient
source packages with broken versions, just for backwards compatibility.

.SH "FORMAT PÅ KÄLLKODSPAKET"
If you don't know what source format to use, you should probably pick either
“3.0 (quilt)” or “3.0 (native)”.  See
https://wiki.debian.org/Projects/DebSrc3.0 for information on the deployment
of those formats within Debian.

.SS "Format: 1.0"
A source package in this format consists either of a \fB.orig.tar.gz\fP
associated to a \fB.diff.gz\fP or a single \fB.tar.gz\fP (in that case the package
is said to be \fInative\fP).  Optionally the original tarball might be
accompanied by a detached upstream signature \fB.orig.tar.gz.asc\fP, extraction
supported since dpkg 1.18.5.

\fBUppackning\fP

Att packa upp ett Debianeget paket innebär att packa upp den ensamma
tarbollen i målkatalogen. Att packa upp ett icke\-eget paket innebär att
först packa upp \fI.orig.tar.gz\fP\-filen och sedan genom att tillämpa patchen
som finns i \fB.diff.gz\fP\-filen. Tidsstämplarna för alla filer nollställs till
den tidpunkt då källkodspaketet extraherades (vilket undviker
tidsstämpelförskjutningar som kunde leda till problem när autogenererade
filer patchas). Diffen kan skapa nya filer (hela debian\-katalogen skapas på
det sättet), men kan inte ta bort filer (tomma filer kommer lämnas kvar).

\fBBygga\fP

Building a native package is just creating a single tarball with the source
directory. Building a non\-native package involves extracting the original
tarball in a separate “.orig” directory and regenerating the \fB.diff.gz\fP by
comparing the source package \fIdirectory\fP with the .orig directory.

\fBByggflaggor (med \-\-build):\fP

If a second non\-option argument is supplied it should be the name of the
original source directory or tarfile or the empty string if the package is a
Debian\-specific one and so has no debianization diffs. If no second argument
is supplied then \fBdpkg\-source\fP will look for the original source tarfile
\fIpackage\fP\fB_\fP\fIupstream\-version\fP\fB.orig.tar.gz\fP or the original source
directory \fIdirectory\fP\fB.orig\fP depending on the \fB\-sX\fP arguments.

\fB\-sa\fP, \fB\-sp\fP, \fB\-sk\fP, \fB\-su\fP och \fB\-sr\fP skriver inte över befintliga
tar\-filer och kataloger. Om det önskas bör  \fB\-sA\fP, \fB\-sP\fP, \fB\-sK\fP, \fB\-sU\fP
och \fB\-sR\fP anges i stället.
.PP
.TP 
\fB\-sk\fP
Anger att den ursprungliga källkoden är en tar\-fil, som standard
\fIpaket\fP\fB_\fP\fIuppströmsversion\fP\fB.orig.tar.\fP\fIfiländelse\fP. Den kommer låta
originalkällkodsfilen ligga kvar som en tarfil, eller kopiera den till den
aktuella katalogen om den inte redan är där. Tarbollen kommer att packas upp
i \fIkatalog\fP\fB.orig\fP för att generera diffen.
.TP 
\fB\-sp\fP
Som \fB\-sk\fP, men tar bort katalogen igen efteråt.
.TP 
\fB\-su\fP
Anger att originalkällkoden är en katalog, som standard
\fIpaket\fP\fB\-\fP\fIuppströmsversion\fP\fB.orig\fP och att \fBdpkg\-source\fP skall skapa
ett nytt originalkällkodsarkiv från den.
.TP 
\fB\-sr\fP
Som \fB\-su\fP, men tar bort katalogen när den har använts.
.TP 
\fB\-ss\fP
Anger att originalkällkoden finns både som en katalog och en
tar\-fil. Katalogen kommer att användas av \fBdpkg\-source\fP för att skapa
diffen, men tarfilen för att skapa \fB.dsc\fP\-filen. Flaggan måste användas med
tillförsikt \- om katalogen och tarfilen inte stämmer överens kommer ett
trasigt källkodsarkiv att skapas.
.TP 
\fB\-sn\fP
Anger att dpkg\-source inte skall leta efter något källkodsarkiv och att
ingen diff skall skapas. Det andra argumentet, om det anges, måste vara den
tomma strängen. Flaggan används för Debianspecifika paket som inte har en
separat uppströmskällkod och därför inte har någon debianiseringsdiff.
.TP 
\fB\-sa\fP eller \fB\-sA\fP
Specifies to look for the original source archive as a tarfile or as a
directory \- the second argument, if any, may be either, or the empty string
(this is equivalent to using \fB\-sn\fP).  If a tarfile is found it will unpack
it to create the diff and remove it afterwards (this is equivalent to
\fB\-sp\fP); if a directory is found it will pack it to create the original
source and remove it afterwards (this is equivalent to \fB\-sr\fP); if neither
is found it will assume that the package has no debianization diffs, only a
straightforward source archive (this is equivalent to \fB\-sn\fP).  If both are
found then \fBdpkg\-source\fP will ignore the directory, overwriting it, if
\fB\-sA\fP was specified (this is equivalent to \fB\-sP\fP)  or raise an error if
\fB\-sa\fP was specified.  \fB\-sa\fP is the default.
.TP 
\fB\-\-abort\-on\-upstream\-changes\fP
The process fails if the generated diff contains changes to files outside of
the debian sub\-directory (since dpkg 1.15.8).  This option is not allowed in
\fBdebian/source/options\fP but can be used in \fBdebian/source/local\-options\fP.
.PP

\fBExtraheringsflaggor (med \-\-extract):\fP

Oavsett kommer ett befintligt källkodsträd att tas bort.
.TP 
\fB\-sp\fP
Används när originalkällkoden som extraheras (om sådan finns) skall lämnas
kvar som en tarfil. Om den inte redan finns i den aktuella katalogen, eller
om en befintlig men annan fil finns där, kommer den att kopieras
dit. (\fBDetta är standard.\fP)
.TP 
\fB\-su\fP
Packar upp originalkällkodsträdet.
.TP 
\fB\-sn\fP
Försäkrar att originalkällkoden varken kopieras till en aktuella katalogen
eller packas upp. Eventuella originalkällkodsträd som finns i den aktuella
katalogen tas fortfarande bort.
.PP
Alla \fB\-s\fP\fIX\fP\-flaggor är ömsesidigt uteslutande. Om du anger mer än en
kommer endast den sista att användas.
.TP 
\fB\-\-skip\-debianization\fP
Skips application of the debian diff on top of the upstream sources (since
dpkg 1.15.1).
.
.SS "Format: 2.0"
Extraction supported since dpkg 1.13.9, building supported since dpkg
1.14.8.  Also known as wig&pen. This format is not recommended for
wide\-spread usage, the format “3.0 (quilt)” replaces it.  Wig&pen was the
first specification of a new\-generation source package format.

The behaviour of this format is the same as the “3.0 (quilt)” format except
that it doesn't use an explicit list of patches. All files in
\fBdebian/patches/\fP matching the perl regular expression \fB[\ew\-]+\fP must be
valid patches: they are applied at extraction time.

När du bygger ett nytt källkodspaket kommer eventuella ändringar på
uppströmskällkoden att lagras i en patch som kallas \fBzz_debian\-diff\-auto\fP.
.
.SS "Format: 3.0 (eget)"
Supported since dpkg 1.14.17.  This format is an extension of the native
package format as defined in the 1.0 format. It supports all compression
methods and will ignore by default any VCS specific files and directories as
well as many temporary files (see default value associated to \fB\-I\fP option
in the \fB\-\-help\fP output).
.
.SS "Format: 3.0 (quilt)"
Supported since dpkg 1.14.17.  A source package in this format contains at
least an original tarball (\fB.orig.tar.\fP\fIext\fP where \fIext\fP can be \fBgz\fP,
\fBbz2\fP, \fBlzma\fP and \fBxz\fP) and a debian tarball (\fB.debian.tar.\fP\fIext\fP). It
can also contain additional original tarballs
(\fB.orig\-\fP\fIcomponent\fP\fB.tar.\fP\fIext\fP).  \fIcomponent\fP can only contain
alphanumeric (‘a\-zA\-Z0\-9’) characters and hyphens (‘\-’).  Optionally each
original tarball can be accompanied by a detached upstream signature
(\fB.orig.tar.\fP\fIext\fP\fB.asc\fP and \fB.orig\-\fP\fIcomponent\fP\fB.tar.\fP\fIext\fP\fB.asc\fP),
extraction supported since dpkg 1.17.20, building supported since dpkg
1.18.5.

.PP
\fBUppackning\fP
.PP
Huvud\-originaltarbollen packas upp först, därefter packas alla ytterligare
originaltarbollar upp i underkataloger med namn efter \fIkomponent\fP\-delen i
sitt filnamn (eventuella redan befintliga kataloger
ersätts). Debian\-tarbollen packas sedan upp ovanpå källkodskatalogen efter
att en redan befintlig \fBdebian\fP\-katalog har tagits bort först. Observera
att debian\-tarbollen måste bestå av en \fBdebian\fP\-underkatalog, men att den
även kan innehålla binärfiler utanför den katalogen (se flaggan
\fB\-\-include\-binaries\fP).
.PP
All patches listed in \fBdebian/patches/\fP\fIvendor\fP\fB.series\fP or
\fBdebian/patches/series\fP are then applied, where \fIvendor\fP will be the
lowercase name of the current vendor, or \fBdebian\fP if there is no vendor
defined.  If the former file is used and the latter one doesn't exist (or is
a symlink), then the latter is replaced with a symlink to the former.  This
is meant to simplify usage of \fBquilt\fP to manage the set of patches.
Vendor\-specific series files are intended to make it possible to serialize
multiple development branches based on the vendor, in a declarative way, in
preference to open\-coding this handling in \fBdebian/rules\fP.  This is
particularly useful when the source would need to be patched conditionally
because the affected files do not have built\-in conditional occlusion
support.  Note however that while \fBdpkg\-source\fP parses correctly series
files with explicit options used for patch application (stored on each line
after the patch filename and one or more spaces), it does ignore those
options and always expect patches that can be applied with the \fB\-p1\fP option
of \fBpatch\fP. It will thus emit a warning when it encounters such options,
and the build is likely to fail.
.PP
Note that \fBlintian\fP(1) will emit unconditional warnings when using vendor
series due to a controversial Debian specific ruling, which should not
affect any external usage; to silence these, the dpkg lintian profile can be
used by passing «\fB\-\-profile dpkg\fP» to \fBlintian\fP(1).
.PP
The timestamp of all patched files is reset to the extraction time of the
source package (this avoids timestamp skews leading to problems when
autogenerated files are patched).
.PP
Till skillnad mot \fBquilt\fP:s originalbeteende förväntas det att patchar kan
appliceras utan någon "fuzz". När så inte är fallet bör du uppdatera
patcharna med hjälp av \fBquilt\fP, om inte kommer \fBdpkg\-source\fP rapportera
ett felmeddelande när det försöker tillämpa dem.
.PP
Patchar kan även ta bort filer, på samma sätt som \fBquilt\fP normalt fungerar.
.PP
Filen \fB.pc/applied\-patchers\fP skapas om patchar tillämpades vid
uppackningen.
.PP
\fBBygga\fP
.PP
Alla original\-tarbollar som finns i den aktuella katalogen packas upp i en
temporär katalog med samma logik som i uppackningen, debian\-katalogen
kopieras över i den temporära katalogen och alla patchar, förutom den
automatiska patchen (\fBdebian\-changes\fP\fIversion\fP eller \fBdebian\-changes\fP,
beroende på \fB\-\-single\-debian\-patch\fP) tillämpas. Temporärkatalogen jämförs
därefter mot källkodskatalogen. Om diffen inte är tom misslyckas bygget,
såvida inte \fB\-\-single\-debian\-patch\fP eller \fB\-\-auto\-commit\fP använts, i
vilket fall diffen lagras i den automatiska patchen. Om den automatiska
patchen skapas/tas bort, läggs den till/tas bort från series\-filen och från
\fBquilt\fP\-metadata.

Eventuella ändringar på binärfiler kan inte representeras i en diff och
kommer därmed att leda till ett felmeddelande, såvida inte paketansvariga
medvetet väljer att inkludera den modifierade binärfilen i debian\-tarbollen
(genom att lista den i \fBdebian/source/include\-binaries\fP). Byggningen kommer
även att misslyckas om binärfiler upptäcks i debian\-underkatalogen, såvida
de inte har vitlistats i \fBdebian/source/include\-binaries\fP.

Den uppdaterade debiankatalogen, och listan över modifierade binärer,
används sedan för att skapa debian\-tarbollen.

Den automatiskt genererade diff\-filen innehåller inte ändringar för
VCS\-specifika filer eller för många temporära filer (se standardvärdet som
är knutet till flaggan \fB\-i\fP i texten för \fB\-\-help\fP). Detta gäller speciellt
katalogen \fB.pc\fP som används av \fBquilt\fP, katalogen kommer att ignoreras när
den automatiska patchen skapas.

Observera: \fBdpkg\-source\fP \fB\-\-before\-build\fP (och \fB\-\-build\fP) ser till att
alla  patchar som anges i seriefilen tillämpas så att paketbygget alltid har
alla patchar tillämpade. Detta görs genom att hitta alla icke\-tillämpade
patchar (som anges i filen \fBseries\fP men inte i \fB.pc/applied\-patches\fP), och
om den första patchen i listan kan tillämpas utan fel kommer samtliga att
tillämpas. Flaggan \fB\-\-no\-preparation\fP kan användas för att slå av detta
beteende.

.PP
\fBLagra ändringar\fP
.TP 
\fB\-\-commit\fP [\fIkatalog\fP] [\fIpatchnamn\fP] [\fIpatch\-fil\fP]
Skapar en patch som motsvarar de lokala ändringar som inte hanteras av
\fBquilt\fP\-patch\-systemet och integrerar dem i patch\-systemet under namnet
\fIpatchnamn\fP. Om namnet saknas kommer programmet be om ett interaktivt. Om
\fIpatch\-fil\fP anges används den som patch som motsvarar de lokala ändringar
som skall integreras. När patchen är integrerad startas ett
redigeringsprogram så att du kan ange metainformationen i patchhuvudet.

Det är oftast nyttigt att sända med \fIpatchfil\fP efter att ett bygge där
filen skapats i förväg misslyckas, och att patchfilen därför skall tas bort
efter integrering. Observera även att ändringarna som finns i patchfilen
redan måste ha applicerats på trädet och att filerna som modifieras av
patchen inte får innehålla ytterligare ej beskrivna ändringar.

Om genereringen av patchar upptäcker ändringar i binärfiler kommer de
automatiskt att läggas in i \fBdebian/source/include\-binaries\fP så att de
dyker upp i debian\-tarbollen (precis som \fBdpkg\-source \-\-include\-binaries
\-\-build\fP skulle gjort).
.PP
\fBByggflaggor\fP
.TP 
\fB\-\-allow\-version\-of\-quilt\-db=\fP\fIversion\fP
Allow \fBdpkg\-source\fP to build the source package if the version of the
\fBquilt\fP metadata is the one specified, even if \fBdpkg\-source\fP doesn't know
about it (since dpkg 1.15.5.4).  Effectively this says that the given
version of the \fBquilt\fP metadata is compatible with the version 2 that
\fBdpkg\-source\fP currently supports. The version of the \fBquilt\fP metadata is
stored in \fB.pc/.version\fP.
.TP 
\fB\-\-include\-removal\fP
Ignorera inte borttagna filer och ta med dem i den automatiskt genererade
patchen.
.TP 
\fB\-\-include\-timestamp\fP
Ta med tidsstämpel i den automatiskt genererade patchen.
.TP 
\fB\-\-include\-binaries\fP
Lägg till alla modifierade binärer i debian\-tarbollen. Lägg även till dem i
\fBdebian/source/include\-binaries\fP: de kommer att läggas till som standard i
följande byggen och du behöver inte längre ange den här flaggan.
.TP 
\fB\-\-no\-preparation\fP
Do not try to prepare the build tree by applying patches which are
apparently unapplied (since dpkg 1.14.18).
.TP 
\fB\-\-single\-debian\-patch\fP
Use \fBdebian/patches/debian\-changes\fP instead of
\fBdebian/patches/debian\-changes\-\fP\fIversion\fP for the name of the automatic
patch generated during build (since dpkg 1.15.5.4).  This option is
particularly useful when the package is maintained in a VCS and a patch set
can't reliably be generated. Instead the current diff with upstream should
be stored in a single patch. The option would be put in
\fBdebian/source/local\-options\fP and would be accompanied by a
\fBdebian/source/local\-patch\-header\fP file explaining how the Debian changes
can be best reviewed, for example in the VCS that is used.
.TP 
\fB\-\-create\-empty\-orig\fP
Automatically create the main original tarball as empty if it's missing and
if there are supplementary original tarballs (since dpkg 1.15.6).  This
option is meant to be used when the source package is just a bundle of
multiple upstream software and where there's no “main” software.
.TP 
\fB\-\-no\-unapply\-patches, \-\-unapply\-patches\fP
By default, \fBdpkg\-source\fP will automatically unapply the patches in the
\fB\-\-after\-build\fP hook if it did apply them during \fB\-\-before\-build\fP
(\fB\-\-unapply\-patches\fP since dpkg 1.15.8, \fB\-\-no\-unapply\-patches\fP since dpkg
1.16.5).  Those options allow you to forcefully disable or enable the patch
unapplication process. Those options are only allowed in
\fBdebian/source/local\-options\fP so that all generated source packages have
the same behavior by default.
.TP 
\fB\-\-abort\-on\-upstream\-changes\fP
The process fails if an automatic patch has been generated (since dpkg
1.15.8).  This option can be used to ensure that all changes were properly
recorded in separate \fBquilt\fP patches prior to the source package
build. This option is not allowed in \fBdebian/source/options\fP but can be
used in \fBdebian/source/local\-options\fP.
.TP 
\fB\-\-auto\-commit\fP
Processen misslyckas inte om en automatisk patch har skapats, den läggs
istället direkt in i \fBquilt\fP\-serien.

.PP
\fBExtraheringsflaggor\fP
.TP 
\fB\-\-skip\-debianization\fP
Skips extraction of the debian tarball on top of the upstream sources (since
dpkg 1.15.1).
.TP 
\fB\-\-skip\-patches\fP
Do not apply patches at the end of the extraction (since dpkg 1.14.18).
.
.SS "Format: 3.0 (skräddarsytt)"
Supported since dpkg 1.14.17.  This format is special.  It doesn't represent
a real source package format but can be used to create source packages with
arbitrary files.
.PP
\fBByggflaggor\fP
.PP
Alla argument som inte är flaggor tas som filer som skall integreras i det
skapade källkodspaketet. De måste finnas, och helst i aktuell
katalog. Åtminstone en fil måste anges.
.TP 
\fB\-\-target\-format=\fP\fIvärde\fP
\fBRequired\fP. Defines the real format of the generated source package.  The
generated .dsc file will contain this value in its \fBFormat\fP field and not
“3.0 (custom)”.
.
.SS "Format: 3.0 (git)"
Supported since dpkg 1.14.17.  This format is experimental.
.PP
Ett källkodspaket i detta format består av en ensam "bundle" från ett
git\-arkiv \fB.git\fP, vilket innehåller paketets källkod. Filen \fB.gitshallow\fP,
som innehåller revisioner för grunda git\-kloner, kan även förekomma.
.PP
\fBUppackning\fP
.PP
The bundle is cloned as a git repository to the target directory.  If there
is a gitshallow file, it is installed as \fI.git/shallow\fP inside the cloned
git repository.
.PP
Note that by default the new repository will have the same branch checked
out that was checked out in the original source.  (Typically “master”, but
it could be anything.)  Any other branches will be available under
\fIremotes/origin/\fP.
.PP
\fBBygga\fP
.PP
Innan uppackningen fortsätter kommer en del tester att utföras för att se
till att vi inte har några ej ignorerade ej incheckade ändringar.
.PP
\fBgit\-bundle\fP(1) används för att generera en "bundle" från git\-arkivet. Som
standard tas alla grenar och taggar i arkivet med i "bundle":n.
.PP
\fBByggflaggor\fP
.TP 
\fB\-\-git\-ref=\fP\fIref\fP
Gör det möjligt att ange en git\-referens som skall tas med i "bundle":n. Om
den anges överstyr den standardbeteendet som är att ta med alla grenar och
taggar. Kan anges flera gånger. \fIref\fP kan vara namnet på en gren eller tagg
som skall tas med. Den kan även vara vilken som helst annan parameter som
kan sändas med till \fBgit\-rev\-list\fP(1). För att, till exempel, endast ta med
grenen "master", angänd \fB\-\-git\-ref=\fPmaster. För att ta med alla taggar och
grenar, förutom grenen private, använd \fB\-\-git\-ref=\fP\-\-all
\fB\-\-git\-ref=\fP^private
.TP 
\fB\-\-git\-depth=\fP\fIantal\fP
Skapar en grund klon med en historik som är avhuggen vid det angivna antalet
revisioner.
.SS "Format: 3.0 (bzr)"
Supported since dpkg 1.14.17.  This format is experimental.  It generates a
single tarball containing the bzr repository.
.PP
\fBUppackning\fP
.PP
Tarbollen packas upp och bzr används sedan för att hämta ut den aktuella
grenen.
.PP
\fBBygga\fP
.PP
Innan uppackningen fortsätter kommer en del tester att utföras för att se
till att vi inte har några ej ignorerade ej incheckade ändringar.
.PP
De VCS\-specifika delarna av källkodskatalogen kommer därefter att kopieras
över till en temporär katalog. Innan den temporära katalogen packas i en
tarboll utförs viss städning för att spara plats.
.SH DIAGNOSTIK
.SS "källkodsformat ej angivet i debian/source/format"
The file \fBdebian/source/format\fP should always exist and indicate the
desired source format. For backwards compatibility, format “1.0” is assumed
when the file doesn't exist but you should not rely on this: at some point
in the future \fBdpkg\-source\fP will be modified to fail when that file doesn't
exist.

The rationale is that format “1.0” is no longer the recommended format, you
should usually pick one of the newer formats (“3.0 (quilt)”, “3.0 (native)”)
but \fBdpkg\-source\fP will not do this automatically for you.  If you want to
continue using the old format, you should be explicit about it and put “1.0”
in \fBdebian/source/format\fP.
.SS "diffen modifierar följande uppströmsfiler"
When using source format “1.0” it is usually a bad idea to modify upstream
files directly as the changes end up hidden and mostly undocumented in the
\&.diff.gz file. Instead you should store your changes as patches in the
debian directory and apply them at build\-time. To avoid this complexity you
can also use the format “3.0 (quilt)” that offers this natively.
.SS "kan inte representera ändringen för \fIfil\fP"
Ändringar på uppströmsfiler sparas normalt som patchfiler, men inte alla
ändringar kan representeras med patchar: de kan endast ändra innehållet i
vanliga textfiler. Om du försöker ersätta en fil med något som har en annan
typ (till exempel ersätta en vanlig fil med en symbolisk länk eller en
katalog) får du det här felmeddelandet.
.SS "den tomma filen \fIfil\fP som just skapats kommer inte representeras i diffen"
Tomma filer kan inte skapas med patchfiler. Ändringen kommer därmed inte att
sparas i källkodspaketet och du får en varning om det.
.SS "exekveringsläge \fIläge\fP på \fIfil\fP kommer inte representeras i diffen"
Patchfiler beskriver inte läget på filer och exekveringsbehörigheter sparas
därmed inte i källkodspaketet. Den här varningen påminner dig om detta.
.SS "specialläget \fIläge\fP på \fIfil\fP kommer inte representeras i diffen"
Patchfiler beskriver inte läget på filer och ändrade lägen sparas inte i
källkodspaketet. Den här varningen påminner dig om detta.
.
.SH MILJÖVARIABLER
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.TP 
\fBDPKG_NLS\fP
If set, it will be used to decide whether to activate Native Language
Support, also known as internationalization (or i18n) support (since dpkg
1.19.0).  The accepted values are: \fB0\fP and \fB1\fP (default).
.TP 
\fBSOURCE_DATE_EPOCH\fP
If set, it will be used as the timestamp (as seconds since the epoch) to
clamp the mtime in the \fBtar\fP(5) file entries.
.TP 
\fBVISUAL\fP
.TQ
\fBEDITOR\fP
Used by the “2.0” and “3.0 (quilt)” source format modules.
.TP 
\fBGIT_DIR\fP
.TQ
\fBGIT_INDEX_FILE\fP
.TQ
\fBGIT_OBJECT_DIRECTORY\fP
.TQ
\fBGIT_ALTERNATE_OBJECT_DIRECTORIES\fP
.TQ
\fBGIT_WORK_TREE\fP
Used by the “3.0 (git)” source format modules.
.
.SH FILER
.SS debian/source/format
Filen innehåller på en ensam rad det format som skall användas för att bygga
källkodspaketet (möjliga format beskrivs ovan). Varken ledande eller
avslutande blanksteg tillåts.
.SS debian/source/include\-binaries
This file contains a list of binary files (one per line) that should be
included in the debian tarball. Leading and trailing spaces are stripped.
Lines starting with ‘\fB#\fP’ are comments and are skipped.  Empty lines are
ignored.
.SS debian/source/options
Filen innehåller en lista över långa flaggor som automatiskt sätts in före
kommandoradsflaggorna som anges i ett anrop til \fBdpkg\-source \-\-build\fP eller
\fBdpkg\-source \-\-print\-format\fP. Flaggor som \fB\-\-compression\fP och
\fB\-\-compression\-level\fP är passande att lägga in i den  här filen.
.P
Each option should be put on a separate line. Empty lines and lines starting
with ‘\fB#\fP’ are ignored.  The leading ‘\fB\-\-\fP’ should be stripped and short
options are not allowed.  Optional spaces are allowed around the ‘\fB=\fP’
symbol and optional quotes are allowed around the value.  Here's an example
of such a file:
.P
  # låt dpkg\-source skapa en debian.tar.bz2 med maximal komprimering
  compression = "bzip2"
  compression\-level = 9
  # använd debian/patches/debian\-changes som en automatisk patch
  single\-debian\-patch
  # ignorera ändringar i config.{sub,guess}
  extend\-diff\-ignore = "(^|/)(config.sub|config.guess)$"
.P
Observera: \fBformat\fP\-flaggor tillåts inte i den här filen, du bör använda
filen \fBdebian/source/format\fP istället.
.SS debian/source/local\-options
Precis som \fBdebian/source/options\fP förutom att filen inte inkluderas i det
genererade källkodspaketet. Det kan vara användbart för att spara ett val
som gäller för paketansvariga eller VCS\-systemet källkodspaketet hanteras i.
.SS "debian/source/local\-patch\-header \fRoch\fP debian/source/patch\-header"
Free form text that is put on top of the automatic patch generated in
formats “2.0” or “3.0 (quilt)”. \fBlocal\-patch\-header\fP is not included in the
generated source package while \fBpatch\-header\fP is.
.SS debian/patches/\fIvendor\fP.series
.SS debian/patches/series
This file lists all patches that have to be applied (in the given order)  on
top of the upstream source package. Leading and trailing spaces are
stripped.  The \fIvendor\fP will be the lowercase name of the current vendor,
or \fBdebian\fP if there is no vendor defined.  If the vendor\-specific series
file does not exist, the vendor\-less series file will be used.  Lines
starting with ‘\fB#\fP’ are comments and are skipped.  Empty lines are
ignored.  Remaining lines start with a patch filename (relative to the
\fBdebian/patches/\fP directory) up to the first space character or the end of
line. Optional \fBquilt\fP options can follow up to the end of line or the
first ‘\fB#\fP’ preceded by one or more spaces (which marks the start of a
comment up to the end of line).
.SH PROGRAMFEL
Tidpunkten på fältöverstyrning inträffar jämfört med inställning av vissa
standardutdatafält är ganska förvirrad.
.SH "SE ÄVEN"
\fBdeb\-src\-control\fP(5), \fBdeb\-changelog\fP(5), \fBdsc\fP(5).
