.\" dpkg manual page - dpkg-statoverride(1)
.\"
.\" Copyright © 2000-2001 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2009-2011, 2013, 2015 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-statoverride 1 %RELEASE_DATE% %VERSION% Dpkg\-sviten
.ad l
.nh
.SH NAMN
dpkg\-statoverride \- överstyr ägarskap och läge för filer
.
.SH SYNOPS
\fBdpkg\-statoverride\fP [\fIflagga\fP...] \fIåtgärd\fP
.
.SH BESKRIVNING
“\fBstat overrides\fP” are a way to tell \fBdpkg\fP(1)  to use a different owner
or mode for a path when a package is installed (this applies to any
filesystem object that \fBdpkg\fP handles, including directories, devices,
etc.). This can be used to force programs that are normally setuid to be
install without a setuid flag, or only executable by a certain group.
.P
\fBdpkg\-statoverride\fP är ett verktyg för att hantera listan över
stat\-överstyrningar. Det har tre grundläggande funktioner: lägga till, ta
bort och visa överstyrningar.
.
.SH KOMMANDON
.TP 
\fB\-\-add\fP\fI användare grupp läge sökväg\fP
Add an override for \fIpath\fP. \fIpath\fP does not need to exist when this
command is used; the override will be stored and used later.  Users and
groups can be specified by their name (for example \fBroot\fP or \fBnobody\fP), or
by their number by prepending the number with a ‘\fB#\fP’ (for example \fB#0\fP or
\fB#65534\fP).  The \fImode\fP needs to be specified in octal.

Om \fB\-\-update\fP anges och \fIsökväg\fP existerar kommer den omedelbart att
sättas till den nya användaren och läget.
.TP 
\fB\-\-remove\fP \fIsökväg\fP
Ta bort en överstyrning för \fIfil\fP, status för \fIsökväg\fP ändras inte av
detta kommando.
.TP 
\fB\-\-list\fP [\fIfilnamnssökmönster\fP]
List all overrides. If a glob pattern is specified restrict the output to
overrides which match the glob.
.TP 
\fB\-\-help\fP
Visar hjälpskärm och avslutar.
.TP 
\fB\-\-force\-help\fP
Give help about the \fB\-\-force\-\fP\fIthing\fP options (since dpkg 1.19.5).
.TP 
\fB\-\-version\fP
Visar version och avslutar.
.
.SH FLAGGOR
.TP 
\fB\-\-admindir\fP\fI katalog\fP
Set the administrative directory to \fIdirectory\fP.  This is where the
\fIstatoverride\fP file is stored.  Defaults to «\fI%ADMINDIR%\fP».
.TP 
\fB\-\-instdir\fP\fI directory\fP
Set the installation directory, which refers to the directory where packages
get installed (since dpkg 1.19.2).  Defaults to «\fI/\fP».
.TP 
\fB\-\-root\fP\fI directory\fP
Set the root directory to \fBdirectory\fP, which sets the installation
directory to «\fIdirectory\fP» and the administrative directory to
«\fIdirectory\fP\fB%ADMINDIR%\fP» (since dpkg 1.19.2).
.TP 
\fB\-\-force\-\fP\fIthings\fP
.TQ
\fB\-\-no\-force\-\fP\fIthings\fP, \fB\-\-refuse\-\fP\fIthings\fP
Force or refuse (\fBno\-force\fP and \fBrefuse\fP mean the same thing)  to do some
things (since dpkg 1.19.5).  \fIthings\fP is a comma separated list of things
specified below.  \fB\-\-force\-help\fP displays a message describing them.
Things marked with (*) are forced by default.

\fIWarning: These options are mostly intended to be used by experts only.
Using them without fully understanding their effects may break your whole
system.\fP

\fBall\fP: Slår på (eller av) alla tvingande flaggor.

\fBstatoverride\-add\fP: Overwrite an existing stat override when adding it
(since dpkg 1.19.5).

\fBstatoverride\-remove\fP: Ignore a missing stat override when removing it
(since dpkg 1.19.5).

\fBsecurity\-mac\fP(*): Use platform\-specific Mandatory Access Controls (MAC)
based security when installing files into the filesystem (since dpkg
1.19.5).  On Linux systems the implementation uses SELinux.
.TP 
\fB\-\-force\fP
Force an action, even if a sanity check would otherwise prohibit it.  This
is necessary to override an existing override.  This option is deprecated
(since dpkg 1.19.5), it is replaced by \fB\-\-force\-all\fP.
.TP 
\fB\-\-update\fP
Försök att omedelbart ändra \fIsökväg\fP,·om·den·finns, till den nya ägaren och
läget.
.TP 
\fB\-\-quiet\fP
Var mindre pratsom om vad som görs.
.
.SH RETURVÄRDE
.TP 
\fB0\fP
Den önskade funktionen utfördes utan fel.
.TP 
\fB1\fP
For \fB\-\-list\fP, if there are no overrides or none match the supplied glob.
.TP 
\fB2\fP
Fatal or unrecoverable error due to invalid command\-line usage, or
interactions with the system, such as accesses to the database, memory
allocations, etc.
.
.SH MILJÖVARIABLER
.TP 
\fBDPKG_ROOT\fP
If set and the \fB\-\-instdir\fP or \fB\-\-root\fP options have not been specified, it
will be used as the filesystem root directory (since dpkg 1.19.2).
.TP 
\fBDPKG_ADMINDIR\fP
If set and the \fB\-\-admindir\fP or \fB\-\-root\fP options have not been specified,
it will be used as the \fBdpkg\fP data directory.
.TP 
\fBDPKG_FORCE\fP
If set and none of the \fB\-\-force\-\fP\fI...\fP options have been specified, it
will be used as the force options to use (since dpkg 1.19.5).
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.
.SH FILER
.TP 
\fI%ADMINDIR%/statoverride\fP
File which contains the current list of stat overrides of the system. It is
located in the \fBdpkg\fP administration directory, along with other files
important to \fBdpkg\fP, such as \fIstatus\fP or \fIavailable\fP.
.br
Note: \fBdpkg\-statoverride\fP preserves the old copy of this file, with
extension “\-old”, before replacing it with the new one.
.
.SH "SE ÄVEN"
\fBdpkg\fP(1).
