.\" dpkg manual page - dpkg(1)
.\"
.\" Copyright © 1996 Juho Vuori <javuori@cc.helsinki.fi>
.\" Copyright © 1999 Jim Van Zandt <jrv@vanzandt.mv.com>
.\" Copyright © 1999-2003 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2000-2003 Adam Heath <doogie@debian.org>
.\" Copyright © 2002 Josip Rodin
.\" Copyright © 2004-2005 Scott James Remnant <keybuk@debian.org>
.\" Copyright © 2006-2016 Guillem Jover <guillem@debian.org>
.\" Copyright © 2007-2008 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2008-2011 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg 1 %RELEASE_DATE% %VERSION% Dpkg\-sviten
.ad l
.nh
.SH NAMN
dpkg \- en mellannivåpakethanterare för Debian
.
.SH SYNOPS
\fBdpkg\fP [\fIflagga\fP...] \fIåtgärd\fP
.
.SH VARNING
Manualen är avsedd för användare som vill få en mer detaljerad förståelse
för \fBdpkg\fPs kommandoradsflaggor och pakettillstånd än vad som berättas med
\fBdpkg \-\-help\fP.

Den bör \fIinte\fP användas av paketansvariga som vill lära sig hur \fBdpkg\fP
kommer att installera deras paket. Beskrivningen över vad \fBdpkg\fP gör när
paket installeras och tas bort är speciellt otillräckliga.
.
.SH BESKRIVNING
\fBdpkg\fP är ett verktyg för att installera, bygga, ta bort och hantera
Debianpaket. Det primära och mer användarvänliga skalet runt \fBdpkg\fP är
\fBaptitude\fP(1). \fBdpkg\fP kontrolleras helt och hållet via
kommandoradsparametrar, vilka består av exakt en åtgärd och noll eller fler
flaggor. Åtgärdsparametern talar om för dpkg vad som skall göras, och
flaggorna styr på vilket sätt åtgärden skall utföras.

\fBdpkg\fP kan också användas som ett skal runt \fBdpkg\-deb\fP(1) och
\fBdpkg\-query\fP(1). En förteckning över tillgängliga åtgärder beskrivs nedan i
stycket \fBÅTGÄRDER\fP. Om \fBdpkg\fP upptäcker en sådan åtgärd anropas bara
\fBdpkg\-dpkg\fP eller \fBdpkg\-query\fP med de givna flaggorna, men inga specifika
flaggor sänds direkt till dem, för att använda sådana flaggor måste
bakgrundsprogrammen anropas direkt.
.
.SH "INFORMATION OM PAKET"
\fBdpkg\fP upprätthåller viss användbar information om tillgängliga
paket. Informationen delas in i tre klasser: \fBtillstånd\fP,
\fBmarkeringstillstånd\fP och \fBflaggor\fP. Dessa värden är avsedda att
huvudsakligen ändras via \fBdselect\fP.
.SS Pakettillstånd
.TP 
\fBej installerat\fP ("not\-installed")
Paketet är inte installerat på ditt system.
.TP 
\fBkonfigurationsfiler\fP ("config\-files")
Endast konfigurationsfilerna för paketet finns på systemet.
.TP 
\fBhalvt installerat\fP ("half\-installed")
Installationen av paketet har påbörjats, men av någon orsak inte slutförts.
.TP 
\fBuppackat\fP ("unpacked")
Paketet är uppackat, men inte konfigurerat.
.TP 
\fBhalvt konfigurerat\fP ("half\-configured")
Paketet är uppackat och konfigurationen har påbörjats, men av någon orsak
inte slutförts.
.TP 
\fBväntar på utlösare\fP ("triggers\-awaited")
Paketet väntar på hantering av utlösare av ett annat paket.
.TP 
\fButlösare väntar\fP ("triggers\-pending")
Paketet har utlösts.
.TP 
\fBinstallerat\fP (installed)
Paketet är uppackat och korrekt inställt.
.SS Paketvalstillstånd
.TP 
\fBinstallera\fP ("install")
Paketet är markerat för installation.
.TP 
\fBhåll\fP ("hold")
A package marked to be on \fBhold\fP is kept on the same version, that is, no
automatic new installs, upgrades or removals will be performed on them,
unless these actions are requested explicitly, or are permitted to be done
automatically with the \fB\-\-force\-hold\fP option.
.TP 
\fBta bort\fP ("deinstall")
Paketet är markerat för avinstallation (dvs. vi vill ta bort alla filer
förutom konfigurationsfilerna).
.TP 
\fBrensa\fP ("purge")
Paketet är markerat för rensning (dvs. vi vill ta bort allting från
systemkataloger, även konfigurationsfiler).
.TP 
\fBunknown\fP
The package selection is unknown.  A package that is also in a
\fBnot\-installed\fP state, and with an \fBok\fP flag will be forgotten in the next
database store.
.SS Paketflaggor
.TP 
\fBok\fP
A package marked \fBok\fP is in a known state, but might need further
processing.
.TP 
\fBreinstreq\fP
A package marked \fBreinstreq\fP is broken and requires reinstallation. These
packages cannot be removed, unless forced with option
\fB\-\-force\-remove\-reinstreq\fP.
.
.SH ÅTGÄRDER
.TP 
\fB\-i\fP, \fB\-\-install\fP \fIpaketfil\fP...
Installera paketet.  Om flaggan \fB\-\-recursive\fP eller \fB\-R\fP anges måste
\fIpaketfil\fP istället vara en katalog.

Installationen består av följande steg:
.br

\fB1.\fP Extrahera styrfilerna ur paketet.
.br

\fB2.\fP Om en annan version av samma paket redan fanns installerat vid
nyinstallationen exekveras \fIprerm\fP\-skriptet för det gamla paketet.
.br

\fB3.\fP Kör \fIpreinst\fP\-skriptet, om ett sådant medföljer paketet.
.br

\fB4.\fP Packa upp de nya filerna och säkerhetskopiera samtidigt de gamla
filerna så att de kan återställas om någonting går fel.
.br

\fB5.\fP Om en annan version av samma paket redan fanns installerat vid
nyinstallationen exekveras \fIpostrm\fP\-skriptet för det gamla
paketet. Observera att skriptet exekveras efter \fIpreinst\fP för det nya
paketet eftersom de nya filerna skrivs samtidigt som de gamla tas bort.
.br

\fB6.\fP Konfigurera paketet. Se \fB\-\-configure\fP för detaljerad information om
hur man gör det.
.TP 
\fB\-\-unpack \fP\fIpaketfil\fP ...
Packa upp paketet, men konfigurera det inte. Om flaggan \fB\-\-recursive\fP eller
\fB\-R\fP anges måste \fIpaketfil\fP istället vara en katalog.
.TP 
\fB\-\-configure \fP\fIpaket\fP...|\fB\-a\fP|\fB\-\-pending\fP
Konfigurera ett paket som har packats upp men ännu inte konfigurerats. Om
\fB\-a\fP eller \fB\-\-pending\fP anges istället för \fIpaket\fP konfigureras alla paket
som har packats upp men ännu inte konfigurerats.

För att omkonfigurera ett paket som redan har konfigurerats kan du istället
använda kommandot \fBdpkg\-reconfigure(8)\fP.

Konfigurering består av följande steg:
.br

\fB1.\fP Packa upp konfigurationsfilerna och säkerhetskopiera samtidigt de
gamla konfigurationsfilerna så att de kan återställas om någonting går fel.
.br

\fB2.\fP Kör \fIpostinst\fP\-skriptet, om ett sådant finns i paketet.
.TP 
\fB\-\-triggers\-only\fP \fIpaket\fP...|\fB\-a\fP|\fB\-\-pending\fP
Processes only triggers (since dpkg 1.14.17).  All pending triggers will be
processed.  If package names are supplied only those packages' triggers will
be processed, exactly once each where necessary. Use of this option may
leave packages in the improper \fBtriggers\-awaited\fP and \fBtriggers\-pending\fP
states. This can be fixed later by running: \fBdpkg \-\-configure \-\-pending\fP.
.TP 
\fB\-r\fP, \fB\-\-remove\fP \fIpackage\fP...|\fB\-a\fP|\fB\-\-pending\fP
Remove an installed package.  This removes everything except conffiles and
other data cleaned up by the \fIpostrm\fP script, which may avoid having to
reconfigure the package if it is reinstalled later (conffiles are
configuration files that are listed in the \fIDEBIAN/conffiles\fP control
file).  If there is no \fIDEBIAN/conffiles\fP control file nor \fIDEBIAN/postrm\fP
script, this command is equivalent to calling \fB\-\-purge\fP.  If \fB\-a\fP or
\fB\-\-pending\fP is given instead of a package name, then all packages unpacked,
but marked to be removed in file \fI%ADMINDIR%/status\fP, are removed.

Borttagning av ett paket består av följande steg:
.br

\fB1.\fP Kör \fIprerm\fP\-skriptet
.br

\fB2.\fP Ta bort de installerade filerna
.br

\fB3.\fP Kör \fIpostrm\fP\-skriptet
.br

.TP 
\fB\-P\fP, \fB\-\-purge\fP \fIpackage\fP...|\fB\-a\fP|\fB\-\-pending\fP
Purge an installed or already removed package. This removes everything,
including conffiles, and anything else cleaned up from \fIpostrm\fP.  If \fB\-a\fP
or \fB\-\-pending\fP is given instead of a package name, then all packages
unpacked or removed, but marked to be purged in file \fI%ADMINDIR%/status\fP,
are purged.

Observera: det är möjligt att \fBdpkg\fP inte känner till vissa
konfigurationsfiler på grund av att de skapas och hanteras separat via
konfigurationsskript. I så fall kommer inte \fBdpkg\fP självt ta bort dem, utan
paketets \fIpostrm\fP\-skript (som anropas av \fBdpkg\fP) måste ta hand om att de
tas bort när paketet tas bort med \fB\-\-purge\fP. Detta gäller naturligtvis
endast för filer i systemkatalogerna, inte konfigurationsfiler som skrivs i
enstaka användares hemkataloger.

Rensning av ett paket består av följande steg:
.br

\fB1.\fP Ta bort paketet, om det inte redan är borttaget. Se \fB\-\-remove\fP för
detaljerad information om hur det görs.
.br

\fB2.\fP Kör \fIpostrm\fP\-skriptet
.br
.TP 
\fB\-V\fP, \fB\-\-verify\fP \fIpaketnamn\fP ...
Verifies the integrity of \fIpackage\-name\fP or all packages if omitted, by
comparing information from the files installed by a package with the files
metadata information stored in the \fBdpkg\fP database (since dpkg 1.17.2).
The origin of the files metadata information in the database is the binary
packages themselves. That metadata gets collected at package unpack time
during the installation process.

Currently the only functional check performed is an md5sum verification of
the file contents against the stored value in the files database.  It will
only get checked if the database contains the file md5sum. To check for any
missing metadata in the database, the \fB\-\-audit\fP command can be used.

Utdataformatet kan väljas med flaggan \fB\-\-verify\-format\fP, vilket som
standard använder formatet \fBrpm\fP, men detta kan komma att ändras i
framtiden, varför program som tolkar kommandots utdata bör välja vilket
format de förväntar sig explicit.
.TP 
\fB\-C\fP, \fB\-\-audit\fP [\fIpaketnamn\fP...]
Performs database sanity and consistency checks for \fIpackage\-name\fP or all
packages if omitted (per package checks since dpkg 1.17.10).  For example,
searches for packages that have been installed only partially on your system
or that have missing, wrong or obsolete control data or files. \fBdpkg\fP will
suggest what to do with them to get them fixed.
.TP 
\fB\-\-update\-avail\fP [\fIPackages\-file\fP]
.TQ
\fB\-\-merge\-avail\fP [\fIPackages\-file\fP]
Update \fBdpkg\fP's and \fBdselect\fP's idea of which packages are available. With
action \fB\-\-merge\-avail\fP, old information is combined with information from
\fIPackages\-file\fP. With action \fB\-\-update\-avail\fP, old information is replaced
with the information in the \fIPackages\-file\fP. The \fIPackages\-file\fP
distributed with Debian is simply named «\fIPackages\fP». If the
\fIPackages\-file\fP argument is missing or named «\fB\-\fP» then it will be read
from standard input (since dpkg 1.17.7). \fBdpkg\fP keeps its record of
available packages in \fI%ADMINDIR%/available\fP.

Ett lättare enkelkommando för att hämta och uppdater \fIavailable\fP\-filen är
\fBdselect update\fP. Observera att den här filen i huvudsak är onödig om du
använder ett APT\-baserat skal istället för \fBdselect\fP: APT har ett eget
system för att hålla reda på tillgängliga paket.
.TP 
\fB\-A\fP, \fB\-\-record\-avail\fP \fIpaketfil\fP ...
Uppdatera \fBdpkg\fPs och \fBdselect\fPs lista över vilka paket som finns
tillgängliga med information från paketet \fIpaketfil\fP. Om flaggan
\fB\-\-recursive\fP eller \fB\-R\fP anges måste \fIpaketfil\fP istället vara en katalog.
.TP 
\fB\-\-forget\-old\-unavail\fP
Now \fBobsolete\fP and a no\-op as \fBdpkg\fP will automatically forget uninstalled
unavailable packages (since dpkg 1.15.4), but only those that do not contain
user information such as package selections.
.TP 
\fB\-\-clear\-avail\fP
Radera existerande information om vilka paket som är tillgängliga.
.TP 
\fB\-\-get\-selections\fP [\fIpaketnamnsmönster\fP...]
Hämta en lista över paketval och skriv den till standard ut. Paket som inte
är installerats (dvs. de som tidigare helt har tagits bort) kommer inte att
visas om inte ett mönster anges.
.TP 
\fB\-\-set\-selections\fP
Set package selections using file read from stdin. This file should be in
the format “\fIpackage\fP \fIstate\fP”, where state is one of \fBinstall\fP, \fBhold\fP,
\fBdeinstall\fP or \fBpurge\fP. Blank lines and comment lines beginning with
‘\fB#\fP’ are also permitted.

Filen \fIavailable\fP måste vara àjourförd för att kommandot skall vara av
något värde, annars kommer okända paket att ignoreras med en varning. Se
kommandona \fB\-\-update\-avail\fP och \fB\-\-merge\-avail\fP för mer information.
.TP 
\fB\-\-clear\-selections\fP
Set the requested state of every non\-essential package to deinstall (since
dpkg 1.13.18).  This is intended to be used immediately before
\fB\-\-set\-selections\fP, to deinstall any packages not in list given to
\fB\-\-set\-selections\fP.
.TP 
\fB\-\-yet\-to\-unpack\fP
Söker efter paket som markerats för installation men som av någon anledning
ännu inte har installerats.
.IP
Note: This command makes use of both the available file and the package
selections.
.TP 
\fB\-\-predep\-package\fP
Print a single package which is the target of one or more relevant
pre\-dependencies and has itself no unsatisfied pre\-dependencies.
.IP
If such a package is present, output it as a Packages file entry, which can
be massaged as appropriate.
.IP
Note: This command makes use of both the available file and the package
selections.
.IP
Returns 0 when a package is printed, 1 when no suitable package is available
and 2 on error.
.TP 
\fB\-\-add\-architecture\fP \fIarkitektur\fP
Add \fIarchitecture\fP to the list of architectures for which packages can be
installed without using \fB\-\-force\-architecture\fP (since dpkg 1.16.2).  The
architecture \fBdpkg\fP is built for (i.e. the output of
\fB\-\-print\-architecture\fP)  is always part of that list.
.TP 
\fB\-\-remove\-architecture\fP \fIarkitektur\fP
Remove \fIarchitecture\fP from the list of architectures for which packages can
be installed without using \fB\-\-force\-architecture\fP (since dpkg 1.16.2). If
the architecture is currently in use in the database then the operation will
be refused, except if \fB\-\-force\-architecture\fP is specified. The architecture
\fBdpkg\fP is built for (i.e. the output of \fB\-\-print\-architecture\fP) can never
be removed from that list.
.TP 
\fB\-\-print\-architecture\fP
Print architecture of packages \fBdpkg\fP installs (for example, “i386”).
.TP 
\fB\-\-print\-foreign\-architectures\fP
Print a newline\-separated list of the extra architectures \fBdpkg\fP is
configured to allow packages to be installed for (since dpkg 1.16.2).
.TP 
\fB\-\-assert\-\fP\fIfeature\fP
Asserts that \fBdpkg\fP supports the requested feature.  Returns 0 if the
feature is fully supported, 1 if the feature is known but \fBdpkg\fP cannot
provide support for it yet, and 2 if the feature is unknown.  The current
list of assertable features is:
.RS
.TP 
\fBsupport\-predepends\fP
Supports the \fBPre\-Depends\fP field (since dpkg 1.1.0).
.TP 
\fBworking\-epoch\fP
Supports epochs in version strings (since dpkg 1.4.0.7).
.TP 
\fBlong\-filenames\fP
Supports long filenames in \fBdeb\fP(5) archives (since dpkg 1.4.1.17).
.TP 
\fBmulti\-conrep\fP
Supports multiple \fBConflicts\fP and \fBReplaces\fP (since dpkg 1.4.1.19).
.TP 
\fBmulti\-arch\fP
Supports multi\-arch fields and semantics (since dpkg 1.16.2).
.TP 
\fBversioned\-provides\fP
Supports versioned \fBProvides\fP (since dpkg 1.17.11).
.RE
.TP 
\fB\-\-validate\-\fP\fIthing string\fP
Validate that the \fIthing\fP \fIstring\fP has a correct syntax (since dpkg
1.18.16).  Returns 0 if the \fIstring\fP is valid, 1 if the \fIstring\fP is
invalid but might be accepted in lax contexts, and 2 if the \fIstring\fP is
invalid.  The current list of validatable \fIthing\fPs is:
.RS
.TP 
\fBpkgname\fP
Validates the given package name (since dpkg 1.18.16).
.TP 
\fBtrigname\fP
Validates the given trigger name (since dpkg 1.18.16).
.TP 
\fBarchname\fP
Validates the given architecture name (since dpkg 1.18.16).
.TP 
\fBversion\fP
Validates the given version (since dpkg 1.18.16).
.RE
.TP 
\fB\-\-compare\-versions \fP\fIver1 op ver2\fP
.\" .TP
.\" .B \-\-command\-fd \fIn\fP
.\" Accept a series of commands on input file descriptor \fIn\fP. Note:
.\" additional options set on the command line, and through this file descriptor,
.\" are not reset for subsequent commands executed during the same run.
Compare version numbers, where \fIop\fP is a binary operator. \fBdpkg\fP returns
true (\fB0\fP) if the specified condition is satisfied, and false (\fB1\fP)
otherwise. There are two groups of operators, which differ in how they treat
an empty \fIver1\fP or \fIver2\fP. These treat an empty version as earlier than
any version: \fBlt le eq ne ge gt\fP. These treat an empty version as later
than any version: \fBlt\-nl le\-nl ge\-nl gt\-nl\fP. These are provided only for
compatibility with control file syntax: \fB< << <= = >=
>> >\fP. The \fB<\fP and \fB>\fP operators are obsolete and
should \fBnot\fP be used, due to confusing semantics. To illustrate: \fB0.1
< 0.1\fP evaluates to true.
.TP 
\fB\-?\fP, \fB\-\-help\fP
Visar en kortfattad hjälptext.
.TP 
\fB\-\-force\-help\fP
Get hjälp om \fB\-\-force\-\fP\fInånting\fP\-flaggorna.
.TP 
\fB\-Dh\fP, \fB\-\-debug=help\fP
Ger hjälp om felsökningsflaggorna.
.TP 
\fB\-\-version\fP
Visar \fBdpkg\fPs versionsinformation.
.TP 
\fBdpkg\-deb\-åtgärder\fP
Se \fBdpkg\-deb\fP(1) för ytterligare information om följande åtgärder:

.nf
\fB\-b\fP, \fB\-\-build\fP \fIdirectory\fP [\fIarchive\fP|\fIdirectory\fP]
    Build a deb package.
\fB\-c\fP, \fB\-\-contents\fP \fIarchive\fP
    List contents of a deb package.
\fB\-e\fP, \fB\-\-control\fP \fIarchive\fP [\fIdirectory\fP]
    Extract control\-information from a package.
\fB\-x\fP, \fB\-\-extract\fP \fIarchive directory\fP
    Extract the files contained by package.
\fB\-X\fP, \fB\-\-vextract\fP \fIarchive directory\fP
    Extract and display the filenames contained by a
    package.
\fB\-f\fP, \fB\-\-field\fP  \fIarchive\fP [\fIcontrol\-field\fP...]
    Display control field(s) of a package.
\fB\-\-ctrl\-tarfile\fP \fIarchive\fP
    Output the control tar\-file contained in a Debian package.
\fB\-\-fsys\-tarfile\fP \fIarchive\fP
    Output the filesystem tar\-file contained by a Debian package.
\fB\-I\fP, \fB\-\-info\fP \fIarchive\fP [\fIcontrol\-file\fP...]
    Show information about a package.
.fi

.TP 
\fBdpkg\-query\-åtgärder\fP
Se \fBdpkg\-query\fP(1) för ytterligare information om följande åtgärder:

.nf

\fB\-l\fP, \fB\-\-list\fP \fIpaketnamnsmönster\fP ...
    Lista paket som matchar det givna mönstret.
\fB\-s\fP, \fB\-\-status\fP \fIpaketnamn\fP ...
    Rapportera status om det angivna paketet.
\fB\-L\fP, \fB\-\-listfiles\fP \fIpaketnamn\fP ...
    Lista filer som installerats på ditt system från \fIpaketnamn\fP.
\fB\-S\fP, \fB\-\-search\fP \fIfilnamnssökmönster\fP ...
    Sök efter filnamnet bland de installerade paketen.
\fB\-p\fP, \fB\-\-print\-avail\fP \fIpaketnamn\fP
    Visa detaljer om \fIpaketnamn\fP, som i \fI%ADMINDIR%/available/\fP.    De som använder APT\-baserade skal bör i stället använda    \fBapt\-cache show\fP \fIpaketnamn\fP.
.fi
.
.SH FLAGGOR
All options can be specified both on the command line and in the \fBdpkg\fP
configuration file \fI%PKGCONFDIR%/dpkg.cfg\fP or fragment files (with names
matching this shell pattern '[0\-9a\-zA\-Z_\-]*') on the configuration directory
\fI%PKGCONFDIR%/dpkg.cfg.d/\fP. Each line in the configuration file is either
an option (exactly the same as the command line option but without leading
hyphens) or a comment (if it starts with a ‘\fB#\fP’).
.br
.TP 
\fB\-\-abort\-after=\fP\fIantal\fP
Ställer in efter hur många fel \fBdpkg\fP skall avbryta. Förvalet är 50.
.TP 
\fB\-B\fP, \fB\-\-auto\-deconfigure\fP
När ett paket tas bort är det möjligt att ett annat paket beror på det
borttagna paketet. Om du anger flaggan kommer de paket som beror på det
borttagna paketet automatiskt att avkonfigureras.
.TP 
\fB\-D\fP\fIoktalvärde\fP\fB, \-\-debug=\fP\fIoktalvärde\fP
Aktiverar felsökning. \fIoktalvärde\fPt skapas genom att utföra bitvis logisk
"eller" av de önskade värdena från listan nedan (observera att dessa värden
kan ändras i framtida versioner). \fB\-Dh\fP eller \fB\-\-debug=help\fP visar dessa
felsökningsvärden.

    Tal   Beskrivning
      1   Allmänt hjälpsam förloppsinformation
      2   Anrop och status för utvecklarskript
     10   Utdata för varje fil som hanteras
    100   Massvis med utdata för varje fil som hanteras
     20   Utdata för varje konfigurationsfil
    200   Massvis med utdata för varje konfigurationsfil
     40   Beroenden och konflikter
    400   Massvis av beroende\-/konfliktutdata
  10000   Aktivering och hantering av utlösare
  20000   Massvis av utdata om utlösare
  40000   Dumma mängder utdata om utlösare
   1000   Massvis av pladder om bl.a dpkg/info\-katalogen
   2000   Knäppa mängder pladder
.TP 
\fB\-\-force\-\fP\fIthings\fP
.TQ
\fB\-\-no\-force\-\fP\fIthings\fP, \fB\-\-refuse\-\fP\fIthings\fP
Tvinga eller vägra (\fBno\-force\fP och \fBrefuse\fP betyder detsamma) att göra
vissa saker. \fIsaker\fP är en kommaavgränsad lista med saker som anges
nedan. \fB\-\-force\-help\fP visar en lista med beskrivningar. Saker som markeras
med (*) är tvingade som förval.

\fIVarning: Dessa flaggor är huvudsakligen avsedda att endast användas av
experter. Om du använder dem utan att fullt ut förstå vad de går ut på kan
du förstöra din systeminstallation.\fP

\fBall\fP: Slår på (eller av) alla tvingande flaggor.

\fBdowngrade\fP(*): Installera ett paket även om en nyare version redan är
installerad.

\fIVarning: För närvarande undersöker inte\fP \fBdpkg\fP \fIberoenden vid
nedgradering och kommer därför inte att varna dig om nedgraderingen bryter
ett beroende för något paket. Detta kan ha allvarliga sidoeffekter, genom
att nedgradera grundläggande systemkomponenter kan du riskera att göra hela
systemet instabilt. Använd med tillförsikt.\fP

\fBconfigure\-any\fP: Konfigurera även alla uppackade men ej konfigurerade paket
på vilka det aktuella paketet beror.

\fBhold\fP: Allow automatic installs, upgrades or removals of packages even
when marked to be on “hold”.  Note: This does not prevent these actions when
requested explicitly.

\fBremove\-reinstreq\fP: Ta bort ett paket även om det är trasigt och markerat
att vara i behov av ominstallation. Detta kan, till exempel, göra så att
delar av paketet blir kvar på systemet, men glöms bort av \fBdpkg\fP.

\fBremove\-essential\fP: Ta bort paketet även om det anses som viktigt
(essential). Viktiga paket är huvudsakligen de mest grundläggande
Unixkommandona. Om du tar bort dem kan det göra så att hela systemet slutar
fungera, så använd med tillförsikt.

\fBdepends\fP: Turn all dependency problems into warnings.  This affects the
\fBPre\-Depends\fP and \fBDepends\fP fields.

\fBdepends\-version\fP: Don't care about versions when checking dependencies.
This affects the \fBPre\-Depends\fP and \fBDepends\fP fields.

\fBbreaks\fP: Install, even if this would break another package (since dpkg
1.14.6).  This affects the \fBBreaks\fP field.

\fBconflicts\fP: Install, even if it conflicts with another package. This is
dangerous, for it will usually cause overwriting of some files.  This
affects the \fBConflicts\fP field.

\fBconfmiss\fP: Always install the missing conffile without prompting. This is
dangerous, since it means not preserving a change (removing) made to the
file.

\fBconfnew\fP: Om en konfigurationsfil har modifierats och versionsnumret i
paketet ändrades, installera alltid nya versioner av ändrade
konfigurationsfiler utan att fråga, såvida inte \fB\-\-force\-confdef\fP också
anges, i vilket fall det förvalda alternativet kommer att utföras.

\fBconfold\fP: Om en konfigurationsfil har modifierats och versionsnumret i
paketet ändrades, behåll alltid gamla versioner av ändrade
konfigurationsfiler utan att fråga, såvida inte \fB\-\-force\-confdef\fP också
anges, i vilket fall det förvalda alternativet kommer att utföras.

\fBconfdef\fP: Om en konfigurationsfil har modifierats och versionsnumret i
paketet ändrades, välj alltid det förvalda alternativt för ändrade
konfigurationsfiler. Om inget förval har angivits kommer programmet stanna
och fråga användaren såvida inte \fB\-\-force\-confnew\fP eller \fB\-\-force\-confold\fP
också angetts, i så fall används den för att bestämma vad som skall utföras.

\fBconfask\fP: If a conffile has been modified always offer to replace it with
the version in the package, even if the version in the package did not
change (since dpkg 1.15.8).  If any of \fB\-\-force\-confnew\fP,
\fB\-\-force\-confold\fP, or \fB\-\-force\-confdef\fP is also given, it will be used to
decide the final action.

\fBoverwrite\fP: Skriv över ett pakets filer med ett annats.

\fBoverwrite\-dir\fP: Overwrite one package's directory with another's file.

\fBoverwrite\-diverted\fP: Skriv över en omdirigerad fil med en ej omdirigerad
version.

\fBstatoverride\-add\fP: Overwrite an existing stat override when adding it
(since dpkg 1.19.5).

\fBstatoverride\-remove\fP: Ignore a missing stat override when removing it
(since dpkg 1.19.5).

\fBsecurity\-mac\fP(*): Use platform\-specific Mandatory Access Controls (MAC)
based security when installing files into the filesystem (since dpkg
1.19.5).  On Linux systems the implementation uses SELinux.

\fBunsafe\-io\fP: Do not perform safe I/O operations when unpacking (since dpkg
1.15.8.6).  Currently this implies not performing file system syncs before
file renames, which is known to cause substantial performance degradation on
some file systems, unfortunately the ones that require the safe I/O on the
first place due to their unreliable behaviour causing zero\-length files on
abrupt system crashes.

\fIObservera\fP: För ext4, den värsta syndaren, kan det vara värt att istället
använda monteringsflaggan \fBnodelalloc\fP, vilken både korrigerar
prestandaförlusten och datasäkerhetsproblemen, det sistnämnda genom att inte
låta filsystemet skapa tomma filer vid tvära krascher för programvara som
inte utför synkronisering före atomära namnbyten.

\fIVarning: Den här flaggan kan ge bättre prestanda på bekostnad av
dataförluster, använd med tillförsikt.\fP

\fBscript\-chrootless\fP: Run maintainer scripts without \fBchroot\fP(2)ing into
\fBinstdir\fP even if the package does not support this mode of operation
(since dpkg 1.18.5).

\fIWarning: This can destroy your host system, use with extreme care.\fP

\fBarchitecture\fP: Hantera även paket med fel eller saknad
maskinvaruarkitektur.

\fBbad\-version\fP: Process even packages with wrong versions (since dpkg
1.16.1).

\fBbad\-path\fP: Sökvägen i \fBPATH\fP saknar viktiga program, så problem är
troliga.

\fBnot\-root\fP: Försök (av)installera saker även utan att vara root.

\fBbad\-verify\fP: Installera ett paket även om det inte går att verifiera dess
äkthet.

.TP 
\fB\-\-ignore\-depends\fP=\fIpaket\fP,...
Ignore dependency\-checking for specified packages (actually, checking is
performed, but only warnings about conflicts are given, nothing else).  This
affects the \fBPre\-Depends\fP, \fBDepends\fP and \fBBreaks\fP fields.
.TP 
\fB\-\-no\-act\fP, \fB\-\-dry\-run\fP, \fB\-\-simulate\fP
Gör allting som efterfrågas, men skriv inte några ändringar. Detta används
för att se vad som skulle ha hänt med åtgärden utan att faktiskt ändra
något.

Se till att du anger \fB\-\-no\-act\fP före åtgärdsflaggan, annars kan du få
oönskade biverkningar (t.ex så kommer \fBdpkg \-\-purge foo \-\-no\-act\fP först att
rensa ut paketet foo för att sedan försöka rensa ut paketet \-\-no\-act, trots
att du troligen förväntade dig att ingenting skulle utföras)
.TP 
\fB\-R\fP, \fB\-\-recursive\fP
Recursively handle all regular files matching pattern \fB*.deb\fP found at
specified directories and all of its subdirectories. This can be used with
\fB\-i\fP, \fB\-A\fP, \fB\-\-install\fP, \fB\-\-unpack\fP and \fB\-\-record\-avail\fP actions.
.TP 
\fB\-G\fP
Installera inte paketet om en nyare version av samma paket redan är
installerat. Detta är ett alias för \fB\-\-refuse\-downgrade\fP.
.TP 
\fB\-\-admindir=\fP\fIkat\fP
Set the administrative directory to \fIdirectory\fP.  This directory contains
many files that give information about status of installed or uninstalled
packages, etc.  Defaults to «\fI%ADMINDIR%\fP».
.TP 
\fB\-\-instdir=\fP\fIkatalog\fP
Set the installation directory, which refers to the directory where packages
are to be installed. \fBinstdir\fP is also the directory passed to \fBchroot\fP(2)
before running package's installation scripts, which means that the scripts
see \fBinstdir\fP as a root directory.  Defaults to «\fI/\fP».
.TP 
\fB\-\-root=\fP\fIkatalog\fP
Set the root directory to \fBdirectory\fP, which sets the installation
directory to «\fIdir\fP» and the administrative directory to
«\fIdir\fP\fB%ADMINDIR%\fP».
.TP 
\fB\-O\fP, \fB\-\-selected\-only\fP
Hantera endast paket som markerats för installation. Själva markeringen
utförs med \fBdselect\fP eller av \fBdpkg\fP när paketen hanteras. Till exempel
kommer paket som tas bort att markeras för installation.
.TP 
\fB\-E\fP, \fB\-\-skip\-same\-version\fP
Installera inte paketet om samma version av paketet redan är installerat.
.TP 
\fB\-\-pre\-invoke=\fP\fIkommando\fP
.TQ
\fB\-\-post\-invoke=\fP\fIkommando\fP
Set an invoke hook \fIcommand\fP to be run via \*(lqsh \-c\*(rq before or after the
\fBdpkg\fP run for the \fIunpack\fP, \fIconfigure\fP, \fIinstall\fP, \fItriggers\-only\fP,
\fIremove\fP, \fIpurge\fP, \fIadd\-architecture\fP and \fIremove\-architecture\fP \fBdpkg\fP
actions (since dpkg 1.15.4; \fIadd\-architecture\fP and \fIremove\-architecture\fP
actions since dpkg 1.17.19). This option can be specified multiple
times. The order the options are specified is preserved, with the ones from
the configuration files taking precedence.  The environment variable
\fBDPKG_HOOK_ACTION\fP is set for the hooks to the current \fBdpkg\fP
action. Note: front\-ends might call \fBdpkg\fP several times per invocation,
which might run the hooks more times than expected.
.TP 
\fB\-\-path\-exclude=\fP\fIfilnamnsmönster\fP
.TQ
\fB\-\-list\fP\fIfilnamnsmönster\fP
Set \fIglob\-pattern\fP as a path filter, either by excluding or re\-including
previously excluded paths matching the specified patterns during install
(since dpkg 1.15.8).

\fIVarning: tänk på att du kan totalt ödelägga ditt system, beroende på vilka
sökvägar du exkluderar, så använd med tillförsikt.\fP

The glob patterns use the same wildcards used in the shell, were ‘*’ matches
any sequence of characters, including the empty string and also ‘/’.  For
example, «\fI/usr/*/READ*\fP» matches «\fI/usr/share/doc/package/README\fP».  As
usual, ‘?’ matches any single character (again, including ‘/’).  And ‘[’
starts a character class, which can contain a list of characters, ranges and
complementations. See \fBglob\fP(7) for detailed information about
globbing. Note: the current implementation might re\-include more directories
and symlinks than needed, to be on the safe side and avoid possible unpack
failures; future work might fix this.

Detta kan användas för att ta bort alla sökvägar förutom några specifika;
ett typiskt användningsområde är:

.nf
\fB\-\-path\-exclude=/usr/share/doc/*\fP
\fB\-\-path\-include=/usr/share/doc/*/copyright\fP
.fi

för att ta bort alla dokumentationsfiler förutom upphovsrättsinformation.

Dessa två flaggor kan anges flera gånger, och kan interfolieras med
varandra. De hanteras båda i den givna ordningen och det är den sista regeln
som motsvarar ett filnamn som fäller avgörandet.

The filters are applied when unpacking the binary packages, and as such only
have knowledge of the type of object currently being filtered (e.g. a normal
file or a directory) and have not visibility of what objects will come
next.  Because these filters have side effects (in contrast to \fBfind\fP(1)
filters), excluding an exact pathname that happens to be a directory object
like \fI/usr/share/doc\fP will not have the desired result, and only that
pathname will be excluded (which could be automatically reincluded if the
code sees the need).  Any subsequent files contained within that directory
will fail to unpack.

Hint: make sure the globs are not expanded by your shell.
.TP 
\fB\-\-verify\-format\fP \fIformatnamn\fP
Sets the output format for the \fB\-\-verify\fP command (since dpkg 1.17.2).

The only currently supported output format is \fBrpm\fP, which consists of a
line for every path that failed any check.  The lines start with 9
characters to report each specific check result, a ‘\fB?\fP’ implies the check
could not be done (lack of support, file permissions, etc), ‘\fB.\fP’ implies
the check passed, and an alphanumeric character implies a specific check
failed; the md5sum verification failure (the file contents have changed) is
denoted with a ‘\fB5\fP’ on the third character.  The line is followed by a
space and an attribute character (currently ‘\fBc\fP’ for conffiles), another
space and the pathname.
.TP 
\fB\-\-status\-fd \fP\fIn\fP
Sänd maskinläsbar paketstatus och förloppsinformation till filhandtag
\fIn\fP. Flaggan kan anges flera gånger. Informationen lagras vanligtvis rad
för rad, i följande format:
.RS
.TP 
\fBstatus: \fP\fIpaket\fP\fB: \fP\fIstatus\fP
Paketstatus ändrad; \fIstatus\fP är som i statusfilen.
.TP 
\fBstatus: \fP\fIpaket\fP\fB : error : \fP\fIutökat\-felmeddelande\fP
Ett fel uppstod. Eventuella nyradstecken i \fIutökat\-felmeddelanden\fP kommer
ersättas med blanksteg innan de skrivs ut.
.TP 
\fBstatus: \fP\fIfil\fP\fB : conffile\-prompt : '\fP\fIriktig\-gammal\fP\fB' '\fP\fIriktig\-ny\fP\fB' \fP\fIanvändarredigerad\fP\fB \fP\fIdistredigerad\fP
Användaren får en fråga om konfigurationsfiler.
.TP 
\fBprocessing: \fP\fIskede\fP\fB: \fP\fIpaket\fP
Sänds precis innan ett hanteringsskede påbörjas. \fISkede\fP är något av
\fBupgrade\fP, \fBinstall\fP (båda sänds innan paketet packas upp), \fBconfigure\fP,
\fBtrigproc\fP, \fBdisappear\fP, \fBremove\fP, \fBpurge\fP.
.RE
.TP 
\fB\-\-status\-logger\fP=\fIkommando\fP
Send machine\-readable package status and progress information to the shell
\fIcommand\fP's standard input, to be run via \*(lqsh \-c\*(rq (since dpkg 1.16.0).
This option can be specified multiple times.  The output format used is the
same as in \fB\-\-status\-fd\fP.
.TP 
\fB\-\-log=\fP\fIfilnamn\fP
Log status change updates and actions to \fIfilename\fP, instead of the default
\fI%LOGDIR%/dpkg.log\fP. If this option is given multiple times, the last
filename is used. Log messages are of the form:
.RS
.TP 
YYYY\-MM\-DD HH:MM:SS \fBstartup\fP \fItype\fP \fIcommand\fP
For each dpkg invocation where \fItype\fP is \fBarchives\fP (with a \fIcommand\fP of
\fBunpack\fP or \fBinstall\fP) or \fBpackages\fP (with a \fIcommand\fP of \fBconfigure\fP,
\fBtriggers\-only\fP, \fBremove\fP or \fBpurge\fP).
.TP 
YYYY\-MM\-DD HH:MM:SS \fBstatus\fP \fIstate\fP \fIpkg\fP \fIinstalled\-version\fP
For status change updates.
.TP 
YYYY\-MM\-DD HH:MM:SS \fIaction\fP \fIpkg\fP \fIinstalled\-version\fP \fIavailable\-version\fP
For actions where \fIaction\fP is one of \fBinstall\fP, \fBupgrade\fP, \fBconfigure\fP,
\fBtrigproc\fP, \fBdisappear\fP, \fBremove\fP or \fBpurge\fP.
.TP 
YYYY\-MM\-DD HH:MM:SS \fBconffile\fP \fIfilename\fP \fIdecision\fP
For conffile changes where \fIdecision\fP is either \fBinstall\fP or \fBkeep\fP.
.RE
.TP 
\fB\-\-no\-pager\fP
Disables the use of any pager when showing information (since dpkg 1.19.2).
.TP 
\fB\-\-no\-debsig\fP
Försök inte verifiera paketsignaturer.
.TP 
\fB\-\-no\-triggers\fP
Do not run any triggers in this run (since dpkg 1.14.17), but activations
will still be recorded.  If used with \fB\-\-configure\fP \fIpackage\fP or
\fB\-\-triggers\-only\fP \fIpackage\fP then the named package postinst will still be
run even if only a triggers run is needed. Use of this option may leave
packages in the improper \fBtriggers\-awaited\fP and \fBtriggers\-pending\fP
states. This can be fixed later by running: \fBdpkg \-\-configure \-\-pending\fP.
.TP 
\fB\-\-triggers\fP
Cancels a previous \fB\-\-no\-triggers\fP (since dpkg 1.14.17).
.
.SH RETURVÄRDE
.TP 
\fB0\fP
The requested action was successfully performed.  Or a check or assertion
command returned true.
.TP 
\fB1\fP
A check or assertion command returned false.
.TP 
\fB2\fP
Fatal or unrecoverable error due to invalid command\-line usage, or
interactions with the system, such as accesses to the database, memory
allocations, etc.
.
.SH MILJÖVARIABLER
.SS "External environment"
.TP 
\fBPATH\fP
This variable is expected to be defined in the environment and point to the
system paths where several required programs are to be found. If it's not
set or the programs are not found, \fBdpkg\fP will abort.
.TP 
\fBHOME\fP
Om satt så kommer \fBdpkg\fP att använda det som den katalog från vilken det
skall läsa den användarspecifika konfigurationsfilen.
.TP 
\fBTMPDIR\fP
Om satt så kommer \fBdpkg\fP att använda det som den katalog där det skapar
temporära filer och kataloger.
.TP 
\fBSHELL\fP
The program \fBdpkg\fP will execute when starting a new interactive shell, or
when spawning a command via a shell.
.TP 
\fBPAGER\fP
.TQ
\fBDPKG_PAGER\fP
The program \fBdpkg\fP will execute when running a pager, which will be
executed with «\fB$SHELL \-c\fP», for example when displaying the conffile
differences.  If \fBSHELL\fP is not set, «\fBsh\fP» will be used instead.  The
\fBDPKG_PAGER\fP overrides the \fBPAGER\fP environment variable (since dpkg
1.19.2).
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.TP 
\fBDPKG_FORCE\fP
Sets the force flags (since dpkg 1.19.5).  When this variable is present, no
built\-in force defaults will be applied.  If the variable is present but
empty, all force flags will be disabled.
.TP 
\fBDPKG_ADMINDIR\fP
If set and the \fB\-\-admindir\fP or \fB\-\-root\fP options have not been specified,
it will be used as the \fBdpkg\fP administrative directory (since dpkg 1.20.0).
.TP 
\fBDPKG_FRONTEND_LOCKED\fP
Set by a package manager frontend to notify dpkg that it should not acquire
the frontend lock (since dpkg 1.19.1).
.SS "Internal environment"
.TP 
\fBLESS\fP
Defined by \fBdpkg\fP to “\fB\-FRSXMQ\fP”, if not already set, when spawning a
pager (since dpkg 1.19.2).  To change the default behavior, this variable
can be preset to some other value including an empty string, or the \fBPAGER\fP
or \fBDPKG_PAGER\fP variables can be set to disable specific options with
«\fB\-+\fP», for example \fBDPKG_PAGER="less \-+F"\fP.
.TP 
\fBDPKG_ROOT\fP
Defined by \fBdpkg\fP on the maintainer script environment to indicate which
installation to act on (since dpkg 1.18.5).  The value is intended to be
prepended to any path maintainer scripts operate on.  During normal
operation, this variable is empty.  When installing packages into a
different \fBinstdir\fP, \fBdpkg\fP normally invokes maintainer scripts using
\fBchroot\fP(2) and leaves this variable empty, but if
\fB\-\-force\-script\-chrootless\fP is specified then the \fBchroot\fP(2) call is
skipped and \fBinstdir\fP is non\-empty.
.TP 
\fBDPKG_ADMINDIR\fP
Defined by \fBdpkg\fP on the maintainer script environment to indicate the
\fBdpkg\fP administrative directory to use (since dpkg 1.16.0).  This variable
is always set to the current \fB\-\-admindir\fP value.
.TP 
\fBDPKG_FORCE\fP
Defined by \fBdpkg\fP on the subprocesses environment to all the currently
enabled force option names separated by commas (since dpkg 1.19.5).
.TP 
\fBDPKG_SHELL_REASON\fP
Defined by \fBdpkg\fP on the shell spawned on the conffile prompt to examine
the situation (since dpkg 1.15.6).  Current valid value: \fBconffile\-prompt\fP.
.TP 
\fBDPKG_CONFFILE_OLD\fP
Defined by \fBdpkg\fP on the shell spawned on the conffile prompt to examine
the situation (since dpkg 1.15.6).  Contains the path to the old conffile.
.TP 
\fBDPKG_CONFFILE_NEW\fP
Defined by \fBdpkg\fP on the shell spawned on the conffile prompt to examine
the situation (since dpkg 1.15.6).  Contains the path to the new conffile.
.TP 
\fBDPKG_HOOK_ACTION\fP
Defined by \fBdpkg\fP on the shell spawned when executing a hook action (since
dpkg 1.15.4).  Contains the current \fBdpkg\fP action.
.TP 
\fBDPKG_RUNNING_VERSION\fP
Defined by \fBdpkg\fP on the maintainer script environment to the version of
the currently running \fBdpkg\fP instance (since dpkg 1.14.17).
.TP 
\fBDPKG_MAINTSCRIPT_PACKAGE\fP
Defined by \fBdpkg\fP on the maintainer script environment to the
(non\-arch\-qualified) package name being handled (since dpkg 1.14.17).
.TP 
\fBDPKG_MAINTSCRIPT_PACKAGE_REFCOUNT\fP
Defined by \fBdpkg\fP on the maintainer script environment to the package
reference count, i.e. the number of package instances with a state greater
than \fBnot\-installed\fP (since dpkg 1.17.2).
.TP 
\fBDPKG_MAINTSCRIPT_ARCH\fP
Defined by \fBdpkg\fP on the maintainer script environment to the architecture
the package got built for (since dpkg 1.15.4).
.TP 
\fBDPKG_MAINTSCRIPT_NAME\fP
Defined by \fBdpkg\fP on the maintainer script environment to the name of the
script running, one of \fBpreinst\fP, \fBpostinst\fP, \fBprerm\fP or \fBpostrm\fP (since
dpkg 1.15.7).
.TP 
\fBDPKG_MAINTSCRIPT_DEBUG\fP
Defined by \fBdpkg\fP on the maintainer script environment to a value (‘\fB0\fP’
or ‘\fB1\fP’) noting whether debugging has been requested (with the \fB\-\-debug\fP
option) for the maintainer scripts (since dpkg 1.18.4).
.
.SH FILER
.TP 
\fI%PKGCONFDIR%/dpkg.cfg.d/[0\-9a\-zA\-Z_\-]*\fP
Configuration fragment files (since dpkg 1.15.4).
.TP 
\fI%PKGCONFDIR%/dpkg.cfg\fP
Konfigurationsfil med förvalda inställningar.
.TP 
\fI%LOGDIR%/dpkg.log\fP
Default log file (see \fI%PKGCONFDIR%/dpkg.cfg\fP and option \fB\-\-log\fP).
.P
Övriga filer som listas här finns i sina förvalda kataloger, se flaggan
\fB\-\-admindir\fP för information om hur du ändrar placeringen av dessa filer.
.TP 
\fI%ADMINDIR%/available\fP
Lista över tillgängliga paket.
.TP 
\fI%ADMINDIR%/status\fP
Status för tillgängliga paket. Filen innehåller information om huruvida ett
paket är markerat för borttagning eller ej, om det är installerat eller ej,
osv. Se sektionen \fBINFORMATION OM PAKET\fP för ytterligare information.

Statusfilen säkerhetskopieras dagligen i \fI/var/backups\fP. Det kan vara
nyttigt om den går förlorad eller skrivs sönder på grund av problem med
filsystemet.
.P
The format and contents of a binary package are described in \fBdeb\fP(5).
.
.SH PROGRAMFEL
\fB\-\-no\-act\fP ger oftast mindre information än vad som vore hjälpsamt.
.
.SH EXEMPEL
För att lista paket relaterade till textredigeringsprogrammet \fBvi\fP(1)
(observera att \fBdpkg\-query\fP inte längre läser in \fIavailable\fP\-filen som
standard, och att flaggan \fBdpkg\-query\fP \fB\-\-load\-avail\fP istället bör
användas för det):
.br
     \fBdpkg \-l '*vi*'\fP
.br

För att se posterna i \fI%ADMINDIR%/available\fP för två paket:
.br
     \fBdpkg \-\-print\-avail elvis vim | less\fP
.br

För att själv söka i paketlistan:
.br
     \fBless %ADMINDIR%/available\fP
.br

För att ta bort det installerade paketet elvis:
.br
     \fBdpkg \-r elvis\fP
.br

To install a package, you first need to find it in an archive or CDROM. The
\fIavailable\fP file shows that the vim package is in section \fBeditors\fP:
.br
     \fBcd /media/cdrom/pool/main/v/vim\fP
     \fBdpkg \-i vim_4.5\-3.deb\fP
.br

För att göra en lokal kopia av paketmarkeringarna:
.br
     \fBdpkg \-\-get\-selections >mitturval\fP
.br

Du kan överföra filen till en annan dator, och efter att du har uppdaterat
\fIavailable\fP\-filen där med ditt önskade pakethanterarskal (se
https://wiki.debian.org/Teams/Dpkg/FAQ för mer information), till exempel:
.br
     \fBapt\-cache dumpavail | dpkg \-\-merge\-avail\fP
.br
eller med dpkg 1.17.6 eller tidigare:
.br
     \fBavail=`mktemp`\fP
     \fBapt\-cache dumpavail >"$avail"\fP
     \fBdpkg \-\-merge\-avail "$avail"\fP
     \fBrm "$avail"\fP
.br
så kan du installera den med:
.br
     \fBdpkg \-\-clear\-selections\fP
     \fBdpkg \-\-set\-selections <mitturval\fP
.br

Observera att detta faktiskt inte kommer installera eller ta bort någonting,
utan bara sätta valstatus på de efterfrågade paketen. Du måste använda ett
annat program för att faktiskt hämta och installera de efterfrågade
paketen. Till exempel kan du köra \fBapt\-get dselect\-upgrade\fP.

För normalt bruk kommer du att upptäcka att \fBdselect\fP(1) tillhandahåller
ett bekvämare sätt att ändra paketmarkeringarna.
.br
.
.SH "YTTERLIGARE FUNKTIONER"
Ytterligare funktioner kan erhållas genom att installera något av följande
paket: \fBapt\fP, \fBaptitude\fP och \fBdebsums\fP.
.
.SH "SE ÄVEN"
\fBaptitude\fP(1), \fBapt\fP(1), \fBdselect\fP(1), \fBdpkg\-deb\fP(1), \fBdpkg\-query\fP(1),
\fBdeb\fP(5), \fBdeb\-control\fP(5), \fBdpkg.cfg\fP(5) och \fBdpkg\-reconfigure\fP(8).
.
.SH FÖRFATTARE
Se \fB%PKGDOCDIR%/THANKS\fP för listan över personer som har bidragit till
\fBdpkg\fP.
