.\" dpkg manual page - deb-substvars(5)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006-2009,2012-2015 Guillem Jover <guillem@debian.org>
.\" Copyright © 2009-2010 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH deb\-substvars 5 %RELEASE_DATE% %VERSION% "dpkg 软件集"
.ad l
.nh
.SH 名称
deb\-substvars \- Debian source substitution variables
.
.SH 概要
substvars
.
.SH 描述
Before \fBdpkg\-source\fP, \fBdpkg\-gencontrol\fP and \fBdpkg\-genchanges\fP write their
control information (to the source control file \fB.dsc\fP for \fBdpkg\-source\fP
and to standard output for \fBdpkg\-gencontrol\fP and \fBdpkg\-genchanges\fP)  they
perform some variable substitutions on the output file.

A variable substitution has the form \fB${\fP\fIvariable\-name\fP\fB}\fP.  Variable
names consist of alphanumerics (a\-zA\-Z0\-9), hyphens (\-) and colons (:) and
start with an alphanumeric, and are case\-sensitive, even though they might
refer to other entities which are case\-preserving.  Variable substitutions
are performed repeatedly until none are left; the full text of the field
after the substitution is rescanned to look for more substitutions.

After all the substitutions have been done each occurrence of the string
\fB${}\fP (which is not a legal substitution) is replaced with a \fB$\fP sign.

While variable substitution is done on all control fields, some of those
fields are used and needed during the build when the substitution did not
yet occur. That's why you can't use variables in the \fBPackage\fP, \fBSource\fP
and \fBArchitecture\fP fields.

Variable substitution happens on the content of the fields after they have
been parsed, thus if you want a variable to expand over multiple lines you
do not have to include a space after the newline. This is done implicitly
when the field is output. For example, if the variable \fB${Description}\fP is
set to "foo is bar.${Newline}foo is great." and if you have the following
field:

 Description: foo application
  ${Description}
  .
  More text.

It will result in:

 Description: foo application
  foo is bar.
  foo is great.
  .
  More text.

Variables can be set using the \fB\-V\fP common option. They can be also
specified in the file \fBdebian/substvars\fP (or whatever other file is
specified using the \fB\-T\fP option). This file consists of lines of the form
\fIname\fP\fB=\fP\fIvalue\fP.  Trailing whitespace on each line, blank lines, and
lines starting with a \fB#\fP symbol (comments) are ignored.

Additionally, the following standard variables are available:
.TP 
\fBArch\fP
The current host architecture (i.e. the architecture the package is being
built for, the equivalent of \fBDEB_HOST_ARCH\fP).
.TP 
\fBsource:Version\fP
The source package version (since dpkg 1.13.19).
.TP 
\fBsource:Upstream\-Version\fP
The upstream source package version, including the Debian version epoch if
any (since dpkg 1.13.19).
.TP 
\fBbinary:Version\fP
The binary package version (which may differ from \fBsource:Version\fP in a
binNMU for example; since dpkg 1.13.19).
.TP 
\fBSource\-Version\fP
The source package version (from the changelog file). This variable is now
\fBobsolete\fP and emits an error when used as its meaning is different from
its function, please use the \fBsource:Version\fP or \fBbinary:Version\fP as
appropriate.
.TP 
\fBsource:Synopsis\fP
The source package synopsis, extracted from the source stanza \fBDescription\fP
field, if it exists (since dpkg 1.19.0).
.TP 
\fBsource:Extended\-Description\fP
The source package extended description, extracted from the source stanza
\fBDescription\fP field, if it exists (since dpkg 1.19.0).
.TP 
\fBInstalled\-Size\fP
The approximate total size of the package's installed files. This value is
copied into the corresponding control file field; setting it will modify the
value of that field. If this variable is not set \fBdpkg\-gencontrol\fP will
compute the default value by accumulating the size of each regular file and
symlink rounded to 1 KiB used units, and a baseline of 1 KiB for any other
filesystem object type.  With hardlinks only being counted once as a regular
file.

\fBNote:\fP Take into account that this can only ever be an approximation, as
the actual size used on the installed system will depend greatly on the
filesystem used and its parameters, which might end up using either more or
less space than the specified in this field.
.TP 
\fBExtra\-Size\fP
Additional disk space used when the package is installed. If this variable
is set its value is added to that of the \fBInstalled\-Size\fP variable (whether
set explicitly or using the default value) before it is copied into the
\fBInstalled\-Size\fP control file field.
.TP 
\fBS:\fP\fIfieldname\fP
The value of the source stanza field \fIfieldname\fP (which must be given in
the canonical capitalisation; since dpkg 1.18.11).  Setting these variables
has no effect other than on places where they are expanded explicitly.
These variables are only available when generating binary control files.
.TP 
\fBF:\fP\fIfieldname\fP
The value of the output field \fIfieldname\fP (which must be given in the
canonical capitalisation). Setting these variables has no effect other than
on places where they are expanded explicitly.
.TP 
\fBFormat\fP
The \fB.changes\fP file format version generated by this version of the source
packaging scripts. If you set this variable the contents of the \fBFormat\fP
field in the \fB.changes\fP file will change too.
.TP 
\fBNewline\fP, \fBSpace\fP, \fBTab\fP
These variables each hold the corresponding character.
.TP 
\fBshlibs:\fP\fIdependencyfield\fP
Variable settings with names of this form are generated by
\fBdpkg\-shlibdeps\fP.
.TP 
\fBdpkg:Upstream\-Version\fP
The upstream version of dpkg (since dpkg 1.13.19).
.TP 
\fBdpkg:Version\fP
The full version of dpkg (since dpkg 1.13.19).
.LP
If a variable is referred to but not defined it generates a warning and an
empty value is assumed.
.
.SH FILES
.TP 
\fBdebian/substvars\fP
List of substitution variables and values.
.
.SH 参考
\fBdpkg\fP(1), \fBdpkg\-genchanges\fP(1), \fBdpkg\-gencontrol\fP(1),
\fBdpkg\-shlibdeps\fP(1), \fBdpkg\-source\fP(1).
