.\" dpkg manual page - deb(5)
.\"
.\" Copyright © 1995 Raul Miller
.\" Copyright © 1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006-2017 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH deb 5 %RELEASE_DATE% %VERSION% "dpkg 软件集"
.ad l
.nh
.SH 名称
deb \- Debian 二进制包格式
.SH 概要
\fIfilename\fP\fB.deb\fP
.SH 描述
\&\fB.deb\fP 格式是 Debian 的二进制软件包文件格式。此类文件被 dpkg 0.93.76 以上的版本支持，自 dpkg 1.2.0 和
dpkg 1.1.1elf (i386/ELF builds)之后，它也作为默认的生成文件格式。
.PP
此处描述的格式在 Debian 0.93 之后启用；关于这个旧版格式的细节，请参见 \fBdeb\-old\fP(5)。
.SH 格式
此类文件是带有体系结构 \fB!<arch>\fP 魔数(magic value)的 \fBar\fP 归档。仅有通用 \fBar\fP
归档格式被支持，亦即，无长文件名扩展，但文件名可以选择尾缀一个斜杠(/)，从而将文件名长度限制为15字符（总共允许16字符）。文件大小限制为10个
ASCII 十进制数字，这使得最大可容纳 9536.74 MiB 的成员文件。
.PP
The \fBtar\fP archives currently allowed are, the old\-style (v7) format, the
pre\-POSIX ustar format, a subset of the GNU format (new style long pathnames
and long linknames, supported since dpkg 1.4.1.17; large file metadata since
dpkg 1.18.24), and the POSIX ustar format (long names supported since dpkg
1.15.0).  Unrecognized tar typeflags are considered an error.  Each tar
entry size inside a tar archive is limited to 11 ASCII octal digits,
allowing for up to 8 GiB tar entries.  The GNU large file metadata support
permits 95\-bit tar entry sizes and negative timestamps, and 63\-bit UID, GID
and device numbers.
.PP
The first member is named \fBdebian\-binary\fP and contains a series of lines,
separated by newlines. Currently only one line is present, the format
version number, \fB2.0\fP at the time this manual page was written.  Programs
which read new\-format archives should be prepared for the minor number to be
increased and new lines to be present, and should ignore these if this is
the case.
.PP
If the major number has changed, an incompatible change has been made and
the program should stop. If it has not, then the program should be able to
safely continue, unless it encounters an unexpected member in the archive
(except at the end), as described below.
.PP
The second required member is named \fBcontrol.tar\fP.  It is a tar archive
containing the package control information, either not compressed (supported
since dpkg 1.17.6), or compressed with gzip (with \fB.gz\fP extension) or xz
(with \fB.xz\fP extension, supported since 1.17.6), as a series of plain files,
of which the file \fBcontrol\fP is mandatory and contains the core control
information, the \fBconffiles\fP, \fBtriggers\fP, \fBshlibs\fP and \fBsymbols\fP files
contain optional control information, and the \fBpreinst\fP, \fBpostinst\fP,
\fBprerm\fP and \fBpostrm\fP files are optional maintainer scripts.  The control
tarball may optionally contain an entry for ‘\fB.\fP’, the current directory.
.PP
The third, last required member is named \fBdata.tar\fP.  It contains the
filesystem as a tar archive, either not compressed (supported since dpkg
1.10.24), or compressed with gzip (with \fB.gz\fP extension), xz (with \fB.xz\fP
extension, supported since dpkg 1.15.6), bzip2 (with \fB.bz2\fP extension,
supported since dpkg 1.10.24) or lzma (with \fB.lzma\fP extension, supported
since dpkg 1.13.25).
.PP
These members must occur in this exact order. Current implementations should
ignore any additional members after \fBdata.tar\fP.  Further members may be
defined in the future, and (if possible) will be placed after these
three. Any additional members that may need to be inserted after
\fBdebian\-binary\fP and before \fBcontrol.tar\fP or \fBdata.tar\fP and which should
be safely ignored by older programs, will have names starting with an
underscore, ‘\fB_\fP’.
.PP
Those new members which won't be able to be safely ignored will be inserted
before \fBdata.tar\fP with names starting with something other than
underscores, or will (more likely) cause the major version number to be
increased.
.SH 媒体类型
.SS Current
application/vnd.debian.binary\-package
.SS Deprecated
application/x\-debian\-package
.br
application/x\-deb
.SH 参考
\fBdeb\-old\fP(5), \fBdpkg\-deb\fP(1), \fBdeb\-control\fP(5), \fBdeb\-conffiles\fP(5)
\fBdeb\-triggers\fP(5), \fBdeb\-shlibs\fP(5), \fBdeb\-symbols\fP(5), \fBdeb\-preinst\fP(5),
\fBdeb\-postinst\fP(5), \fBdeb\-prerm\fP(5), \fBdeb\-postrm\fP(5).
