.\" dpkg manual page - dpkg-distaddfile(1)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-distaddfile 1 %RELEASE_DATE% %VERSION% "dpkg 软件集"
.ad l
.nh
.SH 名称
dpkg\-distaddfile \- add entries to debian/files
.
.SH 概要
\fBdpkg\-distaddfile\fP [\fIoption\fP...]\fI filename section priority\fP
.
.SH 描述
\fBdpkg\-distaddfile\fP adds an entry for a named file to \fBdebian/files\fP.

It takes three non\-option arguments, the filename and the section and
priority for the \fB.changes\fP file.

The filename should be specified relative to the directory where
\fBdpkg\-genchanges\fP will expect to find the files, usually \fB..\fP, rather than
being a pathname relative to the current directory when \fBdpkg\-distaddfile\fP
is run.
.
.SH 选项
.TP 
\fB\-f\fP\fIfiles\-list\-file\fP
Read or write the list of files to be uploaded here, rather than using
\fBdebian/files\fP.
.TP 
\fB\-?\fP, \fB\-\-help\fP
Show the usage message and exit.
.TP 
\fB\-\-version\fP
Show the version and exit.
.
.SH ENVIRONMENT
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.TP 
\fBDPKG_NLS\fP
If set, it will be used to decide whether to activate Native Language
Support, also known as internationalization (or i18n) support (since dpkg
1.19.0).  The accepted values are: \fB0\fP and \fB1\fP (default).
.
.SH FILES
.TP 
\fBdebian/files\fP
The list of generated files which are part of the upload being prepared.
\fBdpkg\-distaddfile\fP can be used to add additional files.
.
.SH 参考
\fBdeb\-src\-files\fP(5).
