.\" dpkg manual page - dpkg-gencontrol(1)
.\"
.\" Copyright © 1995-1996 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2000 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2006, 2012-2013, 2015 Guillem Jover <guillem@debian.org>
.\" Copyright © 2007-2008 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-gencontrol 1 %RELEASE_DATE% %VERSION% "dpkg 软件集"
.ad l
.nh
.SH 名称
dpkg\-gencontrol \- generate Debian control files
.
.SH 概要
\fBdpkg\-gencontrol\fP [\fIoption\fP...]
.
.SH 描述
\fBdpkg\-gencontrol\fP reads information from an unpacked Debian source tree and
generates a binary package control file (which defaults to
debian/tmp/DEBIAN/control); during this process it will simplify the
relation fields.
.sp
Thus \fBPre\-Depends\fP, \fBDepends\fP, \fBRecommends\fP and \fBSuggests\fP are
simplified in this order by removing dependencies which are known to be true
according to the stronger dependencies already parsed. It will also remove
any self\-dependency (in fact it will remove any dependency which evaluates
to true given the current version of the package as installed). Logically it
keeps the intersection of multiple dependencies on the same package. The
order of dependencies is preserved as best as possible: if any dependency
must be discarded due to another dependency appearing further in the field,
the superseding dependency will take the place of the discarded one.
.sp
The other relation fields (\fBEnhances\fP, \fBConflicts\fP, \fBBreaks\fP, \fBReplaces\fP
and \fBProvides\fP)  are also simplified individually by computing the union of
the various dependencies when a package is listed multiple times in the
field.
.sp
\fBdpkg\-gencontrol\fP also adds an entry for the binary package to
\fBdebian/files\fP.
.
.SH 选项
.TP 
\fB\-v\fP\fIversion\fP
Sets the version number of the binary package which will be generated.
.TP 
\fB\-V\fP\fIname\fP\fB=\fP\fIvalue\fP
Set an output substitution variable. See \fBdeb\-substvars\fP(5) for discussion
of output substitution.
.TP 
\fB\-T\fP\fIsubstvars\-file\fP
Read substitution variables in \fIsubstvars\-file\fP; the default is
\fBdebian/substvars\fP.  This option can be used multiple times to read
substitution variables from multiple files (since dpkg 1.15.6).
.TP 
\fB\-D\fP\fIfield\fP\fB=\fP\fIvalue\fP
Override or add an output control file field.
.TP 
\fB\-U\fP\fIfield\fP
Remove an output control file field.
.TP 
\fB\-c\fP\fIcontrol\-file\fP
Specifies the main source control file to read information from. The default
is \fBdebian/control\fP.
.TP 
\fB\-l\fP\fIchangelog\-file\fP
Specifies the changelog file to read information from. The default is
\fBdebian/changelog\fP.
.TP 
\fB\-f\fP\fIfiles\-list\-file\fP
Read or write the list of files to be uploaded here, rather than using
\fBdebian/files\fP.
.TP 
\fB\-F\fP\fIchangelog\-format\fP
Specifies the format of the changelog. See \fBdpkg\-parsechangelog\fP(1)  for
information about alternative formats.
.TP 
\fB\-p\fP\fIpackage\fP
Generate information for the binary package \fIpackage\fP.  If the source
control file lists only one binary package then this option may be omitted;
otherwise it is essential to select which binary package's information to
generate.
.TP 
\fB\-n\fP\fIfilename\fP
Assume the filename of the package will be \fIfilename\fP instead of the normal
package_version_arch.deb filename.
.TP 
\fB\-is\fP, \fB\-ip\fP, \fB\-isp\fP
These options are ignored for compatibility with older versions of the dpkg
build scripts but are now deprecated. Previously they were used to tell
\fBdpkg\-gencontrol\fP to include the Section and Priority fields in the control
file. This is now the default behaviour. If you want to get the old
behaviour you can use the \fB\-U\fP option to delete the fields from the control
file.
.TP 
\fB\-P\fP\fIpackage\-build\-dir\fP
Tells \fBdpkg\-source\fP that the package is being built in \fIpackage\-build\-dir\fP
instead of \fBdebian/tmp\fP.  This value is used to find the default value of
the \fBInstalled\-Size\fP substitution variable and control file field (using
\fBdu\fP), and for the default location of the output file.
.TP 
\fB\-O\fP[\fIfilename\fP]
Print the control file to standard output (or \fIfilename\fP if specified,
since dpkg 1.17.2), rather than to \fBdebian/tmp/DEBIAN/control\fP (or
\fIpackage\-build\-dir\fP\fB/DEBIAN/control\fP if \fB\-P\fP was used).
.TP 
\fB\-?\fP, \fB\-\-help\fP
Show the usage message and exit.
.TP 
\fB\-\-version\fP
Show the version and exit.
.
.SH ENVIRONMENT
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.TP 
\fBDPKG_NLS\fP
If set, it will be used to decide whether to activate Native Language
Support, also known as internationalization (or i18n) support (since dpkg
1.19.0).  The accepted values are: \fB0\fP and \fB1\fP (default).
.
.SH FILES
.TP 
\fBdebian/control\fP
The main source control information file, giving version\-independent
information about the source package and the binary packages it can produce.
.TP 
\fBdebian/files\fP
The list of generated files which are part of the upload being prepared.
\fBdpkg\-gencontrol\fP adds the presumed filenames of binary packages whose
control files it generates here.
.SH 参考
\fBdeb\-substvars\fP(5), \fBdeb\-src\-control\fP(5), \fBdeb\-changelog\fP(5),
\fBdeb\-control\fP(5).
