.\" dpkg manual page - dpkg-scansources(1)
.\"
.\" Copyright © 2005 Roderick Schertler <roderick@argon.org>
.\" Copyright © 2006 Frank Lichtenheld <djpig@debian.org>
.\" Copyright © 2009 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-scansources 1 %RELEASE_DATE% %VERSION% "dpkg 软件集"
.ad l
.nh
.SH 名称
dpkg\-scansources \- create Sources index files
.
.SH 概要
\fBdpkg\-scansources\fP [\fIoption\fP...] \fIbinary\-dir\fP [\fIoverride\-file\fP
[\fIpath\-prefix\fP]] \fB>\fP \fISources\fP
.
.SH 描述
\fBdpkg\-scansources\fP scans the given \fIbinary\-dir\fP for \fI.dsc\fP files.  These
are used to create a Debian source index, which is output to stdout.
.PP
The \fIoverride\-file\fP, if given, is used to set priorities in the resulting
index records and to override the maintainer field given in the \fI.dsc\fP
files.  The file can be compressed (since dpkg 1.15.5).  See
\fBdeb\-override\fP(5)  for the format of this file. Note: Since the override
file is indexed by binary, not source packages, there's a bit of a problem
here. The current implementation uses the highest priority of all the binary
packages produced by a \fI.dsc\fP file for the priority of the source package,
and the override entry for the first binary package listed in the \fI.dsc\fP
file to modify maintainer information. This might change.
.PP
The \fIpath\-prefix\fP, if given, is prepended to the directory field in the
generated source index. You generally use this to make the directory fields
contain the path from the top of the Debian archive hierarchy.
.
.PP
\fBNote:\fP If you want to access the generated Sources file with \fBapt\fP(8)
you will probably need to compress the file with \fBgzip\fP(1)  (generating a
Sources.gz file). apt ignores uncompressed Sources files except on local
access (i.e.  \fBfile://\fP sources).
.
.SH 选项
.IP "\fB\-n\fP, \fB\-\-no\-sort\fP" 4
Don't sort the index records. Normally they are sorted by source package
name.
.TP 
.IP "\fB\-e\fP, \fB\-\-extra\-override\fP \fIfile\fP" 4
Scan \fIfile\fP to find supplementary overrides (since dpkg 1.15.4; the file
can be compressed since dpkg 1.15.5).  See \fBdeb\-extra\-override\fP(5)  for
more information on its format.
.IP "\fB\-s\fP, \fB\-\-source\-override\fP \fIfile\fP" 4
Use \fIfile\fP as the source override file (the file can be compressed since
dpkg 1.15.5).  The default is the name of the override file you specified
with \fI.src\fP appended.
.sp
The source override file is in a different format from the binary override
file. It contains only two whitespace separated fields, the first is the
source package name and the second is the section. Blank lines and comment
lines are ignored in the normal manner. If a package appears in both files
the source override takes precedence for setting the section.
.IP \fB\-\-debug\fP 4
Turn debugging on.
.IP \fB\-\-help\fP 4
Show the usage message and exit.
.IP \fB\-\-version\fP 4
Show the version and exit.
.
.SH ENVIRONMENT
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.TP 
\fBDPKG_NLS\fP
If set, it will be used to decide whether to activate Native Language
Support, also known as internationalization (or i18n) support (since dpkg
1.19.0).  The accepted values are: \fB0\fP and \fB1\fP (default).
.
.SH 参考
\fBdeb\-override\fP(5), \fBdeb\-extra\-override\fP(5), \fBdpkg\-scanpackages\fP(1).
