.\" dpkg manual page - dpkg(1)
.\"
.\" Copyright © 1996 Juho Vuori <javuori@cc.helsinki.fi>
.\" Copyright © 1999 Jim Van Zandt <jrv@vanzandt.mv.com>
.\" Copyright © 1999-2003 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2000-2003 Adam Heath <doogie@debian.org>
.\" Copyright © 2002 Josip Rodin
.\" Copyright © 2004-2005 Scott James Remnant <keybuk@debian.org>
.\" Copyright © 2006-2016 Guillem Jover <guillem@debian.org>
.\" Copyright © 2007-2008 Ian Jackson <ijackson@chiark.greenend.org.uk>
.\" Copyright © 2008-2011 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg 1 %RELEASE_DATE% %VERSION% "dpkg 软件集"
.ad l
.nh
.SH 名称
dpkg \- Debian 的软件包管理器
.
.SH 概要
\fBdpkg\fP [\fIoption\fP...] \fIaction\fP
.
.SH 警告
本手册旨在为用户提供比 \fBdpkg \-\-help\fP 更多关于 \fBdpkg\fP
命令行选项以及软件包状态的信息（译者注：译者水平有限，如有问题请多包涵并以英文文档为准）

希望理解 \fBdpkg\fP 如何安装软件包的维护者【不适合】使用本手册。本手册尤其缺乏对于 \fBdpkg\fP 进行安装和卸载操作时的具体行为描述。
.
.SH 描述
\fBdpkg\fP 是一个用来安装、构建、卸载和管理 Debian 软件包的工具。\fBdpkg\fP 主要的用户友好型前端是
\fBaptitude\fP(1)。\fBdpkg\fP 本身需要完全通过命令行来操纵，所指的命令包含一项行为以及任意个选项。其中的行为参数将指定 \fBdpkg\fP
的行为，同时由其他的选项来调整其细节。

\fBdpkg\fP 也可以用作 \fBdpkg\-deb\fP(1) 和 \fBdpkg\-query\fP(1) 的前端。行为项的列表可在下文中的 \fB行为\fP
章节中找到。对于这些行为项，dpkg 会用自己得到的参数来调用 dpkg\-deb 或
dpkg\-query，但不会有任何的选项被传递，如果想要也传递选项，请直接使用这些后端程序。
.
.SH 关于软件包
\fBdpkg\fP 维护着一些关于有效软件包的可用信息。这些信息被分为三类：\fBstates\fP，\fBselection states\fP 和
\fBflags\fP。这些值主要由 \fBdselect\fP 来改动。
.SS 软件包状态
.TP 
\fBnot\-installed\fP
该软件包没有安装在您的系统中。
.TP 
\fBconfig\-files\fP
仅有一些该包中的配置文件残存于系统中。
.TP 
\fBhalf\-installed\fP
该软件包的安装有曾开始，但因为某些原因没有完成。
.TP 
\fBunpacked\fP
该软件已经解压，但还没有进行配置。
.TP 
\fBhalf\-configured\fP
该软件已经解压而且配置过程有曾开始，但由于某些原因未完成。
.TP 
\fBtriggers\-awaited\fP
该软件包等待其他包正在处理的触发器。
.TP 
\fBtriggers\-pending\fP
该软件包已被触发。
.TP 
\fBinstalled\fP
该软件包已被成功解压并配置。
.SS 软件包选择状态
.TP 
\fBinstall\fP
该软件包被选择安装。
.TP 
\fBhold\fP
A package marked to be on \fBhold\fP is kept on the same version, that is, no
automatic new installs, upgrades or removals will be performed on them,
unless these actions are requested explicitly, or are permitted to be done
automatically with the \fB\-\-force\-hold\fP option.
.TP 
\fBdeinstall\fP
该软件包被选择卸载（亦即，想要移除配置文件之外的所有文件）。
.TP 
\fBpurge\fP
该软件包被选择清除（亦即，想要移除包括配置文件的所有文件）。
.TP 
\fBunknown\fP
The package selection is unknown.  A package that is also in a
\fBnot\-installed\fP state, and with an \fBok\fP flag will be forgotten in the next
database store.
.SS 软件包标志
.TP 
\fBok\fP
A package marked \fBok\fP is in a known state, but might need further
processing.
.TP 
\fBreinstreq\fP
A package marked \fBreinstreq\fP is broken and requires reinstallation. These
packages cannot be removed, unless forced with option
\fB\-\-force\-remove\-reinstreq\fP.
.
.SH 行为
.TP 
\fB\-i\fP, \fB\-\-install\fP \fIpackage\-file\fP...
安装软件包。如果给定 \fB\-\-recursive\fP 或 \fB\-R\fP 选项，那么其 \fIpackage\-file\fP 参数必须是一个目录。

安装过程包括一下环节：
.br

\fB1.\fP 抽取新软件包的控制文件。
.br

\fB2.\fP 如果已经安装了相同软件包的另一个版本，运行旧软件包的 \fIprerm\fP 脚本。
.br

\fB3.\fP 运行 \fIpreinst\fP 脚本，如果软件包有提供的话。
.br

\fB4.\fP 将新文件解压，并备份旧文件，备份档用于在出问题时进行恢复。
.br

\fB5.\fP 如果已经安装了相同软件包的另一个版本，就运行旧软件包的 \fIpostrm\fP 脚本。注意，这个脚本是在新软件包的 \fIpreinst\fP
脚本之后被执行的，因为删除旧文件的同时新文件被写入。
.br

\fB6.\fP 配置该软件。欲了解该操作如何达成，详情请参见 \fB\-\-configure\fP。
.TP 
\fB\-\-unpack \fP\fIpackage\-file\fP...
解开此包，但不进行配置。如果给定 \fB\-\-recursive\fP 或 \fB\-R\fP 选项，那么 \fIpackage\-file\fP 必须是一个目录。
.TP 
\fB\-\-configure \fP\fIpackage\fP...|\fB\-a\fP|\fB\-\-pending\fP
配置一个解压完成但仍未进行过配置的软件包。如果给定 \fB\-a\fP 或者 \fB\-\-pending\fP 选项而不是
\fIpackage\fP，所有解压但未配置的包均会被配置。

若要重新配置一个已经配置过的软件包，请尝试\fBdpkg\-reconfigure\fP(8)

配置过程包含以下环节：
.br

\fB1.\fP 解压配置文件，同时备份旧配置文件，以备出错时恢复之需。
.br

\fB2.\fP 运行 \fIpostinst\fP 脚本，如果软件包提供的话。
.TP 
\fB\-\-triggers\-only\fP \fIpackage\fP...|\fB\-a\fP|\fB\-\-pending\fP
Processes only triggers (since dpkg 1.14.17).  All pending triggers will be
processed.  If package names are supplied only those packages' triggers will
be processed, exactly once each where necessary. Use of this option may
leave packages in the improper \fBtriggers\-awaited\fP and \fBtriggers\-pending\fP
states. This can be fixed later by running: \fBdpkg \-\-configure \-\-pending\fP.
.TP 
\fB\-r\fP, \fB\-\-remove\fP \fIpackage\fP...|\fB\-a\fP|\fB\-\-pending\fP
Remove an installed package.  This removes everything except conffiles and
other data cleaned up by the \fIpostrm\fP script, which may avoid having to
reconfigure the package if it is reinstalled later (conffiles are
configuration files that are listed in the \fIDEBIAN/conffiles\fP control
file).  If there is no \fIDEBIAN/conffiles\fP control file nor \fIDEBIAN/postrm\fP
script, this command is equivalent to calling \fB\-\-purge\fP.  If \fB\-a\fP or
\fB\-\-pending\fP is given instead of a package name, then all packages unpacked,
but marked to be removed in file \fI%ADMINDIR%/status\fP, are removed.

移除一个软件包需要经过以下环节：
.br

\fB1.\fP 执行 \fIprerm\fP 脚本
.br

\fB2.\fP 移除已安装的文件
.br

\fB3.\fP 执行 \fIpostrm\fP 脚本
.br

.TP 
\fB\-P\fP, \fB\-\-purge\fP \fIpackage\fP...|\fB\-a\fP|\fB\-\-pending\fP
Purge an installed or already removed package. This removes everything,
including conffiles, and anything else cleaned up from \fIpostrm\fP.  If \fB\-a\fP
or \fB\-\-pending\fP is given instead of a package name, then all packages
unpacked or removed, but marked to be purged in file \fI%ADMINDIR%/status\fP,
are purged.

注意：有些配置文件可能不被 \fBdpkg\fP 记录，因为它们是通过配置脚本来分别创建和处理的。在这种情况下，\fBdpkg\fP
将不会擅自删除这些配置文件，而是由软件包的 \fIpostrm\fP 脚本（由 \fBdpkg\fP
调用）来进行删除及清除。当然，这只应用于系统目录中的文件，而用户家目录中的配置文件则不受影响。

清除一个软件包包含以下环节：
.br

\fB1.\fP 如果它没有被移除，那么移除该软件包。更多实现的细节请参见 \fB\-\-remove\fP。
.br

\fB2.\fP 执行 \fIpostrm\fP 脚本。
.br
.TP 
\fB\-V\fP, \fB\-\-verify\fP [\fIpackage\-name\fP...]
Verifies the integrity of \fIpackage\-name\fP or all packages if omitted, by
comparing information from the files installed by a package with the files
metadata information stored in the \fBdpkg\fP database (since dpkg 1.17.2).
The origin of the files metadata information in the database is the binary
packages themselves. That metadata gets collected at package unpack time
during the installation process.

Currently the only functional check performed is an md5sum verification of
the file contents against the stored value in the files database.  It will
only get checked if the database contains the file md5sum. To check for any
missing metadata in the database, the \fB\-\-audit\fP command can be used.

输出格式可以用 \fB\-\-verify\-format\fP 选项来选择，它默认使用 \fBrpm\fP
格式，但这一点可能在未来被更改，正因如此，解析输出信息的程序应该显式说明它所期望的输出格式。
.TP 
\fB\-C\fP, \fB\-\-audit\fP [\fIpackage\-name\fP...]
Performs database sanity and consistency checks for \fIpackage\-name\fP or all
packages if omitted (per package checks since dpkg 1.17.10).  For example,
searches for packages that have been installed only partially on your system
or that have missing, wrong or obsolete control data or files. \fBdpkg\fP will
suggest what to do with them to get them fixed.
.TP 
\fB\-\-update\-avail\fP [\fIPackages\-file\fP]
.TQ
\fB\-\-merge\-avail\fP [\fIPackages\-file\fP]
Update \fBdpkg\fP's and \fBdselect\fP's idea of which packages are available. With
action \fB\-\-merge\-avail\fP, old information is combined with information from
\fIPackages\-file\fP. With action \fB\-\-update\-avail\fP, old information is replaced
with the information in the \fIPackages\-file\fP. The \fIPackages\-file\fP
distributed with Debian is simply named «\fIPackages\fP». If the
\fIPackages\-file\fP argument is missing or named «\fB\-\fP» then it will be read
from standard input (since dpkg 1.17.7). \fBdpkg\fP keeps its record of
available packages in \fI%ADMINDIR%/available\fP.

\fBdselect update\fP 是一个更简单的一次性命令，用于获取和更新 \fIavailable\fP 文件。注意，如果您使用基于 APT 的前端而不是
\fBdselect\fP，那么该文件大多数情况下是无用的：APT 有它自己的有效包跟踪系统。
.TP 
\fB\-A\fP, \fB\-\-record\-avail\fP \fIpackage\-file\fP...
通过 \fIpackage\-file\fP 中的信息，更新 \fBdpkg\fP 和 \fBdselect\fP 对于有效软件包的认识。如果给定
\fB\-\-recursive\fP 或 \fB\-R\fP 参数，那么 \fIpackage\-file\fP 必须指向一个目录。
.TP 
\fB\-\-forget\-old\-unavail\fP
Now \fBobsolete\fP and a no\-op as \fBdpkg\fP will automatically forget uninstalled
unavailable packages (since dpkg 1.15.4), but only those that do not contain
user information such as package selections.
.TP 
\fB\-\-clear\-avail\fP
擦除现存的关于有效软件包的信息。
.TP 
\fB\-\-get\-selections\fP [\fIpackage\-name\-pattern\fP...]
获取软件包选择列表，并写到标准输出。如果未给出一个表达式，那么未安装的软件包（亦即，先前被清除的）将不会显示。
.TP 
\fB\-\-set\-selections\fP
Set package selections using file read from stdin. This file should be in
the format “\fIpackage\fP \fIstate\fP”, where state is one of \fBinstall\fP, \fBhold\fP,
\fBdeinstall\fP or \fBpurge\fP. Blank lines and comment lines beginning with
‘\fB#\fP’ are also permitted.

需要更新 \fIavailable\fP 文件以使该命令生效，否则未知的包将伴随警告而被忽略。详情请参见 \fB\-\-update\-avail\fP 和
\fB\-\-merge\-avail\fP 命令。
.TP 
\fB\-\-clear\-selections\fP
Set the requested state of every non\-essential package to deinstall (since
dpkg 1.13.18).  This is intended to be used immediately before
\fB\-\-set\-selections\fP, to deinstall any packages not in list given to
\fB\-\-set\-selections\fP.
.TP 
\fB\-\-yet\-to\-unpack\fP
搜索那些已选择安装，但因某种缘故仍未安装完成的软件包。
.IP
Note: This command makes use of both the available file and the package
selections.
.TP 
\fB\-\-predep\-package\fP
Print a single package which is the target of one or more relevant
pre\-dependencies and has itself no unsatisfied pre\-dependencies.
.IP
If such a package is present, output it as a Packages file entry, which can
be massaged as appropriate.
.IP
Note: This command makes use of both the available file and the package
selections.
.IP
Returns 0 when a package is printed, 1 when no suitable package is available
and 2 on error.
.TP 
\fB\-\-add\-architecture \fP\fIarchitectur\fP
Add \fIarchitecture\fP to the list of architectures for which packages can be
installed without using \fB\-\-force\-architecture\fP (since dpkg 1.16.2).  The
architecture \fBdpkg\fP is built for (i.e. the output of
\fB\-\-print\-architecture\fP)  is always part of that list.
.TP 
\fB\-\-remove\-architecture \fP\fIarchitecture\fP
Remove \fIarchitecture\fP from the list of architectures for which packages can
be installed without using \fB\-\-force\-architecture\fP (since dpkg 1.16.2). If
the architecture is currently in use in the database then the operation will
be refused, except if \fB\-\-force\-architecture\fP is specified. The architecture
\fBdpkg\fP is built for (i.e. the output of \fB\-\-print\-architecture\fP) can never
be removed from that list.
.TP 
\fB\-\-print\-architecture\fP
Print architecture of packages \fBdpkg\fP installs (for example, “i386”).
.TP 
\fB\-\-print\-foreign\-architectures\fP
Print a newline\-separated list of the extra architectures \fBdpkg\fP is
configured to allow packages to be installed for (since dpkg 1.16.2).
.TP 
\fB\-\-assert\-\fP\fIfeature\fP
Asserts that \fBdpkg\fP supports the requested feature.  Returns 0 if the
feature is fully supported, 1 if the feature is known but \fBdpkg\fP cannot
provide support for it yet, and 2 if the feature is unknown.  The current
list of assertable features is:
.RS
.TP 
\fBsupport\-predepends\fP
Supports the \fBPre\-Depends\fP field (since dpkg 1.1.0).
.TP 
\fBworking\-epoch\fP
Supports epochs in version strings (since dpkg 1.4.0.7).
.TP 
\fBlong\-filenames\fP
Supports long filenames in \fBdeb\fP(5) archives (since dpkg 1.4.1.17).
.TP 
\fBmulti\-conrep\fP
Supports multiple \fBConflicts\fP and \fBReplaces\fP (since dpkg 1.4.1.19).
.TP 
\fBmulti\-arch\fP
Supports multi\-arch fields and semantics (since dpkg 1.16.2).
.TP 
\fBversioned\-provides\fP
Supports versioned \fBProvides\fP (since dpkg 1.17.11).
.RE
.TP 
\fB\-\-validate\-\fP\fIthing string\fP
Validate that the \fIthing\fP \fIstring\fP has a correct syntax (since dpkg
1.18.16).  Returns 0 if the \fIstring\fP is valid, 1 if the \fIstring\fP is
invalid but might be accepted in lax contexts, and 2 if the \fIstring\fP is
invalid.  The current list of validatable \fIthing\fPs is:
.RS
.TP 
\fBpkgname\fP
Validates the given package name (since dpkg 1.18.16).
.TP 
\fBtrigname\fP
Validates the given trigger name (since dpkg 1.18.16).
.TP 
\fBarchname\fP
Validates the given architecture name (since dpkg 1.18.16).
.TP 
\fBversion\fP
Validates the given version (since dpkg 1.18.16).
.RE
.TP 
\fB\-\-compare\-versions \fP\fIver1 op ver2\fP
.\" .TP
.\" .B \-\-command\-fd \fIn\fP
.\" Accept a series of commands on input file descriptor \fIn\fP. Note:
.\" additional options set on the command line, and through this file descriptor,
.\" are not reset for subsequent commands executed during the same run.
Compare version numbers, where \fIop\fP is a binary operator. \fBdpkg\fP returns
true (\fB0\fP) if the specified condition is satisfied, and false (\fB1\fP)
otherwise. There are two groups of operators, which differ in how they treat
an empty \fIver1\fP or \fIver2\fP. These treat an empty version as earlier than
any version: \fBlt le eq ne ge gt\fP. These treat an empty version as later
than any version: \fBlt\-nl le\-nl ge\-nl gt\-nl\fP. These are provided only for
compatibility with control file syntax: \fB< << <= = >=
>> >\fP. The \fB<\fP and \fB>\fP operators are obsolete and
should \fBnot\fP be used, due to confusing semantics. To illustrate: \fB0.1
< 0.1\fP evaluates to true.
.TP 
\fB\-?\fP, \fB\-\-help\fP
显示简短的帮助信息。
.TP 
\fB\-\-force\-help\fP
显示有关 \fB\-\-force\-\fP\fIthing\fP 选项的帮助。
.TP 
\fB\-Dh\fP, \fB\-\-debug=help\fP
显示关于调试选项的帮助信息。
.TP 
\fB\-\-version\fP
显示 \fBdpkg\fP 版本信息。
.TP 
\fBdpkg\-deb 行为\fP
有关下列行为的细节，请参见 \fBdpkg\-dev\fP(1)。

.nf
\fB\-b\fP, \fB\-\-build\fP \fIdirectory\fP [\fIarchive\fP|\fIdirectory\fP]
    Build a deb package.
\fB\-c\fP, \fB\-\-contents\fP \fIarchive\fP
    List contents of a deb package.
\fB\-e\fP, \fB\-\-control\fP \fIarchive\fP [\fIdirectory\fP]
    Extract control\-information from a package.
\fB\-x\fP, \fB\-\-extract\fP \fIarchive directory\fP
    Extract the files contained by package.
\fB\-X\fP, \fB\-\-vextract\fP \fIarchive directory\fP
    Extract and display the filenames contained by a
    package.
\fB\-f\fP, \fB\-\-field\fP  \fIarchive\fP [\fIcontrol\-field\fP...]
    Display control field(s) of a package.
\fB\-\-ctrl\-tarfile\fP \fIarchive\fP
    Output the control tar\-file contained in a Debian package.
\fB\-\-fsys\-tarfile\fP \fIarchive\fP
    Output the filesystem tar\-file contained by a Debian package.
\fB\-I\fP, \fB\-\-info\fP \fIarchive\fP [\fIcontrol\-file\fP...]
    Show information about a package.
.fi

.TP 
\fBdpkg\-query actions\fP
有关下列行为的细节，请参见 \fBdpkg\-query\fP(1)。

.nf

\fB\-l\fP, \fB\-\-list\fP \fIpackage\-name\-pattern\fP...
    列出匹配给定模式的包。
\fB\-s\fP, \fB\-\-status\fP \fIpackage\-name\fP...
    报告指定包的状态。
\fB\-L\fP, \fB\-\-listfiles\fP \fIpackage\-name\fP...
    列出由包 \fIpackage\-name\fP 安装到系统中的文件。
\fB\-S\fP, \fB\-\-search\fP \fIfilename\-search\-pattern\fP...
    在已安装的包中搜索文件名。
\fB\-p\fP, \fB\-\-print\-avail\fP \fIpackage\-name\fP...
    根据 \fI%ADMINDIR%/available\fP 中找到的信息，
    显示关于 \fIpackage\-name\fP 的详情。而使用基于 APT 的前端
    的用户应使用 \fBapt\-cache show\fP \fIpackage\-name\fP 。
.fi
.
.SH 选项
All options can be specified both on the command line and in the \fBdpkg\fP
configuration file \fI%PKGCONFDIR%/dpkg.cfg\fP or fragment files (with names
matching this shell pattern '[0\-9a\-zA\-Z_\-]*') on the configuration directory
\fI%PKGCONFDIR%/dpkg.cfg.d/\fP. Each line in the configuration file is either
an option (exactly the same as the command line option but without leading
hyphens) or a comment (if it starts with a ‘\fB#\fP’).
.br
.TP 
\fB\-\-abort\-after=\fP\fInumber\fP
修改累计错误容忍上限（超过该值则中止），该值默认为50。
.TP 
\fB\-B\fP, \fB\-\-auto\-deconfigure\fP
当要移除一个软件包的时候，有可能有别的软件包依赖于这个包。指定该选项将导致依赖这个包的软件包被自动反配置。
.TP 
\fB\-D\fP\fIoctal\fP\fB, \-\-debug=\fP\fIoctal\fP
Switch debugging on. \fIoctal\fP is formed by bitwise\-oring desired values
together from the list below (note that these values may change in future
releases). \fB\-Dh\fP or \fB\-\-debug=help\fP display these debugging values.

      数字   描述
         1   一般有用的进度信息
         2   维护者脚本的调用和状态
        10   每当处理文件都输出
       100   每当处理文件都大量输出
        20   每当处理配置文件都输出
       200   每当处理配置文件都大量输出
        40   依赖关系和冲突
       400   依赖关系和冲突的大量输出
     10000   触发器激活和处理
     20000   大量关于触发器的输出
     40000   海量关于触发器的输出
      1000   很多废话，比如 dpkg/info dir
      2000   数量惊世骇俗的废话
.TP 
\fB\-\-force\-\fP\fIthings\fP
.TQ
\fB\-\-no\-force\-\fP\fIthings\fP, \fB\-\-refuse\-\fP\fIthings\fP
强制或拒绝做某事（\fBno\-force\fP 和 \fBrefuse\fP 所指相同）。\fIthings\fP
是一个逗号分隔的事件表，具体事件请参见下文。\fB\-\-force\-help\fP 会给出相应的帮助信息。另外，标记了（*）的事件是默认选择强制的。

\fI警告: 这些选项大多数是提供给专家用户使用的。在没有完全理解它们的效果的情况下使用，很可能会破坏您的整个系统。\fP

\fBall\fP: 强制选项全开（或全关）。

\fBdowngrage\fP(*): 即使一个包的新版本已被安装，也继续安装该包。

\fIWarning: At present \fP\fBdpkg\fP\fI does not do any dependency checking on
downgrades and therefore will not warn you if the downgrade breaks the
dependency of some other package. This can have serious side effects,
downgrading essential system components can even make your whole system
unusable. Use with care.\fP

\fBconfigure\-any\fP: Configure also any unpacked but unconfigured packages on
which the current package depends.

\fBhold\fP: Allow automatic installs, upgrades or removals of packages even
when marked to be on “hold”.  Note: This does not prevent these actions when
requested explicitly.

\fBremove\-reinstreq\fP: Remove a package, even if it's broken and marked to
require reinstallation. This may, for example, cause parts of the package to
remain on the system, which will then be forgotten by \fBdpkg\fP.

\fBremove\-essential\fP: Remove, even if the package is considered
essential. Essential packages contain mostly very basic Unix
commands. Removing them might cause the whole system to stop working, so use
with caution.

\fBdepends\fP: Turn all dependency problems into warnings.  This affects the
\fBPre\-Depends\fP and \fBDepends\fP fields.

\fBdepends\-version\fP: Don't care about versions when checking dependencies.
This affects the \fBPre\-Depends\fP and \fBDepends\fP fields.

\fBbreaks\fP: Install, even if this would break another package (since dpkg
1.14.6).  This affects the \fBBreaks\fP field.

\fBconflicts\fP: Install, even if it conflicts with another package. This is
dangerous, for it will usually cause overwriting of some files.  This
affects the \fBConflicts\fP field.

\fBconfmiss\fP: Always install the missing conffile without prompting. This is
dangerous, since it means not preserving a change (removing) made to the
file.

\fBconfnew\fP: 在 conffile 和软件包版本均发生变动的情况下，总是在不提示的情况下安装新版本。如果偏好默认行为的话，除非同时指定
\fB\-\-force\-confdef\fP 选项。

\fBconfnew\fP: 在 conffile 和软件包版本均发生变动的情况下，总是在不提示的情况下保留旧版本。如果偏好默认行为的话，除非同时指定
\fB\-\-force\-confdef\fP 选项。

\fBconfdef\fP: 在 conffile 和软件包版本均变动的情况下，总是选择默认行为并且不提示。如果没有默认行为，那么它将停下来询问用户。除非指定
\fB\-\-force\-confnew\fP 或 \fB\-\-force\-confold\fP 选项，此时它会根据指定的选项来最终决策。

\fBconfask\fP: If a conffile has been modified always offer to replace it with
the version in the package, even if the version in the package did not
change (since dpkg 1.15.8).  If any of \fB\-\-force\-confnew\fP,
\fB\-\-force\-confold\fP, or \fB\-\-force\-confdef\fP is also given, it will be used to
decide the final action.

\fBoverwrite\fP: 将其他软件包的文件覆盖到一个软件包上。

\fBoverwrite\-dir\fP: Overwrite one package's directory with another's file.

\fBoverwrite\-diverted\fP: 将转移后的文件以未转移版本覆盖。

\fBstatoverride\-add\fP: Overwrite an existing stat override when adding it
(since dpkg 1.19.5).

\fBstatoverride\-remove\fP: Ignore a missing stat override when removing it
(since dpkg 1.19.5).

\fBsecurity\-mac\fP(*): Use platform\-specific Mandatory Access Controls (MAC)
based security when installing files into the filesystem (since dpkg
1.19.5).  On Linux systems the implementation uses SELinux.

\fBunsafe\-io\fP: Do not perform safe I/O operations when unpacking (since dpkg
1.15.8.6).  Currently this implies not performing file system syncs before
file renames, which is known to cause substantial performance degradation on
some file systems, unfortunately the ones that require the safe I/O on the
first place due to their unreliable behaviour causing zero\-length files on
abrupt system crashes.

\fINote\fP: For ext4, the main offender, consider using instead the mount
option \fBnodelalloc\fP, which will fix both the performance degradation and
the data safety issues, the latter by making the file system not produce
zero\-length files on abrupt system crashes with any software not doing syncs
before atomic renames.

\fIWarning: Using this option might improve performance at the cost of losing
data, use with care.\fP

\fBscript\-chrootless\fP: Run maintainer scripts without \fBchroot\fP(2)ing into
\fBinstdir\fP even if the package does not support this mode of operation
(since dpkg 1.18.5).

\fIWarning: This can destroy your host system, use with extreme care.\fP

\fBarchitecture\fP: 容忍软件包错误或缺省的体系结构并继续。

\fBbad\-version\fP: Process even packages with wrong versions (since dpkg
1.16.1).

\fBbad\-path\fP: 在 \fBPATH\fP 下无法找到重要的程序，这可能是出问题的原因

\fBnot\-root\fP: 在非 root 时尝试（反）安装软件。

\fBbad\-verify\fP: 容忍失败的真实性检查并安装。

.TP 
\fB\-\-ignore\-depends\fP=\fIpackage\fP,...
Ignore dependency\-checking for specified packages (actually, checking is
performed, but only warnings about conflicts are given, nothing else).  This
affects the \fBPre\-Depends\fP, \fBDepends\fP and \fBBreaks\fP fields.
.TP 
\fB\-\-no\-act\fP, \fB\-\-dry\-run\fP, \fB\-\-simulate\fP
进行所有预期的操作，但是不进行任何写入。该选的意图是，在不进行任何修改的情况下观察软件根据指定的行为做了什么。

Be sure to give \fB\-\-no\-act\fP before the action\-parameter, or you might end up
with undesirable results. (e.g. \fBdpkg \-\-purge foo \-\-no\-act\fP will first
purge package foo and then try to purge package \-\-no\-act, even though you
probably expected it to actually do nothing)
.TP 
\fB\-R\fP, \fB\-\-recursive\fP
Recursively handle all regular files matching pattern \fB*.deb\fP found at
specified directories and all of its subdirectories. This can be used with
\fB\-i\fP, \fB\-A\fP, \fB\-\-install\fP, \fB\-\-unpack\fP and \fB\-\-record\-avail\fP actions.
.TP 
\fB\-G\fP
如果已经安装了该软件包的更新版本，那就不安装该软件。（译者注：即拒绝降级）这也是 \fB\-\-refuse\-downgrade\fP 选项的别名。
.TP 
\fB\-\-admindir=\fP\fIdir\fP
Set the administrative directory to \fIdirectory\fP.  This directory contains
many files that give information about status of installed or uninstalled
packages, etc.  Defaults to «\fI%ADMINDIR%\fP».
.TP 
\fB\-\-instdir=\fP\fIdir\fP
Set the installation directory, which refers to the directory where packages
are to be installed. \fBinstdir\fP is also the directory passed to \fBchroot\fP(2)
before running package's installation scripts, which means that the scripts
see \fBinstdir\fP as a root directory.  Defaults to «\fI/\fP».
.TP 
\fB\-\-root=\fP\fIdir\fP
Set the root directory to \fBdirectory\fP, which sets the installation
directory to «\fIdir\fP» and the administrative directory to
«\fIdir\fP\fB%ADMINDIR%\fP».
.TP 
\fB\-O\fP, \fB\-\-selected\-only\fP
Only process the packages that are selected for installation. The actual
marking is done with \fBdselect\fP or by \fBdpkg\fP, when it handles packages. For
example, when a package is removed, it will be marked selected for
deinstallation.
.TP 
\fB\-E\fP, \fB\-\-skip\-same\-version\fP
如果有相同版本的软件包已经安装，那就跳过。
.TP 
\fB\-\-pre\-invoke=\fP\fIcommand\fP
.TQ
\fB\-\-post\-invoke=\fP\fIcommand\fP
Set an invoke hook \fIcommand\fP to be run via \*(lqsh \-c\*(rq before or after the
\fBdpkg\fP run for the \fIunpack\fP, \fIconfigure\fP, \fIinstall\fP, \fItriggers\-only\fP,
\fIremove\fP, \fIpurge\fP, \fIadd\-architecture\fP and \fIremove\-architecture\fP \fBdpkg\fP
actions (since dpkg 1.15.4; \fIadd\-architecture\fP and \fIremove\-architecture\fP
actions since dpkg 1.17.19). This option can be specified multiple
times. The order the options are specified is preserved, with the ones from
the configuration files taking precedence.  The environment variable
\fBDPKG_HOOK_ACTION\fP is set for the hooks to the current \fBdpkg\fP
action. Note: front\-ends might call \fBdpkg\fP several times per invocation,
which might run the hooks more times than expected.
.TP 
\fB\-\-path\-exclude=\fP\fIglob\-pattern\fP
.TQ
\fB\-\-path\-include=\fP\fIglob\-pattern\fP
Set \fIglob\-pattern\fP as a path filter, either by excluding or re\-including
previously excluded paths matching the specified patterns during install
(since dpkg 1.15.8).

\fIWarning: take into account that depending on the excluded paths you might
completely break your system, use with caution.\fP

The glob patterns use the same wildcards used in the shell, were ‘*’ matches
any sequence of characters, including the empty string and also ‘/’.  For
example, «\fI/usr/*/READ*\fP» matches «\fI/usr/share/doc/package/README\fP».  As
usual, ‘?’ matches any single character (again, including ‘/’).  And ‘[’
starts a character class, which can contain a list of characters, ranges and
complementations. See \fBglob\fP(7) for detailed information about
globbing. Note: the current implementation might re\-include more directories
and symlinks than needed, to be on the safe side and avoid possible unpack
failures; future work might fix this.

这可以用来删除除了一些特例外的所有路径；一种典型的情况是：

.nf
\fB\-\-path\-exclude=/usr/share/doc/*\fP
\fB\-\-path\-include=/usr/share/doc/*/copyright\fP
.fi

to remove all documentation files except the copyright files.

These two options can be specified multiple times, and interleaved with each
other. Both are processed in the given order, with the last rule that
matches a file name making the decision.

The filters are applied when unpacking the binary packages, and as such only
have knowledge of the type of object currently being filtered (e.g. a normal
file or a directory) and have not visibility of what objects will come
next.  Because these filters have side effects (in contrast to \fBfind\fP(1)
filters), excluding an exact pathname that happens to be a directory object
like \fI/usr/share/doc\fP will not have the desired result, and only that
pathname will be excluded (which could be automatically reincluded if the
code sees the need).  Any subsequent files contained within that directory
will fail to unpack.

Hint: make sure the globs are not expanded by your shell.
.TP 
\fB\-\-verify\-format\fP\fI format\-name\fP
Sets the output format for the \fB\-\-verify\fP command (since dpkg 1.17.2).

The only currently supported output format is \fBrpm\fP, which consists of a
line for every path that failed any check.  The lines start with 9
characters to report each specific check result, a ‘\fB?\fP’ implies the check
could not be done (lack of support, file permissions, etc), ‘\fB.\fP’ implies
the check passed, and an alphanumeric character implies a specific check
failed; the md5sum verification failure (the file contents have changed) is
denoted with a ‘\fB5\fP’ on the third character.  The line is followed by a
space and an attribute character (currently ‘\fBc\fP’ for conffiles), another
space and the pathname.
.TP 
\fB\-\-status\-fd \fP\fIn\fP
Send machine\-readable package status and progress information to file
descriptor \fIn\fP. This option can be specified multiple times. The
information is generally one record per line, in one of the following forms:
.RS
.TP 
\fBstatus: \fP\fIpackage\fP\fB: \fP\fIstatus\fP
Package status changed; \fIstatus\fP is as in the status file.
.TP 
\fBstatus: \fP\fIpackage\fP\fB : error : \fP\fIextended\-error\-message\fP
An error occurred. Any possible newlines in \fIextended\-error\-message\fP will
be converted to spaces before output.
.TP 
\fBstatus: \fP\fIfile\fP\fB : conffile\-prompt : '\fP\fIreal\-old\fP\fB' '\fP\fIreal\-new\fP\fB' \fP\fIuseredited\fP\fB \fP\fIdistedited\fP
User is being asked a conffile question.
.TP 
\fBprocessing: \fP\fIstage\fP\fB: \fP\fIpackage\fP
Sent just before a processing stage starts. \fIstage\fP is one of \fBupgrade\fP,
\fBinstall\fP (both sent before unpacking), \fBconfigure\fP, \fBtrigproc\fP,
\fBdisappear\fP, \fBremove\fP, \fBpurge\fP.
.RE
.TP 
\fB\-\-status\-logger\fP=\fIcommand\fP
Send machine\-readable package status and progress information to the shell
\fIcommand\fP's standard input, to be run via \*(lqsh \-c\*(rq (since dpkg 1.16.0).
This option can be specified multiple times.  The output format used is the
same as in \fB\-\-status\-fd\fP.
.TP 
\fB\-\-log=\fP\fIfilename\fP
Log status change updates and actions to \fIfilename\fP, instead of the default
\fI%LOGDIR%/dpkg.log\fP. If this option is given multiple times, the last
filename is used. Log messages are of the form:
.RS
.TP 
YYYY\-MM\-DD HH:MM:SS \fBstartup\fP \fItype\fP \fIcommand\fP
For each dpkg invocation where \fItype\fP is \fBarchives\fP (with a \fIcommand\fP of
\fBunpack\fP or \fBinstall\fP) or \fBpackages\fP (with a \fIcommand\fP of \fBconfigure\fP,
\fBtriggers\-only\fP, \fBremove\fP or \fBpurge\fP).
.TP 
YYYY\-MM\-DD HH:MM:SS \fBstatus\fP \fIstate\fP \fIpkg\fP \fIinstalled\-version\fP
For status change updates.
.TP 
YYYY\-MM\-DD HH:MM:SS \fIaction\fP \fIpkg\fP \fIinstalled\-version\fP \fIavailable\-version\fP
For actions where \fIaction\fP is one of \fBinstall\fP, \fBupgrade\fP, \fBconfigure\fP,
\fBtrigproc\fP, \fBdisappear\fP, \fBremove\fP or \fBpurge\fP.
.TP 
YYYY\-MM\-DD HH:MM:SS \fBconffile\fP \fIfilename\fP \fIdecision\fP
For conffile changes where \fIdecision\fP is either \fBinstall\fP or \fBkeep\fP.
.RE
.TP 
\fB\-\-no\-pager\fP
Disables the use of any pager when showing information (since dpkg 1.19.2).
.TP 
\fB\-\-no\-debsig\fP
Do not try to verify package signatures.
.TP 
\fB\-\-no\-triggers\fP
Do not run any triggers in this run (since dpkg 1.14.17), but activations
will still be recorded.  If used with \fB\-\-configure\fP \fIpackage\fP or
\fB\-\-triggers\-only\fP \fIpackage\fP then the named package postinst will still be
run even if only a triggers run is needed. Use of this option may leave
packages in the improper \fBtriggers\-awaited\fP and \fBtriggers\-pending\fP
states. This can be fixed later by running: \fBdpkg \-\-configure \-\-pending\fP.
.TP 
\fB\-\-triggers\fP
Cancels a previous \fB\-\-no\-triggers\fP (since dpkg 1.14.17).
.
.SH "EXIT STATUS"
.TP 
\fB0\fP
The requested action was successfully performed.  Or a check or assertion
command returned true.
.TP 
\fB1\fP
A check or assertion command returned false.
.TP 
\fB2\fP
Fatal or unrecoverable error due to invalid command\-line usage, or
interactions with the system, such as accesses to the database, memory
allocations, etc.
.
.SH ENVIRONMENT
.SS "External environment"
.TP 
\fBPATH\fP
This variable is expected to be defined in the environment and point to the
system paths where several required programs are to be found. If it's not
set or the programs are not found, \fBdpkg\fP will abort.
.TP 
\fBHOME\fP
If set, \fBdpkg\fP will use it as the directory from which to read the user
specific configuration file.
.TP 
\fBTMPDIR\fP
If set, \fBdpkg\fP will use it as the directory in which to create temporary
files and directories.
.TP 
\fBSHELL\fP
The program \fBdpkg\fP will execute when starting a new interactive shell, or
when spawning a command via a shell.
.TP 
\fBPAGER\fP
.TQ
\fBDPKG_PAGER\fP
The program \fBdpkg\fP will execute when running a pager, which will be
executed with «\fB$SHELL \-c\fP», for example when displaying the conffile
differences.  If \fBSHELL\fP is not set, «\fBsh\fP» will be used instead.  The
\fBDPKG_PAGER\fP overrides the \fBPAGER\fP environment variable (since dpkg
1.19.2).
.TP 
\fBDPKG_COLORS\fP
Sets the color mode (since dpkg 1.18.5).  The currently accepted values are:
\fBauto\fP (default), \fBalways\fP and \fBnever\fP.
.TP 
\fBDPKG_FORCE\fP
Sets the force flags (since dpkg 1.19.5).  When this variable is present, no
built\-in force defaults will be applied.  If the variable is present but
empty, all force flags will be disabled.
.TP 
\fBDPKG_ADMINDIR\fP
If set and the \fB\-\-admindir\fP or \fB\-\-root\fP options have not been specified,
it will be used as the \fBdpkg\fP administrative directory (since dpkg 1.20.0).
.TP 
\fBDPKG_FRONTEND_LOCKED\fP
Set by a package manager frontend to notify dpkg that it should not acquire
the frontend lock (since dpkg 1.19.1).
.SS "Internal environment"
.TP 
\fBLESS\fP
Defined by \fBdpkg\fP to “\fB\-FRSXMQ\fP”, if not already set, when spawning a
pager (since dpkg 1.19.2).  To change the default behavior, this variable
can be preset to some other value including an empty string, or the \fBPAGER\fP
or \fBDPKG_PAGER\fP variables can be set to disable specific options with
«\fB\-+\fP», for example \fBDPKG_PAGER="less \-+F"\fP.
.TP 
\fBDPKG_ROOT\fP
Defined by \fBdpkg\fP on the maintainer script environment to indicate which
installation to act on (since dpkg 1.18.5).  The value is intended to be
prepended to any path maintainer scripts operate on.  During normal
operation, this variable is empty.  When installing packages into a
different \fBinstdir\fP, \fBdpkg\fP normally invokes maintainer scripts using
\fBchroot\fP(2) and leaves this variable empty, but if
\fB\-\-force\-script\-chrootless\fP is specified then the \fBchroot\fP(2) call is
skipped and \fBinstdir\fP is non\-empty.
.TP 
\fBDPKG_ADMINDIR\fP
Defined by \fBdpkg\fP on the maintainer script environment to indicate the
\fBdpkg\fP administrative directory to use (since dpkg 1.16.0).  This variable
is always set to the current \fB\-\-admindir\fP value.
.TP 
\fBDPKG_FORCE\fP
Defined by \fBdpkg\fP on the subprocesses environment to all the currently
enabled force option names separated by commas (since dpkg 1.19.5).
.TP 
\fBDPKG_SHELL_REASON\fP
Defined by \fBdpkg\fP on the shell spawned on the conffile prompt to examine
the situation (since dpkg 1.15.6).  Current valid value: \fBconffile\-prompt\fP.
.TP 
\fBDPKG_CONFFILE_OLD\fP
Defined by \fBdpkg\fP on the shell spawned on the conffile prompt to examine
the situation (since dpkg 1.15.6).  Contains the path to the old conffile.
.TP 
\fBDPKG_CONFFILE_NEW\fP
Defined by \fBdpkg\fP on the shell spawned on the conffile prompt to examine
the situation (since dpkg 1.15.6).  Contains the path to the new conffile.
.TP 
\fBDPKG_HOOK_ACTION\fP
Defined by \fBdpkg\fP on the shell spawned when executing a hook action (since
dpkg 1.15.4).  Contains the current \fBdpkg\fP action.
.TP 
\fBDPKG_RUNNING_VERSION\fP
Defined by \fBdpkg\fP on the maintainer script environment to the version of
the currently running \fBdpkg\fP instance (since dpkg 1.14.17).
.TP 
\fBDPKG_MAINTSCRIPT_PACKAGE\fP
Defined by \fBdpkg\fP on the maintainer script environment to the
(non\-arch\-qualified) package name being handled (since dpkg 1.14.17).
.TP 
\fBDPKG_MAINTSCRIPT_PACKAGE_REFCOUNT\fP
Defined by \fBdpkg\fP on the maintainer script environment to the package
reference count, i.e. the number of package instances with a state greater
than \fBnot\-installed\fP (since dpkg 1.17.2).
.TP 
\fBDPKG_MAINTSCRIPT_ARCH\fP
Defined by \fBdpkg\fP on the maintainer script environment to the architecture
the package got built for (since dpkg 1.15.4).
.TP 
\fBDPKG_MAINTSCRIPT_NAME\fP
Defined by \fBdpkg\fP on the maintainer script environment to the name of the
script running, one of \fBpreinst\fP, \fBpostinst\fP, \fBprerm\fP or \fBpostrm\fP (since
dpkg 1.15.7).
.TP 
\fBDPKG_MAINTSCRIPT_DEBUG\fP
Defined by \fBdpkg\fP on the maintainer script environment to a value (‘\fB0\fP’
or ‘\fB1\fP’) noting whether debugging has been requested (with the \fB\-\-debug\fP
option) for the maintainer scripts (since dpkg 1.18.4).
.
.SH FILES
.TP 
\fI%PKGCONFDIR%/dpkg.cfg.d/[0\-9a\-zA\-Z_\-]*\fP
Configuration fragment files (since dpkg 1.15.4).
.TP 
\fI%PKGCONFDIR%/dpkg.cfg\fP
Configuration file with default options.
.TP 
\fI%LOGDIR%/dpkg.log\fP
Default log file (see \fI%PKGCONFDIR%/dpkg.cfg\fP and option \fB\-\-log\fP).
.P
The other files listed below are in their default directories, see option
\fB\-\-admindir\fP to see how to change locations of these files.
.TP 
\fI%ADMINDIR%/available\fP
List of available packages.
.TP 
\fI%ADMINDIR%/status\fP
Statuses of available packages. This file contains information about whether
a package is marked for removing or not, whether it is installed or not,
etc. See section \fBINFORMATION ABOUT PACKAGES\fP for more info.

The status file is backed up daily in \fI/var/backups\fP. It can be useful if
it's lost or corrupted due to filesystems troubles.
.P
The format and contents of a binary package are described in \fBdeb\fP(5).
.
.SH BUGS
\fB\-\-no\-act\fP usually gives less information than might be helpful.
.
.SH EXAMPLES
To list installed packages related to the editor \fBvi\fP(1) (note that
\fBdpkg\-query\fP does not load the \fIavailable\fP file anymore by default, and
the \fBdpkg\-query\fP \fB\-\-load\-avail\fP option should be used instead for that):
.br
     \fBdpkg \-l '*vi*'\fP
.br

To see the entries in \fI%ADMINDIR%/available\fP of two packages:
.br
     \fBdpkg \-\-print\-avail elvis vim | less\fP
.br

To search the listing of packages yourself:
.br
     \fBless %ADMINDIR%/available\fP
.br

To remove an installed elvis package:
.br
     \fBdpkg \-r elvis\fP
.br

To install a package, you first need to find it in an archive or CDROM. The
\fIavailable\fP file shows that the vim package is in section \fBeditors\fP:
.br
     \fBcd /media/cdrom/pool/main/v/vim\fP
     \fBdpkg \-i vim_4.5\-3.deb\fP
.br

To make a local copy of the package selection states:
.br
     \fBdpkg \-\-get\-selections >myselections\fP
.br

You might transfer this file to another computer, and after having updated
the \fIavailable\fP file there with your package manager frontend of choice
(see https://wiki.debian.org/Teams/Dpkg/FAQ for more details), for example:
.br
     \fBapt\-cache dumpavail | dpkg \-\-merge\-avail\fP
.br
or with dpkg 1.17.6 and earlier:
.br
     \fBavail=`mktemp`\fP
     \fBapt\-cache dumpavail >"$avail"\fP
     \fBdpkg \-\-merge\-avail "$avail"\fP
     \fBrm "$avail"\fP
.br
you can install it with:
.br
     \fBdpkg \-\-clear\-selections\fP
     \fBdpkg \-\-set\-selections <myselections\fP
.br

Note that this will not actually install or remove anything, but just set
the selection state on the requested packages. You will need some other
application to actually download and install the requested packages. For
example, run \fBapt\-get dselect\-upgrade\fP.

Ordinarily, you will find that \fBdselect\fP(1) provides a more convenient way
to modify the package selection states.
.br
.
.SH "ADDITIONAL FUNCTIONALITY"
Additional functionality can be gained by installing any of the following
packages: \fBapt\fP, \fBaptitude\fP and \fBdebsums\fP.
.
.SH 参考
\fBaptitude\fP(1), \fBapt\fP(1), \fBdselect\fP(1), \fBdpkg\-deb\fP(1), \fBdpkg\-query\fP(1),
\fBdeb\fP(5), \fBdeb\-control\fP(5), \fBdpkg.cfg\fP(5), and \fBdpkg\-reconfigure\fP(8).
.
.SH AUTHORS
See \fI%PKGDOCDIR%/THANKS\fP for the list of people who have contributed to
\fBdpkg\fP.
