.\" dpkg manual page - start-stop-daemon(8)
.\"
.\" Copyright © 1999 Klee Dienes <klee@mit.edu>
.\" Copyright © 1999 Ben Collins <bcollins@debian.org>
.\" Copyright © 2000-2001 Wichert Akkerman <wakkerma@debian.org>
.\" Copyright © 2002-2003 Adam Heath <doogie@debian.org>
.\" Copyright © 2004 Scott James Remnant <keybuk@debian.org>
.\" Copyright © 2008-2016, 2018 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH start\-stop\-daemon 8 %RELEASE_DATE% %VERSION% "dpkg 软件集"
.ad l
.nh
.SH 名称
start\-stop\-daemon \- start and stop system daemon programs
.
.SH 概要
\fBstart\-stop\-daemon\fP [\fIoption\fP...] \fIcommand\fP
.
.SH 描述
\fBstart\-stop\-daemon\fP is used to control the creation and termination of
system\-level processes.  Using one of the matching options,
\fBstart\-stop\-daemon\fP can be configured to find existing instances of a
running process.
.PP
Note: unless \fB\-\-pid\fP or \fB\-\-pidfile\fP are specified, \fBstart\-stop\-daemon\fP
behaves similar to \fBkillall\fP(1).  \fBstart\-stop\-daemon\fP will scan the
process table looking for any processes which match the process name, parent
pid, uid, and/or gid (if specified). Any matching process will prevent
\fB\-\-start\fP from starting the daemon. All matching processes will be sent the
TERM signal (or the one specified via \fB\-\-signal\fP or \fB\-\-retry\fP) if
\fB\-\-stop\fP is specified. For daemons which have long\-lived children which
need to live through a \fB\-\-stop\fP, you must specify a pidfile.
.
.SH COMMANDS
.TP 
\fB\-S\fP, \fB\-\-start\fP [\fB\-\-\fP] \fIarguments\fP
Check for the existence of a specified process.  If such a process exists,
\fBstart\-stop\-daemon\fP does nothing, and exits with error status 1 (0 if
\fB\-\-oknodo\fP is specified).  If such a process does not exist, it starts an
instance, using either the executable specified by \fB\-\-exec\fP or, if
specified, by \fB\-\-startas\fP.  Any arguments given after \fB\-\-\fP on the command
line are passed unmodified to the program being started.
.TP 
\fB\-K\fP, \fB\-\-stop\fP
Checks for the existence of a specified process.  If such a process exists,
\fBstart\-stop\-daemon\fP sends it the signal specified by \fB\-\-signal\fP, and exits
with error status 0.  If such a process does not exist, \fBstart\-stop\-daemon\fP
exits with error status 1 (0 if \fB\-\-oknodo\fP is specified). If \fB\-\-retry\fP is
specified, then \fBstart\-stop\-daemon\fP will check that the process(es) have
terminated.
.TP 
\fB\-T\fP, \fB\-\-status\fP
Check for the existence of a specified process, and returns an exit status
code, according to the LSB Init Script Actions (since version 1.16.1).
.TP 
\fB\-H\fP, \fB\-\-help\fP
Show usage information and exit.
.TP 
\fB\-V\fP, \fB\-\-version\fP
Show the program version and exit.
.
.SH 选项
.SS "Matching options"
.TP 
\fB\-\-pid\fP \fIpid\fP
Check for a process with the specified \fIpid\fP (since version 1.17.6).  The
\fIpid\fP must be a number greater than 0.
.TP 
\fB\-\-ppid\fP \fIppid\fP
Check for a process with the specified parent pid \fIppid\fP (since version
1.17.7).  The \fIppid\fP must be a number greater than 0.
.TP 
\fB\-p\fP, \fB\-\-pidfile\fP \fIpidfile\fP
Check whether a process has created the file \fIpidfile\fP.
.IP
Note: using this matching option alone might cause unintended processes to
be acted on, if the old process terminated without being able to remove the
\fIpidfile\fP.
.IP
\fBWarning:\fP using this match option with a world\-writable pidfile or using
it alone with a daemon that writes the pidfile as an unprivileged (non\-root)
user will be refused with an error (since version 1.19.3) as this is a
security risk, because either any user can write to it, or if the daemon
gets compromised, the contents of the pidfile cannot be trusted, and then a
privileged runner (such as an init script executed as root) would end up
acting on any system process.  Using \fI/dev/null\fP is exempt from these
checks.
.TP 
\fB\-x\fP, \fB\-\-exec\fP \fIexecutable\fP
Check for processes that are instances of this \fIexecutable\fP. The
\fIexecutable\fP argument should be an absolute pathname. Note: this might not
work as intended with interpreted scripts, as the executable will point to
the interpreter. Take into account processes running from inside a chroot
will also be matched, so other match restrictions might be needed.
.TP 
\fB\-n\fP, \fB\-\-name\fP \fIprocess\-name\fP
Check for processes with the name \fIprocess\-name\fP. The \fIprocess\-name\fP is
usually the process filename, but it could have been changed by the process
itself. Note: on most systems this information is retrieved from the process
comm name from the kernel, which tends to have a relatively short length
limit (assuming more than 15 characters is non\-portable).
.TP 
\fB\-u\fP, \fB\-\-user\fP \fIusername\fP|\fIuid\fP
Check for processes owned by the user specified by \fIusername\fP or
\fIuid\fP. Note: using this matching option alone will cause all processes
matching the user to be acted on.
.
.SS "Generic options"
.TP 
\fB\-g\fP, \fB\-\-group\fP \fIgroup\fP|\fIgid\fP
Change to \fIgroup\fP or \fIgid\fP when starting the process.
.TP 
\fB\-s\fP, \fB\-\-signal\fP \fIsignal\fP
With \fB\-\-stop\fP, specifies the signal to send to processes being stopped
(default TERM).
.TP 
\fB\-R\fP, \fB\-\-retry\fP \fItimeout\fP|\fIschedule\fP
With \fB\-\-stop\fP, specifies that \fBstart\-stop\-daemon\fP is to check whether the
process(es)  do finish. It will check repeatedly whether any matching
processes are running, until none are. If the processes do not exit it will
then take further action as determined by the schedule.

If \fItimeout\fP is specified instead of \fIschedule\fP, then the schedule
\fIsignal\fP\fB/\fP\fItimeout\fP\fB/KILL/\fP\fItimeout\fP is used, where \fIsignal\fP is the
signal specified with \fB\-\-signal\fP.

\fIschedule\fP is a list of at least two items separated by slashes (\fB/\fP);
each item may be \fB\-\fP\fIsignal\-number\fP or [\fB\-\fP]\fIsignal\-name\fP, which means
to send that signal, or \fItimeout\fP, which means to wait that many seconds
for processes to exit, or \fBforever\fP, which means to repeat the rest of the
schedule forever if necessary.

If the end of the schedule is reached and \fBforever\fP is not specified, then
\fBstart\-stop\-daemon\fP exits with error status 2.  If a schedule is specified,
then any signal specified with \fB\-\-signal\fP is ignored.
.TP 
\fB\-a\fP, \fB\-\-startas\fP \fIpathname\fP
With \fB\-\-start\fP, start the process specified by \fIpathname\fP.  If not
specified, defaults to the argument given to \fB\-\-exec\fP.
.TP 
\fB\-t\fP, \fB\-\-test\fP
Print actions that would be taken and set appropriate return value, but take
no action.
.TP 
\fB\-o\fP, \fB\-\-oknodo\fP
Return exit status 0 instead of 1 if no actions are (would be) taken.
.TP 
\fB\-q\fP, \fB\-\-quiet\fP
Do not print informational messages; only display error messages.
.TP 
\fB\-c\fP, \fB\-\-chuid\fP \fIusername\fP|\fIuid\fP[\fB:\fP\fIgroup\fP|\fIgid\fP]
Change to this username/uid before starting the process. You can also
specify a group by appending a \fB:\fP, then the group or gid in the same way
as you would for the \fBchown\fP(1) command (\fIuser\fP\fB:\fP\fIgroup\fP).  If a user
is specified without a group, the primary GID for that user is used.  When
using this option you must realize that the primary and supplemental groups
are set as well, even if the \fB\-\-group\fP option is not specified. The
\fB\-\-group\fP option is only for groups that the user isn't normally a member
of (like adding per process group membership for generic users like
\fBnobody\fP).
.TP 
\fB\-r\fP, \fB\-\-chroot\fP \fIroot\fP
Change directory and chroot to \fIroot\fP before starting the process. Please
note that the pidfile is also written after the chroot.
.TP 
\fB\-d\fP, \fB\-\-chdir\fP \fIpath\fP
Change directory to \fIpath\fP before starting the process. This is done after
the chroot if the \fB\-r\fP|\fB\-\-chroot\fP option is set. When not specified,
\fBstart\-stop\-daemon\fP will change directory to the root directory before
starting the process.
.TP 
\fB\-b\fP, \fB\-\-background\fP
Typically used with programs that don't detach on their own. This option
will force \fBstart\-stop\-daemon\fP to fork before starting the process, and
force it into the background.  \fBWarning: start\-stop\-daemon\fP cannot check
the exit status if the process fails to execute for \fBany\fP reason. This is a
last resort, and is only meant for programs that either make no sense
forking on their own, or where it's not feasible to add the code for them to
do this themselves.
.TP 
\fB\-\-notify\-await\fP
Wait for the background process to send a readiness notification before
considering the service started (since version 1.19.3).  This implements
parts of the systemd readiness protocol, as specified in the \fBsd_notify\fP(3)
man page.  The following variables are supported:
.RS
.TP 
\fBREADY=1\fP
The program is ready to give service, so we can exit safely.
.TP 
\fBEXTEND_TIMEOUT_USEC=\fP\fInumber\fP
The program requests to extend the timeout by \fInumber\fP microseconds.  This
will reset the current timeout to the specified value.
.TP 
\fBERRNO=\fP\fInumber\fP
The program is exiting with an error.  Do the same and print the
user\-friendly string for the \fBerrno\fP value.
.RE
.
.TP 
\fB\-\-notify\-timeout\fP\fItimeout\fP
Set a timeout for the \fB\-\-notify\-await\fP option (since version 1.19.3).  When
the timeout is reached, \fBstart\-stop\-daemon\fP will exit with an error code,
and no readiness notification will be awaited.  The default is \fB60\fP
seconds.
.TP 
\fB\-C\fP, \fB\-\-no\-close\fP
Do not close any file descriptor when forcing the daemon into the background
(since version 1.16.5).  Used for debugging purposes to see the process
output, or to redirect file descriptors to log the process output.  Only
relevant when using \fB\-\-background\fP.
.TP 
\fB\-N\fP, \fB\-\-nicelevel\fP \fIint\fP
This alters the priority of the process before starting it.
.TP 
\fB\-P\fP, \fB\-\-procsched\fP \fIpolicy\fP\fB:\fP\fIpriority\fP
This alters the process scheduler policy and priority of the process before
starting it (since version 1.15.0).  The priority can be optionally
specified by appending a \fB:\fP followed by the value. The default \fIpriority\fP
is 0. The currently supported policy values are \fBother\fP, \fBfifo\fP and \fBrr\fP.
.TP 
\fB\-I\fP, \fB\-\-iosched\fP \fIclass\fP\fB:\fP\fIpriority\fP
This alters the IO scheduler class and priority of the process before
starting it (since version 1.15.0).  The priority can be optionally
specified by appending a \fB:\fP followed by the value. The default \fIpriority\fP
is 4, unless \fIclass\fP is \fBidle\fP, then \fIpriority\fP will always be 7. The
currently supported values for \fIclass\fP are \fBidle\fP, \fBbest\-effort\fP and
\fBreal\-time\fP.
.TP 
\fB\-k\fP, \fB\-\-umask\fP \fImask\fP
This sets the umask of the process before starting it (since version
1.13.22).
.TP 
\fB\-m\fP, \fB\-\-make\-pidfile\fP
Used when starting a program that does not create its own pid file. This
option will make \fBstart\-stop\-daemon\fP create the file referenced with
\fB\-\-pidfile\fP and place the pid into it just before executing the
process. Note, the file will only be removed when stopping the program if
\fB\-\-remove\-pidfile\fP is used.  \fBNote:\fP This feature may not work in all
cases. Most notably when the program being executed forks from its main
process. Because of this, it is usually only useful when combined with the
\fB\-\-background\fP option.
.TP 
\fB\-\-remove\-pidfile\fP
Used when stopping a program that does not remove its own pid file (since
version 1.17.19).  This option will make \fBstart\-stop\-daemon\fP remove the
file referenced with \fB\-\-pidfile\fP after terminating the process.
.TP 
\fB\-v\fP, \fB\-\-verbose\fP
Print verbose informational messages.
.
.SH "EXIT STATUS"
.TP 
\fB0\fP
The requested action was performed. If \fB\-\-oknodo\fP was specified, it's also
possible that nothing had to be done.  This can happen when \fB\-\-start\fP was
specified and a matching process was already running, or when \fB\-\-stop\fP was
specified and there were no matching processes.
.TP 
\fB1\fP
If \fB\-\-oknodo\fP was not specified and nothing was done.
.TP 
\fB2\fP
If \fB\-\-stop\fP and \fB\-\-retry\fP were specified, but the end of the schedule was
reached and the processes were still running.
.TP 
\fB3\fP
Any other error.
.PP
When using the \fB\-\-status\fP command, the following status codes are returned:
.TP 
\fB0\fP
Program is running.
.TP 
\fB1\fP
Program is not running and the pid file exists.
.TP 
\fB3\fP
Program is not running.
.TP 
\fB4\fP
Unable to determine program status.
.
.SH 示例
Start the \fBfood\fP daemon, unless one is already running (a process named
food, running as user food, with pid in food.pid):
.IP
.nf
start\-stop\-daemon \-\-start \-\-oknodo \-\-user food \-\-name food \e
	\-\-pidfile /run/food.pid \-\-startas /usr/sbin/food \e
	\-\-chuid food \-\- \-\-daemon
.fi
.PP
Send \fBSIGTERM\fP to \fBfood\fP and wait up to 5 seconds for it to stop:
.IP
.nf
start\-stop\-daemon \-\-stop \-\-oknodo \-\-user food \-\-name food \e
	\-\-pidfile /run/food.pid \-\-retry 5
.fi
.PP
Demonstration of a custom schedule for stopping \fBfood\fP:
.IP
.nf
start\-stop\-daemon \-\-stop \-\-oknodo \-\-user food \-\-name food \e
	\-\-pidfile /run/food.pid \-\-retry=TERM/30/KILL/5
.fi
